
// The audio values used below are 16-bit linear (not mu-law, which is what the regular Teensy audio
// library uses).  Assuming that you have a WAV file (or whatever) of the audio that you want, how
// do you extract the values as text numbers, as needed below?  It is a two step process:
//
// Step 1: Convert WAV to text.
//    Use Audacity to open your WAV file.  Then, under Audacity's "Tools" menu, use "Sample Data Export"
//    to export as a text file.  The text file will be saved on your computer somewhere.  
//
//    You can open the text file in Notepad or whatever.  If you do, you'll see that the values were 
//    printed as decimal values (ie, floating point) between -1.0 and +1.0.  For this Arduino sketch, 
//    we need 16-bit integer values, so we're not quite done.  Also, in this Audacity text file, there
//    is no comma after each value. We need the comma for defining our audio array below.  So, in short,
//    we need to reformat the file
//
// Step 2: Reformat the text
//   1) Open the Audacity text file in Micrsoft Excel (or whatever) 
//   2) Mutiply each value by 32678 and round to the nearest integer ("=ROUND(A1*32768,0)")  
//   3) In the cell to the right of each value, add a comma (add a comma to the first cell then fill-down)
//   4) Highlight the whole array of integer numbers and the commas, then copy (Ctrl-C), then paste the
//      text into this *.h file below.
//

#define SAMPLE_NO_LEN 12000
const uint32_t sample_NO_len = SAMPLE_NO_LEN;
const float sample_NO_sample_rate_Hz = 24000;
PROGMEM
const int16_t sample_NO[SAMPLE_NO_LEN] = {
  -1  ,
0 ,
-2  ,
-1  ,
2 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
0 ,
0 ,
-2  ,
0 ,
-2  ,
1 ,
0 ,
0 ,
0 ,
2 ,
2 ,
0 ,
1 ,
-1  ,
0 ,
-1  ,
0 ,
0 ,
2 ,
0 ,
1 ,
0 ,
-1  ,
0 ,
1 ,
0 ,
0 ,
0 ,
2 ,
0 ,
2 ,
-2  ,
1 ,
0 ,
1 ,
0 ,
1 ,
0 ,
-2  ,
2 ,
0 ,
0 ,
0 ,
-1  ,
-1  ,
-2  ,
0 ,
0 ,
0 ,
2 ,
0 ,
1 ,
2 ,
2 ,
0 ,
-2  ,
1 ,
0 ,
0 ,
0 ,
0 ,
3 ,
0 ,
3 ,
-1  ,
0 ,
2 ,
1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
1 ,
0 ,
2 ,
3 ,
2 ,
0 ,
-2  ,
-1  ,
0 ,
-1  ,
2 ,
1 ,
1 ,
-2  ,
-1  ,
-1  ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
0 ,
0 ,
-2  ,
0 ,
2 ,
0 ,
-1  ,
0 ,
4 ,
-1  ,
0 ,
1 ,
0 ,
-2  ,
0 ,
1 ,
0 ,
0 ,
-1  ,
1 ,
-1  ,
0 ,
0 ,
0 ,
-1  ,
-2  ,
0 ,
-1  ,
0 ,
2 ,
0 ,
-1  ,
1 ,
0 ,
-1  ,
-2  ,
0 ,
0 ,
1 ,
-1  ,
1 ,
0 ,
1 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
-1  ,
2 ,
-1  ,
0 ,
-1  ,
1 ,
0 ,
0 ,
2 ,
2 ,
0 ,
1 ,
0 ,
1 ,
2 ,
2 ,
-1  ,
1 ,
1 ,
0 ,
-3  ,
-3  ,
2 ,
2 ,
1 ,
-1  ,
0 ,
2 ,
0 ,
-1  ,
-3  ,
0 ,
-1  ,
0 ,
1 ,
0 ,
1 ,
1 ,
0 ,
-2  ,
-1  ,
0 ,
-3  ,
-2  ,
-5  ,
-2  ,
0 ,
0 ,
-1  ,
0 ,
1 ,
-1  ,
-2  ,
0 ,
0 ,
2 ,
0 ,
0 ,
0 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
1 ,
1 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
0 ,
-1  ,
-2  ,
-1  ,
0 ,
-1  ,
1 ,
2 ,
2 ,
2 ,
-1  ,
0 ,
0 ,
1 ,
2 ,
2 ,
1 ,
2 ,
3 ,
2 ,
1 ,
0 ,
-3  ,
2 ,
2 ,
0 ,
0 ,
-1  ,
0 ,
1 ,
1 ,
-2  ,
-3  ,
2 ,
1 ,
1 ,
1 ,
-1  ,
0 ,
0 ,
2 ,
-1  ,
-1  ,
-3  ,
-3  ,
0 ,
-3  ,
0 ,
-1  ,
-1  ,
0 ,
0 ,
-1  ,
-2  ,
-2  ,
3 ,
4 ,
3 ,
0 ,
-3  ,
1 ,
4 ,
2 ,
2 ,
0 ,
2 ,
5 ,
2 ,
0 ,
0 ,
1 ,
5 ,
2 ,
0 ,
2 ,
1 ,
3 ,
3 ,
0 ,
0 ,
1 ,
0 ,
0 ,
-1  ,
1 ,
1 ,
-1  ,
-1  ,
3 ,
2 ,
1 ,
0 ,
2 ,
2 ,
1 ,
2 ,
2 ,
3 ,
2 ,
0 ,
0 ,
1 ,
-3  ,
-1  ,
1 ,
-1  ,
-4  ,
-4  ,
-4  ,
-4  ,
-3  ,
-7  ,
-6  ,
-5  ,
-7  ,
-9  ,
-7  ,
-9  ,
-9  ,
-10 ,
-10 ,
-11 ,
-12 ,
-10 ,
-8  ,
-8  ,
-10 ,
-11 ,
-10 ,
-9  ,
-6  ,
-9  ,
-8  ,
-10 ,
-10 ,
-5  ,
-7  ,
-8  ,
-7  ,
-2  ,
0 ,
-1  ,
-3  ,
-5  ,
1 ,
2 ,
0 ,
0 ,
1 ,
4 ,
7 ,
8 ,
6 ,
8 ,
8 ,
9 ,
9 ,
10  ,
16  ,
16  ,
17  ,
19  ,
19  ,
20  ,
21  ,
22  ,
18  ,
20  ,
22  ,
24  ,
22  ,
23  ,
21  ,
19  ,
20  ,
18  ,
17  ,
17  ,
18  ,
17  ,
13  ,
14  ,
16  ,
16  ,
12  ,
10  ,
11  ,
11  ,
10  ,
10  ,
7 ,
6 ,
6 ,
3 ,
-2  ,
-1  ,
-2  ,
-6  ,
-8  ,
-9  ,
-8  ,
-7  ,
-14 ,
-20 ,
-17 ,
-17 ,
-21 ,
-23 ,
-24 ,
-23 ,
-21 ,
-23 ,
-26 ,
-25 ,
-23 ,
-23 ,
-24 ,
-26 ,
-25 ,
-23 ,
-23 ,
-25 ,
-22 ,
-21 ,
-25 ,
-20 ,
-24 ,
-21 ,
-21 ,
-21 ,
-22 ,
-18 ,
-17 ,
-16 ,
-17 ,
-17 ,
-11 ,
-11 ,
-7  ,
-5  ,
-2  ,
-2  ,
-1  ,
0 ,
-1  ,
5 ,
8 ,
15  ,
12  ,
18  ,
22  ,
31  ,
24  ,
23  ,
23  ,
29  ,
30  ,
27  ,
25  ,
26  ,
28  ,
30  ,
30  ,
29  ,
29  ,
31  ,
32  ,
27  ,
27  ,
25  ,
23  ,
17  ,
16  ,
10  ,
10  ,
6 ,
0 ,
-5  ,
-5  ,
-12 ,
-15 ,
-18 ,
-20 ,
-21 ,
-21 ,
-24 ,
-22 ,
-26 ,
-31 ,
-37 ,
-36 ,
-38 ,
-44 ,
-47 ,
-48 ,
-44 ,
-48 ,
-51 ,
-50 ,
-47 ,
-55 ,
-52 ,
-52 ,
-39 ,
-36 ,
-43 ,
-42 ,
-36 ,
-29 ,
-28 ,
-35 ,
-39 ,
-26 ,
-18 ,
-18 ,
-23 ,
-20 ,
-8  ,
-8  ,
-8  ,
-7  ,
0 ,
9 ,
8 ,
11  ,
14  ,
12  ,
13  ,
6 ,
9 ,
13  ,
17  ,
24  ,
26  ,
34  ,
43  ,
43  ,
38  ,
34  ,
38  ,
40  ,
36  ,
39  ,
45  ,
50  ,
49  ,
42  ,
38  ,
27  ,
21  ,
15  ,
14  ,
21  ,
26  ,
32  ,
34  ,
38  ,
34  ,
27  ,
26  ,
16  ,
16  ,
13  ,
15  ,
21  ,
24  ,
23  ,
21  ,
16  ,
11  ,
17  ,
18  ,
27  ,
35  ,
46  ,
54  ,
57  ,
59  ,
56  ,
51  ,
48  ,
49  ,
53  ,
56  ,
63  ,
71  ,
79  ,
80  ,
74  ,
74  ,
76  ,
79  ,
82  ,
84  ,
91  ,
102 ,
106 ,
97  ,
84  ,
76  ,
67  ,
60  ,
52  ,
48  ,
54  ,
59  ,
64  ,
61  ,
57  ,
55  ,
45  ,
38  ,
32  ,
34  ,
35  ,
28  ,
23  ,
19  ,
7 ,
-8  ,
-18 ,
-25 ,
-28 ,
-27 ,
-24 ,
-14 ,
-6  ,
-3  ,
-1  ,
-5  ,
-11 ,
-12 ,
-19 ,
-27 ,
-34 ,
-39 ,
-43 ,
-46 ,
-47 ,
-49 ,
-49 ,
-48 ,
-49 ,
-46 ,
-50 ,
-52 ,
-56 ,
-61 ,
-63 ,
-63 ,
-64 ,
-67 ,
-74 ,
-87 ,
-108  ,
-126  ,
-149  ,
-169  ,
-183  ,
-189  ,
-177  ,
-157  ,
-128  ,
-100  ,
-92 ,
-93 ,
-106  ,
-133  ,
-155  ,
-176  ,
-183  ,
-176  ,
-159  ,
-131  ,
-100  ,
-81 ,
-80 ,
-97 ,
-115  ,
-126  ,
-131  ,
-128  ,
-116  ,
-82 ,
-47 ,
-26 ,
-33 ,
-68 ,
-116  ,
-179  ,
-245  ,
-304  ,
-341  ,
-352  ,
-350  ,
-355  ,
-368  ,
-394  ,
-438  ,
-504  ,
-580  ,
-667  ,
-738  ,
-790  ,
-826  ,
-855  ,
-884  ,
-920  ,
-967  ,
-1025 ,
-1091 ,
-1151 ,
-1186 ,
-1191 ,
-1164 ,
-1112 ,
-1042 ,
-970  ,
-903  ,
-849  ,
-802  ,
-760  ,
-711  ,
-643  ,
-560  ,
-443  ,
-309  ,
-161  ,
-8  ,
150 ,
302 ,
452 ,
599 ,
753 ,
919 ,
1095  ,
1279  ,
1456  ,
1631  ,
1786  ,
1924  ,
2033  ,
2127  ,
2218  ,
2299  ,
2385  ,
2481  ,
2574  ,
2661  ,
2733  ,
2793  ,
2844  ,
2875  ,
2881  ,
2875  ,
2857  ,
2830  ,
2782  ,
2713  ,
2627  ,
2531  ,
2419  ,
2290  ,
2147  ,
2000  ,
1859  ,
1714  ,
1572  ,
1439  ,
1296  ,
1144  ,
979 ,
797 ,
594 ,
382 ,
158 ,
-56 ,
-270  ,
-481  ,
-676  ,
-862  ,
-1046 ,
-1219 ,
-1384 ,
-1537 ,
-1679 ,
-1816 ,
-1932 ,
-2037 ,
-2126 ,
-2199 ,
-2273 ,
-2342 ,
-2411 ,
-2480 ,
-2548 ,
-2605 ,
-2645 ,
-2669 ,
-2675 ,
-2649 ,
-2602 ,
-2542 ,
-2471 ,
-2389 ,
-2309 ,
-2234 ,
-2161 ,
-2090 ,
-2017 ,
-1940 ,
-1851 ,
-1760 ,
-1669 ,
-1583 ,
-1489 ,
-1403 ,
-1318 ,
-1222 ,
-1111 ,
-979  ,
-833  ,
-674  ,
-520  ,
-376  ,
-239  ,
-121  ,
-27 ,
37  ,
87  ,
126 ,
166 ,
223 ,
291 ,
380 ,
486 ,
590 ,
684 ,
758 ,
815 ,
860 ,
911 ,
970 ,
1042  ,
1103  ,
1139  ,
1144  ,
1106  ,
1046  ,
980 ,
925 ,
906 ,
912 ,
926 ,
929 ,
911 ,
876 ,
818 ,
743 ,
659 ,
582 ,
518 ,
453 ,
378 ,
273 ,
127 ,
-87 ,
-377  ,
-745  ,
-1143 ,
-1515 ,
-1793 ,
-1943 ,
-1955 ,
-1901 ,
-1850 ,
-1884 ,
-2057 ,
-2368 ,
-2748 ,
-3106 ,
-3346 ,
-3420 ,
-3333 ,
-3142 ,
-2927 ,
-2757 ,
-2683 ,
-2706 ,
-2772 ,
-2806 ,
-2732 ,
-2496 ,
-2074 ,
-1478 ,
-766  ,
-44 ,
579 ,
1028  ,
1277  ,
1364  ,
1382  ,
1466  ,
1718  ,
2172  ,
2779  ,
3426  ,
3990  ,
4376  ,
4564  ,
4595  ,
4575  ,
4625  ,
4800  ,
5111  ,
5496  ,
5857  ,
6105  ,
6181  ,
6069  ,
5809  ,
5447  ,
5052  ,
4699  ,
4456  ,
4339  ,
4341  ,
4416  ,
4486  ,
4478  ,
4336  ,
4051  ,
3661  ,
3256  ,
2918  ,
2683  ,
2540  ,
2417  ,
2235  ,
1938  ,
1509  ,
992 ,
449 ,
-45 ,
-424  ,
-682  ,
-849  ,
-968  ,
-1064 ,
-1161 ,
-1279 ,
-1441 ,
-1660 ,
-1930 ,
-2243 ,
-2569 ,
-2868 ,
-3109 ,
-3270 ,
-3366 ,
-3427 ,
-3503 ,
-3607 ,
-3722 ,
-3818 ,
-3844 ,
-3788 ,
-3638 ,
-3434 ,
-3222 ,
-3047 ,
-2938 ,
-2894 ,
-2914 ,
-2963 ,
-3028 ,
-3100 ,
-3159 ,
-3173 ,
-3122 ,
-3000 ,
-2831 ,
-2638 ,
-2444 ,
-2292 ,
-2183 ,
-2112 ,
-2038 ,
-1931 ,
-1784 ,
-1614 ,
-1451 ,
-1317 ,
-1249 ,
-1232 ,
-1253 ,
-1278 ,
-1272 ,
-1209 ,
-1086 ,
-906  ,
-684  ,
-423  ,
-159  ,
72  ,
246 ,
359 ,
401 ,
391 ,
365 ,
354 ,
379 ,
428 ,
482 ,
519 ,
510 ,
454 ,
380 ,
315 ,
290 ,
316 ,
384 ,
467 ,
548 ,
598 ,
610 ,
567 ,
475 ,
335 ,
147 ,
-58 ,
-252  ,
-391  ,
-441  ,
-403  ,
-316  ,
-208  ,
-146  ,
-139  ,
-193  ,
-261  ,
-300  ,
-279  ,
-205  ,
-112  ,
-46 ,
-34 ,
-84 ,
-151  ,
-201  ,
-197  ,
-136  ,
-29 ,
103 ,
224 ,
324 ,
428 ,
548 ,
695 ,
838 ,
971 ,
1070  ,
1137  ,
1164  ,
1151  ,
1098  ,
974 ,
750 ,
430 ,
56  ,
-279  ,
-476  ,
-479  ,
-315  ,
-74 ,
99  ,
77  ,
-199  ,
-688  ,
-1248 ,
-1705 ,
-1944 ,
-1936 ,
-1741 ,
-1485 ,
-1300 ,
-1279 ,
-1411 ,
-1631 ,
-1832 ,
-1922 ,
-1821 ,
-1500 ,
-955  ,
-249  ,
542 ,
1300  ,
1907  ,
2275  ,
2374  ,
2282  ,
2149  ,
2162  ,
2432  ,
2993  ,
3727  ,
4451  ,
4979  ,
5205  ,
5159  ,
4978  ,
4842  ,
4904  ,
5208  ,
5676  ,
6169  ,
6530  ,
6651  ,
6514  ,
6174  ,
5708  ,
5212  ,
4745  ,
4353  ,
4066  ,
3898  ,
3848  ,
3873  ,
3911  ,
3872  ,
3693  ,
3364  ,
2932  ,
2492  ,
2137  ,
1917  ,
1800  ,
1694  ,
1470  ,
1059  ,
464 ,
-234  ,
-915  ,
-1465 ,
-1837 ,
-2046 ,
-2170 ,
-2280 ,
-2414 ,
-2582 ,
-2774 ,
-2979 ,
-3212 ,
-3496 ,
-3846 ,
-4240 ,
-4650 ,
-5005 ,
-5258 ,
-5404 ,
-5497 ,
-5603 ,
-5756 ,
-5946 ,
-6121 ,
-6200 ,
-6128 ,
-5900 ,
-5569 ,
-5227 ,
-4960 ,
-4793 ,
-4727 ,
-4730 ,
-4766 ,
-4800 ,
-4821 ,
-4816 ,
-4770 ,
-4654 ,
-4443 ,
-4161 ,
-3828 ,
-3515 ,
-3239 ,
-3017 ,
-2820 ,
-2619 ,
-2371 ,
-2065 ,
-1728 ,
-1408 ,
-1153 ,
-986  ,
-895  ,
-850  ,
-800  ,
-711  ,
-548  ,
-317  ,
-18 ,
335 ,
725 ,
1129  ,
1506  ,
1805  ,
2009  ,
2114  ,
2156  ,
2172  ,
2214  ,
2302  ,
2413  ,
2515  ,
2565  ,
2537  ,
2453  ,
2353  ,
2286  ,
2275  ,
2328  ,
2412  ,
2502  ,
2581  ,
2643  ,
2668  ,
2639  ,
2535  ,
2340  ,
2069  ,
1765  ,
1467  ,
1243  ,
1130  ,
1134  ,
1209  ,
1286  ,
1304  ,
1234  ,
1094  ,
922 ,
774 ,
692 ,
690 ,
736 ,
780 ,
769 ,
685 ,
558 ,
414 ,
294 ,
229 ,
218 ,
262 ,
330 ,
422 ,
528 ,
649 ,
786 ,
924 ,
1029  ,
1096  ,
1113  ,
1103  ,
1069  ,
1023  ,
956 ,
823 ,
568 ,
170 ,
-327  ,
-816  ,
-1162 ,
-1285 ,
-1169 ,
-922  ,
-711  ,
-710  ,
-1011 ,
-1578 ,
-2266 ,
-2894 ,
-3317 ,
-3482 ,
-3430 ,
-3259 ,
-3103 ,
-3034 ,
-3083 ,
-3207 ,
-3359 ,
-3462 ,
-3441 ,
-3240 ,
-2829 ,
-2200 ,
-1401 ,
-530  ,
283 ,
889 ,
1201  ,
1224  ,
1088  ,
990 ,
1129  ,
1609  ,
2379  ,
3269  ,
4040  ,
4518  ,
4672  ,
4609  ,
4527  ,
4593  ,
4873  ,
5328  ,
5841  ,
6284  ,
6544  ,
6585  ,
6426  ,
6113  ,
5699  ,
5228  ,
4754  ,
4331  ,
4029  ,
3886  ,
3903  ,
4024  ,
4153  ,
4191  ,
4051  ,
3721  ,
3252  ,
2761  ,
2340  ,
2052  ,
1887  ,
1770  ,
1576  ,
1230  ,
700 ,
51  ,
-600  ,
-1169 ,
-1597 ,
-1879 ,
-2057 ,
-2177 ,
-2264 ,
-2331 ,
-2396 ,
-2505 ,
-2724 ,
-3102 ,
-3627 ,
-4221 ,
-4774 ,
-5175 ,
-5386 ,
-5446 ,
-5448 ,
-5502 ,
-5641 ,
-5865 ,
-6092 ,
-6244 ,
-6253 ,
-6102 ,
-5830 ,
-5511 ,
-5204 ,
-4963 ,
-4805 ,
-4731 ,
-4736 ,
-4797 ,
-4903 ,
-4984 ,
-4981 ,
-4824 ,
-4493 ,
-4029 ,
-3529 ,
-3106 ,
-2841 ,
-2724 ,
-2674 ,
-2589 ,
-2390 ,
-2058 ,
-1635 ,
-1177 ,
-756  ,
-431  ,
-219  ,
-131  ,
-110  ,
-91 ,
3 ,
220 ,
574 ,
1038  ,
1555  ,
2066  ,
2483  ,
2760  ,
2861  ,
2820  ,
2732  ,
2697  ,
2810  ,
3067  ,
3388  ,
3645  ,
3756  ,
3721  ,
3579  ,
3406  ,
3237  ,
3098  ,
3007  ,
2974  ,
3012  ,
3116  ,
3228  ,
3266  ,
3137  ,
2829  ,
2390  ,
1934  ,
1560  ,
1328  ,
1242  ,
1268  ,
1345  ,
1417  ,
1404  ,
1264  ,
973 ,
552 ,
96  ,
-267  ,
-465  ,
-494  ,
-427  ,
-381  ,
-429  ,
-591  ,
-829  ,
-1062 ,
-1227 ,
-1270 ,
-1191 ,
-1021 ,
-803  ,
-577  ,
-353  ,
-147  ,
27  ,
130 ,
120 ,
35  ,
-28 ,
45  ,
294 ,
641 ,
950 ,
1091  ,
992 ,
626 ,
26  ,
-689  ,
-1274 ,
-1380 ,
-738  ,
579 ,
2030  ,
2789  ,
2187  ,
155 ,
-2598 ,
-5006 ,
-6226 ,
-6097 ,
-5096 ,
-3951 ,
-3209 ,
-3006 ,
-3192 ,
-3541 ,
-3917 ,
-4234 ,
-4405 ,
-4305 ,
-3866 ,
-3094 ,
-2107 ,
-1022 ,
-4  ,
736 ,
1002  ,
773 ,
229 ,
-214  ,
-92 ,
918 ,
2765  ,
5062  ,
7208  ,
8606  ,
8976  ,
8428  ,
7388  ,
6437  ,
6104  ,
6614  ,
7721  ,
8848  ,
9347  ,
8906  ,
7710  ,
6297  ,
5167  ,
4539  ,
4312  ,
4216  ,
4086  ,
3972  ,
4031  ,
4309  ,
4632  ,
4660  ,
4072  ,
2780  ,
1019  ,
-746  ,
-1969 ,
-2256 ,
-1623 ,
-499  ,
462 ,
711 ,
77  ,
-1177 ,
-2499 ,
-3353 ,
-3498 ,
-3069 ,
-2470 ,
-2128 ,
-2247 ,
-2789 ,
-3569 ,
-4411 ,
-5230 ,
-5999 ,
-6656 ,
-7052 ,
-7002 ,
-6432 ,
-5482 ,
-4532 ,
-4006 ,
-4137 ,
-4848 ,
-5804 ,
-6605 ,
-7010 ,
-6981 ,
-6623 ,
-6076 ,
-5456 ,
-4827 ,
-4281 ,
-3932 ,
-3838 ,
-3898 ,
-3888 ,
-3592 ,
-2923 ,
-2011 ,
-1106 ,
-478  ,
-290  ,
-555  ,
-1108 ,
-1674 ,
-1980 ,
-1823 ,
-1171 ,
-158  ,
973 ,
2003  ,
2787  ,
3270  ,
3476  ,
3437  ,
3194  ,
2866  ,
2653  ,
2736  ,
3153  ,
3765  ,
4293  ,
4500  ,
4345  ,
3991  ,
3701  ,
3700  ,
4013  ,
4474  ,
4842  ,
4957  ,
4778  ,
4369  ,
3805  ,
3116  ,
2291  ,
1384  ,
528 ,
-93 ,
-350  ,
-252  ,
-22 ,
40  ,
-258  ,
-910  ,
-1699 ,
-2360 ,
-2724 ,
-2829 ,
-2853 ,
-2966 ,
-3215 ,
-3515 ,
-3676 ,
-3563 ,
-3198 ,
-2739 ,
-2382 ,
-2255 ,
-2337 ,
-2433 ,
-2352 ,
-2023 ,
-1544 ,
-1136 ,
-946  ,
-913  ,
-793  ,
-352  ,
432 ,
1409  ,
2312  ,
2959  ,
3327  ,
3497  ,
3478  ,
3242  ,
2786  ,
2163  ,
1506  ,
983 ,
670 ,
548 ,
548 ,
488 ,
-24 ,
-1555 ,
-4465 ,
-8554 ,
-12731  ,
-15229  ,
-14511  ,
-10280  ,
-3915 ,
1944  ,
4639  ,
2873  ,
-2601 ,
-9407 ,
-14644  ,
-16163  ,
-13469  ,
-7835 ,
-1564 ,
3074  ,
4837  ,
4052  ,
2370  ,
1753  ,
3410  ,
7233  ,
11891 ,
15708 ,
17688 ,
17912 ,
17179 ,
16333 ,
15731 ,
15082 ,
13889 ,
12022 ,
9895  ,
8288  ,
7981  ,
9292  ,
11712 ,
14094 ,
15084 ,
13623 ,
9545  ,
3863  ,
-1672 ,
-5357 ,
-6321 ,
-5011 ,
-3006 ,
-2086 ,
-3194 ,
-6061 ,
-9378 ,
-11523  ,
-11550  ,
-9677 ,
-6974 ,
-4718 ,
-3762 ,
-4104 ,
-5038 ,
-5803 ,
-5998 ,
-5700 ,
-5348 ,
-5351 ,
-5642 ,
-5651 ,
-4699 ,
-2345 ,
1257  ,
5173  ,
8084  ,
9023  ,
7852  ,
5348  ,
2926  ,
1840  ,
2429  ,
4041  ,
5498  ,
5728  ,
4366  ,
2000  ,
-332  ,
-1730 ,
-1809 ,
-861  ,
257 ,
642 ,
-163  ,
-2030 ,
-4377 ,
-6461 ,
-7936 ,
-9009 ,
-10096  ,
-11399  ,
-12674  ,
-13322  ,
-12788  ,
-11139  ,
-9016 ,
-7160 ,
-6016 ,
-5579 ,
-5467 ,
-5262 ,
-4855 ,
-4257 ,
-3444 ,
-2419 ,
-1286 ,
-158  ,
874 ,
1832  ,
2938  ,
4371  ,
5960  ,
7372  ,
8346  ,
8859  ,
9059  ,
9146  ,
9070  ,
8525  ,
7414  ,
6003  ,
4761  ,
4033  ,
3808  ,
3698  ,
3350  ,
2792  ,
2280  ,
1904  ,
1498  ,
766 ,
-484  ,
-2054 ,
-3449 ,
-4364 ,
-4832 ,
-5051 ,
-5184 ,
-5264 ,
-5127 ,
-4692 ,
-4149 ,
-3741 ,
-3498 ,
-3302 ,
-3051 ,
-2774 ,
-2712 ,
-3120 ,
-3877 ,
-4506 ,
-4493 ,
-3588 ,
-1924 ,
-37 ,
1479  ,
2362  ,
2673  ,
2690  ,
2772  ,
3163  ,
3820  ,
4529  ,
5035  ,
5095  ,
4609  ,
3786  ,
2966  ,
2472  ,
2461  ,
2834  ,
3219  ,
3262  ,
2850  ,
2110  ,
1337  ,
870 ,
762 ,
771 ,
604 ,
125 ,
-580  ,
-1182 ,
-1331 ,
-930  ,
-178  ,
581 ,
997 ,
899 ,
384 ,
-320  ,
-1084 ,
-1835 ,
-2497 ,
-3012 ,
-3310 ,
-3470 ,
-3994 ,
-5696 ,
-9116 ,
-13926  ,
-18690  ,
-21198  ,
-19597  ,
-13602  ,
-4934 ,
3316  ,
7975  ,
7332  ,
1966  ,
-5620 ,
-12182  ,
-14991  ,
-12979  ,
-7244 ,
-310  ,
5187  ,
7701  ,
7472  ,
6337  ,
6444  ,
8880  ,
13221 ,
17918 ,
21282 ,
22462 ,
21774 ,
20050 ,
17984 ,
15923 ,
13789 ,
11353 ,
8708  ,
6251  ,
4378  ,
3458  ,
3868  ,
5526  ,
7672  ,
9144  ,
8759  ,
5791  ,
630 ,
-5246 ,
-10039  ,
-12473  ,
-12299  ,
-10441  ,
-8383 ,
-7240 ,
-7354 ,
-8310 ,
-9087 ,
-8642 ,
-6645 ,
-3573 ,
-283  ,
2265  ,
3423  ,
3323  ,
2654  ,
2001  ,
1636  ,
1498  ,
1323  ,
982 ,
802 ,
1315  ,
2934  ,
5716  ,
9045  ,
11707 ,
12546 ,
11081 ,
7637  ,
3356  ,
-251  ,
-2199 ,
-2538 ,
-2091 ,
-1880 ,
-2653 ,
-4423 ,
-6556 ,
-8213 ,
-8776 ,
-8127 ,
-6784 ,
-5634 ,
-5362 ,
-6180 ,
-7836 ,
-9746 ,
-11516  ,
-13287  ,
-15291  ,
-17156  ,
-17921  ,
-16633  ,
-13043  ,
-7946 ,
-2864 ,
863 ,
2796  ,
3315  ,
3064  ,
2405  ,
1472  ,
603 ,
457 ,
1360  ,
2897  ,
4345  ,
5262  ,
5707  ,
6224  ,
7384  ,
9060  ,
10428 ,
10939 ,
10865 ,
10724 ,
10507 ,
9546  ,
7148  ,
3414  ,
-556  ,
-3412 ,
-4457 ,
-4009 ,
-3067 ,
-2391 ,
-1913 ,
-1202 ,
-427  ,
-270  ,
-1093 ,
-2580 ,
-4094 ,
-5067 ,
-5312 ,
-5210 ,
-5158 ,
-5067 ,
-4552 ,
-3513 ,
-2313 ,
-1447 ,
-1039 ,
-624  ,
260 ,
1467  ,
2403  ,
2549  ,
1664  ,
-42 ,
-1891 ,
-3205 ,
-3696 ,
-3301 ,
-2038 ,
-245  ,
1427  ,
2471  ,
2737  ,
2530  ,
2396  ,
2661  ,
3123  ,
3352  ,
3036  ,
2126  ,
944 ,
-3  ,
-428  ,
-390  ,
-3  ,
492 ,
713 ,
415 ,
-285  ,
-1031 ,
-1400 ,
-1056 ,
-99 ,
929 ,
1424  ,
1146  ,
322 ,
-523  ,
-845  ,
-325  ,
1030  ,
2762  ,
4141  ,
4677  ,
4400  ,
3521  ,
2267  ,
1019  ,
131 ,
-426  ,
-899  ,
-1472 ,
-2612 ,
-5265 ,
-10089  ,
-16400  ,
-22005  ,
-24226  ,
-21311  ,
-13383  ,
-2751 ,
6578  ,
10747 ,
8361  ,
1015  ,
-8120 ,
-15596  ,
-18487  ,
-15755  ,
-9120 ,
-1758 ,
3743  ,
6302  ,
6431  ,
5983  ,
7164  ,
11042 ,
16782 ,
22202 ,
25409 ,
25963 ,
24504 ,
21902 ,
19142 ,
16970 ,
15073 ,
12483 ,
9024  ,
5485  ,
2704  ,
1333  ,
1980  ,
4558  ,
7853  ,
10036 ,
9605  ,
5993  ,
-171  ,
-7355 ,
-13618  ,
-17169  ,
-17376  ,
-15379  ,
-13070  ,
-11603  ,
-11261  ,
-11739  ,
-12006  ,
-10837  ,
-7886 ,
-3847 ,
319 ,
3781  ,
5959  ,
6715  ,
6337  ,
5400  ,
4546  ,
3951  ,
3266  ,
2342  ,
1654  ,
1868  ,
3520  ,
6839  ,
11248 ,
15167 ,
16960 ,
15879 ,
12264 ,
7320  ,
2574  ,
-806  ,
-2473 ,
-2868 ,
-2992 ,
-3827 ,
-5675 ,
-8057 ,
-10133  ,
-11167  ,
-10832  ,
-9384 ,
-7614 ,
-6475 ,
-6556 ,
-7717 ,
-9315 ,
-10810  ,
-12101  ,
-13453  ,
-15338  ,
-17903  ,
-20169  ,
-20162  ,
-16384  ,
-9244 ,
-1016 ,
5641  ,
9164  ,
9519  ,
7794  ,
5580  ,
3974  ,
2929  ,
2085  ,
1965  ,
3213  ,
5144  ,
6452  ,
6774  ,
6684  ,
6824  ,
7744  ,
9520  ,
11290 ,
11970 ,
11428 ,
10360 ,
9211  ,
7488  ,
4183  ,
-716  ,
-5666 ,
-8877 ,
-9745 ,
-8652 ,
-6523 ,
-4631 ,
-3682 ,
-3090 ,
-2272 ,
-1815 ,
-2482 ,
-4047 ,
-5639 ,
-6545 ,
-6484 ,
-5757 ,
-4979 ,
-4481 ,
-4192 ,
-3811 ,
-3001 ,
-1782 ,
-636  ,
226 ,
1123  ,
2086  ,
2600  ,
2329  ,
1370  ,
9 ,
-1264 ,
-1797 ,
-1355 ,
-382  ,
523 ,
1039  ,
1306  ,
1758  ,
2643  ,
3819  ,
4902  ,
5379  ,
4779  ,
3160  ,
1146  ,
-616  ,
-1804 ,
-2245 ,
-1935 ,
-1195 ,
-552  ,
-402  ,
-759  ,
-1271 ,
-1442 ,
-922  ,
300 ,
1706  ,
2486  ,
2175  ,
1066  ,
-172  ,
-909  ,
-729  ,
429 ,
2223  ,
4169  ,
5840  ,
6919  ,
7279  ,
7073  ,
6560  ,
5958  ,
5288  ,
4266  ,
2697  ,
828 ,
-1028 ,
-3014 ,
-5686 ,
-9694 ,
-15166  ,
-20795  ,
-23913  ,
-22163  ,
-15135  ,
-4677 ,
5469  ,
11059 ,
9760  ,
2457  ,
-7697 ,
-16835  ,
-21495  ,
-20033  ,
-13611  ,
-5305 ,
1663  ,
5295  ,
5669  ,
4886  ,
5611  ,
9369  ,
15731 ,
22463 ,
26893 ,
27876 ,
26246 ,
23509 ,
20906 ,
19092 ,
17634 ,
15240 ,
11196 ,
6112  ,
1224  ,
-2123 ,
-2673 ,
-94 ,
4414  ,
8570  ,
9969  ,
7095  ,
286 ,
-8264 ,
-15728  ,
-19938  ,
-20198  ,
-17754  ,
-14996  ,
-13638  ,
-13912  ,
-14997  ,
-15544  ,
-14229  ,
-10631  ,
-5472 ,
-17 ,
4573  ,
7522  ,
8732  ,
8771  ,
8423  ,
8267  ,
8364  ,
8154  ,
6980  ,
4915  ,
2947  ,
2446  ,
4400  ,
8678  ,
13741 ,
17355 ,
17842 ,
14926 ,
9725  ,
4131  ,
-134  ,
-2297 ,
-2739 ,
-2651 ,
-3357 ,
-5589 ,
-9152 ,
-12992  ,
-15690  ,
-16225  ,
-14632  ,
-11939  ,
-9528 ,
-8402 ,
-8706 ,
-9765 ,
-10574  ,
-10588  ,
-10028  ,
-9662 ,
-10204  ,
-11758  ,
-13616  ,
-14424  ,
-12820  ,
-8378 ,
-2075 ,
4276  ,
9046  ,
11410 ,
11545 ,
10513 ,
9489  ,
8920  ,
8515  ,
7958  ,
7174  ,
6082  ,
4754  ,
3616  ,
3207  ,
3794  ,
5331  ,
7376  ,
9044  ,
9511  ,
8670  ,
7100  ,
5493  ,
4077  ,
2375  ,
-294  ,
-3942 ,
-7753 ,
-10719  ,
-12130  ,
-11822  ,
-10363  ,
-8628 ,
-7023 ,
-5565 ,
-4391 ,
-3609 ,
-3056 ,
-2507 ,
-1888 ,
-1233 ,
-864  ,
-1194 ,
-2165 ,
-3201 ,
-3698 ,
-3266 ,
-1884 ,
-133  ,
1216  ,
1828  ,
1806  ,
1414  ,
1079  ,
1199  ,
1837  ,
2730  ,
3459  ,
3486  ,
2551  ,
1047  ,
-349  ,
-1113 ,
-932  ,
147 ,
1529  ,
2507  ,
2761  ,
2370  ,
1584  ,
766 ,
266 ,
157 ,
206 ,
5 ,
-708  ,
-1765 ,
-2690 ,
-3074 ,
-2677 ,
-1486 ,
96  ,
1352  ,
1808  ,
1528  ,
869 ,
224 ,
30  ,
686 ,
2237  ,
4232  ,
6076  ,
7360  ,
7871  ,
7547  ,
6704  ,
5915  ,
5479  ,
5185  ,
4648  ,
3630  ,
2212  ,
554 ,
-1531 ,
-4570 ,
-9012 ,
-14795  ,
-20805  ,
-24613  ,
-23677  ,
-17382  ,
-7566 ,
2489  ,
9053  ,
9316  ,
3245  ,
-6288 ,
-15391  ,
-20658  ,
-20042  ,
-13938  ,
-5243 ,
2433  ,
6607  ,
6841  ,
5029  ,
4306  ,
6752  ,
12427 ,
19778 ,
26266 ,
29712 ,
29865 ,
28023 ,
25334 ,
22412 ,
19599 ,
16449 ,
12075 ,
6507  ,
792 ,
-3824 ,
-6072 ,
-5150 ,
-1782 ,
1997  ,
3967  ,
2442  ,
-2855 ,
-10140  ,
-16733  ,
-20777  ,
-21562  ,
-19534  ,
-16457  ,
-14359  ,
-14000  ,
-14904  ,
-16074  ,
-16132  ,
-13923  ,
-9337 ,
-3217 ,
3195  ,
8598  ,
12244 ,
14251 ,
15103 ,
15223 ,
14995 ,
14445 ,
13171 ,
11090 ,
8804  ,
7197  ,
7012  ,
8509  ,
11047 ,
13269 ,
13869 ,
12147 ,
8360  ,
3764  ,
-146  ,
-2466 ,
-3068 ,
-2686 ,
-2770 ,
-4578 ,
-8304 ,
-13147  ,
-17696  ,
-20384  ,
-20451  ,
-18427  ,
-15530  ,
-12880  ,
-11168  ,
-10422  ,
-10019  ,
-9277 ,
-8001 ,
-6544 ,
-5542 ,
-5482 ,
-6214 ,
-6918 ,
-6424 ,
-3870 ,
521 ,
5313  ,
8839  ,
10353 ,
10195 ,
9307  ,
8679  ,
8817  ,
9504  ,
10091 ,
10034 ,
9151  ,
7423  ,
4884  ,
2037  ,
-59 ,
-644  ,
10  ,
936 ,
1293  ,
737 ,
-330  ,
-1105 ,
-1233 ,
-1223 ,
-1924 ,
-3706 ,
-6061 ,
-7942 ,
-8724 ,
-8621 ,
-8045 ,
-7152 ,
-6104 ,
-5090 ,
-4092 ,
-3115 ,
-2258 ,
-1274 ,
290 ,
2349  ,
4152  ,
4965  ,
4638  ,
3675  ,
2846  ,
2568  ,
2673  ,
2661  ,
2017  ,
595 ,
-1147 ,
-2543 ,
-3254 ,
-3170 ,
-2250 ,
-781  ,
610 ,
1417  ,
1470  ,
914 ,
210 ,
-118  ,
101 ,
646 ,
1085  ,
1007  ,
376 ,
-488  ,
-1289 ,
-1863 ,
-2015 ,
-1737 ,
-1361 ,
-1153 ,
-1093 ,
-1134 ,
-1208 ,
-1013 ,
-304  ,
732 ,
1682  ,
2192  ,
2056  ,
1317  ,
358 ,
-312  ,
-335  ,
326 ,
1400  ,
2579  ,
3743  ,
4883  ,
6014  ,
7167  ,
8249  ,
8977  ,
9180  ,
8922  ,
8193  ,
6889  ,
5049  ,
2944  ,
865 ,
-1146 ,
-3466 ,
-6809 ,
-11688  ,
-17735  ,
-23217  ,
-25508  ,
-22762  ,
-15368  ,
-5662 ,
3049  ,
7408  ,
5623  ,
-1182 ,
-9833 ,
-16999  ,
-20008  ,
-17561  ,
-10828  ,
-3001 ,
2832  ,
5138  ,
4455  ,
3201  ,
4150  ,
8535  ,
15670 ,
23520 ,
29480 ,
32040 ,
31769 ,
29960 ,
27299 ,
24314 ,
21290 ,
17543 ,
12287 ,
5983  ,
-219  ,
-5246 ,
-7970 ,
-7764 ,
-5413 ,
-2739 ,
-1640 ,
-3409 ,
-7861 ,
-13214  ,
-17498  ,
-19556  ,
-18999  ,
-16573  ,
-14105  ,
-12995  ,
-13311  ,
-14438  ,
-15522  ,
-15393  ,
-13181  ,
-8939 ,
-3387 ,
2530  ,
7900  ,
12214 ,
15413 ,
17599 ,
18995 ,
19741 ,
19524 ,
17958 ,
15253 ,
12129 ,
9394  ,
7769  ,
7536  ,
8192  ,
8718  ,
8146  ,
5989  ,
2604  ,
-966  ,
-3705 ,
-5030 ,
-4877 ,
-3981 ,
-3644 ,
-4837 ,
-7751 ,
-11927  ,
-16314  ,
-19593  ,
-20970  ,
-20485  ,
-18725  ,
-16535  ,
-14552  ,
-12760  ,
-10711  ,
-8170 ,
-5254 ,
-2361 ,
-132  ,
968 ,
1143  ,
1093  ,
1467  ,
2554  ,
4215  ,
5963  ,
7161  ,
7306  ,
6382  ,
4969  ,
3901  ,
3759  ,
4690  ,
6361  ,
7950  ,
8501  ,
7597  ,
5578  ,
3114  ,
857 ,
-788  ,
-1748 ,
-2255 ,
-2644 ,
-3112 ,
-3595 ,
-3908 ,
-3939 ,
-3710 ,
-3293 ,
-2839 ,
-2610 ,
-2716 ,
-2977 ,
-3110 ,
-3007 ,
-2716 ,
-2334 ,
-1976 ,
-1741 ,
-1631 ,
-1487 ,
-1137 ,
-529  ,
356 ,
1524  ,
2870  ,
4137  ,
5001  ,
5210  ,
4691  ,
3577  ,
2020  ,
153 ,
-1854 ,
-3784 ,
-5408 ,
-6412 ,
-6480 ,
-5596 ,
-4108 ,
-2415 ,
-862  ,
293 ,
1015  ,
1485  ,
1870  ,
2237  ,
2652  ,
3077  ,
3276  ,
3006  ,
2158  ,
771 ,
-875  ,
-2270 ,
-2970 ,
-2842 ,
-1998 ,
-782  ,
387 ,
1307  ,
2083  ,
2870  ,
3656  ,
4333  ,
4693  ,
4467  ,
3610  ,
2399  ,
1276  ,
571 ,
429 ,
810 ,
1630  ,
2712  ,
3807  ,
4742  ,
5511  ,
6158  ,
6649  ,
7052  ,
7509  ,
7853  ,
7550  ,
6246  ,
4080  ,
1461  ,
-1205 ,
-3662 ,
-6082 ,
-9110 ,
-13389  ,
-18746  ,
-23663  ,
-25871  ,
-23846  ,
-17724  ,
-9100 ,
-655  ,
4414  ,
4100  ,
-923  ,
-8012 ,
-14153  ,
-16719  ,
-14217  ,
-7522 ,
326 ,
6116  ,
8210  ,
7107  ,
5102  ,
4888  ,
8047  ,
14431 ,
22167 ,
28500 ,
31695 ,
32029 ,
30550 ,
27964 ,
24931 ,
21814 ,
17947 ,
12391 ,
5284  ,
-2310 ,
-9077 ,
-13673  ,
-15248  ,
-14140  ,
-11734  ,
-9942 ,
-10334  ,
-12983  ,
-16377  ,
-18815  ,
-19260  ,
-17285  ,
-13515  ,
-9778 ,
-7743 ,
-7726 ,
-9090 ,
-10816  ,
-11644  ,
-10510  ,
-7109 ,
-2005 ,
3785  ,
9364  ,
14335 ,
18578 ,
21944 ,
24333 ,
25675 ,
25626 ,
23811 ,
20444 ,
16326 ,
12377 ,
9263  ,
7210  ,
5918  ,
4663  ,
2601  ,
-674  ,
-4673 ,
-8313 ,
-10609  ,
-11044  ,
-9727 ,
-7560 ,
-5983 ,
-6151 ,
-8396 ,
-12180  ,
-16369  ,
-19700  ,
-21311  ,
-21037  ,
-19387  ,
-17233  ,
-15181  ,
-13237  ,
-11027  ,
-8163 ,
-4521 ,
-470  ,
3250  ,
6008  ,
7586  ,
8197  ,
8359  ,
8527  ,
8742  ,
8708  ,
8067  ,
6538  ,
4206  ,
1723  ,
-40 ,
-465  ,
568 ,
2585  ,
4550  ,
5507  ,
5096  ,
3578  ,
1626  ,
16  ,
-879  ,
-1267 ,
-1581 ,
-2167 ,
-3176 ,
-4409 ,
-5411 ,
-5822 ,
-5536 ,
-4627 ,
-3437 ,
-2409 ,
-1690 ,
-1075 ,
-321  ,
663 ,
1786  ,
2669  ,
2763  ,
1809  ,
101 ,
-1682 ,
-2849 ,
-2978 ,
-2022 ,
-356  ,
1357  ,
2445  ,
2590  ,
1940  ,
991 ,
266 ,
7 ,
98  ,
80  ,
-531  ,
-1876 ,
-3458 ,
-4514 ,
-4598 ,
-3733 ,
-2224 ,
-567  ,
708 ,
1435  ,
1959  ,
2707  ,
3895  ,
5484  ,
7126  ,
8177  ,
8002  ,
6389  ,
3673  ,
601 ,
-2000 ,
-3654 ,
-4342 ,
-4360 ,
-4069 ,
-3775 ,
-3474 ,
-2862 ,
-1630 ,
163 ,
2222  ,
4101  ,
5286  ,
5414  ,
4603  ,
3301  ,
1982  ,
986 ,
515 ,
510 ,
776 ,
1174  ,
1711  ,
2346  ,
3113  ,
4103  ,
5400  ,
6814  ,
8042  ,
8849  ,
9154  ,
8813  ,
7647  ,
5636  ,
3080  ,
292 ,
-2584 ,
-5579 ,
-8892 ,
-13118  ,
-18626  ,
-24458  ,
-28256  ,
-27947  ,
-23075  ,
-14810  ,
-5543 ,
1432  ,
3514  ,
601 ,
-5005 ,
-10409  ,
-13152  ,
-11648  ,
-6019 ,
1373  ,
7248  ,
9417  ,
7941  ,
4884  ,
3078  ,
4743  ,
10434 ,
18717 ,
26634 ,
31709 ,
32756 ,
32359 ,
29876 ,
26209 ,
22440 ,
18366 ,
13331 ,
6781  ,
-721  ,
-8174 ,
-14227  ,
-17894  ,
-18761  ,
-17522  ,
-15644  ,
-14894  ,
-15875  ,
-17735  ,
-18940  ,
-18508  ,
-15911  ,
-11424  ,
-6359 ,
-2594 ,
-1148 ,
-1944 ,
-4147 ,
-6602 ,
-7916 ,
-7043 ,
-3720 ,
1300  ,
6879  ,
12072 ,
16366 ,
19430 ,
21271 ,
22281 ,
22805 ,
22729 ,
21786 ,
19870 ,
17122 ,
13701 ,
9858  ,
5930  ,
2209  ,
-1376 ,
-5097 ,
-9027 ,
-12762  ,
-15678  ,
-17131  ,
-16690  ,
-14427  ,
-11209  ,
-8397 ,
-7181 ,
-7978 ,
-10300  ,
-13061  ,
-15064  ,
-15509  ,
-14366  ,
-12280  ,
-10119  ,
-8470 ,
-7393 ,
-6447 ,
-5000 ,
-2639 ,
574 ,
4120  ,
7199  ,
9256  ,
10312 ,
10809 ,
11137 ,
11376 ,
11185 ,
9993  ,
7576  ,
4348  ,
1056  ,
-1522 ,
-2789 ,
-2721 ,
-1944 ,
-1155 ,
-797  ,
-1185 ,
-2306 ,
-3540 ,
-4065 ,
-3544 ,
-2250 ,
-874  ,
-193  ,
-613  ,
-1910 ,
-3462 ,
-4579 ,
-4867 ,
-4496 ,
-3881 ,
-3154 ,
-2237 ,
-1193 ,
-111  ,
1066  ,
2286  ,
3257  ,
3725  ,
3605  ,
2931  ,
1929  ,
1046  ,
661 ,
869 ,
1383  ,
1610  ,
1091  ,
-99 ,
-1447 ,
-2454 ,
-2877 ,
-2726 ,
-2301 ,
-2043 ,
-2181 ,
-2489 ,
-2524 ,
-2018 ,
-988  ,
377 ,
1748  ,
2739  ,
3149  ,
3165  ,
3236  ,
3726  ,
4652  ,
5694  ,
6325  ,
6023  ,
4585  ,
2329  ,
-41 ,
-1806 ,
-2609 ,
-2528 ,
-1964 ,
-1419 ,
-1229 ,
-1469 ,
-1940 ,
-2232 ,
-1954 ,
-1018 ,
314 ,
1571  ,
2339  ,
2448  ,
2054  ,
1524  ,
1295  ,
1677  ,
2618  ,
3715  ,
4564  ,
5019  ,
5084  ,
4834  ,
4608  ,
4862  ,
5665  ,
6531  ,
6956  ,
6881  ,
6398  ,
5367  ,
3696  ,
1748  ,
-21 ,
-1636 ,
-3382 ,
-5477 ,
-8435 ,
-13180  ,
-19769  ,
-26278  ,
-29843  ,
-28787  ,
-23340  ,
-15015  ,
-6368 ,
-580  ,
310 ,
-2999 ,
-7878 ,
-11702  ,
-12554  ,
-9253 ,
-2218 ,
5956  ,
11883 ,
13750 ,
12214 ,
9446  ,
7752  ,
8885  ,
13392 ,
19900 ,
25799 ,
29318 ,
30543 ,
30182 ,
28478 ,
25674 ,
22249 ,
18191 ,
12882 ,
6158  ,
-1202 ,
-8024 ,
-13450  ,
-17026  ,
-18595  ,
-18573  ,
-18218  ,
-18819  ,
-20410  ,
-21799  ,
-21838  ,
-20020  ,
-16237  ,
-10934  ,
-5477 ,
-1502 ,
230 ,
25  ,
-1389 ,
-3162 ,
-4231 ,
-3555 ,
-824  ,
3341  ,
7977  ,
12378 ,
16066 ,
18674 ,
20200 ,
21003 ,
21363 ,
21207 ,
20335 ,
18783 ,
16683 ,
13989 ,
10559 ,
6509  ,
2134  ,
-2402 ,
-7016 ,
-11452  ,
-15297  ,
-18087  ,
-19329  ,
-18709  ,
-16434  ,
-13331  ,
-10581  ,
-9160 ,
-9319 ,
-10534  ,
-11918  ,
-12660  ,
-12270  ,
-10741  ,
-8560 ,
-6402 ,
-4768 ,
-3761 ,
-3080 ,
-2221 ,
-788  ,
1295  ,
3795  ,
6350  ,
8691  ,
10721 ,
12284 ,
13016 ,
12524 ,
10672 ,
7794  ,
4578  ,
1648  ,
-738  ,
-2430 ,
-3256 ,
-3324 ,
-3133 ,
-3251 ,
-4053 ,
-5565 ,
-7169 ,
-7740 ,
-6569 ,
-4117 ,
-1616 ,
-63 ,
341 ,
-2  ,
-556  ,
-1008 ,
-1247 ,
-1256 ,
-998  ,
-359  ,
651 ,
1596  ,
1900  ,
1559  ,
1158  ,
1177  ,
1508  ,
1713  ,
1479  ,
825 ,
180 ,
26  ,
436 ,
932 ,
889 ,
34  ,
-1391 ,
-2890 ,
-4058 ,
-4704 ,
-4739 ,
-4151 ,
-3135 ,
-2072 ,
-1291 ,
-838  ,
-411  ,
415 ,
1914  ,
3929  ,
5891  ,
7156  ,
7440  ,
6991  ,
6295  ,
5748  ,
5496  ,
5418  ,
5175  ,
4400  ,
2989  ,
1123  ,
-810  ,
-2359 ,
-3188 ,
-3315 ,
-3107 ,
-3029 ,
-3379 ,
-4111 ,
-4825 ,
-5057 ,
-4538 ,
-3285 ,
-1602 ,
-38 ,
965 ,
1395  ,
1571  ,
1820  ,
2412  ,
3489  ,
4917  ,
6256  ,
7084  ,
7238  ,
6820  ,
6032  ,
5132  ,
4474  ,
4355  ,
4730  ,
5186  ,
5424  ,
5427  ,
5112  ,
4182  ,
2565  ,
625 ,
-1284 ,
-3111 ,
-4961 ,
-7126 ,
-10345  ,
-15360  ,
-21769  ,
-27591  ,
-30381  ,
-28772  ,
-23045  ,
-14906  ,
-7006 ,
-2082 ,
-1496 ,
-4292 ,
-7916 ,
-9823 ,
-8346 ,
-3000 ,
5046  ,
12881 ,
17412 ,
17464 ,
14313 ,
10510 ,
8560  ,
10055 ,
14941 ,
21319 ,
26608 ,
29261 ,
29340 ,
27668 ,
24991 ,
21896 ,
18801 ,
15492 ,
11121 ,
5137  ,
-1985 ,
-9087 ,
-15046  ,
-19015  ,
-20630  ,
-20485  ,
-20051  ,
-20614  ,
-22223  ,
-23789  ,
-23995  ,
-21960  ,
-17455  ,
-11103  ,
-4464 ,
651 ,
3213  ,
3320  ,
1852  ,
91  ,
-531  ,
950 ,
4419  ,
8779  ,
12685 ,
15283 ,
16473 ,
16749 ,
16852 ,
17357 ,
18261 ,
18948 ,
18680 ,
17128 ,
14437 ,
10999 ,
7279  ,
3626  ,
93  ,
-3574 ,
-7674 ,
-12224  ,
-16740  ,
-20301  ,
-21987  ,
-21378  ,
-18855  ,
-15506  ,
-12652  ,
-11183  ,
-11100  ,
-11651  ,
-11825  ,
-10892  ,
-8682 ,
-5671 ,
-2708 ,
-590  ,
350 ,
402 ,
253 ,
531 ,
1501  ,
2991  ,
4593  ,
6028  ,
7346  ,
8743  ,
10236 ,
11499 ,
12080 ,
11617 ,
9990  ,
7365  ,
4180  ,
1009  ,
-1598 ,
-3276 ,
-3988 ,
-4220 ,
-4837 ,
-6425 ,
-8746 ,
-10866  ,
-11803  ,
-11058  ,
-8837 ,
-5914 ,
-3190 ,
-1188 ,
61  ,
694 ,
796 ,
525 ,
200 ,
132 ,
367 ,
708 ,
978 ,
1193  ,
1512  ,
2084  ,
2892  ,
3631  ,
3870  ,
3454  ,
2704  ,
2184  ,
2224  ,
2718  ,
3247  ,
3338  ,
2680  ,
1208  ,
-827  ,
-2897 ,
-4407 ,
-4984 ,
-4640 ,
-3730 ,
-2787 ,
-2252 ,
-2162 ,
-2137 ,
-1671 ,
-557  ,
1003  ,
2561  ,
3749  ,
4428  ,
4680  ,
4734  ,
4881  ,
5256  ,
5699  ,
5848  ,
5341  ,
4001  ,
1958  ,
-306  ,
-2120 ,
-2989 ,
-2960 ,
-2573 ,
-2488 ,
-3039 ,
-4063 ,
-5036 ,
-5361 ,
-4621 ,
-2838 ,
-509  ,
1652  ,
3145  ,
3866  ,
3966  ,
3745  ,
3601  ,
3851  ,
4466  ,
5087  ,
5341  ,
5080  ,
4377  ,
3463  ,
2725  ,
2649  ,
3423  ,
4672  ,
5745  ,
6229  ,
6078  ,
5399  ,
4351  ,
3153  ,
1922  ,
583 ,
-943  ,
-2603 ,
-4458 ,
-7061 ,
-11201  ,
-17120  ,
-23779  ,
-29157  ,
-31232  ,
-28977  ,
-22822  ,
-14645  ,
-7142 ,
-2568 ,
-1632 ,
-3437 ,
-6151 ,
-7688 ,
-6281 ,
-1319 ,
5949  ,
12838 ,
16811 ,
16921 ,
14147 ,
10705 ,
8997  ,
10489 ,
14836 ,
20203 ,
24651 ,
27243 ,
27970 ,
27185 ,
25315 ,
22850 ,
20002 ,
16514 ,
11904 ,
6022  ,
-717  ,
-7516 ,
-13409  ,
-17522  ,
-19601  ,
-20408  ,
-21210  ,
-22739  ,
-24621  ,
-25758  ,
-25118  ,
-22176  ,
-17115  ,
-10845  ,
-4721 ,
59  ,
2904  ,
3882  ,
3475  ,
2546  ,
2171  ,
3147  ,
5443  ,
8318  ,
10952 ,
12882 ,
14001 ,
14474 ,
14606 ,
14693 ,
14771 ,
14671 ,
14264 ,
13562 ,
12562 ,
11138 ,
9155  ,
6571  ,
3320  ,
-706  ,
-5419 ,
-10344  ,
-14753  ,
-17983  ,
-19592  ,
-19505  ,
-18109  ,
-16204  ,
-14618  ,
-13766  ,
-13512  ,
-13305  ,
-12448  ,
-10421  ,
-7188 ,
-3344 ,
229 ,
2862  ,
4355  ,
4877  ,
4761  ,
4448  ,
4320  ,
4476  ,
4710  ,
4847  ,
4986  ,
5363  ,
6036  ,
6778  ,
7113  ,
6411  ,
4332  ,
1344  ,
-1386 ,
-2923 ,
-3265 ,
-3049 ,
-2834 ,
-2903 ,
-3514 ,
-4894 ,
-6959 ,
-9215 ,
-10864  ,
-10977  ,
-8990 ,
-5426 ,
-1899 ,
113 ,
557 ,
613 ,
1333  ,
2791  ,
4408  ,
5706  ,
6637  ,
7420  ,
8256  ,
8891  ,
8624  ,
6955  ,
4292  ,
1681  ,
-248  ,
-1732 ,
-3183 ,
-4398 ,
-4751 ,
-3997 ,
-2645 ,
-1601 ,
-1531 ,
-2393 ,
-3414 ,
-3608 ,
-2665 ,
-1250 ,
-351  ,
-346  ,
-904  ,
-1543 ,
-1993 ,
-2112 ,
-1737 ,
-788  ,
609 ,
2161  ,
3529  ,
4524  ,
5284  ,
6203  ,
7583  ,
9212  ,
10367 ,
10301 ,
8779  ,
6144  ,
3069  ,
188 ,
-2121 ,
-3844 ,
-5221 ,
-6560 ,
-8013 ,
-9489 ,
-10629  ,
-10932  ,
-9969 ,
-7666 ,
-4407 ,
-925  ,
2034  ,
4036  ,
5129  ,
5712  ,
6228  ,
6884  ,
7565  ,
7961  ,
7802  ,
6999  ,
5703  ,
4204  ,
2891  ,
2129  ,
2133  ,
2855  ,
4008  ,
5121  ,
5715  ,
5541  ,
4764  ,
3832  ,
3060  ,
2415  ,
1655  ,
576 ,
-862  ,
-2574 ,
-4511 ,
-6867 ,
-10183  ,
-14971  ,
-21005  ,
-26907  ,
-30669  ,
-30743  ,
-26738  ,
-19617  ,
-11430  ,
-4668 ,
-1136 ,
-1076 ,
-3198 ,
-5397 ,
-5561 ,
-2293 ,
4254  ,
12083 ,
18273 ,
20667 ,
19066 ,
15096 ,
11231 ,
9646  ,
11287 ,
15432 ,
20224 ,
23920 ,
25725 ,
25704 ,
24226 ,
21802 ,
19004 ,
16095 ,
12767 ,
8463  ,
3045  ,
-3034 ,
-8953 ,
-13872  ,
-17217  ,
-19058  ,
-20231  ,
-21761  ,
-23963  ,
-26130  ,
-27062  ,
-25842  ,
-22173  ,
-16479  ,
-9848 ,
-3725 ,
744 ,
3173  ,
3916  ,
3749  ,
3638  ,
4462  ,
6551  ,
9401  ,
12042 ,
13689 ,
14110 ,
13560 ,
12500 ,
11418 ,
10621 ,
10128 ,
9775  ,
9467  ,
9224  ,
8997  ,
8551  ,
7602  ,
5984  ,
3643  ,
560 ,
-3140 ,
-7043 ,
-10536  ,
-13044  ,
-14251  ,
-14262  ,
-13592  ,
-12986  ,
-13016  ,
-13676  ,
-14363  ,
-14257  ,
-12795  ,
-9927 ,
-6094 ,
-2055 ,
1379  ,
3643  ,
4618  ,
4594  ,
4084  ,
3558  ,
3280  ,
3263  ,
3369  ,
3477  ,
3571  ,
3668  ,
3638  ,
3182  ,
2052  ,
348 ,
-1383 ,
-2424 ,
-2388 ,
-1414 ,
7 ,
1330  ,
2091  ,
1964  ,
756 ,
-1485 ,
-4330 ,
-6927 ,
-8316 ,
-8010 ,
-6390 ,
-4431 ,
-2929 ,
-2012 ,
-1300 ,
-436  ,
632 ,
1787  ,
3039  ,
4568  ,
6471  ,
8448  ,
9750  ,
9626  ,
7948  ,
5338  ,
2664  ,
405 ,
-1487 ,
-3214 ,
-4713 ,
-5693 ,
-5938 ,
-5613 ,
-5140 ,
-4818 ,
-4590 ,
-4151 ,
-3307 ,
-2167 ,
-1037 ,
-102  ,
667 ,
1358  ,
1881  ,
2002  ,
1619  ,
950 ,
477 ,
627 ,
1481  ,
2756  ,
4102  ,
5315  ,
6373  ,
7263  ,
7937  ,
8304  ,
8281  ,
7856  ,
7073  ,
5973  ,
4504  ,
2630  ,
405 ,
-1980 ,
-4347 ,
-6629 ,
-8817 ,
-10767  ,
-12149  ,
-12597  ,
-11880  ,
-9982 ,
-7196 ,
-4083 ,
-1246 ,
1006  ,
2741  ,
4167  ,
5442  ,
6642  ,
7808  ,
8853  ,
9521  ,
9569  ,
8910  ,
7653  ,
5970  ,
4114  ,
2436  ,
1288  ,
781 ,
823 ,
1344  ,
2254  ,
3250  ,
3844  ,
3775  ,
3262  ,
2675  ,
2162  ,
1666  ,
1086  ,
304 ,
-872  ,
-2612 ,
-5034 ,
-8475 ,
-13426  ,
-19839  ,
-26443  ,
-31098  ,
-32025  ,
-28756  ,
-22183  ,
-14158  ,
-6966 ,
-2506 ,
-1356 ,
-2543 ,
-4246 ,
-4565 ,
-2037 ,
3744  ,
11512 ,
18593 ,
22412 ,
22044 ,
18542 ,
14071 ,
10843 ,
10277 ,
12457 ,
16170 ,
19749 ,
22095 ,
22902 ,
22233 ,
20306 ,
17629 ,
14825 ,
12087 ,
9037  ,
5243  ,
746 ,
-4004 ,
-8464 ,
-12195  ,
-15055  ,
-17350  ,
-19741  ,
-22612  ,
-25555  ,
-27531  ,
-27567  ,
-25198  ,
-20535  ,
-14253  ,
-7583 ,
-1942 ,
1748  ,
3456  ,
3868  ,
3919  ,
4475  ,
6045  ,
8528  ,
11204 ,
13174 ,
13897 ,
13333 ,
11744 ,
9627  ,
7642  ,
6465  ,
6423  ,
7350  ,
8833  ,
10415 ,
11636 ,
12049 ,
11374 ,
9624  ,
6952  ,
3544  ,
-306  ,
-4027 ,
-7007 ,
-9010 ,
-10310  ,
-11427  ,
-12758  ,
-14440  ,
-16298  ,
-17855  ,
-18510  ,
-17848  ,
-15851  ,
-12763  ,
-8959 ,
-4950 ,
-1398 ,
1167  ,
2654  ,
3324  ,
3453  ,
3186  ,
2659  ,
2133  ,
1877  ,
2016  ,
2512  ,
3167  ,
3649  ,
3620  ,
2961  ,
1839  ,
608 ,
-335  ,
-517  ,
471 ,
2574  ,
4966  ,
6391  ,
5979  ,
3801  ,
668 ,
-2425 ,
-4798 ,
-6228 ,
-6842 ,
-6829 ,
-6301 ,
-5434 ,
-4623 ,
-4224 ,
-4113 ,
-3613 ,
-2088 ,
398 ,
3123  ,
5350  ,
6859  ,
7837  ,
8473  ,
8602  ,
7760  ,
5602  ,
2392  ,
-986  ,
-3597 ,
-5094 ,
-5714 ,
-5799 ,
-5453 ,
-4698 ,
-3800 ,
-3157 ,
-2923 ,
-2781 ,
-2149 ,
-661  ,
1489  ,
3538  ,
4660  ,
4602  ,
3845  ,
3131  ,
2816  ,
2756  ,
2697  ,
2632  ,
2702  ,
2967  ,
3360  ,
3774  ,
4193  ,
4672  ,
5276  ,
5923  ,
6252  ,
5822  ,
4500  ,
2651  ,
831 ,
-747  ,
-2360 ,
-4393 ,
-6934 ,
-9667 ,
-12050  ,
-13524  ,
-13756  ,
-12740  ,
-10732  ,
-8032 ,
-4914 ,
-1675 ,
1333  ,
3854  ,
5956  ,
7926  ,
9922  ,
11760 ,
13050 ,
13465 ,
12867 ,
11322 ,
9083  ,
6544  ,
4079  ,
1959  ,
321 ,
-736  ,
-1222 ,
-1334 ,
-1303 ,
-1124 ,
-608  ,
278 ,
1250  ,
2008  ,
2472  ,
2695  ,
2567  ,
1890  ,
582 ,
-1253 ,
-3444 ,
-5848 ,
-8451 ,
-11595  ,
-15800  ,
-21080  ,
-26241  ,
-29300  ,
-28756  ,
-24549  ,
-17954  ,
-10867  ,
-5130 ,
-1892 ,
-1126 ,
-1669 ,
-1901 ,
-472  ,
3380  ,
9490  ,
16354 ,
21504 ,
22898 ,
20299 ,
15357 ,
10472 ,
7577  ,
7505  ,
9851  ,
13292 ,
16385 ,
18314 ,
18945 ,
18406 ,
16919 ,
14979 ,
13186 ,
11709 ,
10050 ,
7555  ,
4041  ,
-116  ,
-4332 ,
-8139 ,
-11388  ,
-14344  ,
-17514  ,
-21085  ,
-24531  ,
-26902  ,
-27397  ,
-25683  ,
-21880  ,
-16525  ,
-10610  ,
-5341 ,
-1610 ,
387 ,
1194  ,
1773  ,
3088  ,
5589  ,
8956  ,
12260 ,
14509 ,
15167 ,
14293 ,
12381 ,
10134 ,
8287  ,
7420  ,
7742  ,
9049  ,
10803 ,
12357 ,
13170 ,
12970 ,
11775 ,
9738  ,
7014  ,
3792  ,
370 ,
-2857 ,
-5513 ,
-7443 ,
-8821 ,
-10103  ,
-11742  ,
-13906  ,
-16355  ,
-18546  ,
-19842  ,
-19739  ,
-18085  ,
-15159  ,
-11609  ,
-8182 ,
-5416 ,
-3521 ,
-2410 ,
-1755 ,
-1133 ,
-261  ,
881 ,
2139  ,
3417  ,
4704  ,
5976  ,
7116  ,
7881  ,
7944  ,
7046  ,
5314  ,
3431  ,
2361  ,
2648  ,
4046  ,
5730  ,
6824  ,
6780  ,
5411  ,
2915  ,
-218  ,
-3329 ,
-5721 ,
-6786 ,
-6321 ,
-4862 ,
-3526 ,
-3254 ,
-4123 ,
-5381 ,
-6166 ,
-6092 ,
-5261 ,
-3924 ,
-2215 ,
-184  ,
1981  ,
3828  ,
4773  ,
4549  ,
3512  ,
2372  ,
1578  ,
1059  ,
549 ,
36  ,
-199  ,
52  ,
582 ,
886 ,
574 ,
-270  ,
-1088 ,
-1269 ,
-625  ,
537 ,
1706  ,
2588  ,
3169  ,
3518  ,
3612  ,
3362  ,
2830  ,
2242  ,
1853  ,
1713  ,
1706  ,
1679  ,
1616  ,
1621  ,
1760  ,
1953  ,
1955  ,
1539  ,
691 ,
-293  ,
-998  ,
-1222 ,
-1114 ,
-1035 ,
-1353 ,
-2291 ,
-3861 ,
-5795 ,
-7597 ,
-8736 ,
-8877 ,
-7970 ,
-6246 ,
-4169 ,
-2313 ,
-977  ,
27  ,
1190  ,
2897  ,
5197  ,
7847  ,
10430 ,
12456 ,
13529 ,
13539 ,
12579 ,
10793 ,
8361  ,
5644  ,
3121  ,
1054  ,
-574  ,
-1856 ,
-2786 ,
-3366 ,
-3671 ,
-3735 ,
-3461 ,
-2782 ,
-1767 ,
-506  ,
970 ,
2500  ,
3625  ,
3872  ,
3076  ,
1407  ,
-843  ,
-3354 ,
-5848 ,
-8371 ,
-11378  ,
-15322  ,
-19951  ,
-24107  ,
-26311  ,
-25507  ,
-21540  ,
-15297  ,
-8557 ,
-3270 ,
-606  ,
-412  ,
-1486 ,
-2197 ,
-1075 ,
2656  ,
8481  ,
14542 ,
18534 ,
19025 ,
16237 ,
11765 ,
7816  ,
6221  ,
7640  ,
11266 ,
15410 ,
18527 ,
19908 ,
19624 ,
18223 ,
16499 ,
15209 ,
14598 ,
14187 ,
13112 ,
10705 ,
6865  ,
2050  ,
-2947 ,
-7389 ,
-11054  ,
-14374  ,
-17971  ,
-21972  ,
-25783  ,
-28483  ,
-29354  ,
-28072  ,
-24792  ,
-20162  ,
-15159  ,
-10694  ,
-7231 ,
-4674 ,
-2496 ,
43  ,
3541  ,
7981  ,
12600 ,
16259 ,
18145 ,
18147 ,
16754 ,
14718 ,
12761 ,
11379 ,
10740 ,
10675 ,
10837 ,
10881 ,
10591 ,
9907  ,
8970  ,
8016  ,
7153  ,
6233  ,
4962  ,
3159  ,
900 ,
-1556 ,
-3974 ,
-6272 ,
-8557 ,
-11001  ,
-13747  ,
-16698  ,
-19457  ,
-21436  ,
-22155  ,
-21415  ,
-19387  ,
-16530  ,
-13410  ,
-10490  ,
-7945 ,
-5645 ,
-3361 ,
-953  ,
1521  ,
3892  ,
5943  ,
7458  ,
8301  ,
8502  ,
8214  ,
7597  ,
6765  ,
5852  ,
5070  ,
4653  ,
4748  ,
5352  ,
6314  ,
7320  ,
7951  ,
7878  ,
7001  ,
5473  ,
3572  ,
1637  ,
-56 ,
-1404 ,
-2548 ,
-3767 ,
-5280 ,
-7083 ,
-8919 ,
-10422  ,
-11235  ,
-11152  ,
-10166  ,
-8455 ,
-6295 ,
-3993 ,
-1850 ,
-116  ,
1067  ,
1705  ,
1950  ,
1988  ,
1982  ,
2042  ,
2228  ,
2609  ,
3180  ,
3786  ,
4163  ,
4124  ,
3677  ,
3063  ,
2643  ,
2716  ,
3327  ,
4195  ,
4850  ,
4910  ,
4248  ,
2986  ,
1396  ,
-176  ,
-1391 ,
-2131 ,
-2523 ,
-2814 ,
-3148 ,
-3464 ,
-3535 ,
-3116 ,
-2079 ,
-588  ,
887 ,
1873  ,
2151  ,
1862  ,
1328  ,
912 ,
881 ,
1232  ,
1595  ,
1431  ,
396 ,
-1408 ,
-3470 ,
-5110 ,
-5761 ,
-5209 ,
-3756 ,
-2000 ,
-471  ,
627 ,
1388  ,
2073  ,
3031  ,
4526  ,
6504  ,
8510  ,
9930  ,
10330 ,
9668  ,
8220  ,
6422  ,
4683  ,
3164  ,
1745  ,
219 ,
-1482 ,
-3228 ,
-4825 ,
-6039 ,
-6609 ,
-6305 ,
-5148 ,
-3470 ,
-1701 ,
-153  ,
1070  ,
2018  ,
2839  ,
3666  ,
4420  ,
4801  ,
4490  ,
3373  ,
1578  ,
-659  ,
-3036 ,
-5354 ,
-7642 ,
-10251  ,
-13501  ,
-17191  ,
-20426  ,
-22018  ,
-21098  ,
-17580  ,
-12317  ,
-6856 ,
-2802 ,
-1052 ,
-1391 ,
-2668 ,
-3372 ,
-2224 ,
1268  ,
6454  ,
11691 ,
15149 ,
15791 ,
13914 ,
10913 ,
8550  ,
8134  ,
9976  ,
13313 ,
16829 ,
19372 ,
20428 ,
20027 ,
18549 ,
16525 ,
14413 ,
12384 ,
10232 ,
7621  ,
4351  ,
512 ,
-3512 ,
-7279 ,
-10507  ,
-13256  ,
-15863  ,
-18594  ,
-21310  ,
-23457  ,
-24369  ,
-23619  ,
-21216  ,
-17623  ,
-13599  ,
-9893 ,
-6972 ,
-4898 ,
-3371 ,
-1894 ,
7 ,
2596  ,
5769  ,
9035  ,
11792 ,
13623 ,
14447 ,
14518 ,
14230 ,
13923 ,
13754 ,
13670 ,
13541 ,
13251 ,
12726 ,
11902 ,
10723 ,
9170  ,
7292  ,
5140  ,
2740  ,
160 ,
-2458 ,
-4827 ,
-6657 ,
-7808 ,
-8434 ,
-8955 ,
-9840 ,
-11319  ,
-13262  ,
-15263  ,
-16839  ,
-17598  ,
-17331  ,
-16098  ,
-14238  ,
-12237  ,
-10513  ,
-9182 ,
-8011 ,
-6591 ,
-4585 ,
-1955 ,
1037  ,
4052  ,
6847  ,
9338  ,
11458 ,
13104 ,
14164 ,
14542 ,
14171 ,
13036 ,
11298 ,
9319  ,
7512  ,
6094  ,
4907  ,
3472  ,
1325  ,
-1566 ,
-4686 ,
-7237 ,
-8676 ,
-8950 ,
-8361 ,
-7271 ,
-6059 ,
-5164 ,
-5025 ,
-5750 ,
-6903 ,
-7641 ,
-7231 ,
-5599 ,
-3448 ,
-1759 ,
-1041 ,
-1015 ,
-1012 ,
-590  ,
250 ,
1340  ,
2673  ,
4336  ,
6237  ,
7941  ,
8920  ,
8972  ,
8407  ,
7787  ,
7383  ,
6937  ,
5955  ,
4262  ,
2191  ,
279 ,
-1247 ,
-2587 ,
-4071 ,
-5738 ,
-7259 ,
-8210 ,
-8392 ,
-7924 ,
-7004 ,
-5693 ,
-3902 ,
-1645 ,
798 ,
3000  ,
4690  ,
5912  ,
6905  ,
7821  ,
8524  ,
8709  ,
8170  ,
6994  ,
5503  ,
3990  ,
2545  ,
1111  ,
-354  ,
-1776 ,
-2989 ,
-3860 ,
-4394 ,
-4692 ,
-4806 ,
-4650 ,
-4109 ,
-3177 ,
-2068 ,
-1040 ,
-229  ,
439 ,
1100  ,
1818  ,
2527  ,
3060  ,
3277  ,
3152  ,
2778  ,
2284  ,
1754  ,
1239  ,
836 ,
649 ,
683 ,
780 ,
771 ,
615 ,
427 ,
388 ,
651 ,
1221  ,
1963  ,
2632  ,
3052  ,
3181  ,
3066  ,
2728  ,
2185  ,
1520  ,
871 ,
276 ,
-360  ,
-1181 ,
-2248 ,
-3528 ,
-4964 ,
-6563 ,
-8466 ,
-10928  ,
-14000  ,
-17203  ,
-19557  ,
-20050  ,
-18317  ,
-14870  ,
-10844  ,
-7446 ,
-5459 ,
-4923 ,
-5135 ,
-5054 ,
-3727 ,
-702  ,
3836  ,
8977  ,
13334 ,
15655 ,
15542 ,
13699 ,
11517 ,
10290 ,
10625 ,
12286 ,
14446 ,
16197 ,
16997 ,
16799 ,
15818 ,
14349 ,
12672 ,
11069 ,
9692  ,
8454  ,
7081  ,
5255  ,
2817  ,
-210  ,
-3652 ,
-7251 ,
-10791  ,
-14184  ,
-17363  ,
-20124  ,
-22121  ,
-23037  ,
-22743  ,
-21293  ,
-18896  ,
-15861  ,
-12555  ,
-9270 ,
-6189 ,
-3338 ,
-609  ,
2214  ,
5343  ,
8790  ,
12246 ,
15153 ,
16982 ,
17450 ,
16642 ,
14981 ,
13083 ,
11498 ,
10515 ,
10092 ,
9968  ,
9774  ,
9198  ,
8094  ,
6560  ,
4855  ,
3216  ,
1732  ,
370 ,
-923  ,
-2182 ,
-3394 ,
-4576 ,
-5802 ,
-7234 ,
-9027 ,
-11164  ,
-13373  ,
-15223  ,
-16328  ,
-16500  ,
-15788  ,
-14437  ,
-12800  ,
-11210  ,
-9858 ,
-8698 ,
-7488 ,
-5915 ,
-3760 ,
-1041 ,
1946  ,
4789  ,
7207  ,
9110  ,
10525 ,
11431 ,
11785 ,
11618 ,
11076 ,
10326 ,
9494  ,
8641  ,
7764  ,
6808  ,
5649  ,
4078  ,
1860  ,
-1070 ,
-4359 ,
-7231 ,
-8918 ,
-9199 ,
-8519 ,
-7619 ,
-7046 ,
-6905 ,
-7048 ,
-7321 ,
-7625 ,
-7785 ,
-7452 ,
-6279 ,
-4257 ,
-1913 ,
-28 ,
962 ,
1277  ,
1502  ,
2027  ,
2817  ,
3646  ,
4448  ,
5404  ,
6628  ,
7911  ,
8756  ,
8706  ,
7751  ,
6332  ,
4940  ,
3746  ,
2601  ,
1386  ,
200 ,
-770  ,
-1517 ,
-2271 ,
-3288 ,
-4539 ,
-5667 ,
-6223 ,
-5956 ,
-4963 ,
-3567 ,
-2054 ,
-535  ,
933 ,
2247  ,
3265  ,
3963  ,
4473  ,
4981  ,
5542  ,
6045  ,
6264  ,
6003  ,
5246  ,
4116  ,
2789  ,
1366  ,
-141  ,
-1702 ,
-3183 ,
-4380 ,
-5131 ,
-5407 ,
-5335 ,
-5101 ,
-4839 ,
-4583 ,
-4263 ,
-3777 ,
-3052 ,
-2043 ,
-704  ,
957 ,
2783  ,
4432  ,
5535  ,
5891  ,
5563  ,
4824  ,
4014  ,
3356  ,
2875  ,
2467  ,
2040  ,
1547  ,
979 ,
330 ,
-367  ,
-932  ,
-1130 ,
-799  ,
35  ,
1150  ,
2225  ,
3027  ,
3492  ,
3670  ,
3591  ,
3186  ,
2359  ,
1153  ,
-243  ,
-1608 ,
-2823 ,
-3903 ,
-4928 ,
-5953 ,
-7010 ,
-8165 ,
-9578 ,
-11369  ,
-13408  ,
-15139  ,
-15755  ,
-14619  ,
-11730  ,
-7781 ,
-3855 ,
-937  ,
432 ,
278 ,
-815  ,
-1954 ,
-2246 ,
-1108 ,
1449  ,
4739  ,
7616  ,
9021  ,
8591  ,
6879  ,
5019  ,
4142  ,
4854  ,
7067  ,
10166 ,
13289 ,
15660 ,
16804 ,
16615 ,
15303 ,
13329 ,
11217 ,
9301  ,
7617  ,
5928  ,
3947  ,
1500  ,
-1330 ,
-4319 ,
-7200 ,
-9794 ,
-12033  ,
-13919  ,
-15364  ,
-16151  ,
-16027  ,
-14866  ,
-12768  ,
-10059  ,
-7202 ,
-4659 ,
-2744 ,
-1545 ,
-913  ,
-502  ,
121 ,
1331  ,
3211  ,
5467  ,
7520  ,
8800  ,
9025  ,
8318  ,
7123  ,
5992  ,
5401  ,
5553  ,
6338  ,
7416  ,
8336  ,
8698  ,
8271  ,
7134  ,
5616  ,
4104  ,
2865  ,
1938  ,
1205  ,
491 ,
-383  ,
-1503 ,
-2883 ,
-4445 ,
-6088 ,
-7718 ,
-9227 ,
-10493  ,
-11389  ,
-11811  ,
-11678  ,
-11010  ,
-9965 ,
-8818 ,
-7791 ,
-7000 ,
-6373 ,
-5704 ,
-4735 ,
-3271 ,
-1270 ,
1086  ,
3476  ,
5543  ,
7031  ,
7840  ,
8049  ,
7863  ,
7525  ,
7194  ,
6935  ,
6695  ,
6307  ,
5530  ,
4182  ,
2257  ,
-7  ,
-2259 ,
-4193 ,
-5629 ,
-6504 ,
-6813 ,
-6600 ,
-5986 ,
-5212 ,
-4565 ,
-4205 ,
-4048 ,
-3831 ,
-3326 ,
-2496 ,
-1510 ,
-585  ,
162 ,
699 ,
1032  ,
1110  ,
930 ,
598 ,
364 ,
487 ,
1047  ,
1893  ,
2789  ,
3595  ,
4347  ,
5088  ,
5732  ,
6085  ,
6013  ,
5554  ,
4855  ,
4066  ,
3199  ,
2136  ,
798 ,
-782  ,
-2423 ,
-3926 ,
-5143 ,
-5993 ,
-6422 ,
-6369 ,
-5848 ,
-4940 ,
-3779 ,
-2462 ,
-1052 ,
440 ,
1987  ,
3493  ,
4794  ,
5705  ,
6128  ,
6072  ,
5613  ,
4855  ,
3880  ,
2726  ,
1407  ,
-29 ,
-1486 ,
-2789 ,
-3762 ,
-4253 ,
-4213 ,
-3678 ,
-2769 ,
-1662 ,
-534  ,
487 ,
1363  ,
2126  ,
2834  ,
3519  ,
4117  ,
4486  ,
4468  ,
4009  ,
3149  ,
2022  ,
784 ,
-404  ,
-1410 ,
-2147 ,
-2597 ,
-2807 ,
-2866 ,
-2837 ,
-2721 ,
-2455 ,
-1954 ,
-1188 ,
-204  ,
890 ,
1937  ,
2800  ,
3362  ,
3584  ,
3521  ,
3275  ,
2920  ,
2497  ,
1993  ,
1365  ,
577 ,
-357  ,
-1355 ,
-2268 ,
-2963 ,
-3383 ,
-3556 ,
-3604 ,
-3677 ,
-3896 ,
-4282 ,
-4815 ,
-5479 ,
-6270 ,
-7087 ,
-7737 ,
-7975 ,
-7655 ,
-6837 ,
-5791 ,
-4881 ,
-4404 ,
-4438 ,
-4797 ,
-5123 ,
-4990 ,
-4082 ,
-2291 ,
185 ,
2853  ,
5115  ,
6539  ,
7113  ,
7228  ,
7435  ,
8172  ,
9562  ,
11369 ,
13142 ,
14401 ,
14823 ,
14301 ,
12975 ,
11146 ,
9193  ,
7437  ,
5986  ,
4718  ,
3398  ,
1819  ,
-80 ,
-2211 ,
-4372 ,
-6366 ,
-8066 ,
-9401 ,
-10342  ,
-10861  ,
-10954  ,
-10652  ,
-10016  ,
-9150 ,
-8146 ,
-7091 ,
-6039 ,
-5019 ,
-4030 ,
-3044 ,
-1989 ,
-790  ,
550 ,
1951  ,
3237  ,
4243  ,
4897  ,
5255  ,
5475  ,
5752  ,
6218  ,
6901  ,
7694  ,
8427  ,
8909  ,
8956  ,
8511  ,
7642  ,
6540  ,
5401  ,
4325  ,
3311  ,
2273  ,
1137  ,
-148  ,
-1589 ,
-3135 ,
-4710 ,
-6229 ,
-7580 ,
-8659 ,
-9389 ,
-9722 ,
-9658 ,
-9229 ,
-8505 ,
-7620 ,
-6726 ,
-5930 ,
-5211 ,
-4466 ,
-3548 ,
-2379 ,
-1006 ,
415 ,
1684  ,
2649  ,
3220  ,
3395  ,
3243  ,
2912  ,
2586  ,
2388  ,
2336  ,
2340  ,
2348  ,
2325  ,
2257  ,
2112  ,
1836  ,
1420  ,
905 ,
343 ,
-235  ,
-823  ,
-1427 ,
-2007 ,
-2489 ,
-2810 ,
-3053 ,
-3384 ,
-3897 ,
-4475 ,
-4864 ,
-4852 ,
-4389 ,
-3598 ,
-2637 ,
-1597 ,
-514  ,
561 ,
1529  ,
2313  ,
2951  ,
3610  ,
4404  ,
5279  ,
5998  ,
6358  ,
6333  ,
6043  ,
5597  ,
4982  ,
4129  ,
3039  ,
1838  ,
706 ,
-271  ,
-1132 ,
-1950 ,
-2715 ,
-3334 ,
-3723 ,
-3892 ,
-3928 ,
-3884 ,
-3732 ,
-3386 ,
-2824 ,
-2134 ,
-1433 ,
-808  ,
-257  ,
278 ,
800 ,
1294  ,
1740  ,
2162  ,
2578  ,
2973  ,
3278  ,
3448  ,
3474  ,
3398  ,
3268  ,
3091  ,
2856  ,
2529  ,
2105  ,
1625  ,
1128  ,
636 ,
164 ,
-283  ,
-686  ,
-1031 ,
-1330 ,
-1602 ,
-1812 ,
-1893 ,
-1815 ,
-1598 ,
-1314 ,
-1032 ,
-808  ,
-664  ,
-597  ,
-581  ,
-558  ,
-466  ,
-268  ,
13  ,
283 ,
442 ,
462 ,
398 ,
357 ,
410 ,
573 ,
829 ,
1122  ,
1386  ,
1564  ,
1573  ,
1399  ,
1078  ,
691 ,
335 ,
56  ,
-176  ,
-424  ,
-737  ,
-1114 ,
-1548 ,
-2020 ,
-2497 ,
-2934 ,
-3253 ,
-3381 ,
-3302 ,
-3077 ,
-2830 ,
-2719 ,
-2850 ,
-3278 ,
-3943 ,
-4679 ,
-5232 ,
-5366 ,
-4984 ,
-4204 ,
-3302 ,
-2594 ,
-2298 ,
-2442 ,
-2856 ,
-3207 ,
-3155 ,
-2485 ,
-1188 ,
515 ,
2269  ,
3727  ,
4695  ,
5241  ,
5613  ,
6090  ,
6844  ,
7900  ,
9123  ,
10276 ,
11085 ,
11343 ,
10972 ,
10074 ,
8845  ,
7498  ,
6170  ,
4887  ,
3607  ,
2277  ,
868 ,
-601  ,
-2092 ,
-3559 ,
-4919 ,
-6093 ,
-7000 ,
-7614 ,
-7950 ,
-8043 ,
-7888 ,
-7485 ,
-6846 ,
-6047 ,
-5201 ,
-4389 ,
-3646 ,
-2943 ,
-2211 ,
-1402 ,
-495  ,
484 ,
1490  ,
2427  ,
3202  ,
3762  ,
4124  ,
4351  ,
4552  ,
4802  ,
5131  ,
5481  ,
5788  ,
5970  ,
5980  ,
5793  ,
5413  ,
4856  ,
4162  ,
3365  ,
2524  ,
1674  ,
862 ,
111 ,
-628  ,
-1412 ,
-2304 ,
-3316 ,
-4380 ,
-5391 ,
-6217 ,
-6760 ,
-6967 ,
-6843 ,
-6504 ,
-6086 ,
-5718 ,
-5436 ,
-5185 ,
-4859 ,
-4348 ,
-3642 ,
-2821 ,
-1980 ,
-1194 ,
-528  ,
-8  ,
347 ,
568 ,
706 ,
797 ,
871 ,
915 ,
927 ,
925 ,
926 ,
932 ,
912 ,
822 ,
638 ,
402 ,
182 ,
47  ,
23  ,
98  ,
240 ,
418 ,
595 ,
710 ,
733 ,
673 ,
601 ,
604 ,
712 ,
871 ,
1012  ,
1071  ,
1066  ,
1034  ,
1008  ,
995 ,
1009  ,
1085  ,
1225  ,
1395  ,
1494  ,
1450  ,
1269  ,
1021  ,
786 ,
601 ,
408 ,
168 ,
-128  ,
-478  ,
-868  ,
-1289 ,
-1728 ,
-2125 ,
-2402 ,
-2503 ,
-2441 ,
-2263 ,
-2024 ,
-1724 ,
-1315 ,
-794  ,
-165  ,
519 ,
1232  ,
1944  ,
2622  ,
3234  ,
3733  ,
4091  ,
4306  ,
4399  ,
4377  ,
4217  ,
3885  ,
3394  ,
2792  ,
2140  ,
1508  ,
898 ,
308 ,
-256  ,
-773  ,
-1213 ,
-1573 ,
-1851 ,
-2038 ,
-2115 ,
-2084 ,
-1986 ,
-1862 ,
-1752 ,
-1673 ,
-1604 ,
-1535 ,
-1468 ,
-1409 ,
-1361 ,
-1334 ,
-1321 ,
-1304 ,
-1263 ,
-1194 ,
-1097 ,
-981  ,
-843  ,
-682  ,
-476  ,
-212  ,
128 ,
522 ,
926 ,
1295  ,
1588  ,
1795  ,
1922  ,
1985  ,
2006  ,
1997  ,
1935  ,
1801  ,
1547  ,
1158  ,
655 ,
116 ,
-386  ,
-803  ,
-1122 ,
-1376 ,
-1593 ,
-1807 ,
-2001 ,
-2160 ,
-2230 ,
-2185 ,
-2029 ,
-1810 ,
-1603 ,
-1486 ,
-1507 ,
-1688 ,
-1993 ,
-2365 ,
-2755 ,
-3102 ,
-3359 ,
-3491 ,
-3518 ,
-3514 ,
-3540 ,
-3620 ,
-3722 ,
-3757 ,
-3635 ,
-3261 ,
-2593 ,
-1640 ,
-474  ,
791 ,
2038  ,
3171  ,
4184  ,
5125  ,
6072  ,
7048  ,
8025  ,
8923  ,
9631  ,
10058 ,
10144 ,
9872  ,
9266  ,
8398  ,
7349  ,
6199  ,
4997  ,
3765  ,
2514  ,
1242  ,
-29 ,
-1250 ,
-2391 ,
-3423 ,
-4316 ,
-5044 ,
-5572 ,
-5904 ,
-6061 ,
-6078 ,
-5985 ,
-5774 ,
-5472 ,
-5107 ,
-4697 ,
-4256 ,
-3766 ,
-3216 ,
-2613 ,
-1955 ,
-1247 ,
-500  ,
258 ,
987 ,
1656  ,
2240  ,
2739  ,
3174  ,
3585  ,
3992  ,
4410  ,
4794  ,
5074  ,
5194  ,
5123  ,
4867  ,
4469  ,
3988  ,
3476  ,
2945  ,
2386  ,
1773  ,
1069  ,
268 ,
-634  ,
-1581 ,
-2531 ,
-3421 ,
-4212 ,
-4879 ,
-5417 ,
-5827 ,
-6100 ,
-6257 ,
-6304 ,
-6258 ,
-6136 ,
-5935 ,
-5661 ,
-5278 ,
-4803 ,
-4239 ,
-3635 ,
-3032 ,
-2454 ,
-1916 ,
-1417 ,
-939  ,
-465  ,
15  ,
514 ,
1001  ,
1457  ,
1847  ,
2182  ,
2479  ,
2757  ,
3009  ,
3215  ,
3353  ,
3402  ,
3369  ,
3251  ,
3060  ,
2815  ,
2542  ,
2247  ,
1931  ,
1589  ,
1213  ,
814 ,
421 ,
72  ,
-213  ,
-446  ,
-648  ,
-814  ,
-938  ,
-993  ,
-963  ,
-861  ,
-696  ,
-481  ,
-231  ,
19  ,
240 ,
413 ,
536 ,
628 ,
691 ,
712 ,
681 ,
591 ,
443 ,
266 ,
70  ,
-137  ,
-345  ,
-548  ,
-712  ,
-787  ,
-760  ,
-618  ,
-382  ,
-64 ,
306 ,
707 ,
1105  ,
1493  ,
1880  ,
2272  ,
2667  ,
3023  ,
3299  ,
3449  ,
3458  ,
3311  ,
3047  ,
2690  ,
2276  ,
1828  ,
1359  ,
865 ,
350 ,
-175  ,
-705  ,
-1204 ,
-1652 ,
-2011 ,
-2279 ,
-2455 ,
-2552 ,
-2574 ,
-2542 ,
-2465 ,
-2358 ,
-2241 ,
-2110 ,
-1970 ,
-1833 ,
-1704 ,
-1589 ,
-1473 ,
-1365 ,
-1262 ,
-1165 ,
-1065 ,
-962  ,
-848  ,
-725  ,
-595  ,
-460  ,
-294  ,
-77 ,
202 ,
541 ,
908 ,
1267  ,
1569  ,
1789  ,
1904  ,
1932  ,
1896  ,
1821  ,
1720  ,
1576  ,
1370  ,
1070  ,
654 ,
144 ,
-410  ,
-944  ,
-1406 ,
-1761 ,
-1995 ,
-2112 ,
-2135 ,
-2078 ,
-1955 ,
-1769 ,
-1528 ,
-1246 ,
-937  ,
-624  ,
-328  ,
-71 ,
112 ,
192 ,
141 ,
-69 ,
-435  ,
-907  ,
-1412 ,
-1885 ,
-2285 ,
-2609 ,
-2880 ,
-3117 ,
-3342 ,
-3520 ,
-3584 ,
-3462 ,
-3078 ,
-2412 ,
-1501 ,
-433  ,
693 ,
1796  ,
2828  ,
3806  ,
4756  ,
5688  ,
6577  ,
7376  ,
8020  ,
8432  ,
8553  ,
8375  ,
7937  ,
7289  ,
6497  ,
5595  ,
4622  ,
3596  ,
2544  ,
1477  ,
423 ,
-582  ,
-1508 ,
-2315 ,
-2979 ,
-3497 ,
-3859 ,
-4085 ,
-4195 ,
-4223 ,
-4191 ,
-4109 ,
-3963 ,
-3778 ,
-3548 ,
-3293 ,
-3018 ,
-2733 ,
-2449 ,
-2177 ,
-1886 ,
-1562 ,
-1189 ,
-782  ,
-354  ,
72  ,
490 ,
898 ,
1302  ,
1702  ,
2118  ,
2527  ,
2890  ,
3168  ,
3338  ,
3395  ,
3335  ,
3167  ,
2915  ,
2588  ,
2182  ,
1683  ,
1094  ,
417 ,
-310  ,
-1064 ,
-1800 ,
-2487 ,
-3102 ,
-3622 ,
-4049 ,
-4368 ,
-4571 ,
-4653 ,
-4633 ,
-4530 ,
-4351 ,
-4096 ,
-3776 ,
-3397 ,
-2978 ,
-2536 ,
-2085 ,
-1661 ,
-1301 ,
-998  ,
-746  ,
-516  ,
-299  ,
-85 ,
130 ,
344 ,
550 ,
734 ,
911 ,
1095  ,
1307  ,
1550  ,
1813  ,
2075  ,
2316  ,
2516  ,
2663  ,
2759  ,
2815  ,
2843  ,
2844  ,
2797  ,
2679  ,
2494  ,
2251  ,
1975  ,
1679  ,
1381  ,
1094  ,
828 ,
597 ,
390 ,
210 ,
59  ,
-57 ,
-140  ,
-188  ,
-207  ,
-212  ,
-197  ,
-182  ,
-177  ,
-192  ,
-243  ,
-338  ,
-470  ,
-624  ,
-792  ,
-961  ,
-1107 ,
-1242 ,
-1360 ,
-1459 ,
-1516 ,
-1513 ,
-1429 ,
-1251 ,
-976  ,
-615  ,
-194  ,
242 ,
687 ,
1129  ,
1569  ,
1993  ,
2374  ,
2680  ,
2896  ,
2998  ,
2972  ,
2819  ,
2553  ,
2205  ,
1784  ,
1303  ,
772 ,
213 ,
-344  ,
-883  ,
-1381 ,
-1802 ,
-2139 ,
-2385 ,
-2552 ,
-2637 ,
-2636 ,
-2547 ,
-2381 ,
-2153 ,
-1887 ,
-1603 ,
-1314 ,
-1046 ,
-793  ,
-561  ,
-350  ,
-175  ,
-47 ,
23  ,
36  ,
0 ,
-67 ,
-142  ,
-213  ,
-271  ,
-313  ,
-347  ,
-359  ,
-335  ,
-273  ,
-159  ,
-10 ,
181 ,
384 ,
576 ,
738 ,
862 ,
964 ,
1035  ,
1076  ,
1080  ,
1034  ,
933 ,
778 ,
570 ,
337 ,
96  ,
-131  ,
-318  ,
-457  ,
-537  ,
-559  ,
-520  ,
-427  ,
-296  ,
-127  ,
59  ,
255 ,
449 ,
615 ,
748 ,
826 ,
830 ,
752 ,
569 ,
291 ,
-80 ,
-532  ,
-1035 ,
-1532 ,
-1991 ,
-2391 ,
-2730 ,
-3003 ,
-3220 ,
-3372 ,
-3439 ,
-3398 ,
-3204 ,
-2840 ,
-2310 ,
-1631 ,
-845  ,
1 ,
849 ,
1683  ,
2478  ,
3238  ,
3971  ,
4658  ,
5279  ,
5805  ,
6194  ,
6410  ,
6437  ,
6283  ,
5968  ,
5520  ,
4972  ,
4355  ,
3685  ,
2965  ,
2198  ,
1392  ,
571 ,
-232  ,
-989  ,
-1681 ,
-2291 ,
-2807 ,
-3243 ,
-3605 ,
-3892 ,
-4100 ,
-4222 ,
-4257 ,
-4216 ,
-4102 ,
-3936 ,
-3734 ,
-3500 ,
-3234 ,
-2923 ,
-2569 ,
-2170 ,
-1730 ,
-1279 ,
-842  ,
-433  ,
-71 ,
260 ,
571 ,
883 ,
1188  ,
1480  ,
1747  ,
1966  ,
2118  ,
2204  ,
2220  ,
2190  ,
2123  ,
2027  ,
1911  ,
1774  ,
1605  ,
1389  ,
1108  ,
775 ,
402 ,
1 ,
-407  ,
-816  ,
-1203 ,
-1557 ,
-1885 ,
-2192 ,
-2463 ,
-2697 ,
-2874 ,
-2990 ,
-3040 ,
-3013 ,
-2903 ,
-2733 ,
-2510 ,
-2239 ,
-1934 ,
-1600 ,
-1245 ,
-894  ,
-546  ,
-216  ,
100 ,
398 ,
678 ,
942 ,
1193  ,
1424  ,
1606  ,
1749  ,
1841  ,
1895  ,
1914  ,
1917  ,
1910  ,
1910  ,
1915  ,
1913  ,
1891  ,
1848  ,
1788  ,
1719  ,
1637  ,
1548  ,
1463  ,
1392  ,
1318  ,
1243  ,
1156  ,
1036  ,
885 ,
693 ,
464 ,
219 ,
-29 ,
-275  ,
-510  ,
-722  ,
-906  ,
-1079 ,
-1240 ,
-1383 ,
-1499 ,
-1568 ,
-1584 ,
-1549 ,
-1466 ,
-1328 ,
-1160 ,
-978  ,
-797  ,
-623  ,
-451  ,
-281  ,
-127  ,
17  ,
152 ,
274 ,
378 ,
465 ,
543 ,
618 ,
689 ,
741 ,
781 ,
799 ,
809 ,
801 ,
773 ,
736 ,
694 ,
639 ,
556 ,
447 ,
310 ,
163 ,
-4  ,
-180  ,
-352  ,
-503  ,
-637  ,
-751  ,
-854  ,
-945  ,
-1021 ,
-1079 ,
-1114 ,
-1125 ,
-1111 ,
-1056 ,
-962  ,
-835  ,
-689  ,
-540  ,
-378  ,
-211  ,
-47 ,
108 ,
261 ,
412 ,
549 ,
652 ,
712 ,
726 ,
702 ,
632 ,
522 ,
393 ,
257 ,
120 ,
-21 ,
-161  ,
-285  ,
-384  ,
-460  ,
-505  ,
-502  ,
-459  ,
-370  ,
-247  ,
-100  ,
57  ,
217 ,
371 ,
516 ,
650 ,
771 ,
882 ,
966 ,
1026  ,
1069  ,
1090  ,
1088  ,
1057  ,
1017  ,
965 ,
898 ,
815 ,
712 ,
599 ,
458 ,
294 ,
119 ,
-64 ,
-263  ,
-485  ,
-725  ,
-983  ,
-1261 ,
-1557 ,
-1855 ,
-2115 ,
-2311 ,
-2441 ,
-2513 ,
-2553 ,
-2570 ,
-2578 ,
-2567 ,
-2504 ,
-2360 ,
-2102 ,
-1733 ,
-1269 ,
-749  ,
-203  ,
339 ,
864 ,
1383  ,
1909  ,
2450  ,
2988  ,
3498  ,
3942  ,
4287  ,
4507  ,
4588  ,
4538  ,
4382  ,
4136  ,
3805  ,
3391  ,
2909  ,
2366  ,
1780  ,
1159  ,
529 ,
-87 ,
-674  ,
-1222 ,
-1710 ,
-2147 ,
-2513 ,
-2804 ,
-3026 ,
-3170 ,
-3252 ,
-3270 ,
-3245 ,
-3182 ,
-3083 ,
-2945 ,
-2774 ,
-2564 ,
-2330 ,
-2062 ,
-1776 ,
-1491 ,
-1209 ,
-930  ,
-659  ,
-392  ,
-130  ,
131 ,
403 ,
673 ,
945 ,
1203  ,
1441  ,
1655  ,
1843  ,
2000  ,
2141  ,
2259  ,
2344  ,
2403  ,
2415  ,
2377  ,
2279  ,
2120  ,
1908  ,
1646  ,
1339  ,
999 ,
636 ,
256 ,
-120  ,
-487  ,
-841  ,
-1169 ,
-1461 ,
-1713 ,
-1919 ,
-2078 ,
-2182 ,
-2232 ,
-2220 ,
-2166 ,
-2071 ,
-1954 ,
-1805 ,
-1649 ,
-1484 ,
-1309 ,
-1126 ,
-932  ,
-739  ,
-539  ,
-343  ,
-150  ,
45  ,
246 ,
448 ,
659 ,
868 ,
1071  ,
1255  ,
1420  ,
1582  ,
1729  ,
1863  ,
1970  ,
2050  ,
2104  ,
2122  ,
2100  ,
2031  ,
1919  ,
1771  ,
1593  ,
1384  ,
1156  ,
895 ,
608 ,
307 ,
-10 ,
-328  ,
-637  ,
-925  ,
-1182 ,
-1390 ,
-1561 ,
-1684 ,
-1763 ,
-1797 ,
-1784 ,
-1729 ,
-1638 ,
-1513 ,
-1367 ,
-1198 ,
-1013 ,
-831  ,
-648  ,
-474  ,
-316  ,
-167  ,
-22 ,
110 ,
223 ,
307 ,
383 ,
453 ,
513 ,
570 ,
625 ,
682 ,
738 ,
781 ,
801 ,
802 ,
791 ,
765 ,
727 ,
685 ,
624 ,
550 ,
465 ,
355 ,
220 ,
77  ,
-79 ,
-222  ,
-356  ,
-486  ,
-594  ,
-692  ,
-767  ,
-825  ,
-862  ,
-862  ,
-837  ,
-793  ,
-718  ,
-628  ,
-521  ,
-393  ,
-255  ,
-107  ,
40  ,
171 ,
293 ,
382 ,
445 ,
472 ,
466 ,
443 ,
398 ,
340 ,
271 ,
191 ,
108 ,
23  ,
-66 ,
-137  ,
-194  ,
-220  ,
-215  ,
-182  ,
-117  ,
-30 ,
74  ,
188 ,
300 ,
403 ,
506 ,
605 ,
696 ,
770 ,
824 ,
850 ,
853 ,
821 ,
763 ,
681 ,
589 ,
494 ,
392 ,
294 ,
204 ,
125 ,
53  ,
-19 ,
-90 ,
-159  ,
-233  ,
-298  ,
-358  ,
-409  ,
-458  ,
-506  ,
-561  ,
-628  ,
-722  ,
-834  ,
-967  ,
-1107 ,
-1237 ,
-1340 ,
-1400 ,
-1409 ,
-1375 ,
-1320 ,
-1273 ,
-1232 ,
-1190 ,
-1128 ,
-1021 ,
-852  ,
-618  ,
-319  ,
17  ,
345 ,
635 ,
881 ,
1101  ,
1292  ,
1480  ,
1673  ,
1878  ,
2060  ,
2201  ,
2262  ,
2245  ,
2148  ,
1980  ,
1775  ,
1557  ,
1343  ,
1123  ,
892 ,
660 ,
407 ,
133 ,
-146  ,
-424  ,
-675  ,
-896  ,
-1079 ,
-1229 ,
-1335 ,
-1423 ,
-1486 ,
-1532 ,
-1562 ,
-1575 ,
-1571 ,
-1561 ,
-1538 ,
-1497 ,
-1435 ,
-1344 ,
-1227 ,
-1084 ,
-922  ,
-750  ,
-578  ,
-410  ,
-251  ,
-85 ,
93  ,
294 ,
513 ,
750 ,
985 ,
1195  ,
1360  ,
1473  ,
1541  ,
1577  ,
1590  ,
1603  ,
1600  ,
1585  ,
1539  ,
1450  ,
1310  ,
1133  ,
925 ,
707 ,
497 ,
302 ,
121 ,
-45 ,
-207  ,
-372  ,
-543  ,
-716  ,
-880  ,
-1028 ,
-1162 ,
-1277 ,
-1358 ,
-1412 ,
-1448 ,
-1463 ,
-1452 ,
-1415 ,
-1368 ,
-1307 ,
-1236 ,
-1148 ,
-1031 ,
-895  ,
-733  ,
-545  ,
-327  ,
-109  ,
102 ,
289 ,
462 ,
628 ,
782 ,
933 ,
1078  ,
1218  ,
1339  ,
1422  ,
1470  ,
1482  ,
1462  ,
1413  ,
1330  ,
1233  ,
1126  ,
1010  ,
877 ,
719 ,
553 ,
375 ,
193 ,
0 ,
-194  ,
-370  ,
-524  ,
-663  ,
-780  ,
-877  ,
-954  ,
-1010 ,
-1044 ,
-1066 ,
-1071 ,
-1053 ,
-1007 ,
-944  ,
-864  ,
-773  ,
-667  ,
-562  ,
-466  ,
-380  ,
-289  ,
-198  ,
-93 ,
20  ,
134 ,
245 ,
351 ,
436 ,
498 ,
542 ,
586 ,
631 ,
676 ,
711 ,
733 ,
732 ,
712 ,
669 ,
597 ,
516 ,
431 ,
345 ,
252 ,
157 ,
54  ,
-51 ,
-148  ,
-241  ,
-311  ,
-377  ,
-427  ,
-458  ,
-480  ,
-490  ,
-489  ,
-477  ,
-448  ,
-402  ,
-350  ,
-295  ,
-243  ,
-204  ,
-170  ,
-142  ,
-113  ,
-81 ,
-42 ,
-3  ,
30  ,
54  ,
64  ,
64  ,
50  ,
47  ,
52  ,
72  ,
107 ,
148 ,
185 ,
208 ,
219 ,
224 ,
218 ,
216 ,
227 ,
245 ,
265 ,
276 ,
275 ,
263 ,
241 ,
210 ,
175 ,
146 ,
122 ,
97  ,
72  ,
53  ,
37  ,
21  ,
9 ,
-3  ,
-9  ,
-13 ,
-17 ,
-24 ,
-23 ,
-10 ,
13  ,
32  ,
53  ,
78  ,
93  ,
88  ,
77  ,
67  ,
60  ,
48  ,
36  ,
25  ,
-4  ,
-49 ,
-114  ,
-197  ,
-301  ,
-414  ,
-518  ,
-599  ,
-646  ,
-656  ,
-642  ,
-627  ,
-630  ,
-655  ,
-692  ,
-715  ,
-697  ,
-628  ,
-512  ,
-362  ,
-188  ,
-37 ,
76  ,
152 ,
222 ,
304 ,
400 ,
515 ,
659 ,
804 ,
931 ,
1015  ,
1049  ,
1048  ,
1019  ,
985 ,
949 ,
901 ,
852 ,
788 ,
702 ,
590 ,
450 ,
285 ,
111 ,
-58 ,
-211  ,
-349  ,
-470  ,
-581  ,
-669  ,
-748  ,
-812  ,
-862  ,
-895  ,
-904  ,
-904  ,
-883  ,
-857  ,
-814  ,
-750  ,
-672  ,
-580  ,
-478  ,
-379  ,
-280  ,
-198  ,
-127  ,
-68 ,
0 ,
83  ,
176 ,
272 ,
375 ,
465 ,
527 ,
568 ,
592 ,
611 ,
631 ,
663 ,
701 ,
739 ,
765 ,
764 ,
732 ,
677 ,
609 ,
529 ,
458 ,
386 ,
320 ,
248 ,
171 ,
77  ,
-31 ,
-150  ,
-273  ,
-388  ,
-488  ,
-573  ,
-635  ,
-682  ,
-721  ,
-753  ,
-775  ,
-782  ,
-786  ,
-776  ,
-744  ,
-701  ,
-647  ,
-585  ,
-508  ,
-416  ,
-309  ,
-211  ,
-107  ,
-15 ,
77  ,
157 ,
241 ,
331 ,
422 ,
512 ,
591 ,
656 ,
698 ,
725 ,
721 ,
698 ,
669 ,
637 ,
592 ,
547 ,
492 ,
429 ,
347 ,
261 ,
167 ,
72  ,
-17 ,
-107  ,
-183  ,
-243  ,
-292  ,
-327  ,
-360  ,
-378  ,
-396  ,
-414  ,
-419  ,
-421  ,
-408  ,
-371  ,
-323  ,
-280  ,
-241  ,
-206  ,
-175  ,
-155  ,
-140  ,
-123  ,
-93 ,
-57 ,
-17 ,
16  ,
36  ,
56  ,
69  ,
74  ,
86  ,
104 ,
126 ,
149 ,
165 ,
180 ,
184 ,
182 ,
170 ,
150 ,
137 ,
112 ,
87  ,
64  ,
37  ,
17  ,
3 ,
-13 ,
-29 ,
-42 ,
-52 ,
-59 ,
-76 ,
-83 ,
-85 ,
-69 ,
-54 ,
-34 ,
-13 ,
12  ,
31  ,
41  ,
45  ,
47  ,
51  ,
62  ,
69  ,
82  ,
88  ,
85  ,
76  ,
46  ,
13  ,
-16 ,
-37 ,
-49 ,
-59 ,
-56 ,
-50 ,
-54 ,
-66 ,
-80 ,
-83 ,
-78 ,
-66 ,
-50 ,
-18 ,
13  ,
31  ,
40  ,
47  ,
52  ,
55  ,
55  ,
60  ,
70  ,
80  ,
86  ,
83  ,
76  ,
66  ,
54  ,
41  ,
26  ,
15  ,
17  ,
17  ,
17  ,
10  ,
9 ,
7 ,
7 ,
6 ,
13  ,
26  ,
40  ,
61  ,
80  ,
97  ,
110 ,
119 ,
117 ,
120 ,
112 ,
101 ,
87  ,
71  ,
47  ,
12  ,
-38 ,
-100  ,
-178  ,
-273  ,
-362  ,
-431  ,
-476  ,
-484  ,
-475  ,
-465  ,
-459  ,
-473  ,
-495  ,
-512  ,
-494  ,
-430  ,
-339  ,
-216  ,
-101  ,
1 ,
75  ,
123 ,
157 ,
203 ,
264 ,
342 ,
431 ,
511 ,
565 ,
594 ,
596 ,
587 ,
567 ,
547 ,
536 ,
529 ,
506 ,
469 ,
413 ,
348 ,
275 ,
195 ,
111 ,
34  ,
-45 ,
-129  ,
-211  ,
-294  ,
-367  ,
-426  ,
-471  ,
-508  ,
-530  ,
-534  ,
-529  ,
-520  ,
-502  ,
-464  ,
-406  ,
-336  ,
-259  ,
-173  ,
-86 ,
-6  ,
57  ,
108 ,
154 ,
205 ,
247 ,
296 ,
332 ,
360 ,
370 ,
366 ,
347 ,
325 ,
295 ,
267 ,
247 ,
231 ,
210 ,
188 ,
156 ,
122 ,
85  ,
52  ,
19  ,
-12 ,
-32 ,
-47 ,
-60 ,
-74 ,
-86 ,
-94 ,
-104  ,
-114  ,
-128  ,
-145  ,
-158  ,
-176  ,
-184  ,
-202  ,
-218  ,
-241  ,
-267  ,
-285  ,
-313  ,
-333  ,
-344  ,
-341  ,
-322  ,
-307  ,
-275  ,
-238  ,
-188  ,
-129  ,
-67 ,
0 ,
72  ,
147 ,
218 ,
280 ,
341 ,
392 ,
433 ,
461 ,
478 ,
488 ,
476 ,
452 ,
418 ,
374 ,
322 ,
262 ,
198 ,
132 ,
65  ,
-3  ,
-71 ,
-134  ,
-190  ,
-241  ,
-284  ,
-326  ,
-353  ,
-367  ,
-376  ,
-374  ,
-364  ,
-349  ,
-333  ,
-311  ,
-283  ,
-241  ,
-193  ,
-143  ,
-95 ,
-42 ,
1 ,
43  ,
73  ,
106 ,
146 ,
171 ,
191 ,
202 ,
206 ,
203 ,
199 ,
194 ,
185 ,
174 ,
160 ,
140 ,
116 ,
88  ,
63  ,
46  ,
40  ,
37  ,
36  ,
34  ,
21  ,
2 ,
-22 ,
-41 ,
-58 ,
-70 ,
-73 ,
-71 ,
-74 ,
-82 ,
-94 ,
-107  ,
-115  ,
-123  ,
-118  ,
-104  ,
-83 ,
-61 ,
-44 ,
-31 ,
-26 ,
-25 ,
-18 ,
-5  ,
10  ,
19  ,
31  ,
37  ,
29  ,
20  ,
6 ,
2 ,
6 ,
12  ,
24  ,
37  ,
54  ,
64  ,
70  ,
82  ,
104 ,
127 ,
141 ,
152 ,
157 ,
157 ,
149 ,
131 ,
118 ,
103 ,
81  ,
61  ,
27  ,
-13 ,
-50 ,
-83 ,
-102  ,
-120  ,
-128  ,
-130  ,
-128  ,
-123  ,
-117  ,
-112  ,
-104  ,
-91 ,
-70 ,
-50 ,
-34 ,
-20 ,
-1  ,
10  ,
13  ,
13  ,
19  ,
28  ,
44  ,
53  ,
68  ,
77  ,
90  ,
93  ,
86  ,
80  ,
73  ,
62  ,
55  ,
50  ,
36  ,
24  ,
3 ,
-18 ,
-40 ,
-61 ,
-78 ,
-91 ,
-97 ,
-93 ,
-88 ,
-83 ,
-68 ,
-56 ,
-44 ,
-40 ,
-33 ,
-30 ,
-22 ,
-21 ,
-18 ,
-11 ,
-4  ,
-6  ,
-18 ,
-35 ,
-53 ,
-70 ,
-84 ,
-90 ,
-89 ,
-79 ,
-70 ,
-65 ,
-57 ,
-43 ,
-40 ,
-34 ,
-28 ,
-18 ,
5 ,
23  ,
34  ,
54  ,
69  ,
77  ,
79  ,
70  ,
73  ,
84  ,
95  ,
110 ,
118 ,
131 ,
137 ,
138 ,
134 ,
122 ,
113 ,
105 ,
91  ,
71  ,
47  ,
26  ,
8 ,
-15 ,
-42 ,
-67 ,
-93 ,
-109  ,
-125  ,
-138  ,
-143  ,
-138  ,
-126  ,
-110  ,
-90 ,
-70 ,
-48 ,
-27 ,
-10 ,
7 ,
37  ,
60  ,
85  ,
101 ,
111 ,
107 ,
95  ,
83  ,
80  ,
70  ,
59  ,
52  ,
39  ,
27  ,
1 ,
-18 ,
-33 ,
-42 ,
-41 ,
-50 ,
-53 ,
-55 ,
-55 ,
-56 ,
-59 ,
-57 ,
-52 ,
-39 ,
-20 ,
-2  ,
15  ,
25  ,
32  ,
43  ,
52  ,
61  ,
62  ,
63  ,
54  ,
43  ,
22  ,
6 ,
-9  ,
-25 ,
-36 ,
-43 ,
-58 ,
-69 ,
-84 ,
-91 ,
-85 ,
-79 ,
-65 ,
-51 ,
-36 ,
-15 ,
-4  ,
3 ,
6 ,
17  ,
23  ,
28  ,
31  ,
26  ,
22  ,
20  ,
15  ,
6 ,
-3  ,
-4  ,
2 ,
11  ,
18  ,
14  ,
23  ,
36  ,
44  ,
50  ,
56  ,
60  ,
65  ,
64  ,
54  ,
43  ,
35  ,
24  ,
11  ,
5 ,
-5  ,
-27 ,
-45 ,
-62 ,
-78 ,
-96 ,
-106  ,
-108  ,
-98 ,
-83 ,
-72 ,
-65 ,
-58 ,
-48 ,
-43 ,
-36 ,
-23 ,
-4  ,
18  ,
33  ,
41  ,
47  ,
45  ,
40  ,
31  ,
25  ,
23  ,
25  ,
21  ,
17  ,
7 ,
-10 ,
-20 ,
-29 ,
-38 ,
-40 ,
-40 ,
-27 ,
-21 ,
-13 ,
-6  ,
0 ,
16  ,
18  ,
24  ,
26  ,
33  ,
43  ,
49  ,
54  ,
55  ,
62  ,
58  ,
57  ,
50  ,
43  ,
38  ,
30  ,
26  ,
21  ,
21  ,
17  ,
7 ,
-9  ,
-23 ,
-34 ,
-47 ,
-55 ,
-58 ,
-56 ,
-54 ,
-57 ,
-56 ,
-57 ,
-55 ,
-50 ,
-42 ,
-37 ,
-32 ,
-17 ,
-4  ,
6 ,
13  ,
25  ,
42  ,
51  ,
58  ,
61  ,
68  ,
73  ,
74  ,
79  ,
83  ,
86  ,
85  ,
75  ,
60  ,
42  ,
26  ,
17  ,
5 ,
-2  ,
-7  ,
-15 ,
-34 ,
-44 ,
-50 ,
-56 ,
-55 ,
-47 ,
-40 ,
-24 ,
-10 ,
-7  ,
-3  ,
3 ,
4 ,
6 ,
11  ,
18  ,
17  ,
20  ,
12  ,
5 ,
2 ,
-5  ,
-13 ,
-20 ,
-23 ,
-26 ,
-30 ,
-28 ,
-25 ,
-22 ,
-12 ,
-3  ,
5 ,
14  ,
21  ,
23  ,
30  ,
33  ,
39  ,
47  ,
42  ,
33  ,
25  ,
20  ,
13  ,
-4  ,
-16 ,
-22 ,
-33 ,
-47 ,
-60 ,
-66 ,
-63 ,
-61 ,
-61 ,
-61 ,
-53 ,
-44 ,
-40 ,
-33 ,
-22 ,
-12 ,
0 ,
11  ,
18  ,
15  ,
11  ,
8 ,
6 ,
-3  ,
-16 ,
-20 ,
-23 ,
-17 ,
-21 ,
-26 ,
-35 ,
-39 ,
-41 ,
-41 ,
-44 ,
-40 ,
-26 ,
-12 ,
-4  ,
0 ,
12  ,
19  ,
24  ,
33  ,
33  ,
36  ,
39  ,
47  ,
52  ,
55  ,
57  ,
54  ,
48  ,
38  ,
21  ,
5 ,
-7  ,
-13 ,
-15 ,
-18 ,
-20 ,
-24 ,
-29 ,
-21 ,
-25 ,
-21 ,
-14 ,
-4  ,
13  ,
25  ,
32  ,
46  ,
56  ,
66  ,
67  ,
63  ,
53  ,
48  ,
40  ,
25  ,
18  ,
10  ,
1 ,
-8  ,
-22 ,
-39 ,
-50 ,
-59 ,
-59 ,
-58 ,
-50 ,
-45 ,
-31 ,
-22 ,
-20 ,
-14 ,
-11 ,
-5  ,
4 ,
10  ,
14  ,
21  ,
27  ,
35  ,
36  ,
38  ,
45  ,
40  ,
29  ,
29  ,
29  ,
34  ,
36  ,
40  ,
44  ,
50  ,
47  ,
35  ,
27  ,
25  ,
20  ,
14  ,
6 ,
3 ,
-2  ,
-14 ,
-32 ,
-41 ,
-47 ,
-50 ,
-68 ,
-71 ,
-69 ,
-64 ,
-64 ,
-60 ,
-50 ,
-44 ,
-35 ,
-27 ,
-23 ,
-19 ,
-12 ,
-1  ,
3 ,
3 ,
10  ,
12  ,
17  ,
16  ,
10  ,
2 ,
-1  ,
-1  ,
-1  ,
2 ,
4 ,
12  ,
17  ,
19  ,
13  ,
15  ,
18  ,
28  ,
28  ,
34  ,
43  ,
55  ,
60  ,
51  ,
43  ,
38  ,
35  ,
19  ,
12  ,
5 ,
-4  ,
-16 ,
-34 ,
-50 ,
-60 ,
-64 ,
-70 ,
-76 ,
-79 ,
-75 ,
-76 ,
-72 ,
-65 ,
-54 ,
-37 ,
-23 ,
-11 ,
-4  ,
12  ,
19  ,
18  ,
21  ,
23  ,
20  ,
17  ,
13  ,
8 ,
-6  ,
-21 ,
-29 ,
-33 ,
-37 ,
-37 ,
-33 ,
-26 ,
-18 ,
-5  ,
5 ,
20  ,
33  ,
48  ,
64  ,
82  ,
85  ,
92  ,
97  ,
96  ,
88  ,
74  ,
62  ,
49  ,
28  ,
16  ,
4 ,
-6  ,
-18 ,
-34 ,
-42 ,
-43 ,
-45 ,
-47 ,
-46 ,
-37 ,
-30 ,
-24 ,
-18 ,
-8  ,
4 ,
13  ,
21  ,
19  ,
18  ,
20  ,
16  ,
14  ,
16  ,
14  ,
18  ,
19  ,
12  ,
4 ,
-5  ,
-11 ,
-10 ,
-5  ,
-2  ,
1 ,
9 ,
12  ,
14  ,
13  ,
12  ,
14  ,
23  ,
31  ,
37  ,
41  ,
44  ,
49  ,
44  ,
35  ,
21  ,
16  ,
8 ,
-2  ,
-12 ,
-26 ,
-39 ,
-50 ,
-64 ,
-74 ,
-81 ,
-84 ,
-88 ,
-89 ,
-82 ,
-71 ,
-59 ,
-51 ,
-39 ,
-25 ,
-7  ,
0 ,
2 ,
8 ,
20  ,
31  ,
38  ,
32  ,
39  ,
48  ,
51  ,
43  ,
34  ,
40  ,
46  ,
43  ,
41  ,
36  ,
40  ,
41  ,
37  ,
33  ,
26  ,
20  ,
8 ,
-3  ,
-6  ,
-8  ,
-7  ,
-8  ,
-13 ,
-19 ,
-29 ,
-36 ,
-43 ,
-45 ,
-46 ,
-37 ,
-27 ,
-26 ,
-28 ,
-30 ,
-29 ,
-31 ,
-32 ,
-32 ,
-26 ,
-18 ,
-21 ,
-20 ,
-21 ,
-20 ,
-16 ,
-19 ,
-16 ,
-10 ,
-10 ,
-14 ,
-17 ,
-12 ,
-2  ,
3 ,
6 ,
10  ,
17  ,
22  ,
19  ,
15  ,
18  ,
21  ,
35  ,
35  ,
40  ,
42  ,
44  ,
44  ,
39  ,
37  ,
28  ,
24  ,
21  ,
10  ,
2 ,
-6  ,
-20 ,
-34 ,
-44 ,
-55 ,
-65 ,
-75 ,
-75 ,
-72 ,
-69 ,
-62 ,
-49 ,
-33 ,
-26 ,
-10 ,
6 ,
14  ,
23  ,
30  ,
28  ,
33  ,
33  ,
30  ,
28  ,
24  ,
17  ,
8 ,
0 ,
-10 ,
-10 ,
-13 ,
-7  ,
-2  ,
2 ,
12  ,
18  ,
25  ,
30  ,
33  ,
38  ,
45  ,
47  ,
48  ,
50  ,
47  ,
39  ,
38  ,
35  ,
25  ,
14  ,
7 ,
11  ,
7 ,
0 ,
-2  ,
0 ,
3 ,
1 ,
-2  ,
-1  ,
2 ,
8 ,
7 ,
4 ,
4 ,
11  ,
10  ,
7 ,
-1  ,
0 ,
2 ,
-2  ,
-10 ,
-16 ,
-9  ,
-10 ,
-15 ,
-25 ,
-29 ,
-25 ,
-29 ,
-30 ,
-30 ,
-26 ,
-18 ,
-13 ,
-12 ,
0 ,
5 ,
16  ,
19  ,
23  ,
30  ,
31  ,
34  ,
31  ,
34  ,
30  ,
28  ,
20  ,
14  ,
5 ,
-1  ,
-12 ,
-24 ,
-33 ,
-39 ,
-48 ,
-48 ,
-47 ,
-43 ,
-37 ,
-33 ,
-33 ,
-23 ,
-20 ,
-14 ,
-12 ,
-5  ,
5 ,
15  ,
24  ,
30  ,
30  ,
25  ,
20  ,
17  ,
18  ,
16  ,
11  ,
11  ,
4 ,
-3  ,
-10 ,
-18 ,
-23 ,
-27 ,
-28 ,
-30 ,
-30 ,
-26 ,
-26 ,
-16 ,
-17 ,
-20 ,
-10 ,
-5  ,
-1  ,
-7  ,
-2  ,
-2  ,
7 ,
10  ,
10  ,
9 ,
10  ,
5 ,
3 ,
6 ,
11  ,
12  ,
11  ,
13  ,
15  ,
14  ,
8 ,
5 ,
2 ,
3 ,
7 ,
4 ,
-5  ,
-9  ,
-14 ,
-15 ,
-17 ,
-19 ,
-12 ,
-5  ,
-10 ,
-10 ,
-14 ,
-8  ,
-6  ,
-5  ,
-3  ,
-3  ,
12  ,
20  ,
18  ,
9 ,
9 ,
10  ,
17  ,
15  ,
14  ,
12  ,
20  ,
27  ,
27  ,
18  ,
14  ,
13  ,
13  ,
10  ,
4 ,
1 ,
9 ,
9 ,
1 ,
-9  ,
-14 ,
-13 ,
-12 ,
-14 ,
-22 ,
-18 ,
-9  ,
-6  ,
-8  ,
-14 ,
-18 ,
-15 ,
-6  ,
-10 ,
-21 ,
-33 ,
-27 ,
-16 ,
-5  ,
-14 ,
-25 ,
-18 ,
-7  ,
3 ,
-6  ,
-11 ,
-10 ,
10  ,
26  ,
30  ,
26  ,
27  ,
32  ,
34  ,
28  ,
20  ,
13  ,
17  ,
18  ,
13  ,
13  ,
17  ,
24  ,
15  ,
6 ,
2 ,
9 ,
17  ,
14  ,
7 ,
1 ,
4 ,
18  ,
26  ,
9 ,
-21 ,
-32 ,
-17 ,
-1  ,
-23 ,
-66 ,
-84 ,
-52 ,
4 ,
10  ,
-39 ,
-93 ,
-79 ,
-8  ,
35  ,
12  ,
-41 ,
-37 ,
23  ,
72  ,
67  ,
27  ,
10  ,
26  ,
58  ,
74  ,
66  ,
52  ,
35  ,
30  ,
36  ,
51  ,
61  ,
42  ,
6 ,
-13 ,
0 ,
29  ,
42  ,
23  ,
-26 ,
-55 ,
-35 ,
10  ,
18  ,
-35 ,
-102  ,
-105  ,
-51 ,
-10 ,
-31 ,
-90 ,
-117  ,
-83 ,
-24 ,
-2  ,
-37 ,
-78 ,
-70 ,
-11 ,
43  ,
41  ,
-1  ,
-28 ,
-9  ,
29  ,
46  ,
33  ,
4 ,
-7  ,
6 ,
31  ,
31  ,
14  ,
0 ,
3 ,
21  ,
38  ,
41  ,
30  ,
13  ,
13  ,
27  ,
42  ,
43  ,
20  ,
-3  ,
-6  ,
13  ,
29  ,
25  ,
0 ,
-14 ,
2 ,
26  ,
29  ,
3 ,
-25 ,
-18 ,
5 ,
17  ,
-5  ,
-33 ,
-41 ,
-30 ,
-28 ,
-38 ,
-57 ,
-62 ,
-57 ,
-44 ,
-35 ,
-26 ,
-22 ,
-13 ,
-9  ,
-10 ,
-3  ,
4 ,
13  ,
9 ,
4 ,
0 ,
9 ,
19  ,
21  ,
2 ,
-14 ,
-10 ,
17  ,
38  ,
35  ,
14  ,
22  ,
52  ,
84  ,
81  ,
58  ,
46  ,
60  ,
76  ,
71  ,
46  ,
21  ,
18  ,
22  ,
12  ,
-8  ,
-30 ,
-40 ,
-47 ,
-52 ,
-65 ,
-67 ,
-58 ,
-47 ,
-49 ,
-61 ,
-66 ,
-52 ,
-38 ,
-32 ,
-37 ,
-41 ,
-24 ,
6 ,
21  ,
11  ,
-10 ,
-12 ,
10  ,
31  ,
32  ,
20  ,
8 ,
24  ,
48  ,
54  ,
38  ,
18  ,
19  ,
39  ,
58  ,
56  ,
42  ,
39  ,
46  ,
51  ,
49  ,
38  ,
37  ,
31  ,
29  ,
18  ,
8 ,
6 ,
-2  ,
-21 ,
-38 ,
-42 ,
-44 ,
-52 ,
-69 ,
-87 ,
-88 ,
-82 ,
-63 ,
-61 ,
-58 ,
-71 ,
-68 ,
-50 ,
-43 ,
-34 ,
-31 ,
-19 ,
0 ,
17  ,
33  ,
36  ,
33  ,
31  ,
33  ,
47  ,
57  ,
51  ,
39  ,
27  ,
23  ,
29  ,
33  ,
18  ,
-4  ,
-14 ,
-10 ,
3 ,
5 ,
-9  ,
-22 ,
-13 ,
-2  ,
13  ,
4 ,
-11 ,
-18 ,
-12 ,
3 ,
3 ,
-3  ,
-12 ,
-10 ,
-5  ,
-8  ,
-16 ,
-20 ,
-18 ,
-17 ,
-9  ,
1 ,
-1  ,
2 ,
-1  ,
-2  ,
-3  ,
-5  ,
2 ,
10  ,
16  ,
10  ,
13  ,
19  ,
23  ,
21  ,
11  ,
10  ,
18  ,
30  ,
35  ,
29  ,
23  ,
29  ,
35  ,
32  ,
24  ,
18  ,
16  ,
18  ,
12  ,
5 ,
-4  ,
-13 ,
-13 ,
-13 ,
-13 ,
-24 ,
-37 ,
-45 ,
-40 ,
-32 ,
-29 ,
-41 ,
-47 ,
-41 ,
-24 ,
-16 ,
-26 ,
-44 ,
-39 ,
-15 ,
4 ,
12  ,
2 ,
-2  ,
11  ,
24  ,
29  ,
24  ,
15  ,
14  ,
26  ,
42  ,
43  ,
27  ,
20  ,
23  ,
33  ,
35  ,
18  ,
9 ,
6 ,
15  ,
22  ,
13  ,
4 ,
-2  ,
5 ,
10  ,
-5  ,
-15 ,
-21 ,
-17 ,
-23 ,
-31 ,
-27 ,
-13 ,
-4  ,
-13 ,
-23 ,
-24 ,
-12 ,
3 ,
6 ,
-6  ,
-14 ,
0 ,
17  ,
26  ,
10  ,
-4  ,
-6  ,
9 ,
17  ,
7 ,
-10 ,
-18 ,
-7  ,
5 ,
6 ,
-9  ,
-22 ,
-25 ,
-14 ,
-13 ,
-23 ,
-33 ,
-31 ,
-14 ,
-1  ,
-9  ,
-27 ,
-31 ,
-16 ,
-4  ,
3 ,
-3  ,
3 ,
12  ,
16  ,
17  ,
16  ,
17  ,
21  ,
24  ,
26  ,
20  ,
18  ,
15  ,
18  ,
14  ,
8 ,
7 ,
11  ,
19  ,
15  ,
8 ,
0 ,
1 ,
8 ,
13  ,
7 ,
0 ,
5 ,
4 ,
-2  ,
-6  ,
-14 ,
-25 ,
-24 ,
-24 ,
-29 ,
-25 ,
-31 ,
-34 ,
-34 ,
-31 ,
-20 ,
-19 ,
-17 ,
-15 ,
-12 ,
-3  ,
11  ,
23  ,
28  ,
21  ,
23  ,
29  ,
33  ,
28  ,
17  ,
19  ,
19  ,
23  ,
17  ,
16  ,
16  ,
12  ,
8 ,
6 ,
8 ,
14  ,
14  ,
9 ,
10  ,
18  ,
19  ,
11  ,
-1  ,
-6  ,
-3  ,
-5  ,
-14 ,
-26 ,
-27 ,
-25 ,
-27 ,
-37 ,
-40 ,
-40 ,
-44 ,
-42 ,
-36 ,
-29 ,
-25 ,
-20 ,
-16 ,
-13 ,
-4  ,
3 ,
4 ,
0 ,
6 ,
14  ,
24  ,
27  ,
25  ,
24  ,
28  ,
31  ,
30  ,
35  ,
30  ,
25  ,
25  ,
33  ,
36  ,
29  ,
13  ,
7 ,
11  ,
10  ,
-2  ,
-14 ,
-17 ,
-8  ,
-3  ,
-4  ,
-13 ,
-13 ,
-10 ,
-13 ,
-15 ,
-15 ,
-8  ,
-4  ,
-4  ,
-7  ,
-6  ,
-9  ,
-5  ,
-7  ,
-12 ,
-12 ,
-8  ,
-5  ,
2 ,
5 ,
1 ,
0 ,
4 ,
9 ,
7 ,
6 ,
7 ,
7 ,
13  ,
13  ,
10  ,
1 ,
-2  ,
-3  ,
-7  ,
-13 ,
-16 ,
-18 ,
-21 ,
-22 ,
-25 ,
-27 ,
-21 ,
-16 ,
-15 ,
-20 ,
-19 ,
-13 ,
-6  ,
-9  ,
-10 ,
-6  ,
5 ,
11  ,
8 ,
1 ,
0 ,
0 ,
4 ,
1 ,
1 ,
6 ,
9 ,
9 ,
8 ,
4 ,
3 ,
1 ,
1 ,
2 ,
9 ,
13  ,
13  ,
4 ,
0 ,
3 ,
-2  ,
-2  ,
-3  ,
1 ,
3 ,
-2  ,
-4  ,
-2  ,
-1  ,
-3  ,
-2  ,
1 ,
12  ,
13  ,
6 ,
4 ,
4 ,
10  ,
13  ,
10  ,
7 ,
10  ,
15  ,
13  ,
8 ,
-2  ,
-1  ,
2 ,
8 ,
11  ,
11  ,
13  ,
14  ,
16  ,
18  ,
18  ,
11  ,
14  ,
19  ,
20  ,
16  ,
5 ,
4 ,
3 ,
-2  ,
-8  ,
-17 ,
-20 ,
-17 ,
-21 ,
-21 ,
-24 ,
-27 ,
-29 ,
-27 ,
-25 ,
-26 ,
-27 ,
-26 ,
-23 ,
-20 ,
-19 ,
-15 ,
-14 ,
-7  ,
-3  ,
6 ,
7 ,
12  ,
17  ,
22  ,
29  ,
26  ,
30  ,
35  ,
39  ,
35  ,
30  ,
23  ,
24  ,
25  ,
16  ,
5 ,
0 ,
1 ,
-2  ,
-3  ,
-10 ,
-13 ,
-11 ,
-13 ,
-18 ,
-19 ,
-19 ,
-15 ,
-13 ,
-12 ,
-13 ,
-14 ,
-13 ,
-16 ,
-18 ,
-17 ,
-20 ,
-18 ,
-16 ,
-13 ,
-16 ,
-17 ,
-16 ,
-7  ,
-3  ,
-3  ,
-4  ,
3 ,
4 ,
10  ,
9 ,
9 ,
15  ,
25  ,
20  ,
17  ,
17  ,
16  ,
17  ,
13  ,
5 ,
4 ,
8 ,
8 ,
7 ,
2 ,
0 ,
2 ,
8 ,
1 ,
3 ,
3 ,
10  ,
8 ,
1 ,
-2  ,
-6  ,
-5  ,
-13 ,
-19 ,
-25 ,
-28 ,
-36 ,
-37 ,
-38 ,
-40 ,
-40 ,
-40 ,
-34 ,
-26 ,
-23 ,
-20 ,
-16 ,
-1  ,
8 ,
15  ,
21  ,
26  ,
34  ,
41  ,
40  ,
41  ,
40  ,
41  ,
41  ,
39  ,
34  ,
25  ,
24  ,
21  ,
16  ,
13  ,
12  ,
16  ,
10  ,
1 ,
3 ,
0 ,
-4  ,
-9  ,
-7  ,
-6  ,
-4  ,
-4  ,
-2  ,
-6  ,
-7  ,
-11 ,
-13 ,
-12 ,
-9  ,
-13 ,
-16 ,
-16 ,
-12 ,
-9  ,
-9  ,
-8  ,
-8  ,
-9  ,
-10 ,
-5  ,
0 ,
5 ,
6 ,
8 ,
15  ,
23  ,
25  ,
21  ,
19  ,
24  ,
26  ,
22  ,
16  ,
16  ,
18  ,
13  ,
5 ,
0 ,
-1  ,
-3  ,
-9  ,
-13 ,
-13 ,
-11 ,
-12 ,
-11 ,
-14 ,
-13 ,
-15 ,
-19 ,
-23 ,
-25 ,
-23 ,
-26 ,
-29 ,
-26 ,
-24 ,
-27 ,
-28 ,
-32 ,
-30 ,
-24 ,
-22 ,
-18 ,
-13 ,
-7  ,
-1  ,
3 ,
7 ,
7 ,
11  ,
21  ,
22  ,
24  ,
27  ,
27  ,
26  ,
27  ,
33  ,
32  ,
30  ,
27  ,
28  ,
24  ,
20  ,
14  ,
9 ,
11  ,
11  ,
5 ,
2 ,
-1  ,
-6  ,
-14 ,
-9  ,
-12 ,
-14 ,
-17 ,
-19 ,
-16 ,
-17 ,
-21 ,
-25 ,
-25 ,
-26 ,
-26 ,
-27 ,
-29 ,
-27 ,
-22 ,
-20 ,
-17 ,
-12 ,
-2  ,
-2  ,
1 ,
3 ,
10  ,
14  ,
17  ,
20  ,
24  ,
26  ,
31  ,
28  ,
24  ,
22  ,
18  ,
16  ,
12  ,
12  ,
9 ,
7 ,
8 ,
6 ,
3 ,
0 ,
2 ,
2 ,
1 ,
0 ,
-3  ,
0 ,
-2  ,
3 ,
2 ,
-4  ,
-8  ,
-12 ,
-16 ,
-16 ,
-10 ,
-11 ,
-11 ,
-9  ,
-10 ,
-10 ,
-11 ,
-9  ,
-7  ,
-3  ,
2 ,
2 ,
5 ,
8 ,
6 ,
3 ,
2 ,
3 ,
4 ,
5 ,
1 ,
2 ,
3 ,
3 ,
5 ,
0 ,
6 ,
3 ,
4 ,
9 ,
10  ,
8 ,
8 ,
11  ,
9 ,
10  ,
9 ,
6 ,
4 ,
3 ,
6 ,
3 ,
2 ,
-3  ,
-4  ,
-6  ,
-7  ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-1  ,
-4  ,
-5  ,
-8  ,
-6  ,
-8  ,
-12 ,
-13 ,
-9  ,
-5  ,
-6  ,
-7  ,
-5  ,
1 ,
5 ,
3 ,
-1  ,
4 ,
11  ,
13  ,
12  ,
11  ,
16  ,
16  ,
9 ,
9 ,
7 ,
3 ,
5 ,
3 ,
0 ,
-1  ,
-1  ,
0 ,
1 ,
-2  ,
2 ,
0 ,
-1  ,
4 ,
0 ,
-2  ,
2 ,
-3  ,
-1  ,
-2  ,
-8  ,
-12 ,
-11 ,
-16 ,
-21 ,
-25 ,
-20 ,
-18 ,
-20 ,
-21 ,
-23 ,
-15 ,
-12 ,
-14 ,
-8  ,
0 ,
10  ,
15  ,
13  ,
21  ,
24  ,
27  ,
22  ,
20  ,
23  ,
20  ,
15  ,
15  ,
14  ,
13  ,
8 ,
10  ,
4 ,
-1  ,
0 ,
-6  ,
-5  ,
-9  ,
-7  ,
-10 ,
-11 ,
-11 ,
-12 ,
-11 ,
-12 ,
-12 ,
-20 ,
-18 ,
-13 ,
-14 ,
-13 ,
-12 ,
-10 ,
-8  ,
-10 ,
-7  ,
-9  ,
-6  ,
-3  ,
-2  ,
-3  ,
-4  ,
2 ,
3 ,
5 ,
0 ,
6 ,
13  ,
16  ,
19  ,
16  ,
16  ,
23  ,
25  ,
26  ,
21  ,
19  ,
17  ,
17  ,
7 ,
10  ,
4 ,
2 ,
0 ,
-4  ,
-3  ,
-6  ,
-7  ,
-7  ,
-8  ,
-10 ,
-8  ,
-4  ,
-1  ,
-5  ,
-8  ,
-4  ,
-4  ,
-6  ,
-7  ,
-7  ,
-2  ,
1 ,
-2  ,
3 ,
6 ,
4 ,
3 ,
0 ,
0 ,
8 ,
7 ,
5 ,
1 ,
6 ,
5 ,
2 ,
-6  ,
-3  ,
-1  ,
-2  ,
-4  ,
-7  ,
-9  ,
-1  ,
4 ,
0 ,
1 ,
7 ,
9 ,
4 ,
2 ,
3 ,
6 ,
6 ,
4 ,
3 ,
0 ,
-4  ,
-8  ,
-8  ,
-16 ,
-20 ,
-15 ,
-11 ,
-11 ,
-10 ,
-11 ,
-10 ,
-7  ,
-4  ,
-3  ,
2 ,
0 ,
3 ,
2 ,
1 ,
0 ,
0 ,
0 ,
-4  ,
-2  ,
-3  ,
2 ,
-1  ,
-3  ,
-3  ,
-1  ,
6 ,
4 ,
0 ,
6 ,
9 ,
10  ,
11  ,
10  ,
10  ,
7 ,
9 ,
10  ,
10  ,
8 ,
5 ,
5 ,
7 ,
3 ,
-1  ,
-3  ,
0 ,
-2  ,
-1  ,
-4  ,
-8  ,
-6  ,
-9  ,
-6  ,
-13 ,
-16 ,
-9  ,
-6  ,
-9  ,
-11 ,
-12 ,
-11 ,
-9  ,
-7  ,
-7  ,
-4  ,
-8  ,
-3  ,
1 ,
6 ,
3 ,
4 ,
7 ,
13  ,
15  ,
14  ,
13  ,
14  ,
18  ,
18  ,
15  ,
15  ,
16  ,
15  ,
9 ,
8 ,
6 ,
3 ,
1 ,
-4  ,
-3  ,
-5  ,
-10 ,
-11 ,
-13 ,
-11 ,
-9  ,
-13 ,
-11 ,
-8  ,
-8  ,
-9  ,
-11 ,
-10 ,
-9  ,
-4  ,
-6  ,
-6  ,
-2  ,
3 ,
1 ,
-2  ,
1 ,
4 ,
5 ,
3 ,
7 ,
5 ,
7 ,
11  ,
7 ,
5 ,
6 ,
8 ,
7 ,
6 ,
9 ,
7 ,
5 ,
7 ,
4 ,
2 ,
5 ,
6 ,
7 ,
5 ,
2 ,
1 ,
0 ,
0 ,
-2  ,
-3  ,
-10 ,
-3  ,
-4  ,
-7  ,
-9  ,
-11 ,
-8  ,
-8  ,
-6  ,
-6  ,
-7  ,
-2  ,
-4  ,
-4  ,
2 ,
0 ,
-2  ,
1 ,
5 ,
7 ,
7 ,
4 ,
7 ,
10  ,
10  ,
11  ,
9 ,
12  ,
13  ,
10  ,
7 ,
9 ,
5 ,
1 ,
4 ,
0 ,
-1  ,
-2  ,
-1  ,
-5  ,
-4  ,
-11 ,
-12 ,
-11 ,
-10 ,
-12 ,
-13 ,
-16 ,
-15 ,
-11 ,
-11 ,
-12 ,
-7  ,
-5  ,
-3  ,
-2  ,
-1  ,
0 ,
1 ,
2 ,
5 ,
0 ,
3 ,
4 ,
1 ,
-2  ,
-2  ,
-3  ,
0 ,
-5  ,
-8  ,
-9  ,
-7  ,
-5  ,
-7  ,
-7  ,
-4  ,
-1  ,
-3  ,
-3  ,
-1  ,
-2  ,
3 ,
3 ,
6 ,
-1  ,
3 ,
0 ,
2 ,
3 ,
4 ,
4 ,
8 ,
6 ,
7 ,
10  ,
7 ,
7 ,
9 ,
10  ,
12  ,
12  ,
10  ,
14  ,
10  ,
11  ,
10  ,
3 ,
4 ,
5 ,
6 ,
3 ,
-2  ,
-4  ,
0 ,
1 ,
-3  ,
-2  ,
1 ,
-1  ,
-1  ,
-2  ,
-2  ,
-5  ,
0 ,
2 ,
3 ,
1 ,
5 ,
5 ,
4 ,
-1  ,
-1  ,
3 ,
7 ,
7 ,
3 ,
6 ,
4 ,
2 ,
0 ,
0 ,
2 ,
4 ,
1 ,
-1  ,
-4  ,
-2  ,
-2  ,
-7  ,
-6  ,
-2  ,
-4  ,
-7  ,
-7  ,
-7  ,
-3  ,
-2  ,
-3  ,
-3  ,
0 ,
1 ,
1 ,
-1  ,
0 ,
3 ,
1 ,
0 ,
0 ,
-2  ,
-4  ,
-6  ,
-5  ,
-4  ,
-8  ,
-12 ,
-7  ,
-8  ,
-7  ,
-8  ,
-7  ,
-4  ,
-5  ,
-6  ,
-2  ,
2 ,
5 ,
10  ,
4 ,
5 ,
10  ,
1 ,
3 ,
1 ,
3 ,
1 ,
2 ,
1 ,
2 ,
0 ,
1 ,
2 ,
2 ,
-1  ,
1 ,
2 ,
4 ,
-1  ,
-3  ,
-6  ,
-5  ,
-1  ,
-5  ,
-10 ,
-6  ,
-8  ,
-5  ,
-5  ,
-9  ,
-9  ,
-7  ,
-3  ,
-4  ,
-5  ,
-4  ,
-1  ,
-2  ,
0 ,
3 ,
3 ,
4 ,
5 ,
3 ,
4 ,
2 ,
3 ,
1 ,
7 ,
9 ,
9 ,
4 ,
2 ,
5 ,
7 ,
5 ,
4 ,
4 ,
7 ,
7 ,
6 ,
5 ,
9 ,
8 ,
4 ,
7 ,
3 ,
6 ,
6 ,
-1  ,
0 ,
0 ,
-1  ,
-3  ,
-8  ,
-9  ,
-7  ,
-7  ,
-15 ,
-11 ,
-14 ,
-12 ,
-12 ,
-13 ,
-10 ,
-9  ,
-5  ,
-3  ,
-1  ,
1 ,
6 ,
5 ,
6 ,
6 ,
10  ,
11  ,
10  ,
8 ,
11  ,
11  ,
9 ,
7 ,
7 ,
8 ,
6 ,
5 ,
1 ,
1 ,
5 ,
3 ,
3 ,
-2  ,
-2  ,
3 ,
3 ,
2 ,
2 ,
1 ,
4 ,
-1  ,
0 ,
-2  ,
-2  ,
-1  ,
-1  ,
-5  ,
-7  ,
-7  ,
-8  ,
-12 ,
-8  ,
-8  ,
-7  ,
-8  ,
-10 ,
-8  ,
-2  ,
0 ,
-3  ,
-1  ,
3 ,
6 ,
5 ,
2 ,
3 ,
6 ,
10  ,
7 ,
7 ,
6 ,
9 ,
12  ,
8 ,
7 ,
4 ,
5 ,
1 ,
4 ,
2 ,
1 ,
0 ,
0 ,
1 ,
-3  ,
-5  ,
-4  ,
-8  ,
-6  ,
-3  ,
-4  ,
-1  ,
-5  ,
-2  ,
-3  ,
-3  ,
-3  ,
-4  ,
-4  ,
-4  ,
-5  ,
-4  ,
0 ,
-4  ,
-3  ,
-1  ,
0 ,
0 ,
-4  ,
0 ,
3 ,
3 ,
4 ,
1 ,
2 ,
4 ,
3 ,
3 ,
3 ,
1 ,
1 ,
0 ,
1 ,
3 ,
1 ,
1 ,
1 ,
1 ,
2 ,
1 ,
1 ,
0 ,
3 ,
0 ,
-1  ,
-3  ,
-3  ,
-3  ,
-5  ,
-6  ,
-7  ,
-4  ,
-6  ,
-4  ,
-8  ,
-7  ,
-5  ,
-4  ,
-2  ,
-4  ,
-1  ,
-1  ,
2 ,
0 ,
0 ,
3 ,
6 ,
3 ,
4 ,
5 ,
4 ,
1 ,
2 ,
2 ,
1 ,
2 ,
2 ,
2 ,
2 ,
3 ,
1 ,
-3  ,
-4  ,
-3  ,
-1  ,
-3  ,
-7  ,
-12 ,
-5  ,
-6  ,
-7  ,
-7  ,
-6  ,
-4  ,
-4  ,
-4  ,
-6  ,
-7  ,
-3  ,
3 ,
3 ,
5 ,
6 ,
7 ,
10  ,
11  ,
6 ,
7 ,
10  ,
10  ,
12  ,
9 ,
9 ,
7 ,
5 ,
3 ,
3 ,
0 ,
-3  ,
1 ,
-1  ,
-6  ,
-6  ,
-5  ,
-2  ,
-2  ,
-2  ,
2 ,
3 ,
5 ,
5 ,
5 ,
9 ,
7 ,
8 ,
6 ,
9 ,
9 ,
4 ,
1 ,
0 ,
2 ,
0 ,
-1  ,
-2  ,
-8  ,
-4  ,
-2  ,
-2  ,
-5  ,
-4  ,
2 ,
0 ,
-4  ,
-5  ,
-5  ,
-3  ,
-2  ,
-4  ,
-4  ,
2 ,
-2  ,
-3  ,
1 ,
-1  ,
-5  ,
-3  ,
-1  ,
1 ,
-2  ,
-4  ,
-2  ,
0 ,
-2  ,
-1  ,
-3  ,
0 ,
-1  ,
-1  ,
0 ,
-1  ,
2 ,
-2  ,
-1  ,
3 ,
3 ,
5 ,
5 ,
1 ,
3 ,
1 ,
2 ,
2 ,
2 ,
1 ,
1 ,
0 ,
-2  ,
-3  ,
0 ,
-1  ,
-1  ,
-3  ,
-1  ,
2 ,
-2  ,
-1  ,
0 ,
-1  ,
3 ,
1 ,
6 ,
5 ,
1 ,
1 ,
0 ,
0 ,
-1  ,
-1  ,
-4  ,
0 ,
-3  ,
-5  ,
-7  ,
-4  ,
-5  ,
-5  ,
-4  ,
-7  ,
-5  ,
-1  ,
1 ,
-6  ,
-2  ,
1 ,
2 ,
0 ,
-1  ,
4 ,
6 ,
4 ,
0 ,
1 ,
5 ,
5 ,
2 ,
3 ,
1 ,
1 ,
1 ,
-3  ,
-2  ,
-3  ,
-1  ,
0 ,
0 ,
-3  ,
-1  ,
0 ,
-2  ,
-1  ,
1 ,
-1  ,
2 ,
-2  ,
-5  ,
-1  ,
0 ,
-1  ,
0 ,
3 ,
1 ,
2 ,
2 ,
3 ,
4 ,
4 ,
2 ,
1 ,
-2  ,
1 ,
1 ,
-3  ,
-4  ,
-3  ,
0 ,
0 ,
-1  ,
-1  ,
0 ,
-1  ,
3 ,
1 ,
0 ,
5 ,
7 ,
5 ,
7 ,
6 ,
6 ,
5 ,
1 ,
-2  ,
-1  ,
-1  ,
-1  ,
-6  ,
-3  ,
-5  ,
-4  ,
-3  ,
-3  ,
-1  ,
0 ,
-1  ,
3 ,
4 ,
6 ,
3 ,
3 ,
2 ,
7 ,
2 ,
2 ,
0 ,
-1  ,
-1  ,
-4  ,
-3  ,
-5  ,
-4  ,
-5  ,
-5  ,
0 ,
-1  ,
-3  ,
-3  ,
1 ,
5 ,
0 ,
1 ,
5 ,
4 ,
3 ,
3 ,
6 ,
5 ,
4 ,
1 ,
1 ,
3 ,
1 ,
0 ,
-2  ,
-2  ,
-3  ,
-1  ,
-3  ,
-2  ,
-3  ,
-3  ,
-2  ,
-2  ,
-1  ,
-1  ,
-2  ,
-1  ,
0 ,
-1  ,
0 ,
-1  ,
-2  ,
-3  ,
-6  ,
-3  ,
-1  ,
-3  ,
-4  ,
-5  ,
-6  ,
-1  ,
-6  ,
-1  ,
-3  ,
-2  ,
-3  ,
-2  ,
-3  ,
-1  ,
1 ,
1 ,
1 ,
4 ,
3 ,
4 ,
4 ,
3 ,
5 ,
4 ,
4 ,
1 ,
2 ,
4 ,
4 ,
4 ,
3 ,
0 ,
0 ,
0 ,
0 ,
-3  ,
-3  ,
0 ,
-1  ,
-3  ,
-3  ,
-3  ,
0 ,
-2  ,
-3  ,
-2  ,
-2  ,
2 ,
0 ,
-4  ,
-2  ,
0 ,
0 ,
-3  ,
0 ,
0 ,
3 ,
4 ,
3 ,
1 ,
4 ,
5 ,
3 ,
3 ,
1 ,
3 ,
6 ,
2 ,
2 ,
2 ,
3 ,
3 ,
0 ,
-1  ,
-1  ,
0 ,
-1  ,
-1  ,
-4  ,
-3  ,
-4  ,
-3  ,
-3  ,
-2  ,
-4  ,
-1  ,
-2  ,
-1  ,
-2  ,
-2  ,
0 ,
1 ,
1 ,
0 ,
-1  ,
2 ,
1 ,
3 ,
3 ,
3 ,
1 ,
2 ,
2 ,
2 ,
1 ,
3 ,
0 ,
-1  ,
-1  ,
-2  ,
0 ,
1 ,
1 ,
-3  ,
-3  ,
0 ,
-1  ,
0 ,
-3  ,
-1  ,
-1  ,
0 ,
1 ,
-1  ,
1 ,
1 ,
1 ,
1 ,
2 ,
0 ,
1 ,
2 ,
0 ,
3 ,
0 ,
0 ,
0 ,
0 ,
1 ,
1 ,
-4  ,
1 ,
0 ,
2 ,
-3  ,
-4  ,
-1  ,
0 ,
-2  ,
-2  ,
-3  ,
-1  ,
1 ,
1 ,
1 ,
0 ,
0 ,
1 ,
-1  ,
1 ,
-1  ,
1 ,
0 ,
1 ,
1 ,
2 ,
0 ,
1 ,
-2  ,
0 ,
0 ,
0 ,
-1  ,
1 ,
-1  ,
0 ,
-1  ,
-3  ,
-1  ,
-4  ,
-1  ,
-4  ,
-3  ,
-3  ,
-4  ,
-2  ,
-2  ,
-4  ,
-2  ,
0 ,
-1  ,
1 ,
0 ,
0 ,
2 ,
1 ,
2 ,
0 ,
2 ,
1 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
-1  ,
-1  ,
0 ,
-1  ,
0 ,
1 ,
0 ,
1 ,
0 ,
1 ,
2 ,
-2  ,
1 ,
3 ,
2 ,
2 ,
0 ,
0 ,
2 ,
1 ,
-1  ,
-1  ,
1 ,
2 ,
1 ,
-2  ,
0 ,
-2  ,
0 ,
0 ,
0 ,
3 ,
2 ,
2 ,
1 ,
0 ,
1 ,
3 ,
1 ,
2 ,
2 ,
2 ,
1 ,
1 ,
0 ,
-1  ,
2 ,
1 ,
-1  ,
-1  ,
-2  ,
1 ,
-1  ,
-3  ,
-1  ,
0 ,
-2  ,
-3  ,
-2  ,
-2  ,
0 ,
-1  ,
-2  ,
0 ,
0 ,
0 ,
-1  ,
-1  ,
0 ,
0 ,
1 ,
2 ,
0 ,
-1  ,
1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
-1  ,
1 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
0 ,
-1  ,
-2  ,
-2  ,
-1  ,
0 ,
-2  ,
-2  ,
-2  ,
-2  ,
-2  ,
-2  ,
-1  ,
-1  ,
0 ,
0 ,
-2  ,
-2  ,
-1  ,
0 ,
-1  ,
-2  ,
-1  ,
0 ,
-1  ,
1 ,
0 ,
0 ,
1 ,
-1  ,
0 ,
2 ,
2 ,
2 ,
1 ,
1 ,
1 ,
1 ,
2 ,
3 ,
-1  ,
1 ,
1 ,
0 ,
0 ,
-2  ,
-1  ,
-2  ,
2 ,
-1  ,
0 ,
-2  ,
-2  ,
0 ,
-2  ,
0 ,
0 ,
-1  ,
-1  ,
0 ,
-2  ,
-1  ,
1 ,
1 ,
2 ,
2 ,
0 ,
0 ,
1 ,
2 ,
1 ,
1 ,
0 ,
1 ,
3 ,
4 ,
1 ,
1 ,
2 ,
2 ,
0 ,
1 ,
-2  ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
-1  ,
-1  ,
-2  ,
-1  ,
1 ,
-2  ,
-1  ,
-3  ,
-1  ,
0 ,
-1  ,
0 ,
-2  ,
-2  ,
-1  ,
0 ,
-2  ,
0 ,
0 ,
1 ,
0 ,
0 ,
1 ,
1 ,
1 ,
0 ,
1 ,
-1  ,
2 ,
0 ,
-1  ,
0 ,
1 ,
2 ,
2 ,
0 ,
0 ,
-2  ,
0 ,
1 ,
1 ,
-1  ,
0 ,
0 ,
0 ,
-1  ,
1 ,
-1  ,
-2  ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
2 ,
-1  ,
1 ,
1 ,
0 ,
-3  ,
-2  ,
1 ,
-2  ,
1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
1 ,
0 ,
0 ,
0 ,
0 ,
1 ,
1 ,
2 ,
1 ,
1 ,
1 ,
-1  ,
2 ,
1 ,
2 ,
3 ,
1 ,
-2  ,
-2  ,
-1  ,
0 ,
0 ,
-2  ,
1 ,
-1  ,
2 ,
0 ,
1 ,
0 ,
0 ,
-2  ,
1 ,
-2  ,
0 ,
1 ,
-3  ,
0 ,
1 ,
1 ,
2 ,
1 ,
0 ,
1 ,
-1  ,
1 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
0 ,
0 ,
0 ,
0 ,
0 ,
-3  ,
-2  ,
1 ,
0 ,
0 ,
0 ,
1 ,
0 ,
-2  ,
-3  ,
-1  ,
0 ,
1 ,
-1  ,
-2  ,
-1  ,
-1  ,
-2  ,
-3  ,
0 ,
0 ,
1 ,
0 ,
-2  ,
0 ,
2 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
0 ,
2 ,
-1  ,
-2  ,
0 ,
0 ,
3 ,
-1  ,
0 ,
0 ,
1 ,
0 ,
-1  ,
-1  ,
-1  ,
0 ,
0 ,
0 ,
-1  ,
-1  ,
3 ,
-1  ,
0 ,
1 ,
0 ,
0 ,
0 ,
1 ,
-1  ,
1 ,
0 ,
-2  ,
-1  ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
1 ,
0 ,
1 ,
1 ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
2 ,
-2  ,
0 ,
0 ,
0 ,
-2  ,
-2  ,
0 ,
1 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
-2  ,
2 ,
0 ,
-1  ,
0 ,
-1  ,
1 ,
0 ,
0 ,
0 ,
1 ,
-1  ,
2 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
2 ,
-2  ,
-1  ,
1 ,
-2  ,
0 ,
2 ,
1 ,
0 ,
-1  ,
1 ,
0 ,
-1  ,
-2  ,
-1  ,
-1  ,
0 ,
-4  ,
0 ,
0 ,
1 ,
0 ,
0 ,
0 ,
0 ,
1 ,
1 ,
0 ,
1 ,
0 ,
1 ,
2 ,
0 ,
2 ,
0 ,
0 ,
0 ,
0 ,
1 ,
0 ,
0 ,
0 ,
1 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
-2  ,
1 ,
0 ,
1 ,
0 ,
2 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
1 ,
-1  ,
1 ,
1 ,
-1  ,
1 ,
0 ,
0 ,
1 ,
2 ,
1 ,
-2  ,
0 ,
1 ,
-1  ,
0 ,
2 ,
1 ,
0 ,
-2  ,
-1  ,
-1  ,
1 ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
-2  ,
1 ,
0 ,
2 ,
0 ,
1 ,
0 ,
1 ,
-3  ,
-1  ,
1 ,
0 ,
0 ,
1 ,
-1  ,
0 ,
0 ,
1 ,
0 ,
1 ,
1 ,
0 ,
0 ,
-1  ,
1 ,
1 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
-2  ,
0 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
2 ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
-1  ,
2 ,
2 ,
0 ,
0 ,
-1  ,
2 ,
0 ,
1 ,
2 ,
0 ,
2 ,
0 ,
3 ,
-1  ,
-1  ,
1 ,
1 ,
1 ,
-1  ,
0 ,
-1  ,
-2  ,
0 ,
0 ,
0 ,
0 ,
-1  ,
3 ,
-2  ,
2 ,
1 ,
-1  ,
1 ,
0 ,
-1  ,
0 ,
0 ,
3 ,
1 ,
1 ,
1 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
-2  ,
-1  ,
2 ,
1 ,
0 ,
1 ,
-2  ,
2 ,
0 ,
1 ,
1 ,
0 ,
3 ,
1 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
2 ,
-1  ,
2 ,
-1  ,
0 ,
2 ,
0 ,
0 ,
0 ,
2 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
1 ,
-1  ,
2 ,
0 ,
2 ,
0 ,
0 ,
1 ,
1 ,
0 ,
0 ,
2 ,
2 ,
1 ,
0 ,
0 ,
-3  ,
-2  ,
-1  ,
-1  ,
1 ,
0 ,
1 ,
-1  ,
2 ,
-1  ,
0 ,
1 ,
0 ,
-1  ,
-2  ,
-1  ,
0 ,
-1  ,
-1  ,
-1  ,
0 ,
-1  ,
3 ,
0 ,
0 ,
-1  ,
-1  ,
-2  ,
-1  ,
0 ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
-2  ,
0 ,
1 ,
0 ,
1 ,
0 ,
0 ,
-1  ,
-1  ,
-1  ,
0 ,
-1  ,
0 ,
0 ,
-2  ,
-2  ,
-1  ,
0 ,
0 ,
0 ,
0 ,
0 ,
2 ,
0 ,
0 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
1 ,
0 ,
0 ,
1 ,
0 ,
-2  ,
-1  ,
0 ,
-1  ,
1 ,
1 ,
-2  ,
-1  ,
0 ,
1 ,
2 ,
0 ,
0 ,
0 ,
0 ,
1 ,
2 ,
-1  ,
1 ,
0 ,
0 ,
-2  ,
-1  ,
0 ,
1 ,
0 ,
0 ,
0 ,
0 ,
2 ,
0 ,
-1  ,
-2  ,
0 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
0 ,
-2  ,
1 ,
0 ,
0 ,
-1  ,
0 ,
2 ,
-2  ,
0 ,
0 ,
0 ,
2 ,
-1  ,
-1  ,
3 ,
1 ,
2 ,
0 ,
0 ,
0 ,
-1  ,
-1  ,
1 ,
-2  ,
0 ,
-2  ,
-1  ,
1 ,
0 ,
0 ,
2 ,
0 ,
0 ,
0 ,
0 ,
1 ,
1 ,
-2  ,
1 ,
-2  ,
0 ,
2 ,
-2  ,
1 ,
-1  ,
0 ,
1 ,
0 ,
0 ,
1 ,
-1  ,
0 ,
1 ,
-2  ,
-3  ,
0 ,
1 ,
-1  ,
-2  ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
-1  ,
0 ,
0 ,
-2  ,
1 ,
0 ,
-2  ,
-2  ,
2 ,
0 ,
-1  ,
-2  
};  //don't forget the semicolon!
