
// The audio values used below are 16-bit linear (not mu-law, which is what the regular Teensy audio
// library uses).  Assuming that you have a WAV file (or whatever) of the audio that you want, how
// do you extract the values as text numbers, as needed below?  It is a two step process:
//
// Step 1: Convert WAV to text.
//    Use Audacity to open your WAV file.  Then, under Audacity's "Tools" menu, use "Sample Data Export"
//    to export as a text file.  The text file will be saved on your computer somewhere.  
//
//    You can open the text file in Notepad or whatever.  If you do, you'll see that the values were 
//    printed as decimal values (ie, floating point) between -1.0 and +1.0.  For this Arduino sketch, 
//    we need 16-bit integer values, so we're not quite done.  Also, in this Audacity text file, there
//    is no comma after each value. We need the comma for defining our audio array below.  So, in short,
//    we need to reformat the file
//
// Step 2: Reformat the text
//   1) Open the Audacity text file in Micrsoft Excel (or whatever) 
//   2) Mutiply each value by 32678 and round to the nearest integer ("=ROUND(A1*32768,0)")  
//   3) In the cell to the right of each value, add a comma (add a comma to the first cell then fill-down)
//   4) Highlight the whole array of integer numbers and the commas, then copy (Ctrl-C), then paste the
//      text into this *.h file below.
//

#define SAMPLE_YES_LEN 12000
const uint32_t sample_YES_len = SAMPLE_YES_LEN;
const float sample_YES_sample_rate_Hz = 24000;
PROGMEM
const int16_t sample_YES[SAMPLE_YES_LEN] = {
-3  ,
-1  ,
-1  ,
-2  ,
0 ,
-1  ,
-1  ,
1 ,
0 ,
1 ,
-2  ,
2 ,
-1  ,
0 ,
0 ,
1 ,
1 ,
1 ,
-1  ,
1 ,
1 ,
-1  ,
1 ,
-4  ,
0 ,
-1  ,
1 ,
1 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
0 ,
2 ,
-1  ,
1 ,
-2  ,
1 ,
3 ,
3 ,
-2  ,
1 ,
0 ,
0 ,
-1  ,
2 ,
0 ,
-2  ,
1 ,
-1  ,
-1  ,
1 ,
1 ,
-3  ,
1 ,
2 ,
-2  ,
-2  ,
2 ,
0 ,
2 ,
0 ,
2 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
-2  ,
0 ,
-2  ,
-2  ,
2 ,
0 ,
1 ,
-1  ,
-2  ,
0 ,
0 ,
-1  ,
-1  ,
1 ,
0 ,
1 ,
0 ,
-2  ,
0 ,
-1  ,
-1  ,
1 ,
0 ,
1 ,
-1  ,
0 ,
-1  ,
0 ,
2 ,
1 ,
-1  ,
1 ,
0 ,
-1  ,
-2  ,
0 ,
0 ,
1 ,
2 ,
-1  ,
-1  ,
1 ,
0 ,
0 ,
-1  ,
1 ,
0 ,
0 ,
2 ,
-1  ,
1 ,
0 ,
4 ,
-1  ,
2 ,
0 ,
0 ,
1 ,
-1  ,
1 ,
-2  ,
-1  ,
0 ,
0 ,
-2  ,
1 ,
1 ,
0 ,
2 ,
-1  ,
0 ,
2 ,
-2  ,
0 ,
0 ,
0 ,
2 ,
0 ,
-2  ,
2 ,
3 ,
0 ,
0 ,
0 ,
0 ,
1 ,
0 ,
-2  ,
1 ,
0 ,
0 ,
0 ,
1 ,
0 ,
0 ,
-3  ,
-3  ,
0 ,
1 ,
-2  ,
0 ,
-1  ,
-1  ,
0 ,
-2  ,
1 ,
-2  ,
0 ,
0 ,
1 ,
-4  ,
3 ,
-1  ,
3 ,
0 ,
0 ,
-1  ,
-2  ,
2 ,
0 ,
1 ,
-3  ,
0 ,
-1  ,
-1  ,
2 ,
-1  ,
0 ,
1 ,
0 ,
2 ,
0 ,
1 ,
-2  ,
0 ,
0 ,
2 ,
0 ,
-1  ,
0 ,
-1  ,
2 ,
0 ,
0 ,
0 ,
1 ,
0 ,
3 ,
0 ,
1 ,
0 ,
0 ,
2 ,
1 ,
0 ,
-2  ,
-3  ,
1 ,
0 ,
-1  ,
-1  ,
0 ,
0 ,
-2  ,
0 ,
1 ,
0 ,
2 ,
0 ,
-1  ,
-1  ,
2 ,
-2  ,
0 ,
-2  ,
1 ,
0 ,
0 ,
0 ,
2 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
0 ,
3 ,
5 ,
4 ,
2 ,
-1  ,
-2  ,
-2  ,
4 ,
4 ,
4 ,
2 ,
2 ,
-1  ,
0 ,
0 ,
5 ,
10  ,
6 ,
1 ,
-1  ,
-1  ,
-2  ,
-2  ,
0 ,
7 ,
4 ,
5 ,
-1  ,
-7  ,
-9  ,
-5  ,
-2  ,
1 ,
0 ,
-6  ,
-11 ,
-13 ,
-11 ,
-9  ,
-13 ,
-10 ,
1 ,
0 ,
-3  ,
-7  ,
-12 ,
-5  ,
-3  ,
-6  ,
-1  ,
1 ,
-1  ,
-8  ,
-18 ,
-8  ,
4 ,
14  ,
13  ,
3 ,
-10 ,
-18 ,
-22 ,
-20 ,
-12 ,
-3  ,
4 ,
4 ,
-3  ,
-10 ,
-14 ,
1 ,
20  ,
22  ,
17  ,
3 ,
-14 ,
-28 ,
-25 ,
-11 ,
1 ,
18  ,
24  ,
8 ,
-8  ,
-21 ,
-25 ,
-23 ,
-18 ,
-15 ,
-15 ,
-28 ,
-47 ,
-58 ,
-59 ,
-54 ,
-42 ,
-23 ,
-6  ,
-26 ,
-64 ,
-96 ,
-124  ,
-135  ,
-119  ,
-87 ,
-70 ,
-70 ,
-88 ,
-111  ,
-124  ,
-124  ,
-104  ,
-83 ,
-79 ,
-95 ,
-115  ,
-129  ,
-145  ,
-155  ,
-141  ,
-101  ,
-67 ,
-58 ,
-62 ,
-72 ,
-84 ,
-102  ,
-113  ,
-112  ,
-95 ,
-83 ,
-80 ,
-73 ,
-70 ,
-62 ,
-57 ,
-45 ,
-39 ,
-30 ,
-25 ,
-23 ,
-33 ,
-48 ,
-64 ,
-67 ,
-44 ,
-14 ,
8 ,
31  ,
50  ,
58  ,
60  ,
56  ,
53  ,
54  ,
63  ,
78  ,
93  ,
114 ,
134 ,
143 ,
153 ,
171 ,
204 ,
239 ,
266 ,
275 ,
262 ,
250 ,
245 ,
265 ,
295 ,
331 ,
364 ,
386 ,
396 ,
389 ,
389 ,
400 ,
416 ,
433 ,
448 ,
446 ,
429 ,
417 ,
421 ,
436 ,
451 ,
471 ,
477 ,
468 ,
447 ,
430 ,
416 ,
407 ,
395 ,
369 ,
345 ,
330 ,
306 ,
287 ,
274 ,
267 ,
253 ,
229 ,
186 ,
140 ,
96  ,
53  ,
25  ,
10  ,
-12 ,
-41 ,
-67 ,
-97 ,
-131  ,
-161  ,
-183  ,
-203  ,
-229  ,
-254  ,
-281  ,
-321  ,
-357  ,
-404  ,
-436  ,
-450  ,
-453  ,
-455  ,
-474  ,
-491  ,
-510  ,
-520  ,
-529  ,
-542  ,
-566  ,
-591  ,
-602  ,
-603  ,
-590  ,
-578  ,
-558  ,
-557  ,
-569  ,
-570  ,
-545  ,
-516  ,
-495  ,
-479  ,
-478  ,
-477  ,
-478  ,
-472  ,
-462  ,
-432  ,
-378  ,
-312  ,
-245  ,
-194  ,
-157  ,
-149  ,
-147  ,
-142  ,
-118  ,
-84 ,
-43 ,
9 ,
57  ,
89  ,
121 ,
146 ,
169 ,
211 ,
277 ,
336 ,
364 ,
339 ,
259 ,
152 ,
72  ,
66  ,
132 ,
221 ,
281 ,
281 ,
213 ,
83  ,
-84 ,
-245  ,
-337  ,
-356  ,
-349  ,
-367  ,
-487  ,
-753  ,
-1096 ,
-1379 ,
-1432 ,
-1213 ,
-826  ,
-553  ,
-640  ,
-1167 ,
-1933 ,
-2588 ,
-2777 ,
-2410 ,
-1681 ,
-1034 ,
-845  ,
-1235 ,
-1967 ,
-2568 ,
-2613 ,
-1986 ,
-998  ,
-163  ,
51  ,
-444  ,
-1311 ,
-1974 ,
-1924 ,
-1036 ,
326 ,
1519  ,
2020  ,
1716  ,
971 ,
373 ,
390 ,
1075  ,
2101  ,
2954  ,
3284  ,
3045  ,
2540  ,
2194  ,
2299  ,
2884  ,
3705  ,
4405  ,
4706  ,
4513  ,
3964  ,
3337  ,
2959  ,
3020  ,
3453  ,
3977  ,
4272  ,
4169  ,
3735  ,
3225  ,
2914  ,
2911  ,
3090  ,
3222  ,
3117  ,
2722  ,
2119  ,
1528  ,
1133  ,
1018  ,
1121  ,
1305  ,
1368  ,
1167  ,
727 ,
196 ,
-260  ,
-524  ,
-624  ,
-689  ,
-866  ,
-1179 ,
-1556 ,
-1857 ,
-1977 ,
-1929 ,
-1839 ,
-1816 ,
-1929 ,
-2159 ,
-2433 ,
-2676 ,
-2863 ,
-2985 ,
-3030 ,
-3001 ,
-2923 ,
-2825 ,
-2747 ,
-2702 ,
-2665 ,
-2609 ,
-2531 ,
-2458 ,
-2419 ,
-2423 ,
-2467 ,
-2485 ,
-2419 ,
-2258 ,
-2016 ,
-1750 ,
-1505 ,
-1301 ,
-1143 ,
-1017 ,
-946  ,
-907  ,
-897  ,
-861  ,
-769  ,
-614  ,
-422  ,
-230  ,
-58 ,
89  ,
214 ,
338 ,
452 ,
545 ,
592 ,
577 ,
522 ,
451 ,
428 ,
474 ,
597 ,
745 ,
863 ,
913 ,
882 ,
785 ,
678 ,
598 ,
544 ,
499 ,
422 ,
301 ,
156 ,
54  ,
29  ,
73  ,
133 ,
132 ,
30  ,
-158  ,
-382  ,
-568  ,
-683  ,
-736  ,
-757  ,
-777  ,
-820  ,
-892  ,
-972  ,
-1041 ,
-1052 ,
-1003 ,
-935  ,
-889  ,
-908  ,
-1008 ,
-1146 ,
-1236 ,
-1202 ,
-1057 ,
-857  ,
-687  ,
-581  ,
-522  ,
-471  ,
-396  ,
-292  ,
-153  ,
3 ,
140 ,
246 ,
293 ,
281 ,
259 ,
315 ,
484 ,
733 ,
981 ,
1129  ,
1125  ,
1021  ,
922 ,
898 ,
960 ,
1028  ,
1008  ,
815 ,
447 ,
-36 ,
-456  ,
-646  ,
-477  ,
32  ,
629 ,
978 ,
749 ,
-92 ,
-1269 ,
-2283 ,
-2680 ,
-2333 ,
-1502 ,
-692  ,
-381  ,
-743  ,
-1525 ,
-2217 ,
-2344 ,
-1742 ,
-648  ,
396 ,
836 ,
428 ,
-592  ,
-1591 ,
-1911 ,
-1217 ,
309 ,
2045  ,
3285  ,
3570  ,
2989  ,
2110  ,
1615  ,
1899  ,
2880  ,
4054  ,
4809  ,
4807  ,
4194  ,
3474  ,
3195  ,
3640  ,
4673  ,
5800  ,
6469  ,
6361  ,
5559  ,
4505  ,
3723  ,
3489  ,
3749  ,
4186  ,
4421  ,
4252  ,
3768  ,
3254  ,
2981  ,
3038  ,
3236  ,
3295  ,
2997  ,
2349  ,
1550  ,
860 ,
444 ,
320 ,
323 ,
294 ,
142 ,
-95 ,
-309  ,
-441  ,
-525  ,
-684  ,
-1046 ,
-1605 ,
-2249 ,
-2789 ,
-3104 ,
-3200 ,
-3200 ,
-3241 ,
-3394 ,
-3612 ,
-3790 ,
-3863 ,
-3847 ,
-3872 ,
-4077 ,
-4524 ,
-5127 ,
-5689 ,
-6008 ,
-5984 ,
-5659 ,
-5202 ,
-4815 ,
-4640 ,
-4665 ,
-4770 ,
-4828 ,
-4801 ,
-4697 ,
-4583 ,
-4501 ,
-4430 ,
-4290 ,
-3980 ,
-3489 ,
-2885 ,
-2291 ,
-1784 ,
-1397 ,
-1121 ,
-912  ,
-719  ,
-542  ,
-393  ,
-252  ,
-36 ,
324 ,
853 ,
1481  ,
2063  ,
2444  ,
2594  ,
2583  ,
2515  ,
2488  ,
2526  ,
2590  ,
2627  ,
2625  ,
2601  ,
2597  ,
2645  ,
2739  ,
2831  ,
2867  ,
2793  ,
2582  ,
2228  ,
1804  ,
1403  ,
1111  ,
945 ,
866 ,
801 ,
713 ,
598 ,
443 ,
245 ,
-13 ,
-325  ,
-653  ,
-930  ,
-1114 ,
-1222 ,
-1321 ,
-1466 ,
-1637 ,
-1753 ,
-1764 ,
-1648 ,
-1476 ,
-1356 ,
-1356 ,
-1487 ,
-1673 ,
-1806 ,
-1811 ,
-1634 ,
-1302 ,
-898  ,
-545  ,
-312  ,
-214  ,
-168  ,
-68 ,
167 ,
512 ,
866 ,
1145  ,
1306  ,
1369  ,
1365  ,
1351  ,
1413  ,
1605  ,
1934  ,
2311  ,
2598  ,
2645  ,
2406  ,
2014  ,
1678  ,
1555  ,
1644  ,
1802  ,
1799  ,
1433  ,
675 ,
-275  ,
-1101 ,
-1430 ,
-1056 ,
-95 ,
941 ,
1360  ,
645 ,
-1130 ,
-3293 ,
-4885 ,
-5165 ,
-4034 ,
-2146 ,
-555  ,
-128  ,
-1069 ,
-2782 ,
-4245 ,
-4550 ,
-3384 ,
-1238 ,
798 ,
1622  ,
821 ,
-1088 ,
-2899 ,
-3410 ,
-2094 ,
600 ,
3479  ,
5257  ,
5307  ,
3950  ,
2210  ,
1232  ,
1613  ,
3161  ,
5030  ,
6243  ,
6283  ,
5381  ,
4279  ,
3755  ,
4163  ,
5291  ,
6512  ,
7159  ,
6916  ,
5945  ,
4743  ,
3818  ,
3437  ,
3528  ,
3776  ,
3852  ,
3628  ,
3247  ,
2948  ,
2850  ,
2833  ,
2666  ,
2141  ,
1270  ,
315 ,
-381  ,
-617  ,
-486  ,
-276  ,
-291  ,
-649  ,
-1263 ,
-1853 ,
-2130 ,
-1948 ,
-1471 ,
-1117 ,
-1310 ,
-2170 ,
-3411 ,
-4459 ,
-4828 ,
-4412 ,
-3514 ,
-2703 ,
-2400 ,
-2740 ,
-3506 ,
-4319 ,
-4820 ,
-4810 ,
-4391 ,
-3988 ,
-4062 ,
-4799 ,
-5928 ,
-6829 ,
-6918 ,
-6059 ,
-4725 ,
-3732 ,
-3607 ,
-4223 ,
-5043 ,
-5601 ,
-5788 ,
-5651 ,
-5307 ,
-4845 ,
-4338 ,
-3808 ,
-3313 ,
-2920 ,
-2549 ,
-2013 ,
-1293 ,
-656  ,
-325  ,
-230  ,
-83 ,
306 ,
870 ,
1393  ,
1744  ,
2032  ,
2542  ,
3448  ,
4551  ,
5325  ,
5382  ,
4818  ,
4107  ,
3711  ,
3767  ,
4126  ,
4528  ,
4763  ,
4785  ,
4637  ,
4388  ,
4118  ,
3897  ,
3772  ,
3644  ,
3344  ,
2736  ,
1901  ,
1124  ,
665 ,
556 ,
626 ,
659 ,
516 ,
212 ,
-168  ,
-575  ,
-1008 ,
-1467 ,
-1885 ,
-2191 ,
-2400 ,
-2572 ,
-2761 ,
-2922 ,
-2993 ,
-2932 ,
-2773 ,
-2602 ,
-2525 ,
-2594 ,
-2788 ,
-3027 ,
-3244 ,
-3309 ,
-3088 ,
-2562 ,
-1912 ,
-1359 ,
-1048 ,
-967  ,
-988  ,
-902  ,
-561  ,
-16 ,
530 ,
902 ,
1097  ,
1200  ,
1309  ,
1541  ,
1955  ,
2465  ,
2875  ,
3060  ,
3101  ,
3147  ,
3227  ,
3304  ,
3339  ,
3291  ,
3109  ,
2848  ,
2670  ,
2616  ,
2561  ,
2302  ,
1750  ,
894 ,
-228  ,
-1397 ,
-2149 ,
-2049 ,
-1058 ,
353 ,
1362  ,
1177  ,
-515  ,
-3294 ,
-6085 ,
-7682 ,
-7442 ,
-5627 ,
-3230 ,
-1443 ,
-1128 ,
-2391 ,
-4464 ,
-6060 ,
-6075 ,
-4286 ,
-1517 ,
785 ,
1387  ,
21  ,
-2445 ,
-4444 ,
-4582 ,
-2509 ,
976 ,
4405  ,
6474  ,
6601  ,
5153  ,
3253  ,
2113  ,
2395  ,
3850  ,
5659  ,
6918  ,
7197  ,
6635  ,
5883  ,
5643  ,
6207  ,
7250  ,
8154  ,
8457  ,
8076  ,
7196  ,
6166  ,
5366  ,
4938  ,
4729  ,
4500  ,
4190  ,
3911  ,
3818  ,
3938  ,
4185  ,
4311  ,
3929  ,
2786  ,
1067  ,
-647  ,
-1819 ,
-2204 ,
-1888 ,
-1243 ,
-834  ,
-1077 ,
-1934 ,
-2950 ,
-3654 ,
-3824 ,
-3571 ,
-3244 ,
-3283 ,
-3973 ,
-5172 ,
-6378 ,
-7055 ,
-6957 ,
-6185 ,
-5102 ,
-4213 ,
-3871 ,
-4127 ,
-4728 ,
-5302 ,
-5618 ,
-5679 ,
-5679 ,
-5765 ,
-5920 ,
-5963 ,
-5741 ,
-5233 ,
-4604 ,
-4155 ,
-4113 ,
-4377 ,
-4603 ,
-4473 ,
-4011 ,
-3409 ,
-2908 ,
-2722 ,
-2920 ,
-3227 ,
-3189 ,
-2538 ,
-1444 ,
-267  ,
686 ,
1216  ,
1236  ,
993 ,
943 ,
1361  ,
2069  ,
2749  ,
3284  ,
3727  ,
4088  ,
4447  ,
4917  ,
5439  ,
5730  ,
5609  ,
5224  ,
4888  ,
4743  ,
4724  ,
4742  ,
4696  ,
4433  ,
3920  ,
3398  ,
3155  ,
3204  ,
3316  ,
3279  ,
2945  ,
2208  ,
1134  ,
36  ,
-688  ,
-886  ,
-748  ,
-595  ,
-650  ,
-995  ,
-1605 ,
-2289 ,
-2738 ,
-2839 ,
-2722 ,
-2610 ,
-2621 ,
-2798 ,
-3144 ,
-3560 ,
-3848 ,
-3808 ,
-3434 ,
-2911 ,
-2446 ,
-2168 ,
-2141 ,
-2363 ,
-2671 ,
-2826 ,
-2657 ,
-2214 ,
-1639 ,
-1038 ,
-492  ,
-139  ,
-60 ,
-75 ,
105 ,
546 ,
1127  ,
1707  ,
2232  ,
2516  ,
2431  ,
2153  ,
2021  ,
2179  ,
2535  ,
3042  ,
3667  ,
4160  ,
4232  ,
3935  ,
3603  ,
3397  ,
3206  ,
3013  ,
2956  ,
3032  ,
3013  ,
2833  ,
2526  ,
1982  ,
1036  ,
-157  ,
-1208 ,
-1930 ,
-2531 ,
-3157 ,
-3698 ,
-3929 ,
-3705 ,
-3010 ,
-2099 ,
-1585 ,
-2222 ,
-4300 ,
-7328 ,
-10204  ,
-11728  ,
-11198  ,
-8778 ,
-5509 ,
-2860 ,
-2038 ,
-3260 ,
-5495 ,
-7105 ,
-6858 ,
-4620 ,
-1386 ,
1288  ,
2093  ,
799 ,
-1485 ,
-2983 ,
-2365 ,
490 ,
4593  ,
8446  ,
10693 ,
10757 ,
9187  ,
7297  ,
6210  ,
6316  ,
7374  ,
8855  ,
10116 ,
10743 ,
10771 ,
10606 ,
10599 ,
10782 ,
10929 ,
10827 ,
10365 ,
9502  ,
8396  ,
7397  ,
6720  ,
6191  ,
5477  ,
4490  ,
3428  ,
2599  ,
2252  ,
2457  ,
2968  ,
3133  ,
2300  ,
305 ,
-2407 ,
-5099 ,
-7031 ,
-7644 ,
-6903 ,
-5482 ,
-4430 ,
-4461 ,
-5572 ,
-7227 ,
-8646 ,
-9182 ,
-8716 ,
-7789 ,
-7237 ,
-7551 ,
-8615 ,
-9853 ,
-10565  ,
-10256  ,
-8892 ,
-6996 ,
-5357 ,
-4497 ,
-4422 ,
-4712 ,
-4847 ,
-4611 ,
-4214 ,
-3977 ,
-3970 ,
-3994 ,
-3779 ,
-3120 ,
-2049 ,
-874  ,
37  ,
684 ,
1344  ,
2092  ,
2642  ,
2754  ,
2461  ,
1876  ,
1098  ,
487 ,
554 ,
1460  ,
2907  ,
4492  ,
5837  ,
6447  ,
5967  ,
4743  ,
3601  ,
3072  ,
3012  ,
3070  ,
3080  ,
2973  ,
2747  ,
2610  ,
2831  ,
3283  ,
3523  ,
3296  ,
2716  ,
1931  ,
960 ,
-146  ,
-1201 ,
-2043 ,
-2640 ,
-2903 ,
-2768 ,
-2282 ,
-1675 ,
-1179 ,
-981  ,
-1190 ,
-1811 ,
-2707 ,
-3652 ,
-4387 ,
-4750 ,
-4674 ,
-4217 ,
-3509 ,
-2738 ,
-2102 ,
-1716 ,
-1568 ,
-1517 ,
-1416 ,
-1235 ,
-1000 ,
-772  ,
-610  ,
-555  ,
-571  ,
-537  ,
-300  ,
266 ,
1174  ,
2252  ,
3128  ,
3417  ,
2931  ,
1905  ,
859 ,
254 ,
300 ,
897 ,
1795  ,
2617  ,
3058  ,
3118  ,
2993  ,
2828  ,
2627  ,
2427  ,
2296  ,
2092  ,
1644  ,
1015  ,
533 ,
375 ,
537 ,
1029  ,
1793  ,
2461  ,
2584  ,
2166  ,
1621  ,
1177  ,
795 ,
511 ,
442 ,
419 ,
203 ,
-83 ,
-114  ,
52  ,
0 ,
-501  ,
-1468 ,
-3029 ,
-5233 ,
-7550 ,
-9070 ,
-9049 ,
-7210 ,
-3870 ,
-254  ,
1704  ,
523 ,
-3766 ,
-9616 ,
-14716  ,
-16929  ,
-15258  ,
-10548  ,
-5086 ,
-1280 ,
-450  ,
-2438 ,
-5683 ,
-7818 ,
-7016 ,
-3219 ,
1858  ,
5895  ,
7186  ,
5432  ,
1986  ,
-705  ,
-614  ,
2562  ,
7505  ,
12385 ,
15725 ,
16793 ,
15875 ,
14112 ,
12621 ,
11809 ,
11487 ,
11408 ,
11425 ,
11429 ,
11555 ,
12088 ,
13058 ,
13977 ,
14084 ,
12928 ,
10690 ,
7974  ,
5612  ,
4289  ,
4084  ,
4278  ,
3776  ,
1982  ,
-851  ,
-3782 ,
-5638 ,
-5647 ,
-3955 ,
-1729 ,
-580  ,
-1633 ,
-4925 ,
-9460 ,
-13663  ,
-15999  ,
-15727  ,
-13369  ,
-10444  ,
-8450 ,
-8112 ,
-9133 ,
-10531  ,
-11162  ,
-10451  ,
-8834 ,
-7343 ,
-6766 ,
-7117 ,
-7807 ,
-8040 ,
-7252 ,
-5414 ,
-3088 ,
-1060 ,
258 ,
1054  ,
1818  ,
2947  ,
4431  ,
5727  ,
6140  ,
5389  ,
3924  ,
2646  ,
2381  ,
3435  ,
5354  ,
7225  ,
8447  ,
8970  ,
8954  ,
8338  ,
7062  ,
5348  ,
3547  ,
1854  ,
524 ,
-102  ,
-24 ,
323 ,
618 ,
871 ,
896 ,
211 ,
-1245 ,
-2819 ,
-3911 ,
-4568 ,
-5164 ,
-5893 ,
-6782 ,
-7735 ,
-8287 ,
-7876 ,
-6620 ,
-5342 ,
-4717 ,
-4642 ,
-4764 ,
-5051 ,
-5610 ,
-6368 ,
-7136 ,
-7699 ,
-7679 ,
-6691 ,
-4821 ,
-2626 ,
-627  ,
966 ,
2049  ,
2457  ,
2177  ,
1513  ,
960 ,
900 ,
1442  ,
2412  ,
3435  ,
4161  ,
4550  ,
4851  ,
5307  ,
5944  ,
6590  ,
7057  ,
7181  ,
6852  ,
6009  ,
4730  ,
3320  ,
2177  ,
1631  ,
1819  ,
2616  ,
3578  ,
4065  ,
3638  ,
2301  ,
412 ,
-1553 ,
-3145 ,
-4084 ,
-4373 ,
-4311 ,
-4216 ,
-4165 ,
-4036 ,
-3753 ,
-3374 ,
-3023 ,
-2806 ,
-2795 ,
-3019 ,
-3430 ,
-3877 ,
-4134 ,
-4015 ,
-3403 ,
-2257 ,
-718  ,
810 ,
1891  ,
2477  ,
2903  ,
3424  ,
3982  ,
4413  ,
4689  ,
4847  ,
4861  ,
4831  ,
4950  ,
5250  ,
5522  ,
5708  ,
5952  ,
6063  ,
5280  ,
2944  ,
-777  ,
-4840 ,
-7788 ,
-8195 ,
-5358 ,
-130  ,
5047  ,
7361  ,
5173  ,
-1329 ,
-10144  ,
-18002  ,
-21654  ,
-19630  ,
-13219  ,
-5715 ,
-660  ,
-74 ,
-3521 ,
-8331 ,
-11167  ,
-10000  ,
-5220 ,
824 ,
5359  ,
6645  ,
4749  ,
1368  ,
-1185 ,
-1244 ,
1461  ,
5919  ,
10537 ,
13962 ,
15650 ,
15897 ,
15439 ,
14851 ,
14206 ,
13175 ,
11501 ,
9468  ,
7928  ,
7801  ,
9465  ,
12334 ,
15011 ,
15921 ,
14223 ,
10377 ,
5871  ,
2401  ,
990 ,
1520  ,
2806  ,
3217  ,
1654  ,
-1789 ,
-5867 ,
-8920 ,
-9713 ,
-8034 ,
-4962 ,
-2420 ,
-2126 ,
-4592 ,
-8848 ,
-13126  ,
-15798  ,
-16176  ,
-14724  ,
-12635  ,
-11009  ,
-10161  ,
-9669 ,
-8850 ,
-7350 ,
-5433 ,
-3784 ,
-3094 ,
-3598 ,
-4818 ,
-5713 ,
-5298 ,
-3317 ,
-452  ,
2151  ,
3621  ,
3859  ,
3590  ,
3872  ,
5379  ,
7856  ,
10231 ,
11327 ,
10520 ,
8012  ,
4804  ,
2325  ,
1639  ,
2786  ,
4739  ,
6125  ,
6003  ,
4408  ,
2326  ,
1007  ,
821 ,
885 ,
-42 ,
-2346 ,
-5335 ,
-7925 ,
-9287 ,
-9297 ,
-8572 ,
-8019 ,
-7990 ,
-8125 ,
-8018 ,
-7718 ,
-7393 ,
-7041 ,
-6738 ,
-6892 ,
-7791 ,
-9085 ,
-9912 ,
-9382 ,
-7149 ,
-3697 ,
-298  ,
1715  ,
1983  ,
1327  ,
904 ,
1138  ,
1646  ,
1885  ,
1756  ,
1685  ,
2213  ,
3534  ,
5322  ,
7039  ,
8281  ,
8918  ,
8987  ,
8559  ,
7710  ,
6640  ,
5641  ,
4881  ,
4181  ,
3181  ,
1855  ,
701 ,
400 ,
1233  ,
2801  ,
4196  ,
4502  ,
3288  ,
871 ,
-1908 ,
-4173 ,
-5406 ,
-5527 ,
-4826 ,
-3843 ,
-3193 ,
-3206 ,
-3763 ,
-4414 ,
-4750 ,
-4662 ,
-4364 ,
-4193 ,
-4381 ,
-4922 ,
-5520 ,
-5712 ,
-5156 ,
-3803 ,
-1873 ,
245 ,
2085  ,
3239  ,
3627  ,
3552  ,
3443  ,
3486  ,
3657  ,
3948  ,
4412  ,
5068  ,
5916  ,
6949  ,
8017  ,
8790  ,
9046  ,
8916  ,
8679  ,
8459  ,
8181  ,
7788  ,
7276  ,
6612  ,
5793  ,
4948  ,
4230  ,
3675  ,
3266  ,
3030  ,
2915  ,
2514  ,
1019  ,
-2402 ,
-7907 ,
-14442  ,
-19861  ,
-21793  ,
-18736  ,
-11244  ,
-2325 ,
3657  ,
3320  ,
-3869 ,
-15359  ,
-26578  ,
-32768  ,
-31293  ,
-23054  ,
-12224  ,
-3726 ,
-626  ,
-2834 ,
-7532 ,
-10630  ,
-9027 ,
-2596 ,
5744  ,
12197 ,
14509 ,
12768 ,
8924  ,
5767  ,
5496  ,
8431  ,
13056 ,
17427 ,
20440 ,
22050 ,
22849 ,
23576 ,
24554 ,
25136 ,
24001 ,
20322 ,
14725 ,
9060  ,
5385  ,
4979  ,
7669  ,
11688 ,
14456 ,
14009 ,
10046 ,
3964  ,
-2065 ,
-6141 ,
-7496 ,
-6814 ,
-5899 ,
-6646 ,
-9776 ,
-14443  ,
-18766  ,
-20925  ,
-20063  ,
-16749  ,
-12740  ,
-10070  ,
-9934 ,
-12081  ,
-15148  ,
-17523  ,
-18142  ,
-16927  ,
-14731  ,
-12686  ,
-11346  ,
-10246  ,
-8344 ,
-4925 ,
-276  ,
4376  ,
7502  ,
8181  ,
6714  ,
4503  ,
3307  ,
4207  ,
7049  ,
10560 ,
13212 ,
14117 ,
13448 ,
12321 ,
12103 ,
13492 ,
15832 ,
17488 ,
17026 ,
14114 ,
9511  ,
4548  ,
641 ,
-1366 ,
-1676 ,
-1319 ,
-1232 ,
-1834 ,
-3192 ,
-5175 ,
-7223 ,
-8720 ,
-9737 ,
-11003  ,
-12924  ,
-15082  ,
-16792  ,
-17704  ,
-17683  ,
-16821  ,
-15603  ,
-14560  ,
-13543  ,
-11959  ,
-9755 ,
-7594 ,
-5998 ,
-4894 ,
-4069 ,
-3494 ,
-3044 ,
-2338 ,
-1068 ,
849 ,
3420  ,
6472  ,
9432  ,
11522 ,
12442 ,
12518 ,
12153 ,
11442 ,
10396 ,
9257  ,
8441  ,
8262  ,
8757  ,
9583  ,
10213 ,
10227 ,
9574  ,
8520  ,
7391  ,
6281  ,
5013  ,
3346  ,
1162  ,
-1438 ,
-4193 ,
-6673 ,
-8294 ,
-8583 ,
-7588 ,
-5948 ,
-4525 ,
-3966 ,
-4500 ,
-5930 ,
-7640 ,
-8954 ,
-9549 ,
-9585 ,
-9319 ,
-8836 ,
-8123 ,
-7167 ,
-5889 ,
-4149 ,
-2051 ,
-68 ,
1301  ,
1914  ,
1917  ,
1605  ,
1390  ,
1790  ,
3055  ,
4918  ,
6843  ,
8523  ,
9900  ,
10891 ,
11394 ,
11523 ,
11449 ,
11126 ,
10373 ,
9320  ,
8335  ,
7545  ,
6845  ,
6291  ,
6065  ,
6053  ,
5886  ,
5489  ,
5107  ,
4711  ,
3849  ,
2249  ,
84  ,
-2410 ,
-5056 ,
-7335 ,
-8463 ,
-8235 ,
-7244 ,
-6345 ,
-6391 ,
-8453 ,
-13269  ,
-20013  ,
-26003  ,
-28179  ,
-24876  ,
-16677  ,
-6480 ,
1328  ,
2856  ,
-2885 ,
-13241  ,
-23419  ,
-28875  ,
-27090  ,
-18542  ,
-6693 ,
3587  ,
8725  ,
8316  ,
4956  ,
2371  ,
3364  ,
8374  ,
15313 ,
20965 ,
23137 ,
21932 ,
19299 ,
17449 ,
17558 ,
19343 ,
21487 ,
22560 ,
21968 ,
20363 ,
19128 ,
19343 ,
20829 ,
22130 ,
21335 ,
17202 ,
9935  ,
1352  ,
-5817 ,
-9242 ,
-8397 ,
-4807 ,
-1155 ,
114 ,
-2127 ,
-7260 ,
-13238  ,
-17697  ,
-19323  ,
-18491  ,
-16737  ,
-15710  ,
-16331  ,
-18385  ,
-20612  ,
-21405  ,
-19841  ,
-16266  ,
-12061  ,
-8688 ,
-6923 ,
-6491 ,
-6310 ,
-5265 ,
-3006 ,
-162  ,
2169  ,
3212  ,
3147  ,
2966  ,
3932  ,
6890  ,
11669 ,
16968 ,
20855 ,
21853 ,
19838 ,
16118 ,
12644 ,
10943 ,
11306 ,
12654 ,
13357 ,
12440 ,
10161 ,
7445  ,
5191  ,
4000  ,
3954  ,
4206  ,
3295  ,
329 ,
-4195 ,
-8921 ,
-12697  ,
-15114  ,
-16692  ,
-18654  ,
-21699  ,
-24587  ,
-24768  ,
-21115  ,
-15482  ,
-11041  ,
-9656 ,
-11224  ,
-14469  ,
-17624  ,
-19076  ,
-18372  ,
-16179  ,
-12906  ,
-8338 ,
-2896 ,
1882  ,
5077  ,
7594  ,
10671 ,
13927 ,
15812 ,
15517 ,
13774 ,
12102 ,
11841 ,
13379 ,
15645 ,
16794 ,
16021 ,
14526 ,
14072 ,
14828 ,
15321 ,
14206 ,
11458 ,
7855  ,
4012  ,
216 ,
-3317 ,
-6210 ,
-8026 ,
-8495 ,
-7842 ,
-6845 ,
-6386 ,
-6701 ,
-7271 ,
-7689 ,
-8349 ,
-10059  ,
-12925  ,
-16002  ,
-17949  ,
-17861  ,
-15618  ,
-11802  ,
-7420 ,
-3529 ,
-827  ,
530 ,
847 ,
747 ,
914 ,
1704  ,
2822  ,
3666  ,
3895  ,
3731  ,
3788  ,
4712  ,
6743  ,
9544  ,
12391 ,
14499 ,
15348 ,
14747 ,
12999 ,
10846 ,
9076  ,
8038  ,
7538  ,
7188  ,
6776  ,
6355  ,
6164  ,
6317  ,
6595  ,
6510  ,
5688  ,
4074  ,
1813  ,
-787  ,
-3321 ,
-5459 ,
-7081 ,
-8141 ,
-8524 ,
-8220 ,
-7508 ,
-6703 ,
-5938 ,
-5405 ,
-5549 ,
-6640 ,
-8354 ,
-10051  ,
-11244  ,
-11531  ,
-10506  ,
-8400 ,
-6527 ,
-6634 ,
-9558 ,
-14523  ,
-19329  ,
-21021  ,
-17154  ,
-7607 ,
4489  ,
14094 ,
16981 ,
11861 ,
825 ,
-11468  ,
-19613  ,
-20004  ,
-12644  ,
-1101 ,
9632  ,
15724 ,
16180 ,
12959 ,
9661  ,
9290  ,
12520 ,
17497 ,
21330 ,
22026 ,
19537 ,
15487 ,
12046 ,
10684 ,
11420 ,
12958 ,
13581 ,
12298 ,
9562  ,
6938  ,
6098  ,
7573  ,
10246 ,
11770 ,
9874  ,
3758  ,
-5191 ,
-13904  ,
-19218  ,
-19543  ,
-15618  ,
-9932 ,
-5347 ,
-3781 ,
-5479 ,
-9036 ,
-12267  ,
-13475  ,
-12362  ,
-9996 ,
-7962 ,
-7428 ,
-8491 ,
-10101  ,
-10577  ,
-8758 ,
-4875 ,
-403  ,
3006  ,
4512  ,
4452  ,
4030  ,
4583  ,
6686  ,
9633  ,
11854 ,
11971 ,
9721  ,
6090  ,
2887  ,
1909  ,
3948  ,
8193  ,
12551 ,
14878 ,
14113 ,
10684 ,
6126  ,
2213  ,
-66 ,
-1006 ,
-1729 ,
-3179 ,
-5447 ,
-7935 ,
-9711 ,
-10030  ,
-8853 ,
-7148 ,
-6329 ,
-7183 ,
-9386 ,
-11883  ,
-13538  ,
-13713  ,
-12786  ,
-12110  ,
-12893  ,
-14872  ,
-16346  ,
-15645  ,
-12366  ,
-7341 ,
-2006 ,
2189  ,
4378  ,
4759  ,
4225  ,
3464  ,
2688  ,
2213  ,
2577  ,
3953  ,
5887  ,
7942  ,
10165 ,
12666 ,
15042 ,
16541 ,
16571 ,
15039 ,
12346 ,
9281  ,
6646  ,
4720  ,
3055  ,
1108  ,
-1035 ,
-2783 ,
-3776 ,
-4252 ,
-4638 ,
-5146 ,
-5807 ,
-6668 ,
-7735 ,
-8930 ,
-10142  ,
-11351  ,
-12452  ,
-13131  ,
-13107  ,
-12263  ,
-10525  ,
-7796 ,
-4300 ,
-843  ,
1544  ,
2285  ,
1558  ,
143 ,
-920  ,
-787  ,
808 ,
3404  ,
6108  ,
8151  ,
9267  ,
9756  ,
10240 ,
11170 ,
12475 ,
13537 ,
13569 ,
12102 ,
9322  ,
6096  ,
3472  ,
2078  ,
1924  ,
2551  ,
3319  ,
3641  ,
3293  ,
2486  ,
1675  ,
1164  ,
922 ,
665 ,
-10 ,
-1400 ,
-3399 ,
-5410 ,
-6720 ,
-6883 ,
-5935 ,
-4317 ,
-2761 ,
-1891 ,
-1837 ,
-2322 ,
-3020 ,
-3746 ,
-4404 ,
-4987 ,
-5494 ,
-5703 ,
-5137 ,
-3575 ,
-1440 ,
560 ,
1929  ,
2491  ,
2238  ,
1459  ,
826 ,
872 ,
1584  ,
2552  ,
3059  ,
1956  ,
-1909 ,
-8362 ,
-15167  ,
-19111  ,
-17768  ,
-10731  ,
22  ,
10440 ,
15938 ,
13833 ,
4823  ,
-7540 ,
-18592  ,
-24293  ,
-22759  ,
-15290  ,
-5749 ,
1718  ,
5004  ,
4785  ,
3573  ,
4035  ,
7481  ,
13081 ,
18440 ,
21203 ,
20637 ,
17813 ,
14702 ,
12861 ,
12754 ,
13609 ,
13959 ,
12694 ,
9985  ,
7347  ,
6653  ,
8798  ,
12929 ,
16737 ,
17566 ,
13747 ,
5602  ,
-4487 ,
-13276  ,
-18275  ,
-18788  ,
-15969  ,
-12092  ,
-9429 ,
-9168 ,
-10878  ,
-12996  ,
-13921  ,
-13014  ,
-10858  ,
-8821 ,
-8153 ,
-9164 ,
-11023  ,
-12231  ,
-11604  ,
-8958 ,
-5197 ,
-1714 ,
468 ,
1280  ,
1653  ,
2949  ,
6099  ,
10813 ,
15540 ,
18283 ,
17764 ,
14184 ,
9156  ,
4919  ,
3250  ,
4543  ,
7709  ,
10855 ,
12336 ,
11544 ,
8988  ,
5911  ,
3535  ,
2266  ,
1459  ,
57  ,
-2588 ,
-6221 ,
-9832 ,
-12262  ,
-12921  ,
-12129  ,
-10960  ,
-10526  ,
-11296  ,
-12785  ,
-13827  ,
-13350  ,
-11232  ,
-8560 ,
-6948 ,
-7444 ,
-9758 ,
-12423  ,
-13690  ,
-12649  ,
-9650 ,
-5689 ,
-1517 ,
2526  ,
6067  ,
8590  ,
9803  ,
9895  ,
9273  ,
8253  ,
7018  ,
5719  ,
4626  ,
4309  ,
5451  ,
8055  ,
10888 ,
12291 ,
11612 ,
9582  ,
7333  ,
5408  ,
3715  ,
1983  ,
51  ,
-2064 ,
-4173 ,
-6101 ,
-7855 ,
-9406 ,
-10321  ,
-9975 ,
-8315 ,
-6148 ,
-4457 ,
-3631 ,
-3516 ,
-3911 ,
-4697 ,
-5626 ,
-6249 ,
-6120 ,
-5009 ,
-2995 ,
-483  ,
1866  ,
3560  ,
4534  ,
5119  ,
5619  ,
6177  ,
6813  ,
7480  ,
7959  ,
7932  ,
7332  ,
6557  ,
6197  ,
6544  ,
7322  ,
7898  ,
7692  ,
6558  ,
4823  ,
3058  ,
1713  ,
860 ,
266 ,
-388  ,
-1338 ,
-2619 ,
-4070 ,
-5338 ,
-5945 ,
-5537 ,
-4124 ,
-2276 ,
-881  ,
-592  ,
-1378 ,
-2679 ,
-3861 ,
-4525 ,
-4540 ,
-4058 ,
-3421 ,
-2788 ,
-2007 ,
-997  ,
-94 ,
288 ,
221 ,
148 ,
359 ,
870 ,
1784  ,
3160  ,
4618  ,
5509  ,
5608  ,
5122  ,
4170  ,
2835  ,
1670  ,
1473  ,
2313  ,
3302  ,
3404  ,
1866  ,
-2060 ,
-8634 ,
-16347  ,
-21917  ,
-22340  ,
-16855  ,
-7212 ,
3071  ,
9592  ,
8844  ,
567 ,
-11578  ,
-22323  ,
-27620  ,
-25855  ,
-17864  ,
-6903 ,
2484  ,
7185  ,
7547  ,
6412  ,
6605  ,
9425  ,
14603 ,
20419 ,
24343 ,
24804 ,
22596 ,
20023 ,
18680 ,
18541 ,
18707 ,
18157 ,
15942 ,
11820 ,
7181  ,
4393  ,
4845  ,
7768  ,
11012 ,
12293 ,
9871  ,
3149  ,
-6465 ,
-15840  ,
-21995  ,
-23827  ,
-22145  ,
-18633  ,
-15217  ,
-13543  ,
-14093  ,
-15678  ,
-16407  ,
-15253  ,
-12527  ,
-9235 ,
-6338 ,
-4563 ,
-4010 ,
-3881 ,
-2954 ,
-694  ,
2293  ,
4894  ,
6411  ,
6831  ,
6735  ,
7235  ,
9532  ,
13928 ,
19120 ,
22811 ,
23180 ,
19906 ,
14170 ,
8045  ,
3646  ,
2151  ,
3057  ,
4584  ,
4957  ,
3437  ,
379 ,
-3235 ,
-6230 ,
-7712 ,
-7735 ,
-7426 ,
-8105 ,
-10189  ,
-12982  ,
-15332  ,
-16416  ,
-16080  ,
-14874  ,
-13795  ,
-13583  ,
-14057  ,
-14160  ,
-12714  ,
-9249 ,
-4324 ,
553 ,
3445  ,
3007  ,
-345  ,
-4273 ,
-5988 ,
-4190 ,
250 ,
5299  ,
9261  ,
11479 ,
12207 ,
12092 ,
11532 ,
10469 ,
8771  ,
6802  ,
5198  ,
4158  ,
3474  ,
3172  ,
3607  ,
4636  ,
5198  ,
4145  ,
1376  ,
-1987 ,
-4415 ,
-4903 ,
-3713 ,
-2316 ,
-2446 ,
-4655 ,
-7925 ,
-10727  ,
-12163  ,
-12069  ,
-10549  ,
-7937 ,
-4967 ,
-2444 ,
-802  ,
15  ,
302 ,
439 ,
728 ,
1194  ,
1597  ,
1835  ,
2255  ,
3250  ,
4769  ,
6247  ,
7110  ,
7172  ,
6623  ,
5903  ,
5477  ,
5588  ,
6090  ,
6528  ,
6416  ,
5544  ,
4102  ,
2539  ,
1289  ,
576 ,
334 ,
261 ,
42  ,
-426  ,
-959  ,
-1337 ,
-1593 ,
-1972 ,
-2613 ,
-3476 ,
-4426 ,
-5307 ,
-5868 ,
-5736 ,
-4727 ,
-3024 ,
-1040 ,
721 ,
1725  ,
1629  ,
597 ,
-694  ,
-1531 ,
-1612 ,
-969  ,
153 ,
1335  ,
2020  ,
1906  ,
1243  ,
558 ,
247 ,
464 ,
1232  ,
2391  ,
3575  ,
4406  ,
4753  ,
4605  ,
4009  ,
3255  ,
2885  ,
3278  ,
4218  ,
5119  ,
5528  ,
5345  ,
4624  ,
3332  ,
1058  ,
-3058 ,
-9660 ,
-18038  ,
-25666  ,
-29224  ,
-26419  ,
-17381  ,
-4969 ,
6050  ,
10976 ,
7542  ,
-2788 ,
-15597  ,
-25540  ,
-28558  ,
-23511  ,
-12789  ,
-1141 ,
7067  ,
10193 ,
9630  ,
8356  ,
9174  ,
13269 ,
19627 ,
25715 ,
29249 ,
29558 ,
27497 ,
24374 ,
21181 ,
18385 ,
15824 ,
12823 ,
8927  ,
4681  ,
1409  ,
286 ,
1506  ,
4232  ,
6699  ,
6749  ,
2915  ,
-4502 ,
-13448  ,
-21268  ,
-25928  ,
-26600  ,
-23871  ,
-19554  ,
-15900  ,
-14342  ,
-14764  ,
-15806  ,
-15794  ,
-13568  ,
-9055 ,
-3382 ,
1730  ,
4956  ,
6105  ,
5994  ,
5739  ,
6104  ,
7231  ,
8632  ,
9614  ,
9862  ,
9860  ,
10634 ,
13006 ,
16838 ,
20824 ,
23030 ,
21853 ,
16991 ,
9734  ,
2394  ,
-2885 ,
-5183 ,
-5176 ,
-4567 ,
-5044 ,
-7314 ,
-10774  ,
-13914  ,
-15224  ,
-14146  ,
-11431  ,
-8661 ,
-7324 ,
-7977 ,
-10053  ,
-12299  ,
-13500  ,
-13212  ,
-11920  ,
-10550  ,
-9650 ,
-8977 ,
-7643 ,
-4719 ,
85  ,
6001  ,
11381 ,
14472 ,
14352 ,
11356 ,
6822  ,
2476  ,
-220  ,
-611  ,
956 ,
3473  ,
5875  ,
7394  ,
7661  ,
6739  ,
5045  ,
3085  ,
1191  ,
-505  ,
-1899 ,
-2933 ,
-3690 ,
-4394 ,
-5198 ,
-6061 ,
-6807 ,
-7219 ,
-7008 ,
-5931 ,
-4067 ,
-1870 ,
27  ,
1182  ,
1373  ,
586 ,
-938  ,
-2674 ,
-4021 ,
-4584 ,
-4185 ,
-2780 ,
-525  ,
2091  ,
4426  ,
6009  ,
6685  ,
6467  ,
5520  ,
4228  ,
3131  ,
2539  ,
2303  ,
2019  ,
1408  ,
476 ,
-491  ,
-923  ,
-258  ,
1611  ,
4011  ,
5926  ,
6580  ,
5759  ,
3775  ,
1360  ,
-590  ,
-1471 ,
-1363 ,
-847  ,
-483  ,
-442  ,
-576  ,
-607  ,
-259  ,
474 ,
1199  ,
1270  ,
249 ,
-1766 ,
-4125 ,
-5908 ,
-6426 ,
-5592 ,
-3983 ,
-2466 ,
-1658 ,
-1581 ,
-1685 ,
-1286 ,
-96 ,
1602  ,
3232  ,
4307  ,
4517  ,
3806  ,
2554  ,
1447  ,
987 ,
1126  ,
1610  ,
2331  ,
3178  ,
3842  ,
4132  ,
4271  ,
4499  ,
4653  ,
4467  ,
4084  ,
3744  ,
3387  ,
2992  ,
2936  ,
3463  ,
3950  ,
3436  ,
1762  ,
-472  ,
-2849 ,
-5297 ,
-7669 ,
-10035  ,
-13285  ,
-18270  ,
-24090  ,
-28094  ,
-27846  ,
-22556  ,
-13099  ,
-2007 ,
6618  ,
8913  ,
4086  ,
-4897 ,
-13540  ,
-18175  ,
-16736  ,
-9294 ,
1185  ,
10056 ,
14245 ,
14199 ,
12562 ,
11903 ,
13898 ,
19013 ,
25743 ,
30975 ,
32306 ,
29839 ,
25254 ,
19984 ,
14932 ,
10825 ,
7661  ,
4295  ,
-190  ,
-4958 ,
-8097 ,
-8545 ,
-6599 ,
-3237 ,
18  ,
950 ,
-2149 ,
-8847 ,
-16713  ,
-23108  ,
-26445  ,
-26199  ,
-22878  ,
-18222  ,
-14436  ,
-12540  ,
-11813  ,
-10824  ,
-8518 ,
-4448 ,
1219  ,
7335  ,
12067 ,
14150 ,
13803 ,
12236 ,
10612 ,
9617  ,
9476  ,
9939  ,
10355 ,
10314 ,
10202 ,
10888 ,
12756 ,
15215 ,
16973 ,
16675 ,
13449 ,
7455  ,
138 ,
-6362 ,
-10388  ,
-11652  ,
-11094  ,
-10076  ,
-9727 ,
-10556  ,
-12231  ,
-13685  ,
-13820  ,
-12355  ,
-9984 ,
-7789 ,
-6552 ,
-6495 ,
-7268 ,
-8017 ,
-7870 ,
-6614 ,
-4862 ,
-3380 ,
-2362 ,
-1497 ,
-323  ,
1581  ,
4489  ,
8050  ,
11108 ,
12371 ,
11368 ,
8576  ,
4887  ,
1313  ,
-1211 ,
-2311 ,
-2470 ,
-2353 ,
-1992 ,
-1090 ,
62  ,
607 ,
61  ,
-1258 ,
-2797 ,
-4155 ,
-4953 ,
-4906 ,
-4291 ,
-3691 ,
-3286 ,
-2853 ,
-2430 ,
-2248 ,
-1934 ,
-607  ,
1929  ,
4712  ,
6613  ,
7343  ,
7151  ,
6225  ,
4771  ,
3156  ,
1588  ,
-1  ,
-1387 ,
-1888 ,
-1151 ,
287 ,
1655  ,
2649  ,
3149  ,
2763  ,
1299  ,
-662  ,
-2239 ,
-3165 ,
-3801 ,
-4496 ,
-5268 ,
-6006 ,
-6437 ,
-5981 ,
-4194 ,
-1346 ,
1642  ,
4008  ,
5493  ,
6132  ,
6150  ,
6049  ,
6365  ,
7025  ,
7251  ,
6331  ,
4281  ,
1841  ,
-101  ,
-876  ,
-275  ,
1230  ,
2559  ,
2691  ,
1390  ,
-733  ,
-2755 ,
-3914 ,
-3880 ,
-2946 ,
-1991 ,
-1948 ,
-3063 ,
-4775 ,
-6184 ,
-6562 ,
-5581 ,
-3360 ,
-455  ,
2373  ,
4551  ,
5865  ,
6389  ,
6331  ,
5901  ,
5214  ,
4263  ,
3118  ,
1981  ,
1110  ,
672 ,
713 ,
1082  ,
1378  ,
1232  ,
729 ,
327 ,
294 ,
576 ,
1066  ,
1685  ,
2032  ,
1524  ,
57  ,
-1846 ,
-3674 ,
-5240 ,
-6255 ,
-6307 ,
-5576 ,
-4948 ,
-5042 ,
-5888 ,
-7731 ,
-11156  ,
-15745  ,
-19401  ,
-19780  ,
-16005  ,
-8749 ,
271 ,
8195  ,
11704 ,
9297  ,
2701  ,
-4655 ,
-9933 ,
-11341  ,
-7955 ,
-708  ,
7170  ,
12345 ,
13894 ,
13067 ,
11446 ,
10381 ,
11260 ,
14539 ,
18766 ,
21705 ,
22452 ,
21424 ,
18920 ,
14908 ,
10089 ,
5630  ,
1756  ,
-2119 ,
-5882 ,
-8535 ,
-9565 ,
-9373 ,
-8341 ,
-6632 ,
-5115 ,
-5271 ,
-7732 ,
-11555  ,
-15175  ,
-17466  ,
-17751  ,
-15731  ,
-12154  ,
-8751 ,
-6934 ,
-6668 ,
-6905 ,
-6494 ,
-4532 ,
-498  ,
5221  ,
11106 ,
15422 ,
17418 ,
17497 ,
16499 ,
15143 ,
13889 ,
12760 ,
11253 ,
8892  ,
5991  ,
3669  ,
2995  ,
4167  ,
6366  ,
8131  ,
7959  ,
5055  ,
-15 ,
-5504 ,
-9577 ,
-11368  ,
-11283  ,
-10543  ,
-10530  ,
-12098  ,
-14990  ,
-17908  ,
-19319  ,
-18422  ,
-15491  ,
-11539  ,
-7758 ,
-5015 ,
-3468 ,
-2588 ,
-1605 ,
-136  ,
1582  ,
2955  ,
3520  ,
3380  ,
3259  ,
4044  ,
6157  ,
9288  ,
12538 ,
14816 ,
15235 ,
13593 ,
10528 ,
7191  ,
4612  ,
3119  ,
2138  ,
471 ,
-2637 ,
-6527 ,
-9409 ,
-10039  ,
-8878 ,
-7410 ,
-6638 ,
-6562 ,
-6709 ,
-6662 ,
-6321 ,
-6032 ,
-6210 ,
-6642 ,
-6501 ,
-5424 ,
-3910 ,
-2276 ,
-35 ,
3171  ,
6402  ,
8240  ,
8361  ,
7678  ,
7193  ,
7275  ,
7795  ,
8153  ,
7485  ,
5506  ,
3099  ,
1430  ,
692 ,
337 ,
188 ,
421 ,
686 ,
291 ,
-779  ,
-1824 ,
-2459 ,
-3061 ,
-4007 ,
-5218 ,
-6468 ,
-7545 ,
-7918 ,
-6914 ,
-4437 ,
-1193 ,
1993  ,
4707  ,
6722  ,
7782  ,
7942  ,
7728  ,
7577  ,
7320  ,
6471  ,
4914  ,
2972  ,
1020  ,
-733  ,
-2065 ,
-2772 ,
-2931 ,
-2876 ,
-2827 ,
-2638 ,
-2195 ,
-1636 ,
-1186 ,
-802  ,
-429  ,
-347  ,
-880  ,
-1861 ,
-2732 ,
-3132 ,
-2996 ,
-2150 ,
-386  ,
2034  ,
4423  ,
6312  ,
7631  ,
8187  ,
7657  ,
6228  ,
4648  ,
3363  ,
2094  ,
601 ,
-820  ,
-1890 ,
-2944 ,
-4292 ,
-5546 ,
-6091 ,
-5840 ,
-4976 ,
-3523 ,
-1654 ,
-167  ,
168 ,
-477  ,
-1330 ,
-2080 ,
-2842 ,
-3379 ,
-3127 ,
-2084 ,
-880  ,
123 ,
1126  ,
2147  ,
2730  ,
2719  ,
2465  ,
1862  ,
-227  ,
-4821 ,
-11291  ,
-17482  ,
-20954  ,
-19880  ,
-13612  ,
-3611 ,
6322  ,
11881 ,
10990 ,
4805  ,
-3573 ,
-10593  ,
-13104  ,
-9641 ,
-1863 ,
6083  ,
10502 ,
10483 ,
7555  ,
4204  ,
2979  ,
5681  ,
12032 ,
19424 ,
24797 ,
26701 ,
25394 ,
21748 ,
16843 ,
11996 ,
7936  ,
4091  ,
-587  ,
-5943 ,
-10549  ,
-13148  ,
-13396  ,
-11525  ,
-8267 ,
-5225 ,
-4250 ,
-6032 ,
-9581 ,
-13195  ,
-15523  ,
-15756  ,
-13839  ,
-10801  ,
-8515 ,
-8253 ,
-9702 ,
-11288  ,
-11272  ,
-8399 ,
-2342 ,
5835  ,
13888 ,
19589 ,
21968 ,
21555 ,
19637 ,
17510 ,
15921 ,
14808 ,
13431 ,
11057 ,
7731  ,
4386  ,
2192  ,
1762  ,
2805  ,
4236  ,
4641  ,
2988  ,
-706  ,
-5323 ,
-9337 ,
-11772  ,
-12667  ,
-12915  ,
-13672  ,
-15717  ,
-18859  ,
-21829  ,
-22981  ,
-21334  ,
-17095  ,
-11458  ,
-5901 ,
-1610 ,
1033  ,
2567  ,
3950  ,
5828  ,
8158  ,
10413 ,
11895 ,
12057 ,
10941 ,
9466  ,
8918  ,
9904  ,
11874 ,
13654 ,
14188 ,
12913 ,
9919  ,
6040  ,
2429  ,
-186  ,
-1937 ,
-3558 ,
-6011 ,
-10058  ,
-15569  ,
-20979  ,
-24006  ,
-23475  ,
-20176  ,
-15964  ,
-12213  ,
-9355 ,
-7251 ,
-5610 ,
-4201 ,
-2984 ,
-2001 ,
-911  ,
825 ,
3161  ,
5395  ,
7129  ,
8837  ,
11009 ,
13300 ,
14943 ,
15706 ,
16055 ,
16432 ,
16792 ,
16655 ,
15266 ,
12094 ,
7443  ,
2493  ,
-1700 ,
-4941 ,
-7495 ,
-9364 ,
-10348  ,
-10605  ,
-10570  ,
-10541  ,
-10565  ,
-10670  ,
-10762  ,
-10505  ,
-9565 ,
-7930 ,
-5823 ,
-3463 ,
-1159 ,
580 ,
1451  ,
1835  ,
2643  ,
4554  ,
7609  ,
11319 ,
14831 ,
17145 ,
17582 ,
16166 ,
13434 ,
9979  ,
6280  ,
2795  ,
-178  ,
-2637 ,
-4717 ,
-6325 ,
-7153 ,
-6977 ,
-5919 ,
-4416 ,
-3062 ,
-2354 ,
-2423 ,
-2986 ,
-3641 ,
-4126 ,
-4357 ,
-4285 ,
-3892 ,
-3291 ,
-2605 ,
-1823 ,
-810  ,
540 ,
2210  ,
3981  ,
5446  ,
6196  ,
6057  ,
5116  ,
3529  ,
1521  ,
-503  ,
-2060 ,
-2876 ,
-2987 ,
-2555 ,
-1694 ,
-577  ,
506 ,
1231  ,
1338  ,
708 ,
-487  ,
-1761 ,
-2583 ,
-2807 ,
-2653 ,
-2428 ,
-2279 ,
-2187 ,
-1959 ,
-1313 ,
-109  ,
1543  ,
3476  ,
5467  ,
7137  ,
7866  ,
7262  ,
5483  ,
3062  ,
536 ,
-1819 ,
-4278 ,
-7719 ,
-12895  ,
-19081  ,
-23794  ,
-24316  ,
-19563  ,
-10619  ,
-238  ,
7909  ,
10536 ,
6710  ,
-1377 ,
-9763 ,
-14844  ,
-14563  ,
-9000 ,
-686  ,
6397  ,
9398  ,
8518  ,
6215  ,
5121  ,
6849  ,
11840 ,
19011 ,
25787 ,
29532 ,
29245 ,
25647 ,
20054 ,
13748 ,
7977  ,
3463  ,
-220  ,
-3948 ,
-7757 ,
-10715  ,
-11947  ,
-11289  ,
-9079 ,
-6086 ,
-3704 ,
-3419 ,
-5660 ,
-9348 ,
-12734  ,
-14443  ,
-13893  ,
-11399  ,
-8179 ,
-5861 ,
-5405 ,
-6397 ,
-7339 ,
-6598 ,
-3152 ,
2868  ,
10095 ,
16471 ,
20302 ,
21145 ,
19817 ,
17658 ,
15714 ,
14288 ,
12954 ,
11004 ,
8047  ,
4392  ,
940 ,
-1376 ,
-2189 ,
-1975 ,
-1814 ,
-2761 ,
-5233 ,
-8725 ,
-12095  ,
-14269  ,
-14831  ,
-14255  ,
-13555  ,
-13732  ,
-15103  ,
-17083  ,
-18427  ,
-17923  ,
-15053  ,
-10236  ,
-4567 ,
745 ,
4913  ,
7809  ,
9843  ,
11522 ,
13069 ,
14227 ,
14551 ,
13796 ,
12122 ,
10064 ,
8258  ,
7205  ,
6925  ,
6834  ,
6124  ,
4375  ,
1873  ,
-718  ,
-2837 ,
-4236 ,
-5045 ,
-5777 ,
-7102 ,
-9394 ,
-12489  ,
-15993  ,
-19446  ,
-22050  ,
-22651  ,
-20536  ,
-16261  ,
-11192  ,
-6385 ,
-2180 ,
1355  ,
4050  ,
5816  ,
6704  ,
6890  ,
6899  ,
7649  ,
9685  ,
12392 ,
14552 ,
15656 ,
16059 ,
15982 ,
15109 ,
13361 ,
11396 ,
10037 ,
9381  ,
8821  ,
7501  ,
4735  ,
427 ,
-4565 ,
-8940 ,
-11915  ,
-13557  ,
-14090  ,
-13466  ,
-11870  ,
-10161  ,
-9287 ,
-9389 ,
-9740 ,
-9438 ,
-8009 ,
-5534 ,
-2508 ,
478 ,
3012  ,
5029  ,
6645  ,
7992  ,
9243  ,
10567 ,
11939 ,
12992 ,
13263 ,
12595 ,
11255 ,
9676  ,
8086  ,
6417  ,
4454  ,
2062  ,
-734  ,
-3758 ,
-6698 ,
-9119 ,
-10642  ,
-11084  ,
-10557  ,
-9410 ,
-8105 ,
-7037 ,
-6347 ,
-5879 ,
-5266 ,
-4173 ,
-2472 ,
-365  ,
1733  ,
3385  ,
4434  ,
5022  ,
5443  ,
5895  ,
6481  ,
7266  ,
8164  ,
8822  ,
8775  ,
7754  ,
5837  ,
3357  ,
701 ,
-1789 ,
-3908 ,
-5521 ,
-6505 ,
-6742 ,
-6278 ,
-5451 ,
-4659 ,
-4140 ,
-3980 ,
-4293 ,
-5106 ,
-6126 ,
-6857 ,
-7019 ,
-6714 ,
-6210 ,
-5627 ,
-4846 ,
-3618 ,
-1747 ,
720 ,
3445  ,
6026  ,
8190  ,
9685  ,
10207 ,
9720  ,
8660  ,
7580  ,
6576  ,
5313  ,
3520  ,
1254  ,
-1231 ,
-3742 ,
-6475 ,
-10061  ,
-14875  ,
-19984  ,
-23084  ,
-21975  ,
-16190  ,
-7221 ,
2157  ,
8696  ,
9806  ,
5081  ,
-3077 ,
-10771  ,
-14581  ,
-12759  ,
-5732 ,
3761  ,
11796 ,
15602 ,
15223 ,
12773 ,
10732 ,
10914 ,
14111 ,
19623 ,
25264 ,
28649 ,
28633 ,
25379 ,
19584 ,
12316 ,
5103  ,
-756  ,
-5027 ,
-8265 ,
-10838  ,
-12626  ,
-13488  ,
-13463  ,
-12643  ,
-11290  ,
-10120  ,
-9966 ,
-11022  ,
-12595  ,
-13660  ,
-13490  ,
-11813  ,
-8893 ,
-5651 ,
-3421 ,
-3021 ,
-4036 ,
-4966 ,
-4144 ,
-611  ,
5449  ,
12774 ,
19400 ,
23545 ,
24525 ,
22915 ,
20013 ,
16971 ,
14419 ,
12319 ,
10129 ,
7209  ,
3416  ,
-679  ,
-4246 ,
-6799 ,
-8452 ,
-9732 ,
-11176  ,
-13018  ,
-14916  ,
-16079  ,
-15750  ,
-13857  ,
-11174  ,
-8948 ,
-8244 ,
-9367 ,
-11639  ,
-13696  ,
-14139  ,
-12279  ,
-8458 ,
-3806 ,
405 ,
3426  ,
5260  ,
6493  ,
7898  ,
9945  ,
12474 ,
14683 ,
15591 ,
14645 ,
12040 ,
8646  ,
5527  ,
3260  ,
1647  ,
63  ,
-1897 ,
-4092 ,
-6006 ,
-7033 ,
-6729 ,
-5155 ,
-3096 ,
-1745 ,
-1986 ,
-3914 ,
-6899 ,
-10003  ,
-12453  ,
-14060  ,
-15066  ,
-15371  ,
-14114  ,
-10512  ,
-5050 ,
714 ,
5444  ,
8884  ,
11359 ,
13090 ,
14050 ,
14216 ,
13663 ,
12726 ,
11833 ,
11006 ,
9692  ,
7562  ,
5307  ,
4061  ,
4034  ,
4228  ,
3709  ,
2597  ,
1616  ,
1033  ,
355 ,
-1153 ,
-3827 ,
-7282 ,
-10585  ,
-12920  ,
-14122  ,
-14498  ,
-14198  ,
-13095  ,
-11264  ,
-9085 ,
-6823 ,
-4228 ,
-857  ,
3212  ,
7228  ,
10289 ,
11986 ,
12613 ,
12760 ,
12883 ,
13090 ,
13284 ,
13362 ,
13246 ,
12766 ,
11751 ,
10169 ,
8172  ,
5949  ,
3513  ,
674 ,
-2707 ,
-6433 ,
-9979 ,
-12789  ,
-14563  ,
-15300  ,
-15138  ,
-14315  ,
-13119  ,
-11873  ,
-10719  ,
-9573 ,
-8216 ,
-6454 ,
-4226 ,
-1681 ,
867 ,
3114  ,
4912  ,
6210  ,
7010  ,
7393  ,
7622  ,
7956  ,
8398  ,
8781  ,
8925  ,
8687  ,
7856  ,
6301  ,
4093  ,
1488  ,
-1220 ,
-3705 ,
-5626 ,
-6816 ,
-7483 ,
-7978 ,
-8390 ,
-8584 ,
-8521 ,
-8296 ,
-7879 ,
-7132 ,
-6063 ,
-4855 ,
-3588 ,
-2227 ,
-860  ,
310 ,
1235  ,
2017  ,
2666  ,
3138  ,
3628  ,
4490  ,
5767  ,
7095  ,
8153  ,
9010  ,
9858  ,
10642 ,
11023 ,
10606 ,
9155  ,
6730  ,
3770  ,
908 ,
-1423 ,
-3112 ,
-4256 ,
-5053 ,
-5966 ,
-7833 ,
-11502  ,
-17020  ,
-23007  ,
-27002  ,
-26730  ,
-21367  ,
-12050  ,
-1490 ,
6888  ,
10265 ,
7849  ,
1431  ,
-5455 ,
-9327 ,
-8167 ,
-2156 ,
6362  ,
13936 ,
17860 ,
17568 ,
14450 ,
10787 ,
8783  ,
9997  ,
14519 ,
20700 ,
25973 ,
28309 ,
27009 ,
22451 ,
15639 ,
7980  ,
863 ,
-4875 ,
-9096 ,
-11909  ,
-13439  ,
-13953  ,
-13814  ,
-13291  ,
-12540  ,
-11885  ,
-11823  ,
-12519  ,
-13414  ,
-13504  ,
-12160  ,
-9462 ,
-6063 ,
-2919 ,
-1087 ,
-1230 ,
-3046 ,
-5174 ,
-5866 ,
-3834 ,
1154  ,
8164  ,
15359 ,
20680 ,
22889 ,
22084 ,
19310 ,
15742 ,
12254 ,
9241  ,
6564  ,
3692  ,
230 ,
-3650 ,
-7330 ,
-10263  ,
-12198  ,
-13212  ,
-13571  ,
-13606  ,
-13411  ,
-12762  ,
-11375  ,
-9287 ,
-7007 ,
-5329 ,
-5021 ,
-6396 ,
-8955 ,
-11480  ,
-12647  ,
-11641  ,
-8481 ,
-3949 ,
728 ,
4450  ,
6756  ,
7961  ,
8836  ,
10086 ,
11881 ,
13797 ,
14952 ,
14612 ,
12625 ,
9557  ,
6360  ,
3807  ,
2142  ,
1096  ,
215 ,
-838  ,
-2104 ,
-3305 ,
-4038 ,
-4131 ,
-3889 ,
-3924 ,
-4731 ,
-6514 ,
-9054 ,
-11682  ,
-13389  ,
-13389  ,
-11729  ,
-9180 ,
-6496 ,
-3938 ,
-1496 ,
817 ,
2967  ,
4994  ,
6916  ,
8735  ,
10513 ,
12242 ,
13539 ,
13786 ,
12778 ,
10946 ,
8860  ,
6807  ,
5043  ,
4042  ,
4132  ,
4939  ,
5513  ,
5104  ,
3591  ,
1370  ,
-986  ,
-2970 ,
-4413 ,
-5509 ,
-6554 ,
-7573 ,
-8400 ,
-9060 ,
-9751 ,
-10421  ,
-10640  ,
-10038  ,
-8607 ,
-6470 ,
-3589 ,
-35 ,
3586  ,
6359  ,
7692  ,
7682  ,
6916  ,
6158  ,
6025  ,
6657  ,
7579  ,
8049  ,
7606  ,
6234  ,
4209  ,
1945  ,
-36 ,
-1315 ,
-1970 ,
-2547 ,
-3594 ,
-5203 ,
-7033 ,
-8624 ,
-9654 ,
-9974 ,
-9625 ,
-8814 ,
-7892 ,
-7075 ,
-6258 ,
-5146 ,
-3512 ,
-1404 ,
927 ,
3124  ,
4842  ,
5858  ,
6210  ,
6166  ,
6011  ,
5933  ,
6002  ,
6174  ,
6211  ,
5778  ,
4741  ,
3279  ,
1671  ,
101 ,
-1347 ,
-2521 ,
-3330 ,
-3846 ,
-4291 ,
-4832 ,
-5440 ,
-5975 ,
-6321 ,
-6445 ,
-6332 ,
-5946 ,
-5252 ,
-4299 ,
-3197 ,
-2021 ,
-782  ,
504 ,
1805  ,
3016  ,
4042  ,
4836  ,
5495  ,
6221  ,
7064  ,
7749  ,
7908  ,
7435  ,
6607  ,
5754  ,
5027  ,
4474  ,
4131  ,
3917  ,
3532  ,
2718  ,
1525  ,
316 ,
-599  ,
-1199 ,
-1625 ,
-1944 ,
-2180 ,
-2427 ,
-2816 ,
-3357 ,
-3970 ,
-4672 ,
-5521 ,
-6608 ,
-8157 ,
-10479  ,
-13358  ,
-15518  ,
-15209  ,
-11581  ,
-5349 ,
1792  ,
7892  ,
11116 ,
10358 ,
6188  ,
943 ,
-2663 ,
-3035 ,
-174  ,
4543  ,
8892  ,
10809 ,
9666  ,
6699  ,
3902  ,
2774  ,
3960  ,
7410  ,
12219 ,
16543 ,
18548 ,
17538 ,
14142 ,
9448  ,
4522  ,
280 ,
-2736 ,
-4661 ,
-6081 ,
-7455 ,
-8858 ,
-10191  ,
-11332  ,
-12113  ,
-12334  ,
-12057  ,
-11572  ,
-11019  ,
-10153  ,
-8685 ,
-6730 ,
-4787 ,
-3453 ,
-3163 ,
-4013 ,
-5626 ,
-7089 ,
-7308 ,
-5624 ,
-2243 ,
1926  ,
5755  ,
8366  ,
9430  ,
9345  ,
9025  ,
9231  ,
10080 ,
11018 ,
11285 ,
10389 ,
8308  ,
5433  ,
2411  ,
-160  ,
-2028 ,
-3338 ,
-4344 ,
-5129 ,
-5535 ,
-5305 ,
-4273 ,
-2660 ,
-1146 ,
-582  ,
-1475 ,
-3613 ,
-6192 ,
-8213 ,
-8958 ,
-8268 ,
-6581 ,
-4694 ,
-3339 ,
-2781 ,
-2693 ,
-2379 ,
-1175 ,
1184  ,
4353  ,
7529  ,
9850  ,
10782 ,
10262 ,
8666  ,
6625  ,
4755  ,
3365  ,
2399  ,
1632  ,
994 ,
549 ,
349 ,
303 ,
230 ,
2 ,
-449  ,
-1123 ,
-1934 ,
-2715 ,
-3254 ,
-3454 ,
-3483 ,
-3727 ,
-4533 ,
-5797 ,
-6887 ,
-7005 ,
-5841 ,
-3792 ,
-1541 ,
510 ,
2353  ,
3937  ,
4979  ,
5265  ,
5045  ,
4823  ,
4871  ,
5059  ,
5108  ,
4924  ,
4581  ,
4168  ,
3629  ,
2778  ,
1521  ,
206 ,
-490  ,
-255  ,
432 ,
751 ,
360 ,
-554  ,
-1780 ,
-3375 ,
-5280 ,
-7157 ,
-8581 ,
-9357 ,
-9486 ,
-8978 ,
-7834 ,
-6096 ,
-3877 ,
-1454 ,
719 ,
2257  ,
3199  ,
3974  ,
4927  ,
5976  ,
6851  ,
7355  ,
7370  ,
6726  ,
5320  ,
3378  ,
1424  ,
-45 ,
-866  ,
-1180 ,
-1217 ,
-1244 ,
-1503 ,
-2157 ,
-3196 ,
-4401 ,
-5476 ,
-6171 ,
-6369 ,
-6150 ,
-5767 ,
-5436 ,
-5135 ,
-4676 ,
-3887 ,
-2740 ,
-1239 ,
560 ,
2412  ,
3933  ,
4905  ,
5407  ,
5680  ,
5934  ,
6246  ,
6580  ,
6781  ,
6615  ,
5957  ,
4909  ,
3705  ,
2586  ,
1766  ,
1357  ,
1222  ,
1080  ,
733 ,
187 ,
-530  ,
-1412 ,
-2371 ,
-3228 ,
-3829 ,
-4177 ,
-4339 ,
-4331 ,
-4171 ,
-3942 ,
-3706 ,
-3404 ,
-3003 ,
-2473 ,
-1736 ,
-653  ,
775 ,
2284  ,
3545  ,
4422  ,
4961  ,
5202  ,
5167  ,
4966  ,
4765  ,
4623  ,
4427  ,
4018  ,
3333  ,
2398  ,
1308  ,
265 ,
-517  ,
-1004 ,
-1336 ,
-1591 ,
-1638 ,
-1315 ,
-769  ,
-347  ,
-227  ,
-304  ,
-491  ,
-843  ,
-1338 ,
-1647 ,
-1424 ,
-571  ,
657 ,
1903  ,
2791  ,
2993  ,
2387  ,
1082  ,
-828  ,
-3383 ,
-6359 ,
-8898 ,
-9958 ,
-9237 ,
-7336 ,
-5138 ,
-3276 ,
-2255 ,
-2437 ,
-3617 ,
-4937 ,
-5507 ,
-5012 ,
-3687 ,
-2031 ,
-688  ,
-164  ,
-410  ,
-798  ,
-709  ,
-40 ,
1068  ,
2688  ,
4960  ,
7607  ,
10019 ,
11734 ,
12534 ,
12165 ,
10492 ,
7860  ,
5118  ,
3039  ,
1890  ,
1461  ,
1299  ,
839 ,
-385  ,
-2389 ,
-4671 ,
-6570 ,
-7677 ,
-7850 ,
-7192 ,
-6049 ,
-4974 ,
-4454 ,
-4613 ,
-5245 ,
-6041 ,
-6696 ,
-6884 ,
-6299 ,
-4847 ,
-2729 ,
-324  ,
2014  ,
3971  ,
5375  ,
6279  ,
6949  ,
7679  ,
8593  ,
9563  ,
10296 ,
10443 ,
9779  ,
8285  ,
6191  ,
3880  ,
1755  ,
115 ,
-885  ,
-1315 ,
-1386 ,
-1313 ,
-1247 ,
-1320 ,
-1687 ,
-2413 ,
-3402 ,
-4451 ,
-5386 ,
-6020 ,
-6214 ,
-5932 ,
-5347 ,
-4729 ,
-4242 ,
-3873 ,
-3520 ,
-3013 ,
-2120 ,
-684  ,
1166  ,
3059  ,
4608  ,
5571  ,
5823  ,
5391  ,
4551  ,
3752  ,
3275  ,
3077  ,
2977  ,
2929  ,
2910  ,
2727  ,
2140  ,
1196  ,
201 ,
-613  ,
-1324 ,
-2049 ,
-2742 ,
-3317 ,
-3835 ,
-4495 ,
-5411 ,
-6538 ,
-7649 ,
-8278 ,
-7916 ,
-6490 ,
-4539 ,
-2687 ,
-1037 ,
619 ,
2082  ,
2807  ,
2732  ,
2503  ,
2725  ,
3299  ,
3798  ,
4096  ,
4326  ,
4501  ,
4538  ,
4398  ,
4037  ,
3386  ,
2619  ,
2246  ,
2464  ,
2714  ,
2321  ,
1307  ,
149 ,
-1064 ,
-2612 ,
-4435 ,
-5964 ,
-6829 ,
-7180 ,
-7285 ,
-7113 ,
-6545 ,
-5695 ,
-4728 ,
-3644 ,
-2497 ,
-1439 ,
-529  ,
456 ,
1614  ,
2721  ,
3533  ,
4116  ,
4641  ,
5037  ,
5140  ,
5025  ,
4961  ,
4998  ,
4884  ,
4430  ,
3682  ,
2784  ,
1793  ,
754 ,
-178  ,
-929  ,
-1588 ,
-2267 ,
-2990 ,
-3659 ,
-4177 ,
-4442 ,
-4342 ,
-3836 ,
-3051 ,
-2196 ,
-1420 ,
-782  ,
-330  ,
-56 ,
145 ,
425 ,
860 ,
1438  ,
2077  ,
2728  ,
3328  ,
3749  ,
3930  ,
3903  ,
3786  ,
3684  ,
3660  ,
3688  ,
3663  ,
3468  ,
3015  ,
2260  ,
1209  ,
-46 ,
-1283 ,
-2272 ,
-2920 ,
-3275 ,
-3366 ,
-3207 ,
-2888 ,
-2587 ,
-2453 ,
-2467 ,
-2553 ,
-2642 ,
-2653 ,
-2508 ,
-2161 ,
-1672 ,
-1121 ,
-568  ,
-54 ,
359 ,
683 ,
1057  ,
1629  ,
2372  ,
3093  ,
3655  ,
3982  ,
3984  ,
3572  ,
2781  ,
1763  ,
688 ,
-306  ,
-1117 ,
-1656 ,
-1917 ,
-1955 ,
-1872 ,
-1761 ,
-1654 ,
-1602 ,
-1635 ,
-1709 ,
-1763 ,
-1733 ,
-1631 ,
-1512 ,
-1440 ,
-1423 ,
-1466 ,
-1555 ,
-1625 ,
-1572 ,
-1293 ,
-787  ,
-132  ,
591 ,
1309  ,
1906  ,
2300  ,
2519  ,
2646  ,
2699  ,
2616  ,
2436  ,
2284  ,
2234  ,
2185  ,
1972  ,
1548  ,
960 ,
201 ,
-780  ,
-1873 ,
-2859 ,
-3594 ,
-4125 ,
-4507 ,
-4761 ,
-4934 ,
-5087 ,
-5144 ,
-4932 ,
-4381 ,
-3619 ,
-2763 ,
-1760 ,
-628  ,
404 ,
1060  ,
1345  ,
1515  ,
1730  ,
2027  ,
2386  ,
2849  ,
3418  ,
4082  ,
4840  ,
5618  ,
6188  ,
6279  ,
5908  ,
5335  ,
4771  ,
4097  ,
3196  ,
2137  ,
1107  ,
175 ,
-734  ,
-1656 ,
-2536 ,
-3252 ,
-3679 ,
-3758 ,
-3553 ,
-3256 ,
-2985 ,
-2663 ,
-2156 ,
-1507 ,
-962  ,
-703  ,
-664  ,
-694  ,
-698  ,
-658  ,
-528  ,
-226  ,
265 ,
868 ,
1450  ,
1912  ,
2195  ,
2316  ,
2323  ,
2262  ,
2083  ,
1766  ,
1368  ,
951 ,
495 ,
-57 ,
-690  ,
-1300 ,
-1813 ,
-2200 ,
-2418 ,
-2375 ,
-2044 ,
-1521 ,
-935  ,
-408  ,
-64 ,
79  ,
118 ,
204 ,
379 ,
566 ,
736 ,
972 ,
1286  ,
1546  ,
1653  ,
1650  ,
1601  ,
1469  ,
1173  ,
771 ,
377 ,
15  ,
-366  ,
-727  ,
-1032 ,
-1347 ,
-1746 ,
-2115 ,
-2285 ,
-2241 ,
-2145 ,
-2061 ,
-1919 ,
-1737 ,
-1665 ,
-1712 ,
-1702 ,
-1497 ,
-1184 ,
-878  ,
-542  ,
-120  ,
297 ,
625 ,
965 ,
1413  ,
1906  ,
2273  ,
2496  ,
2650  ,
2682  ,
2513  ,
2172  ,
1826  ,
1551  ,
1256  ,
903 ,
567 ,
338 ,
151 ,
-61 ,
-262  ,
-400  ,
-490  ,
-617  ,
-740  ,
-802  ,
-807  ,
-837  ,
-914  ,
-990  ,
-1041 ,
-1137 ,
-1266 ,
-1324 ,
-1188 ,
-897  ,
-581  ,
-316  ,
-96 ,
56  ,
88  ,
17  ,
-71 ,
-128  ,
-148  ,
-120  ,
-1  ,
199 ,
387 ,
525 ,
633 ,
754 ,
808 ,
703 ,
502 ,
351 ,
282 ,
201 ,
43  ,
-153  ,
-352  ,
-566  ,
-792  ,
-959  ,
-1028 ,
-1019 ,
-963  ,
-818  ,
-567  ,
-283  ,
-64 ,
96  ,
256 ,
388 ,
434 ,
400 ,
401 ,
485 ,
640 ,
795 ,
917 ,
971 ,
905 ,
721 ,
503 ,
326 ,
198 ,
74  ,
-54 ,
-152  ,
-208  ,
-289  ,
-403  ,
-531  ,
-621  ,
-687  ,
-747  ,
-779  ,
-735  ,
-617  ,
-444  ,
-229  ,
-23 ,
118 ,
170 ,
154 ,
144 ,
169 ,
229 ,
320 ,
432 ,
551 ,
652 ,
710 ,
729 ,
717 ,
692 ,
680 ,
660 ,
620 ,
579 ,
567 ,
566 ,
532 ,
453 ,
344 ,
231 ,
83  ,
-83 ,
-226  ,
-309  ,
-360  ,
-394  ,
-403  ,
-393  ,
-407  ,
-456  ,
-465  ,
-397  ,
-311  ,
-246  ,
-150  ,
27  ,
234 ,
409 ,
538 ,
655 ,
716 ,
647 ,
500 ,
383 ,
308 ,
193 ,
59  ,
-2  ,
13  ,
-4  ,
-94 ,
-177  ,
-219  ,
-238  ,
-262  ,
-221  ,
-88 ,
39  ,
100 ,
137 ,
202 ,
237 ,
142 ,
-51 ,
-203  ,
-273  ,
-305  ,
-309  ,
-249  ,
-120  ,
-12 ,
22  ,
9 ,
-37 ,
-112  ,
-191  ,
-201  ,
-134  ,
-64 ,
-69 ,
-143  ,
-233  ,
-350  ,
-515  ,
-707  ,
-841  ,
-862  ,
-815  ,
-747  ,
-656  ,
-543  ,
-462  ,
-446  ,
-471  ,
-486  ,
-494  ,
-508  ,
-502  ,
-428  ,
-280  ,
-132  ,
-36 ,
27  ,
91  ,
149 ,
180 ,
206 ,
267 ,
371 ,
481 ,
569 ,
640 ,
677 ,
662 ,
587 ,
473 ,
354 ,
254 ,
166 ,
81  ,
0 ,
-85 ,
-194  ,
-343  ,
-503  ,
-647  ,
-761  ,
-836  ,
-856  ,
-780  ,
-610  ,
-408  ,
-202  ,
-1  ,
197 ,
331 ,
369 ,
336 ,
277 ,
214 ,
155 ,
122 ,
152 ,
217 ,
266 ,
275 ,
289 ,
330 ,
360 ,
380 ,
429 ,
523 ,
615 ,
658 ,
654 ,
607 ,
493 ,
309 ,
104 ,
-49 ,
-157  ,
-219  ,
-235  ,
-184  ,
-81 ,
17  ,
88  ,
150 ,
191 ,
197 ,
179 ,
189 ,
247 ,
318 ,
373 ,
415 ,
443 ,
423 ,
340 ,
218 ,
104 ,
34  ,
20  ,
40  ,
82  ,
134 ,
159 ,
141 ,
96  ,
27  ,
-44 ,
-104  ,
-145  ,
-156  ,
-132  ,
-99 ,
-66 ,
-53 ,
-68 ,
-103  ,
-173  ,
-249  ,
-286  ,
-262  ,
-184  ,
-82 ,
36  ,
146 ,
228 ,
248 ,
215 ,
168 ,
125 ,
85  ,
57  ,
48  ,
56  ,
36  ,
-12 ,
-81 ,
-146  ,
-203  ,
-267  ,
-302  ,
-289  ,
-224  ,
-150  ,
-65 ,
8 ,
43  ,
16  ,
-63 ,
-150  ,
-225  ,
-284  ,
-338  ,
-351  ,
-303  ,
-240  ,
-212  ,
-197  ,
-170  ,
-142  ,
-135  ,
-130  ,
-107  ,
-66 ,
-45 ,
-43 ,
-43 ,
-57 ,
-82 ,
-124  ,
-155  ,
-164  ,
-161  ,
-166  ,
-143  ,
-83 ,
-11 ,
45  ,
71  ,
86  ,
64  ,
-7  ,
-102  ,
-182  ,
-241  ,
-273  ,
-278  ,
-254  ,
-227  ,
-225  ,
-237  ,
-240  ,
-223  ,
-203  ,
-162  ,
-90 ,
2 ,
72  ,
116 ,
147 ,
163 ,
156 ,
124 ,
104 ,
92  ,
93  ,
87  ,
94  ,
116 ,
128 ,
124 ,
93  ,
54  ,
7 ,
-47 ,
-78 ,
-66 ,
-34 ,
5 ,
58  ,
111 ,
142 ,
149 ,
138 ,
132 ,
126 ,
115 ,
105 ,
105 ,
114 ,
136 ,
154 ,
176 ,
176 ,
152 ,
120 ,
117 ,
117 ,
125 ,
132 ,
156 ,
179 ,
189 ,
153 ,
86  ,
10  ,
-41 ,
-75 ,
-91 ,
-78 ,
-38 ,
14  ,
61  ,
95  ,
109 ,
103 ,
95  ,
86  ,
77  ,
90  ,
113 ,
127 ,
123 ,
124 ,
131 ,
128 ,
101 ,
69  ,
65  ,
82  ,
88  ,
89  ,
109 ,
144 ,
154 ,
115 ,
76  ,
51  ,
20  ,
-38 ,
-82 ,
-84 ,
-65 ,
-49 ,
-37 ,
-16 ,
-8  ,
-36 ,
-57 ,
-42 ,
-41 ,
-63 ,
-75 ,
-30 ,
29  ,
49  ,
42  ,
48  ,
53  ,
37  ,
15  ,
-2  ,
-15 ,
-28 ,
-20 ,
-19 ,
-53 ,
-95 ,
-115  ,
-115  ,
-115  ,
-124  ,
-124  ,
-108  ,
-58 ,
-22 ,
-15 ,
-10 ,
3 ,
-2  ,
-27 ,
-47 ,
-54 ,
-55 ,
-62 ,
-57 ,
-56 ,
-69 ,
-87 ,
-110  ,
-126  ,
-126  ,
-122  ,
-113  ,
-90 ,
-84 ,
-98 ,
-101  ,
-100  ,
-127  ,
-145  ,
-115  ,
-99 ,
-131  ,
-122  ,
-53 ,
-32 ,
-67 ,
-64 ,
9 ,
49  ,
5 ,
-19 ,
12  ,
45  ,
-2  ,
-54 ,
-28 ,
18  ,
-9  ,
-40 ,
3 ,
23  ,
-45 ,
-96 ,
-51 ,
-25 ,
-87 ,
-113  ,
-44 ,
-5  ,
-51 ,
-80 ,
-53 ,
-44 ,
-59 ,
-30 ,
-3  ,
-42 ,
-41 ,
49  ,
85  ,
14  ,
-39 ,
2 ,
34  ,
-4  ,
-42 ,
2 ,
83  ,
103 ,
77  ,
120 ,
188 ,
134 ,
42  ,
79  ,
165 ,
143 ,
61  ,
37  ,
59  ,
93  ,
86  ,
-6  ,
-73 ,
3 ,
80  ,
-20 ,
-136  ,
-74 ,
27  ,
-3  ,
-46 ,
13  ,
59  ,
0 ,
-33 ,
53  ,
85  ,
-36 ,
-103  ,
59  ,
211 ,
103 ,
-66 ,
17  ,
207 ,
189 ,
72  ,
119 ,
225 ,
170 ,
100 ,
188 ,
228 ,
70  ,
-10 ,
117 ,
164 ,
12  ,
-110  ,
-84 ,
-3  ,
33  ,
-26 ,
-129  ,
-78 ,
71  ,
45  ,
-109  ,
-104  ,
-11 ,
-55 ,
-89 ,
18  ,
26  ,
-107  ,
-117  ,
51  ,
88  ,
-83 ,
-156  ,
38  ,
204 ,
76  ,
-82 ,
67  ,
279 ,
185 ,
-23 ,
22  ,
159 ,
59  ,
-130  ,
-82 ,
60  ,
-30 ,
-183  ,
-72 ,
89  ,
-55 ,
-253  ,
-152  ,
43  ,
2 ,
-110  ,
-47 ,
54  ,
42  ,
-15 ,
-9  ,
-21 ,
-111  ,
-107  ,
73  ,
130 ,
-65 ,
-113  ,
153 ,
237 ,
-25 ,
-105  ,
107 ,
165 ,
-21 ,
-107  ,
-23 ,
43  ,
-12 ,
-155  ,
-198  ,
-58 ,
26  ,
-122  ,
-275  ,
-182  ,
-19 ,
-43 ,
-192  ,
-151  ,
88  ,
92  ,
-226  ,
-299  ,
44  ,
161 ,
-181  ,
-322  ,
20  ,
279 ,
121 ,
-110  ,
-59 ,
148 ,
242 ,
166 ,
58  ,
18  ,
107 ,
224 ,
142 ,
-73 ,
-31 ,
180 ,
107 ,
-110  ,
6 ,
145 ,
-95 ,
-259  ,
0 ,
179 ,
-84 ,
-353  ,
-211  ,
100 ,
55  ,
-303  ,
-385  ,
-103  ,
42  ,
21  ,
78  ,
-78 ,
-364  ,
-32 ,
564 ,
252 ,
-487  ,
-274  ,
523 ,
593 ,
-29 ,
-399  ,
-104  ,
403 ,
373 ,
-187  ,
-311  ,
157 ,
325 ,
30  ,
-67 ,
47  ,
43  ,
30  ,
14  ,
-56 ,
39  ,
72  ,
-273  ,
-343  ,
185 ,
278 ,
-363  ,
-487  ,
203 ,
441 ,
-147  ,
-498  ,
-51 ,
463 ,
243 ,
-318  ,
-215  ,
323 ,
244 ,
-171  ,
68  ,
293 ,
-284  ,
-359  ,
644 ,
705 ,
-680  ,
-872  ,
682 ,
1061  ,
-443  ,
-994  ,
270 ,
950 ,
44  ,
-652  ,
-80 ,
580 ,
197 ,
-495  ,
-315  ,
325 ,
221 ,
-348  ,
-281  ,
153 ,
103 ,
-53 ,
121 ,
81  ,
-206  ,
-66 ,
287 ,
145 ,
-209  ,
-177  ,
73  ,
143 ,
-35 ,
-199  ,
-62 ,
161 ,
-66 ,
-410  ,
-1  ,
630 ,
178 ,
-727  ,
-302  ,
909 ,
706 ,
-651  ,
-804  ,
407 ,
854 ,
10  ,
-632  ,
-311  ,
384 ,
587 ,
-39 ,
-639  ,
-126  ,
617 ,
198 ,
-451  ,
-78 ,
327 ,
-3  ,
-149  ,
48  ,
-75 ,
-148  ,
39  ,
-114  ,
-286  ,
63  ,
156 ,
-269  ,
-297  ,
127 ,
271 ,
45  ,
-314  ,
-413  ,
202 ,
708 ,
-13 ,
-827  ,
-218  ,
746 ,
483 ,
-382  ,
-552  ,
54  ,
598 ,
299 ,
-380  ,
-232  ,
446 ,
294 ,
-337  ,
-101  ,
526 ,
163 ,
-643  ,
-344  ,
609 ,
368 ,
-669  ,
-402  ,
616 ,
185 ,
-728  ,
-2  ,
797 ,
-167  ,
-944  ,
-51 ,
699 ,
173 ,
-487  ,
-424  ,
143 ,
368 ,
-203  ,
-312  ,
504 ,
243 ,
-1001 ,
-336  ,
1352  ,
571 ,
-1289 ,
-742  ,
870 ,
762 ,
-288  ,
-588  ,
-126  ,
328 ,
154 ,
-170  ,
42  ,
-13 ,
-466  ,
69  ,
725 ,
-264  ,
-913  ,
379 ,
780 ,
-548  ,
-576  ,
602 ,
515 ,
-242  ,
-287  ,
38  ,
491 ,
427 ,
-597  ,
-506  ,
914 ,
402 ,
-1180 ,
-25 ,
1447  ,
-327  ,
-1525 ,
518 ,
1398  ,
-469  ,
-1110 ,
204 ,
729 ,
56  ,
-496  ,
-283  ,
314 ,
115 ,
-469  ,
171 ,
589 ,
-766  ,
-894  ,
1209  ,
1065  ,
-1431 ,
-1058 ,
1421  ,
1061  ,
-864  ,
-657  ,
416 ,
409 ,
129 ,
27  ,
-141  ,
-58 ,
-19 ,
-24 ,
586 ,
578 ,
-915  ,
-1115 ,
1048  ,
1658  ,
-607  ,
-1677 ,
-11 ,
1280  ,
619 ,
-623  ,
-1036 ,
-95 ,
1032  ,
314 ,
-1147 ,
-467  ,
962 ,
79  ,
-1206 ,
-29 ,
1225  ,
24  ,
-1146 ,
-171  ,
845 ,
316 ,
-392  ,
-253  ,
77  ,
93  ,
56  ,
113 ,
-53 ,
-332  ,
-87 ,
398 ,
39  ,
-558  ,
111 ,
913 ,
-30 ,
-1183 ,
-195  ,
1449  ,
887 ,
-1194 ,
-1498 ,
725 ,
1966  ,
-91 ,
-2034 ,
-393  ,
1696  ,
446 ,
-1384 ,
-360  ,
1123  ,
222 ,
-1110 ,
-313  ,
1165  ,
528 ,
-1314 ,
-806  ,
1363  ,
794 ,
-1517 ,
-622  ,
1624  ,
221 ,
-1870 ,
-78 ,
1775  ,
-6  ,
-1540 ,
-156  ,
995 ,
227 ,
-493  ,
-196  ,
216 ,
78  ,
-205  ,
117 ,
425 ,
-220  ,
-552  ,
343 ,
499 ,
-560  ,
-286  ,
915 ,
121 ,
-1314 ,
-104  ,
1756  ,
467 ,
-1901 ,
-849  ,
1987  ,
1363  ,
-1713 ,
-1438 ,
1587  ,
1485  ,
-1222 ,
-1152 ,
956 ,
795 ,
-610  ,
-437  ,
240 ,
83  ,
-41 ,
93  ,
-73 ,
-194  ,
-43 ,
33  ,
65  ,
129 ,
-35 ,
-401  ,
-320  ,
395 ,
611 ,
-330  ,
-809  ,
100 ,
480 ,
-109  ,
131 ,
325 ,
-776  ,
-611  ,
1194  ,
884 ,
-913  ,
-549  ,
428 ,
29  ,
339 ,
728 ,
-802  ,
-1088 ,
1034  ,
1081  ,
-826  ,
-624  ,
414 ,
127 ,
149 ,
31  ,
-842  ,
175 ,
1439  ,
-735  ,
-1873 ,
1361  ,
2058  ,
-1788 ,
-2057 ,
1756  ,
1805  ,
-1542 ,
-1757 ,
1077  ,
1934  ,
-687  ,
-2581 ,
239 ,
3358  ,
219 ,
-3993 ,
-704  ,
4130  ,
1112  ,
-3740 ,
-1306 ,
3076  ,
1227  ,
-2569 ,
-948  ,
2550  ,
699 ,
-2981 ,
-563  ,
3673  ,
723 ,
-4052 ,
-954  ,
3934  ,
1094  ,
-3449 ,
-1314 ,
2553  ,
1275  ,
-2017 ,
-1500 ,
1738  ,
1878  ,
-1841 ,
-2543 ,
1883  ,
3140  ,
-1656 ,
-3357 ,
1246  ,
3323  ,
-480  ,
-2875 ,
-153  ,
2598  ,
822 ,
-2435 ,
-1234 ,
2677  ,
1739  ,
-2754 ,
-1889 ,
2874  ,
2046  ,
-2610 ,
-1961 ,
2206  ,
1756  ,
-1871 ,
-1651 ,
1605  ,
1513  ,
-1735 ,
-1656 ,
1863  ,
1684  ,
-2209 ,
-1920 ,
2170  ,
1850  ,
-1987 ,
-1696 ,
1553  ,
1489  ,
-933  ,
-1191 ,
387 ,
1005  ,
12  ,
-912  ,
-106  ,
1047  ,
124 ,
-1081 ,
174 ,
1298  ,
-323  ,
-1293 ,
510 ,
1259  ,
-522  ,
-1035 ,
554 ,
779 ,
-690  ,
-776  ,
794 ,
1075  ,
-723  ,
-1585 ,
312 ,
1901  ,
207 ,
-1886 ,
-644  ,
1464  ,
745 ,
-967  ,
-761  ,
256 ,
445 ,
37  ,
-543  ,
-426  ,
672 ,
589 ,
-1004 ,
-704  ,
1233  ,
588 ,
-1350 ,
-335  ,
1271  ,
102 ,
-799  ,
269 ,
235 ,
-520  ,
398 ,
641 ,
-915  ,
-598  ,
1297  ,
633 ,
-1222 ,
-482  ,
1101  ,
621 ,
-628  ,
-704  ,
263 ,
899 ,
-62 ,
-1179 ,
36  ,
1328  ,
-433  ,
-1606 ,
782 ,
1557  ,
-1359 ,
-1566 ,
1680  ,
1332  ,
-1873 ,
-1122 ,
1790  ,
1023  ,
-1274 ,
-874  ,
580 ,
755 ,
192 ,
-537  ,
-565  ,
526 ,
627 ,
-646  ,
-285  ,
1104  ,
93  ,
-1340 ,
60  ,
1344  ,
95  ,
-733  ,
-166  ,
-83 ,
230 ,
875 ,
-340  ,
-1478 ,
404 ,
1688  ,
-567  ,
-1807 ,
505 ,
1713  ,
-234  ,
-1517 ,
-227  ,
1205  ,
652 ,
-836  ,
-838  ,
512 ,
690 ,
-376  ,
-435  ,
298 ,
231 ,
-214  ,
-293  ,
-104  ,
467 ,
517 ,
-610  ,
-720  ,
749 ,
634 ,
-692  ,
15  ,
734 ,
-838  ,
-833  ,
1510  ,
1014  ,
-1593 ,
-1047 ,
1096  ,
925 ,
-143  ,
-698  ,
-1005 ,
354 ,
1864  ,
-204  ,
-2489 ,
-33 ,
2479  ,
80  ,
-2157 ,
-186  ,
1564  ,
275 ,
-981  ,
-407  ,
512 ,
516 ,
-208  ,
-526  ,
24  ,
358 ,
110 ,
-27 ,
-301  ,
-439  ,
587 ,
1029  ,
-748  ,
-1352 ,
1073  ,
1743  ,
-1175 ,
-2045 ,
1005  ,
2303  ,
-502  ,
-2512 ,
-356  ,
2332  ,
1068  ,
-1903 ,
-1449 ,
1145  ,
1122  ,
-373  ,
-278  ,
-309  ,
-866  ,
739 ,
1937  ,
-796  ,
-2526 ,
466 ,
2341  ,
-14 ,
-1535 ,
-422  ,
418 ,
667 ,
637 ,
-412  ,
-781  ,
272 ,
331 ,
-130  ,
715 ,
374 ,
-1614 ,
-782  ,
1935  ,
1028  ,
-1714 ,
-1068 ,
1030  ,
734 ,
-496  ,
-464  ,
80  ,
189 ,
-34 ,
-96 ,
152 ,
-29 ,
-429  ,
226 ,
837 ,
-373  ,
-1255 ,
254 ,
1496  ,
232 ,
-1286 ,
-845  ,
716 ,
1341  ,
155 ,
-1212 ,
-753  ,
559 ,
935 ,
536 ,
-469  ,
-1415 ,
-167  ,
1841  ,
647 ,
-1637 ,
-684  ,
848 ,
65  ,
-57 ,
739 ,
-565  ,
-1529 ,
548 ,
1646  ,
-224  ,
-1318 ,
-444  ,
501 ,
909 ,
157 ,
-1176 ,
-418  ,
1187  ,
172 ,
-1018 ,
389 ,
797 ,
-897  ,
-491  ,
1310  ,
438 ,
-1312 ,
-540  ,
1077  ,
1012  ,
-468  ,
-1458 ,
-228  ,
1754  ,
925 ,
-1532 ,
-1279 ,
978 ,
1394  ,
-183  ,
-1268 ,
-505  ,
1139  ,
898 ,
-1147 ,
-1042 ,
1098  ,
818 ,
-1033 ,
-485  ,
735 ,
53  ,
-348  ,
208 ,
-71 ,
-212  ,
389 ,
-81 ,
-607  ,
498 ,
767 ,
-788  ,
-932  ,
563 ,
876 ,
5 ,
-686  ,
-821  ,
219 ,
1412  ,
406 ,
-1384 ,
-880  ,
745 ,
1033  ,
295 ,
-702  ,
-1165 ,
124 ,
1543  ,
410 ,
-1383 ,
-784  ,
748 ,
825 ,
-32 ,
-656  ,
-441  ,
535 ,
707 ,
-393  ,
-546  ,
508 ,
315 ,
-708  ,
-138  ,
918 ,
185 ,
-971  ,
-456  ,
740 ,
748 ,
-299  ,
-883  ,
-254  ,
693 ,
645 ,
-248  ,
-723  ,
-225  ,
586 ,
628 ,
-283  ,
-838  ,
-50 ,
804 ,
258 ,
-623  ,
-310  ,
355 ,
195 ,
-83 ,
61  ,
-162  ,
-374  ,
418 ,
771 ,
-602  ,
-1118 ,
754 ,
1457  ,
-659  ,
-1480 ,
486 ,
1210  ,
-358  ,
-819  ,
257 ,
427 ,
-273  ,
-407  ,
102 ,
613 ,
246 ,
-969  ,
-809  ,
1060  ,
1090  ,
-1135 ,
-1190 ,
1036  ,
903 ,
-1023 ,
-560  ,
939 ,
215 ,
-790  ,
50  ,
551 ,
-236  ,
-263  ,
454 ,
225 ,
-408  ,
-188  ,
321 ,
312 ,
-5  ,
-235  ,
-168  ,
100 ,
200 ,
178 ,
107 ,
-318  ,
-507  ,
336 ,
855 ,
-204  ,
-964  ,
15  ,
727 ,
80  ,
-278  ,
18  ,
-141  ,
-206  ,
360 ,
354 ,
-369  ,
-466  ,
118 ,
342 ,
10  ,
-325  ,
-128  ,
356 ,
156 ,
-490  ,
-171  ,
621 ,
238 ,
-529  ,
-216  ,
311 ,
175 ,
-24 ,
-189  ,
-337  ,
165 ,
540 ,
-288  ,
-708  ,
439 ,
816 ,
-562  ,
-888  ,
666 ,
1041  ,
-590  ,
-1173 ,
413 ,
1280  ,
-142  ,
-1277 ,
-207  ,
1075  ,
528 ,
-741  ,
-846  ,
296 ,
1204  ,
349 ,
-1279 ,
-833  ,
1146  ,
1076  ,
-751  ,
-894  ,
300 ,
427 ,
-7  ,
-9  ,
-140  ,
-68 ,
250 ,
-332  ,
-587  ,
887 ,
1179  ,
-1144 ,
-1703 ,
989 ,
1949  ,
-457  ,
-1771 ,
-202  ,
1212  ,
616 ,
-713  ,
-973  ,
89  ,
943 ,
277 ,
-815  ,
-545  ,
548 ,
631 ,
-267  ,
-488  ,
176 ,
292 ,
-201  ,
-89 ,
332 ,
63  ,
-294  ,
-117  ,
90  ,
225 ,
262 ,
-293  ,
-585  ,
354 ,
810 ,
-271  ,
-680  ,
262 ,
450 ,
-127  ,
-72 ,
37  ,
-240  ,
-15 ,
366 ,
87  ,
-284  ,
-246  ,
82  ,
482 ,
106 ,
-742  ,
-190  ,
926 ,
131 ,
-972  ,
-25 ,
778 ,
-102  ,
-484  ,
7 ,
-18 ,
35  ,
215 ,
-345  ,
-318  ,
533 ,
5 ,
-787  ,
342 ,
851 ,
-647  ,
-800  ,
614 ,
613 ,
-82 ,
-94 ,
-461  ,
-217  ,
1138  ,
526 ,
-1311 ,
-263  ,
1325  ,
-189  ,
-1010 ,
827 ,
698 ,
-1196 ,
-416  ,
1144  ,
120 ,
-781  ,
49  ,
220 ,
-107  ,
280 ,
-47 ,
-754  ,
109 ,
882 ,
-269  ,
-925  ,
189 ,
678 ,
-135  ,
-418  ,
41  ,
258 ,
128 ,
-178  ,
-252  ,
294 ,
566 ,
-273  ,
-786  ,
200 ,
931 ,
-6  ,
-879  ,
-172  ,
697 ,
258 ,
-541  ,
-322  ,
447 ,
425 ,
-414  ,
-573  ,
424 ,
751 ,
-409  ,
-881  ,
362 ,
855 ,
-284  ,
-661  ,
229 ,
375 ,
-185  ,
-86 ,
156 ,
-3  ,
-7  ,
-80 ,
-220  ,
331 ,
558 ,
-587  ,
-881  ,
644 ,
931 ,
-550  ,
-658  ,
334 ,
99  ,
-163  ,
453 ,
-11 ,
-884  ,
101 ,
942 ,
-270  ,
-799  ,
410 ,
496 ,
-565  ,
-296  ,
608 ,
287 ,
-499  ,
-481  ,
247 ,
802 ,
51  ,
-1135 ,
-329  ,
1305  ,
453 ,
-1321 ,
-473  ,
1186  ,
543 ,
-793  ,
-537  ,
414 ,
691 ,
52  ,
-764  ,
-363  ,
748 ,
413 ,
-660  ,
-263  ,
460 ,
-63 ,
-346  ,
244 ,
198 ,
-261  ,
-99 ,
123 ,
96  ,
116 ,
-155  ,
-245  ,
352 ,
246 ,
-617  ,
-126  ,
813 ,
-90 ,
-921  ,
202 ,
814 ,
-200  ,
-530  ,
77  ,
257 ,
226 ,
49  ,
-448  ,
-77 ,
674 ,
8 ,
-676  ,
267 ,
589 ,
-562  ,
-496  ,
607 ,
251 ,
-535  ,
-84 ,
163 ,
-226  ,
184 ,
555 ,
-410  ,
-900  ,
320 ,
1098  ,
53  ,
-1014 ,
-532  ,
588 ,
872 ,
64  ,
-907  ,
-715  ,
671 ,
1168  ,
-257  ,
-1170 ,
54  ,
948 ,
13  ,
-497  ,
163 ,
105 ,
-373  ,
78  ,
382 ,
-107  ,
-233  ,
-108  ,
-151  ,
382 ,
557 ,
-735  ,
-1016 ,
824 ,
1247  ,
-684  ,
-1232 ,
306 ,
997 ,
180 ,
-646  ,
-610  ,
304 ,
803 ,
-161  ,
-788  ,
224 ,
662 ,
-342  ,
-442  ,
536 ,
416 ,
-537  ,
-515  ,
341 ,
715 ,
-18 ,
-976  ,
-343  ,
1174  ,
536 ,
-1414 ,
-697  ,
1557  ,
731 ,
-1705 ,
-832  ,
1760  ,
1090  ,
-1494 ,
-1281 ,
1051  ,
1419  ,
-414  ,
-1375 ,
-192  ,
1327  ,
769 ,
-1243 ,
-1176 ,
1305  ,
1523  ,
-1350 ,
-1730 ,
1293  ,
1771  ,
-1087 ,
-1695 ,
685 ,
1533  ,
-181  ,
-1479 ,
-373  ,
1503  ,
759 ,
-1792 ,
-1133 ,
1996  ,
1271  ,
-2058 ,
-1272 ,
1776  ,
1142  ,
-1149 ,
-877  ,
447 ,
728 ,
278 ,
-531  ,
-494  ,
679 ,
574 ,
-668  ,
-165  ,
759 ,
-212  ,
-553  ,
634 ,
287 ,
-835  ,
-33 ,
695 ,
-177  ,
-439  ,
48  ,
-93 ,
29  ,
296 ,
-374  ,
-415  ,
513 ,
98  ,
-688  ,
256 ,
656 ,
-672  ,
-715  ,
739 ,
770 ,
-469  ,
-898  ,
-9  ,
1213  ,
715 ,
-1350 ,
-1095 ,
1545  ,
1375  ,
-1318 ,
-1117 ,
1048  ,
827 ,
-448  ,
-368  ,
-52 ,
166 ,
433 ,
-255  ,
-683  ,
412 ,
525 ,
-777  ,
-379  ,
806 ,
-46 ,
-830  ,
184 ,
477 ,
-306  ,
-227  ,
44  ,
-67 ,
272 ,
66  ,
-763  ,
-27 ,
1009  ,
-152  ,
-935  ,
442 ,
648 ,
-659  ,
-141  ,
947 ,
-91 ,
-897  ,
298 ,
885 ,
-111  ,
-705  ,
-166  ,
650 ,
598 ,
-624  ,
-1030 ,
527 ,
1207  ,
-428  ,
-1199 ,
97  ,
707 ,
111 ,
-133  ,
-301  ,
-423  ,
355 ,
712 ,
-310  ,
-569  ,
388 ,
231 ,
-540  ,
119 ,
710 ,
-317  ,
-805  ,
276 ,
751 ,
-51 ,
-535  ,
-222  ,
272 ,
506 ,
7 ,
-632  ,
-120  ,
713 ,
153 ,
-715  ,
-129  ,
636 ,
89  ,
-543  ,
-199  ,
267 ,
265 ,
35  ,
-314  ,
-337  ,
268 ,
519 ,
-146  ,
-497  ,
103 ,
437 ,
-82 ,
-372  ,
148 ,
534 ,
31  ,
-622  ,
-245  ,
723 ,
595 ,
-585  ,
-846  ,
319 ,
956 ,
19  ,
-916  ,
-338  ,
752 ,
523 ,
-674  ,
-788  ,
495 ,
1008  ,
-292  ,
-1282 ,
-102  ,
1422  ,
555 ,
-1390 ,
-978  ,
1143  ,
1174  ,
-760  ,
-1052 ,
460 ,
773 ,
-250  ,
-487  ,
137 ,
425 ,
103 ,
-497  ,
-486  ,
643 ,
1081  ,
-529  ,
-1480 ,
301 ,
1660  ,
37  ,
-1478 ,
-280  ,
1017  ,
176 ,
-669  ,
49  ,
424 ,
-396  ,
-417  ,
592 ,
446 ,
-634  ,
-440  ,
471 ,
249 ,
-247  ,
-3  ,
-14 ,
-248  ,
182 ,
317 ,
-304  ,
-177  ,
378 ,
-89 ,
-348  ,
492 ,
400 ,
-696  ,
-345  ,
768 ,
336 ,
-600  ,
-298  ,
343 ,
343 ,
-22 ,
-455  ,
-270  ,
647 ,
585 ,
-752  ,
-866  ,
679 ,
1007  ,
-479  ,
-1017 ,
201 ,
798 ,
-170  ,
-695  ,
176 ,
570 ,
-352  ,
-667  ,
311 ,
690 ,
-128  ,
-612  ,
-188  ,
392 ,
448 ,
-189  ,
-625  ,
127 ,
710 ,
-216  ,
-743  ,
377 ,
749 ,
-442  ,
-665  ,
375 ,
517 ,
-153  ,
-288  ,
-100  ,
90  ,
313 ,
17  ,
-493  ,
-99 ,
488 ,
0 ,
-485  ,
93  ,
449 ,
-196  ,
-434  ,
282 ,
501 ,
-213  ,
-475  ,
117 ,
389 ,
82  ,
-58 ,
-143  ,
-302  ,
151 ,
640 ,
-132  ,
-851  ,
143 ,
887 ,
-225  ,
-818  ,
330 ,
652 ,
-455  ,
-508  ,
486 ,
320 ,
-514  ,
-161  ,
574 ,
94  ,
-582  ,
-52 ,
566 ,
40  ,
-395  ,
106 ,
235 ,
-257  ,
-27 ,
414 ,
-96 ,
-439  ,
150 ,
272 ,
-166  ,
6 ,
166 ,
-236  ,
-96 ,
331 ,
-13 ,
-209  ,
154 ,
-98 ,
-297  ,
502 ,
416 ,
-830  ,
-453  ,
1036  ,
505 ,
-983  ,
-522  ,
707 ,
510 ,
-367  ,
-537  ,
54  ,
595 ,
125 ,
-747  ,
-231  ,
939 ,
359 ,
-1017 ,
-517  ,
977 ,
738 ,
-781  ,
-937  ,
569 ,
1157  ,
-333  ,
-1371 ,
58  ,
1484  ,
203 ,
-1556 ,
-610  ,
1375  ,
998 ,
-1080 ,
-1365 ,
649 ,
1563  ,
-276  ,
-1659 ,
-50 ,
1627  ,
339 ,
-1467 ,
-566  ,
1265  ,
828 ,
-992  ,
-1091 ,
672 ,
1221  ,
-464  ,
-1312 ,
319 ,
1291  ,
-235  ,
-1176 ,
142 ,
990 ,
27  ,
-688  ,
-238  ,
339 ,
455 ,
-12 ,
-616  ,
-201  ,
688 ,
242 ,
-691  ,
-190  ,
588 ,
93  ,
-377  ,
-11 ,
84  ,
-48 ,
179 ,
27  ,
-371  ,
-34 ,
338 ,
66  ,
24  ,
-52 ,
-563  ,
31  ,
1190  ,
102 ,
-1550 ,
-187  ,
1552  ,
202 ,
-1132 ,
-18 ,
564 ,
-218  ,
-57 ,
378 ,
-187  ,
-249  ,
214 ,
-160  ,
-155  ,
644 ,
92  ,
-1038 ,
-182  ,
1010  ,
237 ,
-685  ,
-299  ,
109 ,
251 ,
470 ,
-111  ,
-869  ,
-56 ,
1067  ,
257 ,
-1017 ,
-388  ,
899 ,
480 ,
-805  ,
-564  ,
738 ,
705 ,
-627  ,
-883  ,
376 ,
1036  ,
58  ,
-1050 ,
-470  ,
979 ,
714 ,
-955  ,
-738  ,
1062  ,
583 ,
-1325 ,
-539  ,
1429  ,
587 ,
-1245 ,
-717  ,
614 ,
648 ,
64  ,
-453  ,
-507  ,
276 ,
572 ,
-280  ,
-324  ,
579 ,
146 ,
-854  ,
-136  ,
933 ,
308 ,
-657  ,
-479  ,
146 ,
473 ,
308 ,
-352  ,
-569  ,
165 ,
599 ,
-41 ,
-550  ,
-56 ,
473 ,
35  ,
-503  ,
22  ,
624 ,
-81 ,
-787  ,
80  ,
898 ,
105 ,
-747  ,
-315  ,
397 ,
504 ,
75  ,
-476  ,
-340  ,
350 ,
308 ,
-154  ,
118 ,
217 ,
-479  ,
-336  ,
659 ,
482 ,
-471  ,
-399  ,
202 ,
221 ,
27  ,
-30 ,
-26 ,
41  ,
-123  ,
-247  ,
251 ,
465 ,
-291  ,
-549  ,
194 ,
370 ,
-101  ,
-182  ,
-148  ,
-29 ,
424 ,
76  ,
-795  ,
-19 ,
1165  ,
22  ,
-1354 ,
-141  ,
1233  ,
340 ,
-891  ,
-612  ,
378 ,
810 ,
48  ,
-868  ,
-214  ,
832 ,
83  ,
-798  ,
163 ,
790 ,
-342  ,
-838  ,
230 ,
813 ,
137 ,
-629  ,
-601  ,
223 ,
848 ,
231 ,
-822  ,
-680  ,
495 ,
934 ,
-185  ,
-1095 ,
-18 ,
1149  ,
-73 ,
-1245 ,
254 ,
1262  ,
-421  ,
-1176 ,
421 ,
952 ,
-180  ,
-596  ,
-206  ,
305 ,
725 ,
-87 ,
-1152 ,
40  ,
1387  ,
-112  ,
-1350 ,
235 ,
1045  ,
-354  ,
-654  ,
315 ,
273 ,
-122  ,
59  ,
-41 ,
-149  ,
223 ,
168 ,
-210  ,
-51 ,
126 ,
-11 ,
17  ,
-59 ,
-194  ,
217 ,
297 ,
-476  ,
-483  ,
534 ,
616 ,
-360  ,
-708  ,
-45 ,
739 ,
530 ,
-658  ,
-801  ,
627 ,
841 ,
-599  ,
-595  ,
636 ,
253 ,
-646  ,
39  ,
634 ,
-99 ,
-489  ,
-49 ,
255 ,
323 ,
44  ,
-567  ,
-368  ,
609 ,
598 ,
-476  ,
-772  ,
154 ,
769 ,
102 ,
-671  ,
-106  ,
594 ,
-132  ,
-584  ,
508 ,
679 ,
-723  ,
-758  ,
581 ,
627 ,
-132  ,
-273  ,
-432  ,
-177  ,
904 ,
571 ,
-1050 ,
-609  ,
980 ,
382 ,
-762  ,
7 ,
587 ,
-236  ,
-428  ,
202 ,
318 ,
137 ,
-149  ,
-590  ,
-119  ,
885 ,
363 ,
-969  ,
-619  ,
684 ,
606 ,
-359  ,
-485  ,
34  ,
176 ,
33  ,
49  ,
-2  ,
-168  ,
14  ,
212 ,
-189  ,
-243  ,
557 ,
421 ,
-844  ,
-547  ,
1048  ,
696 ,
-916  ,
-604  ,
695 ,
450 ,
-416  ,
-335  ,
203 ,
431 ,
-20 ,
-765  ,
-239  ,
1130  ,
534 ,
-1345 ,
-858  ,
1177  ,
939 ,
-776  ,
-788  ,
272 ,
382 ,
22  ,
9 ,
-80 ,
-214  ,
-29 ,
72  ,
-8  ,
214 ,
311 ,
-385  ,
-785  ,
290 ,
1195  ,
98  ,
-1245 ,
-512  ,
890 ,
730 ,
-272  ,
-614  ,
-262  ,
342 ,
539 ,
-140  ,
-519  ,
187 ,
365 ,
-486  ,
-316  ,
748 ,
360 ,
-826  ,
-465  ,
645 ,
557 ,
-235  ,
-513  ,
-135  ,
505 ,
444 ,
-483  ,
-570  ,
544 ,
569 ,
-603  ,
-415  ,
734 ,
298 ,
-774  ,
-156  ,
803 ,
161 ,
-678  ,
-253  ,
400 ,
321 ,
-138  ,
-481  ,
-175  ,
586 ,
360 ,
-727  ,
-492  ,
828 ,
503 ,
-916  ,
-500  ,
865 ,
366 ,
-836  ,
-277  ,
723 ,
164 ,
-660  ,
-190  ,
544 ,
317 ,
-313  ,
-434  ,
18  ,
501 ,
323 ,
-365  ,
-460  ,
231 ,
446 ,
-153  ,
-257  ,
299 ,
130 ,
-547  ,
-181  ,
680 ,
313 ,
-665  ,
-512  ,
397 ,
514 ,
-164  ,
-443  ,
54  ,
340 ,
-127  ,
-350  ,
236 ,
366 ,
-355  ,
-427  ,
263 ,
254 ,
-178  ,
-59 ,
4 ,
-168  ,
163 ,
319 ,
-264  ,
-227  ,
430 ,
127 ,
-444  ,
70  ,
394 ,
-161  ,
-144  ,
252 ,
-134  ,
-259  ,
396 ,
242 ,
-535  ,
-220  ,
461 ,
124 ,
-285  ,
-8  ,
66  ,
-110  ,
111 ,
199 ,
-225  ,
-236  ,
286 ,
222 ,
-302  ,
-120  ,
369 ,
18  ,
-391  ,
169 ,
467 ,
-256  ,
-380  ,
404 ,
286 ,
-408  ,
-32 ,
400 ,
-276  ,
-426  ,
486 ,
493 ,
-517  ,
-644  ,
261 ,
775 ,
187 ,
-857  ,
-688  ,
839 ,
1042  ,
-784  ,
-1157 ,
750 ,
1059  ,
-773  ,
-887  ,
797 ,
742 ,
-789  ,
-724  ,
615 ,
714 ,
-324  ,
-651  ,
0 ,
480 ,
314 ,
-166  ,
-464  ,
-161  ,
474 ,
395 ,
-380  ,
-488  ,
174 ,
336 ,
-27 ,
-113  ,
-111  ,
-121  ,
208 ,
217 ,
-322  ,
-155  ,
481 ,
15  ,
-674  ,
47  ,
738 ,
-26 ,
-680  ,
-140  ,
422 ,
335 ,
-38 ,
-411  ,
-269  ,
387 ,
442 ,
-243  ,
-407  ,
72  ,
247 ,
79  ,
-53 ,
-140  ,
-41 ,
162 ,
38  ,
-208  ,
3 ,
259 ,
-47 ,
-434  ,
-116  ,
558 ,
410 ,
-586  ,
-752  ,
471 ,
971 ,
-286  ,
-956  ,
171 ,
754 ,
-209  ,
-532  ,
351 ,
403 ,
-473  ,
-402  ,
433 ,
391 ,
-263  ,
-266  ,
118 ,
94  ,
-4  ,
147 ,
79  ,
-197  ,
-135  ,
135 ,
143 ,
9 ,
-77 ,
-136  ,
-36 ,
160 ,
56  ,
-175  ,
-25 ,
114 ,
-120  ,
-116  ,
257 ,
108 ,
-422  ,
-163  ,
539 ,
258 ,
-617  ,
-426  ,
589 ,
570 ,
-524  ,
-674  ,
477 ,
764 ,
-479  ,
-827  ,
588 ,
1005  ,
-659  ,
-1186 ,
660 ,
1387  ,
-439  ,
-1325 ,
216 ,
1102  ,
21  ,
-702  ,
-112  ,
347 ,
115 ,
-190  ,
-202  ,
110 ,
270 ,
-168  ,
-415  ,
129 ,
410 ,
-88 ,
-275  ,
21  ,
21  ,
35  ,
275 ,
-40 ,
-445  ,
68  ,
515 ,
-97 ,
-480  ,
131 ,
456 ,
-54 ,
-367  ,
-24 ,
355 ,
234 ,
-278  ,
-372  ,
271 ,
534 ,
-235  ,
-612  ,
266 ,
696 ,
-332  ,
-830  ,
380 ,
947 ,
-468  ,
-1139 ,
424 ,
1176  ,
-385  ,
-1123 ,
302 ,
951 ,
-203  ,
-709  ,
124 ,
520 ,
-27 ,
-440  ,
-110  ,
409 ,
222 ,
-452  ,
-337  ,
415 ,
358 ,
-293  ,
-259  ,
106 ,
86  ,
88  ,
103 ,
-226  ,
-249  ,
224 ,
247 ,
-150  ,
-156  ,
49  ,
55  ,
56  ,
-15 ,
-141  ,
64  ,
196 ,
-203  ,
-276  ,
301 ,
342 ,
-303  ,
-344  ,
228 ,
295 ,
-145  ,
-235  ,
53  ,
119 ,
-74 ,
-52 ,
110 ,
-59 ,
-220  ,
117 ,
256 ,
-213  ,
-260  ,
306 ,
187 ,
-420  ,
-120  ,
516 ,
139 ,
-489  ,
-198  ,
392 ,
315 ,
-197  ,
-381  ,
10  ,
369 ,
66  ,
-322  ,
-19 ,
307 ,
-72 ,
-353  ,
109 ,
468 ,
39  ,
-504  ,
-305  ,
391 ,
517 ,
-183  ,
-568  ,
-5  ,
438 ,
104 ,
-161  ,
7 ,
-15 ,
-139  ,
78  ,
231 ,
14  ,
-134  ,
-116  ,
-101  ,
134 ,
378 ,
27  ,
-480  ,
-218  ,
387 ,
347 ,
-158  ,
-369  ,
-107  ,
258 ,
257 ,
-124  ,
-240  ,
69  ,
167 ,
-24 ,
25  ,
98  ,
-144  ,
-156  ,
201 ,
190 ,
-125  ,
-112  ,
-27 ,
-101  ,
128 ,
334 ,
-151  ,
-525  ,
38  ,
546 ,
108 ,
-390  ,
-158  ,
199 ,
87  ,
-70 ,
72  ,
72  ,
-226  ,
-174  ,
243 ,
188 ,
-227  ,
-145  ,
100 ,
-46 ,
4 ,
255 ,
-79 ,
-365  ,
131 ,
335 ,
-127  ,
-104  ,
154 ,
-168  ,
-164  ,
376 ,
146 ,
-420  ,
-80 ,
278 ,
-49 ,
-88 ,
110 ,
-109  ,
-85 ,
196 ,
-102  ,
-201  ,
380 ,
164 ,
-619  ,
-131  ,
704 ,
94  ,
-612  ,
-72 ,
397 ,
50  ,
-175  ,
-30 ,
78  ,
93  ,
-46 ,
-197  ,
45  ,
316 ,
32  ,
-362  ,
-156  ,
363 ,
325 ,
-327  ,
-489  ,
295 ,
541 ,
-339  ,
-501  ,
423 ,
360 ,
-521  ,
-202  ,
565 ,
74  ,
-507  ,
-23 ,
384 ,
121 ,
-149  ,
-231  ,
-41 ,
331 ,
173 ,
-289  ,
-76 ,
211 ,
-128  ,
-75 ,
404 ,
-6  ,
-566  ,
35  ,
540 ,
-52 ,
-366  ,
54  ,
107 ,
-117  ,
23  ,
140 ,
-7  ,
-130  ,
-210  ,
-32 ,
413 ,
210 ,
-562  ,
-371  ,
583 ,
415 ,
-536  ,
-411  ,
414 ,
305 ,
-331  ,
-223  ,
248 ,
128 ,
-254  ,
-101  ,
268 ,
128 ,
-254  ,
-171  ,
185 ,
232 ,
4 ,
-156  ,
-178  ,
34  ,
313 ,
146 ,
-306  ,
-299  ,
129 ,
292 ,
82  ,
-185  ,
-291  ,
-8  ,
362 ,
123 ,
-340  ,
-114  ,
251 ,
-75 ,
-258  ,
251 ,
325 ,
-351  ,
-484  ,
211 ,
566 ,
67  ,
-552  ,
-434  ,
366 ,
640 ,
-142  ,
-619  ,
34  ,
463 ,
-10 ,
-234  ,
152 ,
204 ,
-129  ,
-201  ,
53  ,
365 ,
257 ,
-384  ,
-532  ,
338 ,
698 ,
-215  ,
-682  ,
76  ,
505 ,
-14 ,
-341  ,
-30 ,
248 ,
62  ,
-279  ,
-167  ,
360 ,
331 ,
-384  ,
-483  ,
331 ,
583 ,
-198  ,
-583  ,
87  ,
568 ,
12  ,
-491  ,
14  ,
494 ,
-5  ,
-423  ,
69  ,
380 ,
-88 ,
-315  ,
45  ,
246 ,
41  ,
-214  ,
-222  ,
149 ,
335 ,
-154  ,
-392  ,
168 ,
326 ,
-226  ,
-198  ,
275 ,
29  ,
-327  ,
18  ,
271 ,
6 ,
-177  ,
-131  ,
9 ,
215 ,
91  ,
-255  ,
-72 ,
238 ,
-58 ,
-177  ,
266 ,
171 ,
-367  ,
-142  ,
352 ,
84  ,
-235  ,
19  ,
126 ,
-103  ,
-59 ,
135 ,
51  ,
-114  ,
-63 ,
54  ,
59  ,
4 ,
-15 ,
-12 ,
-21 ,
40  ,
61  ,
-77 ,
-68 ,
153 ,
59  ,
-209  ,
-18 ,
211 ,
-70 ,
-178  ,
134 ,
58  ,
-196  ,
69  ,
188 ,
-175  ,
-115  ,
231 ,
-3  ,
-222  ,
91  ,
130 ,
-147  ,
4 ,
127 ,
-132  ,
-85 ,
185 ,
14  ,
-138  ,
93  ,
37  ,
-193  ,
61  ,
264 ,
-79 ,
-227  ,
63  ,
123 ,
-39 ,
2 ,
40  ,
-55 ,
-55 ,
32  ,
49  ,
53  ,
-1  ,
-154  ,
-109  ,
179 ,
207 ,
-155  ,
-269  ,
115 ,
309 ,
-70 ,
-291  ,
66  ,
243 ,
-133  ,
-244  ,
153 ,
210 ,
-178  ,
-242  ,
103 ,
272 ,
32  ,
-291  ,
-185  ,
312 ,
348 ,
-272  ,
-367  ,
260 ,
285 ,
-278  ,
-154  ,
316 ,
26  ,
-366  ,
15  ,
341 ,
24  ,
-237  ,
-136  ,
56  ,
207 ,
64  ,
-325  ,
-179  ,
362 ,
183 ,
-376  ,
-126  ,
336 ,
3 ,
-279  ,
147 ,
232 ,
-262  ,
-249  ,
269 ,
285 ,
-111  ,
-208  ,
-67 ,
43  ,
151 ,
162 ,
-78 ,
-277  ,
-110  ,
207 ,
238 ,
-17 ,
-204  ,
-154  ,
15  ,
189 ,
196 ,
-60 ,
-234  ,
-10 ,
213 ,
99  ,
-33 ,
-34 ,
-79 ,
-40 ,
143 ,
84  ,
-96 ,
-7  ,
63  ,
-62 ,
24  ,
170 ,
-106  ,
-237  ,
158 ,
264 ,
-159  ,
-276  ,
38  ,
203 ,
113 ,
-120  ,
-295  ,
-13 ,
349 ,
31  ,
-350  ,
-7  ,
264 ,
-115  ,
-187  ,
232 ,
145 ,
-290  ,
-146  ,
273 ,
207 ,
-125  ,
-199  ,
-8  ,
174 ,
140 ,
-43 ,
-111  ,
-28 ,
76  ,
127 ,
52  ,
-92 ,
-69 ,
40  ,
1 ,
-26 ,
72  ,
-4  ,
-186  ,
-58 ,
195 ,
123 ,
-149  ,
-239  ,
-6  ,
313 ,
184 ,
-346  ,
-339  ,
309 ,
373 ,
-259  ,
-352  ,
172 ,
223 ,
-193  ,
-164  ,
205 ,
168 ,
-239  ,
-272  ,
229 ,
431 ,
-123  ,
-497  ,
16  ,
484 ,
97  ,
-348  ,
-134  ,
180 ,
61  ,
-104  ,
-14 ,
84  ,
-35 ,
-164  ,
2 ,
246 ,
107 ,
-232  ,
-177  ,
157 ,
184 ,
-43 ,
-130  ,
-51 ,
35  ,
56  ,
9 ,
-6  ,
15  ,
-53 ,
-120  ,
45  ,
202 ,
15  ,
-189  ,
-51 ,
126 ,
73  ,
-15 ,
-19 ,
-16 ,
11  ,
59  ,
1 ,
-80 ,
6 ,
102 ,
-12 ,
-150  ,
-57 ,
86  ,
32  ,
-36 ,
11  ,
-14 ,
-102  ,
-3  ,
164 ,
62  ,
-141  ,
-95 ,
64  ,
72  ,
25  ,
41  ,
0 ,
-82 ,
-45 ,
93  ,
115 ,
-2  ,
-77 ,
-34 ,
35  ,
38  ,
5 ,
-4  ,
22  ,
12  ,
-53 ,
-57 ,
91  ,
134 ,
-65 ,
-174  ,
43  ,
167 ,
-39 ,
-153  ,
16  ,
91  ,
-35 ,
-93 ,
-9  ,
67  ,
37  ,
-70 ,
-71 ,
70  ,
68  ,
-104  ,
-73 ,
116 ,
48  ,
-121  ,
-26 ,
100 ,
25  ,
-21 ,
-3  ,
-58 ,
-16 ,
137 ,
56  ,
-156  ,
-89 ,
98  ,
53  ,
-52 ,
-21 ,
-18 ,
-73 ,
2 ,
113 ,
57  ,
-62 ,
-97 ,
-60 ,
48  ,
162 ,
68  ,
-197  ,
-194  ,
143 ,
256 ,
-30 ,
-185  ,
-10 ,
89  ,
-5  ,
7 ,
86  ,
17  ,
-101  ,
-63 ,
58  ,
106 ,
14  ,
-123  ,
-76 ,
98  ,
60  ,
-145  ,
-120  ,
107 ,
127 ,
-64 ,
-129  ,
-17 ,
69  ,
78  ,
34  ,
-37 ,
-84 ,
-25 ,
101 ,
128 ,
-7  ,
-130  ,
-49 ,
111 ,
119 ,
-23 ,
-98 ,
-20 ,
46  ,
11  ,
12  ,
69  ,
-43 ,
-192  ,
12  ,
286 ,
76  ,
-280  ,
-126  ,
194 ,
111 ,
-102  ,
-57 ,
18  ,
-23 ,
-16 ,
48  ,
50  ,
3 ,
-78 ,
-89 ,
64  ,
173 ,
7 ,
-161  ,
-46 ,
130 ,
81  ,
-54 ,
-77 ,
1 ,
75  ,
64  ,
-43 ,
-108  ,
-8  ,
130 ,
76  ,
-103  ,
-120  ,
48  ,
87  ,
-40 ,
-36 ,
59  ,
-41 ,
-182  ,
-17 ,
225 ,
108 ,
-229  ,
-266  ,
95  ,
331 ,
76  ,
-275  ,
-149  ,
184 ,
148 ,
-91 ,
-38 ,
92  ,
-38 ,
-131  ,
61  ,
193 ,
7 ,
-197  ,
-108  ,
137 ,
181 ,
-54 ,
-203  ,
-42 ,
171 ,
90  ,
-114  ,
-91 ,
50  ,
33  ,
-26 ,
46  ,
55  ,
-93 ,
-110  ,
71  ,
135 ,
3 ,
-103  ,
-74 ,
25  ,
126 ,
85  ,
-122  ,
-188  ,
30  ,
185 ,
56  ,
-124  ,
-146  ,
-23 ,
100 ,
90  ,
-29 ,
-104  ,
-98 ,
-26 ,
118 ,
183 ,
-12 ,
-236  ,
-130  ,
154 ,
226 ,
34  ,
-164  ,
-166  ,
21  ,
168 ,
125 ,
-27 ,
-150  ,
-139  ,
57  ,
223 ,
92  ,
-159  ,
-163  ,
22  ,
150 ,
145 ,
7 ,
-164  ,
-113  ,
117 ,
213 ,
65  ,
-150  ,
-203  ,
23  ,
267 ,
110 ,
-219  ,
-202  ,
45  ,
119 ,
72  ,
14  ,
-140  ,
-213  ,
32  ,
260 ,
118 ,
-168  ,
-222  ,
3 ,
238 ,
160 ,
-126  ,
-221  ,
-49 ,
112 ,
139 ,
59  ,
-106  ,
-183  ,
-20 ,
179 ,
136 ,
-64 ,
-173  ,
-44 ,
146 ,
127 ,
-50 ,
-69 ,
16  ,
-7  ,
8 ,
127 ,
37  ,
-199  ,
-122  ,
181 ,
185 ,
-112  ,
-222  ,
5 ,
189 ,
27  ,
-176  ,
-29 ,
181 ,
26  ,
-182  ,
-19 ,
192 ,
28  ,
-186  ,
-85 ,
116 ,
78  ,
-101  ,
-99 ,
83  ,
121 ,
-73 ,
-141  ,
65  ,
176 ,
8 ,
-151  ,
-61 ,
146 ,
169 ,
-55 ,
-184  ,
1 ,
153 ,
20  ,
-82 ,
17  ,
15  ,
-61 ,
29  ,
111 ,
-30 ,
-115  ,
15  ,
91  ,
37  ,
-18 ,
-48 ,
-41 ,
44  ,
95  ,
23  ,
-85 ,
-108  ,
1 ,
155 ,
129 ,
-106  ,
-226  ,
-24 ,
213 ,
154 ,
-108  ,
-203  ,
-37 ,
114 ,
66  ,
-10 ,
-20 ,
-76 ,
-122  ,
32  ,
179 ,
27  ,
-220  ,
-175  ,
97  ,
203 ,
10  ,
-185  ,
-90 ,
113 ,
83  ,
-64 ,
-13 ,
75  ,
-41 ,
-114  ,
72  ,
173 ,
-32 ,
-187  ,
-44 ,
144 ,
102 ,
-77 ,
-140  ,
8 ,
128 ,
29  ,
-108  ,
-42 ,
66  ,
3 ,
-66 ,
22  ,
78  ,
-18 ,
-69 ,
21  ,
62  ,
7 ,
-15 ,
-11 ,
-28 ,
16  ,
72  ,
13  ,
-88 ,
-30 ,
93  ,
70  ,
-47 ,
-73 ,
-2  ,
37  ,
21  ,
-5  ,
-18 ,
-29 ,
-40 ,
1 ,
77  ,
57  ,
-73 ,
-118  ,
22  ,
147 ,
74  ,
-90 ,
-104  ,
20  ,
89  ,
28  ,
-58 ,
-72 ,
-3  ,
82  ,
61  ,
-30 ,
-38 ,
28  ,
8 ,
-13 ,
115 ,
117 ,
-113  ,
-171  ,
114 ,
256 ,
0 ,
-234  ,
-128  ,
132 ,
193 ,
-7  ,
-183  ,
-73 ,
85  ,
17  ,
-24 ,
106 ,
21  ,
-266  ,
-135  ,
320 ,
261 ,
-245  ,
-313  ,
83  ,
242 ,
33  ,
-96 ,
-61 ,
-39 ,
-13 ,
76  ,
115 ,
-28 ,
-188  ,
-113  ,
152 ,
206 ,
-58 ,
-227  ,
-66 ,
131 ,
87  ,
-29 ,
-58 ,
-75 ,
-61 ,
75  ,
136 ,
-56 ,
-203  ,
-8  ,
215 ,
75  ,
-172  ,
-108  ,
121 ,
114 ,
-64 ,
-90 ,
46  ,
66  ,
-64 ,
-62 ,
123 ,
140 ,
-134  ,
-202  ,
137 ,
315 ,
-38 ,
-323  ,
-59 ,
266 ,
146 ,
-134  ,
-128  ,
44  ,
78  ,
4 ,
-2  ,
37  ,
-14 ,
-97 ,
-47 ,
123 ,
143 ,
-57 ,
-208  ,
-77 ,
163 ,
167 ,
-67 ,
-210  ,
-76 ,
139 ,
138 ,
-61 ,
-149  ,
-34 ,
54  ,
7 ,
2 ,
61  ,
-14 ,
-147  ,
-30 ,
199 ,
124 ,
-155  ,
-177  ,
57  ,
162 ,
39  ,
-93 ,
-110  ,
-39 ,
68  ,
95  ,
-5  ,
-97 ,
-58 ,
53  ,
85  ,
41  ,
-31 ,
-51 ,
-17 ,
30  ,
57  ,
43  ,
-26 ,
-108  ,
-83 ,
95  ,
186 ,
-23 ,
-232  ,
-26 ,
247 ,
73  ,
-204  ,
-21 ,
214 ,
-5  ,
-217  ,
17  ,
205 ,
-2  ,
-177  ,
-33 ,
123 ,
55  ,
-90 ,
-85 ,
56  ,
98  ,
-53 ,
-124  ,
34  ,
110 ,
-35 ,
-106  ,
9 ,
68  ,
3 ,
-51 ,
-44 ,
16  ,
79  ,
38  ,
-68 ,
-67 ,
17  ,
55  ,
33  ,
-13 ,
-56 ,
-22 ,
72  ,
50  ,
-37 ,
-6  ,
31  ,
-48 ,
-47 ,
93  ,
91  ,
-87 ,
-116  ,
54  ,
130 ,
13  ,
-98 ,
-47 ,
67  ,
67  ,
-22 ,
-38 ,
23  ,
2 ,
-65 ,
-19 ,
69  ,
31  ,
-62 ,
-65 ,
4 ,
47  ,
46  ,
-19 ,
-74 ,
-27 ,
48  ,
52  ,
2 ,
-32 ,
-50 ,
-25 ,
49  ,
62  ,
-28 ,
-76 ,
-21 ,
35  ,
34  ,
16  ,
-17 ,
-48 ,
-7  ,
70  ,
46  ,
-45 ,
-51 ,
32  ,
38  ,
-29 ,
-12 ,
38  ,
-34 ,
-102  ,
-4  ,
108 ,
22  ,
-106  ,
-63 ,
48  ,
62  ,
8 ,
-30 ,
-18 ,
23  ,
31  ,
-2  ,
9 ,
40  ,
0 ,
-62 ,
-27 ,
52  ,
62  ,
-18 ,
-84 ,
-25 ,
74  ,
33  ,
-82 ,
-44 ,
76  ,
39  ,
-80 ,
-35 ,
66  ,
33  ,
-50 ,
-38 ,
30  ,
33  ,
-24 ,
-29 ,
20  ,
28  ,
-24 ,
-24 ,
42  ,
37  ,
-35 ,
-56 ,
0 ,
72  ,
62  ,
-30 ,
-88 ,
-16 ,
59  ,
18  ,
-8  ,
22  ,
-15 ,
-74 ,
10  ,
99  ,
44  ,
-44 ,
-27 ,
5 ,
25  ,
63  ,
55  ,
-34 ,
-81 ,
-1  ,
90  ,
45  ,
-73 ,
-100  ,
10  ,
92  ,
11  ,
-90 ,
-61 ,
24  ,
27  ,
-1  ,
-5  ,
-19 ,
-32 ,
-13 ,
34  ,
41  ,
-3  ,
-62 ,
-55 ,
61  ,
108 ,
-24 ,
-112  ,
21  ,
131 ,
15  ,
-97 ,
-14 ,
63  ,
24  ,
-7  ,
15  ,
6 ,
-20 ,
-2  ,
23  ,
23  ,
-6  ,
-42 ,
-35 ,
23  ,
37  ,
0 ,
-34 ,
-22 ,
17  ,
47  ,
4 ,
-59 ,
-23 ,
62  ,
38  ,
-55 ,
-58 ,
12  ,
42  ,
12  ,
-33 ,
-34 ,
11  ,
28  ,
-16 ,
-16 ,
21  ,
0 ,
-36 ,
9 ,
41  ,
-19 ,
-69 ,
-39 ,
4 ,
18  ,
1 ,
-26 ,
-30 ,
6 ,
18  ,
8 ,
19  ,
25  ,
1 ,
-4  ,
18  ,
24  ,
23  ,
8 ,
-15 ,
-16 ,
32  ,
26  ,
-41 ,
-30 ,
37  ,
22  ,
-68 ,
-47 ,
62  ,
59  ,
-40 ,
-59 ,
15  ,
32  ,
8 ,
3 ,
-29 ,
-51 ,
13  ,
52  ,
-17 ,
-61 ,
-13 ,
8 ,
-7  ,
26  ,
34  ,
-7  ,
-15 ,
12  ,
13  ,
37  ,
50  ,
-15 ,
-43 ,
25  ,
40  ,
-2  ,
8 ,
23  ,
-18 ,
-8  ,
30  ,
-15 ,
-43 ,
7 ,
5 ,
-28 ,
10  ,
2 ,
-59 ,
-23 ,
49  ,
5 ,
-64 ,
-28 ,
35  ,
25  ,
-23 ,
-54 ,
-1  ,
58  ,
12  ,
-42 ,
10  ,
46  ,
-25 ,
-23 ,
60  ,
46  ,
-28 ,
-11 ,
27  ,
30  ,
40  ,
16  ,
-47 ,
-28 ,
33  ,
4 ,
-31 ,
-1  ,
12  ,
-16 ,
-14 ,
6 ,
6 ,
12  ,
-5  ,
-45 ,
-34 ,
32  ,
14  ,
-43 ,
-22 ,
39  ,
14  ,
-35 ,
-16 ,
37  ,
33  ,
-26 ,
-40 ,
17  ,
62  ,
27  ,
-29 ,
-7  ,
47  ,
12  ,
-42 ,
-8  ,
63  ,
13  ,
-88 ,
-54 ,
70  ,
63  ,
-52 ,
-82 ,
-3  ,
38  ,
-1  ,
-37 ,
-22 ,
-1  ,
-4  ,
-2  ,
24  ,
26  ,
-27 ,
-31 ,
22  ,
33  ,
-8  ,
-23 ,
-6  ,
1 ,
12  ,
17  ,
-10 ,
-23 ,
6 ,
9 ,
-15 ,
7 ,
24  ,
-6  ,
-18 ,
1 ,
9 ,
18  ,
26  ,
-1  ,
-35 ,
3 ,
40  ,
0 ,
-46 ,
-24 ,
12  ,
16  ,
3 ,
-26 ,
-45 ,
8 ,
71  ,
28  ,
-46 ,
-28 ,
32  ,
35  ,
27  ,
27  ,
-11 ,
-36 ,
26  ,
69  ,
23  ,
-33 ,
-19 ,
9 ,
22  ,
11  ,
-31 ,
-53 ,
2 ,
48  ,
-4  ,
-69 ,
-41 ,
35  ,
34  ,
-27 ,
-39 ,
21  ,
43  ,
-6  ,
-27 ,
33  ,
51  ,
-3  ,
-18 ,
33  ,
54  ,
-3  ,
-34 ,
14  ,
50  ,
14  ,
-40 ,
-32 ,
7 ,
15  ,
2 ,
-9  ,
-19 ,
-11 ,
-2  ,
-13 ,
-19 ,
4 ,
-8  ,
-49 ,
-25 ,
36  ,
13  ,
-65 ,
-40 ,
37  ,
33  ,
-41 ,
-61 ,
-7  ,
36  ,
30  ,
-11 ,
-25 ,
5 ,
31  ,
31  ,
24  ,
11  ,
-10 ,
-17 ,
12  ,
36  ,
17  ,
-38 ,
-52 ,
11  ,
52  ,
-2  ,
-62 ,
-47 ,
7 ,
37  ,
18  ,
-27 ,
-42 ,
3 ,
32  ,
16  ,
-13 ,
-22 ,
-29 ,
14  ,
38  ,
-2  ,
-49 ,
-4  ,
44  ,
16  ,
-19 ,
-7  ,
10  ,
5 ,
11  ,
12  ,
-15 ,
-23 ,
-4  ,
8 ,
5 ,
-4  ,
-10 ,
3 ,
16  ,
-5  ,
-7  ,
15  ,
6 ,
-36 ,
-11 ,
38  ,
15  ,
-42 ,
-32 ,
25  ,
32  ,
-9  ,
-27 ,
-14 ,
12  ,
22  ,
2 ,
8 ,
29  ,
19  ,
-11 ,
-1  ,
38  ,
28  ,
-30 ,
-40 ,
23  ,
51  ,
-3  ,
-49 ,
-10 ,
46  ,
23  ,
-34 ,
-32 ,
13  ,
16  ,
-16 ,
-25 ,
-11 ,
-2  ,
-12 ,
-22 ,
-9  ,
8 ,
-7  ,
-21 ,
-2  ,
29  ,
16  ,
-18 ,
-10 ,
29  ,
44  ,
10  ,
-26 ,
17  ,
67  ,
29  ,
-27 ,
-21 ,
30  ,
30  ,
-8  ,
-32 ,
-9  ,
12  ,
6 ,
-21 ,
-7  ,
25  ,
3 ,
-16 ,
8 ,
12  ,
-12 ,
-4  ,
28  ,
8 ,
-18 ,
0 ,
14  ,
2 ,
0 ,
5 ,
-10 ,
-1  ,
4 ,
-1  ,
-7  ,
-10 ,
-11 ,
1 ,
13  ,
-12 ,
-31 ,
-6  ,
12  ,
-10 ,
-17 ,
-15 ,
-17 ,
-15 ,
12  ,
11  ,
-6  ,
-19 ,
-14 ,
3 ,
19  ,
7 ,
-13 ,
-4  ,
25  ,
15  ,
-4  ,
4 ,
21  ,
14  ,
-10 ,
1 ,
20  ,
25  ,
-4  ,
-4  ,
26  ,
14  ,
-32 ,
-30 ,
13  ,
18  ,
-17 ,
-39 ,
-25 ,
-4  ,
-5  ,
-25 ,
-25 ,
-8  ,
-5  ,
-17 ,
0 ,
7 ,
-5  ,
-18 ,
8 ,
31  ,
30  ,
-4  ,
-36 ,
-12 ,
47  ,
44  ,
-23 ,
-42 ,
1 ,
23  ,
14  ,
7 ,
2 ,
-21 ,
-11 ,
24  ,
28  ,
-11 ,
-24 ,
10  ,
19  ,
-4  ,
-13 ,
-1  ,
-12 ,
-13 ,
0 ,
4 ,
-14 ,
-10 ,
12  ,
8 ,
3 ,
8 ,
4 ,
-2  ,
8 ,
26  ,
19  ,
4 ,
10  ,
10  ,
13  ,
5 ,
-1  ,
10  ,
7 ,
-21 ,
-21 ,
36  ,
44  ,
-28 ,
-55 ,
5 ,
43  ,
-4  ,
-47 ,
-23 ,
8 ,
0 ,
-23 ,
-16 ,
7 ,
1 ,
-11 ,
-2  ,
13  ,
8 ,
-1  ,
8 ,
24  ,
11  ,
-7  ,
-2  ,
24  ,
16  ,
-11 ,
-6  ,
12  ,
7 ,
-6  ,
-7  ,
-5  ,
-5  ,
10  ,
11  ,
-25 ,
-34 ,
-4  ,
13  ,
0 ,
-7  ,
-18 ,
-24 ,
-5  ,
26  ,
-8  ,
-48 ,
-15 ,
31  ,
16  ,
-20 ,
-9  ,
22  ,
25  ,
5 ,
-1  ,
1 ,
3 ,
14  ,
13  ,
11  ,
-1  ,
6 ,
19  ,
14  ,
-3  ,
-4  ,
8 ,
7 ,
-5  ,
-10 ,
-4  ,
-9  ,
-11 ,
10  ,
8 ,
-25 ,
-29 ,
1 ,
14  ,
-7  ,
-12 ,
4 ,
9 ,
7 ,
10  ,
9 ,
8 ,
15  ,
13  ,
8 ,
8 ,
5 ,
2 ,
6 ,
2 ,
-15 ,
1 ,
27  ,
13  ,
-27 ,
-23 ,
10  ,
11  ,
-6  ,
-20 ,
-21 ,
3 ,
16  ,
-7  ,
-21 ,
-9  ,
11  ,
2 ,
-5  ,
-5  ,
-2  ,
6 ,
8 ,
-4  ,
1 ,
20  ,
15  ,
-7  ,
7 ,
31  ,
12  ,
-15 ,
5 ,
24  ,
5 ,
-18 ,
-8  ,
8 ,
-7  ,
-29 ,
-29 ,
-4  ,
2 ,
-14 ,
-26 ,
-20 ,
-17 ,
-15 ,
-2  ,
-8  ,
-16 ,
-17 ,
-2  ,
-5  ,
-4  ,
8 ,
4 ,
1 ,
11  ,
5 ,
-10 ,
6 ,
25  ,
24  ,
3 ,
-3  ,
7 ,
16  ,
13  ,
-3  ,
-8  ,
21  ,
22  ,
-12 ,
-17 ,
13  ,
14  ,
-5  ,
-5  ,
5 ,
-3  ,
-13 ,
1 ,
25  ,
28  ,
-1  ,
-23 ,
0 ,
30  ,
24  ,
-10 ,
-9  ,
6 ,
10  ,
14  ,
9 ,
-12 ,
-10 ,
24  ,
30  ,
-2  ,
-22 ,
-9  ,
7 ,
5 ,
-10 ,
-18 ,
-15 ,
-11 ,
-3  ,
-3  ,
1 ,
-5  ,
-9  ,
2 ,
13  ,
6 ,
0 ,
3 ,
0 ,
-3  ,
-1  ,
-2  ,
-9  ,
-6  ,
3 ,
-4  ,
-9  ,
-3  ,
7 ,
2 ,
-11 ,
-12 ,
3 ,
5 ,
3 ,
1 ,
-3  ,
3 ,
6 ,
4 ,
-4  ,
-9  ,
-7  ,
-4  ,
-11 ,
-14 ,
-8  ,
-12 ,
-10 ,
-4  ,
2 ,
-4  ,
-14 ,
-6  ,
-1  ,
-3  ,
5 ,
7 ,
0 ,
-10 ,
-5  ,
12  ,
8 ,
4 ,
-4  ,
3 ,
8 ,
7 ,
6 ,
8 ,
12  ,
6 ,
11  ,
14  ,
11  ,
4 ,
11  ,
18  ,
6 ,
-2  ,
0 ,
3 ,
3 ,
9 ,
7 ,
-4  ,
0 ,
5 ,
5 ,
6 ,
7 ,
-4  ,
-1  ,
3 ,
2 ,
-13 ,
-6  ,
2 ,
-7  ,
-13 ,
-2  ,
-1  ,
-11 ,
-10 ,
-2  ,
-5  ,
-10 ,
-13 ,
-13 ,
-9  ,
-5  ,
-9  ,
-8  ,
-3  ,
-11 ,
-11 ,
4 ,
10  ,
-7  ,
-14 ,
-1  ,
11  ,
7 ,
2 ,
-3  ,
-1  ,
11  ,
14  ,
0 ,
-7  ,
1 ,
10  ,
12  ,
5 ,
-1  ,
-3  ,
9 ,
15  ,
7 ,
-2  ,
-3  ,
7 ,
10  ,
6 ,
2 ,
0 ,
3 ,
10  ,
6 ,
1 ,
0 ,
-1  ,
0 ,
8 ,
7 ,
-6  ,
-16 ,
-4  ,
12  ,
-3  ,
-10 ,
-1  ,
6 ,
-1  ,
1 ,
7 ,
-3  ,
-8  ,
4 ,
11  ,
1 ,
-9  ,
2 ,
6 ,
1 ,
-8  ,
-6  ,
3 ,
1 ,
-5  ,
-14 ,
-5  ,
1 ,
0 ,
0 ,
-2  ,
-5  ,
-6  ,
-3  ,
-5  ,
-8  ,
-4  ,
6 ,
-2  ,
-9  ,
0 ,
2 ,
2 ,
-4  ,
-7  ,
-1  ,
7 ,
1 ,
-10 ,
-5  ,
1 ,
-1  ,
-2  ,
-6  ,
-7  ,
-6  ,
2 ,
2 ,
-5  ,
-8  ,
2 ,
7 ,
-1  ,
-4  ,
-8  ,
-1  ,
7 ,
4 ,
-3  ,
0 ,
6 ,
8 ,
10  ,
8 ,
6 ,
8 ,
11  ,
11  ,
5 ,
5 ,
8 ,
9 ,
4 ,
5 ,
4 ,
4 ,
4 ,
6 ,
1 ,
1 ,
8 ,
0 ,
-1  ,
6 ,
5 ,
-3  ,
-6  ,
1 ,
4 ,
-2  ,
-8  ,
-6  ,
-3  ,
-2  ,
-3  ,
-1  ,
-7  ,
-8  ,
-6  ,
0 ,
-4  ,
-8  ,
-7  ,
-6  ,
-2  ,
-3  ,
-7  ,
-8  ,
-6  ,
-4  ,
-8  ,
-4  ,
-4  ,
-5  ,
-3  ,
0 ,
-4  ,
-1  ,
0 ,
-2  ,
1 ,
3 ,
10  ,
7 ,
1 ,
3 ,
7 ,
11  ,
6 ,
1 ,
4 ,
13  ,
10  ,
5 ,
1 ,
3 ,
5 ,
4 ,
6 ,
0 ,
-1  ,
4 ,
5 ,
2 ,
-7  ,
-8  ,
3 ,
7 ,
-3  ,
-12 ,
0 ,
3 ,
0 ,
-6  ,
-3  ,
-6  ,
-1  ,
1 ,
5 ,
-1  ,
-5  ,
-2  ,
11  ,
7 ,
-4  ,
-3  ,
6 ,
9 ,
5 ,
0 ,
-2  ,
0 ,
2 ,
5 ,
0 ,
-6  ,
-2  ,
0 ,
0 ,
2 ,
1 ,
-1  ,
-1  ,
3 ,
0 ,
-2  ,
-1  ,
0 ,
-3  ,
-3  ,
-1  ,
-1  ,
-1  ,
-4  ,
-6  ,
-1  ,
-5  ,
-8  ,
-6  ,
-2  ,
0 ,
-4  ,
-9  ,
-1  ,
2 ,
-2  ,
-5  ,
-2  ,
2 ,
-3  ,
-6  ,
-1  ,
3 ,
0 ,
-5  ,
-4  ,
0 ,
4 ,
-3  ,
-1  ,
-3  ,
1 ,
6 ,
5 ,
2 ,
3 ,
4 ,
2 ,
3 ,
7 ,
5 ,
4 ,
6 ,
9 ,
3 ,
4 ,
1 ,
5 ,
3 ,
0 ,
1 ,
7 ,
5 ,
-2  ,
0 ,
2 ,
5 ,
1 ,
-2  ,
0 ,
-1  ,
1 ,
0 ,
0 ,
-4  ,
-3  ,
-1  ,
0 ,
1 ,
-3  ,
-2  ,
1 ,
4 ,
2 ,
-1  ,
-1  ,
-4  ,
-1  ,
-2  ,
0 ,
-2  ,
-5  ,
1 ,
3 ,
3 ,
1 ,
-1  ,
-1  ,
-1  ,
0 ,
-3  ,
-2  ,
-3  ,
-1  ,
-3  ,
-1  ,
-4  ,
0 ,
-2  ,
-5  ,
-2  ,
0 ,
-2  ,
-2  ,
-1  ,
-4  ,
-2  ,
1 ,
2 ,
-2  ,
-1  ,
1 ,
0 ,
1 ,
2 ,
-1  ,
-2  ,
-2  ,
0 ,
5 ,
3 ,
0 ,
1 ,
4 ,
1 ,
3 ,
-1  ,
-3  ,
3 ,
1 ,
2 ,
-2  ,
0 ,
2 ,
-4  ,
0 ,
0 ,
0 ,
-2  ,
-3  ,
1 ,
5 ,
0 ,
-4  ,
1 ,
-1  ,
4 ,
3 ,
1 ,
-1  ,
-1  ,
2 ,
2 ,
-1  ,
-2  ,
0 ,
1 ,
3 ,
-1  ,
-1  ,
0 ,
0 ,
1 ,
0 ,
0 ,
1 ,
0 ,
3 ,
0 ,
-2  ,
3 ,
-4  ,
-3  ,
-3  ,
0 ,
2 ,
-1  ,
-2  ,
-2  ,
-2  ,
1 ,
2 ,
1 ,
0 ,
-1  ,
3 ,
-1  ,
2 ,
0 ,
-6  ,
-2  ,
-1  ,
1 ,
0 ,
0 ,
-1  ,
-2  ,
2 ,
1 ,
-3  ,
-1  ,
2 ,
1 ,
2 ,
3 ,
1 ,
3 ,
1 ,
2 ,
3 ,
2 ,
-1  ,
-2  ,
-1  ,
-2  ,
-1  ,
1 ,
0 ,
1 ,
-1  ,
0 ,
-1  ,
-1  ,
1 ,
-2  ,
-3  ,
-1  ,
-4  ,
-1  ,
0 ,
-1  ,
0 ,
-1  ,
-3  ,
-1  ,
0 ,
0 ,
1 ,
0 ,
2 ,
1 ,
-3  ,
-1  ,
0 ,
2 ,
1 ,
0 ,
-1  ,
4 ,
1 ,
1 ,
0 ,
0 ,
-2  ,
-1  ,
0 ,
-1  ,
0 ,
-2  ,
0 ,
-1  ,
1 ,
-1  ,
-2  ,
0 ,
-1  ,
-1  ,
-2  ,
-1  ,
0 ,
4 ,
3 ,
-1  ,
0 ,
4 ,
1 ,
-1  ,
-2  ,
0 ,
1 ,
-2  ,
-1  ,
-2  ,
0 ,
0 ,
2 ,
1 ,
2 ,
1 ,
-3  ,
1 ,
-3  ,
-1  ,
1 ,
0 ,
2 ,
0 ,
0 ,
-1  ,
1 ,
0 ,
1 ,
1 ,
1 ,
-3  ,
2 ,
-2  ,
0 ,
2 ,
0 ,
3 ,
1 ,
-2  ,
1 ,
0 ,
1 ,
-1  ,
0 ,
0 ,
-3  ,
-1  ,
3 ,
0 ,
0 ,
-3  ,
1 ,
0 ,
-1  ,
-3  ,
-2  ,
0 ,
0 ,
-1  ,
0 ,
1 ,
0 ,
1 ,
2 ,
-1  ,
-1  ,
3 ,
0 ,
-2  ,
0 ,
-2  ,
-1  ,
1 ,
0 ,
-1  ,
0 ,
0 ,
2 ,
1 ,
0 ,
-1  ,
-2  ,
0 ,
1 ,
2 ,
-1  ,
0 ,
2 ,
0 ,
-1  ,
3 ,
1 ,
0 ,
1 ,
1 ,
1 ,
1 ,
-1  ,
-1  ,
2 ,
2 ,
-1  ,
-1  ,
0 ,
2 ,
1 ,
3 ,
0 ,
2 ,
-2  ,
3 ,
-1  ,
1 ,
-1  ,
-2  ,
-1  ,
1 ,
-2  ,
-3  ,
2 ,
0 ,
0 ,
-1  ,
1 ,
1 ,
-1  ,
-1  ,
-1  ,
0 ,
1 ,
0 ,
0 ,
-3  ,
-1  ,
3 ,
-2  ,
-4  ,
2 ,
-2  ,
-1  ,
-1  ,
-1  ,
0 ,
-1  ,
-1  ,
-3  ,
0 ,
0 ,
3 ,
0 ,
-2  ,
0 ,
2 ,
-1  ,
-1  ,
-1  ,
0 ,
0 ,
-1  ,
1 ,
-1  ,
0 ,
1 ,
0 ,
1 ,
2 ,
0 ,
-1  ,
0 ,
5 ,
-2  ,
1 ,
0 ,
-1  ,
-1  ,
-1  ,
3 ,
1 ,
-1  ,
0 ,
-1  ,
0 ,
0 ,
-2  ,
0 ,
0 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
-2  ,
0 ,
0 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
0 ,
1 ,
0 ,
-2  ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
1 ,
2 ,
0 ,
1 ,
-1  ,
0 ,
-2  ,
-4  ,
0 ,
3 ,
-1  ,
0 ,
1 ,
2 ,
-1  ,
1 ,
1 ,
4 ,
0 ,
1 ,
-1  ,
0 ,
2 ,
0 ,
3 ,
1 ,
0 ,
2 ,
1 ,
2 ,
-2  ,
0 ,
-3  ,
3 ,
3 ,
0 ,
-1  ,
0 ,
2 ,
1 ,
4 ,
0 ,
0 ,
2 ,
1 ,
-2  ,
3 ,
2 ,
2 ,
-1  ,
-1  ,
1 ,
0 ,
3 ,
1 ,
-2  ,
3 ,
1 ,
-2  ,
2 ,
0 ,
0 ,
0 ,
2 ,
1 ,
1 ,
-1  ,
-1  ,
0 ,
2 ,
-2  ,
0 ,
1 ,
-1  ,
0 ,
1 ,
0 ,
-1  ,
1 ,
0 ,
0 ,
1 ,
0 ,
3 ,
1 ,
-2  ,
2 ,
0 ,
2 ,
1 ,
0 ,
0 ,
0 ,
2 ,
2 ,
1 ,
1 ,
2 ,
-1  ,
2 ,
1 ,
2 ,
1 ,
-1  ,
-3  ,
-1  ,
2 ,
-1  ,
0 ,
0 ,
1 ,
-1  ,
0 ,
-1  ,
0 ,
1 ,
0 ,
-1  ,
0 ,
0 ,
0 ,
-2  ,
-1  ,
0 ,
-1  ,
0 ,
0 ,
1 ,
3 ,
-1  ,
-1  ,
-1  ,
3 ,
-1  ,
2 ,
-2  ,
-4  ,
0 ,
2 ,
-3  ,
-1  ,
0 ,
-3  ,
1 ,
0 ,
0 ,
3 ,
0 ,
2 ,
-2  ,
0 ,
0 ,
0 ,
-2  ,
0 ,
2 ,
-1  ,
0 ,
-1  ,
-1  ,
-1  ,
-1  ,
1 ,
1 ,
-1  ,
2 ,
0 ,
-1  ,
-1  ,
1 ,
0 ,
1 ,
0 ,
2 ,
0 ,
1 ,
2 ,
-1  ,
-1  ,
0 ,
2 ,
0 ,
1 ,
0 ,
-2  ,
0 ,
0 ,
1 ,
1 ,
-1  ,
0 ,
2 ,
0 ,
0 ,
-2  ,
1 ,
-2  ,
2 ,
0 ,
2 ,
-2  ,
-2  ,
0 ,
0 ,
-1  ,
2 ,
-1  ,
1 ,
-1  ,
1 ,
-2  ,
3 ,
1 ,
1 ,
0 ,
2 ,
2 ,
-2  ,
-1  ,
0 ,
1 ,
0 ,
0 ,
0 ,
-2  ,
0 ,
3 ,
2 ,
1 ,
2 ,
0 ,
3 ,
2 ,
0 ,
0 ,
0 ,
2 ,
0 ,
-1  ,
1 ,
1 ,
-1  ,
0 ,
-3  ,
2 ,
-1  ,
1 ,
-4  ,
2 ,
1 ,
1 ,
-2  ,
-3  ,
0 ,
0 ,
-2  ,
2 ,
2 ,
2 ,
0 ,
0 ,
-2  ,
-1  ,
2 ,
2 ,
-1  ,
-1  ,
-2  ,
-1  ,
-1  ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
3 ,
-1  ,
-1  ,
0 ,
-1  ,
1 ,
1 ,
0 ,
0 ,
0 ,
-3  ,
-1  ,
2 ,
0 ,
0 ,
-2  ,
-1  ,
};  //don't forget the semicolon!
