
// The audio values used below are 16-bit linear (not mu-law, which is what the regular Teensy audio
// library uses).  Assuming that you have a WAV file (or whatever) of the audio that you want, how
// do you extract the values as text numbers, as needed below?  It is a two step process:
//
// Step 1: Convert WAV to text.
//    Use Audacity to open your WAV file.  Then, under Audacity's "Tools" menu, use "Sample Data Export"
//    to export as a text file.  The text file will be saved on your computer somewhere.  
//
//    You can open the text file in Notepad or whatever.  If you do, you'll see that the values were 
//    printed as decimal values (ie, floating point) between -1.0 and +1.0.  For this Arduino sketch, 
//    we need 16-bit integer values, so we're not quite done.  Also, in this Audacity text file, there
//    is no comma after each value. We need the comma for defining our audio array below.  So, in short,
//    we need to reformat the file
//
// Step 2: Reformat the text
//   1) Open the Audacity text file in Micrsoft Excel (or whatever) 
//   2) Mutiply each value by 32678 and round to the nearest integer ("=ROUND(A1*32768,0)")  
//   3) In the cell to the right of each value, add a comma (add a comma to the first cell then fill-down)
//   4) Highlight the whole array of integer numbers and the commas, then copy (Ctrl-C), then paste the
//      text into this *.h file below.
//

#define SAMPLE_MUSIC_LEN 286650
const uint32_t sample_MUSIC_len = SAMPLE_MUSIC_LEN;
const float sample_MUSIC_sample_rate_Hz = 44100;
PROGMEM
const int16_t sample_MUSIC[SAMPLE_MUSIC_LEN] = {
 0 ,
0 ,
0 ,
1 ,
-1  ,
1 ,
-1  ,
-1  ,
1 ,
-3  ,
1 ,
-5  ,
1 ,
-3  ,
-1  ,
-2  ,
-2  ,
0 ,
0 ,
0 ,
1 ,
1 ,
1 ,
2 ,
0 ,
2 ,
0 ,
0 ,
1 ,
0 ,
1 ,
1 ,
-1  ,
2 ,
0 ,
1 ,
0 ,
1 ,
0 ,
1 ,
1 ,
0 ,
1 ,
1 ,
3 ,
2 ,
5 ,
1 ,
2 ,
1 ,
-6  ,
-5  ,
-11 ,
-12 ,
-15 ,
-35 ,
-56 ,
-101  ,
-137  ,
-189  ,
-224  ,
-267  ,
-296  ,
-328  ,
-349  ,
-357  ,
-357  ,
-342  ,
-316  ,
-283  ,
-233  ,
-185  ,
-133  ,
-84 ,
-49 ,
-12 ,
19  ,
49  ,
85  ,
113 ,
139 ,
154 ,
162 ,
175 ,
191 ,
215 ,
234 ,
254 ,
260 ,
272 ,
275 ,
287 ,
290 ,
290 ,
294 ,
284 ,
284 ,
256 ,
229 ,
179 ,
133 ,
88  ,
42  ,
11  ,
-31 ,
-62 ,
-91 ,
-119  ,
-123  ,
-119  ,
-95 ,
-70 ,
-41 ,
-17 ,
11  ,
35  ,
63  ,
88  ,
116 ,
141 ,
163 ,
177 ,
179 ,
176 ,
158 ,
151 ,
136 ,
130 ,
127 ,
125 ,
128 ,
133 ,
138 ,
140 ,
153 ,
160 ,
174 ,
175 ,
167 ,
144 ,
117 ,
85  ,
61  ,
34  ,
14  ,
-18 ,
-49 ,
-86 ,
-123  ,
-150  ,
-179  ,
-183  ,
-187  ,
-175  ,
-163  ,
-145  ,
-127  ,
-99 ,
-70 ,
-33 ,
3 ,
29  ,
45  ,
43  ,
38  ,
24  ,
21  ,
18  ,
24  ,
27  ,
36  ,
38  ,
36  ,
42  ,
35  ,
42  ,
47  ,
52  ,
69  ,
69  ,
82  ,
84  ,
93  ,
100 ,
100 ,
101 ,
83  ,
65  ,
23  ,
-20 ,
-69 ,
-114  ,
-151  ,
-180  ,
-205  ,
-228  ,
-248  ,
-269  ,
-279  ,
-285  ,
-279  ,
-274  ,
-255  ,
-250  ,
-227  ,
-221  ,
-196  ,
-187  ,
-161  ,
-155  ,
-136  ,
-139  ,
-138  ,
-153  ,
-163  ,
-177  ,
-169  ,
-164  ,
-140  ,
-122  ,
-95 ,
-78 ,
-47 ,
-24 ,
10  ,
39  ,
69  ,
90  ,
112 ,
122 ,
137 ,
140 ,
152 ,
149 ,
154 ,
140 ,
131 ,
101 ,
80  ,
47  ,
30  ,
11  ,
2 ,
-8  ,
-12 ,
-17 ,
-17 ,
-17 ,
-15 ,
-15 ,
-18 ,
-22 ,
-35 ,
-49 ,
-77 ,
-96 ,
-123  ,
-136  ,
-152  ,
-159  ,
-173  ,
-182  ,
-196  ,
-201  ,
-205  ,
-197  ,
-181  ,
-158  ,
-125  ,
-92 ,
-55 ,
-15 ,
16  ,
52  ,
74  ,
102 ,
118 ,
132 ,
130 ,
131 ,
119 ,
118 ,
114 ,
117 ,
114 ,
110 ,
97  ,
84  ,
70  ,
59  ,
44  ,
40  ,
30  ,
28  ,
21  ,
17  ,
13  ,
9 ,
3 ,
3 ,
-7  ,
-5  ,
-21 ,
-25 ,
-38 ,
-37 ,
-38 ,
-23 ,
-14 ,
4 ,
13  ,
27  ,
30  ,
47  ,
52  ,
73  ,
84  ,
103 ,
113 ,
129 ,
139 ,
150 ,
164 ,
173 ,
184 ,
191 ,
190 ,
195 ,
190 ,
193 ,
197 ,
202 ,
219 ,
231 ,
249 ,
261 ,
268 ,
270 ,
270 ,
266 ,
266 ,
255 ,
246 ,
230 ,
208 ,
191 ,
169 ,
150 ,
131 ,
107 ,
83  ,
59  ,
32  ,
9 ,
-14 ,
-29 ,
-41 ,
-45 ,
-44 ,
-46 ,
-49 ,
-54 ,
-66 ,
-68 ,
-78 ,
-81 ,
-86 ,
-90 ,
-96 ,
-94 ,
-95 ,
-84 ,
-80 ,
-68 ,
-61 ,
-53 ,
-48 ,
-41 ,
-38 ,
-30 ,
-19 ,
-11 ,
5 ,
9 ,
18  ,
17  ,
13  ,
8 ,
-1  ,
-9  ,
-14 ,
-30 ,
-30 ,
-49 ,
-51 ,
-63 ,
-74 ,
-76 ,
-92 ,
-102  ,
-119  ,
-143  ,
-165  ,
-188  ,
-213  ,
-230  ,
-247  ,
-267  ,
-276  ,
-299  ,
-309  ,
-329  ,
-338  ,
-349  ,
-351  ,
-348  ,
-343  ,
-331  ,
-317  ,
-300  ,
-277  ,
-254  ,
-224  ,
-200  ,
-175  ,
-159  ,
-139  ,
-132  ,
-110  ,
-105  ,
-85 ,
-75 ,
-66 ,
-56 ,
-54 ,
-51 ,
-52 ,
-51 ,
-53 ,
-51 ,
-52 ,
-48 ,
-45 ,
-42 ,
-34 ,
-28 ,
-16 ,
-11 ,
-4  ,
-8  ,
-6  ,
-19 ,
-22 ,
-36 ,
-42 ,
-54 ,
-64 ,
-75 ,
-90 ,
-97 ,
-110  ,
-116  ,
-117  ,
-124  ,
-117  ,
-120  ,
-111  ,
-104  ,
-91 ,
-78 ,
-55 ,
-39 ,
-15 ,
1 ,
18  ,
23  ,
38  ,
35  ,
50  ,
53  ,
65  ,
74  ,
81  ,
91  ,
97  ,
109 ,
123 ,
135 ,
150 ,
161 ,
168 ,
181 ,
183 ,
196 ,
201 ,
208 ,
218 ,
215 ,
220 ,
206 ,
199 ,
182 ,
172 ,
162 ,
156 ,
148 ,
145 ,
137 ,
139 ,
135 ,
142 ,
144 ,
155 ,
158 ,
164 ,
165 ,
168 ,
171 ,
169 ,
178 ,
174 ,
180 ,
178 ,
171 ,
165 ,
153 ,
145 ,
135 ,
131 ,
128 ,
126 ,
136 ,
133 ,
149 ,
154 ,
172 ,
187 ,
204 ,
220 ,
231 ,
238 ,
242 ,
243 ,
244 ,
243 ,
242 ,
235 ,
229 ,
212 ,
201 ,
176 ,
162 ,
143 ,
129 ,
120 ,
110 ,
102 ,
94  ,
89  ,
84  ,
79  ,
80  ,
72  ,
70  ,
56  ,
43  ,
25  ,
7 ,
-10 ,
-25 ,
-45 ,
-58 ,
-77 ,
-90 ,
-104  ,
-114  ,
-123  ,
-122  ,
-123  ,
-117  ,
-106  ,
-96 ,
-80 ,
-64 ,
-51 ,
-34 ,
-21 ,
-12 ,
-6  ,
-6  ,
-14 ,
-16 ,
-32 ,
-34 ,
-47 ,
-50 ,
-58 ,
-66 ,
-67 ,
-77 ,
-77 ,
-84 ,
-86 ,
-88 ,
-94 ,
-95 ,
-103  ,
-107  ,
-117  ,
-129  ,
-144  ,
-161  ,
-180  ,
-211  ,
-230  ,
-272  ,
-293  ,
-323  ,
-345  ,
-357  ,
-370  ,
-373  ,
-378  ,
-372  ,
-369  ,
-355  ,
-344  ,
-328  ,
-312  ,
-294  ,
-279  ,
-262  ,
-246  ,
-233  ,
-220  ,
-205  ,
-202  ,
-187  ,
-192  ,
-180  ,
-182  ,
-169  ,
-164  ,
-142  ,
-127  ,
-104  ,
-80 ,
-62 ,
-39 ,
-23 ,
-4  ,
3 ,
17  ,
12  ,
17  ,
6 ,
-3  ,
-14 ,
-30 ,
-40 ,
-61 ,
-73 ,
-91 ,
-107  ,
-117  ,
-131  ,
-133  ,
-139  ,
-130  ,
-128  ,
-109  ,
-102  ,
-84 ,
-76 ,
-59 ,
-52 ,
-40 ,
-34 ,
-34 ,
-30 ,
-35 ,
-38 ,
-36 ,
-37 ,
-32 ,
-25 ,
-20 ,
-5  ,
5 ,
23  ,
41  ,
62  ,
89  ,
114 ,
142 ,
170 ,
192 ,
213 ,
230 ,
241 ,
253 ,
253 ,
254 ,
246 ,
237 ,
225 ,
216 ,
201 ,
197 ,
189 ,
182 ,
183 ,
180 ,
180 ,
190 ,
189 ,
200 ,
207 ,
210 ,
217 ,
213 ,
214 ,
207 ,
202 ,
191 ,
176 ,
166 ,
144 ,
135 ,
112 ,
105 ,
92  ,
89  ,
89  ,
92  ,
100 ,
107 ,
119 ,
129 ,
142 ,
159 ,
170 ,
185 ,
191 ,
199 ,
199 ,
202 ,
199 ,
195 ,
193 ,
186 ,
185 ,
179 ,
178 ,
179 ,
178 ,
191 ,
195 ,
213 ,
224 ,
238 ,
247 ,
256 ,
258 ,
260 ,
254 ,
250 ,
232 ,
216 ,
191 ,
163 ,
137 ,
106 ,
74  ,
49  ,
17  ,
-5  ,
-31 ,
-49 ,
-67 ,
-75 ,
-85 ,
-86 ,
-93 ,
-93 ,
-98 ,
-102  ,
-108  ,
-112  ,
-121  ,
-125  ,
-132  ,
-142  ,
-146  ,
-155  ,
-161  ,
-161  ,
-161  ,
-158  ,
-148  ,
-145  ,
-127  ,
-124  ,
-105  ,
-98 ,
-81 ,
-74 ,
-59 ,
-59 ,
-53 ,
-58 ,
-67 ,
-73 ,
-93 ,
-102  ,
-122  ,
-136  ,
-153  ,
-168  ,
-183  ,
-194  ,
-204  ,
-208  ,
-212  ,
-212  ,
-213  ,
-214  ,
-212  ,
-215  ,
-215  ,
-217  ,
-225  ,
-226  ,
-240  ,
-247  ,
-262  ,
-275  ,
-290  ,
-299  ,
-311  ,
-316  ,
-316  ,
-322  ,
-309  ,
-311  ,
-288  ,
-282  ,
-258  ,
-241  ,
-221  ,
-201  ,
-186  ,
-170  ,
-160  ,
-144  ,
-143  ,
-127  ,
-133  ,
-119  ,
-130  ,
-119  ,
-131  ,
-123  ,
-129  ,
-124  ,
-121  ,
-115  ,
-110  ,
-98 ,
-93 ,
-75 ,
-66 ,
-50 ,
-38 ,
-30 ,
-18 ,
-18 ,
-12 ,
-17 ,
-16 ,
-25 ,
-27 ,
-36 ,
-42 ,
-51 ,
-52 ,
-63 ,
-55 ,
-59 ,
-53 ,
-41 ,
-36 ,
-19 ,
-7  ,
6 ,
25  ,
35  ,
54  ,
62  ,
73  ,
78  ,
82  ,
84  ,
82  ,
85  ,
83  ,
88  ,
90  ,
94  ,
105 ,
113 ,
130 ,
147 ,
166 ,
190 ,
212 ,
236 ,
258 ,
277 ,
295 ,
309 ,
319 ,
326 ,
325 ,
321 ,
311 ,
298 ,
281 ,
268 ,
248 ,
238 ,
220 ,
213 ,
198 ,
194 ,
186 ,
184 ,
186 ,
183 ,
188 ,
187 ,
190 ,
186 ,
185 ,
179 ,
175 ,
168 ,
158 ,
149 ,
136 ,
125 ,
115 ,
109 ,
100 ,
106 ,
101 ,
116 ,
119 ,
138 ,
148 ,
171 ,
185 ,
208 ,
222 ,
239 ,
251 ,
256 ,
264 ,
258 ,
258 ,
248 ,
237 ,
225 ,
204 ,
193 ,
171 ,
160 ,
143 ,
132 ,
122 ,
117 ,
106 ,
107 ,
95  ,
95  ,
88  ,
81  ,
73  ,
62  ,
44  ,
27  ,
1 ,
-23 ,
-46 ,
-77 ,
-95 ,
-125  ,
-142  ,
-161  ,
-176  ,
-185  ,
-191  ,
-192  ,
-187  ,
-180  ,
-172  ,
-158  ,
-151  ,
-136  ,
-126  ,
-118  ,
-108  ,
-105  ,
-104  ,
-106  ,
-112  ,
-119  ,
-127  ,
-131  ,
-140  ,
-141  ,
-144  ,
-143  ,
-143  ,
-133  ,
-134  ,
-118  ,
-117  ,
-103  ,
-100  ,
-94 ,
-92 ,
-97 ,
-100  ,
-112  ,
-126  ,
-141  ,
-166  ,
-186  ,
-215  ,
-237  ,
-265  ,
-281  ,
-306  ,
-314  ,
-329  ,
-334  ,
-333  ,
-336  ,
-327  ,
-323  ,
-310  ,
-303  ,
-286  ,
-284  ,
-268  ,
-268  ,
-259  ,
-258  ,
-254  ,
-256  ,
-252  ,
-254  ,
-255  ,
-246  ,
-250  ,
-231  ,
-229  ,
-202  ,
-191  ,
-160  ,
-145  ,
-113  ,
-93 ,
-69 ,
-46 ,
-29 ,
-14 ,
-5  ,
0 ,
-2  ,
-6  ,
-12 ,
-26 ,
-34 ,
-47 ,
-61 ,
-67 ,
-81 ,
-84 ,
-87 ,
-88 ,
-82 ,
-74 ,
-66 ,
-51 ,
-45 ,
-29 ,
-22 ,
-12 ,
-5  ,
-3  ,
-3  ,
-5  ,
-14 ,
-17 ,
-28 ,
-33 ,
-37 ,
-39 ,
-37 ,
-28 ,
-20 ,
-2  ,
14  ,
38  ,
63  ,
94  ,
124 ,
157 ,
186 ,
215 ,
240 ,
260 ,
280 ,
288 ,
303 ,
298 ,
308 ,
297 ,
301 ,
292 ,
291 ,
288 ,
292 ,
293 ,
301 ,
303 ,
311 ,
315 ,
320 ,
323 ,
323 ,
323 ,
314 ,
306 ,
291 ,
271 ,
248 ,
221 ,
198 ,
164 ,
145 ,
113 ,
95  ,
77  ,
62  ,
58  ,
55  ,
63  ,
67  ,
87  ,
95  ,
118 ,
131 ,
149 ,
165 ,
177 ,
192 ,
199 ,
211 ,
213 ,
219 ,
217 ,
221 ,
219 ,
222 ,
221 ,
224 ,
227 ,
230 ,
240 ,
242 ,
254 ,
255 ,
264 ,
265 ,
262 ,
259 ,
244 ,
230 ,
210 ,
183 ,
159 ,
126 ,
95  ,
60  ,
26  ,
-4  ,
-35 ,
-58 ,
-82 ,
-100  ,
-111  ,
-125  ,
-129  ,
-137  ,
-135  ,
-137  ,
-138  ,
-135  ,
-139  ,
-140  ,
-144  ,
-152  ,
-158  ,
-163  ,
-174  ,
-179  ,
-184  ,
-190  ,
-187  ,
-185  ,
-180  ,
-168  ,
-157  ,
-142  ,
-126  ,
-114  ,
-96 ,
-88 ,
-73 ,
-68 ,
-61 ,
-59 ,
-62 ,
-69 ,
-80 ,
-92 ,
-110  ,
-126  ,
-147  ,
-169  ,
-184  ,
-205  ,
-215  ,
-228  ,
-239  ,
-240  ,
-247  ,
-247  ,
-247  ,
-250  ,
-250  ,
-255  ,
-255  ,
-264  ,
-267  ,
-277  ,
-285  ,
-298  ,
-307  ,
-320  ,
-330  ,
-338  ,
-347  ,
-347  ,
-351  ,
-342  ,
-337  ,
-320  ,
-303  ,
-282  ,
-258  ,
-236  ,
-209  ,
-188  ,
-163  ,
-147  ,
-129  ,
-114  ,
-106  ,
-94 ,
-94 ,
-86 ,
-87 ,
-82 ,
-84 ,
-76 ,
-79 ,
-64 ,
-64 ,
-52 ,
-43 ,
-32 ,
-20 ,
-7  ,
-1  ,
12  ,
11  ,
19  ,
11  ,
10  ,
-1  ,
-12 ,
-25 ,
-40 ,
-55 ,
-69 ,
-78 ,
-92 ,
-89 ,
-98 ,
-87 ,
-84 ,
-72 ,
-57 ,
-43 ,
-26 ,
-2  ,
12  ,
39  ,
53  ,
71  ,
87  ,
98  ,
112 ,
116 ,
128 ,
130 ,
138 ,
143 ,
151 ,
160 ,
176 ,
188 ,
209 ,
230 ,
249 ,
278 ,
292 ,
321 ,
334 ,
351 ,
366 ,
369 ,
379 ,
373 ,
371 ,
359 ,
347 ,
329 ,
310 ,
291 ,
267 ,
251 ,
230 ,
216 ,
203 ,
192 ,
188 ,
182 ,
184 ,
179 ,
184 ,
179 ,
180 ,
177 ,
175 ,
169 ,
164 ,
155 ,
146 ,
140 ,
128 ,
122 ,
114 ,
110 ,
108 ,
113 ,
114 ,
129 ,
139 ,
155 ,
178 ,
192 ,
217 ,
234 ,
249 ,
262 ,
271 ,
274 ,
278 ,
271 ,
268 ,
254 ,
245 ,
226 ,
215 ,
194 ,
180 ,
160 ,
149 ,
130 ,
123 ,
107 ,
101 ,
92  ,
81  ,
74  ,
60  ,
50  ,
32  ,
14  ,
-7  ,
-33 ,
-58 ,
-85 ,
-115  ,
-137  ,
-165  ,
-183  ,
-202  ,
-214  ,
-224  ,
-226  ,
-229  ,
-223  ,
-217  ,
-206  ,
-194  ,
-179  ,
-169  ,
-156  ,
-146  ,
-140  ,
-135  ,
-136  ,
-137  ,
-143  ,
-149  ,
-160  ,
-166  ,
-176  ,
-181  ,
-186  ,
-189  ,
-187  ,
-189  ,
-179  ,
-178  ,
-166  ,
-166  ,
-156  ,
-157  ,
-153  ,
-156  ,
-162  ,
-169  ,
-185  ,
-197  ,
-219  ,
-236  ,
-261  ,
-281  ,
-304  ,
-323  ,
-337  ,
-350  ,
-358  ,
-361  ,
-361  ,
-357  ,
-351  ,
-339  ,
-332  ,
-319  ,
-309  ,
-303  ,
-289  ,
-287  ,
-280  ,
-276  ,
-274  ,
-269  ,
-266  ,
-263  ,
-254  ,
-251  ,
-237  ,
-230  ,
-210  ,
-194  ,
-172  ,
-147  ,
-125  ,
-97 ,
-78 ,
-51 ,
-34 ,
-17 ,
-1  ,
5 ,
11  ,
14  ,
9 ,
6 ,
-2  ,
-10 ,
-19 ,
-25 ,
-36 ,
-36 ,
-46 ,
-43 ,
-44 ,
-41 ,
-32 ,
-28 ,
-19 ,
-11 ,
-4  ,
2 ,
9 ,
10  ,
13  ,
14  ,
10  ,
11  ,
6 ,
3 ,
2 ,
2 ,
3 ,
9 ,
17  ,
25  ,
47  ,
55  ,
86  ,
103 ,
131 ,
156 ,
182 ,
207 ,
229 ,
249 ,
265 ,
280 ,
290 ,
299 ,
301 ,
308 ,
304 ,
308 ,
304 ,
306 ,
307 ,
309 ,
313 ,
316 ,
323 ,
326 ,
332 ,
335 ,
337 ,
337 ,
333 ,
327 ,
318 ,
304 ,
288 ,
267 ,
249 ,
224 ,
206 ,
180 ,
161 ,
145 ,
125 ,
121 ,
108 ,
109 ,
108 ,
114 ,
119 ,
131 ,
137 ,
154 ,
156 ,
176 ,
173 ,
190 ,
186 ,
194 ,
194 ,
191 ,
194 ,
187 ,
190 ,
186 ,
186 ,
189 ,
187 ,
197 ,
197 ,
208 ,
210 ,
219 ,
220 ,
226 ,
221 ,
218 ,
210 ,
196 ,
182 ,
159 ,
139 ,
111 ,
86  ,
55  ,
28  ,
-1  ,
-26 ,
-54 ,
-70 ,
-94 ,
-103  ,
-119  ,
-124  ,
-135  ,
-135  ,
-143  ,
-144  ,
-149  ,
-157  ,
-159  ,
-172  ,
-176  ,
-192  ,
-200  ,
-213  ,
-222  ,
-234  ,
-239  ,
-245  ,
-247  ,
-241  ,
-242  ,
-228  ,
-221  ,
-207  ,
-190  ,
-175  ,
-161  ,
-145  ,
-133  ,
-126  ,
-115  ,
-119  ,
-116  ,
-124  ,
-132  ,
-143  ,
-156  ,
-171  ,
-186  ,
-201  ,
-215  ,
-226  ,
-237  ,
-246  ,
-250  ,
-257  ,
-258  ,
-261  ,
-264  ,
-264  ,
-268  ,
-271  ,
-279  ,
-284  ,
-297  ,
-302  ,
-321  ,
-328  ,
-345  ,
-353  ,
-364  ,
-372  ,
-370  ,
-375  ,
-363  ,
-360  ,
-340  ,
-328  ,
-303  ,
-284  ,
-258  ,
-235  ,
-210  ,
-189  ,
-168  ,
-147  ,
-134  ,
-118  ,
-109  ,
-98 ,
-95 ,
-84 ,
-86 ,
-76 ,
-74 ,
-67 ,
-58 ,
-50 ,
-34 ,
-28 ,
-7  ,
1 ,
19  ,
29  ,
41  ,
49  ,
53  ,
56  ,
53  ,
48  ,
42  ,
29  ,
19  ,
6 ,
-7  ,
-18 ,
-28 ,
-38 ,
-39 ,
-45 ,
-39 ,
-35 ,
-27 ,
-10 ,
0 ,
22  ,
36  ,
56  ,
74  ,
92  ,
105 ,
121 ,
131 ,
140 ,
152 ,
155 ,
167 ,
172 ,
183 ,
190 ,
204 ,
213 ,
233 ,
245 ,
267 ,
283 ,
305 ,
321 ,
344 ,
355 ,
376 ,
381 ,
391 ,
393 ,
390 ,
386 ,
376 ,
361 ,
347 ,
329 ,
310 ,
294 ,
276 ,
260 ,
247 ,
236 ,
224 ,
219 ,
213 ,
207 ,
206 ,
201 ,
200 ,
195 ,
195 ,
185 ,
185 ,
173 ,
169 ,
158 ,
150 ,
142 ,
136 ,
129 ,
129 ,
125 ,
133 ,
137 ,
148 ,
159 ,
173 ,
189 ,
204 ,
221 ,
230 ,
245 ,
254 ,
256 ,
265 ,
260 ,
257 ,
250 ,
238 ,
225 ,
210 ,
191 ,
177 ,
153 ,
146 ,
118 ,
114 ,
93  ,
87  ,
71  ,
63  ,
50  ,
39  ,
25  ,
10  ,
-9  ,
-25 ,
-50 ,
-68 ,
-95 ,
-119  ,
-140  ,
-170  ,
-187  ,
-211  ,
-228  ,
-245  ,
-252  ,
-264  ,
-262  ,
-263  ,
-256  ,
-253  ,
-235  ,
-235  ,
-214  ,
-210  ,
-198  ,
-193  ,
-186  ,
-186  ,
-181  ,
-186  ,
-185  ,
-191  ,
-191  ,
-198  ,
-200  ,
-202  ,
-205  ,
-202  ,
-204  ,
-197  ,
-198  ,
-189  ,
-191  ,
-182  ,
-187  ,
-183  ,
-190  ,
-195  ,
-200  ,
-217  ,
-225  ,
-244  ,
-259  ,
-275  ,
-293  ,
-309  ,
-322  ,
-337  ,
-344  ,
-354  ,
-356  ,
-360  ,
-356  ,
-353  ,
-348  ,
-338  ,
-332  ,
-323  ,
-314  ,
-307  ,
-299  ,
-294  ,
-285  ,
-281  ,
-274  ,
-267  ,
-264  ,
-251  ,
-244  ,
-229  ,
-218  ,
-198  ,
-184  ,
-160  ,
-141  ,
-117  ,
-96 ,
-72 ,
-53 ,
-33 ,
-15 ,
-3  ,
9 ,
17  ,
19  ,
24  ,
20  ,
20  ,
16  ,
10  ,
8 ,
-1  ,
3 ,
-5  ,
-2  ,
-4  ,
2 ,
1 ,
10  ,
11  ,
20  ,
22  ,
29  ,
33  ,
34  ,
38  ,
36  ,
37  ,
38  ,
36  ,
37  ,
40  ,
40  ,
50  ,
53  ,
68  ,
75  ,
98  ,
109 ,
136 ,
151 ,
176 ,
197 ,
222 ,
241 ,
265 ,
281 ,
299 ,
314 ,
324 ,
335 ,
340 ,
346 ,
347 ,
352 ,
348 ,
352 ,
349 ,
349 ,
352 ,
350 ,
353 ,
353 ,
351 ,
354 ,
349 ,
347 ,
340 ,
333 ,
322 ,
313 ,
296 ,
281 ,
266 ,
244 ,
231 ,
210 ,
199 ,
182 ,
174 ,
160 ,
156 ,
152 ,
152 ,
152 ,
161 ,
160 ,
174 ,
176 ,
186 ,
190 ,
198 ,
198 ,
206 ,
202 ,
205 ,
205 ,
198 ,
205 ,
195 ,
199 ,
197 ,
195 ,
200 ,
197 ,
203 ,
199 ,
206 ,
203 ,
206 ,
202 ,
201 ,
190 ,
187 ,
167 ,
159 ,
136 ,
116 ,
94  ,
66  ,
42  ,
16  ,
-13 ,
-31 ,
-59 ,
-77 ,
-95 ,
-113  ,
-127  ,
-137  ,
-155  ,
-158  ,
-171  ,
-179  ,
-183  ,
-196  ,
-198  ,
-211  ,
-217  ,
-227  ,
-236  ,
-244  ,
-252  ,
-261  ,
-262  ,
-271  ,
-262  ,
-270  ,
-255  ,
-258  ,
-239  ,
-238  ,
-220  ,
-216  ,
-203  ,
-197  ,
-192  ,
-185  ,
-184  ,
-182  ,
-188  ,
-189  ,
-200  ,
-204  ,
-218  ,
-225  ,
-239  ,
-248  ,
-258  ,
-267  ,
-274  ,
-281  ,
-285  ,
-288  ,
-290  ,
-291  ,
-296  ,
-293  ,
-303  ,
-301  ,
-313  ,
-313  ,
-325  ,
-330  ,
-337  ,
-350  ,
-351  ,
-365  ,
-364  ,
-371  ,
-371  ,
-368  ,
-366  ,
-357  ,
-348  ,
-335  ,
-319  ,
-303  ,
-282  ,
-266  ,
-242  ,
-226  ,
-207  ,
-189  ,
-177  ,
-161  ,
-151  ,
-138  ,
-129  ,
-119  ,
-111  ,
-101  ,
-89 ,
-83 ,
-66 ,
-60 ,
-42 ,
-33 ,
-17 ,
-5  ,
8 ,
19  ,
31  ,
37  ,
47  ,
50  ,
50  ,
53  ,
46  ,
44  ,
37  ,
28  ,
26  ,
13  ,
14  ,
5 ,
7 ,
4 ,
11  ,
12  ,
24  ,
29  ,
44  ,
53  ,
68  ,
82  ,
93  ,
110 ,
121 ,
137 ,
146 ,
162 ,
167 ,
184 ,
190 ,
202 ,
214 ,
225 ,
237 ,
255 ,
266 ,
286 ,
302 ,
319 ,
336 ,
355 ,
369 ,
380 ,
396 ,
398 ,
408 ,
410 ,
407 ,
407 ,
401 ,
392 ,
383 ,
371 ,
356 ,
346 ,
329 ,
318 ,
303 ,
295 ,
281 ,
278 ,
266 ,
263 ,
255 ,
253 ,
243 ,
243 ,
228 ,
228 ,
214 ,
208 ,
199 ,
190 ,
183 ,
176 ,
167 ,
165 ,
158 ,
159 ,
156 ,
162 ,
162 ,
172 ,
176 ,
187 ,
195 ,
206 ,
213 ,
224 ,
226 ,
235 ,
230 ,
234 ,
224 ,
223 ,
210 ,
204 ,
187 ,
180 ,
161 ,
152 ,
135 ,
120 ,
107 ,
91  ,
78  ,
64  ,
47  ,
33  ,
18  ,
0 ,
-12 ,
-35 ,
-48 ,
-72 ,
-89 ,
-113  ,
-131  ,
-157  ,
-172  ,
-197  ,
-210  ,
-231  ,
-237  ,
-255  ,
-257  ,
-267  ,
-269  ,
-272  ,
-270  ,
-271  ,
-268  ,
-266  ,
-261  ,
-260  ,
-254  ,
-254  ,
-248  ,
-247  ,
-246  ,
-244  ,
-247  ,
-243  ,
-249  ,
-245  ,
-247  ,
-246  ,
-243  ,
-243  ,
-240  ,
-236  ,
-239  ,
-234  ,
-236  ,
-240  ,
-237  ,
-249  ,
-246  ,
-262  ,
-262  ,
-279  ,
-283  ,
-299  ,
-306  ,
-321  ,
-330  ,
-341  ,
-352  ,
-358  ,
-368  ,
-368  ,
-374  ,
-372  ,
-374  ,
-370  ,
-367  ,
-363  ,
-358  ,
-353  ,
-347  ,
-340  ,
-334  ,
-328  ,
-320  ,
-313  ,
-303  ,
-293  ,
-284  ,
-268  ,
-258  ,
-241  ,
-227  ,
-209  ,
-192  ,
-172  ,
-153  ,
-133  ,
-112  ,
-94 ,
-73 ,
-58 ,
-39 ,
-28 ,
-15 ,
-4  ,
1 ,
13  ,
10  ,
20  ,
16  ,
22  ,
21  ,
24  ,
23  ,
26  ,
26  ,
28  ,
32  ,
29  ,
39  ,
34  ,
42  ,
41  ,
44  ,
47  ,
48  ,
49  ,
52  ,
55  ,
55  ,
62  ,
61  ,
71  ,
74  ,
86  ,
93  ,
107 ,
121 ,
136 ,
155 ,
171 ,
189 ,
211 ,
228 ,
248 ,
266 ,
285 ,
298 ,
319 ,
327 ,
344 ,
351 ,
363 ,
370 ,
377 ,
381 ,
387 ,
389 ,
392 ,
395 ,
394 ,
396 ,
397 ,
395 ,
394 ,
389 ,
386 ,
380 ,
372 ,
365 ,
353 ,
340 ,
333 ,
311 ,
304 ,
285 ,
272 ,
262 ,
243 ,
236 ,
224 ,
214 ,
214 ,
200 ,
207 ,
198 ,
206 ,
202 ,
208 ,
209 ,
212 ,
217 ,
216 ,
219 ,
220 ,
219 ,
219 ,
217 ,
217 ,
214 ,
216 ,
210 ,
215 ,
211 ,
211 ,
213 ,
207 ,
212 ,
205 ,
204 ,
200 ,
191 ,
188 ,
173 ,
163 ,
148 ,
128 ,
116 ,
89  ,
72  ,
47  ,
26  ,
3 ,
-18 ,
-38 ,
-58 ,
-76 ,
-92 ,
-111  ,
-122  ,
-140  ,
-150  ,
-165  ,
-174  ,
-187  ,
-198  ,
-209  ,
-218  ,
-232  ,
-235  ,
-252  ,
-254  ,
-265  ,
-268  ,
-274  ,
-275  ,
-279  ,
-274  ,
-273  ,
-270  ,
-262  ,
-261  ,
-247  ,
-247  ,
-238  ,
-235  ,
-231  ,
-228  ,
-226  ,
-230  ,
-228  ,
-236  ,
-238  ,
-247  ,
-253  ,
-258  ,
-271  ,
-271  ,
-287  ,
-287  ,
-297  ,
-303  ,
-305  ,
-314  ,
-313  ,
-322  ,
-321  ,
-330  ,
-330  ,
-339  ,
-343  ,
-350  ,
-356  ,
-362  ,
-369  ,
-375  ,
-381  ,
-385  ,
-387  ,
-389  ,
-384  ,
-385  ,
-374  ,
-370  ,
-358  ,
-345  ,
-333  ,
-316  ,
-300  ,
-284  ,
-267  ,
-246  ,
-235  ,
-211  ,
-204  ,
-184  ,
-171  ,
-159  ,
-144  ,
-133  ,
-120  ,
-109  ,
-95 ,
-83 ,
-69 ,
-55 ,
-44 ,
-27 ,
-17 ,
-1  ,
8 ,
21  ,
27  ,
41  ,
41  ,
50  ,
52  ,
51  ,
55  ,
50  ,
48  ,
46  ,
43  ,
39  ,
37  ,
37  ,
36  ,
40  ,
41  ,
49  ,
56  ,
66  ,
75  ,
85  ,
99  ,
109 ,
122 ,
134 ,
146 ,
158 ,
169 ,
180 ,
190 ,
202 ,
214 ,
221 ,
237 ,
248 ,
259 ,
278 ,
288 ,
306 ,
324 ,
337 ,
359 ,
369 ,
390 ,
398 ,
410 ,
419 ,
421 ,
429 ,
423 ,
428 ,
414 ,
416 ,
399 ,
393 ,
379 ,
369 ,
356 ,
346 ,
333 ,
325 ,
317 ,
305 ,
305 ,
290 ,
293 ,
282 ,
281 ,
272 ,
271 ,
259 ,
261 ,
245 ,
250 ,
231 ,
237 ,
217 ,
223 ,
210 ,
210 ,
205 ,
207 ,
206 ,
211 ,
213 ,
217 ,
221 ,
228 ,
229 ,
237 ,
237 ,
240 ,
238 ,
239 ,
231 ,
230 ,
218 ,
211 ,
197 ,
188 ,
171 ,
160 ,
143 ,
129 ,
115 ,
102 ,
89  ,
74  ,
63  ,
48  ,
34  ,
22  ,
3 ,
-12 ,
-26 ,
-49 ,
-62 ,
-85 ,
-105  ,
-123  ,
-145  ,
-164  ,
-182  ,
-199  ,
-217  ,
-226  ,
-243  ,
-248  ,
-258  ,
-260  ,
-265  ,
-262  ,
-267  ,
-259  ,
-267  ,
-255  ,
-264  ,
-256  ,
-261  ,
-259  ,
-262  ,
-261  ,
-268  ,
-265  ,
-273  ,
-269  ,
-276  ,
-273  ,
-275  ,
-273  ,
-275  ,
-269  ,
-275  ,
-266  ,
-269  ,
-268  ,
-266  ,
-271  ,
-271  ,
-279  ,
-282  ,
-295  ,
-299  ,
-313  ,
-320  ,
-335  ,
-343  ,
-354  ,
-363  ,
-370  ,
-376  ,
-382  ,
-383  ,
-387  ,
-385  ,
-385  ,
-381  ,
-380  ,
-373  ,
-371  ,
-360  ,
-360  ,
-349  ,
-346  ,
-338  ,
-332  ,
-324  ,
-317  ,
-305  ,
-298  ,
-284  ,
-273  ,
-259  ,
-241  ,
-228  ,
-207  ,
-191  ,
-169  ,
-153  ,
-130  ,
-118  ,
-93 ,
-83 ,
-61 ,
-54 ,
-36 ,
-28 ,
-16 ,
-12 ,
-1  ,
-2  ,
12  ,
7 ,
19  ,
16  ,
25  ,
27  ,
31  ,
38  ,
39  ,
47  ,
51  ,
54  ,
63  ,
59  ,
71  ,
66  ,
75  ,
73  ,
78  ,
80  ,
83  ,
86  ,
92  ,
95  ,
105 ,
112 ,
122 ,
136 ,
147 ,
165 ,
177 ,
198 ,
214 ,
232 ,
251 ,
267 ,
286 ,
300 ,
317 ,
328 ,
341 ,
352 ,
362 ,
369 ,
380 ,
382 ,
391 ,
394 ,
397 ,
403 ,
404 ,
408 ,
407 ,
411 ,
407 ,
409 ,
405 ,
400 ,
399 ,
386 ,
381 ,
371 ,
357 ,
348 ,
332 ,
319 ,
306 ,
292 ,
279 ,
269 ,
255 ,
250 ,
236 ,
236 ,
226 ,
226 ,
224 ,
219 ,
226 ,
220 ,
225 ,
226 ,
224 ,
230 ,
224 ,
230 ,
224 ,
227 ,
222 ,
224 ,
217 ,
221 ,
213 ,
216 ,
211 ,
210 ,
209 ,
202 ,
204 ,
194 ,
194 ,
182 ,
178 ,
165 ,
154 ,
142 ,
124 ,
112 ,
88  ,
76  ,
49  ,
34  ,
10  ,
-9  ,
-27 ,
-49 ,
-64 ,
-84 ,
-96 ,
-114  ,
-127  ,
-140  ,
-155  ,
-163  ,
-179  ,
-187  ,
-201  ,
-211  ,
-221  ,
-233  ,
-240  ,
-254  ,
-257  ,
-269  ,
-271  ,
-280  ,
-279  ,
-287  ,
-280  ,
-286  ,
-278  ,
-279  ,
-273  ,
-270  ,
-265  ,
-263  ,
-258  ,
-257  ,
-257  ,
-254  ,
-259  ,
-257  ,
-264  ,
-265  ,
-273  ,
-275  ,
-284  ,
-287  ,
-292  ,
-299  ,
-302  ,
-306  ,
-313  ,
-312  ,
-320  ,
-320  ,
-324  ,
-328  ,
-332  ,
-335  ,
-342  ,
-346  ,
-352  ,
-359  ,
-365  ,
-369  ,
-377  ,
-379  ,
-384  ,
-386  ,
-382  ,
-385  ,
-378  ,
-373  ,
-366  ,
-355  ,
-346  ,
-333  ,
-321  ,
-306  ,
-292  ,
-278  ,
-262  ,
-248  ,
-233  ,
-219  ,
-204  ,
-193  ,
-175  ,
-164  ,
-149  ,
-133  ,
-123  ,
-102  ,
-93 ,
-72 ,
-62 ,
-40 ,
-32 ,
-11 ,
-3  ,
12  ,
24  ,
29  ,
41  ,
44  ,
50  ,
53  ,
55  ,
55  ,
56  ,
54  ,
55  ,
52  ,
53  ,
53  ,
52  ,
60  ,
57  ,
68  ,
70  ,
78  ,
88  ,
94  ,
105 ,
114 ,
122 ,
134 ,
140 ,
154 ,
161 ,
171 ,
185 ,
190 ,
208 ,
214 ,
230 ,
242 ,
254 ,
274 ,
281 ,
307 ,
312 ,
337 ,
346 ,
366 ,
374 ,
391 ,
396 ,
409 ,
410 ,
418 ,
416 ,
420 ,
416 ,
413 ,
408 ,
405 ,
394 ,
392 ,
380 ,
374 ,
367 ,
356 ,
352 ,
340 ,
334 ,
326 ,
317 ,
309 ,
303 ,
288 ,
288 ,
269 ,
269 ,
254 ,
247 ,
240 ,
230 ,
226 ,
220 ,
215 ,
214 ,
211 ,
212 ,
211 ,
216 ,
217 ,
218 ,
224 ,
223 ,
230 ,
229 ,
231 ,
231 ,
230 ,
229 ,
224 ,
222 ,
212 ,
207 ,
198 ,
186 ,
181 ,
164 ,
158 ,
144 ,
132 ,
123 ,
104 ,
97  ,
79  ,
65  ,
51  ,
31  ,
16  ,
-1  ,
-22 ,
-39 ,
-58 ,
-79 ,
-97 ,
-116  ,
-136  ,
-154  ,
-169  ,
-189  ,
-197  ,
-215  ,
-224  ,
-232  ,
-242  ,
-244  ,
-252  ,
-255  ,
-257  ,
-260  ,
-261  ,
-264  ,
-266  ,
-266  ,
-272  ,
-269  ,
-276  ,
-274  ,
-278  ,
-281  ,
-277  ,
-285  ,
-278  ,
-285  ,
-280  ,
-280  ,
-280  ,
-277  ,
-278  ,
-275  ,
-275  ,
-276  ,
-276  ,
-279  ,
-282  ,
-285  ,
-293  ,
-297  ,
-308  ,
-313  ,
-324  ,
-330  ,
-340  ,
-348  ,
-354  ,
-361  ,
-365  ,
-369  ,
-374  ,
-374  ,
-376  ,
-378  ,
-373  ,
-378  ,
-370  ,
-373  ,
-365  ,
-366  ,
-358  ,
-358  ,
-350  ,
-347  ,
-338  ,
-334  ,
-323  ,
-313  ,
-303  ,
-288  ,
-274  ,
-260  ,
-238  ,
-226  ,
-202  ,
-189  ,
-164  ,
-152  ,
-129  ,
-115  ,
-98 ,
-80 ,
-72 ,
-50 ,
-46 ,
-29 ,
-23 ,
-12 ,
-5  ,
4 ,
9 ,
19  ,
20  ,
35  ,
32  ,
46  ,
49  ,
53  ,
63  ,
61  ,
72  ,
69  ,
78  ,
75  ,
80  ,
80  ,
86  ,
80  ,
93  ,
84  ,
96  ,
97  ,
101 ,
110 ,
115 ,
126 ,
135 ,
149 ,
159 ,
176 ,
192 ,
204 ,
224 ,
237 ,
254 ,
269 ,
285 ,
296 ,
313 ,
321 ,
337 ,
344 ,
358 ,
364 ,
373 ,
383 ,
385 ,
396 ,
397 ,
403 ,
407 ,
408 ,
411 ,
411 ,
412 ,
407 ,
407 ,
400 ,
396 ,
386 ,
380 ,
368 ,
359 ,
345 ,
337 ,
321 ,
312 ,
298 ,
288 ,
278 ,
270 ,
257 ,
256 ,
242 ,
244 ,
235 ,
233 ,
231 ,
227 ,
228 ,
225 ,
225 ,
222 ,
223 ,
221 ,
220 ,
217 ,
217 ,
213 ,
214 ,
211 ,
208 ,
209 ,
205 ,
205 ,
201 ,
200 ,
195 ,
193 ,
183 ,
182 ,
167 ,
167 ,
146 ,
141 ,
123 ,
109 ,
93  ,
75  ,
56  ,
36  ,
18  ,
-3  ,
-20 ,
-42 ,
-57 ,
-78 ,
-91 ,
-110  ,
-122  ,
-140  ,
-150  ,
-166  ,
-177  ,
-189  ,
-202  ,
-213  ,
-222  ,
-237  ,
-241  ,
-255  ,
-261  ,
-269  ,
-277  ,
-280  ,
-288  ,
-286  ,
-294  ,
-288  ,
-294  ,
-288  ,
-289  ,
-285  ,
-281  ,
-281  ,
-273  ,
-278  ,
-267  ,
-274  ,
-268  ,
-272  ,
-273  ,
-273  ,
-279  ,
-279  ,
-285  ,
-288  ,
-292  ,
-297  ,
-300  ,
-305  ,
-307  ,
-317  ,
-313  ,
-325  ,
-323  ,
-330  ,
-335  ,
-337  ,
-345  ,
-345  ,
-355  ,
-356  ,
-364  ,
-367  ,
-371  ,
-377  ,
-376  ,
-381  ,
-377  ,
-379  ,
-375  ,
-368  ,
-369  ,
-351  ,
-355  ,
-333  ,
-330  ,
-314  ,
-300  ,
-290  ,
-271  ,
-261  ,
-242  ,
-228  ,
-215  ,
-197  ,
-187  ,
-166  ,
-159  ,
-135  ,
-132  ,
-106  ,
-99 ,
-81 ,
-64 ,
-56 ,
-34 ,
-27 ,
-8  ,
-2  ,
17  ,
18  ,
38  ,
35  ,
50  ,
50  ,
59  ,
59  ,
65  ,
65  ,
67  ,
68  ,
69  ,
70  ,
73  ,
73  ,
78  ,
81  ,
83  ,
92  ,
95  ,
102 ,
111 ,
116 ,
128 ,
135 ,
143 ,
156 ,
162 ,
177 ,
184 ,
197 ,
207 ,
223 ,
229 ,
249 ,
255 ,
274 ,
283 ,
300 ,
311 ,
328 ,
340 ,
350 ,
368 ,
371 ,
390 ,
392 ,
402 ,
408 ,
409 ,
417 ,
411 ,
415 ,
408 ,
409 ,
400 ,
399 ,
386 ,
384 ,
373 ,
369 ,
356 ,
353 ,
339 ,
335 ,
324 ,
318 ,
306 ,
303 ,
286 ,
285 ,
272 ,
266 ,
256 ,
251 ,
240 ,
236 ,
229 ,
223 ,
221 ,
216 ,
216 ,
212 ,
215 ,
210 ,
218 ,
212 ,
218 ,
215 ,
217 ,
219 ,
214 ,
214 ,
212 ,
206 ,
204 ,
197 ,
188 ,
184 ,
172 ,
163 ,
155 ,
141 ,
132 ,
117 ,
108 ,
91  ,
81  ,
65  ,
50  ,
38  ,
19  ,
5 ,
-12 ,
-29 ,
-47 ,
-63 ,
-86 ,
-98 ,
-121  ,
-134  ,
-155  ,
-167  ,
-186  ,
-196  ,
-212  ,
-221  ,
-233  ,
-240  ,
-248  ,
-256  ,
-259  ,
-267  ,
-268  ,
-273  ,
-276  ,
-278  ,
-280  ,
-283  ,
-285  ,
-287  ,
-290  ,
-290  ,
-292  ,
-294  ,
-293  ,
-294  ,
-295  ,
-292  ,
-294  ,
-293  ,
-288  ,
-295  ,
-286  ,
-292  ,
-290  ,
-290  ,
-294  ,
-298  ,
-296  ,
-309  ,
-304  ,
-318  ,
-320  ,
-330  ,
-334  ,
-343  ,
-347  ,
-357  ,
-360  ,
-365  ,
-369  ,
-372  ,
-373  ,
-379  ,
-371  ,
-380  ,
-370  ,
-375  ,
-369  ,
-367  ,
-364  ,
-360  ,
-356  ,
-351  ,
-345  ,
-338  ,
-332  ,
-321  ,
-313  ,
-302  ,
-289  ,
-276  ,
-260  ,
-246  ,
-228  ,
-212  ,
-191  ,
-175  ,
-156  ,
-137  ,
-122  ,
-101  ,
-89 ,
-72 ,
-58 ,
-47 ,
-33 ,
-24 ,
-14 ,
-2  ,
2 ,
16  ,
18  ,
32  ,
33  ,
45  ,
47  ,
58  ,
62  ,
69  ,
72  ,
80  ,
82  ,
89  ,
89  ,
95  ,
95  ,
100 ,
101 ,
106 ,
106 ,
113 ,
114 ,
123 ,
127 ,
138 ,
144 ,
155 ,
166 ,
179 ,
190 ,
206 ,
218 ,
233 ,
249 ,
260 ,
278 ,
289 ,
304 ,
316 ,
327 ,
341 ,
346 ,
363 ,
364 ,
379 ,
382 ,
392 ,
396 ,
404 ,
408 ,
413 ,
414 ,
419 ,
416 ,
421 ,
413 ,
415 ,
406 ,
406 ,
393 ,
390 ,
378 ,
370 ,
359 ,
349 ,
335 ,
327 ,
315 ,
302 ,
298 ,
282 ,
280 ,
271 ,
262 ,
263 ,
252 ,
253 ,
246 ,
244 ,
242 ,
239 ,
234 ,
236 ,
227 ,
230 ,
222 ,
222 ,
217 ,
215 ,
209 ,
210 ,
202 ,
204 ,
195 ,
196 ,
191 ,
187 ,
184 ,
177 ,
172 ,
166 ,
156 ,
148 ,
137 ,
125 ,
112 ,
97  ,
81  ,
64  ,
47  ,
28  ,
10  ,
-8  ,
-26 ,
-46 ,
-61 ,
-80 ,
-95 ,
-108  ,
-128  ,
-135  ,
-156  ,
-164  ,
-177  ,
-193  ,
-197  ,
-219  ,
-219  ,
-240  ,
-242  ,
-256  ,
-266  ,
-271  ,
-283  ,
-285  ,
-293  ,
-296  ,
-300  ,
-301  ,
-300  ,
-302  ,
-297  ,
-301  ,
-293  ,
-294  ,
-293  ,
-289  ,
-292  ,
-289  ,
-289  ,
-292  ,
-290  ,
-297  ,
-296  ,
-301  ,
-305  ,
-305  ,
-314  ,
-313  ,
-320  ,
-321  ,
-324  ,
-327  ,
-328  ,
-332  ,
-333  ,
-335  ,
-338  ,
-340  ,
-344  ,
-349  ,
-350  ,
-359  ,
-357  ,
-367  ,
-367  ,
-371  ,
-373  ,
-373  ,
-375  ,
-373  ,
-371  ,
-364  ,
-362  ,
-351  ,
-345  ,
-332  ,
-323  ,
-309  ,
-297  ,
-284  ,
-267  ,
-258  ,
-239  ,
-229  ,
-213  ,
-200  ,
-186  ,
-172  ,
-157  ,
-143  ,
-131  ,
-110  ,
-104  ,
-78 ,
-73 ,
-51 ,
-39 ,
-22 ,
-9  ,
5 ,
20  ,
28  ,
44  ,
49  ,
61  ,
65  ,
73  ,
74  ,
82  ,
80  ,
86  ,
83  ,
88  ,
88  ,
91  ,
93  ,
96  ,
100 ,
105 ,
110 ,
115 ,
123 ,
129 ,
137 ,
147 ,
152 ,
164 ,
170 ,
181 ,
190 ,
199 ,
210 ,
216 ,
231 ,
237 ,
254 ,
260 ,
278 ,
287 ,
304 ,
316 ,
330 ,
345 ,
356 ,
371 ,
379 ,
395 ,
398 ,
409 ,
413 ,
418 ,
421 ,
421 ,
421 ,
418 ,
415 ,
410 ,
404 ,
396 ,
394 ,
380 ,
380 ,
366 ,
365 ,
350 ,
351 ,
336 ,
332 ,
325 ,
312 ,
309 ,
296 ,
288 ,
280 ,
269 ,
263 ,
250 ,
246 ,
235 ,
232 ,
222 ,
220 ,
210 ,
215 ,
205 ,
208 ,
207 ,
203 ,
209 ,
204 ,
207 ,
204 ,
205 ,
201 ,
200 ,
192 ,
191 ,
181 ,
175 ,
167 ,
154 ,
151 ,
131 ,
130 ,
109 ,
106 ,
87  ,
77  ,
65  ,
50  ,
40  ,
23  ,
11  ,
-6  ,
-19 ,
-36 ,
-53 ,
-69 ,
-88 ,
-106  ,
-120  ,
-145  ,
-154  ,
-177  ,
-187  ,
-205  ,
-216  ,
-229  ,
-238  ,
-247  ,
-255  ,
-262  ,
-267  ,
-272  ,
-276  ,
-278  ,
-285  ,
-282  ,
-291  ,
-287  ,
-297  ,
-293  ,
-301  ,
-301  ,
-303  ,
-308  ,
-307  ,
-310  ,
-310  ,
-308  ,
-312  ,
-306  ,
-310  ,
-303  ,
-307  ,
-302  ,
-305  ,
-302  ,
-304  ,
-304  ,
-308  ,
-309  ,
-315  ,
-315  ,
-326  ,
-326  ,
-334  ,
-341  ,
-342  ,
-353  ,
-353  ,
-360  ,
-361  ,
-365  ,
-366  ,
-365  ,
-367  ,
-365  ,
-361  ,
-363  ,
-356  ,
-356  ,
-352  ,
-348  ,
-344  ,
-339  ,
-336  ,
-327  ,
-324  ,
-313  ,
-307  ,
-295  ,
-287  ,
-273  ,
-259  ,
-247  ,
-228  ,
-214  ,
-196  ,
-176  ,
-161  ,
-139  ,
-127  ,
-102  ,
-93 ,
-70 ,
-61 ,
-44 ,
-31 ,
-21 ,
-7  ,
1 ,
11  ,
22  ,
28  ,
41  ,
43  ,
58  ,
59  ,
71  ,
75  ,
84  ,
87  ,
96  ,
98  ,
104 ,
108 ,
109 ,
116 ,
113 ,
120 ,
118 ,
122 ,
126 ,
126 ,
134 ,
135 ,
145 ,
151 ,
160 ,
170 ,
180 ,
194 ,
202 ,
222 ,
229 ,
247 ,
258 ,
273 ,
285 ,
301 ,
309 ,
323 ,
333 ,
343 ,
353 ,
361 ,
370 ,
377 ,
386 ,
389 ,
400 ,
402 ,
408 ,
415 ,
412 ,
421 ,
416 ,
419 ,
415 ,
414 ,
406 ,
403 ,
394 ,
387 ,
376 ,
367 ,
355 ,
345 ,
334 ,
321 ,
314 ,
299 ,
294 ,
283 ,
275 ,
270 ,
261 ,
258 ,
250 ,
249 ,
241 ,
239 ,
234 ,
228 ,
228 ,
220 ,
219 ,
213 ,
209 ,
206 ,
202 ,
197 ,
196 ,
189 ,
189 ,
181 ,
182 ,
173 ,
173 ,
167 ,
161 ,
156 ,
150 ,
141 ,
132 ,
124 ,
110 ,
100 ,
85  ,
71  ,
54  ,
42  ,
23  ,
7 ,
-9  ,
-28 ,
-41 ,
-60 ,
-73 ,
-92 ,
-104  ,
-120  ,
-133  ,
-149  ,
-158  ,
-174  ,
-185  ,
-196  ,
-212  ,
-218  ,
-236  ,
-242  ,
-256  ,
-263  ,
-274  ,
-282  ,
-289  ,
-295  ,
-300  ,
-301  ,
-309  ,
-302  ,
-313  ,
-303  ,
-310  ,
-304  ,
-305  ,
-302  ,
-304  ,
-299  ,
-302  ,
-299  ,
-302  ,
-302  ,
-304  ,
-307  ,
-307  ,
-313  ,
-313  ,
-318  ,
-319  ,
-322  ,
-323  ,
-325  ,
-327  ,
-330  ,
-328  ,
-336  ,
-330  ,
-340  ,
-338  ,
-343  ,
-346  ,
-347  ,
-355  ,
-355  ,
-361  ,
-364  ,
-364  ,
-371  ,
-366  ,
-374  ,
-366  ,
-370  ,
-361  ,
-359  ,
-351  ,
-343  ,
-336  ,
-322  ,
-315  ,
-301  ,
-289  ,
-278  ,
-263  ,
-252  ,
-238  ,
-223  ,
-213  ,
-194  ,
-186  ,
-167  ,
-154  ,
-141  ,
-125  ,
-109  ,
-97 ,
-76 ,
-67 ,
-47 ,
-34 ,
-19 ,
-4  ,
8 ,
22  ,
31  ,
42  ,
51  ,
55  ,
69  ,
65  ,
77  ,
77  ,
81  ,
85  ,
86  ,
92  ,
91  ,
99  ,
97  ,
108 ,
105 ,
116 ,
117 ,
126 ,
133 ,
138 ,
146 ,
154 ,
161 ,
170 ,
176 ,
187 ,
193 ,
203 ,
215 ,
219 ,
237 ,
240 ,
259 ,
266 ,
281 ,
293 ,
306 ,
320 ,
331 ,
346 ,
355 ,
372 ,
375 ,
392 ,
395 ,
404 ,
411 ,
412 ,
416 ,
417 ,
414 ,
417 ,
408 ,
412 ,
397 ,
403 ,
388 ,
389 ,
377 ,
375 ,
365 ,
360 ,
354 ,
341 ,
342 ,
325 ,
325 ,
311 ,
306 ,
298 ,
286 ,
281 ,
270 ,
263 ,
256 ,
245 ,
243 ,
233 ,
232 ,
223 ,
222 ,
218 ,
216 ,
216 ,
212 ,
211 ,
212 ,
207 ,
206 ,
205 ,
197 ,
197 ,
190 ,
183 ,
178 ,
169 ,
161 ,
152 ,
142 ,
131 ,
121 ,
111 ,
97  ,
89  ,
74  ,
63  ,
51  ,
37  ,
25  ,
10  ,
-3  ,
-19 ,
-36 ,
-49 ,
-71 ,
-81 ,
-104  ,
-117  ,
-137  ,
-150  ,
-167  ,
-181  ,
-196  ,
-208  ,
-219  ,
-231  ,
-239  ,
-248  ,
-255  ,
-261  ,
-268  ,
-272  ,
-277  ,
-280  ,
-285  ,
-289  ,
-291  ,
-296  ,
-297  ,
-303  ,
-302  ,
-309  ,
-305  ,
-311  ,
-308  ,
-312  ,
-308  ,
-312  ,
-306  ,
-311  ,
-303  ,
-311  ,
-301  ,
-310  ,
-304  ,
-309  ,
-309  ,
-313  ,
-313  ,
-322  ,
-323  ,
-329  ,
-335  ,
-338  ,
-345  ,
-351  ,
-352  ,
-360  ,
-360  ,
-366  ,
-365  ,
-369  ,
-366  ,
-369  ,
-367  ,
-366  ,
-364  ,
-361  ,
-360  ,
-355  ,
-354  ,
-345  ,
-345  ,
-334  ,
-333  ,
-321  ,
-317  ,
-304  ,
-296  ,
-282  ,
-273  ,
-256  ,
-243  ,
-229  ,
-209  ,
-198  ,
-176  ,
-162  ,
-146  ,
-126  ,
-115  ,
-94 ,
-84 ,
-67 ,
-55 ,
-41 ,
-31 ,
-18 ,
-7  ,
0 ,
14  ,
19  ,
31  ,
38  ,
47  ,
54  ,
63  ,
69  ,
75  ,
83  ,
87  ,
94  ,
96  ,
104 ,
101 ,
113 ,
109 ,
114 ,
118 ,
117 ,
126 ,
128 ,
130 ,
142 ,
139 ,
158 ,
158 ,
173 ,
181 ,
193 ,
206 ,
219 ,
232 ,
245 ,
258 ,
271 ,
285 ,
295 ,
311 ,
317 ,
331 ,
339 ,
350 ,
356 ,
368 ,
370 ,
383 ,
386 ,
392 ,
400 ,
400 ,
409 ,
409 ,
411 ,
414 ,
411 ,
410 ,
408 ,
403 ,
398 ,
392 ,
382 ,
375 ,
366 ,
356 ,
345 ,
336 ,
327 ,
314 ,
309 ,
298 ,
290 ,
287 ,
272 ,
275 ,
264 ,
261 ,
257 ,
250 ,
248 ,
244 ,
236 ,
237 ,
227 ,
229 ,
218 ,
218 ,
211 ,
208 ,
205 ,
198 ,
197 ,
191 ,
189 ,
185 ,
181 ,
176 ,
172 ,
167 ,
160 ,
154 ,
144 ,
136 ,
125 ,
115 ,
100 ,
88  ,
72  ,
58  ,
43  ,
25  ,
11  ,
-8  ,
-22 ,
-37 ,
-55 ,
-68 ,
-83 ,
-98 ,
-110  ,
-124  ,
-138  ,
-149  ,
-163  ,
-175  ,
-188  ,
-199  ,
-211  ,
-222  ,
-234  ,
-243  ,
-255  ,
-260  ,
-273  ,
-275  ,
-285  ,
-287  ,
-293  ,
-294  ,
-299  ,
-295  ,
-302  ,
-295  ,
-300  ,
-295  ,
-299  ,
-293  ,
-299  ,
-294  ,
-298  ,
-299  ,
-298  ,
-303  ,
-302  ,
-308  ,
-307  ,
-312  ,
-313  ,
-317  ,
-318  ,
-321  ,
-322  ,
-326  ,
-326  ,
-328  ,
-332  ,
-331  ,
-337  ,
-335  ,
-343  ,
-341  ,
-350  ,
-348  ,
-355  ,
-358  ,
-359  ,
-363  ,
-364  ,
-366  ,
-365  ,
-364  ,
-361  ,
-357  ,
-354  ,
-345  ,
-340  ,
-329  ,
-321  ,
-311  ,
-297  ,
-291  ,
-272  ,
-266  ,
-248  ,
-239  ,
-224  ,
-212  ,
-198  ,
-186  ,
-170  ,
-159  ,
-143  ,
-128  ,
-115  ,
-98 ,
-85 ,
-69 ,
-54 ,
-38 ,
-26 ,
-11 ,
1 ,
15  ,
22  ,
38  ,
41  ,
52  ,
58  ,
63  ,
70  ,
71  ,
79  ,
76  ,
87  ,
85  ,
90  ,
95  ,
97  ,
103 ,
109 ,
112 ,
121 ,
124 ,
135 ,
137 ,
150 ,
152 ,
163 ,
168 ,
180 ,
183 ,
198 ,
199 ,
216 ,
219 ,
235 ,
241 ,
256 ,
263 ,
281 ,
288 ,
304 ,
316 ,
326 ,
343 ,
349 ,
364 ,
372 ,
380 ,
390 ,
394 ,
399 ,
404 ,
404 ,
406 ,
407 ,
402 ,
404 ,
398 ,
396 ,
391 ,
386 ,
381 ,
376 ,
369 ,
364 ,
357 ,
348 ,
347 ,
332 ,
331 ,
318 ,
312 ,
306 ,
292 ,
290 ,
276 ,
270 ,
265 ,
251 ,
251 ,
242 ,
235 ,
234 ,
227 ,
223 ,
224 ,
216 ,
218 ,
213 ,
212 ,
210 ,
206 ,
204 ,
200 ,
195 ,
192 ,
183 ,
180 ,
171 ,
165 ,
155 ,
147 ,
137 ,
129 ,
118 ,
108 ,
97  ,
86  ,
75  ,
62  ,
51  ,
37  ,
23  ,
11  ,
-8  ,
-17 ,
-38 ,
-49 ,
-70 ,
-82 ,
-102  ,
-114  ,
-133  ,
-145  ,
-163  ,
-173  ,
-190  ,
-198  ,
-212  ,
-220  ,
-229  ,
-239  ,
-244  ,
-252  ,
-257  ,
-264  ,
-266  ,
-276  ,
-274  ,
-284  ,
-284  ,
-289  ,
-294  ,
-295  ,
-299  ,
-301  ,
-303  ,
-305  ,
-307  ,
-305  ,
-309  ,
-306  ,
-309  ,
-307  ,
-308  ,
-306  ,
-309  ,
-307  ,
-310  ,
-312  ,
-312  ,
-318  ,
-317  ,
-325  ,
-326  ,
-332  ,
-337  ,
-337  ,
-348  ,
-345  ,
-352  ,
-356  ,
-353  ,
-363  ,
-355  ,
-363  ,
-358  ,
-361  ,
-359  ,
-356  ,
-358  ,
-350  ,
-353  ,
-345  ,
-345  ,
-338  ,
-336  ,
-326  ,
-326  ,
-312  ,
-310  ,
-298  ,
-289  ,
-278  ,
-264  ,
-253  ,
-238  ,
-224  ,
-208  ,
-193  ,
-177  ,
-163  ,
-143  ,
-134  ,
-112  ,
-103  ,
-86 ,
-74 ,
-60 ,
-48 ,
-36 ,
-25 ,
-16 ,
-1  ,
2 ,
20  ,
21  ,
38  ,
41  ,
54  ,
59  ,
69  ,
75  ,
85  ,
87  ,
97  ,
98  ,
106 ,
108 ,
113 ,
114 ,
121 ,
122 ,
127 ,
129 ,
136 ,
139 ,
148 ,
150 ,
162 ,
166 ,
177 ,
188 ,
194 ,
210 ,
216 ,
232 ,
238 ,
255 ,
260 ,
276 ,
282 ,
294 ,
304 ,
312 ,
322 ,
329 ,
338 ,
345 ,
355 ,
358 ,
368 ,
372 ,
376 ,
385 ,
382 ,
393 ,
387 ,
394 ,
391 ,
389 ,
390 ,
382 ,
382 ,
371 ,
369 ,
359 ,
351 ,
344 ,
332 ,
326 ,
317 ,
308 ,
299 ,
293 ,
283 ,
280 ,
270 ,
266 ,
258 ,
256 ,
248 ,
245 ,
239 ,
234 ,
231 ,
225 ,
220 ,
218 ,
210 ,
209 ,
201 ,
199 ,
193 ,
193 ,
183 ,
186 ,
175 ,
177 ,
169 ,
168 ,
159 ,
157 ,
148 ,
141 ,
134 ,
124 ,
114 ,
104 ,
89  ,
81  ,
62  ,
54  ,
34  ,
23  ,
5 ,
-7  ,
-24 ,
-38 ,
-51 ,
-68 ,
-78 ,
-94 ,
-104  ,
-119  ,
-128  ,
-143  ,
-151  ,
-165  ,
-176  ,
-184  ,
-200  ,
-203  ,
-221  ,
-223  ,
-237  ,
-241  ,
-253  ,
-254  ,
-267  ,
-264  ,
-276  ,
-272  ,
-281  ,
-277  ,
-284  ,
-281  ,
-282  ,
-287  ,
-280  ,
-288  ,
-285  ,
-285  ,
-293  ,
-286  ,
-296  ,
-294  ,
-297  ,
-302  ,
-301  ,
-306  ,
-309  ,
-308  ,
-313  ,
-314  ,
-313  ,
-319  ,
-315  ,
-321  ,
-318  ,
-323  ,
-321  ,
-325  ,
-325  ,
-329  ,
-329  ,
-332  ,
-334  ,
-335  ,
-338  ,
-339  ,
-339  ,
-339  ,
-339  ,
-336  ,
-334  ,
-330  ,
-324  ,
-320  ,
-311  ,
-304  ,
-297  ,
-285  ,
-280  ,
-263  ,
-260  ,
-241  ,
-239  ,
-220  ,
-214  ,
-199  ,
-188  ,
-178  ,
-162  ,
-155  ,
-137  ,
-127  ,
-114  ,
-97 ,
-88 ,
-71 ,
-58 ,
-47 ,
-28 ,
-22 ,
-4  ,
4 ,
15  ,
28  ,
34  ,
43  ,
52  ,
56  ,
65  ,
69  ,
73  ,
81  ,
81  ,
90  ,
89  ,
98  ,
100 ,
104 ,
112 ,
114 ,
122 ,
127 ,
133 ,
139 ,
147 ,
150 ,
161 ,
164 ,
173 ,
180 ,
185 ,
196 ,
200 ,
211 ,
220 ,
226 ,
240 ,
243 ,
261 ,
265 ,
279 ,
288 ,
298 ,
310 ,
318 ,
328 ,
335 ,
345 ,
351 ,
353 ,
364 ,
360 ,
369 ,
366 ,
367 ,
367 ,
367 ,
361 ,
364 ,
355 ,
356 ,
350 ,
346 ,
340 ,
337 ,
330 ,
324 ,
321 ,
310 ,
308 ,
297 ,
294 ,
283 ,
279 ,
267 ,
265 ,
252 ,
249 ,
242 ,
231 ,
234 ,
218 ,
225 ,
210 ,
215 ,
205 ,
207 ,
202 ,
199 ,
199 ,
191 ,
193 ,
185 ,
183 ,
179 ,
171 ,
169 ,
159 ,
153 ,
147 ,
136 ,
130 ,
120 ,
111 ,
100 ,
94  ,
79  ,
74  ,
60  ,
51  ,
40  ,
27  ,
17  ,
4 ,
-11 ,
-19 ,
-37 ,
-50 ,
-60 ,
-82 ,
-86 ,
-107  ,
-118  ,
-130  ,
-146  ,
-153  ,
-168  ,
-177  ,
-187  ,
-196  ,
-204  ,
-210  ,
-219  ,
-223  ,
-230  ,
-236  ,
-238  ,
-247  ,
-247  ,
-258  ,
-255  ,
-266  ,
-264  ,
-271  ,
-273  ,
-277  ,
-276  ,
-284  ,
-279  ,
-286  ,
-282  ,
-286  ,
-285  ,
-287  ,
-285  ,
-287  ,
-285  ,
-290  ,
-285  ,
-292  ,
-288  ,
-294  ,
-295  ,
-299  ,
-300  ,
-305  ,
-306  ,
-312  ,
-314  ,
-316  ,
-318  ,
-320  ,
-322  ,
-322  ,
-325  ,
-320  ,
-325  ,
-318  ,
-324  ,
-317  ,
-317  ,
-315  ,
-309  ,
-311  ,
-304  ,
-302  ,
-298  ,
-292  ,
-290  ,
-280  ,
-279  ,
-264  ,
-263  ,
-249  ,
-239  ,
-230  ,
-215  ,
-204  ,
-193  ,
-173  ,
-166  ,
-148  ,
-136  ,
-124  ,
-106  ,
-97 ,
-82 ,
-71 ,
-60 ,
-46 ,
-39 ,
-23 ,
-20 ,
-6  ,
3 ,
9 ,
23  ,
28  ,
38  ,
47  ,
52  ,
65  ,
67  ,
79  ,
82  ,
89  ,
94  ,
99  ,
102 ,
109 ,
110 ,
116 ,
117 ,
123 ,
125 ,
132 ,
135 ,
140 ,
146 ,
152 ,
161 ,
167 ,
175 ,
187 ,
191 ,
206 ,
212 ,
223 ,
234 ,
242 ,
251 ,
261 ,
268 ,
278 ,
285 ,
293 ,
299 ,
308 ,
313 ,
319 ,
328 ,
329 ,
339 ,
341 ,
345 ,
350 ,
350 ,
354 ,
356 ,
353 ,
356 ,
350 ,
350 ,
346 ,
341 ,
335 ,
329 ,
324 ,
313 ,
312 ,
298 ,
296 ,
285 ,
282 ,
272 ,
268 ,
262 ,
254 ,
252 ,
244 ,
240 ,
236 ,
229 ,
226 ,
220 ,
215 ,
212 ,
202 ,
205 ,
191 ,
193 ,
184 ,
179 ,
176 ,
171 ,
164 ,
164 ,
154 ,
154 ,
148 ,
143 ,
139 ,
131 ,
128 ,
119 ,
112 ,
104 ,
93  ,
86  ,
75  ,
62  ,
52  ,
39  ,
26  ,
14  ,
1 ,
-13 ,
-26 ,
-37 ,
-54 ,
-61 ,
-77 ,
-87 ,
-98 ,
-110  ,
-121  ,
-132  ,
-141  ,
-154  ,
-161  ,
-176  ,
-181  ,
-195  ,
-200  ,
-212  ,
-219  ,
-227  ,
-234  ,
-239  ,
-246  ,
-250  ,
-254  ,
-259  ,
-259  ,
-265  ,
-263  ,
-266  ,
-267  ,
-268  ,
-268  ,
-270  ,
-269  ,
-273  ,
-272  ,
-275  ,
-276  ,
-277  ,
-282  ,
-280  ,
-285  ,
-286  ,
-286  ,
-290  ,
-289  ,
-293  ,
-291  ,
-295  ,
-293  ,
-297  ,
-295  ,
-299  ,
-297  ,
-300  ,
-302  ,
-301  ,
-303  ,
-307  ,
-305  ,
-309  ,
-309  ,
-309  ,
-310  ,
-311  ,
-307  ,
-308  ,
-303  ,
-300  ,
-297  ,
-290  ,
-285  ,
-279  ,
-269  ,
-264  ,
-253  ,
-247  ,
-234  ,
-229  ,
-213  ,
-208  ,
-195  ,
-182  ,
-177  ,
-158  ,
-155  ,
-135  ,
-129  ,
-114  ,
-102  ,
-90 ,
-76 ,
-63 ,
-54 ,
-35 ,
-29 ,
-12 ,
-4  ,
8 ,
18  ,
28  ,
35  ,
45  ,
51  ,
57  ,
66  ,
68  ,
77  ,
79  ,
85  ,
88  ,
95  ,
96  ,
103 ,
106 ,
112 ,
115 ,
123 ,
125 ,
134 ,
136 ,
146 ,
147 ,
159 ,
160 ,
169 ,
174 ,
182 ,
188 ,
197 ,
201 ,
213 ,
218 ,
229 ,
236 ,
246 ,
253 ,
266 ,
271 ,
284 ,
291 ,
298 ,
308 ,
315 ,
321 ,
328 ,
333 ,
334 ,
342 ,
340 ,
344 ,
343 ,
343 ,
341 ,
343 ,
337 ,
338 ,
332 ,
329 ,
327 ,
321 ,
317 ,
312 ,
306 ,
300 ,
297 ,
286 ,
283 ,
274 ,
270 ,
258 ,
258 ,
242 ,
243 ,
232 ,
225 ,
222 ,
212 ,
211 ,
203 ,
199 ,
196 ,
192 ,
187 ,
187 ,
178 ,
181 ,
171 ,
174 ,
163 ,
164 ,
156 ,
151 ,
149 ,
136 ,
139 ,
121 ,
124 ,
108 ,
105 ,
92  ,
90  ,
72  ,
72  ,
54  ,
50  ,
38  ,
27  ,
17  ,
5 ,
-6  ,
-17 ,
-31 ,
-42 ,
-56 ,
-66 ,
-81 ,
-93 ,
-105  ,
-118  ,
-129  ,
-140  ,
-153  ,
-161  ,
-172  ,
-181  ,
-189  ,
-198  ,
-204  ,
-211  ,
-217  ,
-223  ,
-227  ,
-234  ,
-237  ,
-242  ,
-245  ,
-251  ,
-252  ,
-257  ,
-261  ,
-259  ,
-269  ,
-263  ,
-270  ,
-271  ,
-268  ,
-275  ,
-270  ,
-275  ,
-273  ,
-273  ,
-275  ,
-274  ,
-275  ,
-276  ,
-277  ,
-277  ,
-281  ,
-279  ,
-285  ,
-285  ,
-287  ,
-292  ,
-290  ,
-297  ,
-295  ,
-299  ,
-301  ,
-298  ,
-305  ,
-300  ,
-302  ,
-303  ,
-299  ,
-301  ,
-298  ,
-295  ,
-296  ,
-289  ,
-290  ,
-283  ,
-281  ,
-278  ,
-269  ,
-269  ,
-258  ,
-257  ,
-244  ,
-240  ,
-228  ,
-222  ,
-210  ,
-198  ,
-188  ,
-176  ,
-163  ,
-152  ,
-137  ,
-126  ,
-114  ,
-99 ,
-90 ,
-74 ,
-66 ,
-53 ,
-41 ,
-31 ,
-22 ,
-9  ,
-3  ,
10  ,
16  ,
26  ,
33  ,
43  ,
50  ,
57  ,
65  ,
71  ,
77  ,
83  ,
91  ,
92  ,
99  ,
105 ,
103 ,
115 ,
112 ,
120 ,
123 ,
126 ,
133 ,
134 ,
144 ,
145 ,
153 ,
162 ,
163 ,
178 ,
179 ,
191 ,
198 ,
208 ,
215 ,
226 ,
230 ,
244 ,
248 ,
260 ,
264 ,
274 ,
280 ,
287 ,
296 ,
300 ,
306 ,
315 ,
315 ,
326 ,
323 ,
334 ,
331 ,
338 ,
335 ,
339 ,
337 ,
338 ,
333 ,
334 ,
326 ,
326 ,
319 ,
312 ,
311 ,
297 ,
298 ,
284 ,
285 ,
271 ,
270 ,
261 ,
253 ,
253 ,
241 ,
239 ,
233 ,
226 ,
223 ,
219 ,
209 ,
212 ,
197 ,
203 ,
190 ,
190 ,
184 ,
177 ,
177 ,
167 ,
168 ,
157 ,
159 ,
148 ,
150 ,
140 ,
139 ,
132 ,
126 ,
122 ,
114 ,
109 ,
99  ,
93  ,
83  ,
74  ,
64  ,
53  ,
42  ,
32  ,
19  ,
7 ,
-5  ,
-16 ,
-30 ,
-41 ,
-52 ,
-67 ,
-74 ,
-89 ,
-98 ,
-109  ,
-120  ,
-130  ,
-139  ,
-151  ,
-158  ,
-170  ,
-177  ,
-186  ,
-196  ,
-200  ,
-214  ,
-213  ,
-226  ,
-225  ,
-237  ,
-235  ,
-245  ,
-243  ,
-249  ,
-249  ,
-253  ,
-253  ,
-256  ,
-257  ,
-256  ,
-261  ,
-257  ,
-263  ,
-262  ,
-263  ,
-268  ,
-265  ,
-269  ,
-273  ,
-269  ,
-277  ,
-273  ,
-278  ,
-279  ,
-278  ,
-282  ,
-280  ,
-283  ,
-283  ,
-285  ,
-284  ,
-289  ,
-283  ,
-293  ,
-284  ,
-296  ,
-286  ,
-296  ,
-291  ,
-294  ,
-293  ,
-293  ,
-291  ,
-292  ,
-287  ,
-285  ,
-283  ,
-274  ,
-275  ,
-263  ,
-262  ,
-252  ,
-245  ,
-237  ,
-228  ,
-220  ,
-211  ,
-202  ,
-191  ,
-182  ,
-171  ,
-161  ,
-152  ,
-139  ,
-128  ,
-117  ,
-106  ,
-95 ,
-82 ,
-71 ,
-58 ,
-48 ,
-37 ,
-21 ,
-18 ,
1 ,
4 ,
18  ,
24  ,
35  ,
38  ,
51  ,
54  ,
59  ,
69  ,
68  ,
79  ,
80  ,
86  ,
90  ,
95  ,
99  ,
103 ,
111 ,
111 ,
120 ,
124 ,
126 ,
139 ,
135 ,
149 ,
149 ,
159 ,
162 ,
170 ,
174 ,
183 ,
190 ,
194 ,
205 ,
209 ,
220 ,
225 ,
237 ,
240 ,
255 ,
257 ,
270 ,
275 ,
285 ,
291 ,
296 ,
306 ,
307 ,
315 ,
317 ,
319 ,
324 ,
322 ,
326 ,
323 ,
324 ,
321 ,
320 ,
317 ,
315 ,
310 ,
308 ,
304 ,
297 ,
297 ,
286 ,
288 ,
275 ,
277 ,
263 ,
265 ,
251 ,
251 ,
241 ,
235 ,
231 ,
222 ,
219 ,
212 ,
206 ,
202 ,
196 ,
194 ,
189 ,
185 ,
180 ,
179 ,
174 ,
172 ,
167 ,
164 ,
160 ,
157 ,
149 ,
147 ,
140 ,
135 ,
127 ,
122 ,
112 ,
108 ,
97  ,
91  ,
80  ,
74  ,
62  ,
54  ,
44  ,
34  ,
24  ,
14  ,
0 ,
-6  ,
-20 ,
-31 ,
-42 ,
-56 ,
-64 ,
-78 ,
-89 ,
-100  ,
-114  ,
-120  ,
-135  ,
-142  ,
-152  ,
-163  ,
-167  ,
-180  ,
-182  ,
-192  ,
-197  ,
-203  ,
-208  ,
-213  ,
-216  ,
-224  ,
-224  ,
-231  ,
-231  ,
-238  ,
-239  ,
-243  ,
-245  ,
-249  ,
-248  ,
-255  ,
-252  ,
-258  ,
-255  ,
-259  ,
-259  ,
-260  ,
-262  ,
-259  ,
-265  ,
-262  ,
-265  ,
-266  ,
-266  ,
-270  ,
-269  ,
-275  ,
-271  ,
-279  ,
-278  ,
-279  ,
-284  ,
-284  ,
-284  ,
-289  ,
-285  ,
-289  ,
-287  ,
-287  ,
-286  ,
-286  ,
-282  ,
-283  ,
-277  ,
-278  ,
-272  ,
-272  ,
-265  ,
-262  ,
-259  ,
-251  ,
-249  ,
-241  ,
-234  ,
-229  ,
-219  ,
-213  ,
-203  ,
-194  ,
-183  ,
-176  ,
-161  ,
-155  ,
-139  ,
-130  ,
-119  ,
-106  ,
-97 ,
-83 ,
-75 ,
-61 ,
-54 ,
-42 ,
-32 ,
-23 ,
-14 ,
-2  ,
1 ,
15  ,
20  ,
28  ,
39  ,
41  ,
55  ,
53  ,
70  ,
65  ,
82  ,
78  ,
91  ,
89  ,
101 ,
97  ,
110 ,
106 ,
117 ,
116 ,
125 ,
125 ,
134 ,
136 ,
144 ,
150 ,
154 ,
164 ,
169 ,
177 ,
186 ,
190 ,
204 ,
206 ,
219 ,
223 ,
232 ,
241 ,
246 ,
257 ,
258 ,
270 ,
271 ,
282 ,
284 ,
291 ,
296 ,
298 ,
306 ,
307 ,
310 ,
315 ,
312 ,
318 ,
316 ,
316 ,
314 ,
314 ,
309 ,
309 ,
302 ,
299 ,
294 ,
290 ,
281 ,
280 ,
269 ,
266 ,
260 ,
252 ,
249 ,
241 ,
238 ,
231 ,
227 ,
220 ,
218 ,
212 ,
207 ,
203 ,
197 ,
192 ,
192 ,
180 ,
181 ,
174 ,
169 ,
166 ,
160 ,
156 ,
151 ,
147 ,
141 ,
138 ,
133 ,
127 ,
122 ,
117 ,
109 ,
105 ,
98  ,
86  ,
86  ,
68  ,
67  ,
51  ,
45  ,
33  ,
22  ,
12  ,
-2  ,
-9  ,
-23 ,
-33 ,
-43 ,
-58 ,
-63 ,
-78 ,
-85 ,
-96 ,
-106  ,
-115  ,
-125  ,
-134  ,
-142  ,
-151  ,
-159  ,
-169  ,
-176  ,
-184  ,
-190  ,
-198  ,
-203  ,
-211  ,
-212  ,
-223  ,
-220  ,
-231  ,
-227  ,
-235  ,
-234  ,
-238  ,
-240  ,
-239  ,
-244  ,
-242  ,
-247  ,
-245  ,
-250  ,
-248  ,
-252  ,
-253  ,
-256  ,
-256  ,
-260  ,
-258  ,
-265  ,
-262  ,
-266  ,
-266  ,
-266  ,
-271  ,
-265  ,
-275  ,
-266  ,
-274  ,
-272  ,
-270  ,
-276  ,
-273  ,
-274  ,
-276  ,
-276  ,
-275  ,
-278  ,
-274  ,
-278  ,
-272  ,
-277  ,
-267  ,
-272  ,
-263  ,
-263  ,
-256  ,
-254  ,
-245  ,
-242  ,
-232  ,
-228  ,
-218  ,
-215  ,
-201  ,
-199  ,
-184  ,
-181  ,
-168  ,
-162  ,
-150  ,
-142  ,
-130  ,
-124  ,
-106  ,
-105  ,
-85 ,
-81 ,
-66 ,
-56 ,
-46 ,
-34 ,
-24 ,
-14 ,
-5  ,
6 ,
13  ,
21  ,
32  ,
33  ,
48  ,
46  ,
57  ,
62  ,
64  ,
74  ,
75  ,
82  ,
86  ,
90  ,
97  ,
99  ,
108 ,
108 ,
119 ,
118 ,
128 ,
130 ,
138 ,
141 ,
149 ,
151 ,
161 ,
162 ,
172 ,
174 ,
185 ,
187 ,
198 ,
201 ,
210 ,
219 ,
222 ,
236 ,
237 ,
249 ,
254 ,
261 ,
270 ,
273 ,
281 ,
286 ,
288 ,
296 ,
294 ,
301 ,
300 ,
303 ,
302 ,
301 ,
303 ,
300 ,
299 ,
297 ,
293 ,
293 ,
288 ,
285 ,
281 ,
277 ,
273 ,
267 ,
263 ,
257 ,
252 ,
247 ,
239 ,
235 ,
229 ,
220 ,
220 ,
208 ,
209 ,
198 ,
196 ,
190 ,
187 ,
182 ,
178 ,
175 ,
169 ,
169 ,
161 ,
162 ,
153 ,
155 ,
145 ,
144 ,
139 ,
132 ,
127 ,
125 ,
111 ,
114 ,
98  ,
99  ,
85  ,
84  ,
69  ,
67  ,
55  ,
48  ,
39  ,
29  ,
21  ,
9 ,
2 ,
-10 ,
-21 ,
-28 ,
-45 ,
-49 ,
-65 ,
-72 ,
-85 ,
-95 ,
-105  ,
-115  ,
-124  ,
-132  ,
-143  ,
-151  ,
-156  ,
-167  ,
-168  ,
-182  ,
-179  ,
-194  ,
-190  ,
-203  ,
-201  ,
-209  ,
-211  ,
-217  ,
-218  ,
-224  ,
-224  ,
-229  ,
-232  ,
-231  ,
-239  ,
-233  ,
-241  ,
-240  ,
-240  ,
-245  ,
-240  ,
-245  ,
-245  ,
-245  ,
-247  ,
-246  ,
-250  ,
-246  ,
-256  ,
-247  ,
-257  ,
-254  ,
-257  ,
-260  ,
-258  ,
-264  ,
-262  ,
-265  ,
-265  ,
-265  ,
-267  ,
-266  ,
-267  ,
-265  ,
-265  ,
-264  ,
-262  ,
-261  ,
-258  ,
-257  ,
-253  ,
-253  ,
-245  ,
-245  ,
-239  ,
-235  ,
-232  ,
-221  ,
-221  ,
-207  ,
-208  ,
-194  ,
-188  ,
-180  ,
-168  ,
-162  ,
-150  ,
-140  ,
-133  ,
-117  ,
-113  ,
-97 ,
-92 ,
-79 ,
-70 ,
-60 ,
-50 ,
-42 ,
-31 ,
-25 ,
-13 ,
-7  ,
2 ,
11  ,
17  ,
26  ,
33  ,
39  ,
47  ,
53  ,
59  ,
65  ,
70  ,
76  ,
79  ,
85  ,
89  ,
93  ,
98  ,
100 ,
106 ,
109 ,
114 ,
118 ,
121 ,
129 ,
133 ,
138 ,
146 ,
148 ,
159 ,
163 ,
170 ,
179 ,
183 ,
192 ,
198 ,
207 ,
210 ,
222 ,
222 ,
235 ,
237 ,
244 ,
251 ,
255 ,
262 ,
265 ,
271 ,
274 ,
280 ,
282 ,
285 ,
287 ,
288 ,
292 ,
288 ,
292 ,
287 ,
288 ,
285 ,
282 ,
279 ,
274 ,
272 ,
265 ,
263 ,
256 ,
252 ,
246 ,
243 ,
234 ,
235 ,
224 ,
223 ,
216 ,
213 ,
207 ,
203 ,
198 ,
194 ,
187 ,
188 ,
176 ,
178 ,
171 ,
164 ,
166 ,
154 ,
158 ,
146 ,
148 ,
141 ,
136 ,
137 ,
125 ,
128 ,
118 ,
116 ,
109 ,
105 ,
96  ,
94  ,
81  ,
79  ,
67  ,
61  ,
52  ,
41  ,
32  ,
24  ,
12  ,
6 ,
-10 ,
-13 ,
-29 ,
-35 ,
-46 ,
-56 ,
-63 ,
-75 ,
-83 ,
-93 ,
-101  ,
-109  ,
-119  ,
-126  ,
-136  ,
-142  ,
-149  ,
-159  ,
-163  ,
-173  ,
-176  ,
-181  ,
-189  ,
-191  ,
-199  ,
-198  ,
-205  ,
-205  ,
-210  ,
-211  ,
-213  ,
-216  ,
-215  ,
-221  ,
-218  ,
-224  ,
-221  ,
-228  ,
-224  ,
-231  ,
-230  ,
-230  ,
-239  ,
-230  ,
-241  ,
-237  ,
-239  ,
-244  ,
-239  ,
-247  ,
-241  ,
-248  ,
-244  ,
-248  ,
-250  ,
-245  ,
-255  ,
-246  ,
-255  ,
-251  ,
-255  ,
-253  ,
-255  ,
-255  ,
-254  ,
-255  ,
-252  ,
-251  ,
-248  ,
-249  ,
-240  ,
-243  ,
-233  ,
-230  ,
-227  ,
-218  ,
-214  ,
-208  ,
-199  ,
-197  ,
-182  ,
-184  ,
-167  ,
-167  ,
-155  ,
-146  ,
-141  ,
-127  ,
-124  ,
-109  ,
-103  ,
-92 ,
-83 ,
-72 ,
-65 ,
-50 ,
-46 ,
-32 ,
-26 ,
-16 ,
-7  ,
-1  ,
10  ,
13  ,
24  ,
27  ,
34  ,
42  ,
42  ,
55  ,
51  ,
64  ,
64  ,
71  ,
73  ,
82  ,
82  ,
92  ,
92  ,
98  ,
104 ,
108 ,
113 ,
116 ,
124 ,
124 ,
134 ,
135 ,
142 ,
148 ,
151 ,
157 ,
165 ,
169 ,
177 ,
182 ,
188 ,
198 ,
200 ,
213 ,
213 ,
225 ,
229 ,
234 ,
243 ,
244 ,
252 ,
254 ,
260 ,
262 ,
263 ,
268 ,
267 ,
270 ,
270 ,
269 ,
270 ,
269 ,
267 ,
266 ,
265 ,
261 ,
260 ,
257 ,
252 ,
251 ,
245 ,
241 ,
239 ,
230 ,
230 ,
221 ,
219 ,
211 ,
209 ,
201 ,
199 ,
192 ,
189 ,
183 ,
182 ,
174 ,
175 ,
167 ,
166 ,
163 ,
158 ,
157 ,
151 ,
148 ,
147 ,
139 ,
138 ,
132 ,
126 ,
126 ,
113 ,
116 ,
101 ,
103 ,
91  ,
89  ,
78  ,
74  ,
64  ,
60  ,
49  ,
44  ,
32  ,
28  ,
16  ,
7 ,
1 ,
-12 ,
-19 ,
-30 ,
-38 ,
-51 ,
-56 ,
-71 ,
-75 ,
-89 ,
-93 ,
-106  ,
-110  ,
-122  ,
-126  ,
-134  ,
-142  ,
-144  ,
-156  ,
-154  ,
-167  ,
-164  ,
-177  ,
-172  ,
-184  ,
-184  ,
-188  ,
-193  ,
-193  ,
-201  ,
-199  ,
-205  ,
-205  ,
-209  ,
-210  ,
-214  ,
-210  ,
-220  ,
-213  ,
-221  ,
-218  ,
-220  ,
-223  ,
-223  ,
-225  ,
-225  ,
-229  ,
-227  ,
-233  ,
-231  ,
-235  ,
-236  ,
-238  ,
-238  ,
-242  ,
-241  ,
-243  ,
-244  ,
-244  ,
-245  ,
-245  ,
-246  ,
-242  ,
-245  ,
-242  ,
-240  ,
-242  ,
-235  ,
-238  ,
-231  ,
-232  ,
-226  ,
-225  ,
-221  ,
-214  ,
-214  ,
-204  ,
-204  ,
-194  ,
-189  ,
-183  ,
-174  ,
-169  ,
-160  ,
-151  ,
-144  ,
-134  ,
-126  ,
-118  ,
-107  ,
-99 ,
-91 ,
-80 ,
-74 ,
-63 ,
-55 ,
-47 ,
-37 ,
-33 ,
-20 ,
-17 ,
-3  ,
-3  ,
11  ,
12  ,
25  ,
28  ,
34  ,
44  ,
45  ,
54  ,
59  ,
62  ,
70  ,
72  ,
77  ,
82  ,
86  ,
90  ,
93  ,
99  ,
101 ,
105 ,
113 ,
112 ,
121 ,
126 ,
127 ,
138 ,
139 ,
147 ,
154 ,
158 ,
164 ,
173 ,
174 ,
187 ,
187 ,
196 ,
202 ,
206 ,
214 ,
216 ,
226 ,
226 ,
236 ,
235 ,
244 ,
245 ,
250 ,
253 ,
256 ,
257 ,
262 ,
258 ,
266 ,
258 ,
266 ,
257 ,
264 ,
253 ,
258 ,
250 ,
250 ,
247 ,
240 ,
239 ,
232 ,
230 ,
226 ,
220 ,
219 ,
209 ,
211 ,
201 ,
204 ,
193 ,
193 ,
187 ,
183 ,
180 ,
177 ,
170 ,
168 ,
164 ,
158 ,
156 ,
153 ,
144 ,
148 ,
135 ,
140 ,
129 ,
128 ,
124 ,
117 ,
117 ,
106 ,
106 ,
96  ,
95  ,
85  ,
80  ,
72  ,
66  ,
56  ,
52  ,
38  ,
35  ,
23  ,
14  ,
8 ,
-5  ,
-10 ,
-24 ,
-27 ,
-41 ,
-46 ,
-58 ,
-64 ,
-74 ,
-81 ,
-89 ,
-99 ,
-104  ,
-113  ,
-121  ,
-125  ,
-135  ,
-139  ,
-147  ,
-151  ,
-158  ,
-163  ,
-166  ,
-172  ,
-175  ,
-180  ,
-183  ,
-184  ,
-191  ,
-188  ,
-198  ,
-192  ,
-200  ,
-200  ,
-202  ,
-205  ,
-205  ,
-208  ,
-212  ,
-209  ,
-218  ,
-210  ,
-223  ,
-216  ,
-223  ,
-222  ,
-223  ,
-227  ,
-225  ,
-231  ,
-226  ,
-234  ,
-228  ,
-235  ,
-230  ,
-237  ,
-232  ,
-238  ,
-234  ,
-238  ,
-234  ,
-240  ,
-234  ,
-238  ,
-235  ,
-235  ,
-233  ,
-232  ,
-230  ,
-226  ,
-226  ,
-220  ,
-217  ,
-214  ,
-208  ,
-205  ,
-198  ,
-194  ,
-187  ,
-182  ,
-175  ,
-170  ,
-162  ,
-155  ,
-150  ,
-139  ,
-134  ,
-126  ,
-117  ,
-110  ,
-101  ,
-90 ,
-86 ,
-73 ,
-67 ,
-56 ,
-48 ,
-38 ,
-33 ,
-20 ,
-16 ,
-5  ,
1 ,
9 ,
14  ,
24  ,
26  ,
36  ,
40  ,
44  ,
53  ,
54  ,
61  ,
67  ,
70  ,
75  ,
81  ,
84  ,
89  ,
95  ,
97  ,
103 ,
108 ,
109 ,
119 ,
116 ,
129 ,
125 ,
136 ,
137 ,
143 ,
149 ,
150 ,
162 ,
160 ,
173 ,
172 ,
184 ,
184 ,
195 ,
198 ,
205 ,
211 ,
214 ,
222 ,
225 ,
230 ,
234 ,
237 ,
241 ,
242 ,
248 ,
243 ,
254 ,
245 ,
253 ,
248 ,
252 ,
247 ,
252 ,
244 ,
248 ,
243 ,
242 ,
240 ,
235 ,
233 ,
230 ,
225 ,
223 ,
215 ,
215 ,
206 ,
206 ,
198 ,
194 ,
190 ,
186 ,
181 ,
177 ,
173 ,
169 ,
166 ,
162 ,
158 ,
156 ,
150 ,
150 ,
144 ,
141 ,
139 ,
131 ,
133 ,
123 ,
122 ,
116 ,
111 ,
105 ,
102 ,
93  ,
91  ,
83  ,
77  ,
70  ,
65  ,
57  ,
52  ,
41  ,
38  ,
27  ,
21  ,
13  ,
3 ,
-3  ,
-13 ,
-23 ,
-27 ,
-42 ,
-45 ,
-57 ,
-67 ,
-69 ,
-85 ,
-85 ,
-101  ,
-100  ,
-113  ,
-115  ,
-124  ,
-130  ,
-133  ,
-142  ,
-143  ,
-151  ,
-154  ,
-158  ,
-163  ,
-168  ,
-169  ,
-176  ,
-176  ,
-183  ,
-181  ,
-190  ,
-189  ,
-191  ,
-196  ,
-194  ,
-200  ,
-200  ,
-200  ,
-205  ,
-201  ,
-208  ,
-205  ,
-210  ,
-207  ,
-214  ,
-208  ,
-218  ,
-212  ,
-218  ,
-220  ,
-217  ,
-225  ,
-220  ,
-225  ,
-226  ,
-225  ,
-228  ,
-227  ,
-226  ,
-231  ,
-224  ,
-231  ,
-223  ,
-227  ,
-225  ,
-220  ,
-225  ,
-216  ,
-220  ,
-214  ,
-213  ,
-210  ,
-206  ,
-204  ,
-198  ,
-196  ,
-190  ,
-187  ,
-179  ,
-175  ,
-168  ,
-163  ,
-155  ,
-148  ,
-141  ,
-133  ,
-126  ,
-118  ,
-108  ,
-103  ,
-93 ,
-84 ,
-80 ,
-66 ,
-63 ,
-53 ,
-45 ,
-39 ,
-30 ,
-23 ,
-15 ,
-9  ,
-2  ,
6 ,
12  ,
20  ,
24  ,
33  ,
35  ,
47  ,
45  ,
57  ,
57  ,
64  ,
69  ,
71  ,
79  ,
78  ,
86  ,
88  ,
92  ,
98  ,
98  ,
106 ,
107 ,
114 ,
117 ,
123 ,
126 ,
135 ,
133 ,
148 ,
144 ,
156 ,
159 ,
165 ,
170 ,
177 ,
179 ,
189 ,
190 ,
197 ,
202 ,
205 ,
212 ,
214 ,
218 ,
224 ,
225 ,
230 ,
233 ,
233 ,
239 ,
237 ,
242 ,
239 ,
243 ,
239 ,
243 ,
237 ,
241 ,
234 ,
234 ,
232 ,
227 ,
225 ,
223 ,
216 ,
215 ,
210 ,
205 ,
204 ,
198 ,
195 ,
189 ,
189 ,
180 ,
182 ,
172 ,
174 ,
166 ,
164 ,
161 ,
153 ,
155 ,
145 ,
147 ,
138 ,
138 ,
130 ,
131 ,
123 ,
120 ,
117 ,
111 ,
109 ,
102 ,
99  ,
92  ,
90  ,
83  ,
75  ,
74  ,
62  ,
60  ,
52  ,
42  ,
39  ,
26  ,
25  ,
10  ,
8 ,
-5  ,
-11 ,
-18 ,
-30 ,
-34 ,
-44 ,
-52 ,
-58 ,
-68 ,
-75 ,
-80 ,
-90 ,
-95 ,
-102  ,
-110  ,
-116  ,
-120  ,
-131  ,
-130  ,
-143  ,
-141  ,
-152  ,
-153  ,
-159  ,
-163  ,
-166  ,
-170  ,
-173  ,
-176  ,
-179  ,
-180  ,
-184  ,
-185  ,
-186  ,
-191  ,
-189  ,
-193  ,
-195  ,
-193  ,
-201  ,
-195  ,
-204  ,
-201  ,
-203  ,
-206  ,
-206  ,
-206  ,
-213  ,
-206  ,
-214  ,
-212  ,
-211  ,
-216  ,
-213  ,
-216  ,
-216  ,
-215  ,
-217  ,
-216  ,
-219  ,
-214  ,
-219  ,
-215  ,
-218  ,
-215  ,
-213  ,
-215  ,
-211  ,
-212  ,
-207  ,
-206  ,
-202  ,
-201  ,
-195  ,
-193  ,
-188  ,
-183  ,
-177  ,
-175  ,
-164  ,
-166  ,
-151  ,
-152  ,
-141  ,
-135  ,
-131  ,
-119  ,
-117  ,
-106  ,
-100  ,
-93 ,
-84 ,
-77 ,
-69 ,
-60 ,
-55 ,
-44 ,
-39 ,
-28 ,
-24 ,
-14 ,
-9  ,
0 ,
6 ,
12  ,
19  ,
24  ,
33  ,
32  ,
45  ,
44  ,
53  ,
56  ,
58  ,
68  ,
68  ,
75  ,
77  ,
83  ,
85  ,
92  ,
92  ,
100 ,
99  ,
110 ,
106 ,
119 ,
116 ,
128 ,
127 ,
137 ,
139 ,
146 ,
150 ,
157 ,
157 ,
168 ,
168 ,
177 ,
180 ,
185 ,
192 ,
194 ,
203 ,
203 ,
209 ,
215 ,
216 ,
220 ,
225 ,
223 ,
232 ,
228 ,
237 ,
230 ,
239 ,
229 ,
234 ,
224 ,
225 ,
217 ,
214 ,
198 ,
164 ,
128 ,
75  ,
33  ,
-11 ,
-51 ,
-81 ,
-112  ,
-124  ,
-135  ,
-122  ,
-105  ,
-61 ,
-24 ,
39  ,
76  ,
126 ,
153 ,
187 ,
219 ,
252 ,
280 ,
293 ,
304 ,
310 ,
330 ,
349 ,
370 ,
379 ,
387 ,
389 ,
395 ,
395 ,
393 ,
387 ,
377 ,
356 ,
321 ,
266 ,
207 ,
149 ,
95  ,
49  ,
3 ,
-43 ,
-79 ,
-101  ,
-104  ,
-88 ,
-66 ,
-42 ,
-21 ,
0 ,
21  ,
43  ,
66  ,
87  ,
104 ,
109 ,
104 ,
85  ,
64  ,
42  ,
30  ,
14  ,
13  ,
6 ,
7 ,
7 ,
8 ,
16  ,
24  ,
25  ,
8 ,
-18 ,
-58 ,
-90 ,
-123  ,
-153  ,
-183  ,
-226  ,
-264  ,
-309  ,
-345  ,
-363  ,
-376  ,
-364  ,
-359  ,
-336  ,
-321  ,
-287  ,
-258  ,
-214  ,
-183  ,
-156  ,
-159  ,
-161  ,
-182  ,
-183  ,
-186  ,
-184  ,
-171  ,
-177  ,
-165  ,
-175  ,
-171  ,
-168  ,
-167  ,
-148  ,
-147  ,
-132  ,
-130  ,
-118  ,
-114  ,
-108  ,
-112  ,
-129  ,
-159  ,
-207  ,
-255  ,
-307  ,
-345  ,
-376  ,
-399  ,
-420  ,
-440  ,
-451  ,
-457  ,
-446  ,
-435  ,
-413  ,
-391  ,
-373  ,
-343  ,
-323  ,
-293  ,
-270  ,
-250  ,
-237  ,
-236  ,
-242  ,
-250  ,
-244  ,
-232  ,
-201  ,
-175  ,
-135  ,
-109  ,
-66 ,
-32 ,
14  ,
50  ,
90  ,
114 ,
139 ,
156 ,
167 ,
185 ,
185 ,
190 ,
179 ,
157 ,
135 ,
106 ,
89  ,
75  ,
72  ,
62  ,
70  ,
64  ,
75  ,
77  ,
83  ,
82  ,
81  ,
66  ,
50  ,
24  ,
6 ,
-13 ,
-17 ,
-28 ,
-33 ,
-42 ,
-50 ,
-46 ,
-37 ,
-13 ,
20  ,
58  ,
107 ,
151 ,
199 ,
236 ,
276 ,
303 ,
331 ,
342 ,
346 ,
342 ,
335 ,
338 ,
338 ,
339 ,
330 ,
322 ,
300 ,
291 ,
271 ,
264 ,
252 ,
247 ,
238 ,
231 ,
224 ,
217 ,
208 ,
204 ,
191 ,
181 ,
166 ,
153 ,
148 ,
149 ,
163 ,
170 ,
187 ,
188 ,
199 ,
205 ,
215 ,
229 ,
243 ,
257 ,
266 ,
278 ,
284 ,
299 ,
304 ,
313 ,
311 ,
312 ,
305 ,
303 ,
301 ,
305 ,
318 ,
331 ,
340 ,
351 ,
341 ,
343 ,
330 ,
321 ,
309 ,
284 ,
259 ,
231 ,
198 ,
175 ,
140 ,
110 ,
75  ,
38  ,
5 ,
-33 ,
-56 ,
-84 ,
-89 ,
-103  ,
-108  ,
-120  ,
-136  ,
-152  ,
-164  ,
-179  ,
-187  ,
-201  ,
-210  ,
-216  ,
-216  ,
-214  ,
-207  ,
-205  ,
-197  ,
-197  ,
-193  ,
-192  ,
-185  ,
-177  ,
-166  ,
-158  ,
-152  ,
-154  ,
-162  ,
-169  ,
-181  ,
-190  ,
-203  ,
-214  ,
-228  ,
-238  ,
-250  ,
-262  ,
-270  ,
-287  ,
-305  ,
-326  ,
-358  ,
-380  ,
-412  ,
-429  ,
-453  ,
-468  ,
-490  ,
-505  ,
-526  ,
-538  ,
-552  ,
-552  ,
-551  ,
-539  ,
-527  ,
-508  ,
-485  ,
-458  ,
-424  ,
-397  ,
-367  ,
-352  ,
-328  ,
-316  ,
-293  ,
-280  ,
-259  ,
-247  ,
-234  ,
-228  ,
-221  ,
-217  ,
-214  ,
-207  ,
-202  ,
-192  ,
-183  ,
-173  ,
-156  ,
-142  ,
-125  ,
-110  ,
-108  ,
-101  ,
-103  ,
-106  ,
-109  ,
-111  ,
-120  ,
-119  ,
-131  ,
-132  ,
-138  ,
-137  ,
-131  ,
-129  ,
-115  ,
-109  ,
-90 ,
-73 ,
-48 ,
-21 ,
5 ,
34  ,
56  ,
73  ,
86  ,
97  ,
108 ,
126 ,
134 ,
155 ,
162 ,
180 ,
192 ,
213 ,
230 ,
251 ,
265 ,
280 ,
293 ,
304 ,
318 ,
333 ,
339 ,
353 ,
344 ,
346 ,
331 ,
324 ,
316 ,
313 ,
313 ,
308 ,
313 ,
311 ,
321 ,
330 ,
343 ,
352 ,
362 ,
366 ,
374 ,
376 ,
382 ,
388 ,
388 ,
395 ,
380 ,
382 ,
360 ,
356 ,
346 ,
338 ,
342 ,
338 ,
347 ,
352 ,
363 ,
379 ,
394 ,
410 ,
422 ,
424 ,
430 ,
423 ,
423 ,
418 ,
408 ,
399 ,
380 ,
360 ,
334 ,
310 ,
287 ,
272 ,
254 ,
244 ,
229 ,
221 ,
212 ,
204 ,
200 ,
188 ,
180 ,
157 ,
141 ,
110 ,
94  ,
63  ,
48  ,
20  ,
-1  ,
-21 ,
-42 ,
-52 ,
-63 ,
-69 ,
-63 ,
-62 ,
-50 ,
-41 ,
-31 ,
-17 ,
-13 ,
-4  ,
-10 ,
-15 ,
-33 ,
-45 ,
-67 ,
-79 ,
-96 ,
-110  ,
-122  ,
-137  ,
-148  ,
-160  ,
-168  ,
-182  ,
-186  ,
-201  ,
-210  ,
-224  ,
-240  ,
-260  ,
-282  ,
-309  ,
-342  ,
-374  ,
-417  ,
-449  ,
-483  ,
-505  ,
-522  ,
-533  ,
-537  ,
-538  ,
-531  ,
-523  ,
-505  ,
-493  ,
-473  ,
-457  ,
-441  ,
-422  ,
-411  ,
-394  ,
-387  ,
-374  ,
-373  ,
-368  ,
-365  ,
-358  ,
-347  ,
-328  ,
-308  ,
-283  ,
-259  ,
-238  ,
-214  ,
-199  ,
-185  ,
-178  ,
-175  ,
-183  ,
-186  ,
-206  ,
-215  ,
-234  ,
-250  ,
-267  ,
-285  ,
-300  ,
-312  ,
-319  ,
-319  ,
-317  ,
-300  ,
-289  ,
-267  ,
-250  ,
-233  ,
-213  ,
-199  ,
-186  ,
-177  ,
-174  ,
-167  ,
-168  ,
-159  ,
-151  ,
-139  ,
-122  ,
-106  ,
-84 ,
-55 ,
-33 ,
10  ,
36  ,
82  ,
115 ,
152 ,
180 ,
208 ,
225 ,
242 ,
248 ,
252 ,
244 ,
243 ,
230 ,
228 ,
222 ,
222 ,
220 ,
225 ,
230 ,
236 ,
249 ,
261 ,
271 ,
281 ,
287 ,
289 ,
289 ,
285 ,
275 ,
269 ,
251 ,
240 ,
224 ,
210 ,
207 ,
196 ,
210 ,
208 ,
229 ,
236 ,
258 ,
272 ,
296 ,
314 ,
335 ,
347 ,
360 ,
364 ,
371 ,
370 ,
372 ,
371 ,
370 ,
371 ,
369 ,
376 ,
382 ,
394 ,
412 ,
425 ,
444 ,
455 ,
462 ,
470 ,
463 ,
462 ,
444 ,
425 ,
400 ,
362 ,
336 ,
292 ,
264 ,
223 ,
194 ,
162 ,
137 ,
115 ,
99  ,
89  ,
80  ,
74  ,
65  ,
59  ,
46  ,
39  ,
26  ,
18  ,
3 ,
-4  ,
-23 ,
-23 ,
-41 ,
-31 ,
-41 ,
-27 ,
-25 ,
-16 ,
-4  ,
4 ,
16  ,
24  ,
33  ,
32  ,
31  ,
20  ,
4 ,
-12 ,
-38 ,
-55 ,
-84 ,
-104  ,
-128  ,
-151  ,
-165  ,
-183  ,
-190  ,
-199  ,
-207  ,
-214  ,
-218  ,
-232  ,
-233  ,
-252  ,
-261  ,
-277  ,
-300  ,
-316  ,
-342  ,
-363  ,
-379  ,
-398  ,
-404  ,
-414  ,
-412  ,
-411  ,
-401  ,
-389  ,
-372  ,
-355  ,
-338  ,
-323  ,
-311  ,
-300  ,
-291  ,
-287  ,
-281  ,
-283  ,
-280  ,
-287  ,
-286  ,
-293  ,
-291  ,
-291  ,
-290  ,
-281  ,
-277  ,
-265  ,
-255  ,
-238  ,
-228  ,
-212  ,
-206  ,
-198  ,
-196  ,
-197  ,
-202  ,
-206  ,
-215  ,
-223  ,
-231  ,
-240  ,
-245  ,
-246  ,
-247  ,
-238  ,
-234  ,
-217  ,
-207  ,
-187  ,
-174  ,
-155  ,
-139  ,
-124  ,
-116  ,
-105  ,
-107  ,
-98 ,
-101  ,
-95 ,
-95 ,
-84 ,
-80 ,
-63 ,
-48 ,
-28 ,
1 ,
26  ,
59  ,
90  ,
118 ,
148 ,
171 ,
190 ,
206 ,
217 ,
216 ,
219 ,
201 ,
199 ,
182 ,
176 ,
166 ,
158 ,
155 ,
151 ,
154 ,
156 ,
166 ,
171 ,
184 ,
185 ,
198 ,
193 ,
202 ,
195 ,
195 ,
188 ,
181 ,
174 ,
163 ,
161 ,
156 ,
163 ,
169 ,
182 ,
197 ,
218 ,
240 ,
266 ,
289 ,
312 ,
333 ,
347 ,
359 ,
364 ,
362 ,
362 ,
349 ,
341 ,
325 ,
309 ,
299 ,
282 ,
276 ,
265 ,
266 ,
258 ,
264 ,
255 ,
260 ,
254 ,
252 ,
245 ,
230 ,
213 ,
189 ,
165 ,
140 ,
111 ,
90  ,
63  ,
47  ,
29  ,
20  ,
14  ,
16  ,
20  ,
32  ,
37  ,
56  ,
59  ,
75  ,
81  ,
86  ,
88  ,
84  ,
74  ,
65  ,
53  ,
40  ,
34  ,
24  ,
19  ,
20  ,
15  ,
24  ,
24  ,
33  ,
37  ,
41  ,
43  ,
36  ,
31  ,
15  ,
-1  ,
-23 ,
-53 ,
-79 ,
-117  ,
-141  ,
-176  ,
-198  ,
-218  ,
-238  ,
-241  ,
-255  ,
-249  ,
-252  ,
-242  ,
-240  ,
-227  ,
-227  ,
-217  ,
-222  ,
-217  ,
-225  ,
-225  ,
-234  ,
-236  ,
-248  ,
-244  ,
-252  ,
-241  ,
-237  ,
-219  ,
-206  ,
-181  ,
-166  ,
-139  ,
-126  ,
-104  ,
-95 ,
-84 ,
-86 ,
-88 ,
-102  ,
-114  ,
-130  ,
-151  ,
-165  ,
-187  ,
-198  ,
-214  ,
-218  ,
-223  ,
-219  ,
-216  ,
-203  ,
-197  ,
-183  ,
-176  ,
-167  ,
-160  ,
-162  ,
-161  ,
-169  ,
-179  ,
-184  ,
-200  ,
-201  ,
-207  ,
-203  ,
-198  ,
-183  ,
-169  ,
-143  ,
-119  ,
-85 ,
-53 ,
-17 ,
14  ,
48  ,
70  ,
95  ,
106 ,
119 ,
122 ,
124 ,
120 ,
116 ,
111 ,
109 ,
109 ,
114 ,
119 ,
125 ,
134 ,
138 ,
146 ,
148 ,
150 ,
146 ,
137 ,
125 ,
104 ,
82  ,
55  ,
27  ,
4 ,
-23 ,
-42 ,
-61 ,
-64 ,
-70 ,
-58 ,
-51 ,
-27 ,
-8  ,
19  ,
43  ,
70  ,
89  ,
117 ,
130 ,
153 ,
164 ,
174 ,
185 ,
190 ,
199 ,
207 ,
210 ,
227 ,
229 ,
248 ,
258 ,
270 ,
285 ,
292 ,
300 ,
298 ,
292 ,
279 ,
261 ,
238 ,
211 ,
176 ,
146 ,
108 ,
79  ,
45  ,
22  ,
-3  ,
-14 ,
-30 ,
-34 ,
-39 ,
-37 ,
-36 ,
-29 ,
-29 ,
-22 ,
-28 ,
-21 ,
-33 ,
-28 ,
-40 ,
-38 ,
-43 ,
-40 ,
-38 ,
-25 ,
-15 ,
3 ,
24  ,
41  ,
66  ,
82  ,
99  ,
115 ,
122 ,
133 ,
127 ,
131 ,
110 ,
105 ,
80  ,
62  ,
39  ,
16  ,
-6  ,
-22 ,
-38 ,
-50 ,
-55 ,
-64 ,
-66 ,
-68 ,
-77 ,
-77 ,
-89 ,
-94 ,
-107  ,
-118  ,
-135  ,
-148  ,
-167  ,
-181  ,
-195  ,
-207  ,
-211  ,
-218  ,
-209  ,
-203  ,
-186  ,
-165  ,
-145  ,
-118  ,
-95 ,
-71 ,
-51 ,
-32 ,
-21 ,
-6  ,
-6  ,
2 ,
-2  ,
0 ,
-4  ,
-6  ,
-5  ,
-4  ,
-2  ,
5 ,
7 ,
18  ,
24  ,
31  ,
36  ,
36  ,
32  ,
26  ,
11  ,
-3  ,
-25 ,
-45 ,
-72 ,
-91 ,
-114  ,
-129  ,
-140  ,
-149  ,
-149  ,
-143  ,
-140  ,
-123  ,
-114  ,
-95 ,
-78 ,
-61 ,
-44 ,
-32 ,
-19 ,
-11 ,
-6  ,
3 ,
0 ,
9 ,
8 ,
19  ,
25  ,
43  ,
57  ,
80  ,
104 ,
123 ,
153 ,
167 ,
193 ,
200 ,
213 ,
217 ,
214 ,
211 ,
191 ,
178 ,
155 ,
133 ,
107 ,
85  ,
60  ,
45  ,
28  ,
21  ,
9 ,
11  ,
6 ,
7 ,
5 ,
7 ,
-3  ,
3 ,
-14 ,
-13 ,
-27 ,
-33 ,
-47 ,
-51 ,
-63 ,
-60 ,
-65 ,
-54 ,
-48 ,
-29 ,
-10 ,
13  ,
40  ,
63  ,
90  ,
105 ,
125 ,
133 ,
142 ,
142 ,
139 ,
132 ,
122 ,
112 ,
97  ,
85  ,
70  ,
60  ,
50  ,
42  ,
38  ,
31  ,
31  ,
24  ,
21  ,
11  ,
0 ,
-14 ,
-35 ,
-55 ,
-80 ,
-106  ,
-128  ,
-154  ,
-167  ,
-187  ,
-190  ,
-199  ,
-192  ,
-190  ,
-176  ,
-163  ,
-145  ,
-126  ,
-107  ,
-95 ,
-77 ,
-73 ,
-64 ,
-64 ,
-68 ,
-68 ,
-82 ,
-78 ,
-94 ,
-86 ,
-96 ,
-85 ,
-83 ,
-74 ,
-60 ,
-55 ,
-39 ,
-33 ,
-28 ,
-21 ,
-29 ,
-28 ,
-45 ,
-54 ,
-75 ,
-93 ,
-116  ,
-134  ,
-156  ,
-164  ,
-182  ,
-179  ,
-185  ,
-176  ,
-171  ,
-158  ,
-146  ,
-133  ,
-122  ,
-111  ,
-104  ,
-95 ,
-94 ,
-90 ,
-88 ,
-85 ,
-81 ,
-80 ,
-67 ,
-66 ,
-43 ,
-34 ,
-8  ,
12  ,
39  ,
62  ,
86  ,
105 ,
125 ,
134 ,
148 ,
146 ,
146 ,
141 ,
127 ,
122 ,
105 ,
95  ,
85  ,
72  ,
69  ,
64  ,
61  ,
66  ,
70  ,
72  ,
84  ,
82  ,
92  ,
88  ,
92  ,
87  ,
83  ,
76  ,
68  ,
58  ,
56  ,
45  ,
48  ,
45  ,
51  ,
63  ,
72  ,
93  ,
111 ,
133 ,
159 ,
177 ,
200 ,
217 ,
230 ,
240 ,
247 ,
246 ,
252 ,
241 ,
242 ,
231 ,
228 ,
224 ,
220 ,
222 ,
219 ,
223 ,
222 ,
224 ,
223 ,
218 ,
214 ,
202 ,
188 ,
170 ,
145 ,
125 ,
95  ,
70  ,
43  ,
17  ,
-1  ,
-22 ,
-31 ,
-39 ,
-42 ,
-37 ,
-34 ,
-22 ,
-14 ,
-1  ,
6 ,
19  ,
22  ,
29  ,
32  ,
29  ,
32  ,
25  ,
26  ,
21  ,
22  ,
18  ,
26  ,
23  ,
37  ,
36  ,
49  ,
51  ,
55  ,
56  ,
52  ,
42  ,
30  ,
10  ,
-10 ,
-38 ,
-64 ,
-96 ,
-126  ,
-152  ,
-184  ,
-204  ,
-226  ,
-239  ,
-254  ,
-255  ,
-265  ,
-261  ,
-263  ,
-264  ,
-262  ,
-265  ,
-268  ,
-270  ,
-281  ,
-284  ,
-294  ,
-298  ,
-304  ,
-304  ,
-303  ,
-295  ,
-284  ,
-272  ,
-248  ,
-234  ,
-206  ,
-185  ,
-160  ,
-142  ,
-123  ,
-113  ,
-104  ,
-101  ,
-104  ,
-110  ,
-119  ,
-132  ,
-143  ,
-159  ,
-168  ,
-180  ,
-187  ,
-192  ,
-196  ,
-195  ,
-196  ,
-193  ,
-194  ,
-194  ,
-193  ,
-200  ,
-203  ,
-211  ,
-226  ,
-229  ,
-247  ,
-250  ,
-261  ,
-262  ,
-260  ,
-252  ,
-241  ,
-220  ,
-201  ,
-170  ,
-143  ,
-113  ,
-78 ,
-54 ,
-20 ,
1 ,
25  ,
43  ,
58  ,
69  ,
82  ,
83  ,
97  ,
98  ,
109 ,
119 ,
129 ,
144 ,
158 ,
173 ,
188 ,
201 ,
214 ,
220 ,
225 ,
226 ,
215 ,
214 ,
194 ,
185 ,
164 ,
149 ,
134 ,
117 ,
110 ,
99  ,
100 ,
99  ,
108 ,
117 ,
132 ,
148 ,
165 ,
184 ,
201 ,
215 ,
230 ,
238 ,
250 ,
253 ,
264 ,
263 ,
278 ,
276 ,
294 ,
298 ,
316 ,
328 ,
348 ,
364 ,
381 ,
402 ,
412 ,
428 ,
434 ,
435 ,
436 ,
424 ,
413 ,
392 ,
371 ,
344 ,
323 ,
291 ,
271 ,
245 ,
227 ,
207 ,
195 ,
177 ,
172 ,
158 ,
151 ,
143 ,
134 ,
121 ,
115 ,
96  ,
89  ,
70  ,
57  ,
45  ,
33  ,
25  ,
19  ,
20  ,
20  ,
34  ,
38  ,
58  ,
68  ,
85  ,
98  ,
110 ,
119 ,
124 ,
125 ,
121 ,
118 ,
99  ,
92  ,
65  ,
53  ,
26  ,
10  ,
-16 ,
-30 ,
-49 ,
-64 ,
-77 ,
-92 ,
-104  ,
-120  ,
-136  ,
-153  ,
-177  ,
-197  ,
-225  ,
-251  ,
-277  ,
-308  ,
-331  ,
-361  ,
-379  ,
-403  ,
-411  ,
-425  ,
-423  ,
-425  ,
-416  ,
-409  ,
-391  ,
-384  ,
-362  ,
-359  ,
-342  ,
-336  ,
-332  ,
-325  ,
-326  ,
-326  ,
-322  ,
-328  ,
-322  ,
-325  ,
-319  ,
-316  ,
-306  ,
-301  ,
-287  ,
-283  ,
-268  ,
-269  ,
-257  ,
-261  ,
-260  ,
-266  ,
-275  ,
-285  ,
-296  ,
-312  ,
-322  ,
-335  ,
-347  ,
-351  ,
-359  ,
-357  ,
-355  ,
-349  ,
-340  ,
-328  ,
-316  ,
-300  ,
-291  ,
-274  ,
-265  ,
-252  ,
-242  ,
-233  ,
-222  ,
-212  ,
-200  ,
-186  ,
-171  ,
-151  ,
-129  ,
-108  ,
-77 ,
-56 ,
-20 ,
3 ,
33  ,
58  ,
79  ,
101 ,
112 ,
126 ,
131 ,
137 ,
137 ,
138 ,
136 ,
134 ,
136 ,
134 ,
138 ,
142 ,
145 ,
157 ,
159 ,
174 ,
179 ,
187 ,
199 ,
197 ,
209 ,
205 ,
209 ,
208 ,
209 ,
212 ,
209 ,
219 ,
221 ,
234 ,
248 ,
260 ,
284 ,
301 ,
325 ,
349 ,
370 ,
393 ,
415 ,
432 ,
451 ,
460 ,
471 ,
476 ,
481 ,
479 ,
482 ,
474 ,
476 ,
470 ,
469 ,
467 ,
464 ,
463 ,
461 ,
458 ,
452 ,
446 ,
435 ,
423 ,
410 ,
388 ,
373 ,
345 ,
327 ,
300 ,
281 ,
259 ,
242 ,
225 ,
214 ,
204 ,
200 ,
197 ,
199 ,
200 ,
203 ,
206 ,
208 ,
207 ,
210 ,
200 ,
203 ,
192 ,
185 ,
181 ,
167 ,
166 ,
155 ,
153 ,
146 ,
143 ,
141 ,
134 ,
135 ,
127 ,
121 ,
114 ,
98  ,
88  ,
62  ,
46  ,
12  ,
-11 ,
-46 ,
-76 ,
-110  ,
-139  ,
-169  ,
-196  ,
-215  ,
-243  ,
-253  ,
-275  ,
-286  ,
-301  ,
-308  ,
-323  ,
-327  ,
-341  ,
-350  ,
-362  ,
-371  ,
-386  ,
-392  ,
-405  ,
-413  ,
-413  ,
-422  ,
-411  ,
-415  ,
-400  ,
-395  ,
-383  ,
-369  ,
-365  ,
-350  ,
-349  ,
-340  ,
-341  ,
-342  ,
-344  ,
-354  ,
-359  ,
-375  ,
-380  ,
-399  ,
-403  ,
-417  ,
-424  ,
-428  ,
-436  ,
-434  ,
-437  ,
-433  ,
-437  ,
-432  ,
-439  ,
-435  ,
-444  ,
-441  ,
-453  ,
-451  ,
-461  ,
-461  ,
-465  ,
-464  ,
-462  ,
-455  ,
-445  ,
-432  ,
-414  ,
-394  ,
-370  ,
-345  ,
-317  ,
-288  ,
-262  ,
-236  ,
-212  ,
-189  ,
-172  ,
-149  ,
-139  ,
-116  ,
-105  ,
-89 ,
-72 ,
-60 ,
-38 ,
-23 ,
-4  ,
15  ,
32  ,
50  ,
66  ,
82  ,
92  ,
104 ,
109 ,
112 ,
113 ,
110 ,
105 ,
104 ,
95  ,
94  ,
92  ,
90  ,
98  ,
98  ,
115 ,
120 ,
139 ,
155 ,
171 ,
192 ,
210 ,
228 ,
249 ,
267 ,
284 ,
300 ,
317 ,
331 ,
347 ,
363 ,
378 ,
398 ,
416 ,
435 ,
457 ,
478 ,
499 ,
521 ,
535 ,
554 ,
563 ,
571 ,
578 ,
574 ,
576 ,
564 ,
558 ,
543 ,
527 ,
513 ,
490 ,
481 ,
455 ,
449 ,
425 ,
424 ,
402 ,
404 ,
386 ,
382 ,
370 ,
360 ,
349 ,
335 ,
326 ,
306 ,
305 ,
284 ,
280 ,
268 ,
261 ,
258 ,
256 ,
254 ,
261 ,
260 ,
274 ,
275 ,
287 ,
292 ,
298 ,
301 ,
300 ,
297 ,
286 ,
280 ,
262 ,
251 ,
228 ,
214 ,
189 ,
172 ,
149 ,
127 ,
107 ,
85  ,
63  ,
40  ,
18  ,
-7  ,
-26 ,
-58 ,
-77 ,
-110  ,
-135  ,
-164  ,
-196  ,
-222  ,
-252  ,
-277  ,
-297  ,
-320  ,
-333  ,
-350  ,
-357  ,
-366  ,
-369  ,
-373  ,
-374  ,
-374  ,
-375  ,
-371  ,
-372  ,
-369  ,
-370  ,
-369  ,
-372  ,
-370  ,
-376  ,
-375  ,
-379  ,
-380  ,
-378  ,
-379  ,
-375  ,
-377  ,
-376  ,
-375  ,
-378  ,
-381  ,
-385  ,
-395  ,
-401  ,
-410  ,
-425  ,
-434  ,
-450  ,
-461  ,
-477  ,
-487  ,
-502  ,
-509  ,
-518  ,
-524  ,
-525  ,
-528  ,
-524  ,
-521  ,
-520  ,
-509  ,
-509  ,
-496  ,
-492  ,
-483  ,
-473  ,
-465  ,
-453  ,
-440  ,
-427  ,
-408  ,
-394  ,
-369  ,
-355  ,
-325  ,
-306  ,
-276  ,
-254  ,
-223  ,
-199  ,
-174  ,
-148  ,
-130  ,
-109  ,
-91 ,
-79 ,
-65 ,
-55 ,
-49 ,
-38 ,
-34 ,
-24 ,
-20 ,
-11 ,
-5  ,
2 ,
11  ,
18  ,
25  ,
36  ,
40  ,
50  ,
54  ,
64  ,
66  ,
76  ,
80  ,
89  ,
93  ,
108 ,
110 ,
131 ,
141 ,
161 ,
180 ,
200 ,
225 ,
248 ,
271 ,
299 ,
318 ,
347 ,
366 ,
388 ,
406 ,
425 ,
440 ,
453 ,
466 ,
475 ,
485 ,
493 ,
497 ,
507 ,
507 ,
519 ,
513 ,
525 ,
519 ,
522 ,
518 ,
514 ,
508 ,
500 ,
488 ,
478 ,
462 ,
452 ,
433 ,
424 ,
407 ,
395 ,
388 ,
373 ,
374 ,
362 ,
366 ,
361 ,
365 ,
365 ,
368 ,
368 ,
370 ,
370 ,
370 ,
366 ,
366 ,
359 ,
358 ,
351 ,
349 ,
345 ,
342 ,
337 ,
337 ,
327 ,
330 ,
319 ,
315 ,
309 ,
292 ,
287 ,
264 ,
250 ,
227 ,
203 ,
179 ,
151 ,
123 ,
96  ,
68  ,
44  ,
18  ,
-5  ,
-28 ,
-48 ,
-68 ,
-87 ,
-104  ,
-124  ,
-137  ,
-157  ,
-170  ,
-191  ,
-202  ,
-222  ,
-233  ,
-247  ,
-261  ,
-266  ,
-279  ,
-281  ,
-288  ,
-286  ,
-289  ,
-284  ,
-286  ,
-281  ,
-284  ,
-280  ,
-284  ,
-286  ,
-291  ,
-297  ,
-308  ,
-316  ,
-328  ,
-342  ,
-349  ,
-369  ,
-374  ,
-389  ,
-399  ,
-407  ,
-416  ,
-426  ,
-427  ,
-440  ,
-440  ,
-453  ,
-455  ,
-467  ,
-473  ,
-483  ,
-490  ,
-500  ,
-505  ,
-515  ,
-516  ,
-521  ,
-516  ,
-516  ,
-505  ,
-502  ,
-484  ,
-475  ,
-455  ,
-439  ,
-422  ,
-399  ,
-386  ,
-362  ,
-349  ,
-332  ,
-314  ,
-303  ,
-285  ,
-274  ,
-261  ,
-243  ,
-235  ,
-213  ,
-206  ,
-183  ,
-173  ,
-152  ,
-143  ,
-126  ,
-114  ,
-104  ,
-92 ,
-87 ,
-81 ,
-79 ,
-72 ,
-80 ,
-69 ,
-80 ,
-73 ,
-74 ,
-72 ,
-67 ,
-59 ,
-52 ,
-38 ,
-24 ,
-10 ,
9 ,
27  ,
42  ,
66  ,
79  ,
103 ,
117 ,
138 ,
152 ,
173 ,
187 ,
208 ,
225 ,
244 ,
265 ,
285 ,
310 ,
329 ,
357 ,
374 ,
400 ,
417 ,
436 ,
445 ,
459 ,
462 ,
468 ,
466 ,
463 ,
457 ,
446 ,
441 ,
425 ,
420 ,
404 ,
400 ,
388 ,
384 ,
377 ,
373 ,
370 ,
365 ,
366 ,
358 ,
361 ,
352 ,
351 ,
347 ,
343 ,
338 ,
335 ,
330 ,
331 ,
327 ,
332 ,
334 ,
340 ,
349 ,
352 ,
366 ,
367 ,
382 ,
381 ,
391 ,
388 ,
392 ,
386 ,
382 ,
370 ,
364 ,
343 ,
337 ,
313 ,
299 ,
283 ,
262 ,
249 ,
229 ,
216 ,
198 ,
179 ,
163 ,
139 ,
124 ,
100 ,
76  ,
54  ,
28  ,
2 ,
-21 ,
-50 ,
-69 ,
-95 ,
-110  ,
-132  ,
-143  ,
-155  ,
-166  ,
-166  ,
-176  ,
-171  ,
-176  ,
-177  ,
-175  ,
-182  ,
-178  ,
-186  ,
-187  ,
-194  ,
-199  ,
-204  ,
-211  ,
-215  ,
-221  ,
-224  ,
-227  ,
-231  ,
-232  ,
-238  ,
-238  ,
-242  ,
-246  ,
-253  ,
-260  ,
-273  ,
-284  ,
-297  ,
-317  ,
-328  ,
-352  ,
-364  ,
-384  ,
-398  ,
-410  ,
-426  ,
-428  ,
-444  ,
-442  ,
-449  ,
-452  ,
-449  ,
-452  ,
-447  ,
-445  ,
-442  ,
-438  ,
-437  ,
-427  ,
-430  ,
-413  ,
-415  ,
-397  ,
-391  ,
-375  ,
-362  ,
-344  ,
-324  ,
-309  ,
-281  ,
-270  ,
-242  ,
-228  ,
-208  ,
-192  ,
-177  ,
-164  ,
-153  ,
-143  ,
-138  ,
-130  ,
-128  ,
-120  ,
-120  ,
-112  ,
-113  ,
-105  ,
-104  ,
-96 ,
-94 ,
-85 ,
-85 ,
-77 ,
-76 ,
-70 ,
-69 ,
-64 ,
-66 ,
-58 ,
-58 ,
-51 ,
-47 ,
-41 ,
-30 ,
-19 ,
-5  ,
12  ,
29  ,
47  ,
74  ,
87  ,
123 ,
132 ,
167 ,
179 ,
204 ,
221 ,
239 ,
255 ,
270 ,
281 ,
297 ,
304 ,
317 ,
326 ,
333 ,
344 ,
347 ,
358 ,
361 ,
365 ,
371 ,
366 ,
372 ,
362 ,
363 ,
352 ,
346 ,
335 ,
322 ,
315 ,
301 ,
293 ,
284 ,
272 ,
271 ,
262 ,
262 ,
261 ,
260 ,
264 ,
266 ,
268 ,
277 ,
275 ,
283 ,
284 ,
286 ,
290 ,
289 ,
291 ,
290 ,
293 ,
291 ,
293 ,
294 ,
292 ,
296 ,
292 ,
295 ,
287 ,
288 ,
280 ,
272 ,
264 ,
251 ,
237 ,
222 ,
203 ,
185 ,
165 ,
146 ,
125 ,
106 ,
88  ,
70  ,
53  ,
39  ,
22  ,
12  ,
-6  ,
-16 ,
-31 ,
-42 ,
-56 ,
-67 ,
-83 ,
-91 ,
-106  ,
-114  ,
-125  ,
-133  ,
-140  ,
-144  ,
-149  ,
-147  ,
-152  ,
-146  ,
-148  ,
-143  ,
-145  ,
-140  ,
-145  ,
-141  ,
-147  ,
-150  ,
-155  ,
-163  ,
-168  ,
-179  ,
-185  ,
-195  ,
-203  ,
-209  ,
-220  ,
-224  ,
-230  ,
-240  ,
-241  ,
-251  ,
-256  ,
-261  ,
-273  ,
-277  ,
-290  ,
-297  ,
-310  ,
-317  ,
-330  ,
-335  ,
-345  ,
-350  ,
-350  ,
-357  ,
-348  ,
-353  ,
-340  ,
-338  ,
-326  ,
-317  ,
-307  ,
-295  ,
-285  ,
-271  ,
-263  ,
-247  ,
-243  ,
-225  ,
-221  ,
-204  ,
-198  ,
-182  ,
-173  ,
-158  ,
-147  ,
-130  ,
-122  ,
-102  ,
-99 ,
-78 ,
-77 ,
-63 ,
-63 ,
-55 ,
-53 ,
-55 ,
-51 ,
-56 ,
-58 ,
-57 ,
-65 ,
-61 ,
-65 ,
-63 ,
-60 ,
-58 ,
-49 ,
-45 ,
-35 ,
-27 ,
-17 ,
-8  ,
2 ,
13  ,
21  ,
35  ,
42  ,
56  ,
64  ,
83  ,
87  ,
111 ,
116 ,
139 ,
152 ,
171 ,
187 ,
206 ,
222 ,
237 ,
251 ,
263 ,
272 ,
280 ,
281 ,
288 ,
283 ,
285 ,
280 ,
275 ,
271 ,
264 ,
257 ,
252 ,
243 ,
240 ,
232 ,
227 ,
220 ,
215 ,
210 ,
205 ,
198 ,
192 ,
187 ,
179 ,
179 ,
167 ,
171 ,
163 ,
165 ,
167 ,
168 ,
174 ,
179 ,
186 ,
194 ,
202 ,
210 ,
218 ,
223 ,
232 ,
234 ,
239 ,
241 ,
237 ,
239 ,
231 ,
228 ,
218 ,
212 ,
201 ,
193 ,
181 ,
172 ,
158 ,
150 ,
132 ,
123 ,
103 ,
91  ,
71  ,
55  ,
36  ,
16  ,
0 ,
-23 ,
-38 ,
-60 ,
-74 ,
-93 ,
-104  ,
-119  ,
-126  ,
-135  ,
-139  ,
-146  ,
-141  ,
-150  ,
-142  ,
-146  ,
-143  ,
-143  ,
-140  ,
-143  ,
-139  ,
-142  ,
-140  ,
-141  ,
-140  ,
-140  ,
-140  ,
-137  ,
-138  ,
-136  ,
-133  ,
-135  ,
-129  ,
-133  ,
-132  ,
-134  ,
-139  ,
-142  ,
-150  ,
-159  ,
-169  ,
-179  ,
-192  ,
-202  ,
-216  ,
-226  ,
-236  ,
-245  ,
-252  ,
-260  ,
-264  ,
-270  ,
-271  ,
-273  ,
-275  ,
-273  ,
-275  ,
-272  ,
-270  ,
-268  ,
-265  ,
-260  ,
-258  ,
-246  ,
-243  ,
-229  ,
-219  ,
-205  ,
-188  ,
-173  ,
-155  ,
-137  ,
-118  ,
-102  ,
-83 ,
-69 ,
-53 ,
-40 ,
-27 ,
-17 ,
-8  ,
0 ,
5 ,
11  ,
15  ,
17  ,
21  ,
23  ,
27  ,
27  ,
32  ,
29  ,
35  ,
32  ,
34  ,
30  ,
32  ,
25  ,
29  ,
21  ,
22  ,
20  ,
18  ,
20  ,
20  ,
23  ,
29  ,
33  ,
46  ,
51  ,
70  ,
78  ,
97  ,
113 ,
126 ,
146 ,
159 ,
175 ,
191 ,
201 ,
217 ,
225 ,
240 ,
246 ,
258 ,
262 ,
270 ,
276 ,
280 ,
285 ,
286 ,
287 ,
289 ,
286 ,
285 ,
279 ,
274 ,
264 ,
257 ,
241 ,
235 ,
216 ,
208 ,
189 ,
176 ,
167 ,
148 ,
145 ,
128 ,
124 ,
115 ,
112 ,
104 ,
105 ,
100 ,
102 ,
100 ,
102 ,
100 ,
104 ,
102 ,
103 ,
106 ,
103 ,
108 ,
108 ,
107 ,
113 ,
109 ,
118 ,
113 ,
118 ,
113 ,
116 ,
109 ,
108 ,
99  ,
92  ,
82  ,
70  ,
57  ,
42  ,
26  ,
8 ,
-7  ,
-26 ,
-42 ,
-58 ,
-76 ,
-87 ,
-104  ,
-115  ,
-128  ,
-140  ,
-150  ,
-162  ,
-170  ,
-182  ,
-191  ,
-200  ,
-207  ,
-216  ,
-221  ,
-227  ,
-233  ,
-232  ,
-238  ,
-233  ,
-233  ,
-231  ,
-225  ,
-220  ,
-216  ,
-207  ,
-204  ,
-198  ,
-189  ,
-193  ,
-181  ,
-189  ,
-178  ,
-188  ,
-178  ,
-190  ,
-180  ,
-192  ,
-185  ,
-191  ,
-192  ,
-192  ,
-196  ,
-198  ,
-197  ,
-204  ,
-201  ,
-208  ,
-210  ,
-215  ,
-219  ,
-222  ,
-229  ,
-230  ,
-238  ,
-236  ,
-239  ,
-238  ,
-236  ,
-231  ,
-227  ,
-219  ,
-210  ,
-202  ,
-186  ,
-177  ,
-163  ,
-147  ,
-137  ,
-117  ,
-107  ,
-91 ,
-76 ,
-66 ,
-46 ,
-39 ,
-20 ,
-8  ,
6 ,
22  ,
35  ,
47  ,
65  ,
72  ,
89  ,
95  ,
109 ,
111 ,
122 ,
123 ,
129 ,
130 ,
129 ,
132 ,
128 ,
129 ,
125 ,
124 ,
125 ,
122 ,
125 ,
125 ,
126 ,
132 ,
132 ,
141 ,
141 ,
153 ,
152 ,
165 ,
167 ,
177 ,
184 ,
191 ,
201 ,
210 ,
219 ,
228 ,
241 ,
248 ,
263 ,
272 ,
282 ,
295 ,
303 ,
312 ,
319 ,
324 ,
330 ,
331 ,
331 ,
329 ,
327 ,
317 ,
319 ,
298 ,
303 ,
283 ,
277 ,
268 ,
253 ,
247 ,
233 ,
223 ,
215 ,
200 ,
194 ,
179 ,
171 ,
159 ,
150 ,
140 ,
130 ,
121 ,
112 ,
108 ,
99  ,
100 ,
90  ,
94  ,
90  ,
90  ,
93  ,
90  ,
93  ,
94  ,
89  ,
94  ,
84  ,
88  ,
76  ,
76  ,
62  ,
61  ,
45  ,
39  ,
24  ,
16  ,
-1  ,
-7  ,
-29 ,
-35 ,
-54 ,
-66 ,
-81 ,
-97 ,
-112  ,
-128  ,
-147  ,
-160  ,
-182  ,
-193  ,
-216  ,
-226  ,
-246  ,
-254  ,
-271  ,
-277  ,
-290  ,
-293  ,
-303  ,
-301  ,
-307  ,
-309  ,
-304  ,
-311  ,
-304  ,
-303  ,
-304  ,
-299  ,
-298  ,
-298  ,
-291  ,
-294  ,
-288  ,
-285  ,
-285  ,
-274  ,
-279  ,
-268  ,
-269  ,
-261  ,
-261  ,
-255  ,
-256  ,
-253  ,
-254  ,
-253  ,
-259  ,
-258  ,
-265  ,
-269  ,
-272  ,
-283  ,
-282  ,
-292  ,
-293  ,
-298  ,
-299  ,
-301  ,
-299  ,
-300  ,
-296  ,
-293  ,
-288  ,
-283  ,
-277  ,
-271  ,
-263  ,
-255  ,
-247  ,
-237  ,
-225  ,
-215  ,
-198  ,
-187  ,
-168  ,
-152  ,
-131  ,
-114  ,
-88 ,
-73 ,
-43 ,
-30 ,
0 ,
11  ,
39  ,
48  ,
73  ,
79  ,
98  ,
105 ,
118 ,
127 ,
135 ,
142 ,
151 ,
155 ,
163 ,
168 ,
174 ,
178 ,
182 ,
187 ,
187 ,
194 ,
190 ,
197 ,
194 ,
194 ,
198 ,
195 ,
201 ,
199 ,
206 ,
210 ,
217 ,
227 ,
232 ,
247 ,
257 ,
270 ,
286 ,
296 ,
313 ,
326 ,
337 ,
355 ,
360 ,
378 ,
383 ,
393 ,
402 ,
405 ,
416 ,
415 ,
424 ,
423 ,
429 ,
426 ,
430 ,
423 ,
424 ,
416 ,
410 ,
401 ,
393 ,
376 ,
369 ,
349 ,
339 ,
319 ,
304 ,
287 ,
271 ,
253 ,
242 ,
223 ,
216 ,
201 ,
193 ,
184 ,
177 ,
168 ,
164 ,
155 ,
154 ,
145 ,
142 ,
136 ,
130 ,
127 ,
119 ,
117 ,
110 ,
105 ,
102 ,
95  ,
92  ,
89  ,
80  ,
77  ,
69  ,
63  ,
51  ,
46  ,
26  ,
22  ,
-2  ,
-13 ,
-36 ,
-53 ,
-74 ,
-95 ,
-117  ,
-136  ,
-161  ,
-175  ,
-200  ,
-215  ,
-232  ,
-252  ,
-262  ,
-282  ,
-294  ,
-307  ,
-324  ,
-330  ,
-348  ,
-357  ,
-366  ,
-380  ,
-382  ,
-398  ,
-396  ,
-406  ,
-405  ,
-407  ,
-406  ,
-402  ,
-401  ,
-392  ,
-393  ,
-381  ,
-381  ,
-373  ,
-370  ,
-367  ,
-363  ,
-361  ,
-360  ,
-358  ,
-359  ,
-357  ,
-358  ,
-359  ,
-355  ,
-359  ,
-352  ,
-356  ,
-350  ,
-350  ,
-348  ,
-346  ,
-345  ,
-344  ,
-346  ,
-345  ,
-349  ,
-348  ,
-349  ,
-352  ,
-348  ,
-350  ,
-345  ,
-346  ,
-332  ,
-335  ,
-315  ,
-310  ,
-296  ,
-279  ,
-266  ,
-247  ,
-230  ,
-212  ,
-197  ,
-173  ,
-162  ,
-138  ,
-125  ,
-103  ,
-88 ,
-66 ,
-50 ,
-29 ,
-9  ,
9 ,
30  ,
51  ,
68  ,
91  ,
106 ,
125 ,
141 ,
154 ,
168 ,
178 ,
186 ,
197 ,
196 ,
207 ,
206 ,
212 ,
216 ,
216 ,
222 ,
225 ,
231 ,
236 ,
244 ,
245 ,
262 ,
258 ,
279 ,
276 ,
292 ,
298 ,
307 ,
317 ,
324 ,
334 ,
343 ,
354 ,
366 ,
373 ,
391 ,
397 ,
417 ,
427 ,
439 ,
455 ,
462 ,
477 ,
483 ,
491 ,
497 ,
498 ,
502 ,
499 ,
497 ,
494 ,
484 ,
479 ,
468 ,
460 ,
449 ,
441 ,
426 ,
420 ,
405 ,
395 ,
386 ,
370 ,
361 ,
347 ,
331 ,
322 ,
304 ,
293 ,
278 ,
264 ,
254 ,
239 ,
230 ,
219 ,
210 ,
204 ,
194 ,
193 ,
185 ,
182 ,
178 ,
171 ,
171 ,
159 ,
157 ,
145 ,
137 ,
126 ,
114 ,
99  ,
89  ,
69  ,
59  ,
38  ,
29  ,
5 ,
-5  ,
-26 ,
-40 ,
-58 ,
-75 ,
-93 ,
-114  ,
-128  ,
-154  ,
-169  ,
-193  ,
-214  ,
-234  ,
-254  ,
-276  ,
-291  ,
-310  ,
-326  ,
-337  ,
-350  ,
-362  ,
-367  ,
-377  ,
-384  ,
-386  ,
-394  ,
-395  ,
-399  ,
-405  ,
-406  ,
-412  ,
-412  ,
-419  ,
-419  ,
-425  ,
-424  ,
-427  ,
-428  ,
-425  ,
-427  ,
-422  ,
-425  ,
-420  ,
-420  ,
-419  ,
-416  ,
-419  ,
-419  ,
-420  ,
-424  ,
-427  ,
-428  ,
-437  ,
-436  ,
-441  ,
-448  ,
-443  ,
-454  ,
-445  ,
-450  ,
-444  ,
-444  ,
-436  ,
-433  ,
-425  ,
-418  ,
-414  ,
-400  ,
-397  ,
-384  ,
-377  ,
-365  ,
-355  ,
-340  ,
-327  ,
-312  ,
-294  ,
-278  ,
-256  ,
-235  ,
-214  ,
-189  ,
-168  ,
-142  ,
-119  ,
-97 ,
-74 ,
-54 ,
-34 ,
-16 ,
2 ,
15  ,
34  ,
42  ,
60  ,
70  ,
80  ,
97  ,
101 ,
118 ,
124 ,
136 ,
144 ,
153 ,
161 ,
170 ,
173 ,
184 ,
183 ,
196 ,
192 ,
206 ,
203 ,
217 ,
218 ,
233 ,
237 ,
255 ,
263 ,
281 ,
296 ,
311 ,
331 ,
345 ,
365 ,
381 ,
399 ,
415 ,
429 ,
444 ,
456 ,
469 ,
479 ,
490 ,
497 ,
506 ,
514 ,
520 ,
526 ,
529 ,
534 ,
535 ,
536 ,
533 ,
533 ,
524 ,
519 ,
510 ,
499 ,
489 ,
473 ,
462 ,
444 ,
434 ,
414 ,
404 ,
388 ,
377 ,
366 ,
353 ,
347 ,
337 ,
329 ,
323 ,
316 ,
309 ,
303 ,
296 ,
290 ,
284 ,
277 ,
270 ,
263 ,
259 ,
249 ,
245 ,
236 ,
230 ,
223 ,
216 ,
207 ,
199 ,
188 ,
181 ,
166 ,
156 ,
138 ,
122 ,
108 ,
82  ,
69  ,
39  ,
25  ,
-5  ,
-21 ,
-51 ,
-67 ,
-93 ,
-114  ,
-135  ,
-156  ,
-174  ,
-195  ,
-210  ,
-234  ,
-243  ,
-268  ,
-277  ,
-299  ,
-311  ,
-327  ,
-342  ,
-351  ,
-367  ,
-372  ,
-384  ,
-388  ,
-394  ,
-396  ,
-401  ,
-399  ,
-402  ,
-400  ,
-400  ,
-399  ,
-401  ,
-397  ,
-403  ,
-400  ,
-404  ,
-406  ,
-411  ,
-413  ,
-418  ,
-421  ,
-424  ,
-430  ,
-428  ,
-435  ,
-435  ,
-437  ,
-443  ,
-441  ,
-447  ,
-449  ,
-451  ,
-460  ,
-458  ,
-468  ,
-468  ,
-474  ,
-477  ,
-479  ,
-482  ,
-480  ,
-480  ,
-476  ,
-468  ,
-466  ,
-450  ,
-443  ,
-429  ,
-414  ,
-401  ,
-384  ,
-368  ,
-351  ,
-335  ,
-314  ,
-300  ,
-278  ,
-262  ,
-239  ,
-226  ,
-197  ,
-188  ,
-155  ,
-144  ,
-116  ,
-100  ,
-76 ,
-57 ,
-37 ,
-19 ,
-3  ,
15  ,
25  ,
39  ,
50  ,
59  ,
69  ,
76  ,
81  ,
92  ,
93  ,
106 ,
106 ,
121 ,
120 ,
135 ,
140 ,
150 ,
160 ,
170 ,
180 ,
193 ,
201 ,
214 ,
225 ,
236 ,
249 ,
262 ,
273 ,
292 ,
301 ,
322 ,
334 ,
353 ,
369 ,
386 ,
404 ,
419 ,
437 ,
449 ,
466 ,
475 ,
489 ,
496 ,
502 ,
509 ,
510 ,
513 ,
512 ,
511 ,
507 ,
505 ,
499 ,
496 ,
489 ,
485 ,
476 ,
473 ,
461 ,
457 ,
447 ,
437 ,
431 ,
419 ,
410 ,
400 ,
388 ,
381 ,
367 ,
364 ,
348 ,
347 ,
335 ,
333 ,
325 ,
323 ,
316 ,
317 ,
309 ,
310 ,
300 ,
299 ,
291 ,
287 ,
276 ,
269 ,
257 ,
248 ,
236 ,
223 ,
209 ,
198 ,
180 ,
169 ,
153 ,
137 ,
122 ,
106 ,
89  ,
71  ,
54  ,
33  ,
14  ,
-7  ,
-30 ,
-49 ,
-75 ,
-90 ,
-120  ,
-131  ,
-159  ,
-172  ,
-190  ,
-208  ,
-219  ,
-236  ,
-245  ,
-257  ,
-267  ,
-276  ,
-286  ,
-293  ,
-303  ,
-308  ,
-319  ,
-324  ,
-333  ,
-338  ,
-346  ,
-348  ,
-356  ,
-358  ,
-361  ,
-366  ,
-366  ,
-368  ,
-373  ,
-370  ,
-379  ,
-375  ,
-386  ,
-385  ,
-393  ,
-397  ,
-404  ,
-414  ,
-415  ,
-432  ,
-428  ,
-445  ,
-444  ,
-453  ,
-456  ,
-462  ,
-462  ,
-465  ,
-466  ,
-464  ,
-466  ,
-464  ,
-461  ,
-459  ,
-457  ,
-450  ,
-448  ,
-442  ,
-431  ,
-430  ,
-414  ,
-408  ,
-394  ,
-382  ,
-365  ,
-351  ,
-333  ,
-315  ,
-299  ,
-276  ,
-262  ,
-238  ,
-226  ,
-203  ,
-191  ,
-171  ,
-158  ,
-143  ,
-129  ,
-117  ,
-103  ,
-92 ,
-81 ,
-66 ,
-60 ,
-43 ,
-38 ,
-23 ,
-16 ,
-3  ,
1 ,
15  ,
18  ,
31  ,
33  ,
44  ,
46  ,
56  ,
62  ,
70  ,
79  ,
88  ,
99  ,
111 ,
125 ,
140 ,
156 ,
173 ,
190 ,
211 ,
226 ,
249 ,
263 ,
285 ,
299 ,
318 ,
332 ,
346 ,
361 ,
372 ,
385 ,
397 ,
406 ,
415 ,
427 ,
430 ,
441 ,
447 ,
449 ,
455 ,
456 ,
455 ,
454 ,
454 ,
442 ,
446 ,
430 ,
428 ,
416 ,
407 ,
400 ,
391 ,
382 ,
375 ,
368 ,
362 ,
359 ,
354 ,
351 ,
347 ,
344 ,
344 ,
340 ,
339 ,
335 ,
333 ,
329 ,
328 ,
323 ,
320 ,
319 ,
312 ,
311 ,
307 ,
304 ,
299 ,
297 ,
288 ,
287 ,
276 ,
269 ,
260 ,
246 ,
236 ,
219 ,
205 ,
187 ,
168 ,
149 ,
130 ,
111 ,
89  ,
70  ,
51  ,
29  ,
17  ,
-7  ,
-22 ,
-38 ,
-58 ,
-69 ,
-89 ,
-103  ,
-120  ,
-133  ,
-148  ,
-164  ,
-173  ,
-192  ,
-198  ,
-208  ,
-223  ,
-224  ,
-236  ,
-238  ,
-243  ,
-247  ,
-250  ,
-251  ,
-254  ,
-255  ,
-258  ,
-261  ,
-265  ,
-268  ,
-274  ,
-277  ,
-285  ,
-290  ,
-298  ,
-301  ,
-313  ,
-313  ,
-326  ,
-328  ,
-336  ,
-341  ,
-349  ,
-352  ,
-363  ,
-363  ,
-376  ,
-379  ,
-388  ,
-397  ,
-399  ,
-413  ,
-415  ,
-422  ,
-429  ,
-427  ,
-436  ,
-431  ,
-432  ,
-430  ,
-422  ,
-419  ,
-408  ,
-401  ,
-389  ,
-379  ,
-366  ,
-352  ,
-342  ,
-327  ,
-313  ,
-300  ,
-284  ,
-272  ,
-256  ,
-241  ,
-226  ,
-208  ,
-194  ,
-176  ,
-159  ,
-146  ,
-127  ,
-114  ,
-98 ,
-86 ,
-73 ,
-66 ,
-51 ,
-50 ,
-37 ,
-37 ,
-28 ,
-26 ,
-22 ,
-19 ,
-15 ,
-11 ,
-5  ,
-1  ,
5 ,
11  ,
20  ,
26  ,
36  ,
43  ,
54  ,
62  ,
75  ,
81  ,
96  ,
105 ,
116 ,
134 ,
140 ,
162 ,
171 ,
190 ,
206 ,
222 ,
241 ,
255 ,
277 ,
289 ,
308 ,
321 ,
335 ,
346 ,
359 ,
363 ,
376 ,
375 ,
384 ,
382 ,
388 ,
382 ,
389 ,
381 ,
383 ,
379 ,
374 ,
374 ,
366 ,
366 ,
355 ,
356 ,
343 ,
342 ,
333 ,
325 ,
319 ,
310 ,
305 ,
298 ,
291 ,
287 ,
281 ,
280 ,
276 ,
274 ,
273 ,
272 ,
271 ,
272 ,
269 ,
270 ,
268 ,
266 ,
263 ,
259 ,
255 ,
249 ,
244 ,
236 ,
229 ,
222 ,
211 ,
203 ,
196 ,
180 ,
177 ,
159 ,
150 ,
138 ,
122 ,
109 ,
93  ,
75  ,
63  ,
40  ,
27  ,
6 ,
-11 ,
-27 ,
-48 ,
-59 ,
-79 ,
-91 ,
-105  ,
-118  ,
-128  ,
-137  ,
-150  ,
-154  ,
-166  ,
-170  ,
-180  ,
-184  ,
-193  ,
-198  ,
-204  ,
-211  ,
-216  ,
-218  ,
-228  ,
-225  ,
-235  ,
-233  ,
-237  ,
-240  ,
-238  ,
-245  ,
-242  ,
-246  ,
-250  ,
-248  ,
-258  ,
-258  ,
-266  ,
-271  ,
-276  ,
-285  ,
-292  ,
-297  ,
-307  ,
-310  ,
-319  ,
-322  ,
-329  ,
-331  ,
-338  ,
-338  ,
-341  ,
-344  ,
-343  ,
-348  ,
-344  ,
-346  ,
-345  ,
-343  ,
-343  ,
-337  ,
-336  ,
-329  ,
-324  ,
-315  ,
-308  ,
-295  ,
-285  ,
-271  ,
-258  ,
-243  ,
-229  ,
-213  ,
-199  ,
-184  ,
-169  ,
-158  ,
-140  ,
-133  ,
-115  ,
-109  ,
-96 ,
-86 ,
-74 ,
-68 ,
-56 ,
-47 ,
-40 ,
-27 ,
-23 ,
-12 ,
-6  ,
2 ,
6 ,
14  ,
15  ,
24  ,
21  ,
31  ,
29  ,
35  ,
38  ,
42  ,
48  ,
53  ,
61  ,
67  ,
79  ,
85  ,
101 ,
109 ,
123 ,
135 ,
149 ,
159 ,
176 ,
183 ,
199 ,
208 ,
218 ,
232 ,
235 ,
255 ,
253 ,
271 ,
274 ,
284 ,
290 ,
299 ,
299 ,
312 ,
306 ,
317 ,
313 ,
313 ,
315 ,
306 ,
309 ,
297 ,
296 ,
285 ,
280 ,
274 ,
262 ,
261 ,
250 ,
246 ,
243 ,
234 ,
234 ,
229 ,
226 ,
225 ,
222 ,
219 ,
221 ,
214 ,
218 ,
211 ,
214 ,
208 ,
209 ,
207 ,
202 ,
208 ,
196 ,
204 ,
195 ,
199 ,
191 ,
192 ,
185 ,
179 ,
177 ,
163 ,
158 ,
149 ,
130 ,
128 ,
104 ,
98  ,
76  ,
66  ,
48  ,
33  ,
18  ,
3 ,
-11 ,
-23 ,
-38 ,
-50 ,
-60 ,
-75 ,
-83 ,
-94 ,
-107  ,
-114  ,
-128  ,
-132  ,
-145  ,
-151  ,
-159  ,
-167  ,
-168  ,
-179  ,
-176  ,
-185  ,
-181  ,
-187  ,
-183  ,
-188  ,
-183  ,
-187  ,
-184  ,
-186  ,
-187  ,
-190  ,
-189  ,
-196  ,
-196  ,
-201  ,
-207  ,
-206  ,
-215  ,
-217  ,
-220  ,
-225  ,
-228  ,
-230  ,
-236  ,
-235  ,
-242  ,
-244  ,
-248  ,
-252  ,
-255  ,
-260  ,
-266  ,
-267  ,
-275  ,
-273  ,
-283  ,
-279  ,
-283  ,
-283  ,
-277  ,
-281  ,
-268  ,
-270  ,
-258  ,
-253  ,
-243  ,
-233  ,
-224  ,
-215  ,
-201  ,
-194  ,
-180  ,
-171  ,
-160  ,
-147  ,
-137  ,
-126  ,
-111  ,
-104  ,
-84 ,
-79 ,
-61 ,
-50 ,
-39 ,
-22 ,
-18 ,
-1  ,
4 ,
15  ,
23  ,
26  ,
35  ,
36  ,
41  ,
44  ,
47  ,
46  ,
53  ,
47  ,
58  ,
52  ,
61  ,
61  ,
65  ,
71  ,
72  ,
82  ,
83  ,
91  ,
96  ,
102 ,
110 ,
114 ,
125 ,
129 ,
141 ,
147 ,
158 ,
169 ,
178 ,
191 ,
199 ,
214 ,
222 ,
237 ,
244 ,
257 ,
263 ,
271 ,
278 ,
283 ,
287 ,
287 ,
290 ,
287 ,
288 ,
285 ,
281 ,
277 ,
274 ,
267 ,
263 ,
257 ,
249 ,
245 ,
236 ,
230 ,
221 ,
215 ,
205 ,
199 ,
188 ,
183 ,
171 ,
167 ,
159 ,
151 ,
151 ,
138 ,
144 ,
133 ,
137 ,
132 ,
132 ,
132 ,
130 ,
128 ,
131 ,
123 ,
127 ,
119 ,
117 ,
114 ,
107 ,
103 ,
95  ,
89  ,
81  ,
75  ,
66  ,
59  ,
49  ,
43  ,
31  ,
24  ,
11  ,
3 ,
-11 ,
-21 ,
-36 ,
-48 ,
-60 ,
-77 ,
-87 ,
-103  ,
-115  ,
-127  ,
-141  ,
-149  ,
-162  ,
-168  ,
-178  ,
-186  ,
-188  ,
-198  ,
-200  ,
-205  ,
-212  ,
-210  ,
-220  ,
-218  ,
-225  ,
-225  ,
-229  ,
-230  ,
-231  ,
-233  ,
-231  ,
-233  ,
-229  ,
-231  ,
-226  ,
-228  ,
-222  ,
-223  ,
-219  ,
-219  ,
-216  ,
-218  ,
-215  ,
-220  ,
-217  ,
-221  ,
-223  ,
-226  ,
-225  ,
-233  ,
-226  ,
-237  ,
-231  ,
-234  ,
-235  ,
-232  ,
-234  ,
-232  ,
-231  ,
-228  ,
-228  ,
-222  ,
-225  ,
-216  ,
-218  ,
-210  ,
-209  ,
-202  ,
-195  ,
-192  ,
-176  ,
-173  ,
-158  ,
-147  ,
-136  ,
-119  ,
-106  ,
-94 ,
-76 ,
-65 ,
-48 ,
-35 ,
-21 ,
-11 ,
7 ,
12  ,
28  ,
38  ,
43  ,
62  ,
60  ,
78  ,
82  ,
91  ,
100 ,
106 ,
113 ,
121 ,
123 ,
131 ,
131 ,
137 ,
136 ,
142 ,
138 ,
144 ,
144 ,
142 ,
150 ,
147 ,
151 ,
157 ,
159 ,
164 ,
175 ,
173 ,
190 ,
190 ,
203 ,
209 ,
219 ,
223 ,
235 ,
237 ,
249 ,
252 ,
261 ,
262 ,
274 ,
272 ,
283 ,
284 ,
289 ,
294 ,
293 ,
299 ,
297 ,
299 ,
299 ,
294 ,
294 ,
288 ,
282 ,
277 ,
267 ,
261 ,
250 ,
242 ,
232 ,
223 ,
212 ,
208 ,
194 ,
190 ,
181 ,
172 ,
170 ,
158 ,
156 ,
146 ,
142 ,
135 ,
128 ,
124 ,
114 ,
112 ,
102 ,
98  ,
91  ,
86  ,
79  ,
75  ,
69  ,
65  ,
58  ,
55  ,
47  ,
42  ,
36  ,
25  ,
19  ,
9 ,
-2  ,
-13 ,
-23 ,
-38 ,
-49 ,
-63 ,
-75 ,
-91 ,
-99 ,
-117  ,
-126  ,
-138  ,
-152  ,
-158  ,
-172  ,
-179  ,
-192  ,
-197  ,
-211  ,
-215  ,
-227  ,
-235  ,
-239  ,
-250  ,
-253  ,
-262  ,
-263  ,
-269  ,
-269  ,
-274  ,
-272  ,
-276  ,
-271  ,
-274  ,
-269  ,
-271  ,
-266  ,
-267  ,
-264  ,
-262  ,
-264  ,
-261  ,
-263  ,
-262  ,
-263  ,
-261  ,
-265  ,
-261  ,
-264  ,
-262  ,
-262  ,
-262  ,
-260  ,
-261  ,
-257  ,
-260  ,
-257  ,
-257  ,
-256  ,
-256  ,
-254  ,
-258  ,
-251  ,
-257  ,
-249  ,
-253  ,
-247  ,
-243  ,
-240  ,
-231  ,
-228  ,
-216  ,
-210  ,
-198  ,
-189  ,
-177  ,
-164  ,
-153  ,
-142  ,
-126  ,
-115  ,
-100  ,
-88 ,
-75 ,
-61 ,
-47 ,
-32 ,
-20 ,
-6  ,
10  ,
22  ,
39  ,
50  ,
65  ,
78  ,
91  ,
100 ,
113 ,
121 ,
130 ,
138 ,
142 ,
152 ,
153 ,
161 ,
161 ,
168 ,
168 ,
176 ,
175 ,
181 ,
184 ,
187 ,
194 ,
197 ,
203 ,
209 ,
212 ,
219 ,
225 ,
228 ,
240 ,
240 ,
248 ,
257 ,
260 ,
273 ,
276 ,
285 ,
293 ,
303 ,
308 ,
321 ,
323 ,
335 ,
338 ,
347 ,
349 ,
356 ,
356 ,
359 ,
357 ,
357 ,
354 ,
351 ,
347 ,
340 ,
336 ,
329 ,
322 ,
313 ,
308 ,
294 ,
294 ,
274 ,
274 ,
256 ,
252 ,
238 ,
228 ,
219 ,
206 ,
196 ,
187 ,
176 ,
166 ,
160 ,
147 ,
145 ,
134 ,
131 ,
123 ,
120 ,
113 ,
109 ,
104 ,
98  ,
94  ,
87  ,
81  ,
74  ,
67  ,
58  ,
51  ,
40  ,
32  ,
21  ,
10  ,
0 ,
-13 ,
-22 ,
-35 ,
-48 ,
-59 ,
-74 ,
-86 ,
-100  ,
-116  ,
-127  ,
-148  ,
-154  ,
-181  ,
-184  ,
-208  ,
-216  ,
-232  ,
-248  ,
-254  ,
-272  ,
-277  ,
-290  ,
-298  ,
-304  ,
-312  ,
-316  ,
-323  ,
-324  ,
-334  ,
-328  ,
-341  ,
-334  ,
-342  ,
-340  ,
-343  ,
-342  ,
-343  ,
-340  ,
-341  ,
-339  ,
-336  ,
-334  ,
-331  ,
-329  ,
-325  ,
-323  ,
-318  ,
-319  ,
-312  ,
-315  ,
-308  ,
-312  ,
-308  ,
-309  ,
-308  ,
-308  ,
-306  ,
-309  ,
-305  ,
-305  ,
-305  ,
-299  ,
-302  ,
-296  ,
-294  ,
-290  ,
-287  ,
-281  ,
-278  ,
-271  ,
-267  ,
-259  ,
-253  ,
-245  ,
-237  ,
-229  ,
-218  ,
-207  ,
-195  ,
-182  ,
-169  ,
-153  ,
-139  ,
-121  ,
-106  ,
-86 ,
-74 ,
-52 ,
-39 ,
-20 ,
-4  ,
12  ,
26  ,
44  ,
55  ,
72  ,
84  ,
96  ,
111 ,
118 ,
136 ,
141 ,
155 ,
162 ,
172 ,
181 ,
187 ,
196 ,
198 ,
208 ,
209 ,
217 ,
217 ,
224 ,
228 ,
230 ,
238 ,
239 ,
246 ,
253 ,
255 ,
268 ,
269 ,
283 ,
284 ,
298 ,
305 ,
311 ,
325 ,
326 ,
341 ,
343 ,
355 ,
358 ,
369 ,
373 ,
380 ,
386 ,
391 ,
395 ,
400 ,
403 ,
406 ,
407 ,
407 ,
408 ,
402 ,
405 ,
395 ,
393 ,
386 ,
376 ,
370 ,
360 ,
347 ,
342 ,
326 ,
320 ,
306 ,
297 ,
286 ,
276 ,
268 ,
253 ,
252 ,
232 ,
233 ,
216 ,
210 ,
201 ,
191 ,
182 ,
176 ,
162 ,
157 ,
147 ,
137 ,
132 ,
121 ,
113 ,
106 ,
97  ,
88  ,
81  ,
70  ,
62  ,
51  ,
41  ,
27  ,
18  ,
1 ,
-8  ,
-24 ,
-41 ,
-52 ,
-70 ,
-84 ,
-98 ,
-116  ,
-127  ,
-145  ,
-157  ,
-172  ,
-185  ,
-199  ,
-209  ,
-227  ,
-231  ,
-252  ,
-256  ,
-272  ,
-280  ,
-291  ,
-300  ,
-310  ,
-315  ,
-327  ,
-327  ,
-339  ,
-339  ,
-345  ,
-349  ,
-349  ,
-356  ,
-352  ,
-359  ,
-356  ,
-359  ,
-363  ,
-358  ,
-367  ,
-362  ,
-366  ,
-369  ,
-366  ,
-372  ,
-368  ,
-373  ,
-369  ,
-373  ,
-368  ,
-372  ,
-368  ,
-367  ,
-368  ,
-364  ,
-366  ,
-361  ,
-362  ,
-358  ,
-360  ,
-355  ,
-353  ,
-353  ,
-344  ,
-349  ,
-334  ,
-337  ,
-324  ,
-321  ,
-310  ,
-302  ,
-290  ,
-280  ,
-268  ,
-256  ,
-243  ,
-230  ,
-215  ,
-204  ,
-186  ,
-177  ,
-157  ,
-149  ,
-126  ,
-119  ,
-96 ,
-88 ,
-68 ,
-54 ,
-38 ,
-22 ,
-9  ,
9 ,
20  ,
39  ,
45  ,
66  ,
68  ,
89  ,
91  ,
106 ,
111 ,
123 ,
127 ,
138 ,
143 ,
152 ,
159 ,
164 ,
176 ,
179 ,
192 ,
195 ,
207 ,
213 ,
223 ,
232 ,
239 ,
252 ,
254 ,
271 ,
273 ,
288 ,
293 ,
307 ,
312 ,
327 ,
333 ,
345 ,
355 ,
365 ,
374 ,
386 ,
390 ,
402 ,
407 ,
413 ,
420 ,
421 ,
426 ,
426 ,
426 ,
426 ,
424 ,
422 ,
416 ,
414 ,
407 ,
403 ,
396 ,
390 ,
382 ,
376 ,
369 ,
358 ,
354 ,
341 ,
336 ,
325 ,
316 ,
310 ,
297 ,
292 ,
280 ,
274 ,
268 ,
256 ,
254 ,
242 ,
241 ,
230 ,
229 ,
218 ,
216 ,
207 ,
202 ,
194 ,
188 ,
178 ,
169 ,
162 ,
149 ,
140 ,
128 ,
116 ,
104 ,
90  ,
78  ,
63  ,
49  ,
36  ,
17  ,
6 ,
-11 ,
-28 ,
-41 ,
-62 ,
-74 ,
-93 ,
-108  ,
-126  ,
-143  ,
-156  ,
-176  ,
-185  ,
-205  ,
-215  ,
-228  ,
-242  ,
-248  ,
-264  ,
-267  ,
-281  ,
-284  ,
-294  ,
-300  ,
-304  ,
-313  ,
-315  ,
-322  ,
-326  ,
-330  ,
-335  ,
-337  ,
-342  ,
-344  ,
-347  ,
-350  ,
-351  ,
-352  ,
-357  ,
-352  ,
-363  ,
-353  ,
-366  ,
-358  ,
-367  ,
-365  ,
-370  ,
-370  ,
-376  ,
-374  ,
-382  ,
-380  ,
-387  ,
-384  ,
-390  ,
-388  ,
-389  ,
-392  ,
-386  ,
-390  ,
-384  ,
-383  ,
-380  ,
-375  ,
-373  ,
-366  ,
-361  ,
-355  ,
-346  ,
-342  ,
-329  ,
-325  ,
-307  ,
-306  ,
-282  ,
-280  ,
-258  ,
-250  ,
-230  ,
-218  ,
-197  ,
-186  ,
-166  ,
-150  ,
-135  ,
-117  ,
-102  ,
-87 ,
-70 ,
-56 ,
-42 ,
-26 ,
-15 ,
1 ,
12  ,
27  ,
35  ,
51  ,
58  ,
72  ,
80  ,
91  ,
98  ,
109 ,
113 ,
125 ,
128 ,
138 ,
142 ,
150 ,
158 ,
160 ,
175 ,
175 ,
188 ,
196 ,
204 ,
215 ,
225 ,
235 ,
247 ,
257 ,
270 ,
278 ,
293 ,
301 ,
314 ,
322 ,
335 ,
342 ,
352 ,
364 ,
367 ,
381 ,
386 ,
391 ,
403 ,
403 ,
411 ,
415 ,
416 ,
420 ,
418 ,
419 ,
418 ,
414 ,
412 ,
405 ,
401 ,
395 ,
388 ,
380 ,
376 ,
363 ,
362 ,
349 ,
346 ,
336 ,
331 ,
322 ,
318 ,
309 ,
302 ,
296 ,
288 ,
282 ,
274 ,
269 ,
257 ,
257 ,
242 ,
241 ,
231 ,
224 ,
219 ,
209 ,
205 ,
194 ,
190 ,
179 ,
173 ,
161 ,
154 ,
140 ,
132 ,
118 ,
106 ,
91  ,
79  ,
62  ,
48  ,
36  ,
15  ,
6 ,
-14 ,
-27 ,
-43 ,
-55 ,
-72 ,
-85 ,
-99 ,
-115  ,
-124  ,
-143  ,
-151  ,
-169  ,
-176  ,
-195  ,
-200  ,
-218  ,
-223  ,
-236  ,
-245  ,
-252  ,
-262  ,
-267  ,
-274  ,
-281  ,
-284  ,
-292  ,
-293  ,
-300  ,
-301  ,
-311  ,
-308  ,
-317  ,
-320  ,
-321  ,
-331  ,
-329  ,
-336  ,
-339  ,
-342  ,
-345  ,
-348  ,
-349  ,
-352  ,
-355  ,
-354  ,
-360  ,
-355  ,
-364  ,
-359  ,
-365  ,
-363  ,
-367  ,
-366  ,
-369  ,
-368  ,
-369  ,
-368  ,
-366  ,
-367  ,
-360  ,
-362  ,
-353  ,
-349  ,
-345  ,
-335  ,
-331  ,
-320  ,
-313  ,
-305  ,
-293  ,
-287  ,
-272  ,
-268  ,
-251  ,
-244  ,
-229  ,
-221  ,
-205  ,
-195  ,
-180  ,
-167  ,
-154  ,
-140  ,
-125  ,
-114  ,
-98 ,
-87 ,
-72 ,
-62 ,
-49 ,
-39 ,
-28 ,
-18 ,
-9  ,
2 ,
8 ,
18  ,
26  ,
35  ,
42  ,
53  ,
58  ,
70  ,
77  ,
86  ,
96  ,
104 ,
116 ,
121 ,
134 ,
141 ,
153 ,
162 ,
169 ,
183 ,
189 ,
204 ,
211 ,
223 ,
234 ,
244 ,
257 ,
266 ,
280 ,
286 ,
300 ,
306 ,
318 ,
326 ,
331 ,
340 ,
341 ,
353 ,
349 ,
357 ,
356 ,
358 ,
359 ,
360 ,
356 ,
358 ,
355 ,
353 ,
352 ,
348 ,
344 ,
342 ,
337 ,
334 ,
328 ,
324 ,
319 ,
314 ,
310 ,
302 ,
301 ,
293 ,
291 ,
285 ,
283 ,
277 ,
276 ,
271 ,
267 ,
266 ,
261 ,
256 ,
253 ,
249 ,
241 ,
240 ,
228 ,
226 ,
215 ,
211 ,
197 ,
193 ,
180 ,
174 ,
159 ,
154 ,
135 ,
132 ,
113 ,
105 ,
90  ,
79  ,
62  ,
52  ,
35  ,
22  ,
9 ,
-8  ,
-19 ,
-36 ,
-46 ,
-63 ,
-70 ,
-89 ,
-93 ,
-111  ,
-113  ,
-131  ,
-131  ,
-149  ,
-147  ,
-164  ,
-163  ,
-176  ,
-179  ,
-187  ,
-194  ,
-197  ,
-206  ,
-210  ,
-215  ,
-223  ,
-222  ,
-234  ,
-230  ,
-243  ,
-240  ,
-248  ,
-250  ,
-253  ,
-260  ,
-261  ,
-267  ,
-272  ,
-272  ,
-285  ,
-280  ,
-294  ,
-292  ,
-301  ,
-303  ,
-309  ,
-314  ,
-313  ,
-324  ,
-317  ,
-330  ,
-324  ,
-328  ,
-332  ,
-326  ,
-332  ,
-328  ,
-328  ,
-326  ,
-325  ,
-320  ,
-318  ,
-314  ,
-308  ,
-303  ,
-297  ,
-287  ,
-282  ,
-271  ,
-264  ,
-252  ,
-242  ,
-231  ,
-220  ,
-209  ,
-197  ,
-185  ,
-174  ,
-163  ,
-151  ,
-141  ,
-128  ,
-120  ,
-109  ,
-97 ,
-90 ,
-78 ,
-71 ,
-60 ,
-52 ,
-43 ,
-36 ,
-26 ,
-22 ,
-11 ,
-8  ,
0 ,
5 ,
13  ,
13  ,
26  ,
23  ,
34  ,
38  ,
42  ,
53  ,
53  ,
68  ,
69  ,
82  ,
89  ,
98  ,
109 ,
119 ,
129 ,
140 ,
149 ,
162 ,
169 ,
185 ,
189 ,
205 ,
210 ,
225 ,
229 ,
244 ,
248 ,
258 ,
269 ,
272 ,
283 ,
287 ,
291 ,
300 ,
298 ,
307 ,
301 ,
309 ,
304 ,
306 ,
302 ,
300 ,
297 ,
294 ,
291 ,
284 ,
283 ,
277 ,
273 ,
270 ,
263 ,
262 ,
255 ,
255 ,
246 ,
245 ,
241 ,
236 ,
233 ,
229 ,
224 ,
223 ,
217 ,
215 ,
211 ,
208 ,
206 ,
200 ,
201 ,
193 ,
195 ,
187 ,
184 ,
181 ,
172 ,
171 ,
162 ,
154 ,
149 ,
137 ,
131 ,
119 ,
110 ,
100 ,
88  ,
79  ,
64  ,
58  ,
42  ,
34  ,
22  ,
9 ,
1 ,
-15 ,
-19 ,
-39 ,
-40 ,
-59 ,
-64 ,
-77 ,
-86 ,
-95 ,
-105  ,
-111  ,
-123  ,
-126  ,
-136  ,
-140  ,
-146  ,
-152  ,
-156  ,
-159  ,
-165  ,
-166  ,
-172  ,
-174  ,
-177  ,
-182  ,
-183  ,
-187  ,
-193  ,
-191  ,
-200  ,
-200  ,
-203  ,
-208  ,
-210  ,
-211  ,
-220  ,
-214  ,
-226  ,
-220  ,
-232  ,
-226  ,
-238  ,
-233  ,
-243  ,
-242  ,
-248  ,
-249  ,
-256  ,
-253  ,
-262  ,
-258  ,
-263  ,
-263  ,
-263  ,
-262  ,
-262  ,
-258  ,
-258  ,
-252  ,
-250  ,
-245  ,
-240  ,
-235  ,
-230  ,
-221  ,
-219  ,
-208  ,
-203  ,
-196  ,
-185  ,
-180  ,
-168  ,
-162  ,
-149  ,
-142  ,
-131  ,
-119  ,
-113  ,
-98 ,
-94 ,
-78 ,
-76 ,
-60 ,
-59 ,
-46 ,
-41 ,
-35 ,
-27 ,
-23 ,
-16 ,
-10 ,
-8  ,
2 ,
1 ,
13  ,
12  ,
21  ,
23  ,
31  ,
35  ,
39  ,
47  ,
48  ,
57  ,
61  ,
67  ,
72  ,
80  ,
82  ,
95  ,
96  ,
107 ,
114 ,
119 ,
131 ,
137 ,
145 ,
157 ,
159 ,
171 ,
178 ,
183 ,
192 ,
195 ,
203 ,
206 ,
212 ,
213 ,
217 ,
221 ,
219 ,
226 ,
221 ,
226 ,
224 ,
224 ,
224 ,
221 ,
223 ,
218 ,
217 ,
215 ,
210 ,
210 ,
206 ,
201 ,
201 ,
193 ,
195 ,
189 ,
187 ,
186 ,
181 ,
182 ,
178 ,
179 ,
175 ,
175 ,
174 ,
169 ,
173 ,
164 ,
167 ,
160 ,
159 ,
154 ,
150 ,
145 ,
140 ,
134 ,
129 ,
123 ,
115 ,
110 ,
101 ,
96  ,
86  ,
79  ,
70  ,
60  ,
55  ,
40  ,
37  ,
22  ,
15  ,
3 ,
-4  ,
-17 ,
-22 ,
-35 ,
-42 ,
-49 ,
-59 ,
-64 ,
-72 ,
-76 ,
-84 ,
-87 ,
-93 ,
-96 ,
-102  ,
-104  ,
-110  ,
-111  ,
-116  ,
-120  ,
-122  ,
-126  ,
-128  ,
-132  ,
-134  ,
-138  ,
-139  ,
-142  ,
-144  ,
-147  ,
-149  ,
-151  ,
-155  ,
-154  ,
-161  ,
-160  ,
-167  ,
-166  ,
-174  ,
-173  ,
-179  ,
-184  ,
-183  ,
-191  ,
-189  ,
-197  ,
-195  ,
-201  ,
-199  ,
-202  ,
-203  ,
-204  ,
-202  ,
-203  ,
-202  ,
-201  ,
-200  ,
-197  ,
-196  ,
-193  ,
-189  ,
-189  ,
-178  ,
-183  ,
-169  ,
-171  ,
-160  ,
-156  ,
-147  ,
-144  ,
-132  ,
-128  ,
-117  ,
-109  ,
-104  ,
-92 ,
-89 ,
-76 ,
-70 ,
-64 ,
-55 ,
-49 ,
-42 ,
-35 ,
-28 ,
-24 ,
-15 ,
-11 ,
-4  ,
0 ,
6 ,
10  ,
16  ,
20  ,
23  ,
28  ,
30  ,
35  ,
37  ,
41  ,
43  ,
47  ,
49  ,
55  ,
54  ,
64  ,
63  ,
72  ,
74  ,
81  ,
86  ,
94  ,
99  ,
105 ,
113 ,
118 ,
127 ,
132 ,
138 ,
146 ,
151 ,
157 ,
165 ,
166 ,
177 ,
177 ,
184 ,
187 ,
193 ,
193 ,
199 ,
198 ,
201 ,
203 ,
200 ,
203 ,
196 ,
201 ,
192 ,
193 ,
187 ,
184 ,
179 ,
175 ,
169 ,
166 ,
161 ,
156 ,
151 ,
148 ,
144 ,
139 ,
138 ,
129 ,
133 ,
123 ,
124 ,
120 ,
117 ,
114 ,
112 ,
108 ,
107 ,
104 ,
102 ,
99  ,
98  ,
94  ,
93  ,
89  ,
86  ,
84  ,
78  ,
77  ,
69  ,
67  ,
58  ,
56  ,
45  ,
41  ,
33  ,
22  ,
20  ,
5 ,
2 ,
-11 ,
-16 ,
-27 ,
-35 ,
-43 ,
-53 ,
-61 ,
-66 ,
-80 ,
-82 ,
-94 ,
-99 ,
-106  ,
-114  ,
-119  ,
-126  ,
-130  ,
-136  ,
-139  ,
-147  ,
-144  ,
-155  ,
-150  ,
-156  ,
-159  ,
-155  ,
-164  ,
-158  ,
-163  ,
-161  ,
-164  ,
-162  ,
-166  ,
-162  ,
-166  ,
-165  ,
-164  ,
-169  ,
-162  ,
-169  ,
-165  ,
-167  ,
-168  ,
-166  ,
-168  ,
-166  ,
-170  ,
-167  ,
-170  ,
-168  ,
-172  ,
-168  ,
-174  ,
-169  ,
-174  ,
-171  ,
-172  ,
-171  ,
-171  ,
-169  ,
-167  ,
-165  ,
-162  ,
-159  ,
-157  ,
-148  ,
-150  ,
-139  ,
-137  ,
-133  ,
-121  ,
-121  ,
-112  ,
-102  ,
-102  ,
-85 ,
-87 ,
-69 ,
-70 ,
-51 ,
-51 ,
-35 ,
-29 ,
-19 ,
-9  ,
0 ,
10  ,
17  ,
28  ,
32  ,
43  ,
48  ,
54  ,
62  ,
66  ,
70  ,
77  ,
78  ,
85  ,
87  ,
91  ,
94  ,
97  ,
101 ,
102 ,
109 ,
105 ,
114 ,
110 ,
120 ,
114 ,
125 ,
120 ,
128 ,
129 ,
131 ,
137 ,
138 ,
144 ,
148 ,
151 ,
160 ,
159 ,
170 ,
169 ,
181 ,
179 ,
188 ,
190 ,
195 ,
197 ,
202 ,
201 ,
206 ,
208 ,
204 ,
211 ,
204 ,
208 ,
207 ,
202 ,
205 ,
197 ,
199 ,
193 ,
192 ,
184 ,
184 ,
174 ,
174 ,
164 ,
161 ,
153 ,
149 ,
142 ,
135 ,
132 ,
122 ,
121 ,
113 ,
110 ,
103 ,
100 ,
95  ,
91  ,
88  ,
81  ,
77  ,
75  ,
68  ,
64  ,
60  ,
53  ,
47  ,
44  ,
35  ,
32  ,
23  ,
21  ,
8 ,
10  ,
-5  ,
-5  ,
-16 ,
-22 ,
-29 ,
-37 ,
-44 ,
-53 ,
-58 ,
-72 ,
-72 ,
-89 ,
-88 ,
-104  ,
-106  ,
-116  ,
-122  ,
-127  ,
-137  ,
-139  ,
-146  ,
-150  ,
-154  ,
-158  ,
-162  ,
-165  ,
-168  ,
-172  ,
-172  ,
-176  ,
-179  ,
-180  ,
-184  ,
-183  ,
-187  ,
-186  ,
-191  ,
-187  ,
-194  ,
-188  ,
-195  ,
-189  ,
-194  ,
-191  ,
-193  ,
-193  ,
-191  ,
-195  ,
-192  ,
-193  ,
-196  ,
-191  ,
-198  ,
-193  ,
-195  ,
-197  ,
-192  ,
-195  ,
-193  ,
-191  ,
-191  ,
-188  ,
-184  ,
-185  ,
-179  ,
-177  ,
-172  ,
-170  ,
-164  ,
-161  ,
-155  ,
-152  ,
-144  ,
-142  ,
-132  ,
-128  ,
-123  ,
-111  ,
-110  ,
-96 ,
-92 ,
-83 ,
-72 ,
-68 ,
-53 ,
-48 ,
-38 ,
-28 ,
-21 ,
-10 ,
-2  ,
5 ,
17  ,
21  ,
33  ,
37  ,
47  ,
53  ,
62  ,
66  ,
78  ,
76  ,
92  ,
90  ,
101 ,
105 ,
109 ,
115 ,
120 ,
122 ,
130 ,
130 ,
136 ,
139 ,
143 ,
145 ,
151 ,
152 ,
159 ,
159 ,
167 ,
168 ,
176 ,
178 ,
183 ,
189 ,
193 ,
196 ,
205 ,
204 ,
213 ,
215 ,
218 ,
224 ,
225 ,
229 ,
232 ,
234 ,
236 ,
238 ,
239 ,
240 ,
239 ,
242 ,
237 ,
240 ,
236 ,
232 ,
233 ,
224 ,
226 ,
216 ,
214 ,
208 ,
200 ,
198 ,
188 ,
183 ,
178 ,
169 ,
167 ,
155 ,
155 ,
144 ,
142 ,
134 ,
129 ,
125 ,
117 ,
115 ,
105 ,
106 ,
93  ,
96  ,
84  ,
83  ,
76  ,
71  ,
66  ,
60  ,
56  ,
49  ,
43  ,
39  ,
29  ,
26  ,
18  ,
9 ,
5 ,
-7  ,
-14 ,
-21 ,
-33 ,
-41 ,
-50 ,
-60 ,
-72 ,
-77 ,
-94 ,
-98 ,
-109  ,
-121  ,
-126  ,
-139  ,
-146  ,
-154  ,
-162  ,
-171  ,
-177  ,
-186  ,
-190  ,
-198  ,
-205  ,
-207  ,
-216  ,
-217  ,
-223  ,
-227  ,
-228  ,
-231  ,
-234  ,
-234  ,
-237  ,
-236  ,
-236  ,
-238  ,
-236  ,
-238  ,
-236  ,
-234  ,
-237  ,
-233  ,
-236  ,
-232  ,
-233  ,
-231  ,
-232  ,
-230  ,
-229  ,
-229  ,
-226  ,
-228  ,
-223  ,
-226  ,
-221  ,
-221  ,
-221  ,
-217  ,
-218  ,
-217  ,
-212  ,
-215  ,
-208  ,
-210  ,
-205  ,
-205  ,
-200  ,
-197  ,
-192  ,
-190  ,
-182  ,
-180  ,
-171  ,
-165  ,
-161  ,
-149  ,
-145  ,
-134  ,
-126  ,
-119  ,
-106  ,
-101  ,
-87 ,
-79 ,
-68 ,
-56 ,
-50 ,
-34 ,
-27 ,
-12 ,
-4  ,
10  ,
16  ,
33  ,
38  ,
54  ,
58  ,
72  ,
78  ,
89  ,
96  ,
104 ,
111 ,
118 ,
123 ,
131 ,
135 ,
141 ,
146 ,
148 ,
158 ,
156 ,
166 ,
166 ,
172 ,
175 ,
180 ,
183 ,
188 ,
191 ,
196 ,
198 ,
206 ,
206 ,
214 ,
217 ,
220 ,
229 ,
229 ,
238 ,
240 ,
247 ,
251 ,
256 ,
260 ,
265 ,
268 ,
273 ,
274 ,
279 ,
278 ,
282 ,
281 ,
283 ,
280 ,
281 ,
278 ,
276 ,
275 ,
268 ,
268 ,
261 ,
256 ,
255 ,
242 ,
244 ,
232 ,
228 ,
223 ,
210 ,
210 ,
197 ,
194 ,
183 ,
178 ,
169 ,
162 ,
158 ,
144 ,
145 ,
132 ,
129 ,
122 ,
113 ,
110 ,
100 ,
97  ,
89  ,
81  ,
78  ,
65  ,
65  ,
52  ,
48  ,
38  ,
32  ,
22  ,
16  ,
6 ,
-4  ,
-8  ,
-24 ,
-25 ,
-43 ,
-45 ,
-61 ,
-65 ,
-79 ,
-86 ,
-98 ,
-107  ,
-117  ,
-126  ,
-137  ,
-144  ,
-153  ,
-165  ,
-168  ,
-183  ,
-185  ,
-195  ,
-203  ,
-208  ,
-215  ,
-223  ,
-225  ,
-235  ,
-236  ,
-242  ,
-246  ,
-250  ,
-252  ,
-258  ,
-257  ,
-263  ,
-260  ,
-270  ,
-262  ,
-274  ,
-265  ,
-275  ,
-270  ,
-275  ,
-274  ,
-273  ,
-278  ,
-272  ,
-279  ,
-272  ,
-278  ,
-273  ,
-274  ,
-272  ,
-273  ,
-268  ,
-272  ,
-265  ,
-267  ,
-263  ,
-261  ,
-259  ,
-257  ,
-253  ,
-251  ,
-245  ,
-243  ,
-237  ,
-234  ,
-227  ,
-223  ,
-212  ,
-212  ,
-198  ,
-197  ,
-185  ,
-176  ,
-171  ,
-159  ,
-153  ,
-142  ,
-132  ,
-125  ,
-110  ,
-107  ,
-91 ,
-86 ,
-72 ,
-61 ,
-56 ,
-36 ,
-38 ,
-15 ,
-14 ,
1 ,
10  ,
19  ,
30  ,
38  ,
47  ,
56  ,
65  ,
72  ,
81  ,
86  ,
97  ,
101 ,
110 ,
116 ,
121 ,
133 ,
134 ,
146 ,
148 ,
157 ,
163 ,
169 ,
178 ,
181 ,
190 ,
196 ,
200 ,
210 ,
213 ,
222 ,
227 ,
233 ,
239 ,
247 ,
251 ,
259 ,
262 ,
270 ,
275 ,
279 ,
285 ,
287 ,
294 ,
293 ,
302 ,
296 ,
305 ,
300 ,
304 ,
304 ,
301 ,
301 ,
299 ,
295 ,
297 ,
289 ,
288 ,
284 ,
279 ,
276 ,
271 ,
266 ,
260 ,
257 ,
249 ,
245 ,
240 ,
231 ,
230 ,
219 ,
217 ,
209 ,
204 ,
199 ,
190 ,
190 ,
177 ,
178 ,
166 ,
166 ,
154 ,
154 ,
141 ,
140 ,
130 ,
122 ,
118 ,
105 ,
102 ,
90  ,
82  ,
73  ,
63  ,
54  ,
44  ,
32  ,
25  ,
10  ,
4 ,
-10 ,
-21 ,
-29 ,
-44 ,
-52 ,
-65 ,
-77 ,
-84 ,
-99 ,
-107  ,
-117  ,
-130  ,
-135  ,
-150  ,
-153  ,
-167  ,
-171  ,
-183  ,
-187  ,
-196  ,
-202  ,
-207  ,
-215  ,
-219  ,
-223  ,
-231  ,
-228  ,
-241  ,
-235  ,
-247  ,
-243  ,
-250  ,
-250  ,
-255  ,
-254  ,
-261  ,
-258  ,
-265  ,
-263  ,
-267  ,
-269  ,
-270  ,
-270  ,
-276  ,
-270  ,
-281  ,
-274  ,
-279  ,
-278  ,
-280  ,
-280  ,
-284  ,
-278  ,
-287  ,
-278  ,
-286  ,
-282  ,
-280  ,
-285  ,
-277  ,
-281  ,
-275  ,
-274  ,
-272  ,
-265  ,
-266  ,
-255  ,
-255  ,
-244  ,
-242  ,
-232  ,
-227  ,
-218  ,
-208  ,
-202  ,
-191  ,
-183  ,
-172  ,
-164  ,
-151  ,
-143  ,
-130  ,
-121  ,
-108  ,
-98 ,
-85 ,
-76 ,
-61 ,
-54 ,
-39 ,
-30 ,
-20 ,
-6  ,
-1  ,
12  ,
21  ,
28  ,
39  ,
44  ,
54  ,
60  ,
69  ,
72  ,
83  ,
86  ,
94  ,
102 ,
102 ,
117 ,
113 ,
128 ,
128 ,
137 ,
142 ,
147 ,
155 ,
160 ,
167 ,
173 ,
179 ,
187 ,
192 ,
202 ,
205 ,
216 ,
222 ,
226 ,
242 ,
237 ,
255 ,
255 ,
263 ,
272 ,
272 ,
284 ,
280 ,
294 ,
286 ,
300 ,
292 ,
303 ,
294 ,
303 ,
296 ,
300 ,
296 ,
294 ,
294 ,
289 ,
288 ,
282 ,
280 ,
274 ,
273 ,
262 ,
265 ,
252 ,
252 ,
243 ,
239 ,
233 ,
228 ,
221 ,
216 ,
211 ,
205 ,
200 ,
194 ,
189 ,
184 ,
179 ,
173 ,
168 ,
162 ,
157 ,
150 ,
145 ,
138 ,
132 ,
124 ,
118 ,
110 ,
102 ,
96  ,
84  ,
78  ,
69  ,
60  ,
50  ,
41  ,
30  ,
22  ,
11  ,
0 ,
-11 ,
-18 ,
-33 ,
-40 ,
-52 ,
-62 ,
-72 ,
-81 ,
-94 ,
-99 ,
-113  ,
-119  ,
-130  ,
-138  ,
-144  ,
-156  ,
-161  ,
-169  ,
-175  ,
-183  ,
-186  ,
-196  ,
-196  ,
-206  ,
-207  ,
-214  ,
-216  ,
-220  ,
-224  ,
-229  ,
-229  ,
-237  ,
-233  ,
-242  ,
-242  ,
-244  ,
-249  ,
-247  ,
-253  ,
-252  ,
-256  ,
-256  ,
-258  ,
-259  ,
-261  ,
-261  ,
-264  ,
-263  ,
-263  ,
-268  ,
-264  ,
-267  ,
-268  ,
-264  ,
-270  ,
-264  ,
-265  ,
-266  ,
-260  ,
-262  ,
-257  ,
-253  ,
-253  ,
-246  ,
-242  ,
-239  ,
-231  ,
-228  ,
-220  ,
-215  ,
-207  ,
-202  ,
-192  ,
-187  ,
-177  ,
-171  ,
-160  ,
-154  ,
-141  ,
-136  ,
-124  ,
-115  ,
-105  ,
-96 ,
-84 ,
-79 ,
-63 ,
-60 ,
-45 ,
-41 ,
-29 ,
-22 ,
-13 ,
-6  ,
2 ,
11  ,
15  ,
26  ,
31  ,
37  ,
49  ,
47  ,
63  ,
62  ,
75  ,
78  ,
86  ,
93  ,
99  ,
108 ,
110 ,
124 ,
123 ,
138 ,
138 ,
150 ,
153 ,
163 ,
169 ,
175 ,
185 ,
188 ,
200 ,
202 ,
213 ,
218 ,
223 ,
229 ,
234 ,
239 ,
245 ,
245 ,
252 ,
251 ,
258 ,
256 ,
260 ,
259 ,
261 ,
261 ,
261 ,
259 ,
262 ,
255 ,
259 ,
252 ,
255 ,
247 ,
251 ,
242 ,
246 ,
238 ,
240 ,
230 ,
233 ,
226 ,
223 ,
222 ,
214 ,
216 ,
208 ,
210 ,
203 ,
201 ,
196 ,
197 ,
187 ,
189 ,
178 ,
177 ,
172 ,
164 ,
161 ,
152 ,
147 ,
141 ,
133 ,
129 ,
118 ,
114 ,
104 ,
94  ,
88  ,
77  ,
66  ,
61  ,
48  ,
43  ,
31  ,
23  ,
13  ,
3 ,
-4  ,
-18 ,
-29 ,
-37 ,
-46 ,
-48 ,
-61 ,
-63 ,
-75 ,
-92 ,
-108  ,
-109  ,
-108  ,
-125  ,
-137  ,
-126  ,
-127  ,
-146  ,
-149  ,
-139  ,
-135  ,
-153  ,
-145  ,
-146  ,
-165  ,
-181  ,
-166  ,
-167  ,
-188  ,
-191  ,
-180  ,
-185  ,
-201  ,
-194  ,
-198  ,
-208  ,
-217  ,
-202  ,
-209  ,
-233  ,
-229  ,
-216  ,
-223  ,
-235  ,
-235  ,
-228  ,
-249  ,
-247  ,
-244  ,
-245  ,
-255  ,
-237  ,
-235  ,
-244  ,
-259  ,
-242  ,
-238  ,
-240  ,
-247  ,
-238  ,
-244  ,
-245  ,
-229  ,
-213  ,
-223  ,
-212  ,
-199  ,
-198  ,
-214  ,
-207  ,
-195  ,
-187  ,
-179  ,
-163  ,
-150  ,
-153  ,
-134  ,
-120  ,
-120  ,
-123  ,
-110  ,
-100  ,
-91 ,
-87 ,
-62 ,
-56 ,
-44 ,
-44 ,
-38 ,
-43 ,
-37 ,
-21 ,
-9  ,
-1  ,
-6  ,
18  ,
16  ,
21  ,
16  ,
20  ,
16  ,
17  ,
32  ,
41  ,
47  ,
65  ,
84  ,
81  ,
73  ,
72  ,
77  ,
78  ,
88  ,
106 ,
120 ,
132 ,
147 ,
151 ,
155 ,
148 ,
159 ,
160 ,
161 ,
167 ,
188 ,
198 ,
213 ,
217 ,
225 ,
213 ,
214 ,
213 ,
214 ,
214 ,
220 ,
232 ,
237 ,
235 ,
231 ,
228 ,
215 ,
216 ,
215 ,
211 ,
210 ,
208 ,
213 ,
210 ,
205 ,
199 ,
192 ,
182 ,
176 ,
176 ,
177 ,
172 ,
179 ,
179 ,
173 ,
164 ,
158 ,
154 ,
147 ,
143 ,
147 ,
147 ,
150 ,
154 ,
150 ,
146 ,
134 ,
136 ,
123 ,
120 ,
107 ,
114 ,
109 ,
112 ,
114 ,
102 ,
96  ,
77  ,
73  ,
55  ,
50  ,
48  ,
56  ,
51  ,
52  ,
36  ,
27  ,
8 ,
-4  ,
-16 ,
-34 ,
-44 ,
-41 ,
-38 ,
-39 ,
-48 ,
-56 ,
-67 ,
-77 ,
-96 ,
-101  ,
-109  ,
-98 ,
-87 ,
-85 ,
-98 ,
-106  ,
-116  ,
-127  ,
-158  ,
-204  ,
-257  ,
-291  ,
-325  ,
-349  ,
-372  ,
-379  ,
-368  ,
-338  ,
-310  ,
-269  ,
-228  ,
-182  ,
-142  ,
-95 ,
-54 ,
-29 ,
-15 ,
6 ,
27  ,
41  ,
46  ,
68  ,
77  ,
96  ,
91  ,
96  ,
62  ,
10  ,
-73 ,
-144  ,
-224  ,
-271  ,
-322  ,
-332  ,
-314  ,
-264  ,
-211  ,
-162  ,
-128  ,
-90 ,
-56 ,
-25 ,
0 ,
-1  ,
-18 ,
-24 ,
-20 ,
-8  ,
10  ,
14  ,
28  ,
42  ,
59  ,
63  ,
30  ,
1 ,
-22 ,
-37 ,
-75 ,
-124  ,
-176  ,
-208  ,
-215  ,
-205  ,
-177  ,
-153  ,
-102  ,
-45 ,
21  ,
50  ,
54  ,
41  ,
40  ,
42  ,
50  ,
65  ,
70  ,
76  ,
83  ,
96  ,
110 ,
126 ,
148 ,
165 ,
173 ,
162 ,
137 ,
75  ,
5 ,
-53 ,
-99 ,
-123  ,
-150  ,
-161  ,
-165  ,
-150  ,
-122  ,
-92 ,
-67 ,
-42 ,
-21 ,
1 ,
12  ,
3 ,
-8  ,
-8  ,
14  ,
50  ,
84  ,
109 ,
148 ,
191 ,
237 ,
269 ,
286 ,
306 ,
312 ,
320 ,
306 ,
268 ,
219 ,
174 ,
149 ,
131 ,
116 ,
120 ,
120 ,
134 ,
126 ,
111 ,
77  ,
32  ,
-3  ,
-29 ,
-49 ,
-61 ,
-79 ,
-76 ,
-69 ,
-40 ,
0 ,
44  ,
95  ,
134 ,
170 ,
194 ,
216 ,
221 ,
220 ,
207 ,
204 ,
189 ,
160 ,
134 ,
101 ,
84  ,
68  ,
66  ,
60  ,
50  ,
40  ,
23  ,
13  ,
-17 ,
-40 ,
-58 ,
-42 ,
-28 ,
-1  ,
10  ,
23  ,
40  ,
52  ,
69  ,
71  ,
78  ,
92  ,
114 ,
125 ,
128 ,
130 ,
125 ,
140 ,
156 ,
170 ,
176 ,
172 ,
173 ,
163 ,
157 ,
129 ,
108 ,
72  ,
39  ,
-7  ,
-53 ,
-98 ,
-134  ,
-161  ,
-172  ,
-176  ,
-173  ,
-184  ,
-197  ,
-214  ,
-227  ,
-238  ,
-246  ,
-248  ,
-235  ,
-224  ,
-208  ,
-194  ,
-191  ,
-181  ,
-177  ,
-160  ,
-152  ,
-150  ,
-154  ,
-160  ,
-168  ,
-180  ,
-186  ,
-204  ,
-213  ,
-221  ,
-236  ,
-255  ,
-289  ,
-321  ,
-345  ,
-364  ,
-381  ,
-398  ,
-420  ,
-435  ,
-442  ,
-434  ,
-415  ,
-391  ,
-350  ,
-309  ,
-265  ,
-224  ,
-192  ,
-163  ,
-135  ,
-108  ,
-81 ,
-68 ,
-58 ,
-47 ,
-46 ,
-42 ,
-35 ,
-32 ,
-17 ,
-5  ,
12  ,
30  ,
30  ,
29  ,
18  ,
2 ,
-9  ,
-33 ,
-35 ,
-58 ,
-50 ,
-54 ,
-42 ,
-32 ,
-15 ,
11  ,
40  ,
74  ,
98  ,
123 ,
131 ,
151 ,
171 ,
193 ,
211 ,
224 ,
242 ,
263 ,
278 ,
297 ,
311 ,
326 ,
347 ,
358 ,
370 ,
355 ,
341 ,
311 ,
301 ,
278 ,
273 ,
264 ,
266 ,
277 ,
288 ,
293 ,
293 ,
288 ,
283 ,
277 ,
270 ,
261 ,
249 ,
236 ,
226 ,
224 ,
224 ,
223 ,
232 ,
243 ,
263 ,
285 ,
295 ,
314 ,
311 ,
323 ,
318 ,
307 ,
285 ,
249 ,
216 ,
184 ,
170 ,
156 ,
154 ,
146 ,
142 ,
142 ,
120 ,
101 ,
61  ,
33  ,
-1  ,
-28 ,
-51 ,
-75 ,
-90 ,
-97 ,
-98 ,
-91 ,
-86 ,
-74 ,
-60 ,
-46 ,
-37 ,
-32 ,
-47 ,
-55 ,
-78 ,
-88 ,
-114  ,
-122  ,
-142  ,
-149  ,
-162  ,
-170  ,
-173  ,
-186  ,
-196  ,
-215  ,
-249  ,
-287  ,
-339  ,
-389  ,
-432  ,
-461  ,
-474  ,
-477  ,
-471  ,
-460  ,
-440  ,
-422  ,
-398  ,
-379  ,
-358  ,
-344  ,
-325  ,
-314  ,
-303  ,
-297  ,
-286  ,
-266  ,
-238  ,
-212  ,
-179  ,
-159  ,
-131  ,
-119  ,
-115  ,
-118  ,
-139  ,
-158  ,
-181  ,
-209  ,
-233  ,
-257  ,
-269  ,
-279  ,
-266  ,
-253  ,
-230  ,
-210  ,
-187  ,
-171  ,
-155  ,
-155  ,
-153  ,
-147  ,
-144  ,
-127  ,
-114  ,
-89 ,
-62 ,
-27 ,
20  ,
64  ,
116 ,
153 ,
188 ,
213 ,
220 ,
221 ,
214 ,
206 ,
200 ,
196 ,
200 ,
206 ,
216 ,
227 ,
247 ,
255 ,
267 ,
269 ,
266 ,
256 ,
242 ,
226 ,
208 ,
189 ,
178 ,
171 ,
177 ,
184 ,
201 ,
220 ,
245 ,
272 ,
288 ,
300 ,
302 ,
299 ,
296 ,
284 ,
283 ,
275 ,
285 ,
300 ,
323 ,
356 ,
366 ,
388 ,
381 ,
376 ,
350 ,
318 ,
282 ,
237 ,
201 ,
163 ,
126 ,
98  ,
70  ,
55  ,
44  ,
33  ,
25  ,
17  ,
6 ,
3 ,
-5  ,
-18 ,
-28 ,
-42 ,
-46 ,
-51 ,
-40 ,
-34 ,
-13 ,
1 ,
23  ,
31  ,
33  ,
20  ,
1 ,
-30 ,
-57 ,
-92 ,
-113  ,
-138  ,
-149  ,
-150  ,
-156  ,
-153  ,
-161  ,
-165  ,
-180  ,
-190  ,
-209  ,
-222  ,
-245  ,
-260  ,
-278  ,
-282  ,
-287  ,
-282  ,
-271  ,
-256  ,
-232  ,
-206  ,
-184  ,
-158  ,
-149  ,
-126  ,
-132  ,
-124  ,
-140  ,
-147  ,
-157  ,
-157  ,
-159  ,
-144  ,
-139  ,
-114  ,
-105  ,
-81 ,
-86 ,
-77 ,
-94 ,
-98 ,
-116  ,
-128  ,
-142  ,
-149  ,
-152  ,
-147  ,
-143  ,
-128  ,
-117  ,
-99 ,
-79 ,
-67 ,
-49 ,
-45 ,
-39 ,
-39 ,
-43 ,
-38 ,
-39 ,
-21 ,
-10 ,
20  ,
46  ,
80  ,
114 ,
139 ,
166 ,
174 ,
179 ,
169 ,
148 ,
124 ,
100 ,
79  ,
58  ,
46  ,
31  ,
31  ,
30  ,
33  ,
38  ,
34  ,
36  ,
22  ,
16  ,
-1  ,
-18 ,
-26 ,
-34 ,
-29 ,
-14 ,
5 ,
37  ,
67  ,
104 ,
136 ,
157 ,
175 ,
176 ,
179 ,
167 ,
159 ,
136 ,
127 ,
107 ,
102 ,
91  ,
89  ,
87  ,
85  ,
87  ,
78  ,
70  ,
47  ,
20  ,
-9  ,
-41 ,
-70 ,
-97 ,
-113  ,
-120  ,
-113  ,
-100  ,
-75 ,
-54 ,
-29 ,
-11 ,
0 ,
4 ,
0 ,
-9  ,
-19 ,
-19 ,
-28 ,
-12 ,
-14 ,
11  ,
14  ,
34  ,
37  ,
43  ,
38  ,
27  ,
10  ,
-16 ,
-45 ,
-81 ,
-113  ,
-148  ,
-168  ,
-186  ,
-186  ,
-183  ,
-170  ,
-148  ,
-132  ,
-112  ,
-102  ,
-96 ,
-94 ,
-100  ,
-102  ,
-103  ,
-97 ,
-79 ,
-54 ,
-21 ,
17  ,
48  ,
78  ,
103 ,
113 ,
121 ,
110 ,
102 ,
80  ,
67  ,
40  ,
28  ,
14  ,
9 ,
10  ,
16  ,
26  ,
41  ,
51  ,
65  ,
66  ,
69  ,
54  ,
46  ,
29  ,
19  ,
23  ,
28  ,
50  ,
78  ,
115 ,
162 ,
205 ,
251 ,
282 ,
311 ,
323 ,
327 ,
323 ,
312 ,
305 ,
298 ,
299 ,
301 ,
307 ,
306 ,
310 ,
300 ,
297 ,
272 ,
246 ,
207 ,
162 ,
117 ,
72  ,
25  ,
-4  ,
-30 ,
-36 ,
-34 ,
-22 ,
-3  ,
16  ,
40  ,
54  ,
72  ,
76  ,
80  ,
77  ,
76  ,
71  ,
71  ,
67  ,
79  ,
79  ,
95  ,
95  ,
97  ,
86  ,
66  ,
31  ,
-7  ,
-58 ,
-106  ,
-157  ,
-205  ,
-243  ,
-275  ,
-297  ,
-307  ,
-319  ,
-313  ,
-324  ,
-315  ,
-328  ,
-331  ,
-343  ,
-354  ,
-363  ,
-369  ,
-368  ,
-362  ,
-348  ,
-326  ,
-307  ,
-280  ,
-263  ,
-241  ,
-233  ,
-224  ,
-232  ,
-241  ,
-261  ,
-284  ,
-309  ,
-332  ,
-348  ,
-360  ,
-359  ,
-357  ,
-348  ,
-340  ,
-335  ,
-331  ,
-333  ,
-339  ,
-347  ,
-358  ,
-363  ,
-369  ,
-364  ,
-350  ,
-325  ,
-293  ,
-249  ,
-205  ,
-163  ,
-117  ,
-84 ,
-51 ,
-25 ,
-9  ,
8 ,
17  ,
31  ,
36  ,
50  ,
64  ,
77  ,
102 ,
118 ,
137 ,
151 ,
153 ,
152 ,
141 ,
123 ,
101 ,
82  ,
63  ,
59  ,
59  ,
73  ,
92  ,
122 ,
151 ,
182 ,
212 ,
239 ,
258 ,
278 ,
288 ,
303 ,
311 ,
329 ,
347 ,
372 ,
406 ,
435 ,
474 ,
500 ,
529 ,
548 ,
557 ,
563 ,
551 ,
535 ,
509 ,
475 ,
440 ,
410 ,
377 ,
364 ,
347 ,
342 ,
337 ,
327 ,
326 ,
310 ,
308 ,
290 ,
277 ,
256 ,
236 ,
227 ,
218 ,
227 ,
233 ,
260 ,
280 ,
314 ,
328 ,
352 ,
358 ,
366 ,
354 ,
341 ,
313 ,
290 ,
260 ,
230 ,
204 ,
170 ,
154 ,
132 ,
117 ,
95  ,
76  ,
46  ,
13  ,
-32 ,
-74 ,
-118  ,
-162  ,
-190  ,
-220  ,
-232  ,
-244  ,
-237  ,
-227  ,
-211  ,
-204  ,
-190  ,
-196  ,
-196  ,
-216  ,
-228  ,
-253  ,
-270  ,
-283  ,
-295  ,
-302  ,
-302  ,
-294  ,
-288  ,
-290  ,
-294  ,
-304  ,
-331  ,
-348  ,
-387  ,
-415  ,
-458  ,
-490  ,
-514  ,
-541  ,
-559  ,
-563  ,
-556  ,
-547  ,
-532  ,
-518  ,
-507  ,
-498  ,
-497  ,
-485  ,
-490  ,
-481  ,
-474  ,
-460  ,
-440  ,
-413  ,
-375  ,
-333  ,
-296  ,
-262  ,
-236  ,
-224  ,
-215  ,
-209  ,
-214  ,
-221  ,
-236  ,
-237  ,
-246  ,
-249  ,
-242  ,
-236  ,
-219  ,
-206  ,
-188  ,
-181  ,
-172  ,
-163  ,
-156  ,
-158  ,
-148  ,
-144  ,
-122  ,
-105  ,
-83 ,
-51 ,
-25 ,
23  ,
67  ,
118 ,
156 ,
199 ,
232 ,
267 ,
275 ,
299 ,
298 ,
307 ,
313 ,
324 ,
340 ,
352 ,
376 ,
397 ,
402 ,
406 ,
398 ,
390 ,
362 ,
340 ,
307 ,
281 ,
255 ,
238 ,
228 ,
223 ,
234 ,
250 ,
276 ,
288 ,
312 ,
322 ,
333 ,
339 ,
343 ,
343 ,
345 ,
348 ,
353 ,
364 ,
368 ,
383 ,
398 ,
399 ,
400 ,
390 ,
379 ,
355 ,
331 ,
300 ,
257 ,
213 ,
176 ,
139 ,
109 ,
86  ,
82  ,
73  ,
71  ,
61  ,
55  ,
40  ,
28  ,
7 ,
-14 ,
-39 ,
-56 ,
-62 ,
-58 ,
-60 ,
-43 ,
-33 ,
-12 ,
-5  ,
16  ,
23  ,
33  ,
32  ,
28  ,
2 ,
-23 ,
-50 ,
-62 ,
-94 ,
-110  ,
-129  ,
-142  ,
-148  ,
-147  ,
-148  ,
-157  ,
-170  ,
-185  ,
-205  ,
-242  ,
-260  ,
-285  ,
-285  ,
-284  ,
-279  ,
-254  ,
-232  ,
-195  ,
-163  ,
-134  ,
-121  ,
-103  ,
-88 ,
-76 ,
-79 ,
-74 ,
-71 ,
-67 ,
-62 ,
-61 ,
-57 ,
-52 ,
-36 ,
-24 ,
-17 ,
-27 ,
-22 ,
-42 ,
-53 ,
-85 ,
-111  ,
-139  ,
-160  ,
-171  ,
-179  ,
-180  ,
-160  ,
-138  ,
-108  ,
-89 ,
-73 ,
-57 ,
-46 ,
-40 ,
-33 ,
-26 ,
-18 ,
-1  ,
22  ,
44  ,
59  ,
90  ,
111 ,
138 ,
152 ,
166 ,
170 ,
168 ,
159 ,
139 ,
106 ,
79  ,
52  ,
27  ,
4 ,
-15 ,
-21 ,
-27 ,
-25 ,
-32 ,
-33 ,
-43 ,
-50 ,
-64 ,
-77 ,
-93 ,
-97 ,
-91 ,
-79 ,
-59 ,
-37 ,
-9  ,
18  ,
47  ,
68  ,
80  ,
93  ,
97  ,
108 ,
93  ,
85  ,
66  ,
54  ,
36  ,
20  ,
5 ,
-1  ,
-10 ,
-15 ,
-28 ,
-43 ,
-65 ,
-79 ,
-108  ,
-130  ,
-166  ,
-189  ,
-206  ,
-215  ,
-214  ,
-209  ,
-194  ,
-176  ,
-156  ,
-139  ,
-129  ,
-117  ,
-107  ,
-103  ,
-96 ,
-105  ,
-95 ,
-103  ,
-91 ,
-93 ,
-87 ,
-85 ,
-73 ,
-70 ,
-66 ,
-70 ,
-74 ,
-91 ,
-108  ,
-133  ,
-159  ,
-184  ,
-194  ,
-203  ,
-201  ,
-199  ,
-188  ,
-167  ,
-157  ,
-139  ,
-130  ,
-113  ,
-101  ,
-83 ,
-74 ,
-56 ,
-41 ,
-12 ,
12  ,
39  ,
65  ,
92  ,
128 ,
151 ,
178 ,
195 ,
207 ,
215 ,
212 ,
209 ,
189 ,
186 ,
176 ,
171 ,
168 ,
169 ,
177 ,
187 ,
196 ,
195 ,
195 ,
187 ,
190 ,
180 ,
183 ,
177 ,
195 ,
208 ,
228 ,
251 ,
269 ,
302 ,
327 ,
358 ,
384 ,
409 ,
432 ,
452 ,
463 ,
463 ,
463 ,
456 ,
449 ,
439 ,
429 ,
425 ,
422 ,
422 ,
416 ,
397 ,
374 ,
341 ,
306 ,
268 ,
225 ,
194 ,
161 ,
144 ,
132 ,
120 ,
120 ,
113 ,
121 ,
115 ,
111 ,
106 ,
104 ,
102 ,
98  ,
92  ,
86  ,
73  ,
68  ,
56  ,
51  ,
37  ,
35  ,
30  ,
25  ,
10  ,
-3  ,
-32 ,
-63 ,
-108  ,
-155  ,
-197  ,
-246  ,
-273  ,
-304  ,
-324  ,
-343  ,
-357  ,
-371  ,
-385  ,
-405  ,
-427  ,
-447  ,
-463  ,
-477  ,
-481  ,
-490  ,
-483  ,
-484  ,
-466  ,
-461  ,
-443  ,
-432  ,
-418  ,
-408  ,
-400  ,
-395  ,
-399  ,
-402  ,
-414  ,
-423  ,
-442  ,
-451  ,
-465  ,
-469  ,
-474  ,
-468  ,
-463  ,
-461  ,
-450  ,
-457  ,
-458  ,
-465  ,
-469  ,
-476  ,
-480  ,
-479  ,
-471  ,
-450  ,
-430  ,
-393  ,
-367  ,
-328  ,
-298  ,
-259  ,
-231  ,
-200  ,
-174  ,
-146  ,
-126  ,
-106  ,
-85 ,
-62 ,
-39 ,
-12 ,
9 ,
35  ,
50  ,
75  ,
86  ,
102 ,
108 ,
112 ,
105 ,
102 ,
93  ,
92  ,
92  ,
95  ,
107 ,
114 ,
134 ,
148 ,
179 ,
201 ,
228 ,
246 ,
274 ,
283 ,
313 ,
322 ,
355 ,
366 ,
403 ,
425 ,
464 ,
492 ,
522 ,
548 ,
561 ,
575 ,
576 ,
573 ,
566 ,
551 ,
541 ,
519 ,
504 ,
484 ,
467 ,
451 ,
438 ,
427 ,
419 ,
414 ,
399 ,
394 ,
375 ,
366 ,
350 ,
339 ,
321 ,
316 ,
315 ,
322 ,
334 ,
349 ,
365 ,
379 ,
386 ,
390 ,
378 ,
370 ,
352 ,
345 ,
329 ,
312 ,
295 ,
271 ,
248 ,
222 ,
192 ,
163 ,
132 ,
101 ,
76  ,
39  ,
10  ,
-21 ,
-56 ,
-89 ,
-127  ,
-153  ,
-177  ,
-198  ,
-210  ,
-219  ,
-225  ,
-227  ,
-226  ,
-224  ,
-227  ,
-231  ,
-235  ,
-240  ,
-251  ,
-264  ,
-268  ,
-277  ,
-277  ,
-281  ,
-282  ,
-292  ,
-302  ,
-313  ,
-332  ,
-347  ,
-377  ,
-391  ,
-419  ,
-441  ,
-461  ,
-480  ,
-490  ,
-502  ,
-500  ,
-510  ,
-505  ,
-505  ,
-497  ,
-492  ,
-486  ,
-482  ,
-469  ,
-463  ,
-446  ,
-430  ,
-412  ,
-390  ,
-366  ,
-340  ,
-314  ,
-293  ,
-262  ,
-237  ,
-217  ,
-203  ,
-193  ,
-188  ,
-179  ,
-186  ,
-174  ,
-183  ,
-175  ,
-174  ,
-167  ,
-159  ,
-155  ,
-142  ,
-136  ,
-134  ,
-132  ,
-128  ,
-121  ,
-114  ,
-98 ,
-85 ,
-54 ,
-30 ,
7 ,
40  ,
72  ,
106 ,
138 ,
162 ,
193 ,
215 ,
249 ,
275 ,
297 ,
318 ,
329 ,
338 ,
343 ,
343 ,
345 ,
346 ,
351 ,
353 ,
354 ,
349 ,
337 ,
324 ,
296 ,
279 ,
248 ,
237 ,
224 ,
226 ,
230 ,
233 ,
244 ,
251 ,
257 ,
253 ,
252 ,
249 ,
250 ,
259 ,
261 ,
275 ,
276 ,
287 ,
288 ,
282 ,
284 ,
268 ,
276 ,
261 ,
258 ,
241 ,
230 ,
210 ,
190 ,
158 ,
127 ,
93  ,
65  ,
40  ,
19  ,
-6  ,
-8  ,
-30 ,
-34 ,
-56 ,
-72 ,
-92 ,
-102  ,
-119  ,
-120  ,
-137  ,
-133  ,
-130  ,
-119  ,
-110  ,
-98 ,
-92 ,
-85 ,
-92 ,
-89 ,
-104  ,
-109  ,
-122  ,
-132  ,
-136  ,
-149  ,
-153  ,
-160  ,
-174  ,
-182  ,
-200  ,
-205  ,
-219  ,
-216  ,
-230  ,
-224  ,
-239  ,
-236  ,
-248  ,
-253  ,
-261  ,
-257  ,
-250  ,
-233  ,
-216  ,
-187  ,
-171  ,
-137  ,
-112  ,
-95 ,
-84 ,
-76 ,
-66 ,
-54 ,
-46 ,
-28 ,
-13 ,
11  ,
28  ,
49  ,
56  ,
64  ,
75  ,
64  ,
67  ,
48  ,
44  ,
33  ,
27  ,
23  ,
18  ,
18  ,
15  ,
18  ,
17  ,
22  ,
27  ,
40  ,
51  ,
64  ,
79  ,
94  ,
107 ,
131 ,
143 ,
156 ,
164 ,
180 ,
199 ,
218 ,
239 ,
269 ,
285 ,
304 ,
307 ,
311 ,
295 ,
275 ,
256 ,
230 ,
213 ,
192 ,
185 ,
169 ,
158 ,
143 ,
133 ,
112 ,
99  ,
79  ,
73  ,
60  ,
60  ,
58  ,
55  ,
52  ,
48  ,
49  ,
41  ,
49  ,
44  ,
65  ,
69  ,
88  ,
98  ,
100 ,
100 ,
84  ,
66  ,
37  ,
15  ,
-3  ,
-17 ,
-25 ,
-29 ,
-34 ,
-39 ,
-58 ,
-81 ,
-107  ,
-144  ,
-163  ,
-197  ,
-213  ,
-226  ,
-236  ,
-239  ,
-247  ,
-255  ,
-263  ,
-273  ,
-274  ,
-276  ,
-272  ,
-261  ,
-255  ,
-235  ,
-230  ,
-227  ,
-230  ,
-239  ,
-244  ,
-250  ,
-248  ,
-245  ,
-236  ,
-226  ,
-216  ,
-214  ,
-227  ,
-237  ,
-263  ,
-285  ,
-303  ,
-318  ,
-324  ,
-323  ,
-317  ,
-312  ,
-305  ,
-302  ,
-288  ,
-290  ,
-279  ,
-277  ,
-261  ,
-244  ,
-218  ,
-202  ,
-180  ,
-167  ,
-145  ,
-125  ,
-95 ,
-73 ,
-44 ,
-14 ,
14  ,
42  ,
64  ,
86  ,
101 ,
112 ,
117 ,
119 ,
124 ,
128 ,
138 ,
142 ,
148 ,
153 ,
160 ,
165 ,
174 ,
175 ,
180 ,
181 ,
186 ,
183 ,
197 ,
202 ,
232 ,
247 ,
280 ,
299 ,
335 ,
357 ,
390 ,
402 ,
424 ,
434 ,
452 ,
462 ,
471 ,
478 ,
490 ,
492 ,
500 ,
488 ,
487 ,
471 ,
462 ,
449 ,
433 ,
417 ,
401 ,
384 ,
362 ,
339 ,
311 ,
289 ,
264 ,
246 ,
230 ,
224 ,
225 ,
229 ,
235 ,
228 ,
231 ,
218 ,
214 ,
194 ,
179 ,
162 ,
154 ,
151 ,
154 ,
150 ,
143 ,
131 ,
115 ,
88  ,
60  ,
33  ,
2 ,
-20 ,
-52 ,
-72 ,
-101  ,
-123  ,
-157  ,
-184  ,
-231  ,
-261  ,
-291  ,
-306  ,
-326  ,
-338  ,
-347  ,
-356  ,
-367  ,
-380  ,
-400  ,
-416  ,
-426  ,
-427  ,
-424  ,
-417  ,
-402  ,
-381  ,
-372  ,
-365  ,
-381  ,
-389  ,
-405  ,
-419  ,
-424  ,
-430  ,
-429  ,
-426  ,
-422  ,
-418  ,
-429  ,
-426  ,
-435  ,
-440  ,
-451  ,
-463  ,
-462  ,
-460  ,
-447  ,
-437  ,
-430  ,
-422  ,
-417  ,
-404  ,
-393  ,
-375  ,
-351  ,
-321  ,
-289  ,
-262  ,
-231  ,
-207  ,
-174  ,
-148  ,
-130  ,
-108  ,
-96 ,
-71 ,
-40 ,
-11 ,
25  ,
53  ,
77  ,
93  ,
96  ,
96  ,
89  ,
83  ,
86  ,
85  ,
94  ,
102 ,
120 ,
135 ,
142 ,
148 ,
147 ,
150 ,
159 ,
174 ,
196 ,
218 ,
249 ,
272 ,
299 ,
313 ,
334 ,
350 ,
372 ,
391 ,
416 ,
440 ,
466 ,
489 ,
512 ,
513 ,
511 ,
499 ,
489 ,
471 ,
455 ,
441 ,
432 ,
425 ,
414 ,
411 ,
391 ,
382 ,
365 ,
348 ,
323 ,
302 ,
291 ,
287 ,
280 ,
284 ,
282 ,
288 ,
280 ,
291 ,
283 ,
285 ,
282 ,
284 ,
288 ,
279 ,
276 ,
271 ,
258 ,
245 ,
224 ,
206 ,
182 ,
166 ,
147 ,
122 ,
100 ,
73  ,
52  ,
28  ,
-4  ,
-31 ,
-58 ,
-92 ,
-117  ,
-149  ,
-171  ,
-195  ,
-202  ,
-217  ,
-218  ,
-235  ,
-233  ,
-246  ,
-245  ,
-261  ,
-269  ,
-281  ,
-286  ,
-287  ,
-286  ,
-290  ,
-285  ,
-287  ,
-291  ,
-299  ,
-312  ,
-321  ,
-334  ,
-342  ,
-360  ,
-367  ,
-387  ,
-397  ,
-411  ,
-429  ,
-446  ,
-454  ,
-465  ,
-457  ,
-461  ,
-446  ,
-447  ,
-436  ,
-435  ,
-430  ,
-430  ,
-421  ,
-414  ,
-392  ,
-381  ,
-356  ,
-330  ,
-304  ,
-273  ,
-254  ,
-229  ,
-215  ,
-193  ,
-171  ,
-159  ,
-135  ,
-125  ,
-103  ,
-90 ,
-80 ,
-73 ,
-61 ,
-59 ,
-49 ,
-50 ,
-40 ,
-41 ,
-25 ,
-21 ,
-12 ,
-8  ,
-6  ,
5 ,
12  ,
25  ,
45  ,
64  ,
97  ,
127 ,
160 ,
196 ,
226 ,
252 ,
278 ,
294 ,
315 ,
327 ,
355 ,
375 ,
396 ,
413 ,
419 ,
427 ,
432 ,
434 ,
434 ,
431 ,
426 ,
418 ,
408 ,
399 ,
379 ,
373 ,
354 ,
343 ,
323 ,
311 ,
308 ,
303 ,
305 ,
300 ,
300 ,
294 ,
298 ,
289 ,
290 ,
280 ,
282 ,
278 ,
279 ,
272 ,
270 ,
268 ,
258 ,
253 ,
232 ,
227 ,
208 ,
194 ,
176 ,
149 ,
127 ,
93  ,
73  ,
35  ,
13  ,
-17 ,
-37 ,
-58 ,
-78 ,
-95 ,
-112  ,
-126  ,
-143  ,
-160  ,
-183  ,
-202  ,
-211  ,
-225  ,
-226  ,
-230  ,
-229  ,
-221  ,
-218  ,
-216  ,
-219  ,
-224  ,
-226  ,
-232  ,
-228  ,
-241  ,
-231  ,
-240  ,
-238  ,
-254  ,
-265  ,
-281  ,
-291  ,
-297  ,
-302  ,
-303  ,
-314  ,
-313  ,
-327  ,
-333  ,
-349  ,
-356  ,
-353  ,
-355  ,
-338  ,
-335  ,
-310  ,
-298  ,
-273  ,
-265  ,
-251  ,
-241  ,
-223  ,
-201  ,
-179  ,
-154  ,
-125  ,
-103  ,
-79 ,
-68 ,
-48 ,
-45 ,
-21 ,
-11 ,
9 ,
18  ,
36  ,
52  ,
56  ,
56  ,
42  ,
36  ,
22  ,
20  ,
15  ,
18  ,
30  ,
39  ,
57  ,
58  ,
62  ,
67  ,
70  ,
82  ,
85  ,
108 ,
129 ,
155 ,
179 ,
198 ,
212 ,
224 ,
242 ,
250 ,
263 ,
272 ,
288 ,
306 ,
308 ,
319 ,
304 ,
293 ,
274 ,
246 ,
228 ,
204 ,
200 ,
204 ,
199 ,
197 ,
183 ,
174 ,
153 ,
138 ,
117 ,
103 ,
96  ,
102 ,
109 ,
120 ,
125 ,
134 ,
138 ,
133 ,
126 ,
121 ,
118 ,
122 ,
127 ,
130 ,
120 ,
119 ,
103 ,
96  ,
76  ,
55  ,
46  ,
27  ,
19  ,
2 ,
-8  ,
-28 ,
-41 ,
-74 ,
-103  ,
-131  ,
-148  ,
-151  ,
-165  ,
-174  ,
-187  ,
-192  ,
-195  ,
-190  ,
-192  ,
-197  ,
-203  ,
-205  ,
-209  ,
-210  ,
-214  ,
-206  ,
-201  ,
-201  ,
-198  ,
-201  ,
-200  ,
-194  ,
-191  ,
-187  ,
-195  ,
-199  ,
-205  ,
-219  ,
-235  ,
-247  ,
-259  ,
-260  ,
-264  ,
-261  ,
-264  ,
-268  ,
-264  ,
-268  ,
-271  ,
-276  ,
-269  ,
-256  ,
-238  ,
-222  ,
-208  ,
-188  ,
-182  ,
-154  ,
-148  ,
-125  ,
-111  ,
-76 ,
-55 ,
-20 ,
1 ,
31  ,
48  ,
60  ,
64  ,
68  ,
70  ,
81  ,
96  ,
107 ,
121 ,
136 ,
146 ,
150 ,
149 ,
147 ,
146 ,
140 ,
140 ,
150 ,
150 ,
174 ,
190 ,
211 ,
222 ,
231 ,
243 ,
254 ,
268 ,
290 ,
316 ,
343 ,
373 ,
392 ,
413 ,
408 ,
417 ,
416 ,
414 ,
418 ,
418 ,
434 ,
434 ,
440 ,
428 ,
413 ,
387 ,
367 ,
337 ,
320 ,
288 ,
284 ,
263 ,
256 ,
238 ,
225 ,
201 ,
194 ,
166 ,
169 ,
149 ,
153 ,
152 ,
150 ,
137 ,
125 ,
111 ,
101 ,
92  ,
80  ,
74  ,
64  ,
63  ,
57  ,
43  ,
22  ,
-7  ,
-32 ,
-73 ,
-103  ,
-135  ,
-160  ,
-178  ,
-201  ,
-219  ,
-249  ,
-269  ,
-296  ,
-315  ,
-343  ,
-363  ,
-382  ,
-394  ,
-403  ,
-416  ,
-425  ,
-431  ,
-437  ,
-439  ,
-447  ,
-442  ,
-441  ,
-431  ,
-427  ,
-425  ,
-418  ,
-415  ,
-412  ,
-413  ,
-421  ,
-427  ,
-434  ,
-433  ,
-440  ,
-436  ,
-430  ,
-424  ,
-414  ,
-415  ,
-416  ,
-421  ,
-430  ,
-420  ,
-429  ,
-413  ,
-410  ,
-391  ,
-374  ,
-362  ,
-341  ,
-319  ,
-302  ,
-269  ,
-249  ,
-211  ,
-190  ,
-149  ,
-123  ,
-94 ,
-70 ,
-43 ,
-15 ,
13  ,
39  ,
67  ,
90  ,
109 ,
136 ,
145 ,
164 ,
173 ,
183 ,
196 ,
196 ,
204 ,
204 ,
206 ,
202 ,
212 ,
212 ,
221 ,
233 ,
253 ,
268 ,
284 ,
295 ,
313 ,
315 ,
335 ,
342 ,
359 ,
372 ,
401 ,
425 ,
454 ,
475 ,
505 ,
522 ,
531 ,
536 ,
535 ,
538 ,
533 ,
536 ,
532 ,
522 ,
513 ,
504 ,
488 ,
470 ,
447 ,
431 ,
411 ,
400 ,
387 ,
375 ,
366 ,
350 ,
341 ,
325 ,
306 ,
294 ,
284 ,
274 ,
270 ,
268 ,
270 ,
276 ,
277 ,
276 ,
259 ,
245 ,
222 ,
207 ,
184 ,
169 ,
157 ,
144 ,
134 ,
114 ,
96  ,
65  ,
43  ,
13  ,
-18 ,
-43 ,
-77 ,
-94 ,
-121  ,
-143  ,
-163  ,
-193  ,
-214  ,
-241  ,
-259  ,
-280  ,
-282  ,
-292  ,
-284  ,
-295  ,
-299  ,
-312  ,
-323  ,
-333  ,
-350  ,
-358  ,
-369  ,
-372  ,
-368  ,
-373  ,
-370  ,
-373  ,
-379  ,
-388  ,
-406  ,
-421  ,
-439  ,
-449  ,
-464  ,
-468  ,
-479  ,
-490  ,
-491  ,
-500  ,
-502  ,
-511  ,
-513  ,
-513  ,
-511  ,
-505  ,
-493  ,
-486  ,
-471  ,
-463  ,
-451  ,
-445  ,
-431  ,
-411  ,
-388  ,
-361  ,
-335  ,
-305  ,
-275  ,
-249  ,
-220  ,
-206  ,
-189  ,
-179  ,
-156  ,
-142  ,
-127  ,
-108  ,
-91 ,
-79 ,
-62 ,
-60 ,
-49 ,
-42 ,
-34 ,
-23 ,
-17 ,
-15 ,
0 ,
7 ,
23  ,
35  ,
52  ,
73  ,
99  ,
122 ,
147 ,
173 ,
202 ,
233 ,
258 ,
277 ,
299 ,
321 ,
344 ,
364 ,
380 ,
399 ,
416 ,
430 ,
446 ,
445 ,
449 ,
446 ,
446 ,
439 ,
436 ,
426 ,
427 ,
415 ,
405 ,
388 ,
373 ,
359 ,
350 ,
349 ,
347 ,
350 ,
358 ,
354 ,
349 ,
336 ,
329 ,
317 ,
313 ,
309 ,
307 ,
310 ,
309 ,
317 ,
305 ,
293 ,
274 ,
254 ,
240 ,
212 ,
196 ,
172 ,
164 ,
139 ,
128 ,
97  ,
71  ,
39  ,
8 ,
-17 ,
-39 ,
-53 ,
-63 ,
-75 ,
-90 ,
-113  ,
-133  ,
-153  ,
-167  ,
-181  ,
-192  ,
-196  ,
-198  ,
-189  ,
-187  ,
-188  ,
-186  ,
-190  ,
-190  ,
-203  ,
-207  ,
-215  ,
-210  ,
-214  ,
-215  ,
-221  ,
-237  ,
-237  ,
-254  ,
-254  ,
-268  ,
-268  ,
-270  ,
-274  ,
-271  ,
-275  ,
-280  ,
-286  ,
-298  ,
-301  ,
-313  ,
-304  ,
-290  ,
-273  ,
-254  ,
-242  ,
-220  ,
-208  ,
-187  ,
-176  ,
-160  ,
-151  ,
-134  ,
-117  ,
-99 ,
-82 ,
-57 ,
-30 ,
-12 ,
5 ,
11  ,
22  ,
25  ,
33  ,
36  ,
38  ,
33  ,
34  ,
35  ,
34  ,
34  ,
34  ,
35  ,
31  ,
34  ,
33  ,
44  ,
53  ,
66  ,
75  ,
87  ,
99  ,
112 ,
126 ,
136 ,
150 ,
164 ,
176 ,
194 ,
212 ,
222 ,
240 ,
246 ,
256 ,
252 ,
246 ,
240 ,
232 ,
224 ,
214 ,
202 ,
192 ,
180 ,
175 ,
161 ,
152 ,
138 ,
128 ,
113 ,
99  ,
88  ,
81  ,
74  ,
66  ,
59  ,
54  ,
46  ,
49  ,
48  ,
49  ,
44  ,
53  ,
51  ,
58  ,
48  ,
49  ,
39  ,
41  ,
23  ,
22  ,
0 ,
-7  ,
-16 ,
-24 ,
-35 ,
-42 ,
-54 ,
-62 ,
-85 ,
-105  ,
-131  ,
-151  ,
-173  ,
-188  ,
-202  ,
-215  ,
-214  ,
-217  ,
-214  ,
-219  ,
-216  ,
-223  ,
-222  ,
-228  ,
-234  ,
-234  ,
-235  ,
-220  ,
-213  ,
-207  ,
-205  ,
-205  ,
-199  ,
-207  ,
-209  ,
-212  ,
-214  ,
-215  ,
-215  ,
-218  ,
-227  ,
-230  ,
-233  ,
-241  ,
-257  ,
-261  ,
-266  ,
-259  ,
-257  ,
-249  ,
-233  ,
-231  ,
-213  ,
-212  ,
-207  ,
-204  ,
-195  ,
-179  ,
-170  ,
-152  ,
-125  ,
-94 ,
-58 ,
-40 ,
-8  ,
1 ,
24  ,
44  ,
59  ,
80  ,
96  ,
123 ,
139 ,
156 ,
164 ,
178 ,
182 ,
184 ,
192 ,
192 ,
200 ,
208 ,
216 ,
219 ,
219 ,
221 ,
224 ,
223 ,
226 ,
231 ,
247 ,
267 ,
288 ,
313 ,
327 ,
350 ,
369 ,
391 ,
402 ,
415 ,
430 ,
446 ,
455 ,
462 ,
471 ,
472 ,
485 ,
484 ,
485 ,
476 ,
468 ,
457 ,
448 ,
433 ,
414 ,
406 ,
379 ,
365 ,
336 ,
318 ,
300 ,
291 ,
274 ,
262 ,
240 ,
233 ,
224 ,
216 ,
198 ,
184 ,
166 ,
155 ,
134 ,
127 ,
118 ,
105 ,
107 ,
86  ,
74  ,
50  ,
35  ,
22  ,
-2  ,
-30 ,
-59 ,
-85 ,
-110  ,
-136  ,
-160  ,
-188  ,
-219  ,
-240  ,
-273  ,
-288  ,
-321  ,
-325  ,
-349  ,
-363  ,
-391  ,
-411  ,
-431  ,
-449  ,
-454  ,
-472  ,
-478  ,
-482  ,
-479  ,
-471  ,
-474  ,
-472  ,
-471  ,
-472  ,
-484  ,
-486  ,
-500  ,
-490  ,
-487  ,
-479  ,
-477  ,
-487  ,
-489  ,
-487  ,
-493  ,
-493  ,
-494  ,
-487  ,
-486  ,
-474  ,
-479  ,
-471  ,
-471  ,
-467  ,
-465  ,
-467  ,
-454  ,
-430  ,
-411  ,
-380  ,
-367  ,
-337  ,
-319  ,
-291  ,
-271  ,
-249  ,
-224  ,
-190  ,
-148  ,
-119  ,
-82 ,
-59 ,
-20 ,
0 ,
25  ,
45  ,
60  ,
88  ,
103 ,
119 ,
130 ,
140 ,
154 ,
162 ,
162 ,
167 ,
169 ,
185 ,
193 ,
212 ,
223 ,
237 ,
249 ,
265 ,
271 ,
290 ,
303 ,
329 ,
344 ,
362 ,
375 ,
394 ,
418 ,
441 ,
460 ,
475 ,
489 ,
504 ,
515 ,
527 ,
530 ,
534 ,
526 ,
521 ,
507 ,
499 ,
490 ,
491 ,
489 ,
484 ,
474 ,
456 ,
446 ,
424 ,
414 ,
391 ,
378 ,
363 ,
358 ,
351 ,
347 ,
344 ,
339 ,
336 ,
327 ,
311 ,
305 ,
291 ,
295 ,
290 ,
288 ,
275 ,
266 ,
260 ,
240 ,
232 ,
199 ,
185 ,
164 ,
147 ,
131 ,
104 ,
87  ,
62  ,
33  ,
5 ,
-39 ,
-60 ,
-94 ,
-111  ,
-136  ,
-148  ,
-168  ,
-176  ,
-193  ,
-200  ,
-223  ,
-228  ,
-244  ,
-248  ,
-262  ,
-267  ,
-276  ,
-274  ,
-279  ,
-282  ,
-292  ,
-303  ,
-315  ,
-322  ,
-333  ,
-342  ,
-350  ,
-356  ,
-364  ,
-375  ,
-393  ,
-399  ,
-414  ,
-415  ,
-429  ,
-435  ,
-443  ,
-444  ,
-444  ,
-446  ,
-447  ,
-451  ,
-450  ,
-450  ,
-450  ,
-449  ,
-438  ,
-424  ,
-407  ,
-391  ,
-382  ,
-366  ,
-353  ,
-329  ,
-309  ,
-285  ,
-266  ,
-240  ,
-221  ,
-198  ,
-192  ,
-169  ,
-161  ,
-147  ,
-139  ,
-129  ,
-114  ,
-100  ,
-76 ,
-68 ,
-64 ,
-61 ,
-65 ,
-52 ,
-50 ,
-38 ,
-25 ,
-9  ,
7 ,
27  ,
38  ,
62  ,
77  ,
106 ,
118 ,
144 ,
161 ,
186 ,
218 ,
239 ,
264 ,
278 ,
293 ,
302 ,
317 ,
324 ,
343 ,
357 ,
372 ,
381 ,
381 ,
383 ,
377 ,
374 ,
366 ,
351 ,
338 ,
329 ,
323 ,
321 ,
316 ,
317 ,
309 ,
303 ,
295 ,
282 ,
272 ,
269 ,
264 ,
267 ,
257 ,
260 ,
260 ,
259 ,
260 ,
246 ,
243 ,
228 ,
221 ,
210 ,
198 ,
184 ,
171 ,
161 ,
143 ,
120 ,
95  ,
70  ,
53  ,
26  ,
8 ,
-13 ,
-33 ,
-48 ,
-63 ,
-80 ,
-91 ,
-107  ,
-118  ,
-134  ,
-154  ,
-164  ,
-182  ,
-186  ,
-196  ,
-201  ,
-206  ,
-201  ,
-200  ,
-194  ,
-200  ,
-203  ,
-211  ,
-221  ,
-234  ,
-242  ,
-254  ,
-253  ,
-252  ,
-247  ,
-242  ,
-252  ,
-250  ,
-260  ,
-265  ,
-267  ,
-275  ,
-268  ,
-269  ,
-263  ,
-255  ,
-257  ,
-250  ,
-249  ,
-246  ,
-248  ,
-243  ,
-236  ,
-211  ,
-190  ,
-161  ,
-138  ,
-122  ,
-104  ,
-96 ,
-84 ,
-74 ,
-58 ,
-35 ,
-11 ,
10  ,
34  ,
53  ,
78  ,
88  ,
93  ,
87  ,
82  ,
81  ,
84  ,
102 ,
101 ,
122 ,
118 ,
130 ,
120 ,
119 ,
118 ,
117 ,
124 ,
128 ,
141 ,
148 ,
170 ,
180 ,
197 ,
196 ,
200 ,
206 ,
210 ,
225 ,
236 ,
260 ,
272 ,
286 ,
288 ,
284 ,
280 ,
275 ,
277 ,
267 ,
264 ,
254 ,
255 ,
244 ,
243 ,
230 ,
217 ,
198 ,
182 ,
163 ,
150 ,
135 ,
132 ,
120 ,
111 ,
96  ,
87  ,
72  ,
69  ,
58  ,
54  ,
52  ,
47  ,
54  ,
50  ,
45  ,
47  ,
37  ,
34  ,
17  ,
4 ,
-10 ,
-20 ,
-27 ,
-35 ,
-48 ,
-60 ,
-74 ,
-89 ,
-104  ,
-121  ,
-137  ,
-152  ,
-168  ,
-184  ,
-206  ,
-217  ,
-230  ,
-232  ,
-237  ,
-234  ,
-239  ,
-235  ,
-246  ,
-246  ,
-255  ,
-258  ,
-259  ,
-261  ,
-256  ,
-262  ,
-251  ,
-253  ,
-246  ,
-254  ,
-259  ,
-266  ,
-272  ,
-269  ,
-271  ,
-265  ,
-264  ,
-264  ,
-260  ,
-271  ,
-276  ,
-283  ,
-284  ,
-289  ,
-286  ,
-285  ,
-278  ,
-267  ,
-261  ,
-251  ,
-254  ,
-252  ,
-256  ,
-250  ,
-238  ,
-228  ,
-198  ,
-173  ,
-148  ,
-125  ,
-112  ,
-89 ,
-71 ,
-50 ,
-31 ,
-13 ,
9 ,
30  ,
59  ,
77  ,
89  ,
106 ,
105 ,
114 ,
112 ,
119 ,
133 ,
147 ,
169 ,
180 ,
188 ,
190 ,
193 ,
198 ,
202 ,
206 ,
215 ,
228 ,
244 ,
264 ,
289 ,
307 ,
331 ,
343 ,
347 ,
354 ,
354 ,
377 ,
384 ,
411 ,
418 ,
436 ,
440 ,
448 ,
447 ,
447 ,
444 ,
444 ,
441 ,
433 ,
425 ,
423 ,
418 ,
417 ,
393 ,
379 ,
347 ,
329 ,
316 ,
304 ,
297 ,
291 ,
285 ,
275 ,
260 ,
240 ,
233 ,
216 ,
212 ,
191 ,
180 ,
165 ,
158 ,
157 ,
148 ,
138 ,
121 ,
104 ,
81  ,
55  ,
32  ,
10  ,
-5  ,
-33 ,
-56 ,
-95 ,
-114  ,
-144  ,
-159  ,
-187  ,
-213  ,
-234  ,
-259  ,
-273  ,
-290  ,
-308  ,
-316  ,
-339  ,
-343  ,
-368  ,
-381  ,
-395  ,
-398  ,
-403  ,
-405  ,
-413  ,
-410  ,
-414  ,
-407  ,
-414  ,
-416  ,
-423  ,
-431  ,
-435  ,
-442  ,
-440  ,
-434  ,
-424  ,
-422  ,
-422  ,
-427  ,
-429  ,
-425  ,
-431  ,
-422  ,
-431  ,
-422  ,
-419  ,
-414  ,
-404  ,
-399  ,
-382  ,
-378  ,
-364  ,
-359  ,
-341  ,
-323  ,
-295  ,
-267  ,
-239  ,
-213  ,
-191  ,
-166  ,
-152  ,
-131  ,
-111  ,
-86 ,
-55 ,
-28 ,
2 ,
26  ,
46  ,
68  ,
81  ,
87  ,
98  ,
99  ,
113 ,
122 ,
140 ,
154 ,
166 ,
182 ,
185 ,
190 ,
189 ,
199 ,
207 ,
224 ,
235 ,
254 ,
269 ,
283 ,
300 ,
303 ,
311 ,
311 ,
330 ,
342 ,
362 ,
384 ,
402 ,
424 ,
430 ,
435 ,
429 ,
421 ,
416 ,
416 ,
417 ,
411 ,
416 ,
414 ,
408 ,
396 ,
376 ,
357 ,
338 ,
326 ,
309 ,
302 ,
288 ,
292 ,
284 ,
277 ,
255 ,
241 ,
227 ,
218 ,
215 ,
210 ,
211 ,
208 ,
205 ,
203 ,
185 ,
180 ,
166 ,
157 ,
135 ,
121 ,
103 ,
96  ,
86  ,
77  ,
64  ,
36  ,
24  ,
-10 ,
-23 ,
-56 ,
-60 ,
-78 ,
-92 ,
-108  ,
-130  ,
-140  ,
-152  ,
-157  ,
-166  ,
-182  ,
-194  ,
-207  ,
-218  ,
-228  ,
-235  ,
-243  ,
-244  ,
-256  ,
-258  ,
-269  ,
-268  ,
-279  ,
-277  ,
-295  ,
-302  ,
-309  ,
-310  ,
-308  ,
-309  ,
-307  ,
-312  ,
-324  ,
-336  ,
-349  ,
-358  ,
-363  ,
-362  ,
-362  ,
-360  ,
-362  ,
-351  ,
-354  ,
-348  ,
-361  ,
-363  ,
-370  ,
-368  ,
-353  ,
-339  ,
-314  ,
-294  ,
-268  ,
-254  ,
-242  ,
-236  ,
-225  ,
-211  ,
-200  ,
-172  ,
-154  ,
-126  ,
-99 ,
-86 ,
-73 ,
-76 ,
-69 ,
-68 ,
-62 ,
-59 ,
-42 ,
-30 ,
-5  ,
8 ,
25  ,
28  ,
30  ,
33  ,
36  ,
45  ,
60  ,
84  ,
115 ,
136 ,
163 ,
175 ,
195 ,
204 ,
219 ,
229 ,
240 ,
262 ,
281 ,
314 ,
334 ,
364 ,
374 ,
385 ,
385 ,
384 ,
383 ,
390 ,
391 ,
403 ,
398 ,
401 ,
397 ,
395 ,
383 ,
366 ,
351 ,
333 ,
324 ,
317 ,
314 ,
317 ,
313 ,
314 ,
302 ,
284 ,
272 ,
258 ,
256 ,
246 ,
245 ,
238 ,
235 ,
229 ,
228 ,
215 ,
200 ,
181 ,
158 ,
132 ,
110 ,
96  ,
85  ,
78  ,
55  ,
36  ,
7 ,
-15 ,
-43 ,
-58 ,
-87 ,
-99 ,
-117  ,
-130  ,
-141  ,
-153  ,
-161  ,
-176  ,
-192  ,
-213  ,
-231  ,
-244  ,
-247  ,
-250  ,
-247  ,
-253  ,
-252  ,
-259  ,
-261  ,
-271  ,
-275  ,
-286  ,
-289  ,
-301  ,
-299  ,
-310  ,
-304  ,
-305  ,
-305  ,
-306  ,
-311  ,
-312  ,
-314  ,
-314  ,
-320  ,
-321  ,
-322  ,
-322  ,
-313  ,
-308  ,
-300  ,
-294  ,
-282  ,
-277  ,
-268  ,
-258  ,
-246  ,
-229  ,
-204  ,
-187  ,
-155  ,
-138  ,
-113  ,
-95 ,
-82 ,
-73 ,
-57 ,
-41 ,
-19 ,
1 ,
23  ,
39  ,
53  ,
64  ,
69  ,
73  ,
77  ,
82  ,
87  ,
92  ,
98  ,
107 ,
120 ,
129 ,
133 ,
139 ,
131 ,
136 ,
140 ,
147 ,
156 ,
170 ,
181 ,
194 ,
202 ,
208 ,
221 ,
224 ,
231 ,
240 ,
242 ,
257 ,
265 ,
281 ,
289 ,
292 ,
294 ,
280 ,
276 ,
255 ,
254 ,
241 ,
242 ,
233 ,
230 ,
222 ,
210 ,
202 ,
188 ,
166 ,
151 ,
131 ,
125 ,
119 ,
118 ,
116 ,
117 ,
108 ,
106 ,
86  ,
83  ,
69  ,
74  ,
63  ,
66  ,
57  ,
59  ,
53  ,
49  ,
32  ,
20  ,
-7  ,
-12 ,
-32 ,
-37 ,
-44 ,
-48 ,
-54 ,
-66 ,
-88 ,
-106  ,
-126  ,
-140  ,
-150  ,
-160  ,
-165  ,
-170  ,
-164  ,
-161  ,
-165  ,
-171  ,
-180  ,
-195  ,
-201  ,
-210  ,
-212  ,
-206  ,
-205  ,
-189  ,
-193  ,
-190  ,
-201  ,
-203  ,
-209  ,
-216  ,
-216  ,
-215  ,
-207  ,
-202  ,
-199  ,
-196  ,
-205  ,
-207  ,
-220  ,
-232  ,
-238  ,
-240  ,
-233  ,
-228  ,
-223  ,
-221  ,
-216  ,
-216  ,
-213  ,
-213  ,
-212  ,
-208  ,
-195  ,
-178  ,
-160  ,
-143  ,
-127  ,
-106  ,
-96 ,
-73 ,
-63 ,
-42 ,
-31 ,
-12 ,
-4  ,
11  ,
21  ,
37  ,
48  ,
52  ,
65  ,
67  ,
84  ,
88  ,
99  ,
104 ,
107 ,
117 ,
118 ,
133 ,
135 ,
153 ,
157 ,
167 ,
170 ,
177 ,
183 ,
202 ,
209 ,
227 ,
240 ,
258 ,
276 ,
293 ,
300 ,
308 ,
316 ,
313 ,
325 ,
335 ,
352 ,
367 ,
379 ,
382 ,
382 ,
377 ,
370 ,
361 ,
353 ,
337 ,
333 ,
317 ,
317 ,
305 ,
300 ,
291 ,
273 ,
261 ,
239 ,
229 ,
214 ,
211 ,
200 ,
199 ,
189 ,
187 ,
177 ,
165 ,
152 ,
139 ,
126 ,
111 ,
98  ,
87  ,
75  ,
73  ,
53  ,
41  ,
16  ,
-12 ,
-34 ,
-64 ,
-87 ,
-112  ,
-125  ,
-145  ,
-156  ,
-179  ,
-194  ,
-223  ,
-241  ,
-270  ,
-287  ,
-310  ,
-314  ,
-327  ,
-327  ,
-341  ,
-347  ,
-362  ,
-374  ,
-387  ,
-399  ,
-403  ,
-409  ,
-406  ,
-406  ,
-405  ,
-405  ,
-411  ,
-411  ,
-421  ,
-428  ,
-427  ,
-432  ,
-421  ,
-416  ,
-410  ,
-403  ,
-403  ,
-399  ,
-402  ,
-404  ,
-408  ,
-404  ,
-400  ,
-384  ,
-373  ,
-356  ,
-341  ,
-329  ,
-316  ,
-308  ,
-293  ,
-274  ,
-253  ,
-225  ,
-200  ,
-172  ,
-148  ,
-122  ,
-101  ,
-82 ,
-59 ,
-42 ,
-15 ,
7 ,
31  ,
59  ,
79  ,
105 ,
121 ,
134 ,
144 ,
154 ,
165 ,
177 ,
189 ,
204 ,
219 ,
231 ,
245 ,
251 ,
261 ,
265 ,
280 ,
282 ,
298 ,
303 ,
321 ,
325 ,
344 ,
348 ,
361 ,
367 ,
377 ,
389 ,
402 ,
413 ,
429 ,
438 ,
449 ,
450 ,
450 ,
452 ,
444 ,
449 ,
441 ,
441 ,
434 ,
433 ,
423 ,
414 ,
399 ,
384 ,
367 ,
347 ,
333 ,
314 ,
303 ,
291 ,
281 ,
266 ,
253 ,
240 ,
226 ,
221 ,
208 ,
206 ,
194 ,
191 ,
177 ,
172 ,
156 ,
150 ,
132 ,
126 ,
102 ,
93  ,
75  ,
61  ,
49  ,
29  ,
16  ,
-6  ,
-22 ,
-39 ,
-57 ,
-70 ,
-86 ,
-97 ,
-118  ,
-133  ,
-153  ,
-167  ,
-183  ,
-194  ,
-202  ,
-212  ,
-216  ,
-224  ,
-232  ,
-243  ,
-256  ,
-269  ,
-283  ,
-290  ,
-294  ,
-295  ,
-287  ,
-289  ,
-289  ,
-292  ,
-310  ,
-312  ,
-327  ,
-329  ,
-340  ,
-337  ,
-340  ,
-339  ,
-346  ,
-349  ,
-358  ,
-366  ,
-378  ,
-384  ,
-395  ,
-389  ,
-390  ,
-375  ,
-377  ,
-367  ,
-369  ,
-367  ,
-363  ,
-364  ,
-352  ,
-344  ,
-326  ,
-310  ,
-289  ,
-273  ,
-252  ,
-236  ,
-225  ,
-218  ,
-207  ,
-195  ,
-182  ,
-161  ,
-151  ,
-128  ,
-117  ,
-104  ,
-92 ,
-87 ,
-80 ,
-64 ,
-57 ,
-39 ,
-32 ,
-12 ,
-5  ,
10  ,
16  ,
28  ,
33  ,
47  ,
57  ,
72  ,
91  ,
106 ,
134 ,
150 ,
168 ,
186 ,
198 ,
215 ,
226 ,
242 ,
258 ,
276 ,
297 ,
320 ,
333 ,
351 ,
357 ,
365 ,
366 ,
362 ,
365 ,
363 ,
368 ,
370 ,
377 ,
377 ,
378 ,
368 ,
359 ,
343 ,
332 ,
324 ,
320 ,
320 ,
323 ,
325 ,
326 ,
323 ,
312 ,
303 ,
288 ,
277 ,
274 ,
265 ,
268 ,
258 ,
261 ,
242 ,
231 ,
213 ,
189 ,
174 ,
152 ,
134 ,
120 ,
98  ,
89  ,
68  ,
59  ,
37  ,
16  ,
-8  ,
-31 ,
-47 ,
-62 ,
-70 ,
-90 ,
-95 ,
-116  ,
-121  ,
-139  ,
-144  ,
-159  ,
-168  ,
-180  ,
-193  ,
-203  ,
-212  ,
-214  ,
-216  ,
-219  ,
-220  ,
-225  ,
-224  ,
-234  ,
-239  ,
-253  ,
-254  ,
-263  ,
-261  ,
-267  ,
-262  ,
-261  ,
-257  ,
-258  ,
-262  ,
-269  ,
-276  ,
-277  ,
-281  ,
-274  ,
-271  ,
-256  ,
-245  ,
-230  ,
-220  ,
-213  ,
-203  ,
-199  ,
-188  ,
-180  ,
-165  ,
-143  ,
-120  ,
-94 ,
-74 ,
-63 ,
-45 ,
-40 ,
-32 ,
-21 ,
-19 ,
0 ,
15  ,
33  ,
49  ,
60  ,
66  ,
77  ,
68  ,
70  ,
62  ,
67  ,
77  ,
92  ,
102 ,
114 ,
120 ,
120 ,
124 ,
115 ,
113 ,
114 ,
120 ,
130 ,
142 ,
157 ,
172 ,
184 ,
190 ,
188 ,
187 ,
183 ,
186 ,
191 ,
194 ,
202 ,
207 ,
209 ,
209 ,
191 ,
179 ,
159 ,
146 ,
139 ,
130 ,
132 ,
131 ,
125 ,
126 ,
105 ,
96  ,
74  ,
58  ,
45  ,
36  ,
28  ,
35  ,
34  ,
46  ,
42  ,
41  ,
24  ,
19  ,
0 ,
-3  ,
-14 ,
-15 ,
-10 ,
-14 ,
-14 ,
-23 ,
-29 ,
-42 ,
-54 ,
-68 ,
-80 ,
-86 ,
-90 ,
-93 ,
-99 ,
-108  ,
-115  ,
-123  ,
-128  ,
-142  ,
-147  ,
-153  ,
-155  ,
-157  ,
-162  ,
-165  ,
-163  ,
-163  ,
-161  ,
-166  ,
-168  ,
-171  ,
-173  ,
-175  ,
-180  ,
-177  ,
-175  ,
-165  ,
-160  ,
-157  ,
-157  ,
-157  ,
-164  ,
-167  ,
-177  ,
-182  ,
-181  ,
-179  ,
-176  ,
-175  ,
-173  ,
-172  ,
-168  ,
-171  ,
-177  ,
-181  ,
-179  ,
-168  ,
-161  ,
-148  ,
-136  ,
-124  ,
-114  ,
-111  ,
-105  ,
-106  ,
-88 ,
-80 ,
-55 ,
-41 ,
-23 ,
-7  ,
10  ,
19  ,
30  ,
39  ,
43  ,
58  ,
60  ,
76  ,
83  ,
100 ,
115 ,
125 ,
128 ,
128 ,
134 ,
135 ,
146 ,
143 ,
156 ,
158 ,
179 ,
185 ,
204 ,
210 ,
222 ,
234 ,
237 ,
243 ,
245 ,
261 ,
269 ,
290 ,
305 ,
318 ,
335 ,
347 ,
352 ,
359 ,
356 ,
359 ,
367 ,
368 ,
375 ,
378 ,
380 ,
382 ,
369 ,
359 ,
339 ,
332 ,
320 ,
316 ,
301 ,
300 ,
290 ,
288 ,
275 ,
262 ,
243 ,
227 ,
212 ,
198 ,
187 ,
176 ,
175 ,
165 ,
157 ,
142 ,
123 ,
103 ,
84  ,
64  ,
52  ,
37  ,
30  ,
17  ,
0 ,
-23 ,
-44 ,
-69 ,
-88 ,
-119  ,
-141  ,
-164  ,
-185  ,
-195  ,
-214  ,
-232  ,
-246  ,
-268  ,
-281  ,
-308  ,
-326  ,
-342  ,
-351  ,
-359  ,
-363  ,
-374  ,
-380  ,
-389  ,
-393  ,
-404  ,
-410  ,
-421  ,
-424  ,
-425  ,
-432  ,
-424  ,
-428  ,
-425  ,
-425  ,
-434  ,
-435  ,
-442  ,
-438  ,
-432  ,
-426  ,
-421  ,
-419  ,
-413  ,
-411  ,
-410  ,
-407  ,
-407  ,
-396  ,
-385  ,
-371  ,
-356  ,
-338  ,
-315  ,
-293  ,
-280  ,
-265  ,
-253  ,
-232  ,
-213  ,
-187  ,
-162  ,
-140  ,
-118  ,
-94 ,
-75 ,
-55 ,
-33 ,
-15 ,
6 ,
26  ,
43  ,
68  ,
88  ,
114 ,
127 ,
143 ,
146 ,
156 ,
163 ,
169 ,
181 ,
190 ,
206 ,
220 ,
224 ,
236 ,
239 ,
249 ,
258 ,
265 ,
270 ,
282 ,
291 ,
311 ,
322 ,
336 ,
341 ,
349 ,
355 ,
362 ,
369 ,
378 ,
383 ,
393 ,
391 ,
393 ,
390 ,
390 ,
387 ,
379 ,
373 ,
364 ,
363 ,
360 ,
352 ,
345 ,
328 ,
325 ,
311 ,
305 ,
291 ,
283 ,
271 ,
268 ,
251 ,
251 ,
236 ,
233 ,
228 ,
218 ,
211 ,
199 ,
193 ,
186 ,
174 ,
166 ,
152 ,
141 ,
130 ,
121 ,
115 ,
105 ,
96  ,
86  ,
71  ,
51  ,
39  ,
21  ,
10  ,
-7  ,
-20 ,
-36 ,
-44 ,
-53 ,
-60 ,
-76 ,
-88 ,
-103  ,
-109  ,
-121  ,
-132  ,
-137  ,
-145  ,
-144  ,
-152  ,
-156  ,
-167  ,
-174  ,
-183  ,
-193  ,
-208  ,
-216  ,
-219  ,
-223  ,
-219  ,
-227  ,
-227  ,
-235  ,
-240  ,
-253  ,
-266  ,
-275  ,
-286  ,
-288  ,
-297  ,
-299  ,
-297  ,
-299  ,
-295  ,
-304  ,
-310  ,
-319  ,
-321  ,
-321  ,
-320  ,
-320  ,
-313  ,
-309  ,
-298  ,
-295  ,
-288  ,
-286  ,
-277  ,
-272  ,
-257  ,
-252  ,
-235  ,
-222  ,
-206  ,
-200  ,
-190  ,
-186  ,
-175  ,
-167  ,
-155  ,
-144  ,
-135  ,
-114  ,
-109  ,
-95 ,
-90 ,
-84 ,
-76 ,
-72 ,
-63 ,
-56 ,
-40 ,
-28 ,
-11 ,
2 ,
12  ,
25  ,
39  ,
54  ,
66  ,
81  ,
97  ,
115 ,
134 ,
150 ,
167 ,
179 ,
197 ,
205 ,
221 ,
227 ,
243 ,
256 ,
267 ,
274 ,
281 ,
285 ,
287 ,
289 ,
293 ,
289 ,
295 ,
291 ,
292 ,
286 ,
283 ,
277 ,
274 ,
268 ,
262 ,
259 ,
256 ,
254 ,
253 ,
251 ,
241 ,
236 ,
229 ,
218 ,
217 ,
206 ,
209 ,
197 ,
193 ,
180 ,
168 ,
152 ,
138 ,
121 ,
109 ,
97  ,
79  ,
73  ,
47  ,
42  ,
15  ,
9 ,
-22 ,
-30 ,
-51 ,
-57 ,
-70 ,
-74 ,
-88 ,
-96 ,
-114  ,
-124  ,
-141  ,
-155  ,
-164  ,
-171  ,
-176  ,
-179  ,
-180  ,
-187  ,
-187  ,
-202  ,
-200  ,
-216  ,
-213  ,
-222  ,
-220  ,
-222  ,
-222  ,
-217  ,
-219  ,
-217  ,
-223  ,
-226  ,
-230  ,
-234  ,
-228  ,
-226  ,
-218  ,
-205  ,
-203  ,
-187  ,
-191  ,
-183  ,
-186  ,
-183  ,
-179  ,
-167  ,
-151  ,
-139  ,
-114  ,
-102  ,
-83 ,
-73 ,
-63 ,
-55 ,
-46 ,
-38 ,
-17 ,
-2  ,
23  ,
41  ,
56  ,
70  ,
68  ,
77  ,
76  ,
81  ,
88  ,
97  ,
110 ,
126 ,
136 ,
139 ,
140 ,
128 ,
132 ,
125 ,
134 ,
138 ,
153 ,
168 ,
178 ,
183 ,
185 ,
176 ,
176 ,
168 ,
170 ,
175 ,
186 ,
197 ,
215 ,
216 ,
223 ,
215 ,
208 ,
198 ,
188 ,
183 ,
182 ,
188 ,
193 ,
194 ,
194 ,
179 ,
170 ,
148 ,
131 ,
113 ,
105 ,
98  ,
98  ,
93  ,
91  ,
82  ,
74  ,
56  ,
41  ,
24  ,
14  ,
8 ,
10  ,
9 ,
14  ,
6 ,
6 ,
-13 ,
-21 ,
-38 ,
-48 ,
-52 ,
-57 ,
-51 ,
-52 ,
-47 ,
-55 ,
-59 ,
-80 ,
-91 ,
-110  ,
-120  ,
-130  ,
-136  ,
-138  ,
-136  ,
-138  ,
-140  ,
-149  ,
-155  ,
-165  ,
-172  ,
-179  ,
-181  ,
-180  ,
-178  ,
-170  ,
-173  ,
-166  ,
-175  ,
-172  ,
-177  ,
-180  ,
-186  ,
-180  ,
-185  ,
-173  ,
-176  ,
-177  ,
-175  ,
-185  ,
-178  ,
-191  ,
-189  ,
-190  ,
-185  ,
-183  ,
-184  ,
-191  ,
-191  ,
-196  ,
-197  ,
-198  ,
-194  ,
-196  ,
-182  ,
-184  ,
-175  ,
-175  ,
-169  ,
-164  ,
-157  ,
-150  ,
-139  ,
-126  ,
-107  ,
-95 ,
-80 ,
-71 ,
-60 ,
-53 ,
-39 ,
-33 ,
-22 ,
0 ,
9 ,
28  ,
41  ,
45  ,
59  ,
58  ,
69  ,
69  ,
79  ,
84  ,
100 ,
107 ,
118 ,
124 ,
129 ,
135 ,
140 ,
149 ,
158 ,
169 ,
185 ,
200 ,
215 ,
228 ,
239 ,
248 ,
254 ,
263 ,
270 ,
281 ,
298 ,
312 ,
329 ,
337 ,
344 ,
347 ,
346 ,
337 ,
339 ,
333 ,
337 ,
338 ,
343 ,
340 ,
343 ,
336 ,
329 ,
318 ,
299 ,
288 ,
279 ,
274 ,
269 ,
263 ,
256 ,
246 ,
237 ,
224 ,
210 ,
197 ,
183 ,
174 ,
164 ,
154 ,
150 ,
136 ,
128 ,
105 ,
89  ,
63  ,
50  ,
27  ,
18  ,
-7  ,
-18 ,
-40 ,
-51 ,
-75 ,
-95 ,
-115  ,
-140  ,
-155  ,
-179  ,
-192  ,
-207  ,
-219  ,
-228  ,
-244  ,
-256  ,
-273  ,
-282  ,
-295  ,
-303  ,
-314  ,
-321  ,
-331  ,
-328  ,
-341  ,
-340  ,
-351  ,
-352  ,
-357  ,
-361  ,
-362  ,
-364  ,
-361  ,
-363  ,
-362  ,
-367  ,
-365  ,
-364  ,
-362  ,
-354  ,
-355  ,
-347  ,
-343  ,
-333  ,
-330  ,
-325  ,
-318  ,
-317  ,
-304  ,
-295  ,
-290  ,
-273  ,
-263  ,
-246  ,
-228  ,
-218  ,
-196  ,
-182  ,
-162  ,
-145  ,
-125  ,
-106  ,
-85 ,
-65 ,
-45 ,
-32 ,
-14 ,
-3  ,
16  ,
33  ,
45  ,
66  ,
76  ,
93  ,
103 ,
111 ,
116 ,
122 ,
131 ,
140 ,
147 ,
159 ,
169 ,
177 ,
187 ,
190 ,
197 ,
199 ,
208 ,
206 ,
215 ,
215 ,
229 ,
239 ,
251 ,
254 ,
266 ,
266 ,
273 ,
276 ,
276 ,
282 ,
282 ,
284 ,
288 ,
285 ,
286 ,
288 ,
284 ,
278 ,
273 ,
265 ,
263 ,
255 ,
253 ,
245 ,
240 ,
229 ,
222 ,
208 ,
198 ,
186 ,
182 ,
172 ,
172 ,
164 ,
164 ,
161 ,
154 ,
149 ,
134 ,
128 ,
117 ,
115 ,
106 ,
109 ,
103 ,
105 ,
95  ,
89  ,
76  ,
65  ,
50  ,
41  ,
27  ,
21  ,
11  ,
7 ,
1 ,
-11 ,
-17 ,
-38 ,
-47 ,
-68 ,
-75 ,
-90 ,
-88 ,
-100  ,
-92 ,
-100  ,
-99 ,
-110  ,
-119  ,
-134  ,
-147  ,
-159  ,
-166  ,
-169  ,
-167  ,
-163  ,
-163  ,
-167  ,
-172  ,
-186  ,
-197  ,
-207  ,
-220  ,
-219  ,
-224  ,
-219  ,
-220  ,
-221  ,
-228  ,
-234  ,
-246  ,
-255  ,
-265  ,
-271  ,
-267  ,
-268  ,
-259  ,
-255  ,
-251  ,
-249  ,
-248  ,
-254  ,
-251  ,
-255  ,
-247  ,
-242  ,
-229  ,
-218  ,
-203  ,
-192  ,
-180  ,
-174  ,
-169  ,
-157  ,
-154  ,
-134  ,
-128  ,
-108  ,
-98 ,
-83 ,
-78 ,
-64 ,
-66 ,
-56 ,
-52 ,
-44 ,
-33 ,
-26 ,
-12 ,
-1  ,
11  ,
18  ,
25  ,
27  ,
37  ,
47  ,
60  ,
80  ,
92  ,
115 ,
122 ,
135 ,
144 ,
156 ,
173 ,
186 ,
203 ,
220 ,
236 ,
248 ,
258 ,
258 ,
263 ,
265 ,
271 ,
280 ,
290 ,
295 ,
302 ,
298 ,
295 ,
288 ,
277 ,
273 ,
264 ,
270 ,
267 ,
274 ,
271 ,
271 ,
259 ,
248 ,
226 ,
218 ,
201 ,
204 ,
198 ,
203 ,
205 ,
203 ,
194 ,
178 ,
157 ,
132 ,
115 ,
100 ,
94  ,
88  ,
86  ,
80  ,
71  ,
57  ,
30  ,
11  ,
-21 ,
-38 ,
-53 ,
-63 ,
-64 ,
-66 ,
-66 ,
-82 ,
-95 ,
-121  ,
-142  ,
-159  ,
-176  ,
-177  ,
-181  ,
-175  ,
-178  ,
-176  ,
-190  ,
-198  ,
-213  ,
-228  ,
-235  ,
-242  ,
-235  ,
-233  ,
-216  ,
-220  ,
-208  ,
-227  ,
-231  ,
-245  ,
-256  ,
-256  ,
-256  ,
-243  ,
-231  ,
-216  ,
-209  ,
-205  ,
-211  ,
-219  ,
-223  ,
-230  ,
-221  ,
-207  ,
-191  ,
-169  ,
-157  ,
-139  ,
-141  ,
-130  ,
-133  ,
-122  ,
-117  ,
-98 ,
-77 ,
-56 ,
-33 ,
-18 ,
-8  ,
-1  ,
2 ,
11  ,
23  ,
39  ,
58  ,
78  ,
91  ,
102 ,
101 ,
102 ,
94  ,
93  ,
89  ,
95  ,
100 ,
116 ,
123 ,
134 ,
129 ,
132 ,
126 ,
123 ,
126 ,
126 ,
138 ,
148 ,
157 ,
162 ,
164 ,
159 ,
163 ,
158 ,
162 ,
162 ,
168 ,
178 ,
182 ,
189 ,
182 ,
179 ,
164 ,
155 ,
144 ,
137 ,
142 ,
142 ,
147 ,
146 ,
135 ,
124 ,
110 ,
92  ,
81  ,
65  ,
63  ,
61  ,
68  ,
67  ,
69  ,
62  ,
52  ,
44  ,
28  ,
17  ,
19  ,
15  ,
29  ,
30  ,
33  ,
39  ,
27  ,
24  ,
11  ,
-7  ,
-9  ,
-24 ,
-19 ,
-25 ,
-27 ,
-25 ,
-33 ,
-38 ,
-51 ,
-67 ,
-77 ,
-84 ,
-88 ,
-90 ,
-92 ,
-95 ,
-95 ,
-100  ,
-108  ,
-113  ,
-118  ,
-120  ,
-119  ,
-119  ,
-116  ,
-116  ,
-113  ,
-118  ,
-118  ,
-129  ,
-129  ,
-132  ,
-133  ,
-132  ,
-130  ,
-131  ,
-131  ,
-137  ,
-136  ,
-150  ,
-148  ,
-164  ,
-156  ,
-165  ,
-158  ,
-161  ,
-159  ,
-163  ,
-166  ,
-168  ,
-170  ,
-167  ,
-164  ,
-154  ,
-150  ,
-139  ,
-134  ,
-127  ,
-124  ,
-122  ,
-117  ,
-113  ,
-99 ,
-88 ,
-72 ,
-53 ,
-43 ,
-25 ,
-20 ,
-13 ,
-8  ,
-4  ,
4 ,
11  ,
25  ,
38  ,
55  ,
64  ,
75  ,
72  ,
75  ,
71  ,
75  ,
82  ,
92  ,
111 ,
127 ,
142 ,
152 ,
153 ,
155 ,
154 ,
156 ,
165 ,
176 ,
195 ,
215 ,
234 ,
250 ,
252 ,
260 ,
252 ,
254 ,
252 ,
260 ,
271 ,
287 ,
298 ,
302 ,
300 ,
289 ,
280 ,
262 ,
253 ,
238 ,
244 ,
238 ,
245 ,
240 ,
237 ,
226 ,
207 ,
192 ,
167 ,
158 ,
148 ,
151 ,
151 ,
149 ,
146 ,
135 ,
126 ,
105 ,
90  ,
68  ,
56  ,
47  ,
43  ,
35  ,
25  ,
15  ,
-5  ,
-23 ,
-49 ,
-70 ,
-89 ,
-103  ,
-117  ,
-128  ,
-138  ,
-153  ,
-159  ,
-184  ,
-196  ,
-220  ,
-234  ,
-242  ,
-251  ,
-251  ,
-257  ,
-262  ,
-275  ,
-284  ,
-299  ,
-306  ,
-312  ,
-312  ,
-312  ,
-310  ,
-309  ,
-306  ,
-310  ,
-312  ,
-324  ,
-327  ,
-328  ,
-329  ,
-315  ,
-313  ,
-298  ,
-294  ,
-293  ,
-290  ,
-297  ,
-291  ,
-293  ,
-279  ,
-270  ,
-258  ,
-245  ,
-234  ,
-225  ,
-218  ,
-217  ,
-209  ,
-202  ,
-190  ,
-168  ,
-152  ,
-123  ,
-106  ,
-86 ,
-76 ,
-68 ,
-58 ,
-47 ,
-24 ,
-6  ,
21  ,
40  ,
57  ,
75  ,
81  ,
91  ,
92  ,
100 ,
108 ,
120 ,
139 ,
150 ,
166 ,
173 ,
172 ,
176 ,
169 ,
170 ,
174 ,
184 ,
196 ,
212 ,
223 ,
232 ,
236 ,
235 ,
232 ,
227 ,
226 ,
229 ,
238 ,
254 ,
267 ,
284 ,
290 ,
286 ,
284 ,
271 ,
272 ,
263 ,
271 ,
268 ,
277 ,
280 ,
285 ,
276 ,
272 ,
251 ,
244 ,
222 ,
216 ,
208 ,
209 ,
211 ,
213 ,
207 ,
196 ,
184 ,
168 ,
159 ,
142 ,
138 ,
135 ,
135 ,
140 ,
138 ,
136 ,
127 ,
116 ,
102 ,
89  ,
74  ,
73  ,
64  ,
68  ,
54  ,
59  ,
39  ,
39  ,
12  ,
8 ,
-17 ,
-22 ,
-36 ,
-38 ,
-44 ,
-45 ,
-51 ,
-59 ,
-68 ,
-82 ,
-95 ,
-105  ,
-116  ,
-119  ,
-129  ,
-133  ,
-136  ,
-142  ,
-142  ,
-152  ,
-157  ,
-166  ,
-173  ,
-182  ,
-192  ,
-195  ,
-201  ,
-203  ,
-201  ,
-209  ,
-209  ,
-215  ,
-221  ,
-227  ,
-239  ,
-250  ,
-259  ,
-262  ,
-267  ,
-260  ,
-266  ,
-263  ,
-265  ,
-270  ,
-274  ,
-279  ,
-282  ,
-281  ,
-274  ,
-273  ,
-259  ,
-252  ,
-240  ,
-234  ,
-230  ,
-227  ,
-225  ,
-220  ,
-209  ,
-204  ,
-184  ,
-175  ,
-156  ,
-144  ,
-136  ,
-128  ,
-124  ,
-122  ,
-115  ,
-111  ,
-100  ,
-88 ,
-71 ,
-54 ,
-42 ,
-31 ,
-30 ,
-21 ,
-20 ,
-17 ,
-5  ,
-1  ,
24  ,
39  ,
64  ,
78  ,
91  ,
99  ,
103 ,
108 ,
112 ,
125 ,
138 ,
162 ,
181 ,
198 ,
217 ,
224 ,
233 ,
237 ,
233 ,
243 ,
243 ,
257 ,
265 ,
277 ,
287 ,
289 ,
292 ,
282 ,
275 ,
263 ,
259 ,
253 ,
257 ,
256 ,
261 ,
264 ,
261 ,
262 ,
252 ,
242 ,
231 ,
216 ,
218 ,
204 ,
216 ,
208 ,
213 ,
201 ,
193 ,
175 ,
161 ,
141 ,
126 ,
114 ,
101 ,
97  ,
89  ,
83  ,
66  ,
52  ,
31  ,
10  ,
-6  ,
-22 ,
-29 ,
-40 ,
-39 ,
-48 ,
-47 ,
-63 ,
-69 ,
-85 ,
-98 ,
-113  ,
-128  ,
-134  ,
-140  ,
-137  ,
-139  ,
-141  ,
-145  ,
-153  ,
-163  ,
-172  ,
-183  ,
-184  ,
-182  ,
-181  ,
-173  ,
-175  ,
-167  ,
-173  ,
-171  ,
-184  ,
-187  ,
-192  ,
-193  ,
-185  ,
-185  ,
-174  ,
-169  ,
-165  ,
-160  ,
-165  ,
-163  ,
-165  ,
-157  ,
-151  ,
-137  ,
-130  ,
-110  ,
-99 ,
-85 ,
-75 ,
-69 ,
-61 ,
-50 ,
-46 ,
-29 ,
-25 ,
-10 ,
-2  ,
11  ,
16  ,
31  ,
35  ,
47  ,
48  ,
52  ,
55  ,
54  ,
62  ,
61  ,
72  ,
69  ,
79  ,
76  ,
83  ,
78  ,
83  ,
80  ,
83  ,
83  ,
84  ,
87  ,
90  ,
90  ,
96  ,
93  ,
97  ,
98  ,
101 ,
95  ,
101 ,
98  ,
112 ,
110 ,
118 ,
118 ,
115 ,
112 ,
104 ,
92  ,
88  ,
79  ,
77  ,
80  ,
69  ,
76  ,
64  ,
64  ,
48  ,
40  ,
21  ,
18  ,
8 ,
10  ,
9 ,
7 ,
12  ,
7 ,
6 ,
-3  ,
-8  ,
-14 ,
-14 ,
-20 ,
-15 ,
-15 ,
-8  ,
-3  ,
-8  ,
-12 ,
-22 ,
-33 ,
-35 ,
-49 ,
-42 ,
-52 ,
-43 ,
-48 ,
-51 ,
-54 ,
-63 ,
-68 ,
-74 ,
-80 ,
-84 ,
-82 ,
-80 ,
-71 ,
-72 ,
-72 ,
-76 ,
-82 ,
-89 ,
-98 ,
-104  ,
-105  ,
-101  ,
-94 ,
-92 ,
-87 ,
-95 ,
-93 ,
-102  ,
-105  ,
-106  ,
-109  ,
-104  ,
-103  ,
-96 ,
-93 ,
-96 ,
-96 ,
-108  ,
-113  ,
-128  ,
-132  ,
-132  ,
-133  ,
-119  ,
-122  ,
-113  ,
-116  ,
-120  ,
-119  ,
-131  ,
-128  ,
-127  ,
-118  ,
-107  ,
-93 ,
-79 ,
-63 ,
-56 ,
-52 ,
-55 ,
-50 ,
-54 ,
-37 ,
-27 ,
-11 ,
7 ,
21  ,
34  ,
38  ,
42  ,
42  ,
41  ,
46  ,
48  ,
58  ,
70  ,
83  ,
96  ,
106 ,
107 ,
111 ,
109 ,
106 ,
113 ,
117 ,
136 ,
146 ,
164 ,
176 ,
184 ,
191 ,
199 ,
199 ,
206 ,
212 ,
220 ,
235 ,
243 ,
258 ,
268 ,
278 ,
278 ,
284 ,
281 ,
283 ,
286 ,
286 ,
287 ,
287 ,
285 ,
284 ,
276 ,
272 ,
262 ,
256 ,
240 ,
233 ,
218 ,
208 ,
200 ,
191 ,
184 ,
177 ,
165 ,
160 ,
144 ,
137 ,
123 ,
115 ,
105 ,
90  ,
86  ,
69  ,
61  ,
50  ,
38  ,
28  ,
14  ,
-5  ,
-19 ,
-41 ,
-54 ,
-75 ,
-84 ,
-103  ,
-109  ,
-127  ,
-139  ,
-155  ,
-170  ,
-186  ,
-202  ,
-220  ,
-229  ,
-241  ,
-251  ,
-252  ,
-265  ,
-264  ,
-277  ,
-285  ,
-295  ,
-305  ,
-312  ,
-311  ,
-316  ,
-312  ,
-317  ,
-315  ,
-321  ,
-320  ,
-326  ,
-327  ,
-331  ,
-328  ,
-327  ,
-315  ,
-310  ,
-300  ,
-303  ,
-298  ,
-306  ,
-307  ,
-307  ,
-303  ,
-291  ,
-283  ,
-265  ,
-261  ,
-244  ,
-238  ,
-229  ,
-222  ,
-219  ,
-209  ,
-193  ,
-173  ,
-150  ,
-122  ,
-106  ,
-86 ,
-78 ,
-68 ,
-61 ,
-49 ,
-34 ,
-16 ,
6 ,
23  ,
45  ,
58  ,
69  ,
79  ,
80  ,
88  ,
88  ,
103 ,
113 ,
125 ,
144 ,
148 ,
163 ,
156 ,
164 ,
158 ,
163 ,
164 ,
173 ,
177 ,
185 ,
195 ,
202 ,
208 ,
212 ,
211 ,
214 ,
211 ,
218 ,
222 ,
232 ,
239 ,
244 ,
254 ,
250 ,
254 ,
250 ,
248 ,
243 ,
239 ,
242 ,
236 ,
241 ,
236 ,
232 ,
224 ,
214 ,
205 ,
198 ,
187 ,
188 ,
181 ,
185 ,
176 ,
179 ,
175 ,
169 ,
163 ,
153 ,
151 ,
143 ,
149 ,
142 ,
147 ,
136 ,
136 ,
123 ,
118 ,
109 ,
108 ,
104 ,
100 ,
95  ,
88  ,
85  ,
72  ,
72  ,
56  ,
51  ,
42  ,
35  ,
31  ,
24  ,
18  ,
11  ,
-2  ,
-13 ,
-23 ,
-34 ,
-34 ,
-45 ,
-39 ,
-55 ,
-55 ,
-71 ,
-77 ,
-87 ,
-94 ,
-101  ,
-102  ,
-114  ,
-110  ,
-120  ,
-122  ,
-131  ,
-140  ,
-150  ,
-162  ,
-168  ,
-176  ,
-174  ,
-184  ,
-183  ,
-193  ,
-199  ,
-210  ,
-215  ,
-230  ,
-233  ,
-243  ,
-242  ,
-245  ,
-243  ,
-242  ,
-240  ,
-242  ,
-244  ,
-249  ,
-247  ,
-252  ,
-241  ,
-241  ,
-227  ,
-222  ,
-208  ,
-207  ,
-195  ,
-198  ,
-184  ,
-188  ,
-173  ,
-172  ,
-157  ,
-148  ,
-135  ,
-123  ,
-115  ,
-108  ,
-107  ,
-97 ,
-100  ,
-85 ,
-80 ,
-63 ,
-52 ,
-36 ,
-30 ,
-17 ,
-15 ,
-7  ,
0 ,
5 ,
22  ,
28  ,
45  ,
57  ,
67  ,
84  ,
90  ,
105 ,
110 ,
125 ,
131 ,
150 ,
160 ,
174 ,
186 ,
195 ,
201 ,
209 ,
210 ,
214 ,
219 ,
215 ,
226 ,
217 ,
227 ,
221 ,
222 ,
220 ,
217 ,
212 ,
210 ,
205 ,
198 ,
199 ,
191 ,
189 ,
184 ,
180 ,
177 ,
179 ,
170 ,
172 ,
162 ,
156 ,
150 ,
134 ,
129 ,
111 ,
106 ,
98  ,
88  ,
80  ,
64  ,
51  ,
37  ,
22  ,
9 ,
-1  ,
-9  ,
-18 ,
-23 ,
-37 ,
-42 ,
-54 ,
-60 ,
-75 ,
-86 ,
-99 ,
-108  ,
-111  ,
-117  ,
-120  ,
-126  ,
-130  ,
-134  ,
-138  ,
-144  ,
-146  ,
-148  ,
-148  ,
-148  ,
-148  ,
-147  ,
-146  ,
-143  ,
-142  ,
-145  ,
-143  ,
-145  ,
-139  ,
-137  ,
-136  ,
-134  ,
-131  ,
-131  ,
-124  ,
-127  ,
-123  ,
-117  ,
-116  ,
-110  ,
-107  ,
-100  ,
-88 ,
-81 ,
-68 ,
-65 ,
-49 ,
-50 ,
-30 ,
-30 ,
-16 ,
-11 ,
1 ,
8 ,
20  ,
25  ,
39  ,
48  ,
59  ,
62  ,
67  ,
68  ,
73  ,
79  ,
83  ,
86  ,
93  ,
91  ,
99  ,
96  ,
101 ,
98  ,
99  ,
100 ,
93  ,
98  ,
96  ,
99  ,
103 ,
102 ,
98  ,
96  ,
94  ,
92  ,
93  ,
89  ,
93  ,
87  ,
99  ,
89  ,
103 ,
94  ,
102 ,
97  ,
99  ,
96  ,
94  ,
95  ,
93  ,
94  ,
87  ,
85  ,
76  ,
69  ,
61  ,
57  ,
47  ,
44  ,
35  ,
32  ,
27  ,
23  ,
22  ,
13  ,
11  ,
-1  ,
-4  ,
-7  ,
-12 ,
-7  ,
-9  ,
-5  ,
-4  ,
-3  ,
-2  ,
-7  ,
-5  ,
-13 ,
-14 ,
-23 ,
-23 ,
-25 ,
-25 ,
-28 ,
-28 ,
-35 ,
-42 ,
-48 ,
-58 ,
-62 ,
-67 ,
-69 ,
-69 ,
-71 ,
-70 ,
-71 ,
-74 ,
-79 ,
-85 ,
-92 ,
-98 ,
-101  ,
-98 ,
-99 ,
-94 ,
-98 ,
-95 ,
-100  ,
-104  ,
-109  ,
-117  ,
-117  ,
-124  ,
-117  ,
-121  ,
-119  ,
-120  ,
-120  ,
-126  ,
-130  ,
-137  ,
-141  ,
-141  ,
-147  ,
-145  ,
-150  ,
-150  ,
-156  ,
-156  ,
-165  ,
-163  ,
-167  ,
-166  ,
-163  ,
-164  ,
-156  ,
-154  ,
-143  ,
-144  ,
-133  ,
-138  ,
-124  ,
-119  ,
-107  ,
-97 ,
-83 ,
-73 ,
-59 ,
-53 ,
-46 ,
-38 ,
-34 ,
-25 ,
-14 ,
-8  ,
6 ,
13  ,
24  ,
33  ,
38  ,
45  ,
52  ,
58  ,
69  ,
73  ,
89  ,
98  ,
114 ,
122 ,
129 ,
134 ,
138 ,
146 ,
152 ,
163 ,
174 ,
186 ,
197 ,
207 ,
209 ,
220 ,
220 ,
234 ,
239 ,
252 ,
261 ,
274 ,
282 ,
288 ,
288 ,
283 ,
281 ,
277 ,
277 ,
279 ,
278 ,
280 ,
275 ,
274 ,
260 ,
254 ,
236 ,
225 ,
213 ,
203 ,
197 ,
196 ,
192 ,
188 ,
180 ,
168 ,
157 ,
144 ,
131 ,
118 ,
105 ,
97  ,
93  ,
84  ,
79  ,
61  ,
54  ,
32  ,
14  ,
-3  ,
-22 ,
-33 ,
-46 ,
-55 ,
-73 ,
-80 ,
-102  ,
-110  ,
-130  ,
-145  ,
-156  ,
-168  ,
-175  ,
-180  ,
-187  ,
-192  ,
-201  ,
-213  ,
-225  ,
-239  ,
-248  ,
-253  ,
-254  ,
-252  ,
-248  ,
-248  ,
-249  ,
-254  ,
-255  ,
-260  ,
-261  ,
-257  ,
-258  ,
-251  ,
-248  ,
-243  ,
-236  ,
-235  ,
-235  ,
-240  ,
-239  ,
-241  ,
-233  ,
-224  ,
-215  ,
-205  ,
-202  ,
-199  ,
-201  ,
-198  ,
-193  ,
-181  ,
-171  ,
-154  ,
-145  ,
-129  ,
-117  ,
-107  ,
-97 ,
-90 ,
-80 ,
-69 ,
-53 ,
-41 ,
-19 ,
-11 ,
7 ,
13  ,
21  ,
26  ,
32  ,
39  ,
49  ,
59  ,
67  ,
78  ,
87  ,
87  ,
98  ,
88  ,
100 ,
94  ,
102 ,
107 ,
112 ,
121 ,
126 ,
128 ,
131 ,
123 ,
125 ,
120 ,
126 ,
124 ,
136 ,
138 ,
150 ,
153 ,
156 ,
154 ,
158 ,
156 ,
163 ,
168 ,
169 ,
178 ,
177 ,
182 ,
177 ,
177 ,
169 ,
165 ,
166 ,
155 ,
161 ,
152 ,
156 ,
148 ,
144 ,
133 ,
129 ,
122 ,
120 ,
120 ,
118 ,
119 ,
120 ,
118 ,
117 ,
114 ,
114 ,
114 ,
114 ,
110 ,
110 ,
109 ,
107 ,
108 ,
99  ,
94  ,
79  ,
73  ,
61  ,
60  ,
52  ,
52  ,
52  ,
43  ,
41  ,
28  ,
22  ,
10  ,
3 ,
-5  ,
-12 ,
-12 ,
-16 ,
-14 ,
-23 ,
-28 ,
-41 ,
-52 ,
-61 ,
-74 ,
-75 ,
-83 ,
-78 ,
-81 ,
-83 ,
-92 ,
-99 ,
-109  ,
-122  ,
-125  ,
-139  ,
-135  ,
-142  ,
-140  ,
-144  ,
-148  ,
-156  ,
-162  ,
-174  ,
-185  ,
-192  ,
-197  ,
-199  ,
-197  ,
-201  ,
-201  ,
-203  ,
-211  ,
-210  ,
-220  ,
-218  ,
-218  ,
-212  ,
-205  ,
-201  ,
-188  ,
-188  ,
-173  ,
-177  ,
-169  ,
-168  ,
-163  ,
-150  ,
-141  ,
-128  ,
-117  ,
-110  ,
-104  ,
-101  ,
-96 ,
-93 ,
-84 ,
-74 ,
-63 ,
-49 ,
-42 ,
-30 ,
-28 ,
-19 ,
-16 ,
-9  ,
-1  ,
11  ,
18  ,
35  ,
42  ,
54  ,
62  ,
66  ,
73  ,
78  ,
86  ,
100 ,
109 ,
131 ,
137 ,
153 ,
158 ,
167 ,
171 ,
176 ,
183 ,
191 ,
198 ,
207 ,
213 ,
217 ,
223 ,
218 ,
219 ,
212 ,
210 ,
209 ,
205 ,
210 ,
201 ,
204 ,
191 ,
183 ,
172 ,
165 ,
157 ,
158 ,
152 ,
154 ,
151 ,
148 ,
144 ,
138 ,
127 ,
118 ,
106 ,
98  ,
87  ,
83  ,
76  ,
69  ,
69  ,
47  ,
44  ,
16  ,
12  ,
-9  ,
-11 ,
-27 ,
-29 ,
-38 ,
-45 ,
-49 ,
-63 ,
-71 ,
-83 ,
-92 ,
-101  ,
-108  ,
-114  ,
-113  ,
-118  ,
-118  ,
-124  ,
-134  ,
-138  ,
-149  ,
-148  ,
-154  ,
-153  ,
-149  ,
-145  ,
-144  ,
-140  ,
-146  ,
-142  ,
-147  ,
-147  ,
-147  ,
-151  ,
-144  ,
-144  ,
-132  ,
-135  ,
-132  ,
-134  ,
-137  ,
-135  ,
-135  ,
-131  ,
-125  ,
-117  ,
-112  ,
-103  ,
-105  ,
-95 ,
-95 ,
-86 ,
-81 ,
-73 ,
-62 ,
-49 ,
-40 ,
-27 ,
-20 ,
-15 ,
-6  ,
-3  ,
0 ,
7 ,
11  ,
26  ,
34  ,
43  ,
52  ,
56  ,
59  ,
61  ,
61  ,
58  ,
63  ,
60  ,
68  ,
69  ,
74  ,
78  ,
77  ,
78  ,
69  ,
70  ,
60  ,
62  ,
67  ,
66  ,
77  ,
69  ,
82  ,
72  ,
78  ,
73  ,
76  ,
76  ,
81  ,
83  ,
89  ,
90  ,
96  ,
93  ,
98  ,
87  ,
93  ,
82  ,
86  ,
81  ,
86  ,
86  ,
86  ,
81  ,
74  ,
65  ,
54  ,
53  ,
40  ,
47  ,
41  ,
48  ,
45  ,
45  ,
44  ,
40  ,
40  ,
37  ,
41  ,
37  ,
45  ,
43  ,
50  ,
46  ,
45  ,
39  ,
32  ,
27  ,
20  ,
23  ,
17  ,
17  ,
11  ,
6 ,
-1  ,
-7  ,
-9  ,
-19 ,
-21 ,
-26 ,
-32 ,
-26 ,
-37 ,
-29 ,
-38 ,
-38 ,
-46 ,
-51 ,
-58 ,
-58 ,
-62 ,
-60 ,
-66 ,
-66 ,
-72 ,
-72 ,
-80 ,
-80 ,
-80 ,
-81 ,
-84 ,
-81 ,
-91 ,
-85 ,
-95 ,
-96 ,
-103  ,
-108  ,
-111  ,
-112  ,
-113  ,
-114  ,
-114  ,
-119  ,
-123  ,
-131  ,
-138  ,
-144  ,
-147  ,
-147  ,
-145  ,
-141  ,
-136  ,
-130  ,
-124  ,
-121  ,
-121  ,
-117  ,
-115  ,
-112  ,
-102  ,
-92 ,
-81 ,
-66 ,
-60 ,
-48 ,
-47 ,
-42 ,
-36 ,
-33 ,
-24 ,
-17 ,
-5  ,
7 ,
18  ,
32  ,
36  ,
43  ,
44  ,
45  ,
49  ,
52  ,
65  ,
74  ,
87  ,
94  ,
98  ,
104 ,
105 ,
114 ,
114 ,
125 ,
127 ,
141 ,
148 ,
160 ,
161 ,
175 ,
169 ,
181 ,
179 ,
190 ,
194 ,
203 ,
212 ,
212 ,
221 ,
218 ,
220 ,
217 ,
207 ,
209 ,
203 ,
207 ,
204 ,
202 ,
192 ,
184 ,
169 ,
159 ,
150 ,
137 ,
135 ,
127 ,
123 ,
119 ,
112 ,
109 ,
98  ,
91  ,
84  ,
73  ,
70  ,
55  ,
57  ,
40  ,
38  ,
19  ,
10  ,
-4  ,
-16 ,
-19 ,
-31 ,
-41 ,
-64 ,
-82 ,
-93 ,
-89 ,
-99 ,
-128  ,
-148  ,
-141  ,
-150  ,
-163  ,
-138  ,
-114  ,
-129  ,
-150  ,
-147  ,
-161  ,
-199  ,
-221  ,
-201  ,
-191  ,
-210  ,
-198  ,
-191  ,
-193  ,
-211  ,
-208  ,
-200  ,
-214  ,
-223  ,
-213  ,
-194  ,
-212  ,
-202  ,
-200  ,
-192  ,
-198  ,
-195  ,
-179  ,
-188  ,
-201  ,
-202  ,
-185  ,
-184  ,
-164  ,
-152  ,
-143  ,
-163  ,
-172  ,
-163  ,
-161  ,
-153  ,
-143  ,
-110  ,
-102  ,
-86 ,
-78 ,
-71 ,
-79 ,
-77 ,
-52 ,
-38 ,
-23 ,
-19 ,
-5  ,
9 ,
5 ,
20  ,
37  ,
40  ,
38  ,
48  ,
68  ,
72  ,
60  ,
74  ,
82  ,
88  ,
88  ,
115 ,
128 ,
121 ,
117 ,
109 ,
112 ,
105 ,
129 ,
149 ,
155 ,
138 ,
135 ,
135 ,
131 ,
131 ,
131 ,
142 ,
146 ,
159 ,
171 ,
173 ,
165 ,
158 ,
169 ,
174 ,
177 ,
181 ,
181 ,
180 ,
181 ,
180 ,
178 ,
165 ,
162 ,
157 ,
138 ,
90  ,
43  ,
-7  ,
-57 ,
-99 ,
-110  ,
-95 ,
-56 ,
-5  ,
45  ,
77  ,
98  ,
139 ,
196 ,
226 ,
240 ,
262 ,
299 ,
322 ,
330 ,
330 ,
340 ,
336 ,
334 ,
308 ,
241 ,
154 ,
73  ,
13  ,
-39 ,
-75 ,
-70 ,
-34 ,
7 ,
32  ,
77  ,
111 ,
162 ,
182 ,
177 ,
153 ,
122 ,
106 ,
100 ,
91  ,
90  ,
86  ,
103 ,
96  ,
58  ,
5 ,
-49 ,
-110  ,
-183  ,
-251  ,
-295  ,
-315  ,
-306  ,
-285  ,
-257  ,
-219  ,
-174  ,
-143  ,
-144  ,
-166  ,
-165  ,
-155  ,
-146  ,
-164  ,
-179  ,
-195  ,
-194  ,
-175  ,
-151  ,
-127  ,
-121  ,
-129  ,
-153  ,
-226  ,
-310  ,
-391  ,
-433  ,
-461  ,
-492  ,
-489  ,
-469  ,
-440  ,
-421  ,
-402  ,
-368  ,
-336  ,
-309  ,
-289  ,
-295  ,
-298  ,
-283  ,
-238  ,
-186  ,
-141  ,
-87 ,
-29 ,
35  ,
78  ,
108 ,
120 ,
128 ,
119 ,
106 ,
70  ,
54  ,
40  ,
26  ,
23  ,
27  ,
36  ,
43  ,
36  ,
17  ,
-12 ,
-32 ,
-55 ,
-72 ,
-85 ,
-91 ,
-66 ,
-9  ,
70  ,
149 ,
218 ,
271 ,
298 ,
302 ,
292 ,
292 ,
300 ,
301 ,
289 ,
272 ,
246 ,
231 ,
211 ,
202 ,
183 ,
176 ,
174 ,
168 ,
144 ,
114 ,
109 ,
136 ,
157 ,
186 ,
193 ,
215 ,
219 ,
231 ,
244 ,
266 ,
288 ,
303 ,
312 ,
307 ,
303 ,
293 ,
314 ,
315 ,
325 ,
320 ,
329 ,
327 ,
299 ,
248 ,
194 ,
146 ,
95  ,
47  ,
3 ,
-29 ,
-44 ,
-46 ,
-52 ,
-77 ,
-105  ,
-140  ,
-153  ,
-158  ,
-147  ,
-133  ,
-127  ,
-115  ,
-113  ,
-117  ,
-106  ,
-94 ,
-73 ,
-81 ,
-86 ,
-101  ,
-113  ,
-127  ,
-145  ,
-150  ,
-176  ,
-195  ,
-233  ,
-270  ,
-311  ,
-356  ,
-381  ,
-410  ,
-429  ,
-447  ,
-457  ,
-453  ,
-449  ,
-423  ,
-384  ,
-326  ,
-277  ,
-241  ,
-214  ,
-183  ,
-159  ,
-144  ,
-124  ,
-124  ,
-114  ,
-107  ,
-94 ,
-69 ,
-59 ,
-46 ,
-32 ,
-35 ,
-29 ,
-33 ,
-36 ,
-39 ,
-60 ,
-79 ,
-87 ,
-89 ,
-76 ,
-74 ,
-53 ,
-26 ,
14  ,
51  ,
76  ,
85  ,
95  ,
109 ,
133 ,
148 ,
158 ,
165 ,
179 ,
199 ,
218 ,
239 ,
260 ,
273 ,
270 ,
256 ,
221 ,
202 ,
180 ,
171 ,
175 ,
187 ,
211 ,
230 ,
232 ,
227 ,
214 ,
203 ,
203 ,
199 ,
189 ,
177 ,
168 ,
167 ,
162 ,
167 ,
181 ,
198 ,
221 ,
230 ,
243 ,
244 ,
246 ,
231 ,
220 ,
188 ,
168 ,
137 ,
125 ,
100 ,
87  ,
75  ,
82  ,
77  ,
62  ,
36  ,
8 ,
-23 ,
-57 ,
-90 ,
-116  ,
-126  ,
-123  ,
-104  ,
-72 ,
-35 ,
-9  ,
3 ,
-9  ,
-30 ,
-59 ,
-65 ,
-78 ,
-76 ,
-90 ,
-103  ,
-117  ,
-131  ,
-142  ,
-159  ,
-183  ,
-205  ,
-247  ,
-294  ,
-353  ,
-406  ,
-437  ,
-453  ,
-453  ,
-437  ,
-424  ,
-404  ,
-390  ,
-371  ,
-349  ,
-326  ,
-302  ,
-291  ,
-280  ,
-282  ,
-261  ,
-243  ,
-209  ,
-184  ,
-153  ,
-127  ,
-109  ,
-108  ,
-116  ,
-139  ,
-173  ,
-204  ,
-231  ,
-243  ,
-239  ,
-234  ,
-204  ,
-185  ,
-155  ,
-136  ,
-112  ,
-99 ,
-89 ,
-83 ,
-66 ,
-49 ,
-27 ,
-6  ,
26  ,
71  ,
125 ,
186 ,
240 ,
281 ,
306 ,
315 ,
317 ,
306 ,
301 ,
298 ,
295 ,
296 ,
297 ,
303 ,
324 ,
332 ,
344 ,
343 ,
340 ,
328 ,
304 ,
279 ,
247 ,
235 ,
232 ,
251 ,
275 ,
306 ,
332 ,
358 ,
370 ,
377 ,
376 ,
371 ,
367 ,
371 ,
375 ,
384 ,
397 ,
408 ,
416 ,
421 ,
420 ,
423 ,
401 ,
368 ,
320 ,
263 ,
206 ,
156 ,
105 ,
71  ,
44  ,
24  ,
16  ,
-1  ,
-9  ,
-23 ,
-32 ,
-48 ,
-60 ,
-79 ,
-85 ,
-91 ,
-85 ,
-85 ,
-62 ,
-48 ,
-29 ,
-25 ,
-38 ,
-60 ,
-103  ,
-151  ,
-201  ,
-235  ,
-258  ,
-260  ,
-256  ,
-255  ,
-265  ,
-282  ,
-315  ,
-344  ,
-381  ,
-413  ,
-431  ,
-451  ,
-453  ,
-462  ,
-454  ,
-440  ,
-417  ,
-398  ,
-379  ,
-368  ,
-353  ,
-344  ,
-337  ,
-331  ,
-337  ,
-334  ,
-344  ,
-327  ,
-331  ,
-306  ,
-298  ,
-271  ,
-262  ,
-245  ,
-244  ,
-239  ,
-251  ,
-264  ,
-287  ,
-292  ,
-299  ,
-284  ,
-256  ,
-223  ,
-181  ,
-146  ,
-118  ,
-102  ,
-99 ,
-99 ,
-90 ,
-78 ,
-48 ,
-19 ,
28  ,
70  ,
124 ,
171 ,
213 ,
250 ,
269 ,
282 ,
279 ,
270 ,
260 ,
241 ,
236 ,
224 ,
235 ,
237 ,
252 ,
255 ,
262 ,
257 ,
259 ,
252 ,
247 ,
232 ,
222 ,
222 ,
221 ,
241 ,
257 ,
293 ,
325 ,
360 ,
384 ,
395 ,
392 ,
379 ,
348 ,
321 ,
290 ,
272 ,
265 ,
259 ,
255 ,
244 ,
231 ,
213 ,
186 ,
155 ,
114 ,
78  ,
39  ,
3 ,
-31 ,
-47 ,
-58 ,
-45 ,
-35 ,
-13 ,
9 ,
23  ,
35  ,
29  ,
19  ,
4 ,
-14 ,
-25 ,
-29 ,
-28 ,
-16 ,
6 ,
29  ,
40  ,
36  ,
20  ,
-10 ,
-58 ,
-102  ,
-151  ,
-181  ,
-211  ,
-218  ,
-211  ,
-199  ,
-181  ,
-174  ,
-163  ,
-173  ,
-176  ,
-180  ,
-173  ,
-170  ,
-165  ,
-152  ,
-133  ,
-110  ,
-87 ,
-61 ,
-35 ,
-16 ,
-2  ,
2 ,
-11 ,
-29 ,
-56 ,
-83 ,
-106  ,
-139  ,
-144  ,
-148  ,
-135  ,
-116  ,
-101  ,
-83 ,
-83 ,
-97 ,
-111  ,
-145  ,
-159  ,
-175  ,
-168  ,
-151  ,
-124  ,
-77 ,
-28 ,
27  ,
66  ,
97  ,
110 ,
98  ,
97  ,
83  ,
83  ,
83  ,
98  ,
115 ,
127 ,
130 ,
130 ,
120 ,
102 ,
69  ,
41  ,
3 ,
-23 ,
-58 ,
-70 ,
-83 ,
-82 ,
-61 ,
-36 ,
2 ,
32  ,
67  ,
100 ,
126 ,
147 ,
156 ,
172 ,
170 ,
186 ,
193 ,
216 ,
232 ,
241 ,
248 ,
235 ,
213 ,
181 ,
133 ,
78  ,
21  ,
-29 ,
-68 ,
-93 ,
-105  ,
-104  ,
-97 ,
-95 ,
-84 ,
-94 ,
-94 ,
-110  ,
-113  ,
-120  ,
-113  ,
-96 ,
-78 ,
-44 ,
-23 ,
7 ,
29  ,
47  ,
46  ,
41  ,
16  ,
-8  ,
-36 ,
-70 ,
-89 ,
-118  ,
-129  ,
-137  ,
-135  ,
-138  ,
-140  ,
-146  ,
-162  ,
-178  ,
-201  ,
-219  ,
-231  ,
-238  ,
-230  ,
-215  ,
-186  ,
-154  ,
-108  ,
-71 ,
-37 ,
-16 ,
-2  ,
0 ,
1 ,
-1  ,
-2  ,
10  ,
17  ,
40  ,
54  ,
64  ,
66  ,
58  ,
46  ,
24  ,
-3  ,
-34 ,
-61 ,
-81 ,
-96 ,
-93 ,
-95 ,
-74 ,
-59 ,
-30 ,
0 ,
26  ,
50  ,
69  ,
69  ,
73  ,
74  ,
84  ,
107 ,
135 ,
174 ,
206 ,
245 ,
264 ,
281 ,
274 ,
260 ,
226 ,
198 ,
154 ,
119 ,
92  ,
77  ,
77  ,
74  ,
81  ,
76  ,
72  ,
56  ,
44  ,
27  ,
23  ,
19  ,
22  ,
37  ,
53  ,
83  ,
121 ,
159 ,
192 ,
217 ,
232 ,
245 ,
253 ,
242 ,
234 ,
211 ,
189 ,
168 ,
145 ,
133 ,
123 ,
118 ,
109 ,
90  ,
64  ,
23  ,
-16 ,
-61 ,
-101  ,
-129  ,
-149  ,
-145  ,
-142  ,
-117  ,
-97 ,
-71 ,
-50 ,
-48 ,
-53 ,
-79 ,
-100  ,
-119  ,
-125  ,
-124  ,
-119  ,
-108  ,
-96 ,
-91 ,
-84 ,
-100  ,
-111  ,
-139  ,
-169  ,
-207  ,
-243  ,
-270  ,
-290  ,
-301  ,
-300  ,
-299  ,
-283  ,
-278  ,
-263  ,
-251  ,
-249  ,
-236  ,
-232  ,
-218  ,
-215  ,
-198  ,
-183  ,
-142  ,
-109  ,
-63 ,
-30 ,
0 ,
22  ,
29  ,
28  ,
14  ,
-3  ,
-27 ,
-39 ,
-46 ,
-42 ,
-24 ,
-9  ,
9 ,
15  ,
18  ,
16  ,
16  ,
10  ,
8 ,
5 ,
10  ,
24  ,
48  ,
74  ,
115 ,
142 ,
187 ,
206 ,
240 ,
247 ,
261 ,
257 ,
261 ,
249 ,
245 ,
244 ,
238 ,
248 ,
241 ,
249 ,
242 ,
229 ,
200 ,
168 ,
123 ,
86  ,
45  ,
15  ,
-2  ,
-16 ,
-5  ,
5 ,
26  ,
43  ,
51  ,
57  ,
53  ,
47  ,
42  ,
37  ,
40  ,
40  ,
53  ,
60  ,
77  ,
84  ,
84  ,
75  ,
57  ,
28  ,
-3  ,
-49 ,
-89 ,
-129  ,
-164  ,
-185  ,
-200  ,
-206  ,
-207  ,
-210  ,
-208  ,
-206  ,
-211  ,
-213  ,
-223  ,
-232  ,
-233  ,
-231  ,
-214  ,
-193  ,
-159  ,
-128  ,
-87 ,
-61 ,
-39 ,
-33 ,
-43 ,
-59 ,
-88 ,
-108  ,
-133  ,
-140  ,
-155  ,
-150  ,
-157  ,
-151  ,
-156  ,
-164  ,
-179  ,
-199  ,
-218  ,
-235  ,
-242  ,
-243  ,
-236  ,
-217  ,
-186  ,
-152  ,
-104  ,
-61 ,
-19 ,
10  ,
38  ,
59  ,
73  ,
87  ,
93  ,
110 ,
123 ,
138 ,
161 ,
180 ,
200 ,
210 ,
208 ,
204 ,
182 ,
164 ,
134 ,
108 ,
89  ,
78  ,
82  ,
93  ,
119 ,
145 ,
171 ,
194 ,
214 ,
231 ,
242 ,
244 ,
259 ,
268 ,
291 ,
309 ,
337 ,
363 ,
386 ,
415 ,
424 ,
428 ,
405 ,
372 ,
337 ,
300 ,
264 ,
234 ,
202 ,
175 ,
152 ,
137 ,
119 ,
104 ,
83  ,
62  ,
38  ,
12  ,
0 ,
-14 ,
-21 ,
-27 ,
-20 ,
0 ,
20  ,
48  ,
70  ,
78  ,
80  ,
65  ,
50  ,
30  ,
0 ,
-26 ,
-60 ,
-85 ,
-113  ,
-133  ,
-155  ,
-176  ,
-205  ,
-231  ,
-262  ,
-291  ,
-333  ,
-369  ,
-407  ,
-435  ,
-442  ,
-435  ,
-415  ,
-392  ,
-359  ,
-339  ,
-309  ,
-308  ,
-289  ,
-296  ,
-285  ,
-288  ,
-276  ,
-267  ,
-262  ,
-246  ,
-232  ,
-218  ,
-194  ,
-188  ,
-182  ,
-199  ,
-224  ,
-248  ,
-272  ,
-291  ,
-300  ,
-298  ,
-291  ,
-275  ,
-253  ,
-229  ,
-214  ,
-207  ,
-203  ,
-194  ,
-179  ,
-155  ,
-127  ,
-95 ,
-75 ,
-48 ,
-12 ,
25  ,
61  ,
88  ,
99  ,
114 ,
112 ,
115 ,
112 ,
105 ,
100 ,
103 ,
106 ,
118 ,
120 ,
123 ,
130 ,
131 ,
142 ,
146 ,
148 ,
153 ,
155 ,
168 ,
187 ,
208 ,
238 ,
265 ,
300 ,
341 ,
380 ,
414 ,
430 ,
437 ,
429 ,
424 ,
420 ,
436 ,
443 ,
455 ,
450 ,
446 ,
426 ,
412 ,
389 ,
367 ,
343 ,
317 ,
293 ,
271 ,
251 ,
230 ,
225 ,
227 ,
241 ,
256 ,
267 ,
266 ,
262 ,
248 ,
243 ,
234 ,
227 ,
222 ,
214 ,
217 ,
215 ,
216 ,
199 ,
183 ,
148 ,
122 ,
77  ,
43  ,
-2  ,
-47 ,
-98 ,
-144  ,
-182  ,
-215  ,
-227  ,
-247  ,
-262  ,
-283  ,
-305  ,
-326  ,
-344  ,
-363  ,
-375  ,
-388  ,
-386  ,
-385  ,
-371  ,
-367  ,
-355  ,
-346  ,
-336  ,
-328  ,
-330  ,
-341  ,
-362  ,
-386  ,
-405  ,
-422  ,
-433  ,
-438  ,
-441  ,
-440  ,
-432  ,
-444  ,
-438  ,
-456  ,
-470  ,
-479  ,
-490  ,
-480  ,
-467  ,
-447  ,
-432  ,
-396  ,
-376  ,
-330  ,
-294  ,
-251  ,
-215  ,
-192  ,
-161  ,
-145  ,
-124  ,
-109  ,
-83 ,
-60 ,
-25 ,
-3  ,
27  ,
41  ,
52  ,
60  ,
65  ,
65  ,
62  ,
54  ,
53  ,
45  ,
51  ,
61  ,
86  ,
111 ,
141 ,
168 ,
201 ,
230 ,
256 ,
282 ,
298 ,
322 ,
346 ,
377 ,
411 ,
445 ,
474 ,
499 ,
512 ,
523 ,
532 ,
528 ,
523 ,
503 ,
482 ,
461 ,
435 ,
418 ,
402 ,
387 ,
379 ,
372 ,
360 ,
346 ,
321 ,
298 ,
282 ,
268 ,
259 ,
258 ,
256 ,
260 ,
266 ,
280 ,
291 ,
302 ,
301 ,
302 ,
286 ,
269 ,
243 ,
210 ,
181 ,
138 ,
109 ,
78  ,
46  ,
16  ,
-22 ,
-62 ,
-101  ,
-143  ,
-177  ,
-219  ,
-258  ,
-288  ,
-319  ,
-336  ,
-356  ,
-362  ,
-364  ,
-360  ,
-355  ,
-347  ,
-345  ,
-348  ,
-358  ,
-365  ,
-371  ,
-372  ,
-369  ,
-357  ,
-353  ,
-348  ,
-348  ,
-362  ,
-375  ,
-394  ,
-411  ,
-429  ,
-445  ,
-456  ,
-469  ,
-476  ,
-486  ,
-486  ,
-477  ,
-469  ,
-449  ,
-440  ,
-421  ,
-416  ,
-396  ,
-376  ,
-342  ,
-308  ,
-271  ,
-232  ,
-197  ,
-164  ,
-128  ,
-98 ,
-57 ,
-31 ,
7 ,
27  ,
50  ,
60  ,
64  ,
65  ,
63  ,
68  ,
78  ,
98  ,
109 ,
120 ,
124 ,
122 ,
124 ,
124 ,
133 ,
144 ,
162 ,
184 ,
211 ,
241 ,
263 ,
300 ,
322 ,
361 ,
383 ,
412 ,
425 ,
432 ,
437 ,
440 ,
448 ,
454 ,
465 ,
466 ,
466 ,
456 ,
436 ,
414 ,
379 ,
353 ,
332 ,
307 ,
303 ,
278 ,
279 ,
254 ,
250 ,
241 ,
247 ,
250 ,
256 ,
250 ,
254 ,
238 ,
243 ,
233 ,
238 ,
233 ,
235 ,
237 ,
232 ,
222 ,
205 ,
179 ,
152 ,
126 ,
96  ,
67  ,
31  ,
-3  ,
-44 ,
-84 ,
-117  ,
-147  ,
-162  ,
-181  ,
-188  ,
-210  ,
-221  ,
-245  ,
-263  ,
-281  ,
-286  ,
-285  ,
-269  ,
-264  ,
-248  ,
-254  ,
-254  ,
-259  ,
-258  ,
-259  ,
-271  ,
-288  ,
-306  ,
-325  ,
-341  ,
-359  ,
-367  ,
-374  ,
-374  ,
-377  ,
-386  ,
-397  ,
-423  ,
-447  ,
-466  ,
-471  ,
-465  ,
-455  ,
-434  ,
-419  ,
-397  ,
-386  ,
-369  ,
-346  ,
-319  ,
-291  ,
-260  ,
-234  ,
-212  ,
-198  ,
-181  ,
-167  ,
-141  ,
-119  ,
-86 ,
-68 ,
-53 ,
-50 ,
-49 ,
-46 ,
-46 ,
-35 ,
-32 ,
-19 ,
-19 ,
-11 ,
1 ,
18  ,
39  ,
70  ,
107 ,
141 ,
177 ,
192 ,
210 ,
221 ,
238 ,
261 ,
302 ,
340 ,
387 ,
419 ,
449 ,
463 ,
474 ,
479 ,
474 ,
470 ,
455 ,
443 ,
425 ,
411 ,
389 ,
378 ,
370 ,
370 ,
377 ,
371 ,
364 ,
345 ,
329 ,
317 ,
316 ,
319 ,
335 ,
342 ,
354 ,
359 ,
358 ,
360 ,
350 ,
361 ,
359 ,
360 ,
352 ,
333 ,
301 ,
266 ,
228 ,
204 ,
182 ,
160 ,
140 ,
115 ,
81  ,
42  ,
2 ,
-41 ,
-76 ,
-108  ,
-131  ,
-151  ,
-172  ,
-188  ,
-206  ,
-213  ,
-214  ,
-211  ,
-199  ,
-195  ,
-204  ,
-220  ,
-248  ,
-266  ,
-277  ,
-275  ,
-270  ,
-262  ,
-269  ,
-278  ,
-305  ,
-329  ,
-363  ,
-387  ,
-407  ,
-418  ,
-439  ,
-451  ,
-472  ,
-490  ,
-500  ,
-510  ,
-501  ,
-494  ,
-478  ,
-476  ,
-468  ,
-465  ,
-458  ,
-445  ,
-426  ,
-395  ,
-366  ,
-331  ,
-305  ,
-278  ,
-260  ,
-246  ,
-229  ,
-200  ,
-176  ,
-153  ,
-140  ,
-142  ,
-145  ,
-151  ,
-149  ,
-132  ,
-115  ,
-92 ,
-78 ,
-64 ,
-62 ,
-61 ,
-57 ,
-47 ,
-25 ,
2 ,
37  ,
75  ,
113 ,
146 ,
177 ,
215 ,
246 ,
292 ,
320 ,
348 ,
363 ,
378 ,
394 ,
409 ,
426 ,
441 ,
453 ,
460 ,
457 ,
446 ,
427 ,
402 ,
387 ,
369 ,
367 ,
357 ,
348 ,
343 ,
329 ,
331 ,
319 ,
328 ,
327 ,
340 ,
341 ,
345 ,
343 ,
336 ,
331 ,
327 ,
324 ,
325 ,
322 ,
312 ,
297 ,
272 ,
240 ,
214 ,
189 ,
165 ,
141 ,
110 ,
68  ,
35  ,
-3  ,
-30 ,
-53 ,
-69 ,
-86 ,
-97 ,
-119  ,
-133  ,
-157  ,
-177  ,
-195  ,
-200  ,
-201  ,
-195  ,
-185  ,
-185  ,
-181  ,
-185  ,
-192  ,
-192  ,
-201  ,
-200  ,
-212  ,
-217  ,
-236  ,
-252  ,
-268  ,
-272  ,
-279  ,
-274  ,
-275  ,
-280  ,
-292  ,
-319  ,
-339  ,
-361  ,
-370  ,
-361  ,
-349  ,
-320  ,
-307  ,
-281  ,
-274  ,
-260  ,
-251  ,
-235  ,
-223  ,
-195  ,
-174  ,
-143  ,
-121  ,
-104  ,
-84 ,
-71 ,
-50 ,
-32 ,
-13 ,
2 ,
5 ,
13  ,
4 ,
6 ,
-1  ,
-3  ,
-2  ,
-4  ,
-9  ,
-3  ,
-5  ,
8 ,
15  ,
38  ,
60  ,
79  ,
99  ,
110 ,
118 ,
121 ,
136 ,
164 ,
191 ,
228 ,
253 ,
270 ,
269 ,
265 ,
253 ,
248 ,
239 ,
239 ,
235 ,
224 ,
208 ,
186 ,
177 ,
162 ,
152 ,
148 ,
143 ,
131 ,
127 ,
121 ,
126 ,
131 ,
136 ,
150 ,
159 ,
166 ,
171 ,
172 ,
170 ,
169 ,
168 ,
177 ,
164 ,
173 ,
153 ,
137 ,
106 ,
79  ,
58  ,
46  ,
35  ,
32  ,
17  ,
-12 ,
-46 ,
-84 ,
-116  ,
-147  ,
-159  ,
-163  ,
-159  ,
-156  ,
-155  ,
-153  ,
-159  ,
-166  ,
-161  ,
-156  ,
-148  ,
-145  ,
-135  ,
-137  ,
-138  ,
-145  ,
-141  ,
-134  ,
-138  ,
-135  ,
-133  ,
-140  ,
-151  ,
-165  ,
-180  ,
-203  ,
-217  ,
-228  ,
-229  ,
-234  ,
-240  ,
-243  ,
-243  ,
-244  ,
-237  ,
-236  ,
-229  ,
-230  ,
-220  ,
-209  ,
-188  ,
-169  ,
-137  ,
-104  ,
-80 ,
-54 ,
-42 ,
-23 ,
-16 ,
-2  ,
6 ,
26  ,
32  ,
51  ,
51  ,
55  ,
42  ,
39  ,
37  ,
41  ,
44  ,
45  ,
40  ,
41  ,
40  ,
46  ,
52  ,
56  ,
72  ,
85  ,
110 ,
127 ,
156 ,
184 ,
211 ,
239 ,
266 ,
274 ,
288 ,
278 ,
288 ,
279 ,
291 ,
296 ,
314 ,
322 ,
320 ,
308 ,
282 ,
253 ,
223 ,
196 ,
181 ,
172 ,
180 ,
185 ,
186 ,
179 ,
165 ,
152 ,
147 ,
147 ,
154 ,
162 ,
169 ,
180 ,
190 ,
190 ,
191 ,
178 ,
181 ,
174 ,
172 ,
167 ,
157 ,
139 ,
122 ,
96  ,
77  ,
44  ,
13  ,
-19 ,
-48 ,
-74 ,
-99 ,
-117  ,
-134  ,
-155  ,
-164  ,
-187  ,
-197  ,
-221  ,
-232  ,
-249  ,
-252  ,
-255  ,
-245  ,
-231  ,
-223  ,
-216  ,
-216  ,
-220  ,
-227  ,
-240  ,
-245  ,
-260  ,
-265  ,
-267  ,
-273  ,
-276  ,
-289  ,
-294  ,
-303  ,
-313  ,
-326  ,
-343  ,
-362  ,
-381  ,
-388  ,
-380  ,
-366  ,
-350  ,
-334  ,
-321  ,
-304  ,
-299  ,
-273  ,
-257  ,
-227  ,
-206  ,
-171  ,
-146  ,
-126  ,
-104  ,
-87 ,
-61 ,
-44 ,
-24 ,
-1  ,
17  ,
32  ,
46  ,
54  ,
56  ,
53  ,
62  ,
68  ,
73  ,
81  ,
88  ,
93  ,
103 ,
108 ,
123 ,
141 ,
161 ,
191 ,
216 ,
228 ,
242 ,
255 ,
273 ,
291 ,
322 ,
341 ,
370 ,
374 ,
389 ,
387 ,
384 ,
373 ,
357 ,
345 ,
330 ,
317 ,
308 ,
294 ,
278 ,
265 ,
254 ,
243 ,
225 ,
203 ,
188 ,
167 ,
163 ,
153 ,
163 ,
158 ,
161 ,
164 ,
160 ,
154 ,
141 ,
129 ,
115 ,
105 ,
91  ,
85  ,
73  ,
53  ,
33  ,
7 ,
-19 ,
-43 ,
-72 ,
-91 ,
-121  ,
-143  ,
-170  ,
-193  ,
-217  ,
-231  ,
-248  ,
-251  ,
-268  ,
-276  ,
-284  ,
-289  ,
-281  ,
-275  ,
-255  ,
-255  ,
-248  ,
-258  ,
-259  ,
-269  ,
-270  ,
-267  ,
-258  ,
-246  ,
-238  ,
-233  ,
-231  ,
-237  ,
-249  ,
-260  ,
-278  ,
-284  ,
-287  ,
-285  ,
-273  ,
-269  ,
-258  ,
-250  ,
-250  ,
-236  ,
-227  ,
-217  ,
-195  ,
-182  ,
-159  ,
-131  ,
-113  ,
-68 ,
-38 ,
-2  ,
26  ,
53  ,
75  ,
99  ,
112 ,
135 ,
149 ,
167 ,
179 ,
189 ,
198 ,
190 ,
201 ,
196 ,
205 ,
207 ,
205 ,
206 ,
201 ,
198 ,
204 ,
203 ,
215 ,
227 ,
250 ,
267 ,
286 ,
298 ,
310 ,
325 ,
338 ,
356 ,
368 ,
382 ,
379 ,
385 ,
374 ,
368 ,
359 ,
346 ,
344 ,
332 ,
318 ,
284 ,
262 ,
226 ,
207 ,
176 ,
160 ,
151 ,
136 ,
127 ,
112 ,
98  ,
88  ,
72  ,
66  ,
58  ,
53  ,
40  ,
34  ,
20  ,
16  ,
6 ,
4 ,
6 ,
1 ,
-13 ,
-36 ,
-63 ,
-87 ,
-117  ,
-142  ,
-162  ,
-184  ,
-202  ,
-230  ,
-250  ,
-283  ,
-308  ,
-334  ,
-348  ,
-353  ,
-366  ,
-368  ,
-376  ,
-381  ,
-380  ,
-384  ,
-381  ,
-382  ,
-374  ,
-359  ,
-344  ,
-335  ,
-330  ,
-322  ,
-316  ,
-304  ,
-303  ,
-291  ,
-299  ,
-296  ,
-303  ,
-297  ,
-288  ,
-283  ,
-265  ,
-267  ,
-258  ,
-273  ,
-278  ,
-296  ,
-297  ,
-304  ,
-288  ,
-277  ,
-247  ,
-227  ,
-202  ,
-188  ,
-167  ,
-148  ,
-126  ,
-100  ,
-76 ,
-50 ,
-25 ,
4 ,
31  ,
62  ,
84  ,
109 ,
127 ,
148 ,
164 ,
174 ,
181 ,
185 ,
186 ,
188 ,
194 ,
203 ,
210 ,
217 ,
225 ,
224 ,
240 ,
243 ,
270 ,
290 ,
310 ,
330 ,
346 ,
357 ,
370 ,
378 ,
401 ,
415 ,
445 ,
458 ,
481 ,
490 ,
491 ,
493 ,
476 ,
470 ,
447 ,
445 ,
430 ,
431 ,
415 ,
407 ,
385 ,
368 ,
342 ,
329 ,
307 ,
297 ,
280 ,
270 ,
250 ,
239 ,
224 ,
226 ,
217 ,
219 ,
210 ,
207 ,
197 ,
189 ,
173 ,
158 ,
135 ,
117 ,
98  ,
78  ,
52  ,
28  ,
-6  ,
-32 ,
-60 ,
-87 ,
-121  ,
-160  ,
-198  ,
-233  ,
-261  ,
-287  ,
-299  ,
-319  ,
-329  ,
-347  ,
-353  ,
-366  ,
-374  ,
-385  ,
-391  ,
-395  ,
-402  ,
-404  ,
-414  ,
-422  ,
-436  ,
-442  ,
-437  ,
-435  ,
-426  ,
-433  ,
-437  ,
-454  ,
-462  ,
-483  ,
-488  ,
-504  ,
-500  ,
-498  ,
-492  ,
-480  ,
-479  ,
-473  ,
-471  ,
-462  ,
-444  ,
-427  ,
-409  ,
-396  ,
-379  ,
-357  ,
-322  ,
-293  ,
-251  ,
-222  ,
-184  ,
-159  ,
-129  ,
-101  ,
-81 ,
-52 ,
-36 ,
-3  ,
18  ,
45  ,
61  ,
77  ,
85  ,
95  ,
103 ,
123 ,
135 ,
152 ,
163 ,
174 ,
190 ,
203 ,
225 ,
247 ,
275 ,
300 ,
342 ,
369 ,
406 ,
417 ,
447 ,
456 ,
486 ,
505 ,
523 ,
532 ,
535 ,
540 ,
545 ,
546 ,
547 ,
530 ,
523 ,
502 ,
488 ,
467 ,
443 ,
418 ,
390 ,
378 ,
368 ,
362 ,
352 ,
340 ,
319 ,
307 ,
292 ,
285 ,
274 ,
262 ,
245 ,
236 ,
230 ,
223 ,
213 ,
190 ,
171 ,
150 ,
126 ,
99  ,
70  ,
28  ,
-9  ,
-57 ,
-83 ,
-113  ,
-135  ,
-164  ,
-190  ,
-220  ,
-245  ,
-276  ,
-301  ,
-327  ,
-343  ,
-352  ,
-357  ,
-361  ,
-383  ,
-391  ,
-417  ,
-406  ,
-412  ,
-389  ,
-384  ,
-371  ,
-376  ,
-372  ,
-384  ,
-391  ,
-408  ,
-413  ,
-410  ,
-400  ,
-393  ,
-390  ,
-395  ,
-406  ,
-421  ,
-423  ,
-417  ,
-399  ,
-400  ,
-396  ,
-402  ,
-398  ,
-396  ,
-377  ,
-355  ,
-313  ,
-283  ,
-250  ,
-227  ,
-207  ,
-189  ,
-171  ,
-134  ,
-95 ,
-45 ,
-7  ,
26  ,
46  ,
57  ,
75  ,
90  ,
117 ,
136 ,
153 ,
161 ,
162 ,
163 ,
160 ,
168 ,
172 ,
188 ,
207 ,
229 ,
242 ,
243 ,
251 ,
249 ,
276 ,
292 ,
330 ,
357 ,
375 ,
381 ,
385 ,
389 ,
409 ,
429 ,
453 ,
479 ,
483 ,
485 ,
465 ,
442 ,
425 ,
412 ,
411 ,
415 ,
420 ,
411 ,
385 ,
356 ,
324 ,
305 ,
287 ,
278 ,
273 ,
265 ,
251 ,
240 ,
224 ,
213 ,
204 ,
195 ,
202 ,
192 ,
189 ,
166 ,
139 ,
112 ,
88  ,
80  ,
79  ,
71  ,
59  ,
29  ,
-8  ,
-50 ,
-85 ,
-112  ,
-127  ,
-144  ,
-155  ,
-179  ,
-207  ,
-244  ,
-280  ,
-303  ,
-315  ,
-316  ,
-307  ,
-302  ,
-311  ,
-326  ,
-341  ,
-355  ,
-352  ,
-351  ,
-343  ,
-334  ,
-335  ,
-341  ,
-350  ,
-357  ,
-358  ,
-359  ,
-355  ,
-358  ,
-365  ,
-378  ,
-400  ,
-419  ,
-432  ,
-429  ,
-415  ,
-397  ,
-385  ,
-391  ,
-395  ,
-410  ,
-409  ,
-405  ,
-385  ,
-357  ,
-326  ,
-296  ,
-275  ,
-263  ,
-252  ,
-244  ,
-213  ,
-178  ,
-134  ,
-103  ,
-88 ,
-78 ,
-81 ,
-71 ,
-62 ,
-34 ,
-12 ,
8 ,
21  ,
28  ,
32  ,
33  ,
36  ,
49  ,
67  ,
90  ,
114 ,
134 ,
148 ,
151 ,
168 ,
183 ,
225 ,
257 ,
297 ,
320 ,
336 ,
349 ,
358 ,
374 ,
397 ,
410 ,
436 ,
447 ,
464 ,
458 ,
460 ,
447 ,
450 ,
450 ,
453 ,
450 ,
430 ,
407 ,
389 ,
380 ,
383 ,
387 ,
397 ,
406 ,
406 ,
393 ,
385 ,
365 ,
362 ,
352 ,
360 ,
362 ,
368 ,
361 ,
341 ,
323 ,
294 ,
275 ,
261 ,
248 ,
233 ,
204 ,
166 ,
122 ,
89  ,
60  ,
29  ,
11  ,
-25 ,
-48 ,
-85 ,
-118  ,
-147  ,
-175  ,
-192  ,
-205  ,
-207  ,
-219  ,
-232  ,
-257  ,
-276  ,
-292  ,
-297  ,
-295  ,
-287  ,
-290  ,
-301  ,
-324  ,
-348  ,
-372  ,
-395  ,
-407  ,
-411  ,
-416  ,
-410  ,
-414  ,
-427  ,
-450  ,
-475  ,
-490  ,
-488  ,
-498  ,
-490  ,
-502  ,
-503  ,
-509  ,
-503  ,
-489  ,
-468  ,
-447  ,
-414  ,
-391  ,
-365  ,
-351  ,
-337  ,
-311  ,
-290  ,
-250  ,
-216  ,
-182  ,
-160  ,
-145  ,
-135  ,
-124  ,
-105  ,
-79 ,
-53 ,
-37 ,
-18 ,
-17 ,
-10 ,
-10 ,
-6  ,
9 ,
24  ,
52  ,
70  ,
88  ,
94  ,
101 ,
118 ,
142 ,
171 ,
211 ,
245 ,
271 ,
292 ,
304 ,
330 ,
350 ,
386 ,
413 ,
439 ,
449 ,
446 ,
436 ,
424 ,
407 ,
403 ,
399 ,
409 ,
411 ,
408 ,
395 ,
371 ,
344 ,
327 ,
321 ,
321 ,
319 ,
314 ,
303 ,
295 ,
281 ,
274 ,
262 ,
263 ,
262 ,
269 ,
266 ,
250 ,
232 ,
205 ,
192 ,
182 ,
182 ,
172 ,
152 ,
121 ,
88  ,
55  ,
26  ,
1 ,
-13 ,
-35 ,
-51 ,
-80 ,
-116  ,
-145  ,
-179  ,
-188  ,
-202  ,
-198  ,
-199  ,
-195  ,
-211  ,
-227  ,
-251  ,
-264  ,
-275  ,
-272  ,
-261  ,
-255  ,
-255  ,
-260  ,
-270  ,
-280  ,
-291  ,
-298  ,
-292  ,
-291  ,
-291  ,
-300  ,
-314  ,
-334  ,
-343  ,
-348  ,
-335  ,
-332  ,
-320  ,
-324  ,
-325  ,
-329  ,
-330  ,
-316  ,
-301  ,
-274  ,
-252  ,
-225  ,
-200  ,
-188  ,
-160  ,
-145  ,
-114  ,
-89 ,
-56 ,
-34 ,
-17 ,
-6  ,
-3  ,
15  ,
30  ,
53  ,
71  ,
88  ,
95  ,
97  ,
95  ,
94  ,
98  ,
102 ,
109 ,
120 ,
133 ,
138 ,
145 ,
144 ,
158 ,
166 ,
191 ,
211 ,
239 ,
246 ,
256 ,
250 ,
260 ,
266 ,
274 ,
283 ,
292 ,
295 ,
290 ,
287 ,
275 ,
269 ,
260 ,
250 ,
246 ,
230 ,
220 ,
196 ,
186 ,
173 ,
175 ,
176 ,
180 ,
176 ,
164 ,
150 ,
133 ,
129 ,
120 ,
129 ,
129 ,
137 ,
142 ,
140 ,
129 ,
110 ,
87  ,
70  ,
62  ,
58  ,
53  ,
44  ,
20  ,
-13 ,
-39 ,
-68 ,
-83 ,
-94 ,
-106  ,
-108  ,
-116  ,
-123  ,
-136  ,
-153  ,
-161  ,
-165  ,
-169  ,
-160  ,
-163  ,
-162  ,
-167  ,
-168  ,
-165  ,
-159  ,
-160  ,
-155  ,
-160  ,
-166  ,
-176  ,
-191  ,
-192  ,
-210  ,
-204  ,
-217  ,
-206  ,
-218  ,
-219  ,
-236  ,
-251  ,
-268  ,
-273  ,
-269  ,
-261  ,
-255  ,
-252  ,
-249  ,
-253  ,
-247  ,
-240  ,
-230  ,
-210  ,
-196  ,
-175  ,
-160  ,
-153  ,
-144  ,
-135  ,
-122  ,
-95 ,
-75 ,
-45 ,
-35 ,
-23 ,
-20 ,
-17 ,
-9  ,
1 ,
14  ,
19  ,
24  ,
24  ,
29  ,
26  ,
28  ,
29  ,
36  ,
48  ,
68  ,
90  ,
104 ,
110 ,
119 ,
130 ,
155 ,
176 ,
204 ,
226 ,
241 ,
252 ,
264 ,
276 ,
285 ,
293 ,
301 ,
302 ,
304 ,
287 ,
285 ,
270 ,
269 ,
266 ,
273 ,
277 ,
269 ,
252 ,
228 ,
206 ,
191 ,
183 ,
185 ,
195 ,
198 ,
212 ,
205 ,
206 ,
189 ,
182 ,
174 ,
178 ,
177 ,
188 ,
174 ,
172 ,
146 ,
137 ,
117 ,
106 ,
89  ,
70  ,
44  ,
23  ,
-5  ,
-26 ,
-52 ,
-71 ,
-92 ,
-106  ,
-126  ,
-140  ,
-162  ,
-177  ,
-200  ,
-203  ,
-210  ,
-213  ,
-212  ,
-223  ,
-230  ,
-251  ,
-252  ,
-269  ,
-265  ,
-269  ,
-262  ,
-257  ,
-256  ,
-259  ,
-266  ,
-279  ,
-289  ,
-296  ,
-297  ,
-299  ,
-307  ,
-314  ,
-323  ,
-323  ,
-324  ,
-311  ,
-311  ,
-304  ,
-307  ,
-300  ,
-297  ,
-296  ,
-288  ,
-278  ,
-254  ,
-226  ,
-197  ,
-170  ,
-150  ,
-132  ,
-114  ,
-94 ,
-69 ,
-50 ,
-25 ,
-9  ,
12  ,
28  ,
44  ,
69  ,
77  ,
92  ,
98  ,
98  ,
108 ,
110 ,
118 ,
122 ,
134 ,
147 ,
165 ,
178 ,
191 ,
207 ,
217 ,
235 ,
245 ,
272 ,
286 ,
310 ,
328 ,
337 ,
350 ,
347 ,
360 ,
360 ,
365 ,
370 ,
371 ,
375 ,
371 ,
365 ,
347 ,
331 ,
308 ,
302 ,
281 ,
272 ,
250 ,
242 ,
232 ,
220 ,
209 ,
191 ,
176 ,
160 ,
145 ,
138 ,
121 ,
111 ,
93  ,
97  ,
83  ,
84  ,
70  ,
54  ,
37  ,
11  ,
-11 ,
-36 ,
-56 ,
-75 ,
-91 ,
-110  ,
-128  ,
-148  ,
-167  ,
-189  ,
-211  ,
-224  ,
-238  ,
-243  ,
-254  ,
-265  ,
-278  ,
-294  ,
-298  ,
-301  ,
-302  ,
-306  ,
-305  ,
-301  ,
-296  ,
-286  ,
-282  ,
-273  ,
-276  ,
-273  ,
-273  ,
-272  ,
-274  ,
-272  ,
-261  ,
-258  ,
-252  ,
-251  ,
-245  ,
-250  ,
-248  ,
-249  ,
-244  ,
-237  ,
-233  ,
-215  ,
-203  ,
-191  ,
-179  ,
-162  ,
-137  ,
-120  ,
-94 ,
-73 ,
-50 ,
-34 ,
-10 ,
8 ,
29  ,
52  ,
77  ,
108 ,
132 ,
146 ,
157 ,
158 ,
163 ,
165 ,
179 ,
185 ,
190 ,
196 ,
190 ,
197 ,
193 ,
200 ,
207 ,
212 ,
224 ,
234 ,
240 ,
245 ,
241 ,
253 ,
259 ,
270 ,
284 ,
287 ,
294 ,
292 ,
301 ,
302 ,
308 ,
303 ,
307 ,
301 ,
294 ,
286 ,
266 ,
251 ,
228 ,
223 ,
214 ,
210 ,
197 ,
182 ,
160 ,
132 ,
116 ,
101 ,
97  ,
90  ,
89  ,
86  ,
79  ,
59  ,
49  ,
35  ,
32  ,
32  ,
29  ,
34  ,
15  ,
7 ,
-18 ,
-33 ,
-47 ,
-62 ,
-69 ,
-81 ,
-97 ,
-117  ,
-143  ,
-171  ,
-191  ,
-205  ,
-216  ,
-222  ,
-234  ,
-243  ,
-261  ,
-278  ,
-294  ,
-294  ,
-297  ,
-290  ,
-287  ,
-282  ,
-283  ,
-292  ,
-293  ,
-298  ,
-287  ,
-284  ,
-268  ,
-266  ,
-260  ,
-265  ,
-263  ,
-273  ,
-270  ,
-269  ,
-259  ,
-257  ,
-260  ,
-263  ,
-274  ,
-274  ,
-279  ,
-267  ,
-258  ,
-249  ,
-242  ,
-231  ,
-222  ,
-227  ,
-215  ,
-211  ,
-183  ,
-159  ,
-136  ,
-114  ,
-95 ,
-77 ,
-53 ,
-25 ,
1 ,
26  ,
53  ,
69  ,
85  ,
94  ,
101 ,
113 ,
122 ,
145 ,
158 ,
174 ,
174 ,
180 ,
179 ,
188 ,
196 ,
212 ,
226 ,
240 ,
249 ,
258 ,
270 ,
273 ,
287 ,
298 ,
315 ,
334 ,
347 ,
360 ,
364 ,
368 ,
374 ,
384 ,
399 ,
413 ,
426 ,
426 ,
418 ,
409 ,
394 ,
381 ,
362 ,
351 ,
346 ,
327 ,
314 ,
299 ,
283 ,
275 ,
257 ,
252 ,
240 ,
228 ,
215 ,
197 ,
192 ,
169 ,
173 ,
158 ,
162 ,
147 ,
136 ,
116 ,
95  ,
69  ,
52  ,
27  ,
12  ,
-10 ,
-29 ,
-54 ,
-80 ,
-111  ,
-136  ,
-163  ,
-190  ,
-204  ,
-224  ,
-242  ,
-268  ,
-287  ,
-306  ,
-321  ,
-333  ,
-350  ,
-357  ,
-375  ,
-376  ,
-387  ,
-384  ,
-395  ,
-396  ,
-400  ,
-404  ,
-405  ,
-420  ,
-425  ,
-435  ,
-434  ,
-426  ,
-425  ,
-423  ,
-425  ,
-436  ,
-435  ,
-446  ,
-440  ,
-443  ,
-431  ,
-427  ,
-407  ,
-400  ,
-391  ,
-384  ,
-377  ,
-356  ,
-341  ,
-308  ,
-286  ,
-260  ,
-240  ,
-216  ,
-187  ,
-160  ,
-132  ,
-102  ,
-73 ,
-49 ,
-19 ,
3 ,
28  ,
51  ,
70  ,
100 ,
115 ,
133 ,
147 ,
157 ,
172 ,
184 ,
199 ,
221 ,
241 ,
260 ,
273 ,
288 ,
294 ,
315 ,
323 ,
347 ,
360 ,
384 ,
401 ,
423 ,
437 ,
454 ,
465 ,
472 ,
486 ,
492 ,
495 ,
489 ,
479 ,
476 ,
469 ,
468 ,
460 ,
455 ,
439 ,
426 ,
400 ,
392 ,
364 ,
350 ,
325 ,
318 ,
298 ,
296 ,
271 ,
265 ,
241 ,
227 ,
217 ,
207 ,
201 ,
185 ,
168 ,
147 ,
124 ,
102 ,
80  ,
55  ,
39  ,
14  ,
-5  ,
-30 ,
-59 ,
-80 ,
-112  ,
-131  ,
-158  ,
-178  ,
-203  ,
-225  ,
-246  ,
-261  ,
-275  ,
-290  ,
-298  ,
-309  ,
-314  ,
-324  ,
-335  ,
-337  ,
-354  ,
-352  ,
-358  ,
-352  ,
-350  ,
-343  ,
-345  ,
-346  ,
-356  ,
-363  ,
-366  ,
-369  ,
-364  ,
-363  ,
-358  ,
-366  ,
-368  ,
-369  ,
-365  ,
-361  ,
-361  ,
-347  ,
-344  ,
-331  ,
-322  ,
-312  ,
-300  ,
-290  ,
-272  ,
-250  ,
-226  ,
-206  ,
-186  ,
-155  ,
-132  ,
-101  ,
-76 ,
-51 ,
-27 ,
-6  ,
13  ,
33  ,
44  ,
57  ,
66  ,
84  ,
99  ,
121 ,
131 ,
143 ,
144 ,
147 ,
157 ,
162 ,
177 ,
189 ,
198 ,
210 ,
216 ,
228 ,
240 ,
254 ,
272 ,
289 ,
306 ,
318 ,
327 ,
325 ,
328 ,
332 ,
345 ,
357 ,
374 ,
376 ,
382 ,
373 ,
368 ,
360 ,
346 ,
336 ,
325 ,
324 ,
315 ,
304 ,
288 ,
272 ,
255 ,
246 ,
233 ,
229 ,
216 ,
203 ,
191 ,
178 ,
167 ,
161 ,
156 ,
161 ,
147 ,
140 ,
120 ,
104 ,
85  ,
70  ,
57  ,
46  ,
34  ,
16  ,
-9  ,
-40 ,
-74 ,
-96 ,
-115  ,
-120  ,
-135  ,
-146  ,
-167  ,
-187  ,
-209  ,
-228  ,
-247  ,
-254  ,
-269  ,
-268  ,
-276  ,
-275  ,
-281  ,
-286  ,
-294  ,
-298  ,
-306  ,
-306  ,
-307  ,
-308  ,
-308  ,
-317  ,
-320  ,
-323  ,
-330  ,
-325  ,
-333  ,
-325  ,
-333  ,
-336  ,
-340  ,
-349  ,
-346  ,
-347  ,
-341  ,
-334  ,
-335  ,
-332  ,
-326  ,
-320  ,
-304  ,
-292  ,
-271  ,
-252  ,
-241  ,
-227  ,
-214  ,
-200  ,
-179  ,
-162  ,
-136  ,
-114  ,
-91 ,
-65 ,
-51 ,
-26 ,
-22 ,
-6  ,
5 ,
22  ,
42  ,
57  ,
72  ,
83  ,
94  ,
101 ,
113 ,
124 ,
140 ,
158 ,
178 ,
197 ,
218 ,
233 ,
251 ,
261 ,
280 ,
296 ,
315 ,
335 ,
350 ,
364 ,
379 ,
387 ,
404 ,
407 ,
417 ,
417 ,
418 ,
422 ,
414 ,
418 ,
406 ,
409 ,
402 ,
395 ,
390 ,
372 ,
359 ,
349 ,
341 ,
339 ,
335 ,
334 ,
332 ,
325 ,
315 ,
308 ,
294 ,
283 ,
271 ,
262 ,
254 ,
237 ,
225 ,
200 ,
180 ,
151 ,
134 ,
108 ,
94  ,
64  ,
43  ,
16  ,
-11 ,
-46 ,
-72 ,
-100  ,
-116  ,
-132  ,
-151  ,
-166  ,
-187  ,
-203  ,
-226  ,
-237  ,
-255  ,
-264  ,
-273  ,
-288  ,
-297  ,
-312  ,
-324  ,
-333  ,
-346  ,
-354  ,
-364  ,
-367  ,
-371  ,
-380  ,
-390  ,
-400  ,
-410  ,
-416  ,
-423  ,
-432  ,
-437  ,
-441  ,
-441  ,
-440  ,
-438  ,
-433  ,
-428  ,
-416  ,
-410  ,
-400  ,
-393  ,
-387  ,
-373  ,
-358  ,
-337  ,
-310  ,
-286  ,
-263  ,
-242  ,
-221  ,
-202  ,
-181  ,
-163  ,
-139  ,
-119  ,
-96 ,
-79 ,
-60 ,
-45 ,
-33 ,
-22 ,
-5  ,
6 ,
25  ,
38  ,
53  ,
67  ,
79  ,
95  ,
111 ,
131 ,
153 ,
174 ,
194 ,
209 ,
229 ,
238 ,
260 ,
274 ,
302 ,
320 ,
340 ,
352 ,
363 ,
367 ,
375 ,
377 ,
389 ,
390 ,
394 ,
394 ,
385 ,
378 ,
362 ,
351 ,
344 ,
337 ,
331 ,
321 ,
312 ,
296 ,
283 ,
269 ,
262 ,
254 ,
251 ,
246 ,
237 ,
233 ,
213 ,
207 ,
187 ,
180 ,
171 ,
165 ,
156 ,
146 ,
126 ,
105 ,
77  ,
56  ,
36  ,
20  ,
10  ,
-11 ,
-25 ,
-49 ,
-63 ,
-84 ,
-102  ,
-119  ,
-133  ,
-141  ,
-154  ,
-163  ,
-175  ,
-186  ,
-194  ,
-196  ,
-193  ,
-191  ,
-197  ,
-208  ,
-210  ,
-221  ,
-213  ,
-219  ,
-208  ,
-210  ,
-204  ,
-210  ,
-216  ,
-224  ,
-238  ,
-239  ,
-240  ,
-236  ,
-226  ,
-229  ,
-232  ,
-242  ,
-253  ,
-253  ,
-249  ,
-231  ,
-224  ,
-201  ,
-198  ,
-187  ,
-182  ,
-174  ,
-167  ,
-152  ,
-135  ,
-113  ,
-94 ,
-78 ,
-67 ,
-56 ,
-43 ,
-30 ,
-14 ,
1 ,
10  ,
23  ,
23  ,
27  ,
30  ,
31  ,
39  ,
52  ,
67  ,
75  ,
80  ,
77  ,
79  ,
72  ,
80  ,
86  ,
105 ,
122 ,
130 ,
144 ,
148 ,
158 ,
168 ,
184 ,
194 ,
210 ,
207 ,
222 ,
217 ,
223 ,
223 ,
225 ,
226 ,
231 ,
229 ,
231 ,
215 ,
204 ,
191 ,
184 ,
182 ,
184 ,
184 ,
176 ,
162 ,
149 ,
134 ,
131 ,
124 ,
129 ,
134 ,
136 ,
137 ,
132 ,
114 ,
99  ,
82  ,
75  ,
70  ,
65  ,
51  ,
42  ,
20  ,
8 ,
-6  ,
-19 ,
-30 ,
-45 ,
-53 ,
-71 ,
-86 ,
-106  ,
-117  ,
-125  ,
-131  ,
-124  ,
-125  ,
-126  ,
-137  ,
-154  ,
-160  ,
-175  ,
-166  ,
-169  ,
-155  ,
-164  ,
-159  ,
-175  ,
-176  ,
-188  ,
-189  ,
-189  ,
-188  ,
-185  ,
-188  ,
-193  ,
-205  ,
-215  ,
-224  ,
-225  ,
-220  ,
-215  ,
-204  ,
-209  ,
-215  ,
-220  ,
-222  ,
-219  ,
-211  ,
-201  ,
-188  ,
-177  ,
-166  ,
-158  ,
-153  ,
-147  ,
-143  ,
-128  ,
-110  ,
-89 ,
-77 ,
-64 ,
-62 ,
-56 ,
-41 ,
-33 ,
-18 ,
-15 ,
-11 ,
-3  ,
2 ,
21  ,
23  ,
38  ,
39  ,
50  ,
56  ,
62  ,
58  ,
64  ,
67  ,
94  ,
111 ,
142 ,
154 ,
168 ,
176 ,
178 ,
190 ,
193 ,
214 ,
232 ,
257 ,
274 ,
289 ,
290 ,
284 ,
277 ,
267 ,
274 ,
273 ,
282 ,
283 ,
281 ,
278 ,
267 ,
262 ,
253 ,
248 ,
243 ,
240 ,
232 ,
231 ,
221 ,
227 ,
219 ,
228 ,
218 ,
213 ,
197 ,
188 ,
176 ,
170 ,
159 ,
157 ,
150 ,
142 ,
120 ,
94  ,
62  ,
37  ,
17  ,
-6  ,
-16 ,
-37 ,
-47 ,
-68 ,
-88 ,
-111  ,
-139  ,
-162  ,
-176  ,
-188  ,
-183  ,
-197  ,
-201  ,
-219  ,
-233  ,
-237  ,
-246  ,
-245  ,
-250  ,
-257  ,
-261  ,
-271  ,
-266  ,
-277  ,
-271  ,
-279  ,
-272  ,
-277  ,
-279  ,
-284  ,
-293  ,
-296  ,
-299  ,
-298  ,
-294  ,
-293  ,
-290  ,
-293  ,
-287  ,
-277  ,
-266  ,
-249  ,
-238  ,
-221  ,
-204  ,
-187  ,
-177  ,
-164  ,
-158  ,
-138  ,
-121  ,
-91 ,
-66 ,
-49 ,
-32 ,
-25 ,
-10 ,
-5  ,
15  ,
26  ,
55  ,
67  ,
83  ,
84  ,
88  ,
90  ,
95  ,
103 ,
116 ,
132 ,
138 ,
152 ,
148 ,
155 ,
152 ,
159 ,
174 ,
183 ,
195 ,
201 ,
206 ,
217 ,
227 ,
241 ,
248 ,
260 ,
257 ,
271 ,
260 ,
264 ,
252 ,
251 ,
248 ,
253 ,
252 ,
252 ,
234 ,
223 ,
203 ,
193 ,
190 ,
177 ,
183 ,
169 ,
165 ,
150 ,
138 ,
130 ,
111 ,
109 ,
100 ,
104 ,
100 ,
94  ,
79  ,
70  ,
55  ,
49  ,
38  ,
29  ,
10  ,
-7  ,
-27 ,
-45 ,
-55 ,
-71 ,
-77 ,
-96 ,
-99 ,
-122  ,
-134  ,
-159  ,
-171  ,
-177  ,
-182  ,
-177  ,
-179  ,
-180  ,
-193  ,
-202  ,
-219  ,
-221  ,
-229  ,
-221  ,
-222  ,
-211  ,
-212  ,
-210  ,
-215  ,
-223  ,
-225  ,
-232  ,
-228  ,
-227  ,
-220  ,
-219  ,
-220  ,
-221  ,
-222  ,
-215  ,
-208  ,
-197  ,
-190  ,
-182  ,
-180  ,
-172  ,
-164  ,
-149  ,
-134  ,
-118  ,
-101  ,
-88 ,
-72 ,
-62 ,
-47 ,
-31 ,
-13 ,
11  ,
31  ,
58  ,
70  ,
83  ,
91  ,
98  ,
110 ,
123 ,
133 ,
150 ,
157 ,
172 ,
178 ,
183 ,
183 ,
180 ,
178 ,
177 ,
182 ,
183 ,
189 ,
194 ,
204 ,
214 ,
222 ,
224 ,
225 ,
221 ,
222 ,
221 ,
223 ,
230 ,
228 ,
236 ,
233 ,
233 ,
230 ,
214 ,
210 ,
193 ,
198 ,
188 ,
195 ,
185 ,
177 ,
161 ,
143 ,
126 ,
116 ,
101 ,
94  ,
86  ,
85  ,
78  ,
74  ,
65  ,
57  ,
49  ,
41  ,
32  ,
28  ,
25  ,
15  ,
15  ,
2 ,
-3  ,
-15 ,
-23 ,
-33 ,
-46 ,
-61 ,
-77 ,
-89 ,
-98 ,
-112  ,
-120  ,
-137  ,
-143  ,
-155  ,
-160  ,
-171  ,
-180  ,
-194  ,
-202  ,
-208  ,
-210  ,
-213  ,
-218  ,
-220  ,
-228  ,
-226  ,
-224  ,
-224  ,
-217  ,
-222  ,
-219  ,
-222  ,
-224  ,
-225  ,
-224  ,
-227  ,
-225  ,
-228  ,
-232  ,
-236  ,
-241  ,
-245  ,
-244  ,
-247  ,
-249  ,
-251  ,
-252  ,
-252  ,
-247  ,
-245  ,
-233  ,
-230  ,
-217  ,
-213  ,
-202  ,
-187  ,
-177  ,
-156  ,
-141  ,
-116  ,
-101  ,
-80 ,
-68 ,
-49 ,
-31 ,
-13 ,
7 ,
28  ,
48  ,
69  ,
83  ,
100 ,
101 ,
111 ,
110 ,
120 ,
128 ,
145 ,
158 ,
175 ,
193 ,
201 ,
216 ,
214 ,
224 ,
229 ,
244 ,
257 ,
274 ,
286 ,
303 ,
315 ,
327 ,
337 ,
342 ,
343 ,
346 ,
353 ,
360 ,
366 ,
370 ,
371 ,
363 ,
356 ,
337 ,
330 ,
316 ,
303 ,
294 ,
280 ,
271 ,
260 ,
244 ,
239 ,
215 ,
211 ,
191 ,
187 ,
172 ,
158 ,
147 ,
135 ,
128 ,
116 ,
105 ,
87  ,
72  ,
54  ,
39  ,
19  ,
1 ,
-17 ,
-35 ,
-50 ,
-66 ,
-81 ,
-100  ,
-122  ,
-142  ,
-160  ,
-178  ,
-188  ,
-201  ,
-211  ,
-222  ,
-242  ,
-253  ,
-269  ,
-277  ,
-283  ,
-288  ,
-289  ,
-292  ,
-298  ,
-299  ,
-307  ,
-304  ,
-309  ,
-307  ,
-315  ,
-317  ,
-324  ,
-329  ,
-332  ,
-335  ,
-326  ,
-325  ,
-320  ,
-316  ,
-319  ,
-312  ,
-313  ,
-309  ,
-301  ,
-299  ,
-284  ,
-279  ,
-261  ,
-257  ,
-243  ,
-241  ,
-229  ,
-219  ,
-202  ,
-186  ,
-162  ,
-142  ,
-120  ,
-101  ,
-86 ,
-65 ,
-47 ,
-26 ,
-9  ,
12  ,
27  ,
38  ,
51  ,
64  ,
84  ,
98  ,
118 ,
130 ,
143 ,
150 ,
163 ,
177 ,
195 ,
214 ,
228 ,
249 ,
257 ,
273 ,
281 ,
294 ,
303 ,
317 ,
326 ,
338 ,
348 ,
366 ,
371 ,
387 ,
382 ,
393 ,
388 ,
393 ,
385 ,
384 ,
373 ,
361 ,
358 ,
342 ,
340 ,
323 ,
314 ,
299 ,
285 ,
264 ,
252 ,
237 ,
230 ,
219 ,
214 ,
196 ,
183 ,
162 ,
145 ,
128 ,
113 ,
102 ,
90  ,
69  ,
48  ,
20  ,
2 ,
-20 ,
-32 ,
-49 ,
-61 ,
-87 ,
-107  ,
-137  ,
-153  ,
-176  ,
-183  ,
-197  ,
-202  ,
-215  ,
-227  ,
-248  ,
-265  ,
-287  ,
-290  ,
-294  ,
-286  ,
-280  ,
-278  ,
-278  ,
-286  ,
-297  ,
-301  ,
-305  ,
-301  ,
-295  ,
-287  ,
-281  ,
-279  ,
-284  ,
-289  ,
-291  ,
-288  ,
-280  ,
-270  ,
-268  ,
-264  ,
-265  ,
-263  ,
-257  ,
-250  ,
-237  ,
-227  ,
-216  ,
-209  ,
-202  ,
-194  ,
-188  ,
-169  ,
-152  ,
-123  ,
-104  ,
-88 ,
-74 ,
-63 ,
-47 ,
-28 ,
-6  ,
13  ,
34  ,
38  ,
54  ,
58  ,
66  ,
74  ,
74  ,
85  ,
88  ,
101 ,
106 ,
116 ,
119 ,
124 ,
132 ,
142 ,
156 ,
163 ,
165 ,
170 ,
166 ,
174 ,
185 ,
199 ,
224 ,
237 ,
254 ,
259 ,
267 ,
265 ,
266 ,
267 ,
277 ,
288 ,
299 ,
308 ,
300 ,
295 ,
277 ,
272 ,
261 ,
260 ,
259 ,
252 ,
250 ,
238 ,
230 ,
221 ,
211 ,
207 ,
200 ,
199 ,
186 ,
184 ,
167 ,
166 ,
148 ,
149 ,
140 ,
137 ,
125 ,
111 ,
92  ,
70  ,
56  ,
39  ,
32  ,
18  ,
8 ,
-6  ,
-29 ,
-52 ,
-79 ,
-103  ,
-119  ,
-131  ,
-140  ,
-150  ,
-168  ,
-184  ,
-202  ,
-212  ,
-219  ,
-218  ,
-220  ,
-227  ,
-233  ,
-249  ,
-252  ,
-262  ,
-265  ,
-267  ,
-266  ,
-262  ,
-263  ,
-268  ,
-275  ,
-289  ,
-291  ,
-293  ,
-285  ,
-280  ,
-281  ,
-278  ,
-282  ,
-283  ,
-284  ,
-282  ,
-277  ,
-272  ,
-268  ,
-264  ,
-253  ,
-251  ,
-237  ,
-230  ,
-213  ,
-197  ,
-177  ,
-169  ,
-153  ,
-149  ,
-134  ,
-115  ,
-99 ,
-70 ,
-52 ,
-35 ,
-23 ,
-16 ,
-9  ,
-2  ,
6 ,
26  ,
42  ,
65  ,
79  ,
91  ,
94  ,
95  ,
103 ,
110 ,
121 ,
131 ,
138 ,
148 ,
162 ,
174 ,
186 ,
200 ,
205 ,
223 ,
230 ,
244 ,
253 ,
266 ,
270 ,
286 ,
288 ,
302 ,
305 ,
306 ,
310 ,
304 ,
305 ,
302 ,
301 ,
307 ,
304 ,
308 ,
299 ,
300 ,
294 ,
289 ,
276 ,
271 ,
262 ,
261 ,
256 ,
249 ,
250 ,
235 ,
235 ,
219 ,
215 ,
202 ,
190 ,
177 ,
168 ,
153 ,
142 ,
127 ,
108 ,
91  ,
66  ,
44  ,
20  ,
2 ,
-21 ,
-35 ,
-55 ,
-71 ,
-84 ,
-103  ,
-120  ,
-142  ,
-159  ,
-177  ,
-191  ,
-206  ,
-214  ,
-223  ,
-230  ,
-240  ,
-249  ,
-263  ,
-275  ,
-297  ,
-301  ,
-315  ,
-312  ,
-319  ,
-322  ,
-325  ,
-333  ,
-339  ,
-345  ,
-352  ,
-354  ,
-356  ,
-359  ,
-357  ,
-355  ,
-350  ,
-347  ,
-340  ,
-334  ,
-326  ,
-322  ,
-319  ,
-307  ,
-296  ,
-274  ,
-257  ,
-233  ,
-210  ,
-197  ,
-179  ,
-164  ,
-152  ,
-128  ,
-119  ,
-85 ,
-73 ,
-45 ,
-32 ,
-14 ,
7 ,
16  ,
37  ,
43  ,
62  ,
69  ,
87  ,
87  ,
107 ,
108 ,
123 ,
128 ,
141 ,
153 ,
173 ,
183 ,
198 ,
204 ,
221 ,
233 ,
252 ,
265 ,
279 ,
290 ,
291 ,
300 ,
297 ,
304 ,
301 ,
308 ,
305 ,
310 ,
296 ,
290 ,
277 ,
274 ,
266 ,
261 ,
251 ,
246 ,
230 ,
225 ,
208 ,
205 ,
196 ,
190 ,
186 ,
183 ,
174 ,
165 ,
150 ,
137 ,
136 ,
125 ,
130 ,
124 ,
124 ,
114 ,
100 ,
83  ,
67  ,
55  ,
42  ,
40  ,
28  ,
22  ,
7 ,
-16 ,
-34 ,
-53 ,
-64 ,
-70 ,
-80 ,
-90 ,
-100  ,
-110  ,
-116  ,
-124  ,
-125  ,
-130  ,
-139  ,
-141  ,
-155  ,
-162  ,
-170  ,
-172  ,
-165  ,
-155  ,
-153  ,
-151  ,
-157  ,
-169  ,
-180  ,
-193  ,
-199  ,
-202  ,
-197  ,
-193  ,
-187  ,
-191  ,
-205  ,
-218  ,
-230  ,
-233  ,
-227  ,
-225  ,
-216  ,
-212  ,
-207  ,
-201  ,
-196  ,
-188  ,
-175  ,
-164  ,
-153  ,
-136  ,
-136  ,
-124  ,
-121  ,
-107  ,
-82 ,
-69 ,
-45 ,
-41 ,
-37 ,
-36 ,
-38 ,
-26 ,
-16 ,
2 ,
19  ,
31  ,
40  ,
41  ,
29  ,
31  ,
25  ,
41  ,
52  ,
74  ,
91  ,
102 ,
110 ,
111 ,
113 ,
117 ,
124 ,
134 ,
154 ,
168 ,
182 ,
188 ,
188 ,
187 ,
192 ,
194 ,
201 ,
200 ,
203 ,
198 ,
198 ,
187 ,
187 ,
180 ,
185 ,
182 ,
179 ,
160 ,
152 ,
131 ,
134 ,
125 ,
130 ,
128 ,
126 ,
123 ,
113 ,
101 ,
92  ,
76  ,
78  ,
67  ,
73  ,
65  ,
62  ,
48  ,
39  ,
21  ,
14  ,
-3  ,
-8  ,
-22 ,
-27 ,
-43 ,
-51 ,
-61 ,
-71 ,
-77 ,
-80 ,
-84 ,
-80 ,
-85 ,
-94 ,
-100  ,
-107  ,
-108  ,
-105  ,
-106  ,
-105  ,
-109  ,
-115  ,
-121  ,
-127  ,
-130  ,
-128  ,
-128  ,
-122  ,
-124  ,
-129  ,
-135  ,
-141  ,
-147  ,
-143  ,
-151  ,
-146  ,
-150  ,
-153  ,
-158  ,
-161  ,
-167  ,
-157  ,
-159  ,
-147  ,
-143  ,
-148  ,
-144  ,
-157  ,
-150  ,
-153  ,
-145  ,
-136  ,
-122  ,
-112  ,
-100  ,
-101  ,
-97 ,
-96 ,
-92 ,
-78 ,
-63 ,
-48 ,
-36 ,
-29 ,
-27 ,
-20 ,
-14 ,
-4  ,
6 ,
14  ,
21  ,
28  ,
34  ,
37  ,
50  ,
58  ,
77  ,
82  ,
96  ,
101 ,
106 ,
118 ,
126 ,
146 ,
164 ,
179 ,
195 ,
205 ,
209 ,
212 ,
215 ,
216 ,
228 ,
230 ,
245 ,
247 ,
256 ,
249 ,
244 ,
235 ,
229 ,
227 ,
228 ,
223 ,
224 ,
211 ,
205 ,
193 ,
192 ,
191 ,
188 ,
185 ,
178 ,
170 ,
160 ,
153 ,
150 ,
148 ,
145 ,
135 ,
122 ,
99  ,
72  ,
49  ,
29  ,
14  ,
6 ,
-10 ,
-15 ,
-34 ,
-51 ,
-72 ,
-97 ,
-115  ,
-135  ,
-138  ,
-150  ,
-150  ,
-165  ,
-172  ,
-192  ,
-200  ,
-212  ,
-213  ,
-216  ,
-214  ,
-215  ,
-213  ,
-220  ,
-222  ,
-226  ,
-225  ,
-224  ,
-221  ,
-221  ,
-219  ,
-227  ,
-221  ,
-229  ,
-222  ,
-220  ,
-215  ,
-206  ,
-201  ,
-200  ,
-195  ,
-198  ,
-196  ,
-191  ,
-182  ,
-174  ,
-162  ,
-153  ,
-148  ,
-136  ,
-131  ,
-118  ,
-104  ,
-95 ,
-75 ,
-63 ,
-45 ,
-39 ,
-22 ,
-12 ,
8 ,
18  ,
29  ,
37  ,
43  ,
48  ,
51  ,
58  ,
62  ,
62  ,
74  ,
72  ,
85  ,
85  ,
88  ,
92  ,
90  ,
98  ,
96  ,
107 ,
115 ,
128 ,
140 ,
143 ,
152 ,
151 ,
164 ,
168 ,
179 ,
186 ,
190 ,
196 ,
193 ,
201 ,
200 ,
203 ,
201 ,
195 ,
187 ,
178 ,
174 ,
168 ,
167 ,
168 ,
165 ,
162 ,
157 ,
146 ,
138 ,
128 ,
124 ,
123 ,
124 ,
119 ,
117 ,
109 ,
98  ,
94  ,
80  ,
74  ,
63  ,
57  ,
46  ,
51  ,
35  ,
36  ,
22  ,
6 ,
-6  ,
-25 ,
-42 ,
-51 ,
-68 ,
-77 ,
-82 ,
-91 ,
-96 ,
-104  ,
-113  ,
-125  ,
-133  ,
-148  ,
-157  ,
-161  ,
-166  ,
-160  ,
-161  ,
-160  ,
-163  ,
-166  ,
-168  ,
-175  ,
-171  ,
-178  ,
-171  ,
-178  ,
-171  ,
-176  ,
-170  ,
-172  ,
-169  ,
-169  ,
-170  ,
-173  ,
-169  ,
-166  ,
-154  ,
-142  ,
-132  ,
-123  ,
-116  ,
-114  ,
-102  ,
-100  ,
-89 ,
-82 ,
-71 ,
-59 ,
-46 ,
-30 ,
-13 ,
-3  ,
9 ,
22  ,
23  ,
37  ,
37  ,
49  ,
64  ,
74  ,
89  ,
97  ,
98  ,
102 ,
98  ,
104 ,
104 ,
109 ,
114 ,
117 ,
122 ,
124 ,
128 ,
127 ,
128 ,
127 ,
131 ,
132 ,
138 ,
141 ,
143 ,
143 ,
141 ,
144 ,
146 ,
150 ,
151 ,
157 ,
156 ,
153 ,
150 ,
138 ,
136 ,
128 ,
124 ,
128 ,
119 ,
117 ,
103 ,
93  ,
85  ,
75  ,
78  ,
70  ,
71  ,
66  ,
59  ,
56  ,
49  ,
47  ,
46  ,
42  ,
39  ,
38  ,
31  ,
27  ,
15  ,
10  ,
5 ,
0 ,
-6  ,
-9  ,
-26 ,
-33 ,
-55 ,
-64 ,
-76 ,
-82 ,
-87 ,
-91 ,
-100  ,
-103  ,
-126  ,
-131  ,
-151  ,
-154  ,
-157  ,
-159  ,
-160  ,
-159  ,
-168  ,
-169  ,
-180  ,
-181  ,
-178  ,
-178  ,
-175  ,
-172  ,
-180  ,
-178  ,
-183  ,
-189  ,
-184  ,
-193  ,
-190  ,
-196  ,
-194  ,
-201  ,
-198  ,
-206  ,
-203  ,
-202  ,
-193  ,
-196  ,
-192  ,
-194  ,
-195  ,
-186  ,
-182  ,
-164  ,
-153  ,
-140  ,
-130  ,
-120  ,
-110  ,
-103  ,
-92 ,
-80 ,
-62 ,
-37 ,
-18 ,
8 ,
20  ,
31  ,
40  ,
48  ,
62  ,
79  ,
93  ,
107 ,
118 ,
128 ,
139 ,
142 ,
151 ,
157 ,
166 ,
174 ,
186 ,
190 ,
196 ,
202 ,
209 ,
225 ,
238 ,
249 ,
256 ,
260 ,
263 ,
265 ,
272 ,
274 ,
286 ,
289 ,
296 ,
299 ,
291 ,
289 ,
271 ,
265 ,
257 ,
253 ,
255 ,
250 ,
238 ,
229 ,
205 ,
193 ,
173 ,
169 ,
157 ,
152 ,
143 ,
136 ,
127 ,
112 ,
101 ,
95  ,
84  ,
87  ,
72  ,
65  ,
53  ,
35  ,
24  ,
10  ,
0 ,
-10 ,
-26 ,
-33 ,
-50 ,
-60 ,
-78 ,
-95 ,
-102  ,
-117  ,
-122  ,
-139  ,
-146  ,
-163  ,
-172  ,
-183  ,
-191  ,
-191  ,
-200  ,
-201  ,
-211  ,
-217  ,
-223  ,
-225  ,
-226  ,
-218  ,
-223  ,
-218  ,
-232  ,
-237  ,
-246  ,
-253  ,
-255  ,
-251  ,
-248  ,
-239  ,
-241  ,
-240  ,
-248  ,
-252  ,
-257  ,
-251  ,
-248  ,
-231  ,
-228  ,
-216  ,
-219  ,
-214  ,
-212  ,
-204  ,
-197  ,
-184  ,
-179  ,
-166  ,
-161  ,
-148  ,
-145  ,
-130  ,
-122  ,
-99 ,
-82 ,
-63 ,
-52 ,
-37 ,
-31 ,
-13 ,
-5  ,
14  ,
23  ,
38  ,
47  ,
62  ,
70  ,
82  ,
88  ,
101 ,
115 ,
129 ,
147 ,
154 ,
169 ,
172 ,
182 ,
191 ,
204 ,
215 ,
229 ,
234 ,
246 ,
253 ,
264 ,
272 ,
279 ,
284 ,
288 ,
289 ,
284 ,
286 ,
279 ,
284 ,
278 ,
281 ,
276 ,
274 ,
257 ,
249 ,
231 ,
225 ,
213 ,
214 ,
206 ,
200 ,
188 ,
173 ,
158 ,
145 ,
131 ,
123 ,
112 ,
104 ,
92  ,
81  ,
65  ,
46  ,
29  ,
10  ,
3 ,
-10 ,
-13 ,
-29 ,
-43 ,
-63 ,
-74 ,
-86 ,
-95 ,
-101  ,
-113  ,
-121  ,
-134  ,
-143  ,
-158  ,
-163  ,
-172  ,
-167  ,
-166  ,
-160  ,
-169  ,
-171  ,
-185  ,
-188  ,
-185  ,
-183  ,
-173  ,
-173  ,
-169  ,
-169  ,
-173  ,
-174  ,
-178  ,
-176  ,
-175  ,
-167  ,
-164  ,
-157  ,
-159  ,
-163  ,
-163  ,
-162  ,
-157  ,
-146  ,
-140  ,
-137  ,
-132  ,
-136  ,
-125  ,
-127  ,
-113  ,
-105  ,
-91 ,
-78 ,
-70 ,
-60 ,
-52 ,
-46 ,
-33 ,
-23 ,
-6  ,
5 ,
19  ,
22  ,
29  ,
34  ,
41  ,
50  ,
62  ,
70  ,
79  ,
79  ,
84  ,
85  ,
91  ,
96  ,
98  ,
107 ,
110 ,
117 ,
117 ,
121 ,
118 ,
131 ,
139 ,
162 ,
174 ,
190 ,
193 ,
202 ,
203 ,
214 ,
222 ,
238 ,
246 ,
257 ,
264 ,
266 ,
265 ,
259 ,
251 ,
250 ,
247 ,
250 ,
251 ,
248 ,
245 ,
238 ,
233 ,
226 ,
216 ,
213 ,
206 ,
202 ,
198 ,
190 ,
185 ,
172 ,
172 ,
160 ,
169 ,
155 ,
154 ,
137 ,
121 ,
107 ,
92  ,
81  ,
75  ,
61  ,
44  ,
27  ,
1 ,
-16 ,
-40 ,
-53 ,
-74 ,
-80 ,
-97 ,
-107  ,
-124  ,
-138  ,
-157  ,
-170  ,
-181  ,
-190  ,
-195  ,
-196  ,
-206  ,
-203  ,
-216  ,
-217  ,
-228  ,
-227  ,
-230  ,
-230  ,
-232  ,
-233  ,
-235  ,
-234  ,
-239  ,
-236  ,
-240  ,
-231  ,
-237  ,
-227  ,
-239  ,
-232  ,
-239  ,
-232  ,
-229  ,
-221  ,
-222  ,
-218  ,
-220  ,
-210  ,
-201  ,
-188  ,
-176  ,
-163  ,
-148  ,
-137  ,
-127  ,
-117  ,
-107  ,
-93 ,
-76 ,
-62 ,
-38 ,
-33 ,
-18 ,
-11 ,
-5  ,
15  ,
22  ,
38  ,
48  ,
52  ,
60  ,
63  ,
72  ,
76  ,
85  ,
90  ,
98  ,
107 ,
110 ,
118 ,
113 ,
118 ,
120 ,
123 ,
138 ,
145 ,
162 ,
170 ,
178 ,
185 ,
185 ,
194 ,
192 ,
206 ,
206 ,
214 ,
215 ,
214 ,
215 ,
214 ,
209 ,
214 ,
206 ,
207 ,
203 ,
195 ,
197 ,
186 ,
192 ,
183 ,
186 ,
177 ,
173 ,
173 ,
166 ,
174 ,
160 ,
158 ,
146 ,
141 ,
135 ,
131 ,
121 ,
118 ,
102 ,
99  ,
82  ,
77  ,
57  ,
43  ,
25  ,
9 ,
-8  ,
-18 ,
-35 ,
-45 ,
-60 ,
-75 ,
-91 ,
-104  ,
-125  ,
-138  ,
-149  ,
-164  ,
-167  ,
-179  ,
-185  ,
-197  ,
-206  ,
-215  ,
-224  ,
-229  ,
-242  ,
-246  ,
-255  ,
-255  ,
-263  ,
-269  ,
-279  ,
-293  ,
-295  ,
-304  ,
-304  ,
-310  ,
-309  ,
-316  ,
-310  ,
-316  ,
-310  ,
-316  ,
-314  ,
-311  ,
-306  ,
-299  ,
-291  ,
-280  ,
-270  ,
-257  ,
-244  ,
-230  ,
-217  ,
-204  ,
-196  ,
-179  ,
-170  ,
-145  ,
-129  ,
-106  ,
-88 ,
-74 ,
-61 ,
-46 ,
-42 ,
-22 ,
-21 ,
-2  ,
5 ,
18  ,
34  ,
42  ,
52  ,
57  ,
59  ,
62  ,
69  ,
77  ,
94  ,
104 ,
119 ,
128 ,
138 ,
142 ,
144 ,
147 ,
153 ,
160 ,
171 ,
180 ,
181 ,
186 ,
178 ,
180 ,
180 ,
175 ,
180 ,
169 ,
169 ,
156 ,
152 ,
145 ,
140 ,
140 ,
134 ,
128 ,
121 ,
101 ,
97  ,
78  ,
80  ,
70  ,
81  ,
73  ,
82  ,
73  ,
73  ,
62  ,
56  ,
49  ,
44  ,
43  ,
41  ,
44  ,
35  ,
32  ,
14  ,
8 ,
-6  ,
-15 ,
-17 ,
-27 ,
-29 ,
-39 ,
-49 ,
-52 ,
-61 ,
-64 ,
-65 ,
-72 ,
-75 ,
-82 ,
-92 ,
-92 ,
-98 ,
-94 ,
-94 ,
-93 ,
-92 ,
-93 ,
-100  ,
-98 ,
-109  ,
-106  ,
-112  ,
-111  ,
-110  ,
-115  ,
-115  ,
-125  ,
-128  ,
-135  ,
-142  ,
-145  ,
-148  ,
-152  ,
-152  ,
-156  ,
-156  ,
-160  ,
-164  ,
-165  ,
-165  ,
-160  ,
-158  ,
-152  ,
-149  ,
-143  ,
-137  ,
-129  ,
-120  ,
-108  ,
-97 ,
-86 ,
-75 ,
-67 ,
-62 ,
-52 ,
-46 ,
-32 ,
-21 ,
-8  ,
0 ,
8 ,
12  ,
16  ,
22  ,
28  ,
32  ,
40  ,
47  ,
61  ,
63  ,
78  ,
82  ,
88  ,
101 ,
98  ,
117 ,
115 ,
124 ,
131 ,
137 ,
150 ,
155 ,
167 ,
175 ,
181 ,
181 ,
182 ,
179 ,
178 ,
182 ,
184 ,
191 ,
190 ,
190 ,
181 ,
171 ,
160 ,
146 ,
140 ,
135 ,
131 ,
133 ,
124 ,
124 ,
112 ,
110 ,
97  ,
92  ,
76  ,
75  ,
66  ,
68  ,
66  ,
62  ,
57  ,
45  ,
33  ,
18  ,
14  ,
6 ,
6 ,
1 ,
1 ,
-5  ,
-9  ,
-23 ,
-32 ,
-44 ,
-54 ,
-58 ,
-61 ,
-58 ,
-62 ,
-64 ,
-64 ,
-69 ,
-68 ,
-77 ,
-75 ,
-85 ,
-81 ,
-84 ,
-79 ,
-77 ,
-77 ,
-82 ,
-79 ,
-85 ,
-92 ,
-98 ,
-107  ,
-112  ,
-107  ,
-106  ,
-96 ,
-97 ,
-95 ,
-101  ,
-102  ,
-112  ,
-113  ,
-120  ,
-118  ,
-116  ,
-114  ,
-109  ,
-111  ,
-111  ,
-109  ,
-109  ,
-103  ,
-101  ,
-101  ,
-92 ,
-94 ,
-79 ,
-81 ,
-67 ,
-69 ,
-58 ,
-54 ,
-47 ,
-39 ,
-39 ,
-31 ,
-29 ,
-19 ,
-9  ,
-2  ,
10  ,
19  ,
26  ,
29  ,
33  ,
35  ,
46  ,
52  ,
65  ,
80  ,
89  ,
101 ,
107 ,
116 ,
130 ,
136 ,
148 ,
155 ,
162 ,
171 ,
183 ,
189 ,
203 ,
205 ,
216 ,
218 ,
219 ,
214 ,
207 ,
207 ,
204 ,
210 ,
211 ,
210 ,
206 ,
194 ,
190 ,
178 ,
176 ,
165 ,
168 ,
162 ,
167 ,
159 ,
157 ,
141 ,
133 ,
118 ,
112 ,
103 ,
93  ,
84  ,
66  ,
58  ,
38  ,
32  ,
18  ,
7 ,
-2  ,
-14 ,
-25 ,
-39 ,
-56 ,
-68 ,
-83 ,
-85 ,
-97 ,
-100  ,
-108  ,
-120  ,
-125  ,
-136  ,
-137  ,
-143  ,
-142  ,
-144  ,
-142  ,
-144  ,
-145  ,
-146  ,
-144  ,
-141  ,
-140  ,
-136  ,
-138  ,
-137  ,
-134  ,
-137  ,
-128  ,
-128  ,
-122  ,
-115  ,
-117  ,
-109  ,
-121  ,
-113  ,
-119  ,
-112  ,
-102  ,
-100  ,
-89 ,
-89 ,
-80 ,
-79 ,
-69 ,
-71 ,
-65 ,
-59 ,
-55 ,
-40 ,
-35 ,
-22 ,
-20 ,
-12 ,
-13 ,
-3  ,
1 ,
10  ,
15  ,
23  ,
30  ,
36  ,
37  ,
40  ,
36  ,
34  ,
32  ,
28  ,
32  ,
26  ,
33  ,
31  ,
47  ,
43  ,
54  ,
51  ,
50  ,
54  ,
49  ,
62  ,
65  ,
77  ,
82  ,
94  ,
101 ,
108 ,
114 ,
114 ,
122 ,
123 ,
130 ,
135 ,
140 ,
138 ,
144 ,
136 ,
142 ,
139 ,
139 ,
140 ,
138 ,
137 ,
136 ,
132 ,
131 ,
127 ,
125 ,
123 ,
120 ,
120 ,
117 ,
112 ,
108 ,
101 ,
101 ,
95  ,
96  ,
85  ,
76  ,
66  ,
51  ,
46  ,
38  ,
37  ,
28  ,
16  ,
1 ,
-16 ,
-27 ,
-44 ,
-53 ,
-61 ,
-72 ,
-74 ,
-92 ,
-95 ,
-117  ,
-120  ,
-135  ,
-136  ,
-137  ,
-145  ,
-145  ,
-159  ,
-164  ,
-170  ,
-176  ,
-180  ,
-178  ,
-181  ,
-174  ,
-178  ,
-175  ,
-178  ,
-183  ,
-178  ,
-183  ,
-169  ,
-168  ,
-164  ,
-158  ,
-160  ,
-153  ,
-148  ,
-140  ,
-133  ,
-124  ,
-122  ,
-113  ,
-107  ,
-100  ,
-91 ,
-80 ,
-71 ,
-51 ,
-44 ,
-26 ,
-21 ,
-8  ,
2 ,
15  ,
25  ,
41  ,
47  ,
64  ,
67  ,
76  ,
80  ,
78  ,
82  ,
81  ,
86  ,
89  ,
94  ,
98  ,
96  ,
97  ,
92  ,
92  ,
91  ,
88  ,
86  ,
84  ,
85  ,
88  ,
93  ,
98  ,
103 ,
99  ,
100 ,
90  ,
95  ,
86  ,
96  ,
90  ,
98  ,
96  ,
100 ,
96  ,
93  ,
84  ,
82  ,
70  ,
73  ,
65  ,
68  ,
66  ,
60  ,
64  ,
50  ,
54  ,
40  ,
44  ,
46  ,
46  ,
52  ,
50  ,
47  ,
46  ,
43  ,
44  ,
49  ,
45  ,
49  ,
41  ,
33  ,
29  ,
19  ,
17  ,
12  ,
7 ,
2 ,
-3  ,
-14 ,
-25 ,
-35 ,
-48 ,
-47 ,
-60 ,
-54 ,
-71 ,
-73 ,
-88 ,
-97 ,
-104  ,
-108  ,
-114  ,
-112  ,
-119  ,
-117  ,
-127  ,
-133  ,
-142  ,
-147  ,
-150  ,
-152  ,
-151  ,
-154  ,
-155  ,
-162  ,
-171  ,
-179  ,
-183  ,
-187  ,
-185  ,
-184  ,
-187  ,
-189  ,
-193  ,
-197  ,
-193  ,
-195  ,
-190  ,
-184  ,
-181  ,
-172  ,
-167  ,
-158  ,
-144  ,
-132  ,
-110  ,
-100  ,
-82 ,
-75 ,
-64 ,
-49 ,
-39 ,
-20 ,
-3  ,
15  ,
34  ,
47  ,
58  ,
62  ,
68  ,
74  ,
83  ,
95  ,
105 ,
117 ,
126 ,
130 ,
129 ,
137 ,
137 ,
145 ,
153 ,
154 ,
166 ,
166 ,
174 ,
176 ,
184 ,
183 ,
189 ,
186 ,
192 ,
184 ,
192 ,
180 ,
187 ,
180 ,
186 ,
177 ,
173 ,
162 ,
148 ,
140 ,
125 ,
119 ,
113 ,
105 ,
97  ,
87  ,
74  ,
58  ,
49  ,
34  ,
34  ,
27  ,
30  ,
26  ,
22  ,
12  ,
7 ,
-3  ,
-5  ,
-12 ,
-13 ,
-20 ,
-23 ,
-28 ,
-33 ,
-36 ,
-43 ,
-48 ,
-54 ,
-63 ,
-69 ,
-76 ,
-82 ,
-88 ,
-92 ,
-97 ,
-99 ,
-107  ,
-112  ,
-121  ,
-130  ,
-136  ,
-144  ,
-140  ,
-138  ,
-133  ,
-127  ,
-133  ,
-133  ,
-144  ,
-147  ,
-151  ,
-149  ,
-146  ,
-139  ,
-133  ,
-136  ,
-136  ,
-148  ,
-149  ,
-154  ,
-151  ,
-146  ,
-145  ,
-144  ,
-146  ,
-149  ,
-154  ,
-155  ,
-160  ,
-152  ,
-157  ,
-149  ,
-149  ,
-141  ,
-137  ,
-128  ,
-119  ,
-114  ,
-102  ,
-99 ,
-88 ,
-80 ,
-73 ,
-60 ,
-50 ,
-33 ,
-21 ,
-5  ,
6 ,
16  ,
28  ,
34  ,
48  ,
55  ,
74  ,
88  ,
103 ,
117 ,
117 ,
132 ,
125 ,
145 ,
150 ,
174 ,
183 ,
202 ,
205 ,
215 ,
214 ,
223 ,
229 ,
241 ,
253 ,
262 ,
276 ,
279 ,
282 ,
285 ,
276 ,
279 ,
274 ,
274 ,
274 ,
266 ,
267 ,
254 ,
258 ,
244 ,
242 ,
231 ,
222 ,
211 ,
200 ,
189 ,
178 ,
168 ,
159 ,
149 ,
144 ,
130 ,
120 ,
105 ,
90  ,
83  ,
72  ,
67  ,
58  ,
50  ,
41  ,
23  ,
17  ,
-2  ,
-7  ,
-19 ,
-27 ,
-28 ,
-39 ,
-40 ,
-57 ,
-63 ,
-78 ,
-86 ,
-93 ,
-97 ,
-97 ,
-101  ,
-99 ,
-101  ,
-99 ,
-103  ,
-101  ,
-105  ,
-106  ,
-106  ,
-103  ,
-103  ,
-99 ,
-103  ,
-98 ,
-99 ,
-98 ,
-97 ,
-97 ,
-94 ,
-95 ,
-91 ,
-90 ,
-82 ,
-78 ,
-72 ,
-73 ,
-72 ,
-82 ,
-80 ,
-87 ,
-79 ,
-83 ,
-72 ,
-71 ,
-57 ,
-54 ,
-47 ,
-51 ,
-47 ,
-51 ,
-39 ,
-37 ,
-25 ,
-18 ,
-12 ,
-2  ,
0 ,
9 ,
13  ,
18  ,
23  ,
28  ,
32  ,
36  ,
41  ,
44  ,
47  ,
54  ,
55  ,
62  ,
61  ,
61  ,
68  ,
69  ,
84  ,
89  ,
103 ,
107 ,
119 ,
121 ,
131 ,
134 ,
144 ,
152 ,
164 ,
179 ,
186 ,
196 ,
200 ,
199 ,
204 ,
197 ,
207 ,
199 ,
209 ,
203 ,
211 ,
208 ,
211 ,
209 ,
204 ,
200 ,
192 ,
187 ,
183 ,
177 ,
173 ,
168 ,
161 ,
158 ,
145 ,
138 ,
127 ,
117 ,
109 ,
101 ,
93  ,
85  ,
75  ,
61  ,
50  ,
33  ,
22  ,
6 ,
-8  ,
-18 ,
-38 ,
-46 ,
-65 ,
-76 ,
-90 ,
-106  ,
-113  ,
-129  ,
-135  ,
-146  ,
-155  ,
-163  ,
-172  ,
-179  ,
-182  ,
-185  ,
-190  ,
-195  ,
-199  ,
-200  ,
-197  ,
-193  ,
-193  ,
-192  ,
-192  ,
-198  ,
-198  ,
-199  ,
-203  ,
-195  ,
-195  ,
-183  ,
-183  ,
-176  ,
-181  ,
-180  ,
-180  ,
-183  ,
-172  ,
-176  ,
-159  ,
-156  ,
-141  ,
-134  ,
-133  ,
-127  ,
-128  ,
-117  ,
-107  ,
-95 ,
-78 ,
-70 ,
-59 ,
-56 ,
-46 ,
-42 ,
-30 ,
-24 ,
-14 ,
-5  ,
2 ,
11  ,
19  ,
28  ,
35  ,
42  ,
44  ,
48  ,
46  ,
50  ,
50  ,
59  ,
70  ,
72  ,
87  ,
82  ,
91  ,
86  ,
85  ,
88  ,
91  ,
106 ,
112 ,
126 ,
129 ,
135 ,
138 ,
141 ,
144 ,
146 ,
148 ,
155 ,
161 ,
169 ,
176 ,
177 ,
179 ,
174 ,
176 ,
172 ,
170 ,
172 ,
169 ,
172 ,
170 ,
167 ,
167 ,
156 ,
156 ,
142 ,
141 ,
134 ,
134 ,
137 ,
135 ,
137 ,
130 ,
119 ,
105 ,
90  ,
78  ,
70  ,
61  ,
56  ,
42  ,
35  ,
21  ,
7 ,
-8  ,
-29 ,
-39 ,
-56 ,
-60 ,
-71 ,
-83 ,
-90 ,
-113  ,
-118  ,
-137  ,
-147  ,
-159  ,
-171  ,
-177  ,
-188  ,
-191  ,
-206  ,
-210  ,
-224  ,
-223  ,
-232  ,
-230  ,
-240  ,
-244  ,
-251  ,
-253  ,
-255  ,
-254  ,
-255  ,
-251  ,
-252  ,
-251  ,
-256  ,
-259  ,
-263  ,
-258  ,
-254  ,
-246  ,
-240  ,
-235  ,
-227  ,
-220  ,
-215  ,
-202  ,
-199  ,
-183  ,
-176  ,
-165  ,
-154  ,
-145  ,
-133  ,
-123  ,
-109  ,
-99 ,
-84 ,
-77 ,
-63 ,
-55 ,
-45 ,
-34 ,
-29 ,
-15 ,
-13 ,
-2  ,
3 ,
11  ,
13  ,
21  ,
19  ,
29  ,
34  ,
40  ,
48  ,
43  ,
52  ,
49  ,
62  ,
67  ,
76  ,
82  ,
87  ,
92  ,
96  ,
98  ,
101 ,
102 ,
105 ,
112 ,
111 ,
116 ,
115 ,
109 ,
111 ,
104 ,
102 ,
97  ,
95  ,
97  ,
97  ,
101 ,
101 ,
97  ,
97  ,
91  ,
91  ,
94  ,
94  ,
99  ,
96  ,
96  ,
96  ,
97  ,
99  ,
99  ,
97  ,
97  ,
88  ,
89  ,
83  ,
81  ,
77  ,
74  ,
71  ,
67  ,
61  ,
48  ,
40  ,
25  ,
21  ,
12  ,
9 ,
4 ,
1 ,
-6  ,
-13 ,
-24 ,
-34 ,
-43 ,
-44 ,
-51 ,
-49 ,
-54 ,
-56 ,
-64 ,
-73 ,
-85 ,
-94 ,
-102  ,
-107  ,
-110  ,
-119  ,
-120  ,
-132  ,
-132  ,
-142  ,
-145  ,
-155  ,
-159  ,
-167  ,
-170  ,
-176  ,
-180  ,
-180  ,
-184  ,
-178  ,
-172  ,
-176  ,
-167  ,
-178  ,
-167  ,
-170  ,
-155  ,
-152  ,
-131  ,
-128  ,
-111  ,
-109  ,
-98 ,
-96 ,
-86 ,
-76 ,
-66 ,
-45 ,
-37 ,
-20 ,
-13 ,
-10 ,
-3  ,
0 ,
12  ,
21  ,
32  ,
36  ,
42  ,
43  ,
48  ,
46  ,
57  ,
58  ,
70  ,
74  ,
84  ,
86  ,
90  ,
94  ,
97  ,
114 ,
113 ,
134 ,
130 ,
137 ,
128 ,
129 ,
127 ,
134 ,
141 ,
142 ,
150 ,
141 ,
133 ,
124 ,
113 ,
111 ,
108 ,
109 ,
107 ,
105 ,
94  ,
81  ,
70  ,
59  ,
56  ,
58  ,
61  ,
61  ,
58  ,
46  ,
42  ,
30  ,
30  ,
23  ,
30  ,
29  ,
30  ,
21  ,
13  ,
0 ,
-6  ,
-9  ,
-8  ,
-4  ,
-9  ,
-14 ,
-24 ,
-30 ,
-39 ,
-40 ,
-42 ,
-34 ,
-36 ,
-37 ,
-46 ,
-58 ,
-62 ,
-70 ,
-66 ,
-65 ,
-59 ,
-55 ,
-61 ,
-65 ,
-78 ,
-82 ,
-83 ,
-79 ,
-76 ,
-74 ,
-77 ,
-83 ,
-97 ,
-100  ,
-111  ,
-105  ,
-103  ,
-99 ,
-99 ,
-109  ,
-119  ,
-130  ,
-135  ,
-137  ,
-128  ,
-127  ,
-121  ,
-124  ,
-129  ,
-137  ,
-140  ,
-138  ,
-130  ,
-118  ,
-111  ,
-102  ,
-105  ,
-99 ,
-105  ,
-93 ,
-87 ,
-70 ,
-60 ,
-48 ,
-47 ,
-46 ,
-48 ,
-47 ,
-42 ,
-31 ,
-22 ,
-9  ,
-3  ,
-2  ,
-2  ,
-2  ,
4 ,
14  ,
28  ,
38  ,
52  ,
56  ,
60  ,
64  ,
64  ,
80  ,
86  ,
107 ,
113 ,
123 ,
123 ,
117 ,
122 ,
121 ,
133 ,
141 ,
143 ,
147 ,
140 ,
134 ,
123 ,
124 ,
117 ,
126 ,
120 ,
122 ,
116 ,
106 ,
98  ,
86  ,
85  ,
84  ,
84  ,
89  ,
84  ,
75  ,
67  ,
52  ,
49  ,
44  ,
46  ,
47  ,
39  ,
33  ,
14  ,
3 ,
-13 ,
-16 ,
-22 ,
-21 ,
-31 ,
-37 ,
-49 ,
-63 ,
-71 ,
-78 ,
-80 ,
-80 ,
-86 ,
-88 ,
-105  ,
-102  ,
-118  ,
-112  ,
-110  ,
-107  ,
-96 ,
-99 ,
-97 ,
-105  ,
-110  ,
-112  ,
-108  ,
-102  ,
-94 ,
-86 ,
-80 ,
-106  ,
-136  ,
-134  ,
-135  ,
-135  ,
-137  ,
-132  ,
-121  ,
-109  ,
-97 ,
-107  ,
-71 ,
-45 ,
-29 ,
-45 ,
-64 ,
-82 ,
-87 ,
-82 ,
-58 ,
-47 ,
-44 ,
-44 ,
-29 ,
-11 ,
-40 ,
-61 ,
-47 ,
-31 ,
-30 ,
-39 ,
-19 ,
0 ,
6 ,
3 ,
4 ,
-23 ,
-37 ,
-34 ,
-9  ,
8 ,
6 ,
13  ,
14  ,
6 ,
-14 ,
-19 ,
-19 ,
-1  ,
26  ,
53  ,
49  ,
42  ,
38  ,
53  ,
56  ,
75  ,
82  ,
95  ,
100 ,
114 ,
118 ,
118 ,
128 ,
150 ,
163 ,
152 ,
130 ,
123 ,
140 ,
153 ,
184 ,
181 ,
173 ,
145 ,
152 ,
147 ,
146 ,
142 ,
157 ,
165 ,
161 ,
142 ,
126 ,
121 ,
127 ,
132 ,
140 ,
122 ,
107 ,
107 ,
108 ,
104 ,
91  ,
70  ,
67  ,
52  ,
47  ,
28  ,
16  ,
15  ,
16  ,
3 ,
-30 ,
-62 ,
-78 ,
-74 ,
-58 ,
-49 ,
-48 ,
-66 ,
-83 ,
-96 ,
-111  ,
-114  ,
-110  ,
-80 ,
-71 ,
-68 ,
-88 ,
-88 ,
-98 ,
-81 ,
-67 ,
-62 ,
-67 ,
-72 ,
-64 ,
-58 ,
-54 ,
-54 ,
-33 ,
-28 ,
-22 ,
-34 ,
-39 ,
-46 ,
-30 ,
-8  ,
9 ,
3 ,
-6  ,
-13 ,
-6  ,
-6  ,
7 ,
18  ,
34  ,
39  ,
41  ,
28  ,
11  ,
18  ,
33  ,
60  ,
66  ,
65  ,
61  ,
55  ,
55  ,
55  ,
56  ,
55  ,
61  ,
66  ,
71  ,
58  ,
55  ,
57  ,
56  ,
54  ,
46  ,
41  ,
41  ,
52  ,
63  ,
73  ,
66  ,
63  ,
60  ,
54  ,
53  ,
63  ,
86  ,
116 ,
128 ,
136 ,
123 ,
111 ,
110 ,
119 ,
133 ,
144 ,
140 ,
134 ,
120 ,
107 ,
104 ,
108 ,
116 ,
122 ,
114 ,
108 ,
84  ,
80  ,
77  ,
82  ,
85  ,
76  ,
72  ,
53  ,
52  ,
51  ,
64  ,
66  ,
61  ,
50  ,
21  ,
-3  ,
-15 ,
-16 ,
0 ,
-11 ,
-13 ,
-40 ,
-68 ,
-84 ,
-105  ,
-96 ,
-105  ,
-96 ,
-103  ,
-111  ,
-129  ,
-147  ,
-152  ,
-153  ,
-142  ,
-146  ,
-141  ,
-151  ,
-143  ,
-136  ,
-134  ,
-130  ,
-132  ,
-134  ,
-133  ,
-138  ,
-125  ,
-120  ,
-103  ,
-94 ,
-86 ,
-95 ,
-104  ,
-101  ,
-89 ,
-71 ,
-60 ,
-55 ,
-53 ,
-61 ,
-71 ,
-66 ,
-64 ,
-49 ,
-34 ,
-28 ,
-26 ,
-39 ,
-42 ,
-42 ,
-29 ,
-19 ,
-4  ,
-5  ,
3 ,
1 ,
9 ,
10  ,
25  ,
29  ,
44  ,
36  ,
35  ,
29  ,
30  ,
41  ,
65  ,
74  ,
76  ,
64  ,
54  ,
49  ,
48  ,
59  ,
69  ,
85  ,
87  ,
87  ,
81  ,
80  ,
83  ,
101 ,
116 ,
134 ,
135 ,
140 ,
142 ,
148 ,
161 ,
155 ,
166 ,
160 ,
167 ,
166 ,
172 ,
173 ,
179 ,
176 ,
171 ,
163 ,
150 ,
147 ,
145 ,
155 ,
159 ,
148 ,
138 ,
106 ,
101 ,
86  ,
93  ,
95  ,
99  ,
95  ,
76  ,
60  ,
35  ,
29  ,
23  ,
26  ,
27  ,
15  ,
2 ,
-20 ,
-32 ,
-44 ,
-48 ,
-56 ,
-62 ,
-76 ,
-89 ,
-100  ,
-109  ,
-111  ,
-112  ,
-110  ,
-119  ,
-124  ,
-138  ,
-145  ,
-143  ,
-139  ,
-132  ,
-128  ,
-129  ,
-137  ,
-138  ,
-147  ,
-137  ,
-134  ,
-122  ,
-120  ,
-111  ,
-115  ,
-113  ,
-117  ,
-107  ,
-102  ,
-89 ,
-91 ,
-81 ,
-91 ,
-87 ,
-90 ,
-91 ,
-85 ,
-93 ,
-86 ,
-91 ,
-90 ,
-93 ,
-92 ,
-91 ,
-90 ,
-92 ,
-95 ,
-97 ,
-97 ,
-94 ,
-85 ,
-82 ,
-78 ,
-84 ,
-87 ,
-91 ,
-84 ,
-79 ,
-61 ,
-51 ,
-40 ,
-43 ,
-46 ,
-50 ,
-46 ,
-31 ,
-21 ,
-4  ,
4 ,
3 ,
5 ,
6 ,
11  ,
22  ,
30  ,
44  ,
56  ,
64  ,
75  ,
83  ,
98  ,
115 ,
126 ,
142 ,
142 ,
149 ,
159 ,
169 ,
186 ,
192 ,
196 ,
193 ,
185 ,
185 ,
185 ,
190 ,
193 ,
197 ,
192 ,
183 ,
166 ,
155 ,
148 ,
147 ,
147 ,
138 ,
123 ,
104 ,
90  ,
77  ,
72  ,
57  ,
54  ,
30  ,
24  ,
3 ,
-5  ,
-21 ,
-25 ,
-36 ,
-44 ,
-67 ,
-88 ,
-105  ,
-114  ,
-118  ,
-121  ,
-130  ,
-143  ,
-159  ,
-168  ,
-177  ,
-179  ,
-180  ,
-182  ,
-179  ,
-182  ,
-186  ,
-191  ,
-190  ,
-186  ,
-183  ,
-175  ,
-179  ,
-178  ,
-173  ,
-170  ,
-158  ,
-154  ,
-151  ,
-146  ,
-145  ,
-140  ,
-133  ,
-131  ,
-116  ,
-117  ,
-105  ,
-111  ,
-115  ,
-114  ,
-115  ,
-105  ,
-98 ,
-95 ,
-94 ,
-98 ,
-99 ,
-109  ,
-105  ,
-110  ,
-97 ,
-97 ,
-82 ,
-87 ,
-82 ,
-89 ,
-91 ,
-91 ,
-88 ,
-85 ,
-81 ,
-74 ,
-77 ,
-71 ,
-77 ,
-74 ,
-75 ,
-91 ,
-126  ,
-176  ,
-220  ,
-271  ,
-328  ,
-376  ,
-402  ,
-400  ,
-377  ,
-332  ,
-289  ,
-225  ,
-151  ,
-53 ,
38  ,
114 ,
191 ,
273 ,
350 ,
423 ,
476 ,
524 ,
559 ,
597 ,
596 ,
557 ,
504 ,
472 ,
428 ,
386 ,
347 ,
330 ,
305 ,
283 ,
255 ,
248 ,
232 ,
227 ,
224 ,
228 ,
240 ,
253 ,
286 ,
315 ,
364 ,
393 ,
433 ,
454 ,
431 ,
370 ,
290 ,
239 ,
178 ,
115 ,
42  ,
-15 ,
-29 ,
-16 ,
-3  ,
-15 ,
-15 ,
-17 ,
-21 ,
-74 ,
-153  ,
-217  ,
-263  ,
-269  ,
-268  ,
-253  ,
-230  ,
-179  ,
-120  ,
-58 ,
-22 ,
-14 ,
-30 ,
-64 ,
-119  ,
-183  ,
-241  ,
-282  ,
-320  ,
-347  ,
-354  ,
-329  ,
-293  ,
-248  ,
-208  ,
-171  ,
-154  ,
-174  ,
-233  ,
-323  ,
-387  ,
-416  ,
-405  ,
-398  ,
-378  ,
-340  ,
-280  ,
-219  ,
-170  ,
-125  ,
-92 ,
-58 ,
-56 ,
-82 ,
-142  ,
-194  ,
-214  ,
-202  ,
-172  ,
-133  ,
-97 ,
-60 ,
-26 ,
-15 ,
-8  ,
-7  ,
-8  ,
-12 ,
-31 ,
-45 ,
-55 ,
-49 ,
-25 ,
23  ,
74  ,
116 ,
150 ,
165 ,
161 ,
152 ,
149 ,
130 ,
87  ,
39  ,
-1  ,
-23 ,
-41 ,
-51 ,
-61 ,
-43 ,
-14 ,
33  ,
84  ,
134 ,
198 ,
268 ,
335 ,
375 ,
394 ,
412 ,
435 ,
478 ,
493 ,
504 ,
502 ,
492 ,
483 ,
471 ,
466 ,
479 ,
491 ,
510 ,
505 ,
488 ,
458 ,
428 ,
396 ,
382 ,
357 ,
338 ,
294 ,
261 ,
229 ,
216 ,
222 ,
229 ,
240 ,
234 ,
233 ,
223 ,
209 ,
192 ,
185 ,
198 ,
223 ,
243 ,
263 ,
263 ,
272 ,
282 ,
274 ,
249 ,
199 ,
153 ,
107 ,
59  ,
16  ,
-30 ,
-69 ,
-104  ,
-137  ,
-173  ,
-213  ,
-254  ,
-292  ,
-324  ,
-364  ,
-394  ,
-415  ,
-409  ,
-382  ,
-347  ,
-300  ,
-246  ,
-203  ,
-159  ,
-127  ,
-96 ,
-65 ,
-63 ,
-68 ,
-89 ,
-122  ,
-139  ,
-170  ,
-177  ,
-190  ,
-181  ,
-187  ,
-206  ,
-243  ,
-290  ,
-331  ,
-371  ,
-412  ,
-459  ,
-499  ,
-533  ,
-549  ,
-552  ,
-523  ,
-481  ,
-405  ,
-333  ,
-250  ,
-194  ,
-146  ,
-102  ,
-54 ,
-15 ,
30  ,
65  ,
99  ,
122 ,
133 ,
150 ,
160 ,
176 ,
179 ,
180 ,
165 ,
163 ,
152 ,
141 ,
131 ,
124 ,
125 ,
116 ,
103 ,
83  ,
70  ,
59  ,
51  ,
35  ,
14  ,
3 ,
2 ,
21  ,
44  ,
71  ,
99  ,
139 ,
169 ,
198 ,
203 ,
212 ,
221 ,
234 ,
233 ,
225 ,
207 ,
198 ,
195 ,
192 ,
183 ,
171 ,
157 ,
134 ,
113 ,
86  ,
75  ,
58  ,
63  ,
72  ,
100 ,
125 ,
162 ,
205 ,
249 ,
298 ,
334 ,
353 ,
356 ,
333 ,
309 ,
289 ,
277 ,
268 ,
274 ,
284 ,
305 ,
327 ,
336 ,
340 ,
321 ,
289 ,
241 ,
178 ,
89  ,
22  ,
-48 ,
-82 ,
-113  ,
-124  ,
-131  ,
-127  ,
-119  ,
-103  ,
-93 ,
-100  ,
-109  ,
-140  ,
-156  ,
-175  ,
-176  ,
-162  ,
-140  ,
-112  ,
-73 ,
-47 ,
-7  ,
-1  ,
26  ,
26  ,
33  ,
24  ,
-2  ,
-36 ,
-72 ,
-99 ,
-116  ,
-120  ,
-136  ,
-133  ,
-144  ,
-150  ,
-170  ,
-192  ,
-213  ,
-236  ,
-249  ,
-269  ,
-288  ,
-306  ,
-314  ,
-313  ,
-307  ,
-309  ,
-308  ,
-320  ,
-331  ,
-352  ,
-363  ,
-369  ,
-368  ,
-363  ,
-359  ,
-356  ,
-350  ,
-354  ,
-345  ,
-339  ,
-321  ,
-315  ,
-310  ,
-312  ,
-308  ,
-303  ,
-290  ,
-287  ,
-271  ,
-272  ,
-261  ,
-255  ,
-256  ,
-259  ,
-262  ,
-259  ,
-247  ,
-231  ,
-206  ,
-176  ,
-133  ,
-86 ,
-44 ,
-20 ,
-15 ,
-20 ,
-38 ,
-57 ,
-88 ,
-100  ,
-121  ,
-120  ,
-119  ,
-103  ,
-86 ,
-57 ,
-44 ,
-28 ,
-38 ,
-55 ,
-86 ,
-122  ,
-158  ,
-170  ,
-162  ,
-132  ,
-73 ,
-7  ,
72  ,
152 ,
213 ,
265 ,
291 ,
307 ,
310 ,
299 ,
293 ,
277 ,
283 ,
292 ,
319 ,
340 ,
368 ,
401 ,
430 ,
459 ,
460 ,
456 ,
423 ,
397 ,
359 ,
326 ,
301 ,
288 ,
284 ,
297 ,
301 ,
309 ,
299 ,
286 ,
261 ,
230 ,
181 ,
136 ,
69  ,
14  ,
-56 ,
-105  ,
-156  ,
-194  ,
-223  ,
-246  ,
-266  ,
-284  ,
-305  ,
-330  ,
-338  ,
-347  ,
-336  ,
-320  ,
-302  ,
-279  ,
-257  ,
-230  ,
-199  ,
-176  ,
-149  ,
-129  ,
-108  ,
-93 ,
-86 ,
-81 ,
-78 ,
-64 ,
-51 ,
-33 ,
-14 ,
-3  ,
14  ,
11  ,
12  ,
-10 ,
-19 ,
-38 ,
-58 ,
-75 ,
-110  ,
-135  ,
-173  ,
-205  ,
-236  ,
-266  ,
-288  ,
-306  ,
-308  ,
-307  ,
-289  ,
-259  ,
-229  ,
-181  ,
-140  ,
-86 ,
-38 ,
-1  ,
29  ,
37  ,
44  ,
42  ,
38  ,
38  ,
36  ,
47  ,
56  ,
63  ,
67  ,
59  ,
50  ,
29  ,
-3  ,
-49 ,
-96 ,
-153  ,
-189  ,
-223  ,
-232  ,
-224  ,
-192  ,
-149  ,
-98 ,
-47 ,
-5  ,
21  ,
32  ,
24  ,
11  ,
-16 ,
-38 ,
-52 ,
-62 ,
-47 ,
-28 ,
15  ,
50  ,
90  ,
112 ,
126 ,
126 ,
106 ,
88  ,
64  ,
58  ,
52  ,
71  ,
89  ,
128 ,
166 ,
210 ,
241 ,
258 ,
273 ,
264 ,
265 ,
243 ,
227 ,
209 ,
203 ,
215 ,
229 ,
263 ,
295 ,
332 ,
350 ,
349 ,
336 ,
297 ,
249 ,
183 ,
117 ,
46  ,
-24 ,
-86 ,
-137  ,
-184  ,
-216  ,
-238  ,
-246  ,
-263  ,
-277  ,
-290  ,
-310  ,
-321  ,
-327  ,
-317  ,
-294  ,
-257  ,
-207  ,
-145  ,
-89 ,
-20 ,
40  ,
108 ,
163 ,
219 ,
268 ,
315 ,
361 ,
396 ,
433 ,
446 ,
465 ,
470 ,
474 ,
470 ,
458 ,
448 ,
441 ,
438 ,
440 ,
455 ,
460 ,
482 ,
485 ,
491 ,
476 ,
452 ,
419 ,
385 ,
346 ,
318 ,
296 ,
284 ,
283 ,
293 ,
310 ,
320 ,
323 ,
312 ,
291 ,
259 ,
213 ,
166 ,
109 ,
65  ,
32  ,
18  ,
16  ,
23  ,
41  ,
57  ,
71  ,
73  ,
55  ,
27  ,
-18 ,
-61 ,
-115  ,
-149  ,
-172  ,
-175  ,
-170  ,
-154  ,
-145  ,
-135  ,
-135  ,
-141  ,
-161  ,
-202  ,
-254  ,
-310  ,
-380  ,
-426  ,
-478  ,
-491  ,
-503  ,
-497  ,
-486  ,
-484  ,
-476  ,
-481  ,
-500  ,
-517  ,
-557  ,
-589  ,
-626  ,
-631  ,
-626  ,
-574  ,
-511  ,
-415  ,
-320  ,
-223  ,
-128  ,
-52 ,
20  ,
66  ,
98  ,
114 ,
108 ,
102 ,
93  ,
90  ,
99  ,
109 ,
128 ,
139 ,
150 ,
160 ,
165 ,
179 ,
189 ,
212 ,
231 ,
249 ,
268 ,
286 ,
309 ,
329 ,
345 ,
361 ,
364 ,
359 ,
350 ,
337 ,
325 ,
316 ,
310 ,
298 ,
277 ,
241 ,
214 ,
177 ,
151 ,
122 ,
99  ,
81  ,
65  ,
69  ,
72  ,
99  ,
120 ,
155 ,
179 ,
195 ,
207 ,
210 ,
223 ,
233 ,
249 ,
258 ,
283 ,
304 ,
345 ,
389 ,
437 ,
476 ,
505 ,
507 ,
489 ,
444 ,
378 ,
305 ,
222 ,
147 ,
64  ,
-14 ,
-92 ,
-164  ,
-238  ,
-312  ,
-390  ,
-478  ,
-573  ,
-680  ,
-779  ,
-875  ,
-949  ,
-993  ,
-1004 ,
-985  ,
-945  ,
-886  ,
-816  ,
-747  ,
-684  ,
-645  ,
-624  ,
-621  ,
-639  ,
-646  ,
-657  ,
-653  ,
-627  ,
-593  ,
-543  ,
-496  ,
-454  ,
-422  ,
-407  ,
-405  ,
-414  ,
-449  ,
-484  ,
-534  ,
-564  ,
-588  ,
-588  ,
-562  ,
-529  ,
-470  ,
-423  ,
-369  ,
-332  ,
-304  ,
-282  ,
-264  ,
-258  ,
-248  ,
-252  ,
-242  ,
-227  ,
-206  ,
-165  ,
-135  ,
-83 ,
-41 ,
13  ,
63  ,
110 ,
162 ,
208 ,
249 ,
296 ,
327 ,
367 ,
399 ,
435 ,
467 ,
489 ,
512 ,
522 ,
541 ,
557 ,
577 ,
602 ,
625 ,
655 ,
686 ,
715 ,
739 ,
752 ,
762 ,
763 ,
764 ,
752 ,
745 ,
734 ,
728 ,
724 ,
718 ,
702 ,
671 ,
630 ,
560 ,
481 ,
383 ,
281 ,
186 ,
91  ,
13  ,
-55 ,
-109  ,
-154  ,
-182  ,
-206  ,
-228  ,
-257  ,
-280  ,
-305  ,
-329  ,
-347  ,
-353  ,
-346  ,
-324  ,
-289  ,
-239  ,
-196  ,
-151  ,
-126  ,
-104  ,
-109  ,
-130  ,
-171  ,
-227  ,
-282  ,
-336  ,
-373  ,
-390  ,
-393  ,
-376  ,
-359  ,
-345  ,
-343  ,
-355  ,
-390  ,
-436  ,
-501  ,
-574  ,
-652  ,
-724  ,
-779  ,
-814  ,
-825  ,
-819  ,
-796  ,
-762  ,
-727  ,
-695  ,
-665  ,
-650  ,
-631  ,
-627  ,
-625  ,
-621  ,
-614  ,
-593  ,
-557  ,
-512  ,
-455  ,
-404  ,
-351  ,
-312  ,
-286  ,
-262  ,
-251  ,
-231  ,
-209  ,
-183  ,
-149  ,
-113  ,
-68 ,
-7  ,
54  ,
129 ,
192 ,
258 ,
311 ,
360 ,
405 ,
443 ,
478 ,
510 ,
531 ,
552 ,
565 ,
564 ,
561 ,
543 ,
525 ,
495 ,
465 ,
448 ,
430 ,
435 ,
441 ,
469 ,
510 ,
560 ,
620 ,
677 ,
748 ,
819 ,
895 ,
963 ,
1022  ,
1070  ,
1109  ,
1145  ,
1166  ,
1182  ,
1188  ,
1173  ,
1154  ,
1108  ,
1062  ,
1004  ,
949 ,
899 ,
842 ,
802 ,
748 ,
709 ,
663 ,
620 ,
572 ,
507 ,
443 ,
360 ,
277 ,
183 ,
101 ,
21  ,
-36 ,
-92 ,
-127  ,
-165  ,
-198  ,
-244  ,
-284  ,
-347  ,
-401  ,
-483  ,
-558  ,
-647  ,
-737  ,
-819  ,
-887  ,
-942  ,
-968  ,
-987  ,
-989  ,
-991  ,
-998  ,
-1003 ,
-1022 ,
-1036 ,
-1067 ,
-1088 ,
-1119 ,
-1129 ,
-1122 ,
-1085 ,
-1032 ,
-954  ,
-869  ,
-774  ,
-687  ,
-606  ,
-535  ,
-475  ,
-431  ,
-391  ,
-368  ,
-348  ,
-339  ,
-324  ,
-306  ,
-286  ,
-267  ,
-253  ,
-252  ,
-257  ,
-276  ,
-293  ,
-319  ,
-341  ,
-354  ,
-364  ,
-356  ,
-335  ,
-304  ,
-243  ,
-189  ,
-115  ,
-47 ,
13  ,
73  ,
125 ,
182 ,
234 ,
293 ,
337 ,
391 ,
427 ,
471 ,
512 ,
553 ,
598 ,
642 ,
672 ,
696 ,
693 ,
687 ,
669 ,
655 ,
649 ,
642 ,
646 ,
641 ,
640 ,
637 ,
635 ,
637 ,
637 ,
645 ,
638 ,
647 ,
638 ,
634 ,
620 ,
606 ,
590 ,
582 ,
567 ,
569 ,
577 ,
598 ,
635 ,
681 ,
743 ,
798 ,
862 ,
915 ,
956 ,
992 ,
997 ,
1003  ,
973 ,
930 ,
877 ,
823 ,
781 ,
743 ,
710 ,
687 ,
659 ,
642 ,
620 ,
593 ,
564 ,
522 ,
477 ,
417 ,
355 ,
287 ,
228 ,
177 ,
141 ,
107 ,
77  ,
37  ,
-8  ,
-70 ,
-139  ,
-221  ,
-310  ,
-413  ,
-515  ,
-629  ,
-730  ,
-822  ,
-902  ,
-957  ,
-996  ,
-1020 ,
-1036 ,
-1041 ,
-1049 ,
-1057 ,
-1070 ,
-1077 ,
-1085 ,
-1079 ,
-1066 ,
-1040 ,
-1008 ,
-966  ,
-916  ,
-853  ,
-793  ,
-721  ,
-665  ,
-613  ,
-569  ,
-537  ,
-495  ,
-468  ,
-429  ,
-391  ,
-350  ,
-306  ,
-264  ,
-223  ,
-197  ,
-181  ,
-174  ,
-188  ,
-205  ,
-244  ,
-284  ,
-332  ,
-374  ,
-419  ,
-435  ,
-453  ,
-453  ,
-443  ,
-426  ,
-401  ,
-376  ,
-346  ,
-318  ,
-297  ,
-283  ,
-268  ,
-259  ,
-246  ,
-230  ,
-216  ,
-195  ,
-188  ,
-170  ,
-154  ,
-130  ,
-103  ,
-74 ,
-46 ,
-13 ,
7 ,
35  ,
64  ,
94  ,
140 ,
189 ,
235 ,
283 ,
316 ,
368 ,
419 ,
497 ,
571 ,
643 ,
699 ,
729 ,
750 ,
743 ,
734 ,
710 ,
687 ,
647 ,
610 ,
561 ,
528 ,
496 ,
497 ,
504 ,
533 ,
563 ,
594 ,
630 ,
660 ,
692 ,
724 ,
760 ,
794 ,
823 ,
860 ,
888 ,
928 ,
964 ,
995 ,
1022  ,
1030  ,
1025  ,
1001  ,
968 ,
913 ,
866 ,
796 ,
739 ,
667 ,
613 ,
557 ,
507 ,
462 ,
411 ,
350 ,
285 ,
199 ,
118 ,
19  ,
-72 ,
-152  ,
-241  ,
-307  ,
-385  ,
-429  ,
-490  ,
-521  ,
-567  ,
-600  ,
-643  ,
-689  ,
-736  ,
-792  ,
-838  ,
-878  ,
-905  ,
-926  ,
-948  ,
-962  ,
-977  ,
-981  ,
-993  ,
-984  ,
-989  ,
-994  ,
-1007 ,
-1027 ,
-1054 ,
-1082 ,
-1089 ,
-1084 ,
-1056 ,
-1014 ,
-964  ,
-911  ,
-860  ,
-806  ,
-749  ,
-690  ,
-640  ,
-589  ,
-551  ,
-526  ,
-510  ,
-500  ,
-491  ,
-495  ,
-500  ,
-513  ,
-527  ,
-546  ,
-569  ,
-578  ,
-595  ,
-607  ,
-615  ,
-632  ,
-629  ,
-642  ,
-639  ,
-635  ,
-623  ,
-606  ,
-588  ,
-552  ,
-515  ,
-453  ,
-380  ,
-296  ,
-210  ,
-125  ,
-41 ,
46  ,
123 ,
211 ,
280 ,
364 ,
426 ,
503 ,
567 ,
648 ,
731 ,
821 ,
910 ,
980 ,
1039  ,
1082  ,
1116  ,
1146  ,
1163  ,
1180  ,
1179  ,
1171  ,
1152  ,
1118  ,
1094  ,
1060  ,
1054  ,
1044  ,
1042  ,
1033  ,
1018  ,
999 ,
990 ,
981 ,
994 ,
1010  ,
1047  ,
1084  ,
1127  ,
1171  ,
1209  ,
1241  ,
1262  ,
1267  ,
1258  ,
1234  ,
1192  ,
1147  ,
1087  ,
1026  ,
966 ,
907 ,
864 ,
816 ,
774 ,
736 ,
681 ,
635 ,
568 ,
500 ,
425 ,
346 ,
280 ,
219 ,
158 ,
106 ,
47  ,
-9  ,
-66 ,
-122  ,
-180  ,
-243  ,
-309  ,
-379  ,
-454  ,
-547  ,
-623  ,
-708  ,
-771  ,
-836  ,
-892  ,
-946  ,
-999  ,
-1048 ,
-1094 ,
-1134 ,
-1164 ,
-1189 ,
-1202 ,
-1216 ,
-1231 ,
-1249 ,
-1266 ,
-1275 ,
-1271 ,
-1259 ,
-1242 ,
-1217 ,
-1199 ,
-1163 ,
-1133 ,
-1082 ,
-1027 ,
-961  ,
-887  ,
-814  ,
-744  ,
-686  ,
-633  ,
-594  ,
-554  ,
-530  ,
-508  ,
-497  ,
-487  ,
-473  ,
-471  ,
-451  ,
-446  ,
-423  ,
-413  ,
-392  ,
-374  ,
-351  ,
-334  ,
-304  ,
-282  ,
-249  ,
-222  ,
-175  ,
-128  ,
-60 ,
-3  ,
58  ,
104 ,
151 ,
190 ,
237 ,
285 ,
328 ,
367 ,
404 ,
440 ,
466 ,
509 ,
543 ,
591 ,
635 ,
672 ,
710 ,
734 ,
763 ,
782 ,
824 ,
848 ,
902 ,
941 ,
991 ,
1036  ,
1070  ,
1097  ,
1105  ,
1100  ,
1068  ,
1020  ,
946 ,
872 ,
781 ,
707 ,
632 ,
574 ,
523 ,
489 ,
456 ,
440 ,
428 ,
421 ,
424 ,
418 ,
418 ,
415 ,
409 ,
413 ,
422 ,
440 ,
461 ,
480 ,
498 ,
511 ,
525 ,
529 ,
532 ,
519 ,
497 ,
472 ,
433 ,
404 ,
371 ,
339 ,
308 ,
266 ,
220 ,
161 ,
100 ,
42  ,
-10 ,
-63 ,
-106  ,
-166  ,
-224  ,
-300  ,
-376  ,
-445  ,
-515  ,
-564  ,
-611  ,
-657  ,
-697  ,
-746  ,
-781  ,
-809  ,
-833  ,
-839  ,
-857  ,
-852  ,
-859  ,
-862  ,
-857  ,
-860  ,
-848  ,
-845  ,
-838  ,
-843  ,
-841  ,
-855  ,
-851  ,
-860  ,
-850  ,
-849  ,
-828  ,
-818  ,
-799  ,
-776  ,
-739  ,
-692  ,
-629  ,
-559  ,
-490  ,
-419  ,
-351  ,
-279  ,
-214  ,
-158  ,
-119  ,
-96 ,
-83 ,
-76 ,
-75 ,
-64 ,
-62 ,
-43 ,
-40 ,
-27 ,
-24 ,
-18 ,
-9  ,
-3  ,
-2  ,
-11 ,
-32 ,
-68 ,
-94 ,
-126  ,
-133  ,
-134  ,
-126  ,
-102  ,
-89 ,
-62 ,
-36 ,
8 ,
45  ,
95  ,
125 ,
161 ,
177 ,
191 ,
206 ,
226 ,
257 ,
293 ,
341 ,
372 ,
419 ,
451 ,
488 ,
515 ,
535 ,
530 ,
528 ,
493 ,
456 ,
406 ,
344 ,
293 ,
223 ,
156 ,
93  ,
27  ,
-30 ,
-77 ,
-110  ,
-141  ,
-159  ,
-171  ,
-175  ,
-162  ,
-147  ,
-105  ,
-67 ,
-11 ,
31  ,
87  ,
129 ,
178 ,
228 ,
274 ,
312 ,
345 ,
367 ,
380 ,
383 ,
383 ,
380 ,
376 ,
374 ,
361 ,
353 ,
332 ,
315 ,
296 ,
279 ,
254 ,
231 ,
191 ,
159 ,
113 ,
87  ,
53  ,
30  ,
11  ,
-15 ,
-37 ,
-67 ,
-97 ,
-119  ,
-152  ,
-179  ,
-214  ,
-249  ,
-297  ,
-348  ,
-391  ,
-440  ,
-470  ,
-504  ,
-512  ,
-527  ,
-536  ,
-545  ,
-548  ,
-558  ,
-565  ,
-570  ,
-576  ,
-579  ,
-588  ,
-595  ,
-595  ,
-592  ,
-571  ,
-534  ,
-487  ,
-427  ,
-363  ,
-291  ,
-223  ,
-160  ,
-99 ,
-65 ,
-33 ,
-27 ,
-25 ,
-24 ,
-39 ,
-34 ,
-43 ,
-48 ,
-67 ,
-87 ,
-116  ,
-136  ,
-167  ,
-193  ,
-232  ,
-266  ,
-311  ,
-336  ,
-371  ,
-383  ,
-402  ,
-400  ,
-413  ,
-407  ,
-413  ,
-400  ,
-393  ,
-380  ,
-374  ,
-374  ,
-385  ,
-395  ,
-406  ,
-410  ,
-404  ,
-393  ,
-374  ,
-360  ,
-344  ,
-335  ,
-313  ,
-286  ,
-242  ,
-199  ,
-148  ,
-105  ,
-52 ,
-10 ,
37  ,
80  ,
120 ,
151 ,
174 ,
176 ,
176 ,
159 ,
137 ,
110 ,
87  ,
52  ,
14  ,
-16 ,
-42 ,
-43 ,
-38 ,
-20 ,
4 ,
36  ,
73  ,
119 ,
168 ,
213 ,
268 ,
312 ,
358 ,
392 ,
428 ,
463 ,
503 ,
550 ,
600 ,
644 ,
683 ,
721 ,
749 ,
780 ,
807 ,
835 ,
859 ,
875 ,
869 ,
860 ,
830 ,
799 ,
767 ,
730 ,
692 ,
645 ,
598 ,
552 ,
507 ,
465 ,
411 ,
362 ,
302 ,
242 ,
180 ,
115 ,
67  ,
22  ,
-3  ,
-23 ,
-42 ,
-49 ,
-61 ,
-62 ,
-53 ,
-51 ,
-43 ,
-41 ,
-49 ,
-56 ,
-77 ,
-94 ,
-112  ,
-127  ,
-147  ,
-162  ,
-179  ,
-191  ,
-203  ,
-201  ,
-208  ,
-202  ,
-214  ,
-218  ,
-222  ,
-219  ,
-206  ,
-188  ,
-161  ,
-139  ,
-120  ,
-110  ,
-110  ,
-118  ,
-123  ,
-132  ,
-143  ,
-167  ,
-193  ,
-226  ,
-256  ,
-280  ,
-300  ,
-318  ,
-331  ,
-354  ,
-385  ,
-419  ,
-460  ,
-501  ,
-537  ,
-577  ,
-605  ,
-636  ,
-659  ,
-671  ,
-666  ,
-649  ,
-621  ,
-600  ,
-574  ,
-550  ,
-536  ,
-505  ,
-478  ,
-429  ,
-380  ,
-323  ,
-260  ,
-193  ,
-112  ,
-29 ,
69  ,
159 ,
249 ,
327 ,
395 ,
453 ,
508 ,
543 ,
570 ,
575 ,
561 ,
534 ,
498 ,
453 ,
419 ,
372 ,
338 ,
300 ,
270 ,
243 ,
226 ,
222 ,
231 ,
248 ,
278 ,
315 ,
352 ,
397 ,
445 ,
499 ,
559 ,
613 ,
670 ,
723 ,
760 ,
813 ,
842 ,
887 ,
904 ,
925 ,
928 ,
918 ,
909 ,
877 ,
863 ,
827 ,
817 ,
785 ,
762 ,
728 ,
694 ,
657 ,
620 ,
581 ,
537 ,
489 ,
435 ,
402 ,
360 ,
337 ,
299 ,
276 ,
254 ,
226 ,
214 ,
190 ,
174 ,
147 ,
118 ,
86  ,
52  ,
27  ,
13  ,
2 ,
-2  ,
-22 ,
-34 ,
-52 ,
-69 ,
-94 ,
-117  ,
-151  ,
-172  ,
-205  ,
-229  ,
-251  ,
-261  ,
-259  ,
-242  ,
-225  ,
-188  ,
-170  ,
-136  ,
-113  ,
-87 ,
-75 ,
-71 ,
-81 ,
-92 ,
-118  ,
-145  ,
-171  ,
-200  ,
-230  ,
-268  ,
-307  ,
-341  ,
-382  ,
-415  ,
-452  ,
-490  ,
-535  ,
-589  ,
-633  ,
-686  ,
-717  ,
-752  ,
-761  ,
-781  ,
-782  ,
-796  ,
-794  ,
-790  ,
-772  ,
-749  ,
-726  ,
-704  ,
-692  ,
-676  ,
-670  ,
-648  ,
-626  ,
-584  ,
-540  ,
-493  ,
-446  ,
-397  ,
-339  ,
-274  ,
-199  ,
-118  ,
-41 ,
39  ,
109 ,
168 ,
215 ,
254 ,
279 ,
305 ,
317 ,
326 ,
325 ,
310 ,
300 ,
279 ,
268 ,
235 ,
210 ,
175 ,
150 ,
119 ,
101 ,
87  ,
91  ,
91  ,
112 ,
127 ,
158 ,
193 ,
231 ,
279 ,
324 ,
363 ,
399 ,
433 ,
466 ,
506 ,
549 ,
594 ,
656 ,
702 ,
764 ,
806 ,
864 ,
909 ,
953 ,
988 ,
1009  ,
1020  ,
1013  ,
1012  ,
1005  ,
1010  ,
999 ,
992 ,
967 ,
934 ,
900 ,
856 ,
814 ,
761 ,
704 ,
638 ,
562 ,
481 ,
412 ,
349 ,
307 ,
272 ,
250 ,
213 ,
185 ,
154 ,
129 ,
109 ,
83  ,
57  ,
21  ,
-21 ,
-73 ,
-119  ,
-170  ,
-219  ,
-265  ,
-311  ,
-358  ,
-403  ,
-436  ,
-465  ,
-493  ,
-529  ,
-565  ,
-604  ,
-635  ,
-663  ,
-676  ,
-693  ,
-698  ,
-712  ,
-724  ,
-747  ,
-762  ,
-774  ,
-774  ,
-773  ,
-762  ,
-770  ,
-778  ,
-805  ,
-821  ,
-850  ,
-865  ,
-896  ,
-914  ,
-938  ,
-959  ,
-970  ,
-980  ,
-974  ,
-979  ,
-966  ,
-969  ,
-967  ,
-970  ,
-960  ,
-949  ,
-942  ,
-931  ,
-931  ,
-918  ,
-916  ,
-894  ,
-862  ,
-811  ,
-750  ,
-681  ,
-613  ,
-537  ,
-465  ,
-378  ,
-286  ,
-185  ,
-84 ,
9 ,
100 ,
190 ,
278 ,
349 ,
407 ,
444 ,
463 ,
465 ,
450 ,
436 ,
417 ,
398 ,
370 ,
343 ,
305 ,
272 ,
253 ,
252 ,
266 ,
283 ,
315 ,
346 ,
377 ,
409 ,
448 ,
487 ,
544 ,
605 ,
679 ,
754 ,
830 ,
909 ,
991 ,
1070  ,
1142  ,
1205  ,
1256  ,
1299  ,
1333  ,
1359  ,
1371  ,
1371  ,
1368  ,
1360  ,
1337  ,
1322  ,
1287  ,
1268  ,
1227  ,
1190  ,
1147  ,
1083  ,
1022  ,
951 ,
899 ,
829 ,
766 ,
697 ,
638 ,
563 ,
491 ,
422 ,
352 ,
297 ,
247 ,
207 ,
161 ,
101 ,
40  ,
-28 ,
-94 ,
-168  ,
-240  ,
-314  ,
-393  ,
-465  ,
-551  ,
-630  ,
-706  ,
-782  ,
-835  ,
-899  ,
-944  ,
-995  ,
-1024 ,
-1045 ,
-1055 ,
-1058 ,
-1063 ,
-1066 ,
-1061 ,
-1057 ,
-1040 ,
-1034 ,
-1012 ,
-998  ,
-983  ,
-986  ,
-983  ,
-991  ,
-987  ,
-985  ,
-974  ,
-970  ,
-966  ,
-969  ,
-976  ,
-980  ,
-995  ,
-997  ,
-1008 ,
-1009 ,
-1014 ,
-1010 ,
-1006 ,
-993  ,
-978  ,
-954  ,
-931  ,
-901  ,
-869  ,
-828  ,
-785  ,
-732  ,
-683  ,
-637  ,
-602  ,
-569  ,
-533  ,
-498  ,
-449  ,
-383  ,
-316  ,
-233  ,
-154  ,
-64 ,
34  ,
126 ,
232 ,
330 ,
416 ,
498 ,
556 ,
619 ,
658 ,
704 ,
736 ,
763 ,
787 ,
791 ,
805 ,
799 ,
806 ,
809 ,
815 ,
821 ,
819 ,
821 ,
816 ,
822 ,
828 ,
853 ,
880 ,
914 ,
948 ,
975 ,
1002  ,
1027  ,
1059  ,
1085  ,
1119  ,
1157  ,
1183  ,
1207  ,
1220  ,
1239  ,
1254  ,
1267  ,
1284  ,
1289  ,
1289  ,
1272  ,
1258  ,
1235  ,
1207  ,
1169  ,
1114  ,
1073  ,
998 ,
935 ,
858 ,
787 ,
713 ,
629 ,
543 ,
439 ,
324 ,
208 ,
92  ,
-12 ,
-121  ,
-223  ,
-329  ,
-428  ,
-515  ,
-598  ,
-657  ,
-716  ,
-743  ,
-792  ,
-824  ,
-877  ,
-917  ,
-956  ,
-987  ,
-1014 ,
-1046 ,
-1086 ,
-1128 ,
-1164 ,
-1185 ,
-1202 ,
-1205 ,
-1206 ,
-1189 ,
-1185 ,
-1164 ,
-1151 ,
-1126 ,
-1105 ,
-1078 ,
-1055 ,
-1036 ,
-1025 ,
-1005 ,
-988  ,
-955  ,
-940  ,
-918  ,
-906  ,
-885  ,
-865  ,
-832  ,
-804  ,
-776  ,
-745  ,
-727  ,
-707  ,
-693  ,
-684  ,
-671  ,
-655  ,
-632  ,
-614  ,
-595  ,
-570  ,
-537  ,
-508  ,
-484  ,
-462  ,
-452  ,
-440  ,
-438  ,
-427  ,
-424  ,
-421  ,
-412  ,
-406  ,
-381  ,
-358  ,
-319  ,
-266  ,
-202  ,
-117  ,
-30 ,
66  ,
164 ,
258 ,
365 ,
461 ,
575 ,
671 ,
781 ,
873 ,
952 ,
1021  ,
1063  ,
1095  ,
1107  ,
1110  ,
1101  ,
1070  ,
1036  ,
993 ,
954 ,
906 ,
875 ,
842 ,
827 ,
799 ,
791 ,
759 ,
745 ,
717 ,
712 ,
707 ,
706 ,
705 ,
697 ,
705 ,
709 ,
737 ,
766 ,
803 ,
833 ,
865 ,
881 ,
897 ,
907 ,
921 ,
922 ,
914 ,
890 ,
855 ,
804 ,
758 ,
713 ,
672 ,
629 ,
572 ,
514 ,
437 ,
368 ,
291 ,
225 ,
157 ,
86  ,
15  ,
-73 ,
-151  ,
-233  ,
-296  ,
-341  ,
-392  ,
-425  ,
-470  ,
-505  ,
-533  ,
-556  ,
-563  ,
-576  ,
-583  ,
-602  ,
-633  ,
-673  ,
-715  ,
-761  ,
-793  ,
-830  ,
-860  ,
-890  ,
-921  ,
-948  ,
-957  ,
-963  ,
-959  ,
-953  ,
-952  ,
-953  ,
-956  ,
-955  ,
-937  ,
-913  ,
-877  ,
-835  ,
-792  ,
-752  ,
-708  ,
-674  ,
-635  ,
-605  ,
-580  ,
-562  ,
-557  ,
-558  ,
-559  ,
-557  ,
-551  ,
-543  ,
-531  ,
-527  ,
-515  ,
-519  ,
-513  ,
-519  ,
-517  ,
-527  ,
-527  ,
-530  ,
-529  ,
-520  ,
-506  ,
-482  ,
-463  ,
-426  ,
-411  ,
-374  ,
-350  ,
-316  ,
-280  ,
-244  ,
-202  ,
-152  ,
-99 ,
-44 ,
31  ,
103 ,
201 ,
298 ,
402 ,
502 ,
585 ,
654 ,
715 ,
761 ,
803 ,
833 ,
852 ,
858 ,
853 ,
840 ,
827 ,
808 ,
797 ,
780 ,
764 ,
738 ,
714 ,
680 ,
664 ,
639 ,
636 ,
615 ,
607 ,
592 ,
583 ,
574 ,
567 ,
563 ,
568 ,
565 ,
567 ,
572 ,
582 ,
598 ,
620 ,
638 ,
660 ,
669 ,
679 ,
693 ,
702 ,
720 ,
723 ,
734 ,
733 ,
733 ,
725 ,
711 ,
688 ,
658 ,
617 ,
567 ,
511 ,
446 ,
389 ,
328 ,
276 ,
209 ,
155 ,
80  ,
32  ,
-32 ,
-73 ,
-120  ,
-163  ,
-206  ,
-252  ,
-301  ,
-349  ,
-396  ,
-428  ,
-468  ,
-493  ,
-529  ,
-560  ,
-591  ,
-620  ,
-650  ,
-677  ,
-704  ,
-733  ,
-754  ,
-776  ,
-781  ,
-794  ,
-791  ,
-790  ,
-780  ,
-767  ,
-761  ,
-745  ,
-737  ,
-724  ,
-715  ,
-706  ,
-704  ,
-701  ,
-701  ,
-698  ,
-688  ,
-686  ,
-666  ,
-663  ,
-641  ,
-632  ,
-611  ,
-601  ,
-578  ,
-559  ,
-528  ,
-504  ,
-468  ,
-437  ,
-395  ,
-353  ,
-311  ,
-260  ,
-222  ,
-179  ,
-150  ,
-125  ,
-104  ,
-93 ,
-75 ,
-63 ,
-48 ,
-38 ,
-26 ,
-10 ,
12  ,
43  ,
89  ,
130 ,
183 ,
238 ,
301 ,
378 ,
457 ,
551 ,
637 ,
726 ,
802 ,
873 ,
932 ,
985 ,
1030  ,
1065  ,
1092  ,
1100  ,
1097  ,
1080  ,
1048  ,
1012  ,
965 ,
916 ,
861 ,
802 ,
743 ,
679 ,
619 ,
563 ,
521 ,
484 ,
456 ,
434 ,
408 ,
399 ,
389 ,
396 ,
398 ,
407 ,
409 ,
425 ,
431 ,
456 ,
485 ,
517 ,
556 ,
589 ,
612 ,
630 ,
645 ,
658 ,
673 ,
677 ,
672 ,
652 ,
622 ,
579 ,
532 ,
491 ,
438 ,
389 ,
322 ,
257 ,
179 ,
103 ,
28  ,
-36 ,
-100  ,
-165  ,
-237  ,
-304  ,
-369  ,
-415  ,
-450  ,
-466  ,
-475  ,
-488  ,
-504  ,
-533  ,
-558  ,
-582  ,
-601  ,
-625  ,
-648  ,
-674  ,
-696  ,
-717  ,
-733  ,
-735  ,
-745  ,
-743  ,
-753  ,
-762  ,
-765  ,
-766  ,
-753  ,
-739  ,
-715  ,
-700  ,
-671  ,
-651  ,
-619  ,
-576  ,
-530  ,
-473  ,
-421  ,
-378  ,
-330  ,
-299  ,
-260  ,
-235  ,
-202  ,
-178  ,
-152  ,
-137  ,
-113  ,
-93 ,
-71 ,
-42 ,
-15 ,
10  ,
31  ,
40  ,
51  ,
51  ,
53  ,
51  ,
44  ,
32  ,
2 ,
-20 ,
-49 ,
-62 ,
-76 ,
-76 ,
-84 ,
-75 ,
-78 ,
-69 ,
-54 ,
-33 ,
4 ,
44  ,
89  ,
136 ,
179 ,
224 ,
271 ,
319 ,
370 ,
406 ,
442 ,
455 ,
467 ,
458 ,
448 ,
430 ,
414 ,
381 ,
353 ,
299 ,
257 ,
205 ,
169 ,
134 ,
95  ,
65  ,
22  ,
-12 ,
-53 ,
-83 ,
-114  ,
-130  ,
-145  ,
-148  ,
-150  ,
-148  ,
-136  ,
-115  ,
-91 ,
-62 ,
-35 ,
-10 ,
18  ,
49  ,
89  ,
130 ,
172 ,
216 ,
249 ,
284 ,
312 ,
339 ,
377 ,
406 ,
438 ,
454 ,
459 ,
451 ,
434 ,
417 ,
393 ,
364 ,
325 ,
279 ,
227 ,
179 ,
131 ,
103 ,
76  ,
63  ,
44  ,
16  ,
-11 ,
-52 ,
-83 ,
-115  ,
-141  ,
-172  ,
-190  ,
-223  ,
-245  ,
-270  ,
-286  ,
-294  ,
-301  ,
-299  ,
-302  ,
-308  ,
-315  ,
-320  ,
-326  ,
-325  ,
-329  ,
-326  ,
-324  ,
-316  ,
-305  ,
-293  ,
-267  ,
-251  ,
-219  ,
-209  ,
-184  ,
-177  ,
-164  ,
-158  ,
-151  ,
-148  ,
-152  ,
-171  ,
-184  ,
-203  ,
-221  ,
-226  ,
-238  ,
-239  ,
-249  ,
-258  ,
-267  ,
-279  ,
-287  ,
-292  ,
-299  ,
-312  ,
-330  ,
-347  ,
-373  ,
-390  ,
-417  ,
-444  ,
-473  ,
-517  ,
-569  ,
-629  ,
-688  ,
-734  ,
-766  ,
-793  ,
-804  ,
-819  ,
-820  ,
-821  ,
-792  ,
-753  ,
-691  ,
-631  ,
-564  ,
-505  ,
-450  ,
-400  ,
-348  ,
-297  ,
-242  ,
-194  ,
-151  ,
-125  ,
-99 ,
-77 ,
-54 ,
-26 ,
-3  ,
10  ,
22  ,
14  ,
10  ,
1 ,
-9  ,
-11 ,
-16 ,
-24 ,
-28 ,
-35 ,
-25 ,
-9  ,
22  ,
49  ,
82  ,
108 ,
138 ,
169 ,
209 ,
248 ,
307 ,
357 ,
429 ,
481 ,
553 ,
614 ,
700 ,
773 ,
864 ,
924 ,
979 ,
1018  ,
1041  ,
1066  ,
1070  ,
1074  ,
1057  ,
1033  ,
994 ,
954 ,
900 ,
855 ,
805 ,
755 ,
705 ,
640 ,
582 ,
517 ,
466 ,
424 ,
391 ,
361 ,
326 ,
296 ,
260 ,
231 ,
202 ,
182 ,
162 ,
150 ,
118 ,
90  ,
42  ,
4 ,
-34 ,
-62 ,
-88 ,
-113  ,
-141  ,
-176  ,
-212  ,
-244  ,
-278  ,
-304  ,
-335  ,
-357  ,
-384  ,
-403  ,
-421  ,
-430  ,
-435  ,
-442  ,
-451  ,
-461  ,
-476  ,
-485  ,
-497  ,
-500  ,
-510  ,
-516  ,
-525  ,
-538  ,
-552  ,
-572  ,
-585  ,
-599  ,
-609  ,
-621  ,
-638  ,
-647  ,
-668  ,
-670  ,
-677  ,
-678  ,
-676  ,
-680  ,
-690  ,
-713  ,
-740  ,
-778  ,
-806  ,
-827  ,
-848  ,
-861  ,
-877  ,
-872  ,
-866  ,
-832  ,
-800  ,
-740  ,
-683  ,
-616  ,
-546  ,
-477  ,
-401  ,
-325  ,
-240  ,
-157  ,
-76 ,
-4  ,
66  ,
128 ,
195 ,
250 ,
306 ,
340 ,
373 ,
382 ,
383 ,
380 ,
372 ,
371 ,
369 ,
366 ,
360 ,
354 ,
350 ,
350 ,
358 ,
357 ,
363 ,
362 ,
365 ,
371 ,
383 ,
410 ,
451 ,
494 ,
545 ,
580 ,
627 ,
668 ,
726 ,
778 ,
834 ,
880 ,
915 ,
956 ,
987 ,
1024  ,
1059  ,
1097  ,
1126  ,
1151  ,
1159  ,
1163  ,
1148  ,
1144  ,
1121  ,
1106  ,
1062  ,
1025  ,
969 ,
922 ,
865 ,
821 ,
764 ,
725 ,
680 ,
641 ,
598 ,
549 ,
503 ,
458 ,
412 ,
361 ,
308 ,
254 ,
204 ,
153 ,
108 ,
62  ,
11  ,
-29 ,
-75 ,
-111  ,
-155  ,
-188  ,
-219  ,
-244  ,
-269  ,
-292  ,
-321  ,
-344  ,
-366  ,
-383  ,
-394  ,
-411  ,
-421  ,
-434  ,
-446  ,
-459  ,
-468  ,
-480  ,
-494  ,
-505  ,
-523  ,
-550  ,
-579  ,
-607  ,
-635  ,
-651  ,
-679  ,
-691  ,
-706  ,
-714  ,
-719  ,
-716  ,
-709  ,
-700  ,
-687  ,
-678  ,
-682  ,
-680  ,
-692  ,
-679  ,
-678  ,
-668  ,
-673  ,
-674  ,
-698  ,
-716  ,
-741  ,
-755  ,
-764  ,
-763  ,
-758  ,
-751  ,
-743  ,
-723  ,
-686  ,
-636  ,
-558  ,
-483  ,
-399  ,
-324  ,
-242  ,
-166  ,
-100  ,
-34 ,
19  ,
75  ,
117 ,
162 ,
199 ,
239 ,
273 ,
301 ,
329 ,
338 ,
345 ,
352 ,
348 ,
356 ,
341 ,
337 ,
320 ,
301 ,
286 ,
263 ,
252 ,
236 ,
235 ,
226 ,
228 ,
232 ,
243 ,
268 ,
289 ,
329 ,
354 ,
398 ,
434 ,
483 ,
528 ,
581 ,
643 ,
710 ,
786 ,
855 ,
922 ,
985 ,
1037  ,
1088  ,
1130  ,
1165  ,
1189  ,
1207  ,
1209  ,
1213  ,
1186  ,
1172  ,
1132  ,
1102  ,
1062  ,
1010  ,
960 ,
895 ,
832 ,
773 ,
716 ,
661 ,
613 ,
559 ,
507 ,
458 ,
398 ,
354 ,
299 ,
265 ,
218 ,
184 ,
141 ,
98  ,
58  ,
9 ,
-43 ,
-106  ,
-165  ,
-232  ,
-286  ,
-352  ,
-396  ,
-447  ,
-479  ,
-517  ,
-543  ,
-573  ,
-602  ,
-630  ,
-661  ,
-693  ,
-730  ,
-765  ,
-792  ,
-813  ,
-824  ,
-832  ,
-837  ,
-836  ,
-852  ,
-851  ,
-875  ,
-874  ,
-887  ,
-882  ,
-886  ,
-881  ,
-888  ,
-885  ,
-890  ,
-881  ,
-877  ,
-864  ,
-859  ,
-849  ,
-856  ,
-858  ,
-875  ,
-888  ,
-911  ,
-931  ,
-958  ,
-982  ,
-1008 ,
-1017 ,
-1024 ,
-1014 ,
-986  ,
-959  ,
-907  ,
-856  ,
-787  ,
-713  ,
-630  ,
-552  ,
-463  ,
-388  ,
-298  ,
-223  ,
-144  ,
-72 ,
1 ,
66  ,
135 ,
190 ,
246 ,
287 ,
318 ,
338 ,
351 ,
362 ,
368 ,
379 ,
390 ,
406 ,
418 ,
429 ,
437 ,
445 ,
451 ,
457 ,
470 ,
485 ,
506 ,
524 ,
551 ,
575 ,
609 ,
645 ,
692 ,
745 ,
811 ,
878 ,
955 ,
1029  ,
1098  ,
1160  ,
1220  ,
1265  ,
1312  ,
1345  ,
1381  ,
1404  ,
1420  ,
1432  ,
1435  ,
1432  ,
1431  ,
1417  ,
1411  ,
1378  ,
1352  ,
1295  ,
1236  ,
1169  ,
1098  ,
1027  ,
953 ,
882 ,
801 ,
724 ,
644 ,
577 ,
507 ,
448 ,
380 ,
317 ,
244 ,
170 ,
93  ,
16  ,
-64 ,
-144  ,
-230  ,
-303  ,
-389  ,
-456  ,
-528  ,
-585  ,
-642  ,
-688  ,
-736  ,
-773  ,
-810  ,
-845  ,
-877  ,
-907  ,
-934  ,
-956  ,
-978  ,
-998  ,
-1013 ,
-1036 ,
-1044 ,
-1061 ,
-1063 ,
-1077 ,
-1083 ,
-1100 ,
-1110 ,
-1126 ,
-1136 ,
-1149 ,
-1146 ,
-1150 ,
-1130 ,
-1120 ,
-1086 ,
-1059 ,
-1022 ,
-992  ,
-963  ,
-944  ,
-926  ,
-906  ,
-894  ,
-874  ,
-858  ,
-845  ,
-826  ,
-817  ,
-801  ,
-789  ,
-772  ,
-745  ,
-723  ,
-693  ,
-675  ,
-645  ,
-617  ,
-581  ,
-527  ,
-469  ,
-387  ,
-315  ,
-223  ,
-140  ,
-49 ,
40  ,
127 ,
214 ,
293 ,
366 ,
432 ,
494 ,
546 ,
601 ,
647 ,
688 ,
720 ,
753 ,
780 ,
803 ,
833 ,
852 ,
879 ,
886 ,
901 ,
899 ,
901 ,
896 ,
890 ,
880 ,
863 ,
853 ,
841 ,
848 ,
854 ,
864 ,
882 ,
895 ,
920 ,
943 ,
977 ,
1011  ,
1056  ,
1106  ,
1151  ,
1192  ,
1218  ,
1240  ,
1249  ,
1263  ,
1264  ,
1271  ,
1260  ,
1245  ,
1216  ,
1170  ,
1119  ,
1060  ,
1003  ,
941 ,
865 ,
782 ,
690 ,
590 ,
498 ,
400 ,
312 ,
217 ,
127 ,
37  ,
-56 ,
-136  ,
-221  ,
-286  ,
-354  ,
-409  ,
-466  ,
-523  ,
-577  ,
-631  ,
-673  ,
-721  ,
-756  ,
-809  ,
-847  ,
-898  ,
-934  ,
-966  ,
-988  ,
-1006 ,
-1016 ,
-1024 ,
-1026 ,
-1019 ,
-1006 ,
-988  ,
-969  ,
-955  ,
-947  ,
-946  ,
-945  ,
-954  ,
-953  ,
-959  ,
-960  ,
-953  ,
-956  ,
-939  ,
-929  ,
-895  ,
-862  ,
-819  ,
-777  ,
-738  ,
-701  ,
-656  ,
-616  ,
-565  ,
-530  ,
-481  ,
-460  ,
-434  ,
-421  ,
-412  ,
-408  ,
-407  ,
-406  ,
-413  ,
-411  ,
-430  ,
-429  ,
-442  ,
-436  ,
-435  ,
-417  ,
-397  ,
-365  ,
-334  ,
-287  ,
-235  ,
-169  ,
-95 ,
-19 ,
61  ,
141 ,
220 ,
309 ,
387 ,
465 ,
536 ,
601 ,
656 ,
704 ,
744 ,
769 ,
796 ,
802 ,
810 ,
805 ,
796 ,
784 ,
766 ,
750 ,
729 ,
705 ,
674 ,
645 ,
610 ,
573 ,
542 ,
504 ,
479 ,
453 ,
428 ,
405 ,
381 ,
360 ,
342 ,
341 ,
334 ,
355 ,
358 ,
383 ,
399 ,
423 ,
445 ,
469 ,
485 ,
499 ,
502 ,
503 ,
492 ,
483 ,
472 ,
467 ,
458 ,
446 ,
422 ,
402 ,
366 ,
336 ,
295 ,
261 ,
207 ,
161 ,
95  ,
43  ,
-17 ,
-65 ,
-105  ,
-135  ,
-167  ,
-194  ,
-223  ,
-253  ,
-281  ,
-315  ,
-344  ,
-387  ,
-415  ,
-456  ,
-493  ,
-523  ,
-555  ,
-578  ,
-598  ,
-611  ,
-625  ,
-633  ,
-643  ,
-638  ,
-632  ,
-626  ,
-610  ,
-610  ,
-599  ,
-607  ,
-599  ,
-601  ,
-589  ,
-589  ,
-586  ,
-574  ,
-577  ,
-564  ,
-563  ,
-556  ,
-552  ,
-554  ,
-548  ,
-550  ,
-548  ,
-542  ,
-532  ,
-517  ,
-503  ,
-480  ,
-468  ,
-441  ,
-433  ,
-411  ,
-409  ,
-389  ,
-389  ,
-370  ,
-382  ,
-370  ,
-390  ,
-395  ,
-414  ,
-428  ,
-442  ,
-449  ,
-448  ,
-434  ,
-403  ,
-372  ,
-331  ,
-283  ,
-240  ,
-187  ,
-139  ,
-76 ,
-25 ,
35  ,
91  ,
144 ,
205 ,
244 ,
299 ,
340 ,
379 ,
417 ,
438 ,
467 ,
483 ,
501 ,
516 ,
521 ,
532 ,
534 ,
536 ,
542 ,
546 ,
544 ,
544 ,
523 ,
500 ,
457 ,
412 ,
359 ,
314 ,
270 ,
236 ,
207 ,
197 ,
182 ,
187 ,
184 ,
193 ,
201 ,
211 ,
230 ,
249 ,
272 ,
303 ,
332 ,
368 ,
400 ,
437 ,
472 ,
513 ,
551 ,
596 ,
635 ,
670 ,
686 ,
693 ,
678 ,
660 ,
625 ,
596 ,
560 ,
531 ,
492 ,
457 ,
414 ,
376 ,
342 ,
308 ,
283 ,
254 ,
228 ,
188 ,
152 ,
108 ,
66  ,
31  ,
-5  ,
-39 ,
-86 ,
-131  ,
-184  ,
-220  ,
-256  ,
-285  ,
-307  ,
-335  ,
-359  ,
-386  ,
-401  ,
-412  ,
-413  ,
-418  ,
-422  ,
-432  ,
-444  ,
-461  ,
-469  ,
-481  ,
-488  ,
-502  ,
-519  ,
-542  ,
-565  ,
-589  ,
-606  ,
-619  ,
-618  ,
-615  ,
-616  ,
-602  ,
-597  ,
-564  ,
-540  ,
-499  ,
-463  ,
-424  ,
-397  ,
-357  ,
-328  ,
-294  ,
-261  ,
-233  ,
-202  ,
-182  ,
-166  ,
-153  ,
-142  ,
-132  ,
-127  ,
-128  ,
-128  ,
-147  ,
-149  ,
-153  ,
-144  ,
-122  ,
-94 ,
-55 ,
-15 ,
29  ,
77  ,
128 ,
194 ,
256 ,
331 ,
379 ,
428 ,
460 ,
489 ,
507 ,
525 ,
541 ,
551 ,
566 ,
567 ,
570 ,
567 ,
553 ,
554 ,
542 ,
535 ,
515 ,
490 ,
452 ,
418 ,
375 ,
336 ,
295 ,
248 ,
201 ,
156 ,
118 ,
90  ,
76  ,
79  ,
86  ,
102 ,
114 ,
134 ,
154 ,
182 ,
214 ,
253 ,
295 ,
338 ,
385 ,
425 ,
463 ,
498 ,
534 ,
571 ,
604 ,
640 ,
658 ,
679 ,
689 ,
690 ,
680 ,
660 ,
629 ,
594 ,
559 ,
522 ,
484 ,
443 ,
393 ,
341 ,
288 ,
230 ,
186 ,
138 ,
111 ,
72  ,
45  ,
-5  ,
-44 ,
-103  ,
-152  ,
-208  ,
-256  ,
-309  ,
-357  ,
-415  ,
-461  ,
-518  ,
-552  ,
-590  ,
-599  ,
-611  ,
-598  ,
-588  ,
-571  ,
-541  ,
-529  ,
-500  ,
-497  ,
-483  ,
-480  ,
-481  ,
-474  ,
-470  ,
-456  ,
-445  ,
-432  ,
-413  ,
-402  ,
-375  ,
-359  ,
-325  ,
-299  ,
-268  ,
-239  ,
-210  ,
-176  ,
-155  ,
-123  ,
-100  ,
-68 ,
-41 ,
-11 ,
18  ,
37  ,
67  ,
69  ,
79  ,
60  ,
47  ,
21  ,
0 ,
-25 ,
-49 ,
-80 ,
-102  ,
-125  ,
-140  ,
-144  ,
-153  ,
-139  ,
-137  ,
-119  ,
-113  ,
-95 ,
-79 ,
-52 ,
-34 ,
-5  ,
11  ,
28  ,
40  ,
49  ,
56  ,
54  ,
53  ,
51  ,
46  ,
35  ,
27  ,
22  ,
25  ,
24  ,
28  ,
21  ,
15  ,
11  ,
1 ,
-2  ,
-27 ,
-50 ,
-88 ,
-128  ,
-163  ,
-201  ,
-228  ,
-247  ,
-253  ,
-251  ,
-241  ,
-228  ,
-208  ,
-180  ,
-150  ,
-114  ,
-79 ,
-39 ,
1 ,
43  ,
85  ,
127 ,
167 ,
207 ,
253 ,
296 ,
344 ,
385 ,
428 ,
463 ,
492 ,
506 ,
512 ,
501 ,
496 ,
474 ,
466 ,
433 ,
422 ,
391 ,
375 ,
347 ,
315 ,
286 ,
246 ,
217 ,
183 ,
150 ,
117 ,
82  ,
49  ,
22  ,
-14 ,
-39 ,
-77 ,
-106  ,
-138  ,
-161  ,
-182  ,
-199  ,
-201  ,
-205  ,
-196  ,
-192  ,
-173  ,
-145  ,
-116  ,
-77 ,
-47 ,
-21 ,
-5  ,
1 ,
3 ,
1 ,
-4  ,
-9  ,
-8  ,
-19 ,
-20 ,
-38 ,
-48 ,
-59 ,
-63 ,
-59 ,
-57 ,
-49 ,
-41 ,
-30 ,
-23 ,
-12 ,
-4  ,
0 ,
0 ,
-16 ,
-34 ,
-63 ,
-90 ,
-126  ,
-161  ,
-203  ,
-248  ,
-293  ,
-345  ,
-398  ,
-450  ,
-506  ,
-555  ,
-608  ,
-653  ,
-692  ,
-729  ,
-748  ,
-768  ,
-767  ,
-769  ,
-753  ,
-742  ,
-712  ,
-680  ,
-642  ,
-593  ,
-553  ,
-504  ,
-474  ,
-441  ,
-423  ,
-405  ,
-381  ,
-360  ,
-330  ,
-309  ,
-274  ,
-249  ,
-214  ,
-187  ,
-154  ,
-128  ,
-102  ,
-88 ,
-78 ,
-80 ,
-82 ,
-92 ,
-88 ,
-93 ,
-87 ,
-91 ,
-82 ,
-76 ,
-59 ,
-40 ,
-11 ,
22  ,
59  ,
100 ,
140 ,
185 ,
234 ,
290 ,
350 ,
416 ,
477 ,
541 ,
595 ,
656 ,
704 ,
752 ,
793 ,
833 ,
864 ,
891 ,
911 ,
915 ,
924 ,
910 ,
905 ,
888 ,
876 ,
858 ,
847 ,
830 ,
815 ,
794 ,
771 ,
749 ,
728 ,
708 ,
688 ,
665 ,
652 ,
628 ,
621 ,
597 ,
582 ,
549 ,
524 ,
485 ,
453 ,
412 ,
369 ,
333 ,
293 ,
268 ,
241 ,
227 ,
218 ,
210 ,
206 ,
202 ,
191 ,
186 ,
156 ,
130 ,
84  ,
32  ,
-27 ,
-85 ,
-141  ,
-197  ,
-241  ,
-290  ,
-329  ,
-371  ,
-408  ,
-446  ,
-482  ,
-517  ,
-548  ,
-577  ,
-601  ,
-625  ,
-652  ,
-676  ,
-701  ,
-731  ,
-753  ,
-786  ,
-808  ,
-831  ,
-854  ,
-874  ,
-899  ,
-932  ,
-961  ,
-995  ,
-1015 ,
-1026 ,
-1030 ,
-1023 ,
-1007 ,
-989  ,
-964  ,
-927  ,
-888  ,
-836  ,
-778  ,
-713  ,
-646  ,
-583  ,
-514  ,
-452  ,
-380  ,
-302  ,
-233  ,
-155  ,
-91 ,
-29 ,
31  ,
82  ,
139 ,
186 ,
236 ,
269 ,
306 ,
331 ,
350 ,
371 ,
391 ,
407 ,
425 ,
431 ,
435 ,
429 ,
417 ,
406 ,
397 ,
393 ,
384 ,
383 ,
369 ,
368 ,
365 ,
370 ,
384 ,
406 ,
428 ,
456 ,
486 ,
520 ,
562 ,
609 ,
656 ,
706 ,
743 ,
787 ,
821 ,
867 ,
903 ,
941 ,
967 ,
996 ,
1013  ,
1032  ,
1038  ,
1055  ,
1053  ,
1062  ,
1054  ,
1045  ,
1026  ,
1005  ,
973 ,
950 ,
909 ,
882 ,
829 ,
795 ,
738 ,
699 ,
646 ,
603 ,
552 ,
498 ,
433 ,
358 ,
285 ,
204 ,
139 ,
74  ,
17  ,
-38 ,
-94 ,
-141  ,
-191  ,
-233  ,
-273  ,
-302  ,
-326  ,
-344  ,
-371  ,
-390  ,
-426  ,
-447  ,
-483  ,
-511  ,
-545  ,
-586  ,
-631  ,
-683  ,
-726  ,
-776  ,
-811  ,
-841  ,
-869  ,
-888  ,
-912  ,
-923  ,
-928  ,
-912  ,
-897  ,
-865  ,
-840  ,
-808  ,
-785  ,
-767  ,
-746  ,
-738  ,
-720  ,
-712  ,
-705  ,
-705  ,
-711  ,
-712  ,
-724  ,
-717  ,
-723  ,
-715  ,
-704  ,
-693  ,
-658  ,
-628  ,
-585  ,
-547  ,
-505  ,
-468  ,
-424  ,
-381  ,
-333  ,
-281  ,
-224  ,
-174  ,
-109  ,
-62 ,
-4  ,
43  ,
97  ,
147 ,
191 ,
241 ,
276 ,
309 ,
335 ,
351 ,
368 ,
379 ,
385 ,
392 ,
386 ,
377 ,
363 ,
350 ,
332 ,
314 ,
288 ,
266 ,
234 ,
211 ,
184 ,
165 ,
146 ,
141 ,
135 ,
144 ,
141 ,
150 ,
157 ,
170 ,
197 ,
231 ,
280 ,
331 ,
390 ,
454 ,
518 ,
579 ,
634 ,
693 ,
744 ,
795 ,
834 ,
872 ,
898 ,
921 ,
933 ,
945 ,
954 ,
962 ,
972 ,
972 ,
973 ,
961 ,
953 ,
936 ,
918 ,
898 ,
864 ,
824 ,
774 ,
721 ,
660 ,
598 ,
534 ,
469 ,
411 ,
343 ,
278 ,
209 ,
132 ,
67  ,
-2  ,
-57 ,
-125  ,
-174  ,
-233  ,
-283  ,
-334  ,
-388  ,
-429  ,
-470  ,
-494  ,
-519  ,
-537  ,
-557  ,
-577  ,
-599  ,
-632  ,
-662  ,
-693  ,
-721  ,
-743  ,
-760  ,
-781  ,
-794  ,
-807  ,
-812  ,
-808  ,
-805  ,
-799  ,
-782  ,
-765  ,
-739  ,
-708  ,
-681  ,
-644  ,
-626  ,
-592  ,
-583  ,
-563  ,
-566  ,
-558  ,
-567  ,
-578  ,
-598  ,
-622  ,
-651  ,
-675  ,
-707  ,
-727  ,
-742  ,
-753  ,
-750  ,
-732  ,
-712  ,
-677  ,
-647  ,
-614  ,
-584  ,
-559  ,
-529  ,
-506  ,
-474  ,
-442  ,
-407  ,
-380  ,
-349  ,
-320  ,
-279  ,
-244  ,
-192  ,
-147  ,
-98 ,
-53 ,
-20 ,
7 ,
28  ,
42  ,
68  ,
81  ,
110 ,
134 ,
155 ,
177 ,
200 ,
216 ,
237 ,
255 ,
286 ,
308 ,
345 ,
365 ,
396 ,
414 ,
437 ,
463 ,
488 ,
524 ,
558 ,
599 ,
641 ,
685 ,
736 ,
796 ,
864 ,
933 ,
997 ,
1053  ,
1098  ,
1142  ,
1175  ,
1207  ,
1231  ,
1241  ,
1246  ,
1236  ,
1222  ,
1202  ,
1178  ,
1155  ,
1136  ,
1111  ,
1085  ,
1054  ,
1017  ,
981 ,
936 ,
896 ,
840 ,
786 ,
716 ,
646 ,
568 ,
487 ,
406 ,
317 ,
236 ,
151 ,
74  ,
-7  ,
-77 ,
-140  ,
-205  ,
-253  ,
-310  ,
-346  ,
-387  ,
-417  ,
-443  ,
-464  ,
-488  ,
-513  ,
-534  ,
-561  ,
-581  ,
-599  ,
-610  ,
-620  ,
-630  ,
-649  ,
-671  ,
-691  ,
-718  ,
-725  ,
-745  ,
-743  ,
-767  ,
-776  ,
-805  ,
-824  ,
-842  ,
-847  ,
-844  ,
-822  ,
-809  ,
-784  ,
-773  ,
-760  ,
-750  ,
-747  ,
-743  ,
-745  ,
-751  ,
-774  ,
-795  ,
-833  ,
-862  ,
-892  ,
-920  ,
-927  ,
-939  ,
-932  ,
-917  ,
-890  ,
-853  ,
-809  ,
-762  ,
-722  ,
-674  ,
-642  ,
-598  ,
-567  ,
-519  ,
-475  ,
-417  ,
-354  ,
-290  ,
-220  ,
-149  ,
-68 ,
9 ,
96  ,
173 ,
255 ,
331 ,
402 ,
467 ,
524 ,
575 ,
619 ,
657 ,
682 ,
706 ,
731 ,
752 ,
777 ,
798 ,
816 ,
825 ,
832 ,
829 ,
825 ,
821 ,
816 ,
815 ,
812 ,
805 ,
800 ,
790 ,
802 ,
799 ,
816 ,
824 ,
834 ,
847 ,
855 ,
875 ,
898 ,
916 ,
940 ,
951 ,
958 ,
950 ,
938 ,
914 ,
893 ,
852 ,
817 ,
753 ,
702 ,
635 ,
588 ,
540 ,
509 ,
474 ,
446 ,
410 ,
374 ,
336 ,
291 ,
249 ,
194 ,
132 ,
61  ,
-18 ,
-89 ,
-163  ,
-228  ,
-289  ,
-348  ,
-405  ,
-454  ,
-499  ,
-530  ,
-555  ,
-572  ,
-582  ,
-590  ,
-602  ,
-610  ,
-618  ,
-625  ,
-628  ,
-635  ,
-638  ,
-651  ,
-657  ,
-673  ,
-668  ,
-675  ,
-675  ,
-684  ,
-698  ,
-717  ,
-742  ,
-761  ,
-776  ,
-780  ,
-777  ,
-778  ,
-771  ,
-775  ,
-763  ,
-750  ,
-730  ,
-699  ,
-670  ,
-642  ,
-622  ,
-613  ,
-605  ,
-607  ,
-612  ,
-615  ,
-636  ,
-648  ,
-677  ,
-693  ,
-718  ,
-721  ,
-739  ,
-726  ,
-722  ,
-694  ,
-663  ,
-622  ,
-572  ,
-508  ,
-443  ,
-370  ,
-299  ,
-230  ,
-162  ,
-100  ,
-34 ,
35  ,
103 ,
176 ,
239 ,
308 ,
372 ,
438 ,
508 ,
575 ,
640 ,
699 ,
745 ,
782 ,
810 ,
829 ,
842 ,
844 ,
836 ,
812 ,
787 ,
752 ,
722 ,
695 ,
666 ,
651 ,
621 ,
597 ,
553 ,
518 ,
473 ,
437 ,
398 ,
355 ,
311 ,
265 ,
228 ,
194 ,
169 ,
156 ,
143 ,
140 ,
137 ,
132 ,
139 ,
135 ,
142 ,
147 ,
150 ,
152 ,
147 ,
142 ,
132 ,
119 ,
114 ,
97  ,
95  ,
93  ,
91  ,
101 ,
108 ,
124 ,
139 ,
151 ,
155 ,
159 ,
144 ,
144 ,
130 ,
117 ,
94  ,
62  ,
25  ,
-12 ,
-55 ,
-90 ,
-125  ,
-148  ,
-173  ,
-188  ,
-205  ,
-217  ,
-230  ,
-237  ,
-236  ,
-244  ,
-242  ,
-255  ,
-260  ,
-278  ,
-292  ,
-313  ,
-331  ,
-352  ,
-372  ,
-393  ,
-418  ,
-434  ,
-450  ,
-463  ,
-471  ,
-487  ,
-495  ,
-512  ,
-521  ,
-530  ,
-535  ,
-533  ,
-528  ,
-513  ,
-505  ,
-489  ,
-480  ,
-459  ,
-440  ,
-414  ,
-394  ,
-377  ,
-367  ,
-363  ,
-362  ,
-360  ,
-368  ,
-369  ,
-384  ,
-390  ,
-388  ,
-386  ,
-368  ,
-347  ,
-317  ,
-283  ,
-244  ,
-204  ,
-159  ,
-117  ,
-72 ,
-32 ,
4 ,
30  ,
51  ,
69  ,
90  ,
116 ,
149 ,
182 ,
221 ,
252 ,
283 ,
308 ,
339 ,
367 ,
388 ,
410 ,
413 ,
412 ,
404 ,
385 ,
374 ,
349 ,
335 ,
305 ,
277 ,
233 ,
191 ,
149 ,
111 ,
70  ,
39  ,
-4  ,
-30 ,
-69 ,
-89 ,
-117  ,
-128  ,
-135  ,
-135  ,
-133  ,
-118  ,
-105  ,
-69 ,
-33 ,
13  ,
61  ,
111 ,
159 ,
209 ,
252 ,
301 ,
343 ,
394 ,
440 ,
475 ,
508 ,
522 ,
536 ,
547 ,
553 ,
564 ,
579 ,
595 ,
615 ,
634 ,
653 ,
668 ,
679 ,
679 ,
673 ,
651 ,
621 ,
580 ,
534 ,
492 ,
436 ,
384 ,
327 ,
266 ,
216 ,
162 ,
127 ,
96  ,
65  ,
44  ,
14  ,
-14 ,
-44 ,
-78 ,
-96 ,
-122  ,
-141  ,
-165  ,
-198  ,
-228  ,
-262  ,
-290  ,
-321  ,
-342  ,
-367  ,
-382  ,
-402  ,
-419  ,
-427  ,
-444  ,
-444  ,
-459  ,
-461  ,
-468  ,
-466  ,
-452  ,
-430  ,
-397  ,
-358  ,
-327  ,
-291  ,
-261  ,
-239  ,
-216  ,
-210  ,
-197  ,
-200  ,
-200  ,
-201  ,
-217  ,
-227  ,
-242  ,
-250  ,
-259  ,
-260  ,
-268  ,
-259  ,
-264  ,
-246  ,
-238  ,
-218  ,
-204  ,
-186  ,
-172  ,
-162  ,
-144  ,
-129  ,
-104  ,
-80 ,
-52 ,
-31 ,
-13 ,
7 ,
28  ,
52  ,
76  ,
99  ,
120 ,
135 ,
149 ,
154 ,
168 ,
177 ,
191 ,
203 ,
198 ,
189 ,
163 ,
143 ,
119 ,
99  ,
83  ,
62  ,
45  ,
35  ,
20  ,
25  ,
24  ,
31  ,
44  ,
54  ,
63  ,
72  ,
83  ,
100 ,
127 ,
156 ,
195 ,
239 ,
287 ,
344 ,
395 ,
454 ,
498 ,
545 ,
578 ,
611 ,
637 ,
661 ,
678 ,
686 ,
691 ,
680 ,
675 ,
660 ,
657 ,
653 ,
656 ,
658 ,
660 ,
652 ,
643 ,
624 ,
600 ,
571 ,
537 ,
492 ,
447 ,
381 ,
326 ,
247 ,
187 ,
115 ,
50  ,
-14 ,
-80 ,
-137  ,
-189  ,
-237  ,
-266  ,
-303  ,
-313  ,
-331  ,
-336  ,
-340  ,
-342  ,
-339  ,
-339  ,
-332  ,
-328  ,
-324  ,
-323  ,
-317  ,
-315  ,
-313  ,
-308  ,
-304  ,
-293  ,
-285  ,
-273  ,
-264  ,
-254  ,
-234  ,
-217  ,
-187  ,
-162  ,
-132  ,
-96 ,
-72 ,
-44 ,
-26 ,
-5  ,
7 ,
18  ,
13  ,
11  ,
-7  ,
-20 ,
-35 ,
-61 ,
-90 ,
-128  ,
-171  ,
-211  ,
-247  ,
-279  ,
-304  ,
-324  ,
-341  ,
-351  ,
-363  ,
-364  ,
-367  ,
-370  ,
-363  ,
-366  ,
-354  ,
-353  ,
-336  ,
-325  ,
-300  ,
-281  ,
-254  ,
-227  ,
-204  ,
-176  ,
-153  ,
-121  ,
-85 ,
-49 ,
-12 ,
20  ,
51  ,
75  ,
99  ,
120 ,
134 ,
153 ,
160 ,
172 ,
168 ,
167 ,
164 ,
154 ,
151 ,
140 ,
129 ,
115 ,
95  ,
80  ,
75  ,
64  ,
69  ,
58  ,
57  ,
48  ,
45  ,
52  ,
65  ,
86  ,
111 ,
130 ,
152 ,
167 ,
178 ,
193 ,
202 ,
215 ,
224 ,
232 ,
241 ,
243 ,
246 ,
251 ,
250 ,
257 ,
261 ,
264 ,
270 ,
278 ,
278 ,
294 ,
294 ,
302 ,
289 ,
283 ,
271 ,
264 ,
252 ,
236 ,
219 ,
198 ,
172 ,
148 ,
123 ,
102 ,
83  ,
82  ,
72  ,
84  ,
84  ,
101 ,
117 ,
135 ,
157 ,
181 ,
199 ,
219 ,
225 ,
234 ,
228 ,
228 ,
217 ,
205 ,
188 ,
167 ,
147 ,
123 ,
107 ,
97  ,
85  ,
74  ,
62  ,
43  ,
25  ,
8 ,
-4  ,
-3  ,
-3  ,
-3  ,
-7  ,
-24 ,
-45 ,
-75 ,
-104  ,
-137  ,
-175  ,
-216  ,
-267  ,
-312  ,
-367  ,
-417  ,
-464  ,
-508  ,
-546  ,
-588  ,
-619  ,
-655  ,
-680  ,
-701  ,
-715  ,
-718  ,
-731  ,
-724  ,
-733  ,
-719  ,
-708  ,
-689  ,
-660  ,
-627  ,
-587  ,
-548  ,
-507  ,
-474  ,
-427  ,
-396  ,
-352  ,
-315  ,
-280  ,
-245  ,
-221  ,
-198  ,
-172  ,
-151  ,
-118  ,
-92 ,
-58 ,
-38 ,
-14 ,
-8  ,
9 ,
4 ,
3 ,
-6  ,
-23 ,
-37 ,
-61 ,
-75 ,
-94 ,
-103  ,
-113  ,
-109  ,
-109  ,
-101  ,
-99 ,
-85 ,
-78 ,
-53 ,
-30 ,
-2  ,
35  ,
71  ,
105 ,
148 ,
181 ,
219 ,
245 ,
271 ,
297 ,
318 ,
345 ,
363 ,
390 ,
405 ,
429 ,
444 ,
473 ,
495 ,
531 ,
561 ,
605 ,
637 ,
677 ,
700 ,
725 ,
738 ,
750 ,
752 ,
748 ,
738 ,
726 ,
711 ,
699 ,
683 ,
664 ,
643 ,
619 ,
593 ,
563 ,
533 ,
508 ,
471 ,
452 ,
411 ,
393 ,
357 ,
340 ,
312 ,
293 ,
273 ,
249 ,
215 ,
177 ,
125 ,
75  ,
14  ,
-41 ,
-101  ,
-166  ,
-226  ,
-283  ,
-332  ,
-369  ,
-407  ,
-435  ,
-465  ,
-493  ,
-522  ,
-541  ,
-567  ,
-586  ,
-616  ,
-647  ,
-686  ,
-719  ,
-764  ,
-796  ,
-836  ,
-862  ,
-893  ,
-914  ,
-931  ,
-945  ,
-953  ,
-960  ,
-957  ,
-960  ,
-951  ,
-947  ,
-934  ,
-925  ,
-912  ,
-891  ,
-868  ,
-839  ,
-803  ,
-764  ,
-713  ,
-664  ,
-608  ,
-555  ,
-499  ,
-444  ,
-385  ,
-332  ,
-273  ,
-220  ,
-170  ,
-116  ,
-78 ,
-35 ,
0 ,
32  ,
61  ,
85  ,
111 ,
137 ,
163 ,
189 ,
202 ,
219 ,
214 ,
209 ,
194 ,
181 ,
165 ,
150 ,
132 ,
111 ,
92  ,
75  ,
58  ,
55  ,
52  ,
59  ,
75  ,
96  ,
132 ,
166 ,
209 ,
251 ,
298 ,
337 ,
385 ,
416 ,
452 ,
478 ,
502 ,
533 ,
560 ,
589 ,
622 ,
655 ,
692 ,
729 ,
767 ,
798 ,
830 ,
853 ,
880 ,
901 ,
914 ,
925 ,
928 ,
928 ,
917 ,
899 ,
875 ,
849 ,
813 ,
787 ,
740 ,
705 ,
653 ,
602 ,
547 ,
483 ,
423 ,
355 ,
295 ,
232 ,
174 ,
116 ,
63  ,
17  ,
-21 ,
-55 ,
-83 ,
-111  ,
-135  ,
-170  ,
-200  ,
-245  ,
-292  ,
-343  ,
-402  ,
-451  ,
-513  ,
-563  ,
-613  ,
-655  ,
-687  ,
-707  ,
-722  ,
-730  ,
-727  ,
-727  ,
-712  ,
-699  ,
-675  ,
-653  ,
-631  ,
-613  ,
-604  ,
-599  ,
-597  ,
-596  ,
-594  ,
-591  ,
-590  ,
-587  ,
-583  ,
-580  ,
-572  ,
-572  ,
-562  ,
-562  ,
-550  ,
-542  ,
-531  ,
-517  ,
-506  ,
-493  ,
-489  ,
-478  ,
-471  ,
-460  ,
-441  ,
-419  ,
-385  ,
-352  ,
-307  ,
-264  ,
-219  ,
-176  ,
-129  ,
-91 ,
-44 ,
-8  ,
32  ,
60  ,
85  ,
102 ,
121 ,
138 ,
152 ,
172 ,
188 ,
210 ,
228 ,
245 ,
264 ,
265 ,
271 ,
263 ,
250 ,
230 ,
208 ,
186 ,
166 ,
150 ,
139 ,
134 ,
138 ,
149 ,
173 ,
198 ,
239 ,
277 ,
329 ,
368 ,
410 ,
440 ,
474 ,
494 ,
518 ,
539 ,
556 ,
572 ,
586 ,
602 ,
624 ,
641 ,
666 ,
684 ,
705 ,
727 ,
736 ,
750 ,
751 ,
762 ,
760 ,
769 ,
757 ,
753 ,
733 ,
708 ,
679 ,
634 ,
604 ,
551 ,
521 ,
474 ,
432 ,
390 ,
344 ,
313 ,
266 ,
230 ,
179 ,
133 ,
79  ,
35  ,
-16 ,
-49 ,
-86 ,
-111  ,
-129  ,
-150  ,
-163  ,
-178  ,
-189  ,
-199  ,
-213  ,
-233  ,
-262  ,
-291  ,
-328  ,
-355  ,
-387  ,
-410  ,
-432  ,
-446  ,
-456  ,
-447  ,
-446  ,
-421  ,
-402  ,
-374  ,
-343  ,
-325  ,
-301  ,
-291  ,
-283  ,
-284  ,
-295  ,
-312  ,
-336  ,
-357  ,
-377  ,
-393  ,
-408  ,
-422  ,
-428  ,
-443  ,
-451  ,
-463  ,
-472  ,
-474  ,
-484  ,
-486  ,
-498  ,
-500  ,
-515  ,
-518  ,
-526  ,
-529  ,
-535  ,
-527  ,
-522  ,
-501  ,
-478  ,
-448  ,
-415  ,
-376  ,
-339  ,
-301  ,
-259  ,
-226  ,
-186  ,
-155  ,
-123  ,
-98 ,
-75 ,
-52 ,
-30 ,
-3  ,
27  ,
58  ,
100 ,
130 ,
168 ,
196 ,
218 ,
235 ,
237 ,
243 ,
235 ,
240 ,
233 ,
235 ,
228 ,
232 ,
233 ,
246 ,
261 ,
282 ,
309 ,
339 ,
378 ,
420 ,
463 ,
499 ,
532 ,
550 ,
566 ,
571 ,
576 ,
579 ,
585 ,
591 ,
594 ,
592 ,
590 ,
585 ,
590 ,
595 ,
613 ,
627 ,
639 ,
650 ,
643 ,
646 ,
626 ,
616 ,
587 ,
559 ,
522 ,
479 ,
433 ,
392 ,
357 ,
330 ,
304 ,
276 ,
242 ,
214 ,
180 ,
160 ,
133 ,
114 ,
86  ,
59  ,
33  ,
3 ,
-17 ,
-34 ,
-46 ,
-52 ,
-60 ,
-64 ,
-77 ,
-86 ,
-105  ,
-124  ,
-153  ,
-188  ,
-227  ,
-268  ,
-307  ,
-338  ,
-370  ,
-387  ,
-407  ,
-421  ,
-437  ,
-453  ,
-463  ,
-468  ,
-467  ,
-462  ,
-470  ,
-475  ,
-500  ,
-523  ,
-551  ,
-581  ,
-603  ,
-632  ,
-654  ,
-678  ,
-702  ,
-723  ,
-739  ,
-743  ,
-747  ,
-747  ,
-747  ,
-755  ,
-753  ,
-754  ,
-741  ,
-733  ,
-709  ,
-705  ,
-682  ,
-682  ,
-663  ,
-651  ,
-622  ,
-588  ,
-546  ,
-496  ,
-441  ,
-383  ,
-319  ,
-248  ,
-176  ,
-98 ,
-28 ,
38  ,
100 ,
153 ,
204 ,
251 ,
291 ,
336 ,
374 ,
411 ,
442 ,
472 ,
498 ,
524 ,
539 ,
546 ,
547 ,
533 ,
521 ,
494 ,
476 ,
449 ,
428 ,
399 ,
381 ,
360 ,
351 ,
344 ,
346 ,
355 ,
371 ,
386 ,
404 ,
416 ,
432 ,
434 ,
437 ,
428 ,
417 ,
397 ,
385 ,
361 ,
355 ,
342 ,
337 ,
333 ,
332 ,
328 ,
332 ,
331 ,
341 ,
347 ,
358 ,
365 ,
366 ,
363 ,
356 ,
349 ,
329 ,
317 ,
291 ,
266 ,
242 ,
220 ,
193 ,
175 ,
148 ,
127 ,
100 ,
80  ,
54  ,
39  ,
19  ,
4 ,
-15 ,
-38 ,
-64 ,
-82 ,
-108  ,
-121  ,
-145  ,
-166  ,
-198  ,
-229  ,
-262  ,
-293  ,
-322  ,
-347  ,
-373  ,
-397  ,
-430  ,
-455  ,
-482  ,
-503  ,
-517  ,
-531  ,
-541  ,
-550  ,
-556  ,
-553  ,
-541  ,
-523  ,
-494  ,
-473  ,
-445  ,
-440  ,
-426  ,
-432  ,
-430  ,
-435  ,
-437  ,
-436  ,
-435  ,
-438  ,
-433  ,
-436  ,
-422  ,
-415  ,
-392  ,
-377  ,
-349  ,
-335  ,
-308  ,
-295  ,
-267  ,
-253  ,
-227  ,
-210  ,
-184  ,
-160  ,
-137  ,
-101  ,
-70 ,
-24 ,
23  ,
69  ,
120 ,
161 ,
214 ,
251 ,
303 ,
338 ,
383 ,
411 ,
436 ,
452 ,
466 ,
479 ,
486 ,
500 ,
493 ,
500 ,
488 ,
477 ,
461 ,
442 ,
415 ,
387 ,
345 ,
301 ,
252 ,
209 ,
168 ,
135 ,
106 ,
79  ,
47  ,
19  ,
-7  ,
-21 ,
-24 ,
-17 ,
-12 ,
5 ,
-1  ,
6 ,
-3  ,
-1  ,
-10 ,
-15 ,
-19 ,
-28 ,
-28 ,
-30 ,
-20 ,
-7  ,
13  ,
29  ,
54  ,
69  ,
96  ,
116 ,
151 ,
176 ,
209 ,
229 ,
249 ,
259 ,
263 ,
260 ,
251 ,
239 ,
226 ,
204 ,
188 ,
162 ,
150 ,
131 ,
121 ,
111 ,
95  ,
85  ,
68  ,
56  ,
44  ,
35  ,
29  ,
18  ,
5 ,
-7  ,
-24 ,
-31 ,
-47 ,
-56 ,
-76 ,
-92 ,
-117  ,
-147  ,
-168  ,
-196  ,
-207  ,
-224  ,
-231  ,
-247  ,
-250  ,
-262  ,
-258  ,
-259  ,
-243  ,
-232  ,
-212  ,
-198  ,
-181  ,
-164  ,
-151  ,
-132  ,
-123  ,
-109  ,
-97 ,
-99 ,
-90 ,
-96 ,
-91 ,
-91 ,
-85 ,
-82 ,
-78 ,
-75 ,
-76 ,
-73 ,
-76 ,
-75 ,
-79 ,
-81 ,
-80 ,
-81 ,
-77 ,
-82 ,
-78 ,
-89 ,
-84 ,
-90 ,
-91 ,
-98 ,
-96 ,
-105  ,
-90 ,
-92 ,
-75 ,
-63 ,
-55 ,
-38 ,
-26 ,
-14 ,
-1  ,
3 ,
12  ,
10  ,
14  ,
7 ,
11  ,
3 ,
4 ,
-9  ,
-22 ,
-41 ,
-64 ,
-86 ,
-111  ,
-131  ,
-158  ,
-187  ,
-218  ,
-247  ,
-268  ,
-277  ,
-277  ,
-270  ,
-261  ,
-254  ,
-239  ,
-224  ,
-192  ,
-163  ,
-119  ,
-84 ,
-46 ,
-19 ,
11  ,
33  ,
58  ,
89  ,
107 ,
146 ,
159 ,
190 ,
205 ,
233 ,
253 ,
280 ,
300 ,
323 ,
344 ,
366 ,
388 ,
406 ,
428 ,
436 ,
441 ,
440 ,
432 ,
415 ,
401 ,
380 ,
357 ,
333 ,
309 ,
288 ,
276 ,
267 ,
260 ,
254 ,
247 ,
241 ,
240 ,
233 ,
234 ,
224 ,
220 ,
210 ,
199 ,
184 ,
162 ,
147 ,
128 ,
116 ,
97  ,
78  ,
59  ,
40  ,
28  ,
16  ,
10  ,
3 ,
4 ,
0 ,
9 ,
2 ,
10  ,
-2  ,
5 ,
-4  ,
7 ,
6 ,
21  ,
22  ,
31  ,
26  ,
25  ,
17  ,
8 ,
-2  ,
-10 ,
-27 ,
-36 ,
-65 ,
-79 ,
-114  ,
-133  ,
-164  ,
-181  ,
-200  ,
-217  ,
-238  ,
-258  ,
-277  ,
-291  ,
-302  ,
-308  ,
-320  ,
-329  ,
-344  ,
-351  ,
-350  ,
-356  ,
-342  ,
-340  ,
-322  ,
-310  ,
-295  ,
-274  ,
-252  ,
-219  ,
-192  ,
-156  ,
-125  ,
-96 ,
-62 ,
-44 ,
-16 ,
-7  ,
14  ,
24  ,
40  ,
44  ,
52  ,
44  ,
40  ,
35  ,
14  ,
8 ,
-11 ,
-20 ,
-21 ,
-25 ,
-12 ,
-8  ,
4 ,
9 ,
22  ,
29  ,
46  ,
60  ,
74  ,
93  ,
106 ,
123 ,
140 ,
164 ,
179 ,
197 ,
208 ,
219 ,
228 ,
236 ,
244 ,
251 ,
264 ,
276 ,
283 ,
295 ,
297 ,
315 ,
326 ,
349 ,
367 ,
385 ,
396 ,
404 ,
399 ,
399 ,
380 ,
371 ,
350 ,
334 ,
313 ,
290 ,
266 ,
245 ,
219 ,
208 ,
191 ,
188 ,
178 ,
184 ,
181 ,
179 ,
176 ,
167 ,
163 ,
152 ,
141 ,
131 ,
116 ,
108 ,
95  ,
81  ,
67  ,
55  ,
44  ,
34  ,
24  ,
15  ,
10  ,
2 ,
8 ,
8 ,
17  ,
13  ,
14  ,
3 ,
-7  ,
-18 ,
-29 ,
-36 ,
-40 ,
-42 ,
-46 ,
-50 ,
-62 ,
-70 ,
-84 ,
-95 ,
-108  ,
-122  ,
-127  ,
-146  ,
-159  ,
-188  ,
-210  ,
-244  ,
-265  ,
-291  ,
-307  ,
-327  ,
-342  ,
-353  ,
-370  ,
-381  ,
-396  ,
-403  ,
-406  ,
-403  ,
-400  ,
-389  ,
-386  ,
-374  ,
-365  ,
-351  ,
-339  ,
-318  ,
-295  ,
-265  ,
-221  ,
-176  ,
-131  ,
-78 ,
-38 ,
16  ,
43  ,
81  ,
100 ,
114 ,
125 ,
118 ,
119 ,
107 ,
98  ,
71  ,
60  ,
23  ,
8 ,
-18 ,
-33 ,
-40 ,
-46 ,
-50 ,
-51 ,
-57 ,
-63 ,
-72 ,
-79 ,
-84 ,
-89 ,
-87 ,
-92 ,
-87 ,
-89 ,
-85 ,
-75 ,
-66 ,
-52 ,
-38 ,
-27 ,
-12 ,
-2  ,
10  ,
23  ,
40  ,
59  ,
82  ,
107 ,
132 ,
155 ,
177 ,
200 ,
218 ,
237 ,
258 ,
266 ,
284 ,
282 ,
289 ,
283 ,
285 ,
278 ,
274 ,
272 ,
268 ,
268 ,
273 ,
276 ,
292 ,
303 ,
323 ,
346 ,
370 ,
396 ,
415 ,
431 ,
440 ,
441 ,
434 ,
426 ,
404 ,
383 ,
352 ,
316 ,
281 ,
242 ,
209 ,
179 ,
156 ,
142 ,
123 ,
112 ,
100 ,
93  ,
76  ,
70  ,
51  ,
37  ,
25  ,
-5  ,
-19 ,
-48 ,
-70 ,
-94 ,
-110  ,
-125  ,
-139  ,
-142  ,
-157  ,
-159  ,
-185  ,
-189  ,
-219  ,
-237  ,
-263  ,
-289  ,
-317  ,
-347  ,
-383  ,
-403  ,
-437  ,
-448  ,
-464  ,
-473  ,
-478  ,
-486  ,
-482  ,
-486  ,
-480  ,
-476  ,
-469  ,
-457  ,
-451  ,
-436  ,
-430  ,
-418  ,
-410  ,
-394  ,
-378  ,
-350  ,
-319  ,
-290  ,
-255  ,
-226  ,
-192  ,
-160  ,
-133  ,
-105  ,
-87 ,
-76 ,
-74 ,
-80 ,
-103  ,
-125  ,
-151  ,
-175  ,
-193  ,
-217  ,
-232  ,
-250  ,
-262  ,
-269  ,
-268  ,
-258  ,
-250  ,
-235  ,
-226  ,
-219  ,
-209  ,
-204  ,
-185  ,
-173  ,
-153  ,
-134  ,
-115  ,
-100  ,
-72 ,
-52 ,
-9  ,
23  ,
69  ,
110 ,
148 ,
179 ,
212 ,
238 ,
274 ,
303 ,
344 ,
376 ,
408 ,
436 ,
464 ,
485 ,
514 ,
529 ,
553 ,
567 ,
585 ,
593 ,
601 ,
602 ,
603 ,
597 ,
590 ,
574 ,
568 ,
557 ,
553 ,
549 ,
548 ,
544 ,
544 ,
542 ,
540 ,
536 ,
527 ,
521 ,
504 ,
483 ,
448 ,
412 ,
369 ,
326 ,
280 ,
233 ,
187 ,
141 ,
103 ,
68  ,
45  ,
21  ,
2 ,
-17 ,
-38 ,
-61 ,
-86 ,
-114  ,
-139  ,
-166  ,
-189  ,
-217  ,
-243  ,
-273  ,
-303  ,
-330  ,
-354  ,
-369  ,
-382  ,
-390  ,
-396  ,
-409  ,
-420  ,
-435  ,
-451  ,
-458  ,
-481  ,
-490  ,
-514  ,
-530  ,
-549  ,
-566  ,
-582  ,
-591  ,
-602  ,
-603  ,
-609  ,
-604  ,
-609  ,
-596  ,
-590  ,
-576  ,
-572  ,
-562  ,
-560  ,
-550  ,
-544  ,
-533  ,
-511  ,
-486  ,
-454  ,
-415  ,
-374  ,
-329  ,
-276  ,
-228  ,
-172  ,
-129  ,
-84 ,
-57 ,
-26 ,
-16 ,
-3  ,
-15 ,
-24 ,
-43 ,
-58 ,
-73 ,
-86 ,
-80 ,
-83 ,
-67 ,
-58 ,
-43 ,
-24 ,
-14 ,
15  ,
28  ,
58  ,
69  ,
88  ,
101 ,
115 ,
131 ,
154 ,
175 ,
204 ,
232 ,
259 ,
293 ,
320 ,
358 ,
392 ,
426 ,
464 ,
487 ,
516 ,
536 ,
559 ,
579 ,
600 ,
615 ,
635 ,
634 ,
641 ,
632 ,
630 ,
623 ,
611 ,
599 ,
582 ,
558 ,
540 ,
508 ,
486 ,
454 ,
429 ,
397 ,
362 ,
330 ,
298 ,
275 ,
263 ,
246 ,
238 ,
222 ,
208 ,
190 ,
170 ,
146 ,
124 ,
92  ,
55  ,
8 ,
-42 ,
-96 ,
-145  ,
-184  ,
-226  ,
-253  ,
-294  ,
-316  ,
-337  ,
-351  ,
-350  ,
-355  ,
-354  ,
-361  ,
-373  ,
-386  ,
-400  ,
-410  ,
-420  ,
-422  ,
-428  ,
-434  ,
-444  ,
-454  ,
-452  ,
-456  ,
-446  ,
-442  ,
-436  ,
-438  ,
-435  ,
-446  ,
-444  ,
-455  ,
-456  ,
-473  ,
-487  ,
-513  ,
-533  ,
-548  ,
-558  ,
-554  ,
-555  ,
-550  ,
-554  ,
-544  ,
-539  ,
-521  ,
-509  ,
-492  ,
-476  ,
-466  ,
-455  ,
-443  ,
-420  ,
-390  ,
-350  ,
-305  ,
-260  ,
-213  ,
-164  ,
-114  ,
-59 ,
-12 ,
32  ,
71  ,
95  ,
120 ,
122 ,
130 ,
130 ,
123 ,
128 ,
116 ,
111 ,
99  ,
91  ,
93  ,
96  ,
109 ,
128 ,
145 ,
164 ,
180 ,
193 ,
211 ,
223 ,
238 ,
246 ,
250 ,
254 ,
245 ,
250 ,
243 ,
253 ,
253 ,
262 ,
271 ,
282 ,
299 ,
317 ,
344 ,
358 ,
377 ,
380 ,
383 ,
380 ,
374 ,
374 ,
369 ,
366 ,
356 ,
350 ,
336 ,
324 ,
315 ,
301 ,
299 ,
279 ,
268 ,
239 ,
220 ,
193 ,
177 ,
151 ,
145 ,
119 ,
115 ,
94  ,
97  ,
91  ,
104 ,
110 ,
119 ,
119 ,
112 ,
102 ,
83  ,
68  ,
46  ,
34  ,
3 ,
-13 ,
-51 ,
-76 ,
-111  ,
-129  ,
-154  ,
-155  ,
-171  ,
-162  ,
-174  ,
-165  ,
-165  ,
-165  ,
-158  ,
-161  ,
-167  ,
-179  ,
-191  ,
-198  ,
-198  ,
-208  ,
-209  ,
-217  ,
-227  ,
-237  ,
-243  ,
-237  ,
-247  ,
-270  ,
-274  ,
-252  ,
-267  ,
-292  ,
-303  ,
-312  ,
-316  ,
-326  ,
-326  ,
-322  ,
-293  ,
-301  ,
-323  ,
-329  ,
-334  ,
-322  ,
-315  ,
-280  ,
-256  ,
-256  ,
-275  ,
-260  ,
-238  ,
-220  ,
-234  ,
-201  ,
-154  ,
-151  ,
-150  ,
-107  ,
-41 ,
9 ,
43  ,
98  ,
135 ,
138 ,
148 ,
183 ,
217 ,
220 ,
220 ,
221 ,
207 ,
167 ,
148 ,
141 ,
129 ,
128 ,
129 ,
128 ,
111 ,
111 ,
127 ,
152 ,
170 ,
188 ,
193 ,
186 ,
177 ,
179 ,
175 ,
180 ,
187 ,
205 ,
186 ,
166 ,
172 ,
207 ,
240 ,
281 ,
317 ,
331 ,
335 ,
341 ,
370 ,
388 ,
398 ,
412 ,
426 ,
414 ,
390 ,
383 ,
385 ,
393 ,
392 ,
385 ,
358 ,
328 ,
303 ,
304 ,
307 ,
298 ,
285 ,
275 ,
267 ,
250 ,
241 ,
234 ,
240 ,
256 ,
257 ,
240 ,
214 ,
207 ,
213 ,
227 ,
235 ,
227 ,
215 ,
177 ,
155 ,
122 ,
104 ,
74  ,
63  ,
36  ,
-11 ,
-70 ,
-120  ,
-143  ,
-155  ,
-150  ,
-143  ,
-152  ,
-165  ,
-176  ,
-176  ,
-185  ,
-193  ,
-200  ,
-195  ,
-218  ,
-240  ,
-272  ,
-294  ,
-302  ,
-297  ,
-296  ,
-306  ,
-331  ,
-330  ,
-339  ,
-323  ,
-331  ,
-321  ,
-330  ,
-357  ,
-376  ,
-408  ,
-428  ,
-431  ,
-417  ,
-399  ,
-405  ,
-416  ,
-429  ,
-426  ,
-419  ,
-402  ,
-375  ,
-360  ,
-347  ,
-336  ,
-312  ,
-300  ,
-266  ,
-223  ,
-176  ,
-133  ,
-100  ,
-63 ,
-29 ,
24  ,
79  ,
145 ,
187 ,
212 ,
231 ,
230 ,
238 ,
239 ,
262 ,
269 ,
271 ,
247 ,
214 ,
173 ,
138 ,
134 ,
134 ,
140 ,
133 ,
122 ,
112 ,
105 ,
110 ,
133 ,
153 ,
169 ,
166 ,
160 ,
144 ,
140 ,
146 ,
159 ,
163 ,
161 ,
156 ,
147 ,
149 ,
163 ,
202 ,
232 ,
256 ,
265 ,
261 ,
252 ,
257 ,
273 ,
298 ,
292 ,
292 ,
265 ,
253 ,
225 ,
222 ,
222 ,
231 ,
223 ,
209 ,
183 ,
161 ,
144 ,
150 ,
154 ,
147 ,
140 ,
109 ,
93  ,
80  ,
79  ,
85  ,
81  ,
83  ,
74  ,
54  ,
33  ,
24  ,
29  ,
30  ,
33  ,
19  ,
-5  ,
-47 ,
-81 ,
-99 ,
-119  ,
-140  ,
-162  ,
-185  ,
-212  ,
-245  ,
-255  ,
-263  ,
-250  ,
-243  ,
-228  ,
-233  ,
-239  ,
-243  ,
-231  ,
-221  ,
-198  ,
-191  ,
-194  ,
-198  ,
-216  ,
-218  ,
-222  ,
-225  ,
-215  ,
-205  ,
-206  ,
-202  ,
-204  ,
-197  ,
-185  ,
-174  ,
-162  ,
-171  ,
-177  ,
-193  ,
-184  ,
-192  ,
-181  ,
-182  ,
-171  ,
-180  ,
-178  ,
-185  ,
-177  ,
-162  ,
-136  ,
-106  ,
-84 ,
-72 ,
-63 ,
-41 ,
-12 ,
27  ,
59  ,
96  ,
114 ,
136 ,
151 ,
167 ,
192 ,
217 ,
244 ,
258 ,
261 ,
246 ,
230 ,
210 ,
200 ,
178 ,
151 ,
108 ,
69  ,
29  ,
3 ,
-12 ,
-21 ,
-17 ,
-25 ,
-35 ,
-48 ,
-60 ,
-63 ,
-61 ,
-55 ,
-49 ,
-57 ,
-72 ,
-85 ,
-100  ,
-101  ,
-103  ,
-91 ,
-85 ,
-78 ,
-68 ,
-56 ,
-34 ,
-3  ,
28  ,
63  ,
84  ,
103 ,
107 ,
116 ,
123 ,
140 ,
149 ,
147 ,
137 ,
122 ,
110 ,
96  ,
97  ,
99  ,
98  ,
100 ,
96  ,
92  ,
86  ,
90  ,
94  ,
116 ,
128 ,
132 ,
132 ,
133 ,
127 ,
134 ,
147 ,
157 ,
166 ,
169 ,
170 ,
166 ,
162 ,
143 ,
108 ,
57  ,
-4  ,
-82 ,
-181  ,
-266  ,
-321  ,
-345  ,
-338  ,
-320  ,
-299  ,
-265  ,
-204  ,
-120  ,
-25 ,
52  ,
133 ,
226 ,
299 ,
356 ,
393 ,
422 ,
452 ,
483 ,
485 ,
431 ,
369 ,
307 ,
255 ,
214 ,
184 ,
175 ,
164 ,
144 ,
111 ,
90  ,
68  ,
60  ,
53  ,
51  ,
53  ,
47  ,
51  ,
61  ,
98  ,
134 ,
178 ,
199 ,
174 ,
103 ,
29  ,
-25 ,
-61 ,
-100  ,
-141  ,
-172  ,
-170  ,
-141  ,
-112  ,
-100  ,
-68 ,
-31 ,
-5  ,
-42 ,
-99 ,
-160  ,
-185  ,
-184  ,
-166  ,
-143  ,
-128  ,
-101  ,
-63 ,
-34 ,
-17 ,
-38 ,
-60 ,
-124  ,
-193  ,
-297  ,
-368  ,
-431  ,
-468  ,
-493  ,
-496  ,
-471  ,
-439  ,
-398  ,
-347  ,
-300  ,
-266  ,
-264  ,
-316  ,
-395  ,
-463  ,
-489  ,
-472  ,
-444  ,
-397  ,
-319  ,
-229  ,
-139  ,
-60 ,
12  ,
81  ,
138 ,
171 ,
163 ,
117 ,
70  ,
47  ,
50  ,
72  ,
100 ,
133 ,
159 ,
183 ,
180 ,
173 ,
171 ,
172 ,
174 ,
159 ,
148 ,
136 ,
148 ,
171 ,
223 ,
271 ,
319 ,
353 ,
368 ,
360 ,
338 ,
328 ,
298 ,
261 ,
204 ,
165 ,
130 ,
103 ,
70  ,
49  ,
38  ,
45  ,
60  ,
78  ,
97  ,
131 ,
171 ,
219 ,
240 ,
248 ,
244 ,
265 ,
289 ,
319 ,
342 ,
361 ,
370 ,
372 ,
352 ,
343 ,
327 ,
330 ,
323 ,
310 ,
285 ,
247 ,
201 ,
152 ,
119 ,
92  ,
78  ,
54  ,
20  ,
-9  ,
-30 ,
-41 ,
-43 ,
-51 ,
-76 ,
-100  ,
-133  ,
-163  ,
-206  ,
-225  ,
-227  ,
-200  ,
-173  ,
-151  ,
-141  ,
-130  ,
-110  ,
-99 ,
-105  ,
-120  ,
-147  ,
-172  ,
-198  ,
-244  ,
-274  ,
-323  ,
-344  ,
-366  ,
-388  ,
-402  ,
-439  ,
-463  ,
-494  ,
-517  ,
-534  ,
-545  ,
-537  ,
-516  ,
-486  ,
-445  ,
-400  ,
-358  ,
-324  ,
-288  ,
-250  ,
-224  ,
-206  ,
-212  ,
-208  ,
-213  ,
-200  ,
-195  ,
-180  ,
-168  ,
-147  ,
-135  ,
-143  ,
-175  ,
-219  ,
-250  ,
-286  ,
-310  ,
-344  ,
-364  ,
-367  ,
-351  ,
-306  ,
-249  ,
-166  ,
-82 ,
15  ,
100 ,
169 ,
211 ,
255 ,
285 ,
320 ,
338 ,
360 ,
373 ,
387 ,
397 ,
406 ,
424 ,
437 ,
447 ,
451 ,
442 ,
446 ,
429 ,
420 ,
404 ,
395 ,
393 ,
376 ,
369 ,
348 ,
350 ,
351 ,
369 ,
366 ,
380 ,
383 ,
414 ,
438 ,
468 ,
487 ,
512 ,
535 ,
558 ,
564 ,
557 ,
543 ,
529 ,
511 ,
481 ,
437 ,
397 ,
373 ,
367 ,
372 ,
368 ,
365 ,
354 ,
337 ,
307 ,
270 ,
229 ,
189 ,
145 ,
115 ,
101 ,
81  ,
79  ,
74  ,
90  ,
100 ,
125 ,
127 ,
129 ,
97  ,
60  ,
22  ,
-12 ,
-55 ,
-83 ,
-109  ,
-120  ,
-139  ,
-163  ,
-194  ,
-233  ,
-275  ,
-329  ,
-387  ,
-457  ,
-516  ,
-558  ,
-568  ,
-569  ,
-539  ,
-501  ,
-454  ,
-402  ,
-363  ,
-329  ,
-317  ,
-314  ,
-309  ,
-316  ,
-313  ,
-307  ,
-280  ,
-245  ,
-207  ,
-166  ,
-130  ,
-98 ,
-84 ,
-81 ,
-98 ,
-125  ,
-179  ,
-230  ,
-294  ,
-342  ,
-382  ,
-394  ,
-412  ,
-403  ,
-407  ,
-392  ,
-386  ,
-393  ,
-391  ,
-407  ,
-420  ,
-440  ,
-459  ,
-477  ,
-494  ,
-494  ,
-484  ,
-468  ,
-448  ,
-417  ,
-392  ,
-357  ,
-330  ,
-297  ,
-260  ,
-219  ,
-186  ,
-147  ,
-121  ,
-87 ,
-66 ,
-48 ,
-32 ,
-8  ,
16  ,
39  ,
63  ,
84  ,
107 ,
135 ,
169 ,
205 ,
252 ,
299 ,
352 ,
394 ,
433 ,
457 ,
491 ,
522 ,
572 ,
617 ,
672 ,
726 ,
783 ,
831 ,
868 ,
881 ,
886 ,
871 ,
840 ,
797 ,
745 ,
702 ,
655 ,
625 ,
601 ,
584 ,
566 ,
533 ,
496 ,
452 ,
405 ,
353 ,
303 ,
255 ,
221 ,
195 ,
192 ,
197 ,
208 ,
226 ,
240 ,
240 ,
224 ,
182 ,
136 ,
72  ,
9 ,
-56 ,
-120  ,
-163  ,
-185  ,
-180  ,
-157  ,
-122  ,
-93 ,
-61 ,
-55 ,
-66 ,
-105  ,
-154  ,
-206  ,
-253  ,
-288  ,
-311  ,
-324  ,
-316  ,
-301  ,
-265  ,
-230  ,
-194  ,
-165  ,
-152  ,
-148  ,
-168  ,
-199  ,
-243  ,
-286  ,
-343  ,
-383  ,
-433  ,
-472  ,
-513  ,
-545  ,
-576  ,
-597  ,
-634  ,
-666  ,
-710  ,
-748  ,
-782  ,
-809  ,
-825  ,
-836  ,
-839  ,
-836  ,
-830  ,
-837  ,
-840  ,
-844  ,
-842  ,
-827  ,
-818  ,
-801  ,
-785  ,
-751  ,
-713  ,
-658  ,
-613  ,
-558  ,
-520  ,
-479  ,
-456  ,
-434  ,
-422  ,
-398  ,
-385  ,
-360  ,
-348  ,
-326  ,
-301  ,
-267  ,
-221  ,
-169  ,
-115  ,
-66 ,
-17 ,
30  ,
78  ,
131 ,
174 ,
222 ,
258 ,
299 ,
337 ,
364 ,
390 ,
413 ,
432 ,
454 ,
475 ,
501 ,
533 ,
584 ,
633 ,
696 ,
733 ,
774 ,
791 ,
804 ,
793 ,
762 ,
722 ,
672 ,
629 ,
599 ,
578 ,
582 ,
595 ,
628 ,
656 ,
677 ,
677 ,
659 ,
613 ,
552 ,
476 ,
394 ,
308 ,
231 ,
169 ,
128 ,
114 ,
104 ,
114 ,
111 ,
111 ,
89  ,
49  ,
-14 ,
-93 ,
-180  ,
-259  ,
-337  ,
-395  ,
-442  ,
-456  ,
-460  ,
-444  ,
-426  ,
-417  ,
-396  ,
-392  ,
-377  ,
-374  ,
-376  ,
-370  ,
-366  ,
-353  ,
-336  ,
-316  ,
-301  ,
-274  ,
-266  ,
-260  ,
-273  ,
-291  ,
-313  ,
-335  ,
-359  ,
-370  ,
-380  ,
-371  ,
-356  ,
-328  ,
-297  ,
-276  ,
-258  ,
-263  ,
-282  ,
-310  ,
-351  ,
-391  ,
-426  ,
-459  ,
-468  ,
-469  ,
-446  ,
-425  ,
-382  ,
-344  ,
-299  ,
-267  ,
-232  ,
-218  ,
-194  ,
-185  ,
-163  ,
-160  ,
-150  ,
-153  ,
-148  ,
-152  ,
-153  ,
-165  ,
-169  ,
-176  ,
-165  ,
-156  ,
-128  ,
-97 ,
-55 ,
-8  ,
28  ,
72  ,
102 ,
127 ,
154 ,
169 ,
200 ,
223 ,
268 ,
317 ,
385 ,
451 ,
527 ,
577 ,
616 ,
623 ,
601 ,
548 ,
476 ,
386 ,
299 ,
210 ,
151 ,
106 ,
98  ,
101 ,
132 ,
162 ,
196 ,
228 ,
252 ,
267 ,
279 ,
279 ,
280 ,
279 ,
284 ,
300 ,
318 ,
351 ,
372 ,
397 ,
401 ,
399 ,
366 ,
333 ,
276 ,
218 ,
158 ,
103 ,
59  ,
25  ,
6 ,
-9  ,
-16 ,
-28 ,
-51 ,
-76 ,
-130  ,
-180  ,
-249  ,
-303  ,
-352  ,
-379  ,
-389  ,
-367  ,
-335  ,
-279  ,
-221  ,
-161  ,
-108  ,
-74 ,
-48 ,
-40 ,
-40 ,
-55 ,
-72 ,
-78 ,
-70 ,
-57 ,
-24 ,
0 ,
47  ,
73  ,
104 ,
125 ,
129 ,
131 ,
128 ,
123 ,
126 ,
124 ,
135 ,
158 ,
189 ,
232 ,
272 ,
321 ,
362 ,
408 ,
452 ,
494 ,
540 ,
570 ,
600 ,
607 ,
610 ,
585 ,
563 ,
520 ,
483 ,
433 ,
388 ,
339 ,
302 ,
275 ,
273 ,
284 ,
303 ,
324 ,
344 ,
350 ,
353 ,
349 ,
347 ,
347 ,
338 ,
336 ,
338 ,
347 ,
368 ,
407 ,
442 ,
477 ,
492 ,
486 ,
470 ,
436 ,
404 ,
364 ,
320 ,
277 ,
230 ,
190 ,
148 ,
119 ,
92  ,
70  ,
27  ,
-21 ,
-102  ,
-182  ,
-270  ,
-341  ,
-399  ,
-444  ,
-472  ,
-495  ,
-503  ,
-515  ,
-512  ,
-519  ,
-525  ,
-549  ,
-583  ,
-622  ,
-661  ,
-683  ,
-673  ,
-651  ,
-588  ,
-521  ,
-427  ,
-333  ,
-240  ,
-163  ,
-109  ,
-82 ,
-86 ,
-114  ,
-153  ,
-199  ,
-221  ,
-229  ,
-214  ,
-181  ,
-143  ,
-89 ,
-39 ,
22  ,
73  ,
121 ,
145 ,
168 ,
160 ,
166 ,
153 ,
161 ,
164 ,
173 ,
180 ,
186 ,
184 ,
178 ,
173 ,
154 ,
144 ,
116 ,
93  ,
62  ,
33  ,
14  ,
-5  ,
-18 ,
-29 ,
-37 ,
-43 ,
-43 ,
-31 ,
-14 ,
6 ,
38  ,
67  ,
98  ,
132 ,
168 ,
209 ,
241 ,
269 ,
289 ,
304 ,
312 ,
335 ,
357 ,
393 ,
424 ,
458 ,
486 ,
504 ,
508 ,
504 ,
489 ,
460 ,
428 ,
366 ,
308 ,
232 ,
169 ,
114 ,
70  ,
34  ,
5 ,
-34 ,
-76 ,
-118  ,
-165  ,
-192  ,
-220  ,
-217  ,
-217  ,
-195  ,
-183  ,
-148  ,
-118  ,
-79 ,
-47 ,
-25 ,
-34 ,
-63 ,
-123  ,
-188  ,
-272  ,
-349  ,
-412  ,
-467  ,
-495  ,
-524  ,
-521  ,
-514  ,
-492  ,
-471  ,
-448  ,
-453  ,
-467  ,
-510  ,
-551  ,
-596  ,
-622  ,
-631  ,
-618  ,
-593  ,
-552  ,
-517  ,
-470  ,
-443  ,
-411  ,
-416  ,
-438  ,
-483  ,
-539  ,
-596  ,
-646  ,
-678  ,
-696  ,
-689  ,
-672  ,
-621  ,
-572  ,
-499  ,
-435  ,
-360  ,
-298  ,
-236  ,
-179  ,
-124  ,
-63 ,
5 ,
88  ,
162 ,
237 ,
302 ,
370 ,
425 ,
472 ,
510 ,
530 ,
540 ,
534 ,
525 ,
524 ,
508 ,
504 ,
490 ,
471 ,
434 ,
398 ,
347 ,
306 ,
252 ,
215 ,
162 ,
121 ,
62  ,
20  ,
-31 ,
-69 ,
-112  ,
-144  ,
-177  ,
-195  ,
-220  ,
-218  ,
-225  ,
-213  ,
-210  ,
-196  ,
-194  ,
-190  ,
-187  ,
-180  ,
-168  ,
-156  ,
-156  ,
-154  ,
-166  ,
-164  ,
-160  ,
-143  ,
-123  ,
-107  ,
-89 ,
-88 ,
-81 ,
-80 ,
-74 ,
-62 ,
-43 ,
-18 ,
8 ,
35  ,
74  ,
125 ,
180 ,
245 ,
301 ,
350 ,
371 ,
379 ,
366 ,
335 ,
279 ,
217 ,
143 ,
70  ,
0 ,
-60 ,
-100  ,
-115  ,
-127  ,
-122  ,
-139  ,
-150  ,
-180  ,
-215  ,
-255  ,
-300  ,
-346  ,
-391  ,
-421  ,
-444  ,
-444  ,
-436  ,
-400  ,
-367  ,
-323  ,
-304  ,
-282  ,
-274  ,
-264  ,
-256  ,
-235  ,
-218  ,
-185  ,
-152  ,
-108  ,
-59 ,
-3  ,
48  ,
92  ,
134 ,
147 ,
148 ,
125 ,
94  ,
70  ,
37  ,
15  ,
-2  ,
-13 ,
-10 ,
-4  ,
18  ,
50  ,
82  ,
128 ,
162 ,
206 ,
247 ,
298 ,
358 ,
427 ,
509 ,
586 ,
661 ,
723 ,
774 ,
819 ,
847 ,
863 ,
865 ,
840 ,
806 ,
744 ,
681 ,
611 ,
552 ,
495 ,
439 ,
372 ,
309 ,
248 ,
193 ,
155 ,
124 ,
94  ,
69  ,
29  ,
-8  ,
-57 ,
-99 ,
-140  ,
-169  ,
-207  ,
-245  ,
-287  ,
-331  ,
-362  ,
-389  ,
-400  ,
-406  ,
-413  ,
-426  ,
-444  ,
-469  ,
-495  ,
-518  ,
-534  ,
-546  ,
-555  ,
-558  ,
-551  ,
-528  ,
-490  ,
-435  ,
-380  ,
-319  ,
-268  ,
-221  ,
-181  ,
-142  ,
-100  ,
-58 ,
-12 ,
30  ,
84  ,
138 ,
203 ,
275 ,
358 ,
418 ,
489 ,
518 ,
552 ,
539 ,
528 ,
491 ,
457 ,
414 ,
377 ,
331 ,
297 ,
258 ,
230 ,
205 ,
177 ,
143 ,
117 ,
81  ,
41  ,
8 ,
-26 ,
-49 ,
-46 ,
-43 ,
-14 ,
6 ,
30  ,
57  ,
72  ,
90  ,
85  ,
78  ,
54  ,
23  ,
-9  ,
-40 ,
-63 ,
-66 ,
-63 ,
-49 ,
-33 ,
-18 ,
5 ,
26  ,
48  ,
61  ,
83  ,
90  ,
105 ,
128 ,
151 ,
187 ,
215 ,
247 ,
261 ,
260 ,
248 ,
223 ,
197 ,
158 ,
128 ,
89  ,
54  ,
18  ,
-9  ,
-26 ,
-28 ,
-26 ,
-6  ,
10  ,
37  ,
64  ,
103 ,
133 ,
175 ,
208 ,
237 ,
257 ,
267 ,
279 ,
287 ,
298 ,
305 ,
311 ,
313 ,
305 ,
303 ,
296 ,
298 ,
293 ,
292 ,
284 ,
254 ,
226 ,
184 ,
153 ,
116 ,
79  ,
44  ,
4 ,
-37 ,
-74 ,
-103  ,
-130  ,
-148  ,
-173  ,
-198  ,
-228  ,
-262  ,
-282  ,
-307  ,
-314  ,
-310  ,
-288  ,
-255  ,
-207  ,
-144  ,
-74 ,
-8  ,
57  ,
103 ,
138 ,
149 ,
147 ,
145 ,
123 ,
108 ,
84  ,
80  ,
61  ,
67  ,
72  ,
86  ,
97  ,
101 ,
100 ,
87  ,
59  ,
34  ,
8 ,
-5  ,
-16 ,
-10 ,
-4  ,
3 ,
3 ,
-1  ,
-20 ,
-36 ,
-72 ,
-106  ,
-167  ,
-224  ,
-297  ,
-350  ,
-406  ,
-440  ,
-470  ,
-498  ,
-519  ,
-546  ,
-571  ,
-601  ,
-636  ,
-658  ,
-691  ,
-722  ,
-758  ,
-786  ,
-812  ,
-824  ,
-825  ,
-811  ,
-787  ,
-748  ,
-718  ,
-679  ,
-657  ,
-620  ,
-588  ,
-545  ,
-505  ,
-455  ,
-402  ,
-347  ,
-272  ,
-200  ,
-123  ,
-56 ,
2 ,
54  ,
77  ,
90  ,
94  ,
85  ,
67  ,
33  ,
-9  ,
-65 ,
-126  ,
-190  ,
-236  ,
-280  ,
-301  ,
-306  ,
-293  ,
-270  ,
-234  ,
-188  ,
-128  ,
-64 ,
5 ,
88  ,
165 ,
244 ,
322 ,
402 ,
479 ,
558 ,
634 ,
708 ,
762 ,
810 ,
846 ,
879 ,
897 ,
909 ,
900 ,
874 ,
830 ,
773 ,
725 ,
674 ,
655 ,
634 ,
634 ,
626 ,
622 ,
614 ,
598 ,
590 ,
568 ,
549 ,
510 ,
474 ,
433 ,
396 ,
359 ,
324 ,
295 ,
264 ,
232 ,
197 ,
159 ,
118 ,
74  ,
39  ,
-5  ,
-48 ,
-101  ,
-145  ,
-206  ,
-244  ,
-295  ,
-319  ,
-363  ,
-391  ,
-445  ,
-490  ,
-562  ,
-608  ,
-662  ,
-686  ,
-713  ,
-712  ,
-704  ,
-689  ,
-661  ,
-630  ,
-587  ,
-551  ,
-523  ,
-499  ,
-483  ,
-479  ,
-475  ,
-482  ,
-489  ,
-516  ,
-540  ,
-572  ,
-598  ,
-627  ,
-647  ,
-664  ,
-673  ,
-694  ,
-702  ,
-728  ,
-732  ,
-731  ,
-727  ,
-720  ,
-709  ,
-704  ,
-685  ,
-674  ,
-639  ,
-598  ,
-551  ,
-506  ,
-456  ,
-415  ,
-377  ,
-335  ,
-289  ,
-226  ,
-181  ,
-136  ,
-103  ,
-82 ,
-61 ,
-28 ,
10  ,
65  ,
117 ,
181 ,
248 ,
311 ,
376 ,
438 ,
496 ,
541 ,
565 ,
575 ,
573 ,
556 ,
544 ,
535 ,
527 ,
529 ,
521 ,
530 ,
544 ,
563 ,
597 ,
629 ,
673 ,
709 ,
745 ,
768 ,
797 ,
824 ,
868 ,
907 ,
964 ,
1005  ,
1065  ,
1104  ,
1158  ,
1194  ,
1229  ,
1246  ,
1266  ,
1273  ,
1282  ,
1283  ,
1293  ,
1296  ,
1293  ,
1284  ,
1254  ,
1224  ,
1170  ,
1121  ,
1050  ,
980 ,
901 ,
817 ,
734 ,
644 ,
556 ,
466 ,
384 ,
299 ,
220 ,
138 ,
52  ,
-45 ,
-144  ,
-248  ,
-353  ,
-439  ,
-517  ,
-565  ,
-608  ,
-631  ,
-658  ,
-665  ,
-675  ,
-672  ,
-669  ,
-674  ,
-679  ,
-696  ,
-722  ,
-755  ,
-789  ,
-821  ,
-851  ,
-880  ,
-898  ,
-915  ,
-922  ,
-904  ,
-886  ,
-841  ,
-814  ,
-773  ,
-748  ,
-714  ,
-690  ,
-659  ,
-620  ,
-588  ,
-547  ,
-515  ,
-479  ,
-458  ,
-431  ,
-407  ,
-372  ,
-343  ,
-307  ,
-278  ,
-240  ,
-222  ,
-192  ,
-187  ,
-176  ,
-169  ,
-176  ,
-176  ,
-186  ,
-196  ,
-204  ,
-211  ,
-218  ,
-225  ,
-235  ,
-243  ,
-242  ,
-238  ,
-228  ,
-212  ,
-189  ,
-163  ,
-138  ,
-109  ,
-87 ,
-53 ,
-14 ,
34  ,
84  ,
145 ,
205 ,
275 ,
344 ,
417 ,
499 ,
568 ,
649 ,
715 ,
765 ,
804 ,
809 ,
815 ,
788 ,
754 ,
701 ,
646 ,
575 ,
512 ,
448 ,
411 ,
381 ,
372 ,
388 ,
411 ,
448 ,
489 ,
535 ,
584 ,
630 ,
680 ,
725 ,
773 ,
808 ,
848 ,
879 ,
911 ,
937 ,
964 ,
991 ,
1011  ,
1016  ,
1017  ,
993 ,
964 ,
910 ,
847 ,
764 ,
677 ,
588 ,
494 ,
412 ,
326 ,
248 ,
169 ,
94  ,
27  ,
-42 ,
-112  ,
-176  ,
-250  ,
-314  ,
-382  ,
-440  ,
-492  ,
-537  ,
-582  ,
-621  ,
-658  ,
-686  ,
-704  ,
-716  ,
-704  ,
-711  ,
-694  ,
-693  ,
-681  ,
-674  ,
-669  ,
-664  ,
-657  ,
-662  ,
-661  ,
-675  ,
-688  ,
-700  ,
-712  ,
-706  ,
-697  ,
-683  ,
-661  ,
-630  ,
-573  ,
-522  ,
-454  ,
-395  ,
-325  ,
-270  ,
-220  ,
-179  ,
-136  ,
-111  ,
-76 ,
-65 ,
-52 ,
-61 ,
-73 ,
-93 ,
-111  ,
-133  ,
-155  ,
-181  ,
-201  ,
-227  ,
-258  ,
-283  ,
-310  ,
-332  ,
-353  ,
-379  ,
-400  ,
-436  ,
-456  ,
-484  ,
-481  ,
-492  ,
-481  ,
-471  ,
-443  ,
-406  ,
-359  ,
-309  ,
-253  ,
-207  ,
-167  ,
-136  ,
-124  ,
-103  ,
-86 ,
-54 ,
-14 ,
29  ,
86  ,
143 ,
207 ,
279 ,
332 ,
395 ,
435 ,
472 ,
487 ,
487 ,
469 ,
445 ,
410 ,
376 ,
339 ,
314 ,
281 ,
259 ,
240 ,
227 ,
213 ,
206 ,
198 ,
199 ,
189 ,
198 ,
190 ,
206 ,
205 ,
220 ,
229 ,
247 ,
263 ,
287 ,
304 ,
322 ,
340 ,
339 ,
340 ,
334 ,
334 ,
330 ,
327 ,
321 ,
317 ,
301 ,
278 ,
252 ,
222 ,
187 ,
152 ,
112 ,
73  ,
18  ,
-31 ,
-76 ,
-115  ,
-149  ,
-175  ,
-200  ,
-229  ,
-262  ,
-298  ,
-342  ,
-384  ,
-427  ,
-458  ,
-494  ,
-519  ,
-533  ,
-537  ,
-533  ,
-521  ,
-502  ,
-481  ,
-459  ,
-427  ,
-393  ,
-361  ,
-337  ,
-318  ,
-301  ,
-295  ,
-294  ,
-300  ,
-311  ,
-332  ,
-344  ,
-354  ,
-357  ,
-356  ,
-339  ,
-315  ,
-287  ,
-261  ,
-244  ,
-226  ,
-222  ,
-219  ,
-227  ,
-234  ,
-260  ,
-276  ,
-290  ,
-297  ,
-294  ,
-295  ,
-290  ,
-288  ,
-281  ,
-266  ,
-258  ,
-246  ,
-246  ,
-252  ,
-266  ,
-289  ,
-301  ,
-321  ,
-319  ,
-327  ,
-318  ,
-328  ,
-326  ,
-337  ,
-327  ,
-329  ,
-322  ,
-315  ,
-318  ,
-309  ,
-314  ,
-290  ,
-271  ,
-239  ,
-200  ,
-152  ,
-100  ,
-41 ,
32  ,
107 ,
188 ,
259 ,
330 ,
388 ,
443 ,
487 ,
545 ,
581 ,
620 ,
633 ,
629 ,
599 ,
551 ,
485 ,
413 ,
323 ,
241 ,
150 ,
74  ,
1 ,
-49 ,
-87 ,
-102  ,
-107  ,
-92 ,
-84 ,
-69 ,
-51 ,
-37 ,
-9  ,
4 ,
31  ,
61  ,
94  ,
138 ,
184 ,
240 ,
296 ,
351 ,
404 ,
447 ,
482 ,
503 ,
518 ,
522 ,
508 ,
490 ,
461 ,
427 ,
391 ,
349 ,
301 ,
251 ,
195 ,
135 ,
98  ,
44  ,
20  ,
-15 ,
-33 ,
-59 ,
-83 ,
-108  ,
-129  ,
-143  ,
-159  ,
-158  ,
-166  ,
-153  ,
-146  ,
-125  ,
-103  ,
-79 ,
-57 ,
-39 ,
-28 ,
-29 ,
-29 ,
-44 ,
-55 ,
-72 ,
-94 ,
-122  ,
-154  ,
-188  ,
-213  ,
-236  ,
-244  ,
-254  ,
-247  ,
-250  ,
-234  ,
-225  ,
-195  ,
-164  ,
-129  ,
-83 ,
-48 ,
-8  ,
23  ,
50  ,
85  ,
102 ,
135 ,
152 ,
175 ,
182 ,
185 ,
184 ,
178 ,
177 ,
175 ,
181 ,
186 ,
181 ,
174 ,
155 ,
143 ,
123 ,
105 ,
94  ,
76  ,
71  ,
61  ,
59  ,
68  ,
78  ,
104 ,
131 ,
162 ,
190 ,
216 ,
240 ,
260 ,
275 ,
286 ,
301 ,
316 ,
336 ,
351 ,
378 ,
401 ,
431 ,
449 ,
475 ,
478 ,
482 ,
474 ,
455 ,
439 ,
393 ,
351 ,
287 ,
227 ,
153 ,
83  ,
12  ,
-60 ,
-123  ,
-188  ,
-234  ,
-269  ,
-297  ,
-309  ,
-308  ,
-298  ,
-282  ,
-261  ,
-238  ,
-199  ,
-177  ,
-142  ,
-115  ,
-85 ,
-58 ,
-28 ,
9 ,
55  ,
86  ,
127 ,
157 ,
191 ,
215 ,
239 ,
262 ,
279 ,
294 ,
299 ,
304 ,
302 ,
303 ,
296 ,
284 ,
264 ,
228 ,
190 ,
142 ,
103 ,
63  ,
30  ,
-4  ,
-36 ,
-62 ,
-96 ,
-113  ,
-138  ,
-143  ,
-157  ,
-165  ,
-171  ,
-178  ,
-190  ,
-195  ,
-196  ,
-190  ,
-174  ,
-160  ,
-135  ,
-111  ,
-85 ,
-55 ,
-28 ,
-1  ,
19  ,
41  ,
50  ,
60  ,
73  ,
90  ,
115 ,
149 ,
181 ,
215 ,
248 ,
283 ,
317 ,
349 ,
381 ,
400 ,
399 ,
399 ,
393 ,
394 ,
380 ,
373 ,
367 ,
369 ,
372 ,
379 ,
395 ,
408 ,
419 ,
417 ,
416 ,
394 ,
380 ,
352 ,
342 ,
316 ,
284 ,
240 ,
199 ,
145 ,
102 ,
45  ,
-14 ,
-67 ,
-128  ,
-184  ,
-242  ,
-279  ,
-317  ,
-339  ,
-360  ,
-374  ,
-380  ,
-390  ,
-378  ,
-359  ,
-330  ,
-310  ,
-282  ,
-263  ,
-240  ,
-230  ,
-212  ,
-199  ,
-192  ,
-196  ,
-196  ,
-213  ,
-227  ,
-247  ,
-276  ,
-304  ,
-350  ,
-402  ,
-459  ,
-515  ,
-577  ,
-624  ,
-672  ,
-704  ,
-726  ,
-739  ,
-739  ,
-721  ,
-694  ,
-650  ,
-599  ,
-535  ,
-477  ,
-410  ,
-356  ,
-301  ,
-231  ,
-170  ,
-78 ,
-1  ,
95  ,
171 ,
254 ,
331 ,
409 ,
477 ,
528 ,
572 ,
597 ,
610 ,
617 ,
603 ,
593 ,
560 ,
530 ,
481 ,
434 ,
375 ,
322 ,
264 ,
227 ,
179 ,
148 ,
107 ,
83  ,
53  ,
32  ,
10  ,
2 ,
-3  ,
6 ,
23  ,
53  ,
81  ,
110 ,
139 ,
163 ,
179 ,
184 ,
193 ,
192 ,
198 ,
190 ,
188 ,
181 ,
181 ,
175 ,
171 ,
175 ,
176 ,
182 ,
182 ,
188 ,
192 ,
194 ,
203 ,
220 ,
247 ,
270 ,
297 ,
320 ,
346 ,
364 ,
385 ,
397 ,
398 ,
391 ,
374 ,
345 ,
314 ,
276 ,
237 ,
198 ,
150 ,
99  ,
32  ,
-35 ,
-97 ,
-158  ,
-212  ,
-277  ,
-334  ,
-404  ,
-471  ,
-539  ,
-604  ,
-669  ,
-736  ,
-803  ,
-866  ,
-923  ,
-973  ,
-1000 ,
-1012 ,
-1006 ,
-995  ,
-981  ,
-963  ,
-933  ,
-894  ,
-843  ,
-783  ,
-720  ,
-654  ,
-598  ,
-548  ,
-510  ,
-473  ,
-446  ,
-417  ,
-397  ,
-377  ,
-388  ,
-390  ,
-399  ,
-393  ,
-394  ,
-398  ,
-407  ,
-427  ,
-442  ,
-456  ,
-446  ,
-424  ,
-389  ,
-339  ,
-299  ,
-249  ,
-214  ,
-155  ,
-88 ,
-14 ,
52  ,
116 ,
169 ,
215 ,
267 ,
325 ,
402 ,
470 ,
537 ,
588 ,
629 ,
663 ,
700 ,
730 ,
767 ,
787 ,
793 ,
785 ,
774 ,
766 ,
767 ,
762 ,
760 ,
751 ,
723 ,
682 ,
640 ,
597 ,
558 ,
505 ,
464 ,
415 ,
372 ,
335 ,
322 ,
322 ,
326 ,
336 ,
337 ,
343 ,
333 ,
332 ,
327 ,
325 ,
314 ,
297 ,
278 ,
252 ,
232 ,
222 ,
227 ,
234 ,
251 ,
256 ,
257 ,
255 ,
245 ,
240 ,
231 ,
233 ,
234 ,
222 ,
206 ,
181 ,
161 ,
143 ,
129 ,
113 ,
92  ,
53  ,
18  ,
-20 ,
-61 ,
-101  ,
-138  ,
-174  ,
-211  ,
-260  ,
-308  ,
-352  ,
-390  ,
-420  ,
-444  ,
-472  ,
-516  ,
-556  ,
-596  ,
-624  ,
-652  ,
-666  ,
-688  ,
-698  ,
-720  ,
-741  ,
-769  ,
-800  ,
-830  ,
-854  ,
-882  ,
-907  ,
-940  ,
-954  ,
-957  ,
-938  ,
-907  ,
-873  ,
-818  ,
-768  ,
-692  ,
-618  ,
-526  ,
-425  ,
-317  ,
-219  ,
-136  ,
-70 ,
-11 ,
39  ,
99  ,
154 ,
200 ,
225 ,
234 ,
248 ,
246 ,
247 ,
252 ,
249 ,
258 ,
240 ,
237 ,
206 ,
195 ,
174 ,
173 ,
170 ,
167 ,
171 ,
174 ,
196 ,
231 ,
281 ,
334 ,
376 ,
426 ,
460 ,
501 ,
531 ,
573 ,
622 ,
674 ,
718 ,
755 ,
786 ,
819 ,
858 ,
894 ,
935 ,
949 ,
954 ,
939 ,
913 ,
875 ,
839 ,
786 ,
735 ,
665 ,
590 ,
505 ,
423 ,
353 ,
289 ,
236 ,
182 ,
133 ,
87  ,
50  ,
28  ,
29  ,
32  ,
55  ,
66  ,
85  ,
90  ,
92  ,
90  ,
88  ,
80  ,
77  ,
61  ,
29  ,
-7  ,
-42 ,
-60 ,
-77 ,
-87 ,
-98 ,
-120  ,
-147  ,
-179  ,
-196  ,
-216  ,
-228  ,
-248  ,
-267  ,
-292  ,
-325  ,
-353  ,
-368  ,
-366  ,
-359  ,
-347  ,
-348  ,
-353  ,
-365  ,
-366  ,
-370  ,
-362  ,
-372  ,
-379  ,
-397  ,
-409  ,
-424  ,
-429  ,
-440  ,
-437  ,
-451  ,
-465  ,
-490  ,
-511  ,
-523  ,
-531  ,
-538  ,
-543  ,
-574  ,
-601  ,
-645  ,
-678  ,
-714  ,
-738  ,
-753  ,
-750  ,
-748  ,
-728  ,
-693  ,
-639  ,
-558  ,
-462  ,
-361  ,
-261  ,
-184  ,
-96 ,
-23 ,
57  ,
119 ,
171 ,
200 ,
233 ,
245 ,
269 ,
276 ,
292 ,
292 ,
284 ,
256 ,
218 ,
167 ,
123 ,
80  ,
58  ,
26  ,
3 ,
-15 ,
-23 ,
-25 ,
-26 ,
-15 ,
-4  ,
20  ,
37  ,
65  ,
93  ,
124 ,
168 ,
220 ,
281 ,
339 ,
390 ,
440 ,
502 ,
557 ,
623 ,
674 ,
719 ,
751 ,
772 ,
791 ,
808 ,
831 ,
856 ,
885 ,
903 ,
907 ,
900 ,
881 ,
862 ,
831 ,
793 ,
735 ,
672 ,
603 ,
531 ,
463 ,
398 ,
346 ,
297 ,
254 ,
218 ,
184 ,
151 ,
133 ,
124 ,
122 ,
102 ,
66  ,
20  ,
-36 ,
-92 ,
-140  ,
-188  ,
-223  ,
-273  ,
-311  ,
-356  ,
-391  ,
-414  ,
-430  ,
-431  ,
-442  ,
-450  ,
-476  ,
-497  ,
-516  ,
-524  ,
-526  ,
-534  ,
-536  ,
-544  ,
-547  ,
-548  ,
-540  ,
-527  ,
-512  ,
-496  ,
-491  ,
-496  ,
-513  ,
-536  ,
-548  ,
-564  ,
-572  ,
-584  ,
-596  ,
-605  ,
-610  ,
-609  ,
-596  ,
-578  ,
-555  ,
-543  ,
-526  ,
-528  ,
-518  ,
-526  ,
-513  ,
-526  ,
-538  ,
-572  ,
-608  ,
-639  ,
-665  ,
-671  ,
-675  ,
-674  ,
-678  ,
-677  ,
-673  ,
-658  ,
-611  ,
-551  ,
-470  ,
-388  ,
-304  ,
-229  ,
-168  ,
-104  ,
-50 ,
5 ,
48  ,
78  ,
101 ,
104 ,
117 ,
130 ,
154 ,
178 ,
199 ,
215 ,
221 ,
223 ,
229 ,
237 ,
249 ,
260 ,
267 ,
260 ,
253 ,
237 ,
243 ,
254 ,
284 ,
319 ,
360 ,
399 ,
449 ,
502 ,
567 ,
632 ,
701 ,
763 ,
821 ,
868 ,
915 ,
962 ,
1007  ,
1055  ,
1101  ,
1137  ,
1165  ,
1188  ,
1205  ,
1210  ,
1210  ,
1182  ,
1140  ,
1074  ,
986 ,
887 ,
781 ,
676 ,
579 ,
477 ,
385 ,
284 ,
190 ,
101 ,
25  ,
-36 ,
-83 ,
-125  ,
-163  ,
-195  ,
-227  ,
-263  ,
-293  ,
-327  ,
-355  ,
-386  ,
-428  ,
-462  ,
-500  ,
-527  ,
-552  ,
-565  ,
-577  ,
-599  ,
-613  ,
-631  ,
-638  ,
-656  ,
-662  ,
-670  ,
-669  ,
-668  ,
-661  ,
-661  ,
-651  ,
-653  ,
-641  ,
-647  ,
-638  ,
-629  ,
-610  ,
-590  ,
-570  ,
-547  ,
-521  ,
-498  ,
-456  ,
-428  ,
-388  ,
-366  ,
-339  ,
-313  ,
-299  ,
-273  ,
-264  ,
-236  ,
-231  ,
-211  ,
-200  ,
-181  ,
-170  ,
-155  ,
-156  ,
-156  ,
-184  ,
-214  ,
-251  ,
-290  ,
-312  ,
-339  ,
-357  ,
-375  ,
-372  ,
-359  ,
-328  ,
-282  ,
-211  ,
-136  ,
-36 ,
69  ,
179 ,
288 ,
387 ,
475 ,
553 ,
611 ,
659 ,
697 ,
728 ,
762 ,
783 ,
800 ,
805 ,
801 ,
786 ,
765 ,
735 ,
704 ,
665 ,
643 ,
606 ,
591 ,
572 ,
573 ,
563 ,
575 ,
565 ,
582 ,
574 ,
594 ,
601 ,
619 ,
631 ,
654 ,
670 ,
689 ,
710 ,
726 ,
745 ,
755 ,
768 ,
768 ,
770 ,
763 ,
756 ,
740 ,
725 ,
700 ,
682 ,
650 ,
616 ,
574 ,
532 ,
470 ,
403 ,
316 ,
235 ,
140 ,
51  ,
-45 ,
-132  ,
-221  ,
-308  ,
-388  ,
-465  ,
-534  ,
-586  ,
-626  ,
-646  ,
-657  ,
-671  ,
-674  ,
-697  ,
-702  ,
-720  ,
-729  ,
-741  ,
-754  ,
-758  ,
-774  ,
-771  ,
-767  ,
-757  ,
-737  ,
-718  ,
-694  ,
-668  ,
-638  ,
-600  ,
-556  ,
-509  ,
-471  ,
-427  ,
-397  ,
-368  ,
-337  ,
-303  ,
-265  ,
-226  ,
-185  ,
-144  ,
-109  ,
-71 ,
-56 ,
-19 ,
-10 ,
12  ,
11  ,
21  ,
20  ,
26  ,
34  ,
46  ,
57  ,
67  ,
70  ,
80  ,
91  ,
103 ,
114 ,
111 ,
100 ,
85  ,
58  ,
35  ,
7 ,
-19 ,
-43 ,
-64 ,
-79 ,
-91 ,
-98 ,
-92 ,
-93 ,
-76 ,
-71 ,
-42 ,
-17 ,
36  ,
83  ,
154 ,
219 ,
276 ,
333 ,
380 ,
424 ,
459 ,
482 ,
507 ,
518 ,
522 ,
506 ,
488 ,
465 ,
438 ,
416 ,
387 ,
364 ,
333 ,
305 ,
278 ,
241 ,
205 ,
157 ,
106 ,
52  ,
-1  ,
-57 ,
-97 ,
-135  ,
-150  ,
-166  ,
-180  ,
-190  ,
-194  ,
-203  ,
-198  ,
-200  ,
-182  ,
-174  ,
-156  ,
-135  ,
-116  ,
-91 ,
-75 ,
-51 ,
-25 ,
-6  ,
16  ,
32  ,
45  ,
58  ,
57  ,
57  ,
36  ,
9 ,
-41 ,
-85 ,
-152  ,
-205  ,
-277  ,
-324  ,
-380  ,
-420  ,
-461  ,
-490  ,
-515  ,
-524  ,
-534  ,
-533  ,
-528  ,
-525  ,
-520  ,
-517  ,
-509  ,
-500  ,
-478  ,
-453  ,
-419  ,
-383  ,
-343  ,
-311  ,
-273  ,
-254  ,
-227  ,
-219  ,
-201  ,
-197  ,
-184  ,
-178  ,
-163  ,
-149  ,
-122  ,
-102  ,
-80 ,
-66 ,
-55 ,
-42 ,
-29 ,
-15 ,
-1  ,
2 ,
13  ,
7 ,
11  ,
4 ,
8 ,
16  ,
25  ,
41  ,
52  ,
71  ,
83  ,
97  ,
104 ,
105 ,
103 ,
103 ,
100 ,
96  ,
92  ,
86  ,
77  ,
66  ,
37  ,
7 ,
-46 ,
-99 ,
-161  ,
-215  ,
-270  ,
-320  ,
-357  ,
-380  ,
-396  ,
-402  ,
-391  ,
-367  ,
-321  ,
-266  ,
-201  ,
-135  ,
-72 ,
-18 ,
27  ,
77  ,
111 ,
145 ,
163 ,
181 ,
183 ,
179 ,
162 ,
147 ,
123 ,
102 ,
68  ,
36  ,
-5  ,
-51 ,
-93 ,
-140  ,
-182  ,
-225  ,
-270  ,
-305  ,
-337  ,
-356  ,
-373  ,
-365  ,
-361  ,
-340  ,
-331  ,
-315  ,
-291  ,
-274  ,
-237  ,
-203  ,
-164  ,
-125  ,
-81 ,
-33 ,
36  ,
100 ,
168 ,
230 ,
284 ,
328 ,
364 ,
387 ,
410 ,
428 ,
442 ,
440 ,
422 ,
395 ,
361 ,
331 ,
300 ,
280 ,
254 ,
225 ,
195 ,
156 ,
123 ,
91  ,
71  ,
49  ,
41  ,
16  ,
12  ,
-5  ,
-4  ,
-5  ,
2 ,
-1  ,
1 ,
-19 ,
-28 ,
-51 ,
-65 ,
-78 ,
-87 ,
-98 ,
-109  ,
-134  ,
-147  ,
-170  ,
-165  ,
-172  ,
-155  ,
-157  ,
-147  ,
-148  ,
-148  ,
-135  ,
-129  ,
-101  ,
-90 ,
-61 ,
-50 ,
-32 ,
-22 ,
2 ,
19  ,
43  ,
49  ,
57  ,
57  ,
65  ,
78  ,
103 ,
125 ,
146 ,
151 ,
153 ,
149 ,
143 ,
157 ,
161 ,
187 ,
187 ,
191 ,
171 ,
151 ,
124 ,
100 ,
70  ,
49  ,
11  ,
-20 ,
-69 ,
-92 ,
-114  ,
-123  ,
-122  ,
-120  ,
-104  ,
-85 ,
-63 ,
-23 ,
17  ,
59  ,
97  ,
123 ,
146 ,
152 ,
163 ,
175 ,
194 ,
210 ,
222 ,
223 ,
217 ,
193 ,
163 ,
127 ,
96  ,
52  ,
11  ,
-33 ,
-74 ,
-112  ,
-143  ,
-160  ,
-166  ,
-171  ,
-173  ,
-186  ,
-188  ,
-201  ,
-194  ,
-183  ,
-171  ,
-152  ,
-143  ,
-122  ,
-104  ,
-73 ,
-33 ,
21  ,
82  ,
139 ,
187 ,
236 ,
279 ,
335 ,
384 ,
444 ,
485 ,
518 ,
537 ,
557 ,
571 ,
586 ,
582 ,
588 ,
561 ,
537 ,
493 ,
452 ,
408 ,
365 ,
324 ,
277 ,
222 ,
165 ,
113 ,
67  ,
39  ,
17  ,
1 ,
-19 ,
-45 ,
-75 ,
-105  ,
-133  ,
-142  ,
-151  ,
-150  ,
-156  ,
-154  ,
-152  ,
-138  ,
-112  ,
-81 ,
-52 ,
-38 ,
-24 ,
-12 ,
0 ,
21  ,
44  ,
81  ,
118 ,
144 ,
168 ,
178 ,
202 ,
219 ,
253 ,
271 ,
286 ,
297 ,
289 ,
297 ,
297 ,
312 ,
324 ,
342 ,
367 ,
389 ,
414 ,
439 ,
480 ,
511 ,
536 ,
543 ,
538 ,
517 ,
483 ,
454 ,
423 ,
394 ,
343 ,
293 ,
218 ,
152 ,
68  ,
2 ,
-59 ,
-116  ,
-173  ,
-230  ,
-288  ,
-337  ,
-379  ,
-402  ,
-408  ,
-404  ,
-383  ,
-370  ,
-338  ,
-312  ,
-278  ,
-242  ,
-211  ,
-185  ,
-168  ,
-168  ,
-164  ,
-161  ,
-161  ,
-160  ,
-167  ,
-179  ,
-213  ,
-250  ,
-290  ,
-322  ,
-346  ,
-377  ,
-403  ,
-435  ,
-484  ,
-523  ,
-562  ,
-581  ,
-593  ,
-596  ,
-590  ,
-588  ,
-577  ,
-568  ,
-541  ,
-503  ,
-461  ,
-413  ,
-377  ,
-334  ,
-293  ,
-228  ,
-158  ,
-74 ,
15  ,
96  ,
174 ,
244 ,
310 ,
368 ,
420 ,
468 ,
491 ,
508 ,
498 ,
488 ,
475 ,
460 ,
445 ,
438 ,
416 ,
395 ,
362 ,
340 ,
313 ,
293 ,
270 ,
254 ,
230 ,
205 ,
183 ,
163 ,
166 ,
165 ,
177 ,
183 ,
190 ,
196 ,
205 ,
226 ,
247 ,
262 ,
270 ,
270 ,
256 ,
244 ,
220 ,
208 ,
199 ,
189 ,
189 ,
183 ,
188 ,
193 ,
206 ,
223 ,
242 ,
252 ,
264 ,
262 ,
271 ,
268 ,
273 ,
279 ,
287 ,
287 ,
276 ,
252 ,
227 ,
202 ,
184 ,
167 ,
159 ,
134 ,
117 ,
76  ,
54  ,
16  ,
-7  ,
-37 ,
-70 ,
-113  ,
-171  ,
-235  ,
-300  ,
-361  ,
-425  ,
-493  ,
-573  ,
-651  ,
-735  ,
-813  ,
-875  ,
-932  ,
-964  ,
-995  ,
-1013 ,
-1018 ,
-1022 ,
-999  ,
-974  ,
-923  ,
-874  ,
-834  ,
-794  ,
-768  ,
-731  ,
-702  ,
-658  ,
-609  ,
-555  ,
-511  ,
-467  ,
-441  ,
-414  ,
-393  ,
-373  ,
-360  ,
-363  ,
-372  ,
-384  ,
-397  ,
-385  ,
-381  ,
-354  ,
-327  ,
-315  ,
-287  ,
-290  ,
-262  ,
-246  ,
-205  ,
-178  ,
-139  ,
-128  ,
-103  ,
-91 ,
-56 ,
-9  ,
55  ,
130 ,
210 ,
284 ,
360 ,
427 ,
507 ,
580 ,
652 ,
710 ,
762 ,
800 ,
828 ,
851 ,
870 ,
892 ,
903 ,
908 ,
911 ,
904 ,
894 ,
880 ,
865 ,
856 ,
830 ,
805 ,
762 ,
723 ,
680 ,
647 ,
622 ,
600 ,
574 ,
548 ,
512 ,
486 ,
451 ,
419 ,
395 ,
362 ,
337 ,
310 ,
283 ,
264 ,
247 ,
231 ,
225 ,
207 ,
196 ,
168 ,
149 ,
133 ,
116 ,
106 ,
90  ,
78  ,
57  ,
24  ,
-8  ,
-39 ,
-72 ,
-94 ,
-120  ,
-135  ,
-171  ,
-208  ,
-243  ,
-281  ,
-316  ,
-354  ,
-388  ,
-420  ,
-451  ,
-469  ,
-488  ,
-484  ,
-484  ,
-473  ,
-469  ,
-465  ,
-469  ,
-472  ,
-481  ,
-492  ,
-515  ,
-550  ,
-591  ,
-643  ,
-686  ,
-739  ,
-776  ,
-808  ,
-829  ,
-851  ,
-865  ,
-878  ,
-875  ,
-880  ,
-868  ,
-854  ,
-829  ,
-797  ,
-756  ,
-696  ,
-632  ,
-554  ,
-480  ,
-396  ,
-325  ,
-241  ,
-177  ,
-106  ,
-46 ,
16  ,
72  ,
116 ,
156 ,
185 ,
204 ,
208 ,
212 ,
211 ,
215 ,
207 ,
212 ,
203 ,
197 ,
191 ,
180 ,
182 ,
168 ,
163 ,
153 ,
160 ,
159 ,
178 ,
186 ,
210 ,
225 ,
251 ,
278 ,
321 ,
366 ,
425 ,
491 ,
559 ,
624 ,
682 ,
742 ,
790 ,
839 ,
878 ,
916 ,
943 ,
956 ,
967 ,
955 ,
938 ,
910 ,
865 ,
827 ,
783 ,
742 ,
703 ,
658 ,
620 ,
577 ,
528 ,
480 ,
434 ,
383 ,
343 ,
299 ,
267 ,
236 ,
203 ,
173 ,
137 ,
94  ,
53  ,
12  ,
-23 ,
-51 ,
-83 ,
-99 ,
-127  ,
-153  ,
-185  ,
-226  ,
-259  ,
-304  ,
-336  ,
-368  ,
-386  ,
-399  ,
-406  ,
-404  ,
-397  ,
-399  ,
-389  ,
-405  ,
-405  ,
-422  ,
-435  ,
-440  ,
-452  ,
-452  ,
-469  ,
-470  ,
-479  ,
-472  ,
-464  ,
-444  ,
-418  ,
-389  ,
-364  ,
-344  ,
-322  ,
-308  ,
-288  ,
-277  ,
-266  ,
-256  ,
-257  ,
-260  ,
-273  ,
-285  ,
-310  ,
-341  ,
-376  ,
-413  ,
-451  ,
-479  ,
-498  ,
-508  ,
-507  ,
-512  ,
-500  ,
-486  ,
-459  ,
-421  ,
-378  ,
-325  ,
-267  ,
-204  ,
-149  ,
-88 ,
-39 ,
9 ,
55  ,
97  ,
139 ,
169 ,
204 ,
237 ,
271 ,
294 ,
311 ,
306 ,
292 ,
269 ,
227 ,
206 ,
169 ,
146 ,
119 ,
98  ,
74  ,
47  ,
16  ,
-4  ,
-33 ,
-48 ,
-63 ,
-73 ,
-73 ,
-76 ,
-69 ,
-63 ,
-53 ,
-33 ,
-12 ,
19  ,
55  ,
101 ,
149 ,
211 ,
264 ,
321 ,
367 ,
408 ,
450 ,
486 ,
519 ,
544 ,
564 ,
570 ,
573 ,
569 ,
559 ,
561 ,
540 ,
538 ,
524 ,
512 ,
493 ,
465 ,
437 ,
396 ,
355 ,
308 ,
262 ,
219 ,
172 ,
143 ,
101 ,
75  ,
41  ,
6 ,
-26 ,
-67 ,
-108  ,
-154  ,
-190  ,
-218  ,
-237  ,
-257  ,
-275  ,
-296  ,
-318  ,
-344  ,
-362  ,
-379  ,
-385  ,
-393  ,
-396  ,
-400  ,
-407  ,
-408  ,
-411  ,
-406  ,
-404  ,
-400  ,
-401  ,
-395  ,
-384  ,
-374  ,
-360  ,
-356  ,
-351  ,
-362  ,
-361  ,
-371  ,
-362  ,
-349  ,
-318  ,
-280  ,
-238  ,
-207  ,
-181  ,
-148  ,
-123  ,
-95 ,
-74 ,
-53 ,
-56 ,
-62 ,
-94 ,
-122  ,
-166  ,
-210  ,
-248  ,
-293  ,
-322  ,
-354  ,
-376  ,
-383  ,
-388  ,
-389  ,
-388  ,
-392  ,
-384  ,
-382  ,
-360  ,
-337  ,
-306  ,
-270  ,
-238  ,
-198  ,
-169  ,
-135  ,
-103  ,
-66 ,
-29 ,
7 ,
38  ,
69  ,
95  ,
117 ,
132 ,
143 ,
141 ,
135 ,
127 ,
119 ,
121 ,
112 ,
110 ,
95  ,
83  ,
63  ,
35  ,
15  ,
-7  ,
-15 ,
-15 ,
-3  ,
22  ,
47  ,
83  ,
120 ,
173 ,
219 ,
271 ,
341 ,
402 ,
478 ,
546 ,
608 ,
674 ,
719 ,
776 ,
818 ,
859 ,
891 ,
923 ,
935 ,
948 ,
930 ,
907 ,
874 ,
829 ,
791 ,
736 ,
688 ,
634 ,
584 ,
534 ,
489 ,
440 ,
396 ,
349 ,
302 ,
259 ,
218 ,
173 ,
126 ,
87  ,
35  ,
-22 ,
-75 ,
-136  ,
-189  ,
-234  ,
-279  ,
-303  ,
-333  ,
-348  ,
-368  ,
-381  ,
-404  ,
-420  ,
-442  ,
-458  ,
-471  ,
-484  ,
-483  ,
-485  ,
-481  ,
-467  ,
-465  ,
-443  ,
-444  ,
-433  ,
-423  ,
-412  ,
-391  ,
-380  ,
-367  ,
-355  ,
-342  ,
-327  ,
-300  ,
-274  ,
-234  ,
-201  ,
-159  ,
-112  ,
-69 ,
-33 ,
4 ,
31  ,
60  ,
65  ,
80  ,
78  ,
83  ,
74  ,
59  ,
33  ,
-4  ,
-46 ,
-84 ,
-120  ,
-155  ,
-182  ,
-201  ,
-214  ,
-214  ,
-215  ,
-210  ,
-194  ,
-169  ,
-131  ,
-85 ,
-35 ,
23  ,
77  ,
129 ,
167 ,
212 ,
239 ,
280 ,
306 ,
345 ,
373 ,
396 ,
421 ,
444 ,
466 ,
485 ,
497 ,
499 ,
497 ,
482 ,
471 ,
449 ,
439 ,
412 ,
404 ,
372 ,
350 ,
319 ,
299 ,
284 ,
286 ,
287 ,
293 ,
299 ,
304 ,
316 ,
323 ,
338 ,
359 ,
377 ,
395 ,
410 ,
431 ,
448 ,
477 ,
493 ,
521 ,
527 ,
535 ,
531 ,
531 ,
527 ,
515 ,
499 ,
463 ,
416 ,
356 ,
298 ,
241 ,
191 ,
139 ,
91  ,
40  ,
-20 ,
-82 ,
-148  ,
-201  ,
-258  ,
-297  ,
-347  ,
-384  ,
-428  ,
-464  ,
-501  ,
-544  ,
-584  ,
-630  ,
-677  ,
-713  ,
-754  ,
-778  ,
-803  ,
-805  ,
-812  ,
-797  ,
-791  ,
-764  ,
-743  ,
-704  ,
-670  ,
-626  ,
-589  ,
-550  ,
-511  ,
-471  ,
-433  ,
-391  ,
-357  ,
-321  ,
-286  ,
-261  ,
-230  ,
-207  ,
-168  ,
-139  ,
-96 ,
-66 ,
-24 ,
0 ,
41  ,
64  ,
109 ,
135 ,
176 ,
205 ,
236 ,
260 ,
275 ,
300 ,
317 ,
334 ,
346 ,
345 ,
337 ,
317 ,
278 ,
246 ,
194 ,
150 ,
106 ,
63  ,
33  ,
5 ,
-8  ,
-14 ,
-12 ,
1 ,
12  ,
31  ,
62  ,
94  ,
132 ,
167 ,
198 ,
229 ,
245 ,
257 ,
273 ,
289 ,
319 ,
340 ,
374 ,
399 ,
415 ,
432 ,
439 ,
443 ,
443 ,
426 ,
408 ,
371 ,
324 ,
273 ,
222 ,
181 ,
138 ,
84  ,
31  ,
-42 ,
-103  ,
-166  ,
-222  ,
-259  ,
-302  ,
-335  ,
-370  ,
-395  ,
-407  ,
-413  ,
-409  ,
-389  ,
-374  ,
-360  ,
-352  ,
-345  ,
-324  ,
-306  ,
-278  ,
-250  ,
-227  ,
-210  ,
-192  ,
-176  ,
-155  ,
-145  ,
-147  ,
-155  ,
-186  ,
-217  ,
-254  ,
-275  ,
-287  ,
-293  ,
-307  ,
-316  ,
-339  ,
-354  ,
-363  ,
-355  ,
-341  ,
-323  ,
-307  ,
-295  ,
-289  ,
-293  ,
-300  ,
-303  ,
-305  ,
-299  ,
-297  ,
-291  ,
-283  ,
-263  ,
-242  ,
-208  ,
-181  ,
-150  ,
-134  ,
-111  ,
-94 ,
-70 ,
-49 ,
-19 ,
9 ,
36  ,
44  ,
61  ,
66  ,
88  ,
101 ,
123 ,
135 ,
141 ,
144 ,
143 ,
149 ,
153 ,
169 ,
183 ,
202 ,
219 ,
238 ,
259 ,
286 ,
318 ,
350 ,
377 ,
398 ,
402 ,
404 ,
399 ,
396 ,
386 ,
368 ,
341 ,
299 ,
246 ,
185 ,
125 ,
74  ,
36  ,
-5  ,
-44 ,
-88 ,
-126  ,
-152  ,
-170  ,
-165  ,
-153  ,
-127  ,
-102  ,
-68 ,
-31 ,
7 ,
43  ,
71  ,
93  ,
98  ,
89  ,
77  ,
63  ,
62  ,
57  ,
62  ,
59  ,
53  ,
39  ,
29  ,
18  ,
10  ,
-9  ,
-43 ,
-95 ,
-151  ,
-222  ,
-280  ,
-342  ,
-388  ,
-438  ,
-481  ,
-518  ,
-547  ,
-565  ,
-571  ,
-566  ,
-558  ,
-548  ,
-537  ,
-529  ,
-511  ,
-489  ,
-440  ,
-399  ,
-344  ,
-293  ,
-238  ,
-184  ,
-119  ,
-56 ,
15  ,
82  ,
149 ,
196 ,
238 ,
264 ,
289 ,
312 ,
319 ,
333 ,
330 ,
328 ,
326 ,
328 ,
342 ,
350 ,
364 ,
373 ,
377 ,
380 ,
387 ,
395 ,
415 ,
430 ,
440 ,
441 ,
425 ,
403 ,
369 ,
345 ,
311 ,
284 ,
255 ,
231 ,
206 ,
183 ,
159 ,
149 ,
139 ,
137 ,
133 ,
119 ,
114 ,
101 ,
102 ,
98  ,
101 ,
94  ,
86  ,
72  ,
50  ,
37  ,
24  ,
16  ,
12  ,
1 ,
-3  ,
-18 ,
-23 ,
-23 ,
-14 ,
-2  ,
11  ,
29  ,
39  ,
49  ,
55  ,
71  ,
79  ,
103 ,
112 ,
126 ,
132 ,
140 ,
138 ,
144 ,
135 ,
122 ,
98  ,
58  ,
21  ,
-27 ,
-58 ,
-94 ,
-122  ,
-147  ,
-170  ,
-189  ,
-199  ,
-198  ,
-176  ,
-148  ,
-113  ,
-78 ,
-49 ,
-23 ,
-8  ,
2 ,
10  ,
13  ,
20  ,
14  ,
19  ,
21  ,
37  ,
55  ,
66  ,
82  ,
75  ,
76  ,
58  ,
45  ,
23  ,
-1  ,
-33 ,
-76 ,
-127  ,
-180  ,
-228  ,
-273  ,
-303  ,
-323  ,
-340  ,
-356  ,
-368  ,
-371  ,
-372  ,
-362  ,
-346  ,
-323  ,
-286  ,
-254  ,
-203  ,
-155  ,
-90 ,
-19 ,
55  ,
128 ,
196 ,
258 ,
324 ,
376 ,
446 ,
498 ,
557 ,
601 ,
634 ,
663 ,
671 ,
678 ,
679 ,
672 ,
661 ,
634 ,
598 ,
552 ,
509 ,
462 ,
428 ,
394 ,
366 ,
335 ,
303 ,
281 ,
252 ,
233 ,
200 ,
161 ,
101 ,
34  ,
-34 ,
-103  ,
-154  ,
-191  ,
-218  ,
-237  ,
-264  ,
-284  ,
-295  ,
-302  ,
-289  ,
-275  ,
-244  ,
-232  ,
-218  ,
-211  ,
-204  ,
-200  ,
-188  ,
-191  ,
-177  ,
-182  ,
-176  ,
-169  ,
-158  ,
-131  ,
-110  ,
-73 ,
-50 ,
-14 ,
18  ,
60  ,
102 ,
154 ,
202 ,
245 ,
287 ,
315 ,
347 ,
374 ,
403 ,
431 ,
449 ,
454 ,
445 ,
418 ,
389 ,
349 ,
305 ,
259 ,
196 ,
137 ,
66  ,
7 ,
-49 ,
-98 ,
-139  ,
-171  ,
-201  ,
-220  ,
-236  ,
-238  ,
-235  ,
-223  ,
-201  ,
-180  ,
-159  ,
-145  ,
-139  ,
-136  ,
-136  ,
-135  ,
-123  ,
-118  ,
-108  ,
-89 ,
-79 ,
-70 ,
-66 ,
-60 ,
-63 ,
-63 ,
-76 ,
-88 ,
-101  ,
-127  ,
-147  ,
-181  ,
-217  ,
-262  ,
-303  ,
-339  ,
-364  ,
-378  ,
-386  ,
-385  ,
-379  ,
-370  ,
-356  ,
-330  ,
-303  ,
-263  ,
-224  ,
-190  ,
-153  ,
-115  ,
-73 ,
-21 ,
30  ,
87  ,
141 ,
190 ,
237 ,
274 ,
298 ,
325 ,
342 ,
360 ,
361 ,
360 ,
351 ,
331 ,
313 ,
287 ,
271 ,
245 ,
231 ,
205 ,
198 ,
179 ,
174 ,
175 ,
173 ,
175 ,
166 ,
158 ,
150 ,
138 ,
126 ,
101 ,
78  ,
52  ,
22  ,
1 ,
-14 ,
-21 ,
-17 ,
-12 ,
-10 ,
-7  ,
-3  ,
0 ,
22  ,
48  ,
84  ,
114 ,
140 ,
160 ,
172 ,
179 ,
182 ,
186 ,
189 ,
187 ,
189 ,
181 ,
182 ,
181 ,
180 ,
186 ,
187 ,
193 ,
194 ,
207 ,
213 ,
224 ,
229 ,
235 ,
235 ,
224 ,
206 ,
184 ,
157 ,
122 ,
87  ,
40  ,
2 ,
-66 ,
-121  ,
-191  ,
-257  ,
-333  ,
-414  ,
-487  ,
-566  ,
-628  ,
-695  ,
-734  ,
-767  ,
-791  ,
-795  ,
-805  ,
-793  ,
-785  ,
-771  ,
-742  ,
-723  ,
-692  ,
-674  ,
-657  ,
-638  ,
-621  ,
-599  ,
-570  ,
-534  ,
-486  ,
-444  ,
-395  ,
-353  ,
-315  ,
-283  ,
-251  ,
-225  ,
-192  ,
-177  ,
-156  ,
-147  ,
-141  ,
-149  ,
-150  ,
-159  ,
-165  ,
-166  ,
-168  ,
-167  ,
-162  ,
-161  ,
-153  ,
-146  ,
-142  ,
-132  ,
-117  ,
-97 ,
-60 ,
-27 ,
23  ,
72  ,
126 ,
181 ,
229 ,
282 ,
327 ,
379 ,
421 ,
464 ,
498 ,
530 ,
549 ,
576 ,
586 ,
601 ,
607 ,
607 ,
607 ,
599 ,
593 ,
588 ,
572 ,
564 ,
539 ,
538 ,
524 ,
532 ,
527 ,
536 ,
535 ,
533 ,
525 ,
514 ,
496 ,
475 ,
450 ,
420 ,
394 ,
368 ,
343 ,
320 ,
301 ,
288 ,
276 ,
270 ,
260 ,
259 ,
256 ,
253 ,
246 ,
230 ,
201 ,
161 ,
119 ,
76  ,
24  ,
-17 ,
-69 ,
-107  ,
-163  ,
-204  ,
-250  ,
-288  ,
-324  ,
-358  ,
-392  ,
-424  ,
-449  ,
-474  ,
-489  ,
-500  ,
-513  ,
-514  ,
-522  ,
-532  ,
-540  ,
-551  ,
-562  ,
-572  ,
-588  ,
-610  ,
-640  ,
-678  ,
-715  ,
-754  ,
-786  ,
-822  ,
-844  ,
-881  ,
-898  ,
-913  ,
-912  ,
-910  ,
-894  ,
-879  ,
-843  ,
-814  ,
-769  ,
-713  ,
-645  ,
-570  ,
-499  ,
-419  ,
-356  ,
-279  ,
-216  ,
-138  ,
-67 ,
10  ,
78  ,
142 ,
196 ,
251 ,
292 ,
333 ,
362 ,
385 ,
394 ,
398 ,
405 ,
397 ,
398 ,
381 ,
366 ,
343 ,
309 ,
277 ,
250 ,
222 ,
204 ,
181 ,
166 ,
148 ,
134 ,
125 ,
130 ,
139 ,
172 ,
199 ,
245 ,
272 ,
312 ,
336 ,
382 ,
419 ,
472 ,
517 ,
570 ,
612 ,
654 ,
688 ,
714 ,
738 ,
747 ,
751 ,
743 ,
731 ,
713 ,
692 ,
674 ,
655 ,
644 ,
622 ,
604 ,
571 ,
557 ,
533 ,
526 ,
512 ,
497 ,
480 ,
441 ,
405 ,
348 ,
305 ,
242 ,
193 ,
132 ,
69  ,
8 ,
-56 ,
-110  ,
-152  ,
-195  ,
-229  ,
-269  ,
-309  ,
-359  ,
-393  ,
-427  ,
-443  ,
-462  ,
-476  ,
-507  ,
-545  ,
-583  ,
-619  ,
-639  ,
-653  ,
-670  ,
-685  ,
-713  ,
-743  ,
-763  ,
-775  ,
-771  ,
-753  ,
-732  ,
-706  ,
-676  ,
-649  ,
-607  ,
-559  ,
-508  ,
-458  ,
-421  ,
-390  ,
-368  ,
-343  ,
-323  ,
-306  ,
-288  ,
-286  ,
-288  ,
-301  ,
-314  ,
-320  ,
-320  ,
-310  ,
-298  ,
-280  ,
-269  ,
-256  ,
-242  ,
-225  ,
-199  ,
-164  ,
-126  ,
-88 ,
-47 ,
-4  ,
53  ,
101 ,
162 ,
206 ,
246 ,
277 ,
295 ,
323 ,
345 ,
375 ,
400 ,
423 ,
429 ,
436 ,
426 ,
421 ,
407 ,
398 ,
387 ,
365 ,
341 ,
310 ,
278 ,
249 ,
215 ,
191 ,
163 ,
135 ,
106 ,
79  ,
52  ,
27  ,
6 ,
-10 ,
-21 ,
-31 ,
-36 ,
-27 ,
-21 ,
16  ,
37  ,
81  ,
107 ,
140 ,
170 ,
204 ,
248 ,
302 ,
353 ,
406 ,
438 ,
460 ,
471 ,
472 ,
481 ,
489 ,
491 ,
492 ,
480 ,
469 ,
453 ,
437 ,
411 ,
393 ,
355 ,
322 ,
280 ,
240 ,
205 ,
169 ,
143 ,
112 ,
70  ,
22  ,
-30 ,
-78 ,
-120  ,
-163  ,
-195  ,
-239  ,
-276  ,
-318  ,
-355  ,
-389  ,
-411  ,
-423  ,
-428  ,
-432  ,
-442  ,
-455  ,
-461  ,
-463  ,
-456  ,
-454  ,
-448  ,
-454  ,
-458  ,
-461  ,
-460  ,
-446  ,
-433  ,
-412  ,
-396  ,
-381  ,
-368  ,
-348  ,
-313  ,
-271  ,
-217  ,
-169  ,
-119  ,
-73 ,
-28 ,
22  ,
67  ,
118 ,
158 ,
195 ,
219 ,
231 ,
241 ,
232 ,
220 ,
202 ,
175 ,
143 ,
110 ,
72  ,
49  ,
26  ,
7 ,
-11 ,
-36 ,
-59 ,
-87 ,
-113  ,
-137  ,
-153  ,
-168  ,
-176  ,
-176  ,
-180  ,
-164  ,
-156  ,
-131  ,
-112  ,
-83 ,
-66 ,
-42 ,
-31 ,
-10 ,
2 ,
21  ,
29  ,
39  ,
36  ,
36  ,
23  ,
15  ,
2 ,
5 ,
2 ,
10  ,
6 ,
4 ,
0 ,
-8  ,
-1  ,
-7  ,
0 ,
-7  ,
-7  ,
-14 ,
-17 ,
-14 ,
-4  ,
18  ,
47  ,
83  ,
125 ,
172 ,
232 ,
289 ,
356 ,
406 ,
448 ,
480 ,
511 ,
542 ,
567 ,
596 ,
614 ,
620 ,
618 ,
600 ,
577 ,
552 ,
525 ,
503 ,
477 ,
447 ,
414 ,
375 ,
346 ,
308 ,
284 ,
248 ,
210 ,
173 ,
124 ,
89  ,
44  ,
13  ,
-35 ,
-66 ,
-126  ,
-164  ,
-215  ,
-249  ,
-274  ,
-291  ,
-308  ,
-322  ,
-347  ,
-375  ,
-393  ,
-420  ,
-416  ,
-428  ,
-423  ,
-425  ,
-426  ,
-421  ,
-417  ,
-393  ,
-380  ,
-346  ,
-331  ,
-309  ,
-295  ,
-283  ,
-269  ,
-256  ,
-251  ,
-243  ,
-240  ,
-233  ,
-212  ,
-189  ,
-145  ,
-103  ,
-50 ,
-8  ,
28  ,
51  ,
68  ,
72  ,
82  ,
79  ,
74  ,
54  ,
24  ,
-18 ,
-58 ,
-100  ,
-130  ,
-166  ,
-184  ,
-212  ,
-230  ,
-248  ,
-261  ,
-269  ,
-276  ,
-278  ,
-294  ,
-302  ,
-316  ,
-312  ,
-303  ,
-280  ,
-253  ,
-210  ,
-174  ,
-128  ,
-76 ,
-10 ,
60  ,
130 ,
193 ,
243 ,
280 ,
307 ,
328 ,
356 ,
373 ,
403 ,
407 ,
429 ,
417 ,
426 ,
423 ,
422 ,
431 ,
426 ,
422 ,
416 ,
406 ,
402 ,
393 ,
390 ,
385 ,
370 ,
348 ,
312 ,
277 ,
253 ,
234 ,
230 ,
227 ,
228 ,
234 ,
237 ,
254 ,
271 ,
291 ,
311 ,
327 ,
331 ,
331 ,
325 ,
319 ,
309 ,
296 ,
270 ,
240 ,
207 ,
172 ,
144 ,
129 ,
104 ,
100 ,
71  ,
58  ,
22  ,
-6  ,
-43 ,
-71 ,
-109  ,
-136  ,
-185  ,
-217  ,
-258  ,
-285  ,
-311  ,
-328  ,
-351  ,
-367  ,
-390  ,
-407  ,
-413  ,
-427  ,
-428  ,
-438  ,
-444  ,
-457  ,
-462  ,
-463  ,
-448  ,
-430  ,
-402  ,
-384  ,
-363  ,
-355  ,
-333  ,
-317  ,
-288  ,
-267  ,
-246  ,
-233  ,
-225  ,
-223  ,
-219  ,
-222  ,
-212  ,
-213  ,
-207  ,
-202  ,
-194  ,
-175  ,
-152  ,
-113  ,
-72 ,
-34 ,
6 ,
31  ,
60  ,
80  ,
97  ,
113 ,
123 ,
121 ,
112 ,
88  ,
69  ,
47  ,
30  ,
16  ,
10  ,
-1  ,
-4  ,
-19 ,
-13 ,
-19 ,
2 ,
2 ,
23  ,
24  ,
35  ,
44  ,
61  ,
89  ,
128 ,
167 ,
214 ,
256 ,
307 ,
354 ,
407 ,
462 ,
514 ,
554 ,
588 ,
605 ,
615 ,
618 ,
614 ,
605 ,
586 ,
555 ,
522 ,
480 ,
436 ,
396 ,
354 ,
328 ,
281 ,
253 ,
197 ,
165 ,
107 ,
66  ,
11  ,
-46 ,
-107  ,
-172  ,
-238  ,
-290  ,
-340  ,
-374  ,
-398  ,
-414  ,
-419  ,
-424  ,
-415  ,
-398  ,
-385  ,
-363  ,
-354  ,
-341  ,
-335  ,
-335  ,
-334  ,
-330  ,
-330  ,
-328  ,
-326  ,
-322  ,
-314  ,
-302  ,
-285  ,
-259  ,
-234  ,
-207  ,
-189  ,
-175  ,
-173  ,
-173  ,
-174  ,
-170  ,
-170  ,
-163  ,
-159  ,
-156  ,
-144  ,
-140  ,
-126  ,
-116  ,
-100  ,
-88 ,
-77 ,
-71 ,
-60 ,
-56 ,
-43 ,
-40 ,
-28 ,
-32 ,
-35 ,
-44 ,
-44 ,
-58 ,
-57 ,
-73 ,
-70 ,
-77 ,
-74 ,
-72 ,
-65 ,
-54 ,
-48 ,
-32 ,
-22 ,
-18 ,
-18 ,
-20 ,
-15 ,
-5  ,
5 ,
31  ,
60  ,
89  ,
127 ,
157 ,
203 ,
244 ,
286 ,
314 ,
334 ,
337 ,
336 ,
332 ,
330 ,
320 ,
306 ,
289 ,
265 ,
250 ,
224 ,
214 ,
207 ,
204 ,
202 ,
189 ,
182 ,
165 ,
151 ,
138 ,
130 ,
125 ,
108 ,
101 ,
87  ,
88  ,
88  ,
102 ,
114 ,
133 ,
148 ,
150 ,
163 ,
153 ,
157 ,
140 ,
125 ,
90  ,
53  ,
5 ,
-44 ,
-89 ,
-135  ,
-178  ,
-221  ,
-267  ,
-305  ,
-351  ,
-377  ,
-404  ,
-421  ,
-439  ,
-465  ,
-478  ,
-509  ,
-527  ,
-552  ,
-578  ,
-597  ,
-619  ,
-629  ,
-625  ,
-610  ,
-582  ,
-542  ,
-495  ,
-446  ,
-394  ,
-335  ,
-275  ,
-214  ,
-157  ,
-103  ,
-51 ,
-10 ,
30  ,
63  ,
95  ,
132 ,
158 ,
190 ,
219 ,
250 ,
285 ,
317 ,
355 ,
385 ,
419 ,
432 ,
445 ,
444 ,
442 ,
428 ,
411 ,
387 ,
356 ,
325 ,
302 ,
288 ,
275 ,
266 ,
259 ,
249 ,
241 ,
231 ,
220 ,
210 ,
188 ,
170 ,
138 ,
111 ,
78  ,
54  ,
30  ,
13  ,
-3  ,
-20 ,
-33 ,
-39 ,
-44 ,
-43 ,
-38 ,
-26 ,
-19 ,
-14 ,
-14 ,
-16 ,
-17 ,
-22 ,
-21 ,
-17 ,
-12 ,
-3  ,
8 ,
29  ,
50  ,
72  ,
91  ,
107 ,
126 ,
132 ,
144 ,
143 ,
143 ,
138 ,
134 ,
125 ,
113 ,
93  ,
71  ,
50  ,
28  ,
10  ,
-7  ,
-27 ,
-37 ,
-59 ,
-83 ,
-102  ,
-137  ,
-154  ,
-185  ,
-198  ,
-216  ,
-227  ,
-242  ,
-244  ,
-246  ,
-246  ,
-233  ,
-222  ,
-198  ,
-174  ,
-146  ,
-120  ,
-92 ,
-78 ,
-63 ,
-65 ,
-67 ,
-84 ,
-95 ,
-119  ,
-132  ,
-152  ,
-166  ,
-188  ,
-207  ,
-227  ,
-240  ,
-241  ,
-237  ,
-218  ,
-203  ,
-189  ,
-181  ,
-178  ,
-176  ,
-177  ,
-176  ,
-179  ,
-180  ,
-167  ,
-147  ,
-112  ,
-76 ,
-25 ,
25  ,
83  ,
132 ,
187 ,
233 ,
278 ,
315 ,
341 ,
367 ,
379 ,
393 ,
396 ,
404 ,
403 ,
418 ,
426 ,
444 ,
456 ,
459 ,
468 ,
455 ,
452 ,
429 ,
409 ,
373 ,
334 ,
290 ,
243 ,
196 ,
149 ,
110 ,
72  ,
50  ,
18  ,
4 ,
-23 ,
-36 ,
-53 ,
-64 ,
-73 ,
-81 ,
-91 ,
-107  ,
-123  ,
-139  ,
-151  ,
-155  ,
-161  ,
-169  ,
-176  ,
-186  ,
-193  ,
-197  ,
-193  ,
-190  ,
-176  ,
-162  ,
-148  ,
-130  ,
-113  ,
-99 ,
-82 ,
-74 ,
-54 ,
-45 ,
-23 ,
-10 ,
18  ,
37  ,
69  ,
82  ,
102 ,
107 ,
113 ,
119 ,
119 ,
125 ,
111 ,
103 ,
75  ,
49  ,
11  ,
-26 ,
-69 ,
-103  ,
-134  ,
-164  ,
-192  ,
-218  ,
-234  ,
-249  ,
-265  ,
-278  ,
-298  ,
-309  ,
-331  ,
-342  ,
-352  ,
-352  ,
-351  ,
-343  ,
-329  ,
-307  ,
-280  ,
-245  ,
-207  ,
-172  ,
-129  ,
-106  ,
-70 ,
-53 ,
-26 ,
-15 ,
-1  ,
-3  ,
-8  ,
-18 ,
-30 ,
-41 ,
-47 ,
-54 ,
-57 ,
-71 ,
-75 ,
-86 ,
-81 ,
-82 ,
-75 ,
-74 ,
-72 ,
-83 ,
-91 ,
-106  ,
-109  ,
-116  ,
-107  ,
-101  ,
-91 ,
-80 ,
-75 ,
-59 ,
-54 ,
-41 ,
-36 ,
-31 ,
-22 ,
-16 ,
-15 ,
1 ,
-4  ,
11  ,
10  ,
12  ,
10  ,
16  ,
23  ,
46  ,
63  ,
87  ,
105 ,
120 ,
131 ,
146 ,
155 ,
171 ,
175 ,
171 ,
161 ,
139 ,
119 ,
95  ,
83  ,
75  ,
76  ,
86  ,
95  ,
111 ,
128 ,
146 ,
164 ,
183 ,
201 ,
226 ,
237 ,
246 ,
254 ,
254 ,
260 ,
259 ,
259 ,
254 ,
247 ,
234 ,
226 ,
217 ,
220 ,
229 ,
234 ,
248 ,
247 ,
248 ,
244 ,
240 ,
239 ,
239 ,
236 ,
233 ,
229 ,
229 ,
222 ,
218 ,
210 ,
197 ,
180 ,
156 ,
134 ,
115 ,
90  ,
77  ,
42  ,
17  ,
-26 ,
-74 ,
-116  ,
-156  ,
-175  ,
-199  ,
-214  ,
-239  ,
-255  ,
-285  ,
-295  ,
-320  ,
-326  ,
-334  ,
-337  ,
-344  ,
-345  ,
-354  ,
-346  ,
-343  ,
-331  ,
-322  ,
-310  ,
-298  ,
-276  ,
-250  ,
-210  ,
-172  ,
-131  ,
-100  ,
-78 ,
-53 ,
-48 ,
-30 ,
-23 ,
-16 ,
-17 ,
-19 ,
-34 ,
-42 ,
-51 ,
-62 ,
-65 ,
-80 ,
-88 ,
-106  ,
-114  ,
-124  ,
-124  ,
-130  ,
-130  ,
-137  ,
-141  ,
-151  ,
-154  ,
-151  ,
-142  ,
-121  ,
-99 ,
-71 ,
-45 ,
-29 ,
-3  ,
14  ,
41  ,
68  ,
100 ,
132 ,
158 ,
179 ,
195 ,
218 ,
231 ,
259 ,
283 ,
318 ,
352 ,
386 ,
420 ,
449 ,
476 ,
499 ,
514 ,
520 ,
521 ,
516 ,
515 ,
506 ,
502 ,
486 ,
469 ,
439 ,
416 ,
399 ,
392 ,
394 ,
410 ,
418 ,
434 ,
428 ,
430 ,
420 ,
411 ,
398 ,
377 ,
358 ,
321 ,
284 ,
242 ,
192 ,
152 ,
106 ,
58  ,
9 ,
-51 ,
-95 ,
-143  ,
-167  ,
-188  ,
-199  ,
-211  ,
-230  ,
-243  ,
-269  ,
-274  ,
-290  ,
-295  ,
-311  ,
-329  ,
-354  ,
-379  ,
-418  ,
-433  ,
-460  ,
-472  ,
-482  ,
-491  ,
-495  ,
-500  ,
-507  ,
-514  ,
-526  ,
-543  ,
-561  ,
-592  ,
-605  ,
-626  ,
-618  ,
-617  ,
-602  ,
-593  ,
-587  ,
-577  ,
-566  ,
-546  ,
-522  ,
-487  ,
-460  ,
-430  ,
-420  ,
-400  ,
-390  ,
-370  ,
-336  ,
-294  ,
-235  ,
-184  ,
-126  ,
-78 ,
-24 ,
14  ,
58  ,
86  ,
106 ,
114 ,
112 ,
104 ,
99  ,
90  ,
85  ,
73  ,
53  ,
26  ,
1 ,
-30 ,
-44 ,
-56 ,
-52 ,
-52 ,
-48 ,
-50 ,
-44 ,
-37 ,
-19 ,
8 ,
31  ,
55  ,
72  ,
90  ,
106 ,
120 ,
136 ,
144 ,
159 ,
155 ,
171 ,
171 ,
200 ,
223 ,
254 ,
277 ,
291 ,
300 ,
306 ,
310 ,
324 ,
340 ,
368 ,
393 ,
410 ,
419 ,
417 ,
422 ,
417 ,
425 ,
419 ,
412 ,
389 ,
364 ,
323 ,
298 ,
244 ,
211 ,
151 ,
105 ,
60  ,
20  ,
0 ,
-13 ,
-24 ,
-34 ,
-56 ,
-77 ,
-112  ,
-136  ,
-164  ,
-187  ,
-213  ,
-245  ,
-279  ,
-327  ,
-368  ,
-418  ,
-454  ,
-487  ,
-509  ,
-531  ,
-534  ,
-538  ,
-520  ,
-500  ,
-470  ,
-441  ,
-414  ,
-390  ,
-376  ,
-355  ,
-339  ,
-313  ,
-283  ,
-265  ,
-243  ,
-235  ,
-229  ,
-221  ,
-205  ,
-191  ,
-162  ,
-138  ,
-117  ,
-105  ,
-98 ,
-92 ,
-85 ,
-78 ,
-81 ,
-75 ,
-85 ,
-79 ,
-73 ,
-70 ,
-53 ,
-56 ,
-47 ,
-39 ,
-34 ,
-13 ,
2 ,
28  ,
51  ,
69  ,
76  ,
85  ,
81  ,
88  ,
102 ,
122 ,
156 ,
193 ,
219 ,
247 ,
265 ,
278 ,
297 ,
306 ,
318 ,
323 ,
316 ,
311 ,
292 ,
281 ,
263 ,
247 ,
212 ,
181 ,
138 ,
110 ,
84  ,
74  ,
74  ,
81  ,
94  ,
104 ,
119 ,
130 ,
144 ,
159 ,
168 ,
176 ,
170 ,
167 ,
152 ,
146 ,
130 ,
129 ,
119 ,
120 ,
115 ,
123 ,
131 ,
148 ,
161 ,
172 ,
175 ,
174 ,
168 ,
163 ,
159 ,
156 ,
163 ,
154 ,
157 ,
133 ,
117 ,
95  ,
76  ,
66  ,
52  ,
38  ,
15  ,
-22 ,
-54 ,
-95 ,
-124  ,
-148  ,
-166  ,
-177  ,
-186  ,
-186  ,
-180  ,
-162  ,
-146  ,
-125  ,
-113  ,
-110  ,
-109  ,
-116  ,
-114  ,
-115  ,
-110  ,
-116  ,
-119  ,
-136  ,
-159  ,
-179  ,
-195  ,
-196  ,
-194  ,
-184  ,
-177  ,
-159  ,
-130  ,
-105  ,
-53 ,
-6  ,
43  ,
88  ,
122 ,
147 ,
172 ,
192 ,
213 ,
228 ,
242 ,
240 ,
237 ,
228 ,
221 ,
230 ,
234 ,
245 ,
247 ,
238 ,
223 ,
205 ,
190 ,
174 ,
158 ,
145 ,
121 ,
92  ,
62  ,
32  ,
18  ,
9 ,
3 ,
3 ,
-4  ,
-9  ,
-7  ,
-8  ,
2 ,
2 ,
9 ,
8 ,
12  ,
14  ,
27  ,
49  ,
84  ,
120 ,
153 ,
177 ,
190 ,
193 ,
201 ,
200 ,
209 ,
205 ,
199 ,
176 ,
156 ,
127 ,
108 ,
88  ,
72  ,
47  ,
26  ,
-1  ,
-22 ,
-39 ,
-36 ,
-31 ,
-9  ,
12  ,
33  ,
58  ,
72  ,
98  ,
111 ,
123 ,
127 ,
118 ,
104 ,
81  ,
56  ,
42  ,
22  ,
17  ,
6 ,
5 ,
3 ,
5 ,
7 ,
18  ,
20  ,
39  ,
32  ,
37  ,
27  ,
26  ,
33  ,
38  ,
47  ,
50  ,
46  ,
40  ,
34  ,
30  ,
32  ,
32  ,
26  ,
11  ,
-12 ,
-35 ,
-52 ,
-64 ,
-60 ,
-50 ,
-32 ,
-17 ,
0 ,
16  ,
30  ,
41  ,
52  ,
59  ,
55  ,
43  ,
27  ,
4 ,
-6  ,
-27 ,
-29 ,
-44 ,
-60 ,
-80 ,
-99 ,
-109  ,
-115  ,
-103  ,
-93 ,
-68 ,
-47 ,
-16 ,
18  ,
52  ,
88  ,
115 ,
134 ,
137 ,
134 ,
118 ,
105 ,
81  ,
58  ,
34  ,
-4  ,
-36 ,
-70 ,
-96 ,
-116  ,
-130  ,
-141  ,
-149  ,
-166  ,
-177  ,
-193  ,
-201  ,
-215  ,
-217  ,
-218  ,
-224  ,
-220  ,
-233  ,
-237  ,
-234  ,
-228  ,
-205  ,
-187  ,
-163  ,
-136  ,
-116  ,
-91 ,
-70 ,
-46 ,
-20 ,
6 ,
31  ,
59  ,
84  ,
121 ,
152 ,
188 ,
212 ,
238 ,
252 ,
263 ,
269 ,
271 ,
271 ,
262 ,
252 ,
238 ,
211 ,
190 ,
151 ,
122 ,
90  ,
57  ,
32  ,
5 ,
-9  ,
-12 ,
1 ,
18  ,
44  ,
67  ,
81  ,
85  ,
82  ,
69  ,
53  ,
42  ,
23  ,
7 ,
-27 ,
-55 ,
-83 ,
-106  ,
-113  ,
-122  ,
-112  ,
-111  ,
-109  ,
-105  ,
-96 ,
-86 ,
-69 ,
-56 ,
-52 ,
-50 ,
-63 ,
-59 ,
-66 ,
-54 ,
-58 ,
-54 ,
-64 ,
-74 ,
-85 ,
-105  ,
-116  ,
-124  ,
-132  ,
-140  ,
-149  ,
-165  ,
-166  ,
-177  ,
-167  ,
-155  ,
-143  ,
-129  ,
-124  ,
-115  ,
-113  ,
-111  ,
-110  ,
-108  ,
-119  ,
-133  ,
-158  ,
-181  ,
-198  ,
-213  ,
-220  ,
-234  ,
-245  ,
-266  ,
-279  ,
-291  ,
-283  ,
-271  ,
-232  ,
-193  ,
-151  ,
-109  ,
-72 ,
-35 ,
4 ,
41  ,
68  ,
91  ,
94  ,
102 ,
93  ,
97  ,
95  ,
102 ,
107 ,
108 ,
112 ,
99  ,
102 ,
101 ,
111 ,
122 ,
127 ,
131 ,
127 ,
122 ,
120 ,
123 ,
130 ,
134 ,
138 ,
132 ,
138 ,
145 ,
164 ,
190 ,
214 ,
232 ,
244 ,
256 ,
270 ,
281 ,
308 ,
322 ,
347 ,
352 ,
368 ,
374 ,
386 ,
395 ,
398 ,
405 ,
390 ,
373 ,
339 ,
302 ,
261 ,
216 ,
170 ,
126 ,
76  ,
29  ,
-28 ,
-72 ,
-114  ,
-145  ,
-165  ,
-188  ,
-193  ,
-204  ,
-205  ,
-198  ,
-186  ,
-171  ,
-163  ,
-154  ,
-153  ,
-165  ,
-178  ,
-193  ,
-205  ,
-221  ,
-240  ,
-266  ,
-285  ,
-302  ,
-312  ,
-309  ,
-305  ,
-292  ,
-279  ,
-263  ,
-241  ,
-222  ,
-193  ,
-175  ,
-147  ,
-136  ,
-125  ,
-125  ,
-129  ,
-131  ,
-141  ,
-146  ,
-142  ,
-147  ,
-136  ,
-140  ,
-127  ,
-117  ,
-102  ,
-91 ,
-79 ,
-69 ,
-63 ,
-54 ,
-45 ,
-32 ,
-12 ,
0 ,
12  ,
15  ,
14  ,
4 ,
0 ,
-9  ,
-10 ,
-23 ,
-31 ,
-51 ,
-60 ,
-75 ,
-75 ,
-78 ,
-71 ,
-66 ,
-58 ,
-41 ,
-14 ,
19  ,
72  ,
121 ,
176 ,
226 ,
273 ,
318 ,
353 ,
378 ,
403 ,
415 ,
434 ,
425 ,
431 ,
409 ,
396 ,
375 ,
357 ,
342 ,
320 ,
302 ,
279 ,
269 ,
262 ,
260 ,
257 ,
252 ,
241 ,
230 ,
210 ,
197 ,
186 ,
172 ,
155 ,
129 ,
109 ,
92  ,
80  ,
75  ,
79  ,
70  ,
69  ,
58  ,
50  ,
46  ,
38  ,
29  ,
22  ,
9 ,
-4  ,
-9  ,
-25 ,
-37 ,
-56 ,
-79 ,
-100  ,
-130  ,
-161  ,
-195  ,
-224  ,
-261  ,
-288  ,
-322  ,
-342  ,
-371  ,
-396  ,
-426  ,
-450  ,
-467  ,
-474  ,
-470  ,
-460  ,
-442  ,
-419  ,
-389  ,
-355  ,
-310  ,
-279  ,
-249  ,
-227  ,
-211  ,
-197  ,
-180  ,
-175  ,
-161  ,
-161  ,
-166  ,
-165  ,
-170  ,
-159  ,
-148  ,
-129  ,
-99 ,
-70 ,
-30 ,
8 ,
47  ,
80  ,
109 ,
126 ,
142 ,
147 ,
155 ,
153 ,
144 ,
144 ,
137 ,
138 ,
132 ,
132 ,
134 ,
129 ,
141 ,
147 ,
169 ,
186 ,
206 ,
222 ,
230 ,
235 ,
240 ,
242 ,
246 ,
244 ,
240 ,
225 ,
212 ,
194 ,
184 ,
174 ,
165 ,
159 ,
153 ,
148 ,
143 ,
146 ,
139 ,
134 ,
128 ,
119 ,
116 ,
116 ,
121 ,
143 ,
164 ,
201 ,
230 ,
255 ,
278 ,
281 ,
296 ,
292 ,
296 ,
289 ,
274 ,
248 ,
213 ,
175 ,
136 ,
89  ,
56  ,
14  ,
-14 ,
-51 ,
-68 ,
-89 ,
-95 ,
-109  ,
-117  ,
-136  ,
-156  ,
-180  ,
-207  ,
-231  ,
-256  ,
-286  ,
-313  ,
-342  ,
-359  ,
-371  ,
-375  ,
-367  ,
-361  ,
-330  ,
-316  ,
-280  ,
-254  ,
-221  ,
-202  ,
-178  ,
-170  ,
-156  ,
-156  ,
-155  ,
-155  ,
-169  ,
-173  ,
-189  ,
-189  ,
-200  ,
-202  ,
-205  ,
-213  ,
-219  ,
-220  ,
-230  ,
-230  ,
-249  ,
-253  ,
-265  ,
-271  ,
-266  ,
-261  ,
-241  ,
-219  ,
-184  ,
-146  ,
-98 ,
-60 ,
-14 ,
14  ,
50  ,
61  ,
76  ,
83  ,
87  ,
88  ,
85  ,
80  ,
73  ,
67  ,
63  ,
61  ,
72  ,
83  ,
112 ,
132 ,
167 ,
190 ,
204 ,
218 ,
222 ,
216 ,
210 ,
187 ,
171 ,
143 ,
119 ,
97  ,
83  ,
70  ,
71  ,
76  ,
94  ,
107 ,
133 ,
153 ,
174 ,
185 ,
188 ,
179 ,
172 ,
152 ,
142 ,
124 ,
105 ,
82  ,
55  ,
35  ,
9 ,
-3  ,
-14 ,
-16 ,
-22 ,
-31 ,
-40 ,
-59 ,
-74 ,
-92 ,
-112  ,
-127  ,
-141  ,
-150  ,
-147  ,
-141  ,
-125  ,
-104  ,
-75 ,
-40 ,
-9  ,
11  ,
28  ,
32  ,
33  ,
31  ,
22  ,
17  ,
-3  ,
-28 ,
-66 ,
-103  ,
-141  ,
-175  ,
-204  ,
-223  ,
-247  ,
-251  ,
-271  ,
-260  ,
-262  ,
-247  ,
-241  ,
-223  ,
-223  ,
-216  ,
-225  ,
-220  ,
-235  ,
-242  ,
-248  ,
-258  ,
-246  ,
-239  ,
-215  ,
-180  ,
-143  ,
-91 ,
-50 ,
-12 ,
19  ,
37  ,
58  ,
70  ,
87  ,
93  ,
86  ,
74  ,
46  ,
29  ,
2 ,
-10 ,
-21 ,
-33 ,
-36 ,
-52 ,
-57 ,
-64 ,
-72 ,
-80 ,
-92 ,
-107  ,
-126  ,
-145  ,
-154  ,
-156  ,
-151  ,
-135  ,
-118  ,
-98 ,
-78 ,
-65 ,
-50 ,
-45 ,
-42 ,
-41 ,
-48 ,
-53 ,
-61 ,
-71 ,
-81 ,
-91 ,
-101  ,
-111  ,
-113  ,
-117  ,
-97 ,
-92 ,
-60 ,
-36 ,
-2  ,
26  ,
52  ,
70  ,
85  ,
95  ,
96  ,
98  ,
91  ,
79  ,
64  ,
42  ,
34  ,
33  ,
44  ,
74  ,
100 ,
133 ,
163 ,
194 ,
217 ,
235 ,
239 ,
245 ,
238 ,
232 ,
216 ,
201 ,
186 ,
168 ,
148 ,
131 ,
111 ,
96  ,
79  ,
68  ,
54  ,
53  ,
38  ,
37  ,
19  ,
5 ,
-17 ,
-34 ,
-50 ,
-57 ,
-63 ,
-50 ,
-36 ,
-12 ,
13  ,
44  ,
65  ,
86  ,
87  ,
93  ,
90  ,
86  ,
85  ,
76  ,
74  ,
53  ,
34  ,
-3  ,
-33 ,
-66 ,
-92 ,
-103  ,
-120  ,
-116  ,
-121  ,
-108  ,
-102  ,
-89 ,
-83 ,
-75 ,
-72 ,
-70 ,
-85 ,
-96 ,
-119  ,
-129  ,
-142  ,
-134  ,
-125  ,
-105  ,
-86 ,
-55 ,
-21 ,
16  ,
45  ,
75  ,
87  ,
95  ,
93  ,
87  ,
79  ,
71  ,
62  ,
53  ,
35  ,
12  ,
-14 ,
-44 ,
-68 ,
-96 ,
-118  ,
-137  ,
-157  ,
-161  ,
-185  ,
-192  ,
-219  ,
-231  ,
-247  ,
-253  ,
-263  ,
-263  ,
-259  ,
-238  ,
-216  ,
-180  ,
-143  ,
-108  ,
-76 ,
-51 ,
-27 ,
-9  ,
19  ,
37  ,
69  ,
73  ,
94  ,
92  ,
109 ,
112 ,
135 ,
147 ,
166 ,
185 ,
199 ,
225 ,
253 ,
275 ,
308 ,
319 ,
336 ,
337 ,
337 ,
328 ,
321 ,
307 ,
306 ,
302 ,
309 ,
322 ,
336 ,
365 ,
384 ,
422 ,
432 ,
462 ,
457 ,
458 ,
443 ,
425 ,
403 ,
381 ,
352 ,
322 ,
290 ,
251 ,
220 ,
187 ,
155 ,
131 ,
105 ,
83  ,
65  ,
34  ,
20  ,
-7  ,
-20 ,
-46 ,
-66 ,
-83 ,
-105  ,
-111  ,
-121  ,
-116  ,
-112  ,
-104  ,
-94 ,
-78 ,
-61 ,
-51 ,
-41 ,
-41 ,
-38 ,
-50 ,
-54 ,
-72 ,
-87 ,
-106  ,
-127  ,
-144  ,
-167  ,
-194  ,
-216  ,
-236  ,
-251  ,
-262  ,
-264  ,
-266  ,
-255  ,
-255  ,
-246  ,
-238  ,
-237  ,
-228  ,
-238  ,
-234  ,
-241  ,
-241  ,
-233  ,
-217  ,
-184  ,
-153  ,
-115  ,
-77 ,
-32 ,
2 ,
36  ,
56  ,
77  ,
78  ,
91  ,
85  ,
91  ,
86  ,
75  ,
76  ,
58  ,
57  ,
40  ,
29  ,
22  ,
4 ,
3 ,
-8  ,
-4  ,
-6  ,
-10 ,
-12 ,
-11 ,
-9  ,
1 ,
9 ,
24  ,
38  ,
53  ,
67  ,
88  ,
105 ,
129 ,
148 ,
176 ,
189 ,
210 ,
218 ,
231 ,
243 ,
245 ,
255 ,
255 ,
261 ,
258 ,
255 ,
253 ,
254 ,
256 ,
257 ,
260 ,
257 ,
259 ,
259 ,
261 ,
267 ,
261 ,
253 ,
238 ,
215 ,
184 ,
156 ,
130 ,
116 ,
109 ,
107 ,
102 ,
96  ,
86  ,
77  ,
72  ,
64  ,
53  ,
32  ,
14  ,
-13 ,
-33 ,
-53 ,
-66 ,
-86 ,
-103  ,
-130  ,
-155  ,
-179  ,
-204  ,
-220  ,
-235  ,
-256  ,
-272  ,
-296  ,
-306  ,
-311  ,
-312  ,
-310  ,
-312  ,
-311  ,
-317  ,
-314  ,
-309  ,
-290  ,
-270  ,
-241  ,
-216  ,
-187  ,
-166  ,
-149  ,
-124  ,
-112  ,
-91 ,
-87 ,
-83 ,
-86 ,
-91 ,
-93 ,
-93 ,
-96 ,
-95 ,
-93 ,
-103  ,
-106  ,
-116  ,
-119  ,
-115  ,
-106  ,
-95 ,
-86 ,
-84 ,
-74 ,
-74 ,
-54 ,
-53 ,
-33 ,
-28 ,
-12 ,
6 ,
33  ,
72  ,
115 ,
162 ,
203 ,
236 ,
262 ,
276 ,
301 ,
311 ,
328 ,
332 ,
337 ,
335 ,
334 ,
329 ,
331 ,
325 ,
319 ,
305 ,
284 ,
253 ,
223 ,
192 ,
172 ,
157 ,
145 ,
139 ,
125 ,
121 ,
103 ,
89  ,
72  ,
54  ,
37  ,
27  ,
12  ,
11  ,
4 ,
2 ,
6 ,
6 ,
5 ,
10  ,
-1  ,
7 ,
-9  ,
-3  ,
-18 ,
-21 ,
-32 ,
-35 ,
-43 ,
-50 ,
-67 ,
-84 ,
-103  ,
-123  ,
-143  ,
-158  ,
-173  ,
-182  ,
-194  ,
-202  ,
-208  ,
-211  ,
-209  ,
-220  ,
-218  ,
-220  ,
-211  ,
-187  ,
-171  ,
-138  ,
-122  ,
-100  ,
-88 ,
-80 ,
-72 ,
-67 ,
-61 ,
-61 ,
-51 ,
-55 ,
-53 ,
-59 ,
-56 ,
-53 ,
-50 ,
-46 ,
-51 ,
-64 ,
-77 ,
-100  ,
-114  ,
-131  ,
-137  ,
-136  ,
-132  ,
-124  ,
-110  ,
-98 ,
-81 ,
-75 ,
-59 ,
-52 ,
-33 ,
-19 ,
3 ,
27  ,
46  ,
69  ,
79  ,
95  ,
95  ,
101 ,
96  ,
97  ,
93  ,
88  ,
79  ,
81  ,
76  ,
79  ,
80  ,
70  ,
59  ,
39  ,
24  ,
4 ,
-5  ,
-11 ,
-14 ,
-12 ,
-10 ,
-1  ,
11  ,
35  ,
52  ,
75  ,
99  ,
122 ,
151 ,
164 ,
189 ,
202 ,
215 ,
231 ,
236 ,
239 ,
243 ,
233 ,
238 ,
227 ,
230 ,
221 ,
218 ,
204 ,
191 ,
165 ,
143 ,
105 ,
73  ,
33  ,
0 ,
-41 ,
-73 ,
-107  ,
-123  ,
-139  ,
-148  ,
-161  ,
-171  ,
-190  ,
-207  ,
-227  ,
-242  ,
-253  ,
-260  ,
-261  ,
-259  ,
-260  ,
-256  ,
-264  ,
-257  ,
-256  ,
-257  ,
-250  ,
-252  ,
-247  ,
-238  ,
-235  ,
-216  ,
-204  ,
-182  ,
-169  ,
-162  ,
-163  ,
-172  ,
-179  ,
-181  ,
-182  ,
-175  ,
-171  ,
-168  ,
-152  ,
-136  ,
-110  ,
-83 ,
-55 ,
-22 ,
3 ,
30  ,
50  ,
66  ,
86  ,
94  ,
114 ,
114 ,
118 ,
111 ,
109 ,
113 ,
124 ,
140 ,
156 ,
166 ,
177 ,
174 ,
178 ,
170 ,
166 ,
153 ,
134 ,
105 ,
73  ,
35  ,
8 ,
-12 ,
-22 ,
-31 ,
-29 ,
-26 ,
-22 ,
-15 ,
-11 ,
-9  ,
-3  ,
4 ,
8 ,
18  ,
24  ,
25  ,
28  ,
27  ,
20  ,
22  ,
5 ,
0 ,
-6  ,
-9  ,
-9  ,
-9  ,
-2  ,
7 ,
19  ,
23  ,
25  ,
22  ,
20  ,
6 ,
-6  ,
-33 ,
-51 ,
-75 ,
-84 ,
-88 ,
-77 ,
-57 ,
-30 ,
5 ,
42  ,
75  ,
113 ,
140 ,
166 ,
175 ,
192 ,
192 ,
198 ,
199 ,
193 ,
201 ,
197 ,
200 ,
202 ,
203 ,
209 ,
201 ,
211 ,
208 ,
201 ,
179 ,
153 ,
114 ,
75  ,
30  ,
-10 ,
-51 ,
-86 ,
-114  ,
-142  ,
-160  ,
-170  ,
-178  ,
-178  ,
-180  ,
-179  ,
-181  ,
-181  ,
-177  ,
-166  ,
-151  ,
-140  ,
-124  ,
-122  ,
-119  ,
-128  ,
-126  ,
-130  ,
-113  ,
-113  ,
-104  ,
-110  ,
-101  ,
-100  ,
-71 ,
-49 ,
-19 ,
-8  ,
-2  ,
-9  ,
-26 ,
-45 ,
-65 ,
-75 ,
-81 ,
-84 ,
-74 ,
-69 ,
-44 ,
-17 ,
20  ,
56  ,
74  ,
97  ,
92  ,
95  ,
79  ,
79  ,
63  ,
62  ,
41  ,
35  ,
21  ,
16  ,
22  ,
28  ,
52  ,
63  ,
80  ,
78  ,
82  ,
69  ,
64  ,
45  ,
28  ,
-9  ,
-38 ,
-80 ,
-107  ,
-136  ,
-147  ,
-151  ,
-147  ,
-135  ,
-122  ,
-99 ,
-80 ,
-51 ,
-18 ,
9 ,
42  ,
56  ,
76  ,
83  ,
90  ,
92  ,
93  ,
89  ,
82  ,
71  ,
63  ,
54  ,
52  ,
52  ,
66  ,
86  ,
106 ,
121 ,
132 ,
129 ,
125 ,
106 ,
85  ,
56  ,
33  ,
9 ,
7 ,
10  ,
31  ,
62  ,
102 ,
144 ,
181 ,
210 ,
240 ,
254 ,
269 ,
266 ,
256 ,
242 ,
217 ,
199 ,
176 ,
163 ,
142 ,
132 ,
117 ,
113 ,
110 ,
106 ,
112 ,
111 ,
102 ,
93  ,
62  ,
34  ,
-11 ,
-45 ,
-87 ,
-116  ,
-160  ,
-196  ,
-239  ,
-267  ,
-294  ,
-295  ,
-292  ,
-274  ,
-262  ,
-251  ,
-241  ,
-228  ,
-217  ,
-204  ,
-194  ,
-204  ,
-212  ,
-243  ,
-255  ,
-279  ,
-282  ,
-284  ,
-283  ,
-281  ,
-275  ,
-263  ,
-246  ,
-211  ,
-179  ,
-148  ,
-131  ,
-138  ,
-151  ,
-174  ,
-191  ,
-204  ,
-206  ,
-201  ,
-191  ,
-158  ,
-131  ,
-79 ,
-36 ,
17  ,
65  ,
98  ,
125 ,
130 ,
142 ,
143 ,
151 ,
159 ,
163 ,
171 ,
167 ,
178 ,
183 ,
212 ,
236 ,
275 ,
305 ,
325 ,
345 ,
350 ,
362 ,
364 ,
366 ,
361 ,
344 ,
325 ,
303 ,
283 ,
260 ,
244 ,
233 ,
220 ,
226 ,
235 ,
258 ,
293 ,
330 ,
367 ,
400 ,
420 ,
429 ,
430 ,
418 ,
413 ,
389 ,
376 ,
345 ,
324 ,
295 ,
270 ,
258 ,
246 ,
249 ,
252 ,
265 ,
266 ,
271 ,
250 ,
238 ,
204 ,
171 ,
121 ,
77  ,
34  ,
11  ,
-12 ,
-7  ,
-5  ,
6 ,
12  ,
10  ,
19  ,
14  ,
13  ,
-9  ,
-28 ,
-69 ,
-116  ,
-168  ,
-224  ,
-277  ,
-323  ,
-364  ,
-398  ,
-426  ,
-454  ,
-460  ,
-476  ,
-470  ,
-471  ,
-470  ,
-481  ,
-493  ,
-521  ,
-544  ,
-571  ,
-600  ,
-625  ,
-659  ,
-691  ,
-738  ,
-766  ,
-796  ,
-788  ,
-770  ,
-734  ,
-692  ,
-649  ,
-605  ,
-569  ,
-530  ,
-502  ,
-476  ,
-464  ,
-461  ,
-464  ,
-472  ,
-479  ,
-477  ,
-472  ,
-461  ,
-446  ,
-434  ,
-417  ,
-390  ,
-351  ,
-304  ,
-261  ,
-224  ,
-207  ,
-197  ,
-205  ,
-204  ,
-196  ,
-173  ,
-141  ,
-99 ,
-52 ,
5 ,
65  ,
138 ,
213 ,
299 ,
379 ,
456 ,
506 ,
563 ,
591 ,
628 ,
652 ,
664 ,
664 ,
654 ,
636 ,
621 ,
613 ,
615 ,
624 ,
638 ,
650 ,
655 ,
655 ,
653 ,
645 ,
626 ,
602 ,
565 ,
514 ,
459 ,
387 ,
327 ,
252 ,
203 ,
160 ,
132 ,
116 ,
114 ,
136 ,
151 ,
182 ,
194 ,
208 ,
197 ,
182 ,
152 ,
122 ,
92  ,
56  ,
28  ,
-8  ,
-38 ,
-72 ,
-96 ,
-108  ,
-115  ,
-114  ,
-105  ,
-105  ,
-106  ,
-121  ,
-142  ,
-165  ,
-190  ,
-217  ,
-234  ,
-253  ,
-259  ,
-264  ,
-255  ,
-239  ,
-223  ,
-201  ,
-195  ,
-182  ,
-188  ,
-188  ,
-199  ,
-206  ,
-230  ,
-260  ,
-309  ,
-357  ,
-407  ,
-454  ,
-487  ,
-508  ,
-513  ,
-511  ,
-502  ,
-488  ,
-463  ,
-435  ,
-404  ,
-371  ,
-350  ,
-339  ,
-338  ,
-352  ,
-366  ,
-387  ,
-408  ,
-428  ,
-453  ,
-468  ,
-475  ,
-473  ,
-442  ,
-405  ,
-343  ,
-280  ,
-225  ,
-173  ,
-143  ,
-116  ,
-101  ,
-94 ,
-100  ,
-117  ,
-139  ,
-161  ,
-188  ,
-197  ,
-205  ,
-195  ,
-184  ,
-161  ,
-146  ,
-111  ,
-94 ,
-67 ,
-59 ,
-54 ,
-59 ,
-58 ,
-64 ,
-55 ,
-35 ,
4 ,
44  ,
101 ,
156 ,
221 ,
292 ,
358 ,
428 ,
495 ,
561 ,
614 ,
665 ,
688 ,
710 ,
704 ,
697 ,
674 ,
658 ,
635 ,
621 ,
600 ,
606 ,
596 ,
607 ,
610 ,
616 ,
618 ,
594 ,
581 ,
541 ,
500 ,
443 ,
372 ,
300 ,
210 ,
130 ,
41  ,
-22 ,
-80 ,
-103  ,
-113  ,
-101  ,
-80 ,
-53 ,
-18 ,
9 ,
48  ,
65  ,
82  ,
80  ,
69  ,
58  ,
35  ,
24  ,
-2  ,
-12 ,
-21 ,
-26 ,
-24 ,
-12 ,
11  ,
51  ,
90  ,
118 ,
131 ,
136 ,
130 ,
127 ,
130 ,
135 ,
156 ,
159 ,
170 ,
169 ,
177 ,
176 ,
189 ,
193 ,
205 ,
200 ,
201 ,
190 ,
178 ,
166 ,
150 ,
129 ,
106 ,
60  ,
30  ,
-10 ,
-26 ,
-33 ,
-22 ,
-5  ,
18  ,
41  ,
64  ,
86  ,
116 ,
132 ,
146 ,
138 ,
113 ,
76  ,
25  ,
-25 ,
-72 ,
-120  ,
-157  ,
-184  ,
-192  ,
-187  ,
-158  ,
-111  ,
-56 ,
8 ,
55  ,
100 ,
122 ,
135 ,
129 ,
119 ,
92  ,
59  ,
14  ,
-33 ,
-77 ,
-112  ,
-142  ,
-154  ,
-164  ,
-163  ,
-167  ,
-166  ,
-174  ,
-181  ,
-191  ,
-203  ,
-202  ,
-198  ,
-179  ,
-152  ,
-118  ,
-70 ,
-26 ,
32  ,
84  ,
143 ,
196 ,
247 ,
306 ,
346 ,
394 ,
413 ,
436 ,
433 ,
428 ,
406 ,
383 ,
355 ,
328 ,
301 ,
282 ,
263 ,
258 ,
248 ,
248 ,
237 ,
233 ,
214 ,
195 ,
153 ,
109 ,
42  ,
-27 ,
-110  ,
-188  ,
-270  ,
-346  ,
-403  ,
-450  ,
-468  ,
-474  ,
-454  ,
-424  ,
-377  ,
-336  ,
-283  ,
-242  ,
-197  ,
-170  ,
-142  ,
-142  ,
-140  ,
-164  ,
-170  ,
-186  ,
-182  ,
-177  ,
-163  ,
-138  ,
-116  ,
-79 ,
-48 ,
-5  ,
27  ,
56  ,
71  ,
83  ,
89  ,
104 ,
120 ,
144 ,
158 ,
167 ,
163 ,
153 ,
148 ,
130 ,
124 ,
109 ,
95  ,
78  ,
47  ,
17  ,
-19 ,
-47 ,
-71 ,
-92 ,
-117  ,
-143  ,
-170  ,
-185  ,
-198  ,
-189  ,
-183  ,
-161  ,
-145  ,
-119  ,
-105  ,
-84 ,
-81 ,
-73 ,
-85 ,
-96 ,
-130  ,
-161  ,
-195  ,
-222  ,
-233  ,
-235  ,
-223  ,
-197  ,
-169  ,
-122  ,
-71 ,
-14 ,
50  ,
112 ,
166 ,
208 ,
230 ,
232 ,
225 ,
196 ,
161 ,
123 ,
79  ,
38  ,
-4  ,
-38 ,
-62 ,
-80 ,
-95 ,
-102  ,
-117  ,
-118  ,
-136  ,
-129  ,
-125  ,
-102  ,
-70 ,
-33 ,
8 ,
51  ,
89  ,
131 ,
179 ,
214 ,
253 ,
268 ,
291 ,
299 ,
305 ,
299 ,
294 ,
277 ,
263 ,
236 ,
213 ,
177 ,
145 ,
117 ,
77  ,
48  ,
-1  ,
-31 ,
-74 ,
-93 ,
-119  ,
-129  ,
-156  ,
-179  ,
-224  ,
-276  ,
-335  ,
-407  ,
-472  ,
-548  ,
-610  ,
-672  ,
-717  ,
-749  ,
-763  ,
-754  ,
-741  ,
-714  ,
-679  ,
-639  ,
-588  ,
-535  ,
-482  ,
-430  ,
-392  ,
-366  ,
-360  ,
-361  ,
-371  ,
-370  ,
-364  ,
-345  ,
-313  ,
-282  ,
-246  ,
-210  ,
-167  ,
-120  ,
-74 ,
-32 ,
8 ,
38  ,
67  ,
93  ,
115 ,
137 ,
155 ,
165 ,
175 ,
171 ,
165 ,
151 ,
134 ,
123 ,
110 ,
96  ,
85  ,
64  ,
55  ,
43  ,
45  ,
52  ,
63  ,
76  ,
87  ,
96  ,
105 ,
114 ,
133 ,
151 ,
187 ,
210 ,
244 ,
261 ,
276 ,
277 ,
281 ,
273 ,
262 ,
244 ,
226 ,
216 ,
205 ,
211 ,
226 ,
259 ,
296 ,
336 ,
371 ,
413 ,
457 ,
504 ,
547 ,
581 ,
593 ,
595 ,
570 ,
540 ,
494 ,
443 ,
388 ,
327 ,
273 ,
212 ,
171 ,
126 ,
101 ,
75  ,
70  ,
60  ,
66  ,
71  ,
84  ,
109 ,
131 ,
167 ,
192 ,
223 ,
249 ,
271 ,
292 ,
305 ,
310 ,
305 ,
296 ,
278 ,
261 ,
236 ,
217 ,
194 ,
167 ,
136 ,
101 ,
62  ,
18  ,
-29 ,
-83 ,
-127  ,
-180  ,
-225  ,
-264  ,
-299  ,
-332  ,
-371  ,
-406  ,
-455  ,
-504  ,
-569  ,
-631  ,
-702  ,
-761  ,
-824  ,
-875  ,
-919  ,
-954  ,
-968  ,
-966  ,
-949  ,
-917  ,
-876  ,
-828  ,
-777  ,
-728  ,
-677  ,
-636  ,
-594  ,
-562  ,
-534  ,
-515  ,
-503  ,
-498  ,
-492  ,
-476  ,
-456  ,
-419  ,
-381  ,
-334  ,
-287  ,
-233  ,
-177  ,
-113  ,
-51 ,
17  ,
72  ,
134 ,
187 ,
226 ,
268 ,
295 ,
330 ,
345 ,
360 ,
359 ,
360 ,
349 ,
343 ,
330 ,
333 ,
335 ,
342 ,
357 ,
372 ,
397 ,
420 ,
438 ,
465 ,
473 ,
479 ,
476 ,
470 ,
470 ,
472 ,
478 ,
485 ,
494 ,
494 ,
495 ,
484 ,
479 ,
468 ,
469 ,
463 ,
461 ,
458 ,
439 ,
440 ,
441 ,
463 ,
485 ,
521 ,
553 ,
585 ,
604 ,
621 ,
626 ,
625 ,
608 ,
578 ,
532 ,
467 ,
400 ,
321 ,
246 ,
172 ,
101 ,
36  ,
-26 ,
-83 ,
-123  ,
-152  ,
-161  ,
-156  ,
-146  ,
-122  ,
-103  ,
-75 ,
-42 ,
-4  ,
32  ,
74  ,
96  ,
121 ,
126 ,
137 ,
140 ,
139 ,
131 ,
115 ,
101 ,
81  ,
68  ,
53  ,
42  ,
36  ,
27  ,
13  ,
-19 ,
-52 ,
-99 ,
-138  ,
-186  ,
-231  ,
-281  ,
-336  ,
-394  ,
-444  ,
-496  ,
-542  ,
-581  ,
-625  ,
-665  ,
-703  ,
-743  ,
-774  ,
-801  ,
-817  ,
-828  ,
-826  ,
-819  ,
-801  ,
-771  ,
-735  ,
-690  ,
-641  ,
-604  ,
-567  ,
-536  ,
-515  ,
-481  ,
-462  ,
-424  ,
-398  ,
-372  ,
-350  ,
-329  ,
-305  ,
-271  ,
-227  ,
-181  ,
-125  ,
-74 ,
-14 ,
44  ,
100 ,
159 ,
203 ,
256 ,
296 ,
335 ,
353 ,
369 ,
369 ,
374 ,
366 ,
362 ,
346 ,
324 ,
297 ,
270 ,
250 ,
235 ,
231 ,
231 ,
246 ,
248 ,
259 ,
264 ,
266 ,
270 ,
264 ,
256 ,
239 ,
227 ,
203 ,
195 ,
173 ,
170 ,
145 ,
134 ,
111 ,
99  ,
88  ,
91  ,
96  ,
103 ,
119 ,
129 ,
146 ,
162 ,
187 ,
216 ,
256 ,
296 ,
334 ,
366 ,
386 ,
394 ,
391 ,
386 ,
365 ,
347 ,
310 ,
271 ,
219 ,
169 ,
115 ,
60  ,
15  ,
-26 ,
-58 ,
-75 ,
-79 ,
-61 ,
-40 ,
-3  ,
29  ,
61  ,
90  ,
122 ,
153 ,
186 ,
220 ,
242 ,
269 ,
283 ,
303 ,
310 ,
312 ,
303 ,
287 ,
261 ,
239 ,
216 ,
199 ,
189 ,
178 ,
162 ,
142 ,
116 ,
81  ,
45  ,
2 ,
-48 ,
-98 ,
-154  ,
-217  ,
-280  ,
-352  ,
-413  ,
-480  ,
-534  ,
-579  ,
-626  ,
-661  ,
-693  ,
-719  ,
-733  ,
-743  ,
-737  ,
-733  ,
-721  ,
-709  ,
-691  ,
-666  ,
-636  ,
-608  ,
-580  ,
-561  ,
-542  ,
-520  ,
-506  ,
-476  ,
-457  ,
-421  ,
-397  ,
-367  ,
-347  ,
-327  ,
-307  ,
-279  ,
-245  ,
-197  ,
-150  ,
-97 ,
-40 ,
5 ,
49  ,
84  ,
108 ,
135 ,
146 ,
154 ,
154 ,
143 ,
133 ,
117 ,
112 ,
103 ,
86  ,
74  ,
58  ,
41  ,
38  ,
33  ,
51  ,
51  ,
65  ,
60  ,
60  ,
52  ,
50  ,
42  ,
39  ,
41  ,
32  ,
36  ,
25  ,
26  ,
21  ,
24  ,
26  ,
33  ,
48  ,
58  ,
85  ,
103 ,
136 ,
175 ,
213 ,
264 ,
307 ,
358 ,
402 ,
452 ,
496 ,
540 ,
568 ,
578 ,
571 ,
545 ,
516 ,
482 ,
449 ,
415 ,
383 ,
346 ,
307 ,
276 ,
243 ,
220 ,
201 ,
191 ,
185 ,
189 ,
209 ,
234 ,
268 ,
304 ,
335 ,
361 ,
381 ,
404 ,
428 ,
452 ,
486 ,
500 ,
524 ,
526 ,
534 ,
530 ,
527 ,
513 ,
499 ,
483 ,
464 ,
445 ,
420 ,
389 ,
361 ,
323 ,
285 ,
241 ,
186 ,
133 ,
71  ,
12  ,
-44 ,
-100  ,
-156  ,
-220  ,
-278  ,
-340  ,
-390  ,
-431  ,
-463  ,
-486  ,
-503  ,
-520  ,
-531  ,
-540  ,
-540  ,
-532  ,
-527  ,
-510  ,
-498  ,
-474  ,
-452  ,
-429  ,
-407  ,
-399  ,
-391  ,
-393  ,
-391  ,
-392  ,
-383  ,
-368  ,
-344  ,
-316  ,
-284  ,
-252  ,
-224  ,
-200  ,
-172  ,
-146  ,
-112  ,
-73 ,
-40 ,
-4  ,
16  ,
27  ,
30  ,
18  ,
25  ,
9 ,
2 ,
-20 ,
-43 ,
-64 ,
-85 ,
-92 ,
-90 ,
-90 ,
-78 ,
-82 ,
-78 ,
-86 ,
-80 ,
-81 ,
-74 ,
-70 ,
-81 ,
-85 ,
-87 ,
-90 ,
-80 ,
-75 ,
-66 ,
-61 ,
-60 ,
-55 ,
-56 ,
-49 ,
-48 ,
-36 ,
-23 ,
-3  ,
28  ,
61  ,
104 ,
154 ,
207 ,
265 ,
312 ,
358 ,
399 ,
431 ,
471 ,
496 ,
516 ,
514 ,
497 ,
461 ,
419 ,
377 ,
330 ,
296 ,
255 ,
226 ,
200 ,
180 ,
166 ,
153 ,
151 ,
142 ,
142 ,
144 ,
158 ,
190 ,
223 ,
269 ,
299 ,
335 ,
355 ,
370 ,
391 ,
397 ,
414 ,
420 ,
438 ,
455 ,
473 ,
497 ,
517 ,
538 ,
552 ,
557 ,
555 ,
546 ,
522 ,
495 ,
463 ,
426 ,
387 ,
335 ,
290 ,
227 ,
176 ,
114 ,
67  ,
14  ,
-44 ,
-102  ,
-173  ,
-236  ,
-299  ,
-347  ,
-383  ,
-402  ,
-418  ,
-428  ,
-444  ,
-449  ,
-453  ,
-448  ,
-445  ,
-438  ,
-434  ,
-438  ,
-441  ,
-453  ,
-458  ,
-466  ,
-473  ,
-475  ,
-483  ,
-486  ,
-482  ,
-467  ,
-449  ,
-415  ,
-396  ,
-362  ,
-341  ,
-317  ,
-299  ,
-288  ,
-267  ,
-253  ,
-235  ,
-225  ,
-223  ,
-232  ,
-245  ,
-265  ,
-280  ,
-304  ,
-324  ,
-345  ,
-361  ,
-367  ,
-372  ,
-358  ,
-334  ,
-306  ,
-277  ,
-257  ,
-246  ,
-241  ,
-241  ,
-252  ,
-257  ,
-271  ,
-279  ,
-295  ,
-298  ,
-308  ,
-301  ,
-294  ,
-278  ,
-263  ,
-250  ,
-243  ,
-238  ,
-233  ,
-226  ,
-214  ,
-193  ,
-159  ,
-122  ,
-77 ,
-20 ,
35  ,
98  ,
162 ,
224 ,
273 ,
310 ,
337 ,
346 ,
350 ,
341 ,
336 ,
306 ,
282 ,
242 ,
209 ,
169 ,
143 ,
110 ,
93  ,
71  ,
57  ,
52  ,
58  ,
69  ,
95  ,
110 ,
141 ,
160 ,
193 ,
226 ,
259 ,
298 ,
327 ,
351 ,
373 ,
379 ,
397 ,
407 ,
427 ,
453 ,
476 ,
509 ,
540 ,
571 ,
597 ,
617 ,
629 ,
625 ,
607 ,
565 ,
515 ,
450 ,
385 ,
319 ,
256 ,
190 ,
131 ,
66  ,
9 ,
-40 ,
-100  ,
-149  ,
-207  ,
-270  ,
-324  ,
-386  ,
-432  ,
-476  ,
-504  ,
-529  ,
-544  ,
-564  ,
-577  ,
-585  ,
-595  ,
-598  ,
-595  ,
-606  ,
-611  ,
-631  ,
-637  ,
-655  ,
-656  ,
-669  ,
-659  ,
-658  ,
-645  ,
-637  ,
-617  ,
-591  ,
-569  ,
-539  ,
-506  ,
-468  ,
-425  ,
-387  ,
-350  ,
-324  ,
-305  ,
-299  ,
-296  ,
-301  ,
-311  ,
-330  ,
-346  ,
-368  ,
-383  ,
-398  ,
-409  ,
-407  ,
-402  ,
-381  ,
-352  ,
-314  ,
-268  ,
-230  ,
-189  ,
-163  ,
-147  ,
-144  ,
-149  ,
-170  ,
-185  ,
-207  ,
-214  ,
-221  ,
-217  ,
-213  ,
-200  ,
-190  ,
-169  ,
-152  ,
-127  ,
-111  ,
-94 ,
-76 ,
-55 ,
-29 ,
6 ,
50  ,
100 ,
152 ,
207 ,
255 ,
298 ,
343 ,
374 ,
403 ,
422 ,
420 ,
417 ,
398 ,
375 ,
349 ,
322 ,
296 ,
271 ,
247 ,
224 ,
202 ,
182 ,
165 ,
170 ,
172 ,
199 ,
229 ,
274 ,
316 ,
351 ,
382 ,
406 ,
433 ,
455 ,
472 ,
485 ,
497 ,
504 ,
513 ,
524 ,
534 ,
548 ,
572 ,
595 ,
639 ,
664 ,
706 ,
726 ,
740 ,
736 ,
716 ,
672 ,
617 ,
539 ,
460 ,
378 ,
295 ,
221 ,
140 ,
71  ,
-1  ,
-64 ,
-120  ,
-173  ,
-221  ,
-274  ,
-327  ,
-371  ,
-424  ,
-454  ,
-495  ,
-514  ,
-547  ,
-566  ,
-596  ,
-611  ,
-623  ,
-620  ,
-605  ,
-591  ,
-573  ,
-560  ,
-552  ,
-543  ,
-530  ,
-514  ,
-491  ,
-464  ,
-441  ,
-408  ,
-389  ,
-355  ,
-335  ,
-300  ,
-277  ,
-239  ,
-209  ,
-165  ,
-122  ,
-86 ,
-55 ,
-45 ,
-40 ,
-51 ,
-70 ,
-91 ,
-119  ,
-134  ,
-150  ,
-160  ,
-171  ,
-178  ,
-180  ,
-167  ,
-143  ,
-110  ,
-63 ,
-26 ,
11  ,
37  ,
54  ,
73  ,
76  ,
75  ,
63  ,
51  ,
32  ,
6 ,
-8  ,
-17 ,
-20 ,
-14 ,
-4  ,
17  ,
44  ,
76  ,
115 ,
159 ,
207 ,
255 ,
297 ,
343 ,
378 ,
410 ,
442 ,
468 ,
505 ,
530 ,
565 ,
594 ,
620 ,
638 ,
644 ,
634 ,
621 ,
584 ,
565 ,
521 ,
501 ,
467 ,
447 ,
423 ,
399 ,
369 ,
343 ,
322 ,
309 ,
319 ,
336 ,
370 ,
401 ,
428 ,
449 ,
462 ,
461 ,
470 ,
456 ,
465 ,
451 ,
451 ,
450 ,
445 ,
454 ,
467 ,
484 ,
515 ,
531 ,
563 ,
564 ,
568 ,
552 ,
523 ,
493 ,
439 ,
383 ,
310 ,
236 ,
152 ,
74  ,
-5  ,
-73 ,
-140  ,
-199  ,
-247  ,
-297  ,
-331  ,
-370  ,
-388  ,
-416  ,
-425  ,
-448  ,
-469  ,
-488  ,
-510  ,
-536  ,
-559  ,
-580  ,
-599  ,
-603  ,
-611  ,
-597  ,
-589  ,
-571  ,
-550  ,
-523  ,
-495  ,
-465  ,
-434  ,
-400  ,
-355  ,
-320  ,
-269  ,
-237  ,
-206  ,
-188  ,
-171  ,
-158  ,
-138  ,
-117  ,
-91 ,
-66 ,
-46 ,
-27 ,
-22 ,
-20 ,
-33 ,
-46 ,
-78 ,
-102  ,
-133  ,
-154  ,
-175  ,
-181  ,
-185  ,
-176  ,
-168  ,
-142  ,
-114  ,
-85 ,
-59 ,
-31 ,
-14 ,
-2  ,
8 ,
7 ,
10  ,
1 ,
-12 ,
-28 ,
-47 ,
-69 ,
-80 ,
-85 ,
-74 ,
-48 ,
-14 ,
30  ,
88  ,
142 ,
200 ,
262 ,
321 ,
376 ,
425 ,
460 ,
488 ,
504 ,
510 ,
521 ,
526 ,
532 ,
529 ,
516 ,
506 ,
489 ,
478 ,
460 ,
455 ,
428 ,
413 ,
385 ,
362 ,
336 ,
299 ,
269 ,
237 ,
202 ,
179 ,
160 ,
159 ,
164 ,
189 ,
214 ,
245 ,
261 ,
278 ,
274 ,
268 ,
250 ,
239 ,
221 ,
217 ,
207 ,
203 ,
208 ,
226 ,
248 ,
283 ,
304 ,
334 ,
337 ,
346 ,
332 ,
312 ,
289 ,
244 ,
208 ,
153 ,
93  ,
27  ,
-48 ,
-114  ,
-185  ,
-242  ,
-289  ,
-332  ,
-362  ,
-389  ,
-407  ,
-414  ,
-427  ,
-419  ,
-433  ,
-436  ,
-461  ,
-474  ,
-504  ,
-534  ,
-567  ,
-594  ,
-615  ,
-633  ,
-638  ,
-640  ,
-620  ,
-599  ,
-559  ,
-512  ,
-459  ,
-400  ,
-348  ,
-293  ,
-251  ,
-216  ,
-194  ,
-179  ,
-171  ,
-168  ,
-168  ,
-169  ,
-165  ,
-157  ,
-149  ,
-131  ,
-122  ,
-110  ,
-108  ,
-107  ,
-123  ,
-142  ,
-173  ,
-204  ,
-229  ,
-249  ,
-258  ,
-261  ,
-247  ,
-222  ,
-190  ,
-155  ,
-116  ,
-86 ,
-55 ,
-34 ,
-19 ,
-7  ,
0 ,
-4  ,
-1  ,
-19 ,
-28 ,
-50 ,
-61 ,
-75 ,
-67 ,
-61 ,
-26 ,
6 ,
52  ,
107 ,
161 ,
225 ,
286 ,
350 ,
401 ,
445 ,
466 ,
479 ,
478 ,
465 ,
446 ,
421 ,
393 ,
363 ,
336 ,
307 ,
288 ,
262 ,
252 ,
242 ,
237 ,
228 ,
217 ,
198 ,
174 ,
147 ,
119 ,
90  ,
62  ,
40  ,
27  ,
20  ,
25  ,
35  ,
52  ,
72  ,
101 ,
121 ,
148 ,
153 ,
156 ,
146 ,
139 ,
134 ,
135 ,
144 ,
157 ,
182 ,
205 ,
238 ,
257 ,
279 ,
284 ,
283 ,
261 ,
241 ,
201 ,
165 ,
115 ,
63  ,
8 ,
-58 ,
-128  ,
-199  ,
-269  ,
-327  ,
-376  ,
-399  ,
-423  ,
-432  ,
-444  ,
-450  ,
-456  ,
-451  ,
-459  ,
-463  ,
-486  ,
-514  ,
-552  ,
-591  ,
-629  ,
-661  ,
-694  ,
-712  ,
-725  ,
-719  ,
-700  ,
-666  ,
-622  ,
-558  ,
-496  ,
-422  ,
-356  ,
-299  ,
-254  ,
-231  ,
-210  ,
-206  ,
-198  ,
-195  ,
-193  ,
-187  ,
-183  ,
-166  ,
-151  ,
-126  ,
-103  ,
-84 ,
-66 ,
-67 ,
-73 ,
-97 ,
-126  ,
-145  ,
-176  ,
-184  ,
-194  ,
-179  ,
-155  ,
-122  ,
-82 ,
-43 ,
-7  ,
19  ,
33  ,
44  ,
45  ,
44  ,
38  ,
27  ,
18  ,
10  ,
2 ,
-4  ,
-3  ,
-6  ,
7 ,
16  ,
46  ,
81  ,
134 ,
187 ,
250 ,
313 ,
367 ,
422 ,
449 ,
474 ,
479 ,
480 ,
469 ,
445 ,
413 ,
372 ,
321 ,
281 ,
244 ,
221 ,
200 ,
189 ,
188 ,
192 ,
206 ,
216 ,
226 ,
224 ,
214 ,
194 ,
174 ,
147 ,
132 ,
113 ,
109 ,
103 ,
107 ,
119 ,
126 ,
151 ,
172 ,
204 ,
238 ,
262 ,
276 ,
283 ,
280 ,
281 ,
283 ,
297 ,
316 ,
330 ,
349 ,
354 ,
367 ,
364 ,
362 ,
345 ,
329 ,
292 ,
252 ,
203 ,
147 ,
98  ,
40  ,
-12 ,
-71 ,
-133  ,
-189  ,
-245  ,
-289  ,
-317  ,
-339  ,
-346  ,
-355  ,
-360  ,
-369  ,
-381  ,
-393  ,
-416  ,
-429  ,
-460  ,
-488  ,
-523  ,
-554  ,
-588  ,
-612  ,
-631  ,
-637  ,
-635  ,
-614  ,
-574  ,
-520  ,
-450  ,
-373  ,
-287  ,
-216  ,
-153  ,
-107  ,
-78 ,
-60 ,
-49 ,
-38 ,
-27 ,
-20 ,
-16 ,
-13 ,
-11 ,
-9  ,
-12 ,
-9  ,
-11 ,
0 ,
-8  ,
-10 ,
-25 ,
-40 ,
-55 ,
-56 ,
-68 ,
-50 ,
-45 ,
-31 ,
-9  ,
7 ,
32  ,
45  ,
54  ,
55  ,
44  ,
34  ,
17  ,
-1  ,
-22 ,
-33 ,
-48 ,
-56 ,
-61 ,
-62 ,
-54 ,
-43 ,
-32 ,
-6  ,
22  ,
68  ,
116 ,
183 ,
241 ,
300 ,
344 ,
378 ,
402 ,
407 ,
402 ,
387 ,
358 ,
326 ,
279 ,
233 ,
188 ,
154 ,
136 ,
126 ,
140 ,
154 ,
176 ,
204 ,
212 ,
236 ,
230 ,
241 ,
228 ,
226 ,
215 ,
214 ,
206 ,
212 ,
210 ,
209 ,
210 ,
208 ,
217 ,
232 ,
259 ,
291 ,
319 ,
350 ,
376 ,
395 ,
408 ,
430 ,
441 ,
459 ,
468 ,
474 ,
471 ,
461 ,
438 ,
418 ,
379 ,
351 ,
302 ,
257 ,
201 ,
149 ,
96  ,
51  ,
5 ,
-36 ,
-82 ,
-128  ,
-181  ,
-226  ,
-266  ,
-291  ,
-309  ,
-320  ,
-325  ,
-339  ,
-347  ,
-367  ,
-380  ,
-402  ,
-422  ,
-450  ,
-485  ,
-517  ,
-544  ,
-568  ,
-576  ,
-575  ,
-554  ,
-525  ,
-476  ,
-424  ,
-356  ,
-291  ,
-226  ,
-167  ,
-123  ,
-90 ,
-64 ,
-55 ,
-43 ,
-34 ,
-25 ,
-23 ,
-27 ,
-43 ,
-65 ,
-94 ,
-119  ,
-147  ,
-161  ,
-181  ,
-191  ,
-200  ,
-206  ,
-205  ,
-207  ,
-206  ,
-209  ,
-210  ,
-215  ,
-214  ,
-218  ,
-214  ,
-222  ,
-219  ,
-230  ,
-236  ,
-251  ,
-269  ,
-282  ,
-292  ,
-294  ,
-290  ,
-279  ,
-262  ,
-237  ,
-216  ,
-184  ,
-150  ,
-116  ,
-74 ,
-31 ,
22  ,
76  ,
136 ,
201 ,
254 ,
302 ,
337 ,
351 ,
364 ,
346 ,
332 ,
297 ,
266 ,
227 ,
188 ,
163 ,
138 ,
135 ,
140 ,
156 ,
186 ,
211 ,
245 ,
265 ,
285 ,
299 ,
303 ,
306 ,
308 ,
307 ,
316 ,
325 ,
328 ,
341 ,
334 ,
340 ,
331 ,
333 ,
335 ,
341 ,
352 ,
373 ,
394 ,
423 ,
438 ,
462 ,
464 ,
475 ,
464 ,
455 ,
434 ,
410 ,
377 ,
347 ,
309 ,
273 ,
229 ,
179 ,
123 ,
67  ,
11  ,
-37 ,
-78 ,
-107  ,
-138  ,
-171  ,
-200  ,
-235  ,
-259  ,
-296  ,
-328  ,
-356  ,
-388  ,
-408  ,
-427  ,
-442  ,
-452  ,
-468  ,
-477  ,
-492  ,
-506  ,
-532  ,
-549  ,
-562  ,
-571  ,
-579  ,
-572  ,
-561  ,
-532  ,
-498  ,
-446  ,
-388  ,
-331  ,
-270  ,
-219  ,
-164  ,
-133  ,
-95 ,
-79 ,
-53 ,
-43 ,
-38 ,
-39 ,
-48 ,
-64 ,
-85 ,
-116  ,
-146  ,
-179  ,
-213  ,
-236  ,
-249  ,
-257  ,
-249  ,
-240  ,
-217  ,
-203  ,
-190  ,
-189  ,
-181  ,
-184  ,
-177  ,
-184  ,
-177  ,
-182  ,
-187  ,
-188  ,
-195  ,
-201  ,
-215  ,
-214  ,
-218  ,
-204  ,
-186  ,
-154  ,
-106  ,
-59 ,
2 ,
63  ,
126 ,
180 ,
232 ,
282 ,
325 ,
373 ,
406 ,
440 ,
466 ,
487 ,
498 ,
504 ,
497 ,
481 ,
454 ,
425 ,
392 ,
360 ,
337 ,
313 ,
308 ,
309 ,
318 ,
336 ,
351 ,
359 ,
370 ,
378 ,
381 ,
385 ,
381 ,
384 ,
384 ,
384 ,
380 ,
376 ,
375 ,
369 ,
368 ,
357 ,
348 ,
339 ,
334 ,
343 ,
362 ,
392 ,
429 ,
461 ,
489 ,
491 ,
492 ,
470 ,
455 ,
424 ,
401 ,
360 ,
324 ,
272 ,
227 ,
178 ,
128 ,
79  ,
31  ,
-16 ,
-56 ,
-96 ,
-132  ,
-158  ,
-175  ,
-196  ,
-209  ,
-243  ,
-269  ,
-319  ,
-356  ,
-408  ,
-444  ,
-485  ,
-508  ,
-531  ,
-539  ,
-552  ,
-560  ,
-574  ,
-585  ,
-604  ,
-615  ,
-621  ,
-624  ,
-617  ,
-594  ,
-563  ,
-514  ,
-467  ,
-417  ,
-372  ,
-331  ,
-289  ,
-250  ,
-202  ,
-164  ,
-136  ,
-118  ,
-121  ,
-123  ,
-137  ,
-150  ,
-156  ,
-181  ,
-193  ,
-228  ,
-255  ,
-283  ,
-295  ,
-297  ,
-286  ,
-268  ,
-239  ,
-218  ,
-198  ,
-189  ,
-189  ,
-187  ,
-192  ,
-197  ,
-212  ,
-223  ,
-239  ,
-258  ,
-258  ,
-270  ,
-258  ,
-259  ,
-250  ,
-242  ,
-228  ,
-201  ,
-160  ,
-112  ,
-49 ,
13  ,
78  ,
140 ,
200 ,
247 ,
282 ,
310 ,
324 ,
341 ,
345 ,
363 ,
370 ,
379 ,
376 ,
363 ,
336 ,
302 ,
269 ,
245 ,
229 ,
217 ,
211 ,
213 ,
209 ,
212 ,
208 ,
217 ,
221 ,
234 ,
250 ,
265 ,
288 ,
305 ,
323 ,
334 ,
345 ,
356 ,
366 ,
375 ,
374 ,
381 ,
382 ,
383 ,
387 ,
392 ,
402 ,
419 ,
437 ,
468 ,
491 ,
519 ,
529 ,
533 ,
512 ,
490 ,
447 ,
415 ,
364 ,
324 ,
272 ,
225 ,
170 ,
122 ,
73  ,
30  ,
-10 ,
-54 ,
-88 ,
-133  ,
-164  ,
-199  ,
-228  ,
-259  ,
-292  ,
-323  ,
-370  ,
-418  ,
-478  ,
-531  ,
-574  ,
-612  ,
-642  ,
-663  ,
-684  ,
-702  ,
-723  ,
-736  ,
-742  ,
-741  ,
-732  ,
-718  ,
-701  ,
-670  ,
-636  ,
-595  ,
-549  ,
-507  ,
-467  ,
-425  ,
-392  ,
-349  ,
-316  ,
-275  ,
-250  ,
-227  ,
-210  ,
-207  ,
-205  ,
-210  ,
-218  ,
-226  ,
-240  ,
-253  ,
-265  ,
-277  ,
-278  ,
-286  ,
-271  ,
-260  ,
-227  ,
-202  ,
-168  ,
-148  ,
-133  ,
-137  ,
-140  ,
-164  ,
-177  ,
-204  ,
-224  ,
-238  ,
-253  ,
-250  ,
-252  ,
-236  ,
-221  ,
-197  ,
-173  ,
-144  ,
-112  ,
-66 ,
-21 ,
46  ,
101 ,
168 ,
213 ,
258 ,
276 ,
298 ,
306 ,
321 ,
319 ,
322 ,
314 ,
310 ,
298 ,
288 ,
277 ,
264 ,
251 ,
238 ,
239 ,
245 ,
256 ,
276 ,
289 ,
305 ,
311 ,
315 ,
331 ,
339 ,
364 ,
383 ,
412 ,
429 ,
449 ,
457 ,
475 ,
484 ,
497 ,
506 ,
516 ,
528 ,
537 ,
551 ,
569 ,
578 ,
591 ,
593 ,
599 ,
606 ,
605 ,
616 ,
604 ,
594 ,
557 ,
512 ,
459 ,
390 ,
330 ,
269 ,
215 ,
172 ,
118 ,
71  ,
16  ,
-40 ,
-98 ,
-157  ,
-213  ,
-268  ,
-319  ,
-365  ,
-403  ,
-435  ,
-466  ,
-494  ,
-535  ,
-576  ,
-629  ,
-672  ,
-716  ,
-750  ,
-782  ,
-799  ,
-814  ,
-822  ,
-821  ,
-822  ,
-810  ,
-801  ,
-765  ,
-726  ,
-672  ,
-620  ,
-560  ,
-507  ,
-459  ,
-408  ,
-373  ,
-326  ,
-293  ,
-257  ,
-218  ,
-189  ,
-151  ,
-125  ,
-98 ,
-86 ,
-73 ,
-79 ,
-73 ,
-78 ,
-68 ,
-64 ,
-53 ,
-42 ,
-29 ,
-26 ,
-12 ,
-5  ,
6 ,
21  ,
27  ,
38  ,
37  ,
26  ,
12  ,
-11 ,
-40 ,
-68 ,
-94 ,
-114  ,
-124  ,
-123  ,
-117  ,
-99 ,
-77 ,
-44 ,
-3  ,
37  ,
85  ,
125 ,
183 ,
232 ,
299 ,
344 ,
395 ,
417 ,
438 ,
441 ,
446 ,
448 ,
446 ,
444 ,
440 ,
446 ,
438 ,
444 ,
434 ,
435 ,
431 ,
427 ,
432 ,
436 ,
449 ,
463 ,
473 ,
482 ,
478 ,
473 ,
471 ,
461 ,
475 ,
482 ,
501 ,
517 ,
535 ,
551 ,
565 ,
580 ,
585 ,
594 ,
598 ,
611 ,
621 ,
633 ,
646 ,
660 ,
663 ,
663 ,
651 ,
640 ,
612 ,
584 ,
548 ,
516 ,
473 ,
433 ,
374 ,
316 ,
253 ,
191 ,
143 ,
100 ,
51  ,
14  ,
-42 ,
-88 ,
-148  ,
-208  ,
-261  ,
-320  ,
-364  ,
-409  ,
-445  ,
-475  ,
-501  ,
-521  ,
-548  ,
-570  ,
-608  ,
-638  ,
-674  ,
-711  ,
-735  ,
-762  ,
-764  ,
-763  ,
-748  ,
-717  ,
-699  ,
-653  ,
-614  ,
-553  ,
-489  ,
-425  ,
-365  ,
-304  ,
-256  ,
-212  ,
-176  ,
-143  ,
-115  ,
-94 ,
-81 ,
-69 ,
-57 ,
-52 ,
-45 ,
-39 ,
-40 ,
-41 ,
-47 ,
-50 ,
-47 ,
-26 ,
-14 ,
8 ,
18  ,
23  ,
14  ,
5 ,
-6  ,
-18 ,
-31 ,
-43 ,
-57 ,
-74 ,
-101  ,
-127  ,
-153  ,
-172  ,
-186  ,
-190  ,
-181  ,
-170  ,
-146  ,
-122  ,
-90 ,
-52 ,
-19 ,
27  ,
70  ,
112 ,
162 ,
205 ,
256 ,
297 ,
331 ,
354 ,
364 ,
363 ,
353 ,
337 ,
325 ,
307 ,
288 ,
273 ,
255 ,
247 ,
239 ,
241 ,
251 ,
256 ,
263 ,
265 ,
264 ,
263 ,
251 ,
256 ,
242 ,
248 ,
244 ,
242 ,
237 ,
231 ,
223 ,
231 ,
229 ,
249 ,
250 ,
273 ,
277 ,
294 ,
315 ,
349 ,
384 ,
415 ,
433 ,
445 ,
439 ,
431 ,
414 ,
396 ,
379 ,
355 ,
328 ,
303 ,
277 ,
244 ,
208 ,
168 ,
117 ,
76  ,
21  ,
-13 ,
-60 ,
-86 ,
-121  ,
-151  ,
-195  ,
-229  ,
-272  ,
-298  ,
-328  ,
-355  ,
-382  ,
-417  ,
-446  ,
-489  ,
-518  ,
-559  ,
-591  ,
-634  ,
-668  ,
-705  ,
-730  ,
-752  ,
-753  ,
-746  ,
-724  ,
-687  ,
-646  ,
-591  ,
-539  ,
-488  ,
-442  ,
-405  ,
-370  ,
-343  ,
-319  ,
-292  ,
-270  ,
-243  ,
-231  ,
-219  ,
-218  ,
-223  ,
-222  ,
-230  ,
-220  ,
-221  ,
-210  ,
-203  ,
-189  ,
-167  ,
-138  ,
-104  ,
-78 ,
-52 ,
-42 ,
-35 ,
-45 ,
-59 ,
-72 ,
-92 ,
-106  ,
-130  ,
-145  ,
-172  ,
-187  ,
-213  ,
-218  ,
-228  ,
-222  ,
-215  ,
-200  ,
-186  ,
-156  ,
-128  ,
-85 ,
-42 ,
6 ,
59  ,
115 ,
164 ,
212 ,
254 ,
285 ,
318 ,
332 ,
343 ,
348 ,
338 ,
323 ,
299 ,
279 ,
262 ,
245 ,
226 ,
216 ,
200 ,
197 ,
202 ,
212 ,
219 ,
221 ,
219 ,
212 ,
203 ,
186 ,
182 ,
174 ,
176 ,
175 ,
170 ,
162 ,
152 ,
159 ,
164 ,
188 ,
211 ,
239 ,
273 ,
306 ,
350 ,
392 ,
442 ,
486 ,
522 ,
537 ,
545 ,
536 ,
523 ,
503 ,
483 ,
461 ,
438 ,
413 ,
383 ,
356 ,
326 ,
297 ,
272 ,
240 ,
202 ,
162 ,
105 ,
60  ,
6 ,
-42 ,
-93 ,
-140  ,
-187  ,
-224  ,
-255  ,
-284  ,
-312  ,
-347  ,
-382  ,
-419  ,
-456  ,
-500  ,
-544  ,
-592  ,
-639  ,
-686  ,
-724  ,
-750  ,
-769  ,
-775  ,
-775  ,
-755  ,
-728  ,
-683  ,
-641  ,
-584  ,
-539  ,
-487  ,
-451  ,
-405  ,
-378  ,
-343  ,
-317  ,
-301  ,
-280  ,
-277  ,
-265  ,
-269  ,
-269  ,
-268  ,
-264  ,
-255  ,
-244  ,
-222  ,
-197  ,
-163  ,
-124  ,
-81 ,
-43 ,
-10 ,
14  ,
28  ,
29  ,
20  ,
-3  ,
-29 ,
-52 ,
-86 ,
-103  ,
-124  ,
-139  ,
-147  ,
-154  ,
-152  ,
-146  ,
-130  ,
-122  ,
-101  ,
-89 ,
-66 ,
-40 ,
-12 ,
24  ,
64  ,
105 ,
152 ,
186 ,
224 ,
246 ,
271 ,
285 ,
305 ,
308 ,
312 ,
300 ,
285 ,
250 ,
222 ,
184 ,
155 ,
133 ,
117 ,
119 ,
119 ,
127 ,
137 ,
148 ,
152 ,
161 ,
160 ,
163 ,
158 ,
155 ,
152 ,
152 ,
149 ,
148 ,
147 ,
156 ,
165 ,
184 ,
206 ,
239 ,
276 ,
315 ,
366 ,
412 ,
464 ,
504 ,
544 ,
565 ,
575 ,
584 ,
573 ,
559 ,
532 ,
493 ,
459 ,
428 ,
397 ,
376 ,
352 ,
323 ,
296 ,
249 ,
211 ,
155 ,
108 ,
54  ,
0 ,
-48 ,
-96 ,
-139  ,
-183  ,
-213  ,
-245  ,
-273  ,
-304  ,
-346  ,
-385  ,
-430  ,
-465  ,
-500  ,
-527  ,
-562  ,
-589  ,
-627  ,
-657  ,
-681  ,
-698  ,
-695  ,
-684  ,
-663  ,
-628  ,
-587  ,
-535  ,
-474  ,
-411  ,
-347  ,
-288  ,
-241  ,
-198  ,
-171  ,
-147  ,
-131  ,
-122  ,
-102  ,
-100  ,
-88 ,
-82 ,
-76 ,
-64 ,
-58 ,
-37 ,
-11 ,
22  ,
67  ,
113 ,
159 ,
202 ,
227 ,
250 ,
254 ,
246 ,
219 ,
181 ,
137 ,
90  ,
47  ,
18  ,
-6  ,
-16 ,
-28 ,
-28 ,
-35 ,
-39 ,
-39 ,
-40 ,
-31 ,
-26 ,
-20 ,
-9  ,
10  ,
36  ,
68  ,
111 ,
145 ,
187 ,
214 ,
242 ,
263 ,
283 ,
299 ,
307 ,
306 ,
299 ,
278 ,
254 ,
231 ,
201 ,
179 ,
152 ,
128 ,
114 ,
98  ,
101 ,
98  ,
116 ,
126 ,
137 ,
143 ,
153 ,
153 ,
161 ,
153 ,
156 ,
152 ,
160 ,
161 ,
176 ,
189 ,
208 ,
230 ,
253 ,
286 ,
321 ,
361 ,
410 ,
455 ,
505 ,
540 ,
573 ,
595 ,
595 ,
587 ,
566 ,
536 ,
500 ,
460 ,
423 ,
391 ,
365 ,
340 ,
318 ,
297 ,
262 ,
225 ,
178 ,
134 ,
85  ,
32  ,
-19 ,
-72 ,
-115  ,
-158  ,
-190  ,
-217  ,
-241  ,
-262  ,
-290  ,
-314  ,
-357  ,
-385  ,
-429  ,
-457  ,
-492  ,
-519  ,
-544  ,
-564  ,
-573  ,
-590  ,
-585  ,
-583  ,
-569  ,
-543  ,
-518  ,
-474  ,
-437  ,
-388  ,
-344  ,
-298  ,
-258  ,
-223  ,
-193  ,
-169  ,
-162  ,
-154  ,
-159  ,
-155  ,
-153  ,
-146  ,
-136  ,
-131  ,
-118  ,
-105  ,
-84 ,
-50 ,
-19 ,
14  ,
49  ,
70  ,
90  ,
92  ,
92  ,
63  ,
33  ,
-19 ,
-60 ,
-115  ,
-159  ,
-207  ,
-229  ,
-256  ,
-254  ,
-259  ,
-249  ,
-241  ,
-235  ,
-222  ,
-214  ,
-197  ,
-181  ,
-163  ,
-139  ,
-113  ,
-76 ,
-39 ,
5 ,
45  ,
93  ,
134 ,
171 ,
195 ,
210 ,
215 ,
213 ,
203 ,
197 ,
182 ,
181 ,
156 ,
147 ,
126 ,
123 ,
107 ,
105 ,
96  ,
96  ,
94  ,
100 ,
99  ,
109 ,
107 ,
115 ,
121 ,
125 ,
127 ,
128 ,
137 ,
147 ,
162 ,
180 ,
203 ,
238 ,
261 ,
305 ,
326 ,
375 ,
403 ,
450 ,
484 ,
521 ,
550 ,
570 ,
583 ,
589 ,
573 ,
562 ,
526 ,
492 ,
453 ,
419 ,
388 ,
367 ,
346 ,
326 ,
297 ,
266 ,
226 ,
186 ,
138 ,
90  ,
48  ,
0 ,
-38 ,
-83 ,
-121  ,
-152  ,
-189  ,
-214  ,
-241  ,
-266  ,
-295  ,
-327  ,
-367  ,
-402  ,
-440  ,
-468  ,
-491  ,
-510  ,
-521  ,
-538  ,
-545  ,
-548  ,
-538  ,
-527  ,
-515  ,
-487  ,
-460  ,
-419  ,
-385  ,
-347  ,
-315  ,
-290  ,
-271  ,
-255  ,
-248  ,
-246  ,
-253  ,
-252  ,
-260  ,
-250  ,
-245  ,
-222  ,
-202  ,
-184  ,
-155  ,
-134  ,
-99 ,
-71 ,
-39 ,
-14 ,
8 ,
17  ,
18  ,
8 ,
-15 ,
-42 ,
-74 ,
-115  ,
-151  ,
-180  ,
-206  ,
-212  ,
-223  ,
-207  ,
-197  ,
-169  ,
-148  ,
-124  ,
-103  ,
-82 ,
-59 ,
-32 ,
-5  ,
28  ,
63  ,
104 ,
137 ,
178 ,
217 ,
257 ,
292 ,
322 ,
340 ,
347 ,
346 ,
342 ,
338 ,
337 ,
332 ,
332 ,
319 ,
301 ,
277 ,
249 ,
220 ,
193 ,
170 ,
154 ,
142 ,
127 ,
130 ,
120 ,
128 ,
123 ,
129 ,
130 ,
134 ,
135 ,
136 ,
148 ,
163 ,
190 ,
225 ,
262 ,
299 ,
338 ,
376 ,
410 ,
453 ,
487 ,
523 ,
545 ,
560 ,
560 ,
563 ,
548 ,
532 ,
507 ,
478 ,
443 ,
406 ,
376 ,
350 ,
330 ,
310 ,
294 ,
271 ,
239 ,
206 ,
167 ,
129 ,
93  ,
51  ,
11  ,
-42 ,
-86 ,
-137  ,
-176  ,
-218  ,
-249  ,
-280  ,
-314  ,
-344  ,
-382  ,
-415  ,
-442  ,
-470  ,
-490  ,
-507  ,
-521  ,
-525  ,
-531  ,
-537  ,
-536  ,
-544  ,
-536  ,
-539  ,
-524  ,
-510  ,
-481  ,
-456  ,
-421  ,
-400  ,
-376  ,
-365  ,
-349  ,
-347  ,
-332  ,
-336  ,
-324  ,
-323  ,
-312  ,
-295  ,
-267  ,
-239  ,
-202  ,
-163  ,
-127  ,
-83 ,
-57 ,
-27 ,
-13 ,
-9  ,
-7  ,
-22 ,
-23 ,
-49 ,
-62 ,
-89 ,
-115  ,
-135  ,
-162  ,
-173  ,
-190  ,
-190  ,
-185  ,
-165  ,
-140  ,
-106  ,
-74 ,
-44 ,
-8  ,
20  ,
58  ,
89  ,
118 ,
152 ,
185 ,
212 ,
248 ,
269 ,
295 ,
311 ,
327 ,
328 ,
335 ,
327 ,
326 ,
315 ,
302 ,
295 ,
275 ,
256 ,
219 ,
191 ,
139 ,
100 ,
52  ,
18  ,
-10 ,
-25 ,
-29 ,
-25 ,
-17 ,
-3  ,
11  ,
26  ,
36  ,
42  ,
41  ,
47  ,
54  ,
75  ,
100 ,
135 ,
172 ,
220 ,
271 ,
326 ,
381 ,
425 ,
464 ,
490 ,
513 ,
524 ,
527 ,
525 ,
511 ,
496 ,
465 ,
434 ,
394 ,
356 ,
317 ,
281 ,
253 ,
228 ,
215 ,
194 ,
177 ,
147 ,
117 ,
80  ,
45  ,
-3  ,
-58 ,
-118  ,
-178  ,
-225  ,
-277  ,
-319  ,
-368  ,
-411  ,
-455  ,
-498  ,
-535  ,
-576  ,
-603  ,
-620  ,
-630  ,
-627  ,
-627  ,
-620  ,
-620  ,
-624  ,
-631  ,
-639  ,
-643  ,
-643  ,
-629  ,
-616  ,
-589  ,
-566  ,
-527  ,
-503  ,
-465  ,
-445  ,
-425  ,
-424  ,
-418  ,
-420  ,
-404  ,
-390  ,
-361  ,
-333  ,
-293  ,
-260  ,
-215  ,
-175  ,
-124  ,
-90 ,
-52 ,
-31 ,
-11 ,
-11 ,
-13 ,
-22 ,
-35 ,
-57 ,
-95 ,
-131  ,
-170  ,
-200  ,
-224  ,
-239  ,
-249  ,
-242  ,
-226  ,
-195  ,
-155  ,
-112  ,
-55 ,
-2  ,
47  ,
85  ,
114 ,
139 ,
158 ,
184 ,
196 ,
224 ,
230 ,
246 ,
253 ,
264 ,
276 ,
287 ,
295 ,
304 ,
311 ,
315 ,
310 ,
301 ,
286 ,
262 ,
227 ,
191 ,
144 ,
105 ,
65  ,
46  ,
32  ,
30  ,
44  ,
52  ,
84  ,
94  ,
126 ,
137 ,
154 ,
162 ,
165 ,
170 ,
183 ,
201 ,
233 ,
268 ,
313 ,
362 ,
412 ,
456 ,
506 ,
545 ,
583 ,
611 ,
636 ,
640 ,
642 ,
624 ,
593 ,
555 ,
510 ,
464 ,
415 ,
359 ,
311 ,
259 ,
217 ,
188 ,
166 ,
156 ,
131 ,
118 ,
81  ,
48  ,
5 ,
-38 ,
-86 ,
-139  ,
-197  ,
-262  ,
-325  ,
-386  ,
-439  ,
-484  ,
-514  ,
-552  ,
-560  ,
-582  ,
-579  ,
-581  ,
-570  ,
-563  ,
-549  ,
-556  ,
-546  ,
-556  ,
-548  ,
-549  ,
-542  ,
-535  ,
-520  ,
-513  ,
-491  ,
-464  ,
-421  ,
-377  ,
-332  ,
-294  ,
-262  ,
-248  ,
-237  ,
-225  ,
-218  ,
-203  ,
-189  ,
-165  ,
-143  ,
-109  ,
-77 ,
-32 ,
3 ,
42  ,
67  ,
88  ,
94  ,
91  ,
87  ,
68  ,
46  ,
11  ,
-37 ,
-84 ,
-131  ,
-162  ,
-187  ,
-196  ,
-197  ,
-185  ,
-162  ,
-126  ,
-71 ,
-20 ,
50  ,
99  ,
157 ,
200 ,
238 ,
272 ,
299 ,
321 ,
343 ,
351 ,
364 ,
375 ,
382 ,
409 ,
431 ,
459 ,
479 ,
498 ,
504 ,
507 ,
489 ,
465 ,
433 ,
399 ,
366 ,
333 ,
303 ,
267 ,
236 ,
205 ,
189 ,
184 ,
190 ,
206 ,
224 ,
247 ,
266 ,
280 ,
294 ,
304 ,
304 ,
302 ,
300 ,
299 ,
317 ,
338 ,
376 ,
408 ,
446 ,
477 ,
505 ,
522 ,
541 ,
553 ,
567 ,
557 ,
542 ,
509 ,
462 ,
411 ,
352 ,
299 ,
243 ,
194 ,
140 ,
98  ,
50  ,
23  ,
1 ,
-5  ,
-13 ,
-27 ,
-41 ,
-73 ,
-95 ,
-140  ,
-174  ,
-232  ,
-290  ,
-357  ,
-421  ,
-480  ,
-527  ,
-565  ,
-577  ,
-582  ,
-575  ,
-559  ,
-542  ,
-520  ,
-500  ,
-482  ,
-460  ,
-450  ,
-430  ,
-434  ,
-420  ,
-434  ,
-424  ,
-438  ,
-433  ,
-434  ,
-419  ,
-397  ,
-362  ,
-315  ,
-272  ,
-217  ,
-180  ,
-143  ,
-125  ,
-112  ,
-114  ,
-112  ,
-105  ,
-95 ,
-69 ,
-58 ,
-41 ,
-23 ,
-11 ,
20  ,
31  ,
44  ,
53  ,
56  ,
44  ,
28  ,
3 ,
-29 ,
-62 ,
-104  ,
-131  ,
-157  ,
-162  ,
-161  ,
-150  ,
-123  ,
-85 ,
-31 ,
29  ,
93  ,
163 ,
230 ,
294 ,
346 ,
396 ,
417 ,
437 ,
437 ,
440 ,
447 ,
451 ,
465 ,
479 ,
502 ,
525 ,
548 ,
568 ,
580 ,
580 ,
564 ,
540 ,
506 ,
465 ,
425 ,
375 ,
328 ,
286 ,
234 ,
187 ,
147 ,
114 ,
104 ,
111 ,
123 ,
148 ,
168 ,
183 ,
208 ,
209 ,
213 ,
202 ,
191 ,
181 ,
183 ,
192 ,
210 ,
224 ,
246 ,
260 ,
279 ,
285 ,
300 ,
318 ,
340 ,
355 ,
365 ,
358 ,
343 ,
316 ,
271 ,
226 ,
182 ,
136 ,
101 ,
57  ,
24  ,
0 ,
-21 ,
-27 ,
-40 ,
-40 ,
-50 ,
-57 ,
-75 ,
-95 ,
-123  ,
-175  ,
-225  ,
-290  ,
-350  ,
-408  ,
-462  ,
-496  ,
-525  ,
-525  ,
-517  ,
-500  ,
-485  ,
-462  ,
-456  ,
-426  ,
-419  ,
-398  ,
-394  ,
-396  ,
-409  ,
-435  ,
-459  ,
-487  ,
-507  ,
-523  ,
-525  ,
-513  ,
-496  ,
-459  ,
-416  ,
-372  ,
-328  ,
-293  ,
-267  ,
-250  ,
-246  ,
-239  ,
-227  ,
-209  ,
-198  ,
-190  ,
-181  ,
-173  ,
-163  ,
-155  ,
-144  ,
-140  ,
-128  ,
-134  ,
-132  ,
-142  ,
-152  ,
-170  ,
-182  ,
-205  ,
-214  ,
-226  ,
-222  ,
-218  ,
-207  ,
-191  ,
-160  ,
-119  ,
-69 ,
-14 ,
53  ,
120 ,
189 ,
258 ,
309 ,
355 ,
381 ,
397 ,
407 ,
410 ,
409 ,
413 ,
407 ,
416 ,
417 ,
435 ,
436 ,
449 ,
438 ,
435 ,
425 ,
409 ,
389 ,
361 ,
318 ,
272 ,
210 ,
152 ,
94  ,
49  ,
12  ,
-4  ,
-18 ,
-6  ,
8 ,
42  ,
64  ,
103 ,
128 ,
154 ,
166 ,
175 ,
181 ,
197 ,
210 ,
229 ,
243 ,
262 ,
282 ,
302 ,
319 ,
340 ,
350 ,
370 ,
381 ,
392 ,
400 ,
387 ,
382 ,
360 ,
334 ,
311 ,
275 ,
246 ,
207 ,
167 ,
132 ,
90  ,
69  ,
37  ,
31  ,
17  ,
10  ,
-1  ,
-16 ,
-44 ,
-77 ,
-134  ,
-194  ,
-259  ,
-331  ,
-393  ,
-451  ,
-499  ,
-529  ,
-543  ,
-548  ,
-535  ,
-527  ,
-504  ,
-487  ,
-456  ,
-439  ,
-423  ,
-418  ,
-427  ,
-446  ,
-474  ,
-504  ,
-533  ,
-560  ,
-579  ,
-583  ,
-575  ,
-544  ,
-509  ,
-449  ,
-404  ,
-345  ,
-306  ,
-261  ,
-228  ,
-197  ,
-169  ,
-151  ,
-141  ,
-142  ,
-141  ,
-143  ,
-142  ,
-140  ,
-135  ,
-138  ,
-132  ,
-142  ,
-147  ,
-152  ,
-162  ,
-167  ,
-174  ,
-174  ,
-181  ,
-189  ,
-188  ,
-196  ,
-193  ,
-191  ,
-185  ,
-161  ,
-143  ,
-99 ,
-55 ,
4 ,
74  ,
135 ,
205 ,
247 ,
288 ,
306 ,
314 ,
310 ,
307 ,
287 ,
280 ,
265 ,
259 ,
256 ,
253 ,
262 ,
271 ,
277 ,
284 ,
284 ,
284 ,
277 ,
265 ,
246 ,
206 ,
170 ,
115 ,
73  ,
29  ,
-6  ,
-19 ,
-27 ,
-8  ,
20  ,
52  ,
96  ,
131 ,
168 ,
211 ,
241 ,
282 ,
303 ,
325 ,
330 ,
339 ,
340 ,
349 ,
353 ,
363 ,
373 ,
385 ,
388 ,
391 ,
399 ,
390 ,
387 ,
374 ,
360 ,
343 ,
320 ,
302 ,
267 ,
238 ,
195 ,
155 ,
111 ,
65  ,
26  ,
-7  ,
-29 ,
-48 ,
-72 ,
-94 ,
-133  ,
-172  ,
-216  ,
-257  ,
-305  ,
-344  ,
-389  ,
-424  ,
-459  ,
-485  ,
-501  ,
-507  ,
-510  ,
-495  ,
-489  ,
-466  ,
-445  ,
-416  ,
-386  ,
-363  ,
-343  ,
-351  ,
-359  ,
-374  ,
-395  ,
-406  ,
-421  ,
-431  ,
-430  ,
-423  ,
-401  ,
-369  ,
-324  ,
-289  ,
-241  ,
-202  ,
-154  ,
-114  ,
-72 ,
-43 ,
-29 ,
-26 ,
-32 ,
-51 ,
-67 ,
-88 ,
-95 ,
-114  ,
-124  ,
-142  ,
-162  ,
-176  ,
-205  ,
-220  ,
-238  ,
-248  ,
-251  ,
-254  ,
-253  ,
-250  ,
-246  ,
-234  ,
-233  ,
-223  ,
-207  ,
-177  ,
-135  ,
-89 ,
-35 ,
15  ,
67  ,
116 ,
157 ,
202 ,
227 ,
258 ,
277 ,
297 ,
305 ,
317 ,
308 ,
306 ,
286 ,
280 ,
260 ,
261 ,
251 ,
265 ,
278 ,
292 ,
304 ,
295 ,
282 ,
254 ,
216 ,
185 ,
145 ,
112 ,
85  ,
64  ,
62  ,
71  ,
95  ,
125 ,
157 ,
194 ,
232 ,
283 ,
323 ,
367 ,
387 ,
412 ,
419 ,
415 ,
415 ,
405 ,
401 ,
394 ,
390 ,
388 ,
382 ,
379 ,
367 ,
355 ,
329 ,
310 ,
279 ,
266 ,
237 ,
224 ,
207 ,
182 ,
163 ,
121 ,
90  ,
51  ,
28  ,
-11 ,
-26 ,
-64 ,
-90 ,
-131  ,
-163  ,
-201  ,
-222  ,
-250  ,
-269  ,
-287  ,
-307  ,
-314  ,
-330  ,
-332  ,
-344  ,
-350  ,
-351  ,
-350  ,
-336  ,
-316  ,
-281  ,
-244  ,
-210  ,
-180  ,
-176  ,
-175  ,
-203  ,
-215  ,
-248  ,
-271  ,
-295  ,
-315  ,
-323  ,
-322  ,
-309  ,
-281  ,
-244  ,
-208  ,
-163  ,
-118  ,
-74 ,
-38 ,
-24 ,
-4  ,
-16 ,
-20 ,
-54 ,
-82 ,
-117  ,
-150  ,
-185  ,
-214  ,
-240  ,
-265  ,
-281  ,
-303  ,
-309  ,
-322  ,
-324  ,
-331  ,
-325  ,
-320  ,
-313  ,
-293  ,
-281  ,
-257  ,
-244  ,
-213  ,
-185  ,
-140  ,
-101  ,
-48 ,
-13 ,
41  ,
80  ,
130 ,
177 ,
221 ,
254 ,
285 ,
306 ,
332 ,
343 ,
357 ,
350 ,
342 ,
324 ,
304 ,
304 ,
291 ,
308 ,
320 ,
340 ,
351 ,
358 ,
345 ,
327 ,
288 ,
252 ,
218 ,
186 ,
167 ,
147 ,
140 ,
141 ,
143 ,
159 ,
177 ,
209 ,
249 ,
290 ,
342 ,
376 ,
421 ,
448 ,
471 ,
479 ,
481 ,
467 ,
462 ,
444 ,
435 ,
420 ,
420 ,
409 ,
409 ,
401 ,
394 ,
388 ,
381 ,
370 ,
356 ,
347 ,
330 ,
322 ,
291 ,
271 ,
232 ,
204 ,
163 ,
128 ,
84  ,
40  ,
-5  ,
-46 ,
-88 ,
-122  ,
-152  ,
-177  ,
-205  ,
-226  ,
-247  ,
-256  ,
-275  ,
-285  ,
-309  ,
-322  ,
-335  ,
-338  ,
-329  ,
-318  ,
-297  ,
-280  ,
-263  ,
-250  ,
-251  ,
-257  ,
-284  ,
-305  ,
-349  ,
-368  ,
-400  ,
-407  ,
-417  ,
-419  ,
-405  ,
-396  ,
-368  ,
-338  ,
-297  ,
-251  ,
-207  ,
-166  ,
-133  ,
-106  ,
-94 ,
-88 ,
-95 ,
-109  ,
-137  ,
-170  ,
-213  ,
-253  ,
-291  ,
-318  ,
-338  ,
-341  ,
-344  ,
-338  ,
-335  ,
-325  ,
-328  ,
-313  ,
-308  ,
-288  ,
-268  ,
-243  ,
-210  ,
-181  ,
-141  ,
-104  ,
-61 ,
-20 ,
24  ,
60  ,
102 ,
133 ,
174 ,
200 ,
239 ,
252 ,
275 ,
285 ,
285 ,
298 ,
296 ,
301 ,
302 ,
307 ,
306 ,
320 ,
319 ,
328 ,
331 ,
336 ,
330 ,
303 ,
275 ,
226 ,
182 ,
137 ,
105 ,
82  ,
74  ,
70  ,
73  ,
77  ,
96  ,
116 ,
152 ,
182 ,
231 ,
265 ,
313 ,
352 ,
378 ,
410 ,
419 ,
435 ,
427 ,
420 ,
395 ,
376 ,
342 ,
324 ,
304 ,
303 ,
295 ,
304 ,
299 ,
306 ,
299 ,
295 ,
275 ,
259 ,
223 ,
204 ,
166 ,
143 ,
109 ,
80  ,
28  ,
-10 ,
-68 ,
-111  ,
-159  ,
-204  ,
-238  ,
-269  ,
-294  ,
-320  ,
-350  ,
-375  ,
-410  ,
-430  ,
-450  ,
-458  ,
-458  ,
-459  ,
-437  ,
-426  ,
-396  ,
-374  ,
-357  ,
-340  ,
-337  ,
-349  ,
-367  ,
-400  ,
-431  ,
-471  ,
-497  ,
-507  ,
-513  ,
-500  ,
-495  ,
-467  ,
-447  ,
-401  ,
-357  ,
-309  ,
-266  ,
-226  ,
-184  ,
-149  ,
-130  ,
-108  ,
-108  ,
-101  ,
-113  ,
-130  ,
-153  ,
-177  ,
-210  ,
-227  ,
-258  ,
-263  ,
-278  ,
-267  ,
-258  ,
-247  ,
-241  ,
-238  ,
-241  ,
-236  ,
-240  ,
-218  ,
-188  ,
-144  ,
-95 ,
-44 ,
-3  ,
43  ,
74  ,
112 ,
143 ,
178 ,
204 ,
237 ,
256 ,
288 ,
301 ,
316 ,
317 ,
314 ,
309 ,
303 ,
307 ,
317 ,
335 ,
359 ,
384 ,
395 ,
409 ,
397 ,
394 ,
370 ,
349 ,
310 ,
275 ,
225 ,
182 ,
139 ,
118 ,
95  ,
91  ,
85  ,
91  ,
112 ,
139 ,
176 ,
216 ,
261 ,
304 ,
336 ,
361 ,
376 ,
380 ,
387 ,
386 ,
386 ,
376 ,
361 ,
348 ,
315 ,
300 ,
284 ,
280 ,
292 ,
293 ,
305 ,
299 ,
288 ,
261 ,
233 ,
193 ,
165 ,
127 ,
108 ,
77  ,
59  ,
25  ,
-8  ,
-52 ,
-98 ,
-149  ,
-203  ,
-248  ,
-288  ,
-318  ,
-334  ,
-356  ,
-373  ,
-404  ,
-427  ,
-443  ,
-455  ,
-444  ,
-434  ,
-402  ,
-371  ,
-337  ,
-298  ,
-274  ,
-252  ,
-252  ,
-261  ,
-278  ,
-310  ,
-342  ,
-383  ,
-407  ,
-438  ,
-440  ,
-439  ,
-427  ,
-411  ,
-386  ,
-343  ,
-299  ,
-237  ,
-190  ,
-138  ,
-103  ,
-76 ,
-63 ,
-52 ,
-47 ,
-45 ,
-47 ,
-45 ,
-56 ,
-67 ,
-84 ,
-102  ,
-111  ,
-127  ,
-136  ,
-135  ,
-135  ,
-129  ,
-130  ,
-119  ,
-126  ,
-135  ,
-156  ,
-165  ,
-159  ,
-132  ,
-88 ,
-36 ,
14  ,
61  ,
98  ,
128 ,
158 ,
176 ,
203 ,
224 ,
244 ,
260 ,
272 ,
286 ,
290 ,
291 ,
288 ,
280 ,
286 ,
286 ,
309 ,
334 ,
368 ,
409 ,
428 ,
452 ,
438 ,
426 ,
386 ,
351 ,
312 ,
265 ,
231 ,
191 ,
153 ,
127 ,
107 ,
96  ,
100 ,
111 ,
135 ,
175 ,
207 ,
260 ,
297 ,
335 ,
352 ,
360 ,
366 ,
364 ,
359 ,
361 ,
363 ,
365 ,
356 ,
349 ,
326 ,
319 ,
310 ,
307 ,
317 ,
319 ,
330 ,
318 ,
309 ,
269 ,
231 ,
181 ,
140 ,
98  ,
75  ,
46  ,
23  ,
-7  ,
-37 ,
-72 ,
-105  ,
-141  ,
-180  ,
-217  ,
-258  ,
-294  ,
-318  ,
-342  ,
-365  ,
-396  ,
-426  ,
-448  ,
-464  ,
-458  ,
-443  ,
-407  ,
-373  ,
-325  ,
-286  ,
-256  ,
-233  ,
-241  ,
-249  ,
-277  ,
-309  ,
-349  ,
-389  ,
-419  ,
-447  ,
-459  ,
-460  ,
-449  ,
-433  ,
-405  ,
-369  ,
-323  ,
-267  ,
-213  ,
-157  ,
-124  ,
-98 ,
-95 ,
-91 ,
-101  ,
-101  ,
-116  ,
-107  ,
-120  ,
-114  ,
-135  ,
-140  ,
-156  ,
-161  ,
-165  ,
-156  ,
-143  ,
-133  ,
-124  ,
-122  ,
-127  ,
-136  ,
-146  ,
-152  ,
-150  ,
-143  ,
-117  ,
-82 ,
-40 ,
7 ,
50  ,
92  ,
135 ,
170 ,
213 ,
243 ,
277 ,
295 ,
307 ,
304 ,
294 ,
275 ,
261 ,
249 ,
248 ,
254 ,
267 ,
293 ,
322 ,
362 ,
393 ,
419 ,
424 ,
419 ,
389 ,
350 ,
297 ,
245 ,
197 ,
151 ,
105 ,
64  ,
32  ,
18  ,
18  ,
33  ,
57  ,
97  ,
137 ,
180 ,
222 ,
245 ,
264 ,
266 ,
268 ,
263 ,
252 ,
238 ,
226 ,
213 ,
207 ,
196 ,
201 ,
203 ,
213 ,
231 ,
252 ,
275 ,
297 ,
303 ,
296 ,
266 ,
220 ,
174 ,
121 ,
75  ,
25  ,
-17 ,
-60 ,
-93 ,
-132  ,
-163  ,
-195  ,
-214  ,
-243  ,
-259  ,
-287  ,
-307  ,
-342  ,
-370  ,
-401  ,
-425  ,
-448  ,
-470  ,
-482  ,
-491  ,
-485  ,
-469  ,
-439  ,
-401  ,
-358  ,
-317  ,
-285  ,
-263  ,
-265  ,
-273  ,
-300  ,
-327  ,
-363  ,
-407  ,
-432  ,
-471  ,
-477  ,
-488  ,
-461  ,
-437  ,
-400  ,
-360  ,
-311  ,
-258  ,
-208  ,
-162  ,
-129  ,
-111  ,
-108  ,
-114  ,
-129  ,
-151  ,
-177  ,
-199  ,
-216  ,
-226  ,
-220  ,
-210  ,
-190  ,
-169  ,
-137  ,
-108  ,
-72 ,
-58 ,
-37 ,
-44 ,
-40 ,
-55 ,
-59 ,
-64 ,
-66 ,
-64 ,
-50 ,
-31 ,
4 ,
40  ,
86  ,
132 ,
177 ,
221 ,
254 ,
287 ,
311 ,
324 ,
333 ,
327 ,
330 ,
317 ,
314 ,
315 ,
311 ,
328 ,
338 ,
366 ,
392 ,
419 ,
439 ,
458 ,
455 ,
444 ,
417 ,
374 ,
329 ,
267 ,
211 ,
150 ,
100 ,
60  ,
45  ,
44  ,
56  ,
77  ,
116 ,
164 ,
217 ,
264 ,
305 ,
324 ,
329 ,
317 ,
300 ,
270 ,
239 ,
197 ,
170 ,
152 ,
157 ,
176 ,
198 ,
232 ,
262 ,
290 ,
321 ,
337 ,
346 ,
340 ,
320 ,
299 ,
251 ,
213 ,
154 ,
104 ,
43  ,
-8  ,
-54 ,
-87 ,
-110  ,
-127  ,
-134  ,
-138  ,
-138  ,
-140  ,
-150  ,
-168  ,
-196  ,
-220  ,
-240  ,
-255  ,
-259  ,
-262  ,
-270  ,
-265  ,
-266  ,
-247  ,
-226  ,
-195  ,
-169  ,
-144  ,
-123  ,
-113  ,
-115  ,
-123  ,
-138  ,
-156  ,
-187  ,
-218  ,
-254  ,
-283  ,
-297  ,
-299  ,
-289  ,
-271  ,
-246  ,
-204  ,
-159  ,
-106  ,
-61 ,
-15 ,
2 ,
14  ,
3 ,
-14 ,
-43 ,
-79 ,
-116  ,
-149  ,
-169  ,
-188  ,
-189  ,
-184  ,
-172  ,
-145  ,
-124  ,
-90 ,
-67 ,
-43 ,
-31 ,
-22 ,
-17 ,
-29 ,
-32 ,
-46 ,
-54 ,
-66 ,
-64 ,
-60 ,
-36 ,
-10 ,
31  ,
62  ,
102 ,
132 ,
164 ,
177 ,
187 ,
180 ,
177 ,
167 ,
159 ,
150 ,
145 ,
132 ,
130 ,
113 ,
118 ,
113 ,
118 ,
118 ,
127 ,
123 ,
119 ,
103 ,
84  ,
50  ,
16  ,
-37 ,
-78 ,
-126  ,
-158  ,
-194  ,
-206  ,
-209  ,
-193  ,
-168  ,
-126  ,
-86 ,
-32 ,
17  ,
56  ,
82  ,
84  ,
79  ,
58  ,
28  ,
-7  ,
-37 ,
-59 ,
-76 ,
-68 ,
-67 ,
-28 ,
-2  ,
49  ,
93  ,
131 ,
165 ,
183 ,
197 ,
186 ,
173 ,
130 ,
96  ,
31  ,
-25 ,
-92 ,
-147  ,
-192  ,
-235  ,
-255  ,
-275  ,
-273  ,
-272  ,
-260  ,
-259  ,
-251  ,
-255  ,
-247  ,
-260  ,
-257  ,
-266  ,
-272  ,
-285  ,
-303  ,
-313  ,
-323  ,
-323  ,
-317  ,
-307  ,
-287  ,
-266  ,
-246  ,
-231  ,
-225  ,
-216  ,
-222  ,
-227  ,
-243  ,
-260  ,
-272  ,
-302  ,
-313  ,
-327  ,
-311  ,
-300  ,
-265  ,
-233  ,
-184  ,
-133  ,
-84 ,
-45 ,
-26 ,
-14 ,
-28 ,
-48 ,
-83 ,
-117  ,
-160  ,
-186  ,
-215  ,
-223  ,
-232  ,
-219  ,
-200  ,
-166  ,
-130  ,
-80 ,
-31 ,
9 ,
46  ,
69  ,
74  ,
72  ,
63  ,
46  ,
36  ,
16  ,
10  ,
3 ,
11  ,
21  ,
49  ,
77  ,
110 ,
145 ,
175 ,
210 ,
241 ,
262 ,
280 ,
284 ,
283 ,
274 ,
256 ,
245 ,
220 ,
214 ,
199 ,
202 ,
195 ,
203 ,
211 ,
222 ,
229 ,
229 ,
224 ,
211 ,
202 ,
177 ,
162 ,
129 ,
103 ,
73  ,
60  ,
52  ,
63  ,
86  ,
117 ,
166 ,
210 ,
265 ,
300 ,
334 ,
348 ,
340 ,
334 ,
312 ,
295 ,
273 ,
253 ,
245 ,
245 ,
257 ,
286 ,
319 ,
359 ,
403 ,
444 ,
494 ,
519 ,
538 ,
536 ,
511 ,
481 ,
426 ,
366 ,
301 ,
230 ,
161 ,
97  ,
49  ,
11  ,
-17 ,
-29 ,
-38 ,
-24 ,
-20 ,
6 ,
21  ,
39  ,
37  ,
33  ,
8 ,
-14 ,
-45 ,
-77 ,
-108  ,
-132  ,
-148  ,
-155  ,
-155  ,
-144  ,
-123  ,
-99 ,
-84 ,
-75 ,
-83 ,
-87 ,
-95 ,
-104  ,
-111  ,
-138  ,
-153  ,
-188  ,
-208  ,
-228  ,
-222  ,
-204  ,
-170  ,
-129  ,
-88 ,
-45 ,
-12 ,
9 ,
14  ,
3 ,
-16 ,
-44 ,
-81 ,
-120  ,
-156  ,
-180  ,
-193  ,
-198  ,
-196  ,
-178  ,
-158  ,
-114  ,
-74 ,
-17 ,
27  ,
63  ,
89  ,
95  ,
101 ,
77  ,
65  ,
35  ,
17  ,
-8  ,
-21 ,
-29 ,
-28 ,
-22 ,
-5  ,
17  ,
56  ,
96  ,
140 ,
183 ,
216 ,
236 ,
240 ,
244 ,
225 ,
206 ,
172 ,
137 ,
107 ,
76  ,
62  ,
50  ,
55  ,
58  ,
71  ,
73  ,
84  ,
89  ,
98  ,
110 ,
109 ,
108 ,
89  ,
69  ,
39  ,
10  ,
-5  ,
-9  ,
0 ,
18  ,
50  ,
85  ,
126 ,
161 ,
186 ,
201 ,
199 ,
189 ,
174 ,
158 ,
138 ,
126 ,
121 ,
112 ,
122 ,
122 ,
140 ,
163 ,
192 ,
230 ,
263 ,
285 ,
298 ,
288 ,
270 ,
220 ,
168 ,
108 ,
46  ,
-23 ,
-90 ,
-158  ,
-206  ,
-244  ,
-269  ,
-275  ,
-272  ,
-258  ,
-230  ,
-194  ,
-161  ,
-128  ,
-116  ,
-113  ,
-125  ,
-151  ,
-179  ,
-212  ,
-243  ,
-267  ,
-288  ,
-294  ,
-299  ,
-290  ,
-272  ,
-256  ,
-225  ,
-196  ,
-165  ,
-139  ,
-126  ,
-121  ,
-127  ,
-139  ,
-172  ,
-204  ,
-245  ,
-268  ,
-278  ,
-275  ,
-252  ,
-223  ,
-183  ,
-154  ,
-118  ,
-109  ,
-98 ,
-112  ,
-122  ,
-150  ,
-167  ,
-203  ,
-217  ,
-251  ,
-268  ,
-288  ,
-282  ,
-270  ,
-236  ,
-199  ,
-148  ,
-101  ,
-53 ,
-19 ,
10  ,
20  ,
19  ,
-2  ,
-19 ,
-53 ,
-66 ,
-96 ,
-106  ,
-114  ,
-126  ,
-117  ,
-120  ,
-90 ,
-54 ,
3 ,
67  ,
121 ,
169 ,
192 ,
196 ,
196 ,
170 ,
150 ,
114 ,
80  ,
49  ,
20  ,
4 ,
-14 ,
-18 ,
-18 ,
-9  ,
10  ,
38  ,
52  ,
82  ,
88  ,
103 ,
96  ,
88  ,
57  ,
30  ,
-11 ,
-29 ,
-47 ,
-38 ,
-20 ,
3 ,
25  ,
46  ,
61  ,
82  ,
89  ,
99  ,
101 ,
102 ,
103 ,
94  ,
100 ,
96  ,
104 ,
106 ,
120 ,
137 ,
153 ,
179 ,
197 ,
229 ,
249 ,
262 ,
258 ,
233 ,
201 ,
150 ,
101 ,
52  ,
0 ,
-45 ,
-101  ,
-142  ,
-183  ,
-205  ,
-223  ,
-211  ,
-195  ,
-152  ,
-118  ,
-75 ,
-40 ,
-17 ,
-9  ,
-13 ,
-26 ,
-48 ,
-78 ,
-110  ,
-147  ,
-174  ,
-200  ,
-210  ,
-219  ,
-214  ,
-193  ,
-164  ,
-129  ,
-100  ,
-69 ,
-53 ,
-35 ,
-42 ,
-52 ,
-73 ,
-103  ,
-125  ,
-145  ,
-156  ,
-161  ,
-160  ,
-151  ,
-139  ,
-124  ,
-116  ,
-102  ,
-97 ,
-101  ,
-102  ,
-113  ,
-127  ,
-138  ,
-160  ,
-171  ,
-183  ,
-190  ,
-183  ,
-168  ,
-147  ,
-112  ,
-70 ,
-21 ,
36  ,
87  ,
126 ,
153 ,
163 ,
157 ,
152 ,
136 ,
123 ,
108 ,
93  ,
82  ,
78  ,
88  ,
102 ,
139 ,
182 ,
239 ,
296 ,
352 ,
389 ,
418 ,
425 ,
418 ,
398 ,
371 ,
331 ,
289 ,
237 ,
202 ,
161 ,
142 ,
127 ,
129 ,
146 ,
171 ,
197 ,
225 ,
244 ,
252 ,
255 ,
239 ,
219 ,
192 ,
169 ,
142 ,
120 ,
106 ,
94  ,
87  ,
94  ,
96  ,
115 ,
130 ,
150 ,
167 ,
180 ,
196 ,
200 ,
203 ,
203 ,
202 ,
195 ,
195 ,
196 ,
195 ,
198 ,
206 ,
211 ,
231 ,
236 ,
253 ,
257 ,
256 ,
246 ,
219 ,
188 ,
143 ,
105 ,
54  ,
14  ,
-45 ,
-84 ,
-130  ,
-151  ,
-167  ,
-160  ,
-146  ,
-115  ,
-84 ,
-53 ,
-26 ,
-7  ,
0 ,
-8  ,
-20 ,
-46 ,
-73 ,
-114  ,
-152  ,
-191  ,
-218  ,
-232  ,
-247  ,
-237  ,
-228  ,
-202  ,
-175  ,
-152  ,
-126  ,
-115  ,
-102  ,
-109  ,
-110  ,
-122  ,
-143  ,
-163  ,
-189  ,
-206  ,
-226  ,
-234  ,
-244  ,
-244  ,
-242  ,
-232  ,
-224  ,
-209  ,
-206  ,
-198  ,
-196  ,
-205  ,
-207  ,
-222  ,
-220  ,
-228  ,
-224  ,
-219  ,
-209  ,
-190  ,
-162  ,
-131  ,
-93 ,
-51 ,
-6  ,
35  ,
69  ,
92  ,
105 ,
107 ,
98  ,
84  ,
53  ,
35  ,
14  ,
0 ,
10  ,
17  ,
43  ,
73  ,
118 ,
162 ,
209 ,
250 ,
266 ,
280 ,
267 ,
253 ,
216 ,
180 ,
125 ,
90  ,
40  ,
15  ,
-7  ,
-4  ,
5 ,
23  ,
46  ,
66  ,
86  ,
93  ,
108 ,
108 ,
116 ,
111 ,
108 ,
94  ,
78  ,
59  ,
37  ,
22  ,
13  ,
10  ,
14  ,
29  ,
39  ,
72  ,
94  ,
125 ,
146 ,
166 ,
173 ,
182 ,
179 ,
179 ,
175 ,
167 ,
164 ,
154 ,
151 ,
137 ,
135 ,
127 ,
124 ,
130 ,
137 ,
134 ,
130 ,
111 ,
93  ,
56  ,
12  ,
-35 ,
-88 ,
-130  ,
-170  ,
-189  ,
-208  ,
-202  ,
-196  ,
-176  ,
-148  ,
-117  ,
-75 ,
-58 ,
-41 ,
-58 ,
-76 ,
-110  ,
-151  ,
-189  ,
-237  ,
-265  ,
-284  ,
-291  ,
-278  ,
-261  ,
-235  ,
-210  ,
-188  ,
-165  ,
-154  ,
-141  ,
-134  ,
-126  ,
-113  ,
-109  ,
-100  ,
-106  ,
-120  ,
-142  ,
-157  ,
-171  ,
-171  ,
-179  ,
-169  ,
-171  ,
-153  ,
-141  ,
-122  ,
-104  ,
-91 ,
-82 ,
-79 ,
-81 ,
-80 ,
-74 ,
-66 ,
-56 ,
-44 ,
-34 ,
-24 ,
-6  ,
14  ,
48  ,
93  ,
131 ,
180 ,
210 ,
233 ,
251 ,
246 ,
243 ,
228 ,
219 ,
204 ,
195 ,
183 ,
188 ,
186 ,
213 ,
229 ,
275 ,
300 ,
339 ,
353 ,
358 ,
342 ,
320 ,
278 ,
232 ,
184 ,
132 ,
101 ,
76  ,
69  ,
70  ,
82  ,
91  ,
103 ,
110 ,
111 ,
113 ,
117 ,
120 ,
133 ,
136 ,
147 ,
142 ,
132 ,
117 ,
92  ,
65  ,
46  ,
28  ,
18  ,
25  ,
23  ,
52  ,
61  ,
93  ,
112 ,
138 ,
147 ,
156 ,
151 ,
149 ,
139 ,
123 ,
104 ,
84  ,
49  ,
28  ,
6 ,
-1  ,
-1  ,
4 ,
16  ,
30  ,
41  ,
42  ,
30  ,
11  ,
-28 ,
-62 ,
-97 ,
-126  ,
-154  ,
-171  ,
-187  ,
-188  ,
-188  ,
-174  ,
-156  ,
-126  ,
-99 ,
-84 ,
-75 ,
-87 ,
-109  ,
-136  ,
-168  ,
-204  ,
-238  ,
-263  ,
-276  ,
-270  ,
-254  ,
-239  ,
-211  ,
-194  ,
-173  ,
-158  ,
-140  ,
-122  ,
-108  ,
-88 ,
-74 ,
-67 ,
-63 ,
-78 ,
-87 ,
-113  ,
-137  ,
-165  ,
-182  ,
-196  ,
-200  ,
-203  ,
-201  ,
-197  ,
-183  ,
-167  ,
-154  ,
-145  ,
-133  ,
-132  ,
-121  ,
-123  ,
-124  ,
-134  ,
-139  ,
-151  ,
-145  ,
-129  ,
-100  ,
-64 ,
-22 ,
30  ,
81  ,
129 ,
164 ,
184 ,
194 ,
192 ,
187 ,
178 ,
171 ,
169 ,
170 ,
166 ,
175 ,
174 ,
193 ,
200 ,
228 ,
241 ,
257 ,
253 ,
240 ,
211 ,
174 ,
129 ,
89  ,
48  ,
18  ,
-4  ,
-11 ,
-17 ,
-13 ,
-14 ,
-8  ,
-14 ,
-16 ,
-14 ,
-10 ,
1 ,
13  ,
30  ,
34  ,
34  ,
17  ,
-6  ,
-40 ,
-69 ,
-99 ,
-107  ,
-112  ,
-107  ,
-94 ,
-87 ,
-62 ,
-36 ,
-14 ,
18  ,
26  ,
38  ,
26  ,
16  ,
-10 ,
-47 ,
-77 ,
-121  ,
-145  ,
-167  ,
-177  ,
-177  ,
-162  ,
-143  ,
-108  ,
-71 ,
-51 ,
-40 ,
-45 ,
-55 ,
-72 ,
-99 ,
-106  ,
-131  ,
-131  ,
-145  ,
-152  ,
-160  ,
-162  ,
-164  ,
-155  ,
-142  ,
-125  ,
-106  ,
-93 ,
-89 ,
-93 ,
-110  ,
-141  ,
-168  ,
-200  ,
-217  ,
-234  ,
-238  ,
-235  ,
-230  ,
-220  ,
-211  ,
-200  ,
-179  ,
-157  ,
-131  ,
-101  ,
-86 ,
-59 ,
-57 ,
-53 ,
-70 ,
-90 ,
-122  ,
-160  ,
-199  ,
-224  ,
-246  ,
-244  ,
-246  ,
-226  ,
-208  ,
-187  ,
-161  ,
-141  ,
-118  ,
-95 ,
-88 ,
-78 ,
-91 ,
-103  ,
-123  ,
-134  ,
-140  ,
-132  ,
-113  ,
-83 ,
-38 ,
3 ,
62  ,
111 ,
160 ,
196 ,
214 ,
231 ,
233 ,
238 ,
244 ,
246 ,
259 ,
255 ,
259 ,
245 ,
233 ,
222 ,
220 ,
214 ,
226 ,
225 ,
225 ,
218 ,
200 ,
171 ,
131 ,
89  ,
47  ,
11  ,
-9  ,
-28 ,
-29 ,
-37 ,
-38 ,
-26 ,
-23 ,
-10 ,
5 ,
20  ,
39  ,
58  ,
69  ,
86  ,
80  ,
82  ,
59  ,
46  ,
12  ,
-10 ,
-29 ,
-36 ,
-30 ,
-9  ,
14  ,
45  ,
69  ,
100 ,
126 ,
155 ,
168 ,
176 ,
170 ,
146 ,
119 ,
87  ,
56  ,
38  ,
18  ,
15  ,
15  ,
35  ,
54  ,
82  ,
104 ,
127 ,
136 ,
135 ,
134 ,
124 ,
117 ,
109 ,
101 ,
98  ,
84  ,
74  ,
51  ,
41  ,
16  ,
1 ,
-18 ,
-11 ,
-9  ,
-5  ,
-26 ,
-38 ,
-47 ,
-70 ,
-108  ,
-109  ,
-127  ,
-160  ,
-184  ,
-182  ,
-178  ,
-192  ,
-183  ,
-141  ,
-113  ,
-101  ,
-68 ,
-42 ,
-24 ,
-23 ,
-8  ,
-19 ,
-46 ,
-88 ,
-104  ,
-131  ,
-170  ,
-195  ,
-211  ,
-216  ,
-217  ,
-195  ,
-176  ,
-166  ,
-156  ,
-127  ,
-86 ,
-62 ,
-42 ,
-40 ,
-49 ,
-84 ,
-104  ,
-106  ,
-111  ,
-104  ,
-78 ,
-33 ,
13  ,
54  ,
94  ,
120 ,
135 ,
168 ,
213 ,
236 ,
257 ,
260 ,
271 ,
270 ,
266 ,
270 ,
266 ,
254 ,
231 ,
232 ,
219 ,
198 ,
162 ,
153 ,
138 ,
120 ,
99  ,
93  ,
57  ,
23  ,
-26 ,
-50 ,
-75 ,
-87 ,
-85 ,
-68 ,
-73 ,
-70 ,
-62 ,
-37 ,
-10 ,
14  ,
36  ,
51  ,
56  ,
53  ,
53  ,
38  ,
19  ,
0 ,
-3  ,
-15 ,
-17 ,
-21 ,
-15 ,
-3  ,
14  ,
38  ,
61  ,
84  ,
111 ,
137 ,
151 ,
148 ,
133 ,
101 ,
58  ,
14  ,
-11 ,
-30 ,
-39 ,
-43 ,
-40 ,
-40 ,
-39 ,
-22 ,
-8  ,
8 ,
14  ,
28  ,
43  ,
49  ,
48  ,
37  ,
36  ,
27  ,
24  ,
20  ,
9 ,
-16 ,
-37 ,
-52 ,
-57 ,
-75 ,
-85 ,
-98 ,
-117  ,
-135  ,
-152  ,
-174  ,
-187  ,
-217  ,
-223  ,
-245  ,
-246  ,
-252  ,
-236  ,
-230  ,
-212  ,
-189  ,
-160  ,
-122  ,
-85 ,
-50 ,
-39 ,
-40 ,
-57 ,
-67 ,
-76 ,
-93 ,
-108  ,
-128  ,
-158  ,
-197  ,
-226  ,
-250  ,
-252  ,
-245  ,
-209  ,
-166  ,
-130  ,
-105  ,
-91 ,
-80 ,
-80 ,
-74 ,
-69 ,
-74 ,
-87 ,
-100  ,
-107  ,
-106  ,
-101  ,
-85 ,
-52 ,
-22 ,
16  ,
56  ,
101 ,
142 ,
168 ,
193 ,
219 ,
243 ,
258 ,
277 ,
280 ,
277 ,
269 ,
267 ,
259 ,
244 ,
212 ,
191 ,
165 ,
134 ,
63  ,
-4  ,
-71 ,
-132  ,
-196  ,
-257  ,
-304  ,
-337  ,
-344  ,
-336  ,
-302  ,
-261  ,
-184  ,
-78 ,
29  ,
122 ,
200 ,
285 ,
351 ,
422 ,
452 ,
486 ,
506 ,
542 ,
535 ,
479 ,
407 ,
328 ,
254 ,
190 ,
152 ,
136 ,
126 ,
117 ,
116 ,
122 ,
130 ,
136 ,
143 ,
149 ,
156 ,
172 ,
172 ,
184 ,
180 ,
198 ,
230 ,
262 ,
257 ,
205 ,
150 ,
101 ,
68  ,
38  ,
16  ,
2 ,
30  ,
80  ,
112 ,
127 ,
129 ,
154 ,
155 ,
116 ,
51  ,
-13 ,
-50 ,
-78 ,
-103  ,
-109  ,
-104  ,
-69 ,
-15 ,
49  ,
95  ,
105 ,
91  ,
45  ,
-29 ,
-131  ,
-208  ,
-252  ,
-269  ,
-263  ,
-247  ,
-195  ,
-146  ,
-96 ,
-49 ,
-15 ,
12  ,
-21 ,
-90 ,
-205  ,
-303  ,
-361  ,
-397  ,
-405  ,
-412  ,
-402  ,
-363  ,
-336  ,
-293  ,
-262  ,
-216  ,
-168  ,
-141  ,
-151  ,
-194  ,
-246  ,
-270  ,
-274  ,
-252  ,
-216  ,
-183  ,
-154  ,
-138  ,
-128  ,
-132  ,
-128  ,
-120  ,
-100  ,
-85 ,
-63 ,
-29 ,
21  ,
101 ,
182 ,
262 ,
313 ,
372 ,
400 ,
413 ,
410 ,
397 ,
359 ,
283 ,
200 ,
132 ,
69  ,
11  ,
-40 ,
-81 ,
-86 ,
-71 ,
-35 ,
6 ,
42  ,
94  ,
138 ,
176 ,
195 ,
194 ,
208 ,
240 ,
290 ,
338 ,
363 ,
384 ,
389 ,
382 ,
370 ,
351 ,
345 ,
346 ,
363 ,
368 ,
361 ,
332 ,
296 ,
245 ,
204 ,
180 ,
169 ,
163 ,
153 ,
154 ,
156 ,
166 ,
172 ,
175 ,
180 ,
183 ,
182 ,
168 ,
141 ,
123 ,
121 ,
143 ,
162 ,
189 ,
192 ,
212 ,
223 ,
243 ,
226 ,
221 ,
201 ,
202 ,
188 ,
163 ,
130 ,
91  ,
64  ,
34  ,
6 ,
-48 ,
-95 ,
-168  ,
-230  ,
-307  ,
-374  ,
-435  ,
-468  ,
-474  ,
-448  ,
-397  ,
-339  ,
-290  ,
-260  ,
-236  ,
-212  ,
-180  ,
-158  ,
-140  ,
-126  ,
-116  ,
-106  ,
-107  ,
-108  ,
-123  ,
-134  ,
-151  ,
-188  ,
-244  ,
-319  ,
-398  ,
-475  ,
-546  ,
-617  ,
-675  ,
-716  ,
-741  ,
-733  ,
-705  ,
-652  ,
-578  ,
-502  ,
-419  ,
-360  ,
-307  ,
-260  ,
-208  ,
-159  ,
-109  ,
-67 ,
-27 ,
11  ,
36  ,
71  ,
92  ,
119 ,
141 ,
158 ,
174 ,
203 ,
230 ,
268 ,
299 ,
344 ,
380 ,
410 ,
420 ,
431 ,
439 ,
459 ,
464 ,
456 ,
434 ,
407 ,
385 ,
371 ,
365 ,
358 ,
357 ,
366 ,
388 ,
399 ,
409 ,
414 ,
418 ,
414 ,
398 ,
371 ,
358 ,
349 ,
355 ,
362 ,
358 ,
357 ,
343 ,
322 ,
287 ,
248 ,
197 ,
152 ,
103 ,
68  ,
39  ,
17  ,
15  ,
34  ,
59  ,
92  ,
116 ,
130 ,
127 ,
110 ,
92  ,
82  ,
69  ,
69  ,
59  ,
76  ,
90  ,
120 ,
135 ,
138 ,
109 ,
74  ,
1 ,
-82 ,
-182  ,
-270  ,
-333  ,
-356  ,
-365  ,
-335  ,
-299  ,
-243  ,
-184  ,
-126  ,
-69 ,
-43 ,
-34 ,
-45 ,
-66 ,
-95 ,
-122  ,
-144  ,
-148  ,
-154  ,
-160  ,
-160  ,
-171  ,
-179  ,
-200  ,
-216  ,
-237  ,
-267  ,
-297  ,
-328  ,
-338  ,
-342  ,
-327  ,
-309  ,
-287  ,
-258  ,
-238  ,
-218  ,
-223  ,
-231  ,
-246  ,
-263  ,
-286  ,
-317  ,
-360  ,
-398  ,
-425  ,
-432  ,
-435  ,
-432  ,
-418  ,
-401  ,
-390  ,
-371  ,
-364  ,
-343  ,
-330  ,
-305  ,
-279  ,
-249  ,
-217  ,
-193  ,
-159  ,
-124  ,
-74 ,
-34 ,
-2  ,
7 ,
13  ,
12  ,
16  ,
15  ,
21  ,
29  ,
55  ,
88  ,
121 ,
161 ,
196 ,
234 ,
277 ,
319 ,
364 ,
398 ,
436 ,
465 ,
488 ,
490 ,
474 ,
438 ,
390 ,
320 ,
252 ,
181 ,
119 ,
74  ,
41  ,
32  ,
37  ,
54  ,
75  ,
93  ,
94  ,
86  ,
72  ,
41  ,
25  ,
6 ,
6 ,
13  ,
30  ,
56  ,
88  ,
112 ,
127 ,
118 ,
85  ,
36  ,
-38 ,
-101  ,
-167  ,
-210  ,
-246  ,
-249  ,
-245  ,
-226  ,
-212  ,
-205  ,
-186  ,
-182  ,
-181  ,
-198  ,
-222  ,
-243  ,
-257  ,
-260  ,
-243  ,
-220  ,
-183  ,
-162  ,
-138  ,
-131  ,
-127  ,
-130  ,
-131  ,
-132  ,
-142  ,
-148  ,
-155  ,
-156  ,
-145  ,
-133  ,
-110  ,
-90 ,
-67 ,
-67 ,
-71 ,
-98 ,
-130  ,
-176  ,
-212  ,
-255  ,
-285  ,
-320  ,
-342  ,
-360  ,
-361  ,
-344  ,
-322  ,
-291  ,
-255  ,
-209  ,
-158  ,
-111  ,
-73 ,
-53 ,
-31 ,
-9  ,
15  ,
40  ,
53  ,
61  ,
55  ,
32  ,
-7  ,
-64 ,
-121  ,
-187  ,
-249  ,
-304  ,
-354  ,
-389  ,
-413  ,
-427  ,
-426  ,
-434  ,
-426  ,
-429  ,
-419  ,
-416  ,
-399  ,
-386  ,
-351  ,
-309  ,
-254  ,
-187  ,
-128  ,
-63 ,
-28 ,
1 ,
-2  ,
-17 ,
-44 ,
-60 ,
-71 ,
-62 ,
-43 ,
-2  ,
34  ,
70  ,
102 ,
131 ,
145 ,
139 ,
124 ,
93  ,
63  ,
31  ,
23  ,
25  ,
35  ,
69  ,
87  ,
121 ,
122 ,
124 ,
99  ,
70  ,
30  ,
12  ,
-4  ,
18  ,
49  ,
116 ,
188 ,
264 ,
332 ,
379 ,
404 ,
411 ,
397 ,
362 ,
312 ,
243 ,
187 ,
128 ,
86  ,
48  ,
28  ,
9 ,
6 ,
-6  ,
-7  ,
-18 ,
-20 ,
-28 ,
-37 ,
-49 ,
-61 ,
-54 ,
-44 ,
-7  ,
25  ,
79  ,
127 ,
167 ,
202 ,
217 ,
234 ,
229 ,
218 ,
192 ,
159 ,
113 ,
88  ,
62  ,
56  ,
65  ,
93  ,
121 ,
153 ,
177 ,
215 ,
235 ,
264 ,
285 ,
310 ,
344 ,
374 ,
414 ,
451 ,
484 ,
501 ,
518 ,
517 ,
518 ,
499 ,
485 ,
467 ,
458 ,
450 ,
454 ,
462 ,
467 ,
481 ,
487 ,
491 ,
480 ,
463 ,
436 ,
404 ,
375 ,
345 ,
328 ,
307 ,
290 ,
256 ,
221 ,
163 ,
119 ,
61  ,
19  ,
-18 ,
-48 ,
-58 ,
-57 ,
-32 ,
-5  ,
32  ,
61  ,
78  ,
82  ,
71  ,
40  ,
6 ,
-37 ,
-57 ,
-60 ,
-30 ,
23  ,
91  ,
154 ,
217 ,
254 ,
278 ,
270 ,
252 ,
218 ,
197 ,
160 ,
150 ,
146 ,
163 ,
190 ,
220 ,
256 ,
272 ,
285 ,
273 ,
242 ,
190 ,
111 ,
25  ,
-72 ,
-145  ,
-212  ,
-265  ,
-301  ,
-333  ,
-350  ,
-365  ,
-365  ,
-362  ,
-353  ,
-356  ,
-357  ,
-362  ,
-358  ,
-353  ,
-330  ,
-300  ,
-266  ,
-229  ,
-196  ,
-173  ,
-160  ,
-166  ,
-183  ,
-217  ,
-258  ,
-308  ,
-347  ,
-390  ,
-424  ,
-459  ,
-481  ,
-489  ,
-481  ,
-467  ,
-444  ,
-430  ,
-415  ,
-406  ,
-400  ,
-379  ,
-358  ,
-323  ,
-279  ,
-221  ,
-154  ,
-82 ,
-17 ,
40  ,
86  ,
122 ,
142 ,
158 ,
169 ,
187 ,
202 ,
223 ,
238 ,
255 ,
265 ,
269 ,
266 ,
261 ,
251 ,
245 ,
234 ,
224 ,
225 ,
219 ,
225 ,
222 ,
220 ,
217 ,
189 ,
170 ,
137 ,
124 ,
108 ,
108 ,
123 ,
151 ,
193 ,
235 ,
290 ,
329 ,
367 ,
366 ,
351 ,
289 ,
209 ,
101 ,
-12 ,
-134  ,
-248  ,
-359  ,
-458  ,
-552  ,
-639  ,
-731  ,
-819  ,
-919  ,
-1025 ,
-1113 ,
-1202 ,
-1255 ,
-1288 ,
-1285 ,
-1249 ,
-1202 ,
-1129 ,
-1060 ,
-976  ,
-906  ,
-837  ,
-777  ,
-730  ,
-684  ,
-636  ,
-590  ,
-538  ,
-492  ,
-430  ,
-370  ,
-305  ,
-234  ,
-169  ,
-106  ,
-70 ,
-49 ,
-48 ,
-66 ,
-86 ,
-108  ,
-117  ,
-110  ,
-88 ,
-53 ,
-17 ,
21  ,
48  ,
74  ,
81  ,
90  ,
88  ,
89  ,
85  ,
94  ,
119 ,
162 ,
230 ,
295 ,
387 ,
466 ,
559 ,
636 ,
719 ,
786 ,
836 ,
878 ,
893 ,
892 ,
880 ,
846 ,
816 ,
774 ,
734 ,
692 ,
659 ,
622 ,
589 ,
553 ,
518 ,
485 ,
451 ,
431 ,
421 ,
428 ,
438 ,
449 ,
444 ,
433 ,
408 ,
379 ,
361 ,
330 ,
323 ,
302 ,
303 ,
286 ,
275 ,
237 ,
189 ,
111 ,
37  ,
-61 ,
-144  ,
-227  ,
-305  ,
-366  ,
-428  ,
-460  ,
-483  ,
-488  ,
-482  ,
-476  ,
-482  ,
-494  ,
-514  ,
-521  ,
-534  ,
-532  ,
-528  ,
-521  ,
-498  ,
-478  ,
-440  ,
-408  ,
-386  ,
-375  ,
-394  ,
-422  ,
-468  ,
-522  ,
-559  ,
-592  ,
-604  ,
-599  ,
-570  ,
-530  ,
-479  ,
-446  ,
-418  ,
-411  ,
-416  ,
-435  ,
-468  ,
-497  ,
-539  ,
-568  ,
-588  ,
-593  ,
-580  ,
-562  ,
-530  ,
-485  ,
-438  ,
-386  ,
-342  ,
-305  ,
-282  ,
-270  ,
-255  ,
-254  ,
-233  ,
-217  ,
-180  ,
-130  ,
-65 ,
10  ,
90  ,
154 ,
210 ,
237 ,
244 ,
246 ,
236 ,
233 ,
238 ,
255 ,
284 ,
317 ,
353 ,
391 ,
416 ,
447 ,
472 ,
495 ,
501 ,
493 ,
498 ,
491 ,
492 ,
489 ,
469 ,
460 ,
431 ,
412 ,
398 ,
376 ,
352 ,
317 ,
291 ,
277 ,
271 ,
290 ,
318 ,
347 ,
380 ,
418 ,
465 ,
532 ,
572 ,
621 ,
633 ,
656 ,
655 ,
667 ,
684 ,
703 ,
734 ,
761 ,
791 ,
805 ,
808 ,
801 ,
799 ,
805 ,
832 ,
862 ,
911 ,
944 ,
977 ,
987 ,
993 ,
977 ,
954 ,
917 ,
884 ,
849 ,
827 ,
809 ,
810 ,
822 ,
831 ,
852 ,
876 ,
895 ,
913 ,
905 ,
888 ,
847 ,
792 ,
735 ,
671 ,
614 ,
561 ,
520 ,
492 ,
467 ,
452 ,
432 ,
416 ,
387 ,
356 ,
309 ,
250 ,
177 ,
95  ,
28  ,
-37 ,
-76 ,
-112  ,
-122  ,
-121  ,
-125  ,
-130  ,
-150  ,
-171  ,
-215  ,
-254  ,
-315  ,
-365  ,
-434  ,
-495  ,
-584  ,
-671  ,
-773  ,
-869  ,
-956  ,
-1041 ,
-1117 ,
-1222 ,
-1331 ,
-1449 ,
-1564 ,
-1666 ,
-1752 ,
-1812 ,
-1841 ,
-1841 ,
-1804 ,
-1751 ,
-1694 ,
-1618 ,
-1548 ,
-1465 ,
-1391 ,
-1309 ,
-1234 ,
-1160 ,
-1087 ,
-1004 ,
-922  ,
-841  ,
-771  ,
-715  ,
-664  ,
-622  ,
-590  ,
-561  ,
-542  ,
-528  ,
-516  ,
-511  ,
-491  ,
-474  ,
-447  ,
-427  ,
-385  ,
-334  ,
-264  ,
-185  ,
-94 ,
6 ,
100 ,
206 ,
305 ,
410 ,
498 ,
589 ,
665 ,
746 ,
814 ,
878 ,
939 ,
994 ,
1039  ,
1092  ,
1136  ,
1198  ,
1249  ,
1300  ,
1333  ,
1361  ,
1360  ,
1355  ,
1316  ,
1264  ,
1192  ,
1117  ,
1050  ,
998 ,
945 ,
908 ,
868 ,
846 ,
819 ,
800 ,
785 ,
757 ,
725 ,
694 ,
667 ,
646 ,
619 ,
597 ,
558 ,
518 ,
475 ,
428 ,
375 ,
303 ,
233 ,
136 ,
58  ,
-52 ,
-152  ,
-265  ,
-375  ,
-471  ,
-561  ,
-628  ,
-699  ,
-761  ,
-833  ,
-892  ,
-960  ,
-1029 ,
-1094 ,
-1159 ,
-1210 ,
-1242 ,
-1257 ,
-1238 ,
-1194 ,
-1140 ,
-1057 ,
-980  ,
-875  ,
-788  ,
-706  ,
-646  ,
-601  ,
-567  ,
-540  ,
-527  ,
-516  ,
-524  ,
-523  ,
-537  ,
-533  ,
-541  ,
-544  ,
-548  ,
-567  ,
-575  ,
-602  ,
-632  ,
-669  ,
-716  ,
-765  ,
-812  ,
-844  ,
-869  ,
-877  ,
-878  ,
-868  ,
-847  ,
-815  ,
-777  ,
-726  ,
-667  ,
-595  ,
-521  ,
-430  ,
-351  ,
-266  ,
-198  ,
-133  ,
-74 ,
-23 ,
26  ,
67  ,
101 ,
129 ,
149 ,
181 ,
213 ,
250 ,
278 ,
311 ,
337 ,
354 ,
380 ,
394 ,
407 ,
414 ,
418 ,
422 ,
426 ,
408 ,
406 ,
370 ,
358 ,
331 ,
321 ,
313 ,
292 ,
281 ,
255 ,
237 ,
215 ,
193 ,
173 ,
155 ,
146 ,
125 ,
109 ,
78  ,
44  ,
12  ,
-15 ,
-33 ,
-25 ,
-14 ,
19  ,
43  ,
80  ,
113 ,
144 ,
152 ,
143 ,
102 ,
55  ,
-8  ,
-65 ,
-128  ,
-187  ,
-228  ,
-265  ,
-276  ,
-282  ,
-267  ,
-252  ,
-222  ,
-202  ,
-176  ,
-157  ,
-149  ,
-138  ,
-142  ,
-140  ,
-145  ,
-134  ,
-111  ,
-88 ,
-48 ,
-20 ,
23  ,
45  ,
65  ,
70  ,
71  ,
63  ,
53  ,
49  ,
39  ,
28  ,
21  ,
5 ,
0 ,
-15 ,
-25 ,
-39 ,
-47 ,
-53 ,
-49 ,
-33 ,
-2  ,
30  ,
76  ,
112 ,
172 ,
207 ,
255 ,
277 ,
308 ,
308 ,
312 ,
297 ,
287 ,
254 ,
224 ,
166 ,
131 ,
87  ,
54  ,
27  ,
-3  ,
-28 ,
-70 ,
-126  ,
-197  ,
-279  ,
-367  ,
-457  ,
-530  ,
-596  ,
-655  ,
-706  ,
-753  ,
-786  ,
-810  ,
-810  ,
-794  ,
-752  ,
-699  ,
-637  ,
-564  ,
-488  ,
-405  ,
-328  ,
-241  ,
-159  ,
-59 ,
31  ,
129 ,
212 ,
297 ,
387 ,
479 ,
583 ,
685 ,
781 ,
858 ,
907 ,
938 ,
945 ,
931 ,
901 ,
858 ,
814 ,
775 ,
734 ,
697 ,
672 ,
667 ,
687 ,
717 ,
780 ,
843 ,
912 ,
964 ,
1010  ,
1051  ,
1084  ,
1105  ,
1135  ,
1163  ,
1195  ,
1227  ,
1248  ,
1257  ,
1255  ,
1238  ,
1226  ,
1214  ,
1207  ,
1180  ,
1142  ,
1079  ,
1019  ,
950 ,
889 ,
838 ,
778 ,
723 ,
653 ,
589 ,
522 ,
459 ,
412 ,
381 ,
355 ,
336 ,
314 ,
300 ,
290 ,
273 ,
271 ,
252 ,
241 ,
213 ,
177 ,
124 ,
55  ,
-14 ,
-100  ,
-181  ,
-265  ,
-343  ,
-411  ,
-475  ,
-535  ,
-584  ,
-638  ,
-691  ,
-747  ,
-788  ,
-826  ,
-860  ,
-902  ,
-951  ,
-994  ,
-1031 ,
-1045 ,
-1040 ,
-1009 ,
-964  ,
-913  ,
-856  ,
-805  ,
-742  ,
-687  ,
-631  ,
-569  ,
-521  ,
-479  ,
-461  ,
-452  ,
-461  ,
-468  ,
-473  ,
-471  ,
-457  ,
-452  ,
-441  ,
-434  ,
-403  ,
-373  ,
-331  ,
-306  ,
-277  ,
-265  ,
-261  ,
-265  ,
-275  ,
-303  ,
-323  ,
-341  ,
-331  ,
-302  ,
-255  ,
-194  ,
-127  ,
-52 ,
22  ,
108 ,
188 ,
274 ,
352 ,
419 ,
474 ,
506 ,
547 ,
569 ,
613 ,
643 ,
686 ,
717 ,
735 ,
745 ,
742 ,
743 ,
744 ,
754 ,
750 ,
757 ,
735 ,
715 ,
672 ,
629 ,
579 ,
515 ,
442 ,
365 ,
284 ,
210 ,
135 ,
94  ,
49  ,
35  ,
31  ,
35  ,
34  ,
25  ,
7 ,
-13 ,
-54 ,
-95 ,
-154  ,
-208  ,
-273  ,
-332  ,
-403  ,
-461  ,
-509  ,
-538  ,
-541  ,
-520  ,
-483  ,
-447  ,
-402  ,
-369  ,
-332  ,
-309  ,
-276  ,
-256  ,
-237  ,
-241  ,
-254  ,
-278  ,
-301  ,
-311  ,
-313  ,
-307  ,
-297  ,
-290  ,
-275  ,
-271  ,
-262  ,
-265  ,
-263  ,
-259  ,
-252  ,
-230  ,
-211  ,
-189  ,
-170  ,
-164  ,
-158  ,
-157  ,
-147  ,
-132  ,
-106  ,
-79 ,
-51 ,
-28 ,
-9  ,
5 ,
23  ,
30  ,
29  ,
31  ,
15  ,
1 ,
-31 ,
-49 ,
-63 ,
-52 ,
-21 ,
25  ,
81  ,
135 ,
187 ,
222 ,
266 ,
291 ,
327 ,
352 ,
366 ,
379 ,
369 ,
349 ,
326 ,
295 ,
263 ,
236 ,
208 ,
176 ,
136 ,
84  ,
22  ,
-42 ,
-109  ,
-171  ,
-230  ,
-289  ,
-354  ,
-434  ,
-514  ,
-604  ,
-694  ,
-772  ,
-835  ,
-873  ,
-896  ,
-892  ,
-870  ,
-837  ,
-796  ,
-748  ,
-689  ,
-642  ,
-598  ,
-563  ,
-543  ,
-525  ,
-517  ,
-504  ,
-499  ,
-485  ,
-487  ,
-469  ,
-463  ,
-439  ,
-417  ,
-389  ,
-369  ,
-351  ,
-349  ,
-346  ,
-364  ,
-381  ,
-401  ,
-413  ,
-432  ,
-440  ,
-430  ,
-413  ,
-373  ,
-342  ,
-280  ,
-222  ,
-150  ,
-73 ,
9 ,
80  ,
168 ,
235 ,
307 ,
358 ,
405 ,
454 ,
496 ,
540 ,
577 ,
601 ,
623 ,
637 ,
650 ,
657 ,
662 ,
674 ,
686 ,
702 ,
703 ,
709 ,
686 ,
671 ,
645 ,
627 ,
608 ,
574 ,
540 ,
498 ,
460 ,
421 ,
394 ,
378 ,
374 ,
364 ,
364 ,
367 ,
359 ,
355 ,
344 ,
329 ,
314 ,
295 ,
272 ,
237 ,
184 ,
121 ,
51  ,
-20 ,
-94 ,
-170  ,
-240  ,
-318  ,
-373  ,
-434  ,
-471  ,
-520  ,
-548  ,
-570  ,
-578  ,
-581  ,
-575  ,
-561  ,
-525  ,
-470  ,
-396  ,
-291  ,
-178  ,
-46 ,
73  ,
185 ,
278 ,
354 ,
425 ,
464 ,
500 ,
496 ,
478 ,
442 ,
390 ,
353 ,
317 ,
300 ,
288 ,
271 ,
253 ,
211 ,
165 ,
118 ,
69  ,
37  ,
6 ,
-6  ,
-17 ,
-16 ,
-13 ,
-6  ,
-4  ,
-2  ,
11  ,
24  ,
42  ,
55  ,
75  ,
95  ,
116 ,
141 ,
173 ,
205 ,
230 ,
266 ,
294 ,
326 ,
338 ,
342 ,
348 ,
349 ,
349 ,
343 ,
332 ,
308 ,
287 ,
257 ,
239 ,
215 ,
201 ,
184 ,
164 ,
141 ,
97  ,
52  ,
-10 ,
-69 ,
-122  ,
-175  ,
-211  ,
-250  ,
-265  ,
-282  ,
-275  ,
-283  ,
-267  ,
-266  ,
-246  ,
-238  ,
-222  ,
-224  ,
-236  ,
-255  ,
-278  ,
-297  ,
-308  ,
-308  ,
-300  ,
-286  ,
-281  ,
-260  ,
-258  ,
-257  ,
-262  ,
-273  ,
-279  ,
-281  ,
-293  ,
-293  ,
-303  ,
-306  ,
-302  ,
-303  ,
-297  ,
-305  ,
-308  ,
-299  ,
-278  ,
-238  ,
-191  ,
-142  ,
-99 ,
-59 ,
-35 ,
-8  ,
15  ,
39  ,
86  ,
127 ,
181 ,
234 ,
270 ,
303 ,
324 ,
342 ,
356 ,
361 ,
375 ,
395 ,
417 ,
444 ,
470 ,
489 ,
501 ,
522 ,
549 ,
581 ,
608 ,
621 ,
646 ,
648 ,
670 ,
678 ,
703 ,
722 ,
742 ,
769 ,
778 ,
791 ,
782 ,
772 ,
748 ,
716 ,
673 ,
619 ,
555 ,
493 ,
426 ,
372 ,
314 ,
259 ,
201 ,
146 ,
68  ,
-6  ,
-107  ,
-193  ,
-289  ,
-376  ,
-460  ,
-553  ,
-640  ,
-731  ,
-823  ,
-916  ,
-1009 ,
-1097 ,
-1167 ,
-1222 ,
-1250 ,
-1254 ,
-1249 ,
-1231 ,
-1213 ,
-1169 ,
-1119 ,
-1038 ,
-956  ,
-863  ,
-771  ,
-685  ,
-600  ,
-526  ,
-463  ,
-424  ,
-398  ,
-382  ,
-375  ,
-371  ,
-369  ,
-375  ,
-370  ,
-379  ,
-371  ,
-380  ,
-381  ,
-394  ,
-393  ,
-389  ,
-364  ,
-335  ,
-296  ,
-249  ,
-198  ,
-126  ,
-56 ,
17  ,
91  ,
170 ,
255 ,
335 ,
423 ,
492 ,
556 ,
614 ,
671 ,
730 ,
778 ,
834 ,
883 ,
932 ,
973 ,
1005  ,
1023  ,
1026  ,
1023  ,
1005  ,
1006  ,
998 ,
1000  ,
1001  ,
997 ,
1000  ,
993 ,
995 ,
975 ,
947 ,
901 ,
853 ,
815 ,
773 ,
743 ,
723 ,
702 ,
690 ,
675 ,
656 ,
642 ,
624 ,
597 ,
570 ,
531 ,
486 ,
423 ,
344 ,
252 ,
155 ,
59  ,
-22 ,
-99 ,
-150  ,
-208  ,
-257  ,
-316  ,
-369  ,
-425  ,
-471  ,
-510  ,
-541  ,
-565  ,
-583  ,
-601  ,
-613  ,
-634  ,
-641  ,
-647  ,
-633  ,
-620  ,
-606  ,
-599  ,
-605  ,
-603  ,
-602  ,
-594  ,
-585  ,
-590  ,
-581  ,
-587  ,
-590  ,
-617  ,
-639  ,
-680  ,
-706  ,
-732  ,
-738  ,
-757  ,
-765  ,
-791  ,
-796  ,
-800  ,
-786  ,
-757  ,
-713  ,
-669  ,
-632  ,
-603  ,
-580  ,
-567  ,
-558  ,
-555  ,
-538  ,
-511  ,
-468  ,
-421  ,
-365  ,
-315  ,
-242  ,
-168  ,
-76 ,
15  ,
100 ,
174 ,
234 ,
288 ,
318 ,
345 ,
336 ,
332 ,
296 ,
268 ,
223 ,
174 ,
131 ,
93  ,
73  ,
62  ,
59  ,
66  ,
72  ,
85  ,
93  ,
109 ,
123 ,
136 ,
146 ,
145 ,
141 ,
123 ,
90  ,
58  ,
13  ,
-14 ,
-48 ,
-55 ,
-68 ,
-77 ,
-88 ,
-96 ,
-93 ,
-82 ,
-61 ,
-31 ,
5 ,
44  ,
90  ,
137 ,
185 ,
233 ,
263 ,
294 ,
319 ,
347 ,
380 ,
404 ,
432 ,
444 ,
446 ,
444 ,
434 ,
413 ,
379 ,
325 ,
280 ,
237 ,
205 ,
192 ,
188 ,
191 ,
198 ,
210 ,
232 ,
259 ,
281 ,
309 ,
329 ,
349 ,
346 ,
334 ,
297 ,
255 ,
201 ,
143 ,
104 ,
61  ,
40  ,
23  ,
15  ,
14  ,
20  ,
32  ,
39  ,
40  ,
47  ,
51  ,
59  ,
67  ,
60  ,
57  ,
42  ,
22  ,
3 ,
-24 ,
-36 ,
-47 ,
-55 ,
-63 ,
-75 ,
-93 ,
-129  ,
-168  ,
-220  ,
-266  ,
-322  ,
-377  ,
-433  ,
-486  ,
-536  ,
-580  ,
-627  ,
-678  ,
-731  ,
-793  ,
-844  ,
-879  ,
-906  ,
-912  ,
-923  ,
-925  ,
-943  ,
-966  ,
-990  ,
-1018 ,
-1050 ,
-1070 ,
-1078 ,
-1060 ,
-1028 ,
-986  ,
-938  ,
-893  ,
-835  ,
-779  ,
-707  ,
-639  ,
-570  ,
-506  ,
-455  ,
-397  ,
-356  ,
-311  ,
-281  ,
-253  ,
-230  ,
-201  ,
-185  ,
-168  ,
-165  ,
-163  ,
-148  ,
-123  ,
-69 ,
-14 ,
55  ,
128 ,
203 ,
291 ,
364 ,
434 ,
494 ,
548 ,
595 ,
639 ,
680 ,
723 ,
779 ,
841 ,
920 ,
1006  ,
1092  ,
1164  ,
1226  ,
1277  ,
1320  ,
1364  ,
1397  ,
1432  ,
1454  ,
1470  ,
1467  ,
1460  ,
1438  ,
1420  ,
1387  ,
1354  ,
1308  ,
1271  ,
1232  ,
1189  ,
1131  ,
1060  ,
984 ,
909 ,
845 ,
778 ,
721 ,
657 ,
609 ,
567 ,
539 ,
510 ,
485 ,
452 ,
415 ,
368 ,
299 ,
232 ,
134 ,
35  ,
-80 ,
-195  ,
-304  ,
-426  ,
-540  ,
-658  ,
-773  ,
-876  ,
-959  ,
-1032 ,
-1090 ,
-1140 ,
-1171 ,
-1175 ,
-1149 ,
-1100 ,
-1036 ,
-980  ,
-918  ,
-858  ,
-801  ,
-768  ,
-750  ,
-759  ,
-757  ,
-774  ,
-773  ,
-768  ,
-747  ,
-727  ,
-704  ,
-693  ,
-695  ,
-709  ,
-729  ,
-737  ,
-738  ,
-727  ,
-716  ,
-716  ,
-726  ,
-735  ,
-744  ,
-734  ,
-712  ,
-684  ,
-641  ,
-620  ,
-584  ,
-561  ,
-523  ,
-496  ,
-454  ,
-415  ,
-365  ,
-311  ,
-269  ,
-226  ,
-195  ,
-160  ,
-110  ,
-38 ,
59  ,
165 ,
263 ,
361 ,
446 ,
523 ,
591 ,
649 ,
701 ,
743 ,
768 ,
771 ,
765 ,
738 ,
714 ,
688 ,
668 ,
656 ,
652 ,
631 ,
614 ,
580 ,
556 ,
553 ,
571 ,
608 ,
647 ,
678 ,
692 ,
698 ,
687 ,
672 ,
653 ,
635 ,
631 ,
634 ,
641 ,
644 ,
638 ,
638 ,
638 ,
640 ,
652 ,
657 ,
655 ,
639 ,
613 ,
583 ,
552 ,
521 ,
498 ,
475 ,
469 ,
455 ,
440 ,
411 ,
376 ,
332 ,
309 ,
277 ,
260 ,
226 ,
180 ,
127 ,
75  ,
36  ,
3 ,
-25 ,
-50 ,
-67 ,
-77 ,
-84 ,
-87 ,
-84 ,
-80 ,
-72 ,
-59 ,
-52 ,
-41 ,
-47 ,
-64 ,
-86 ,
-115  ,
-138  ,
-151  ,
-153  ,
-163  ,
-171  ,
-203  ,
-231  ,
-263  ,
-280  ,
-272  ,
-245  ,
-187  ,
-119  ,
-56 ,
-3  ,
25  ,
33  ,
35  ,
27  ,
18  ,
-4  ,
-41 ,
-87 ,
-144  ,
-183  ,
-215  ,
-207  ,
-204  ,
-185  ,
-176  ,
-169  ,
-174  ,
-181  ,
-190  ,
-194  ,
-202  ,
-206  ,
-227  ,
-257  ,
-302  ,
-358  ,
-409  ,
-453  ,
-483  ,
-511  ,
-547  ,
-595  ,
-652  ,
-709  ,
-757  ,
-787  ,
-799  ,
-784  ,
-763  ,
-717  ,
-688  ,
-646  ,
-622  ,
-581  ,
-527  ,
-445  ,
-347  ,
-242  ,
-150  ,
-68 ,
7 ,
73  ,
142 ,
202 ,
262 ,
309 ,
340 ,
350 ,
332 ,
304 ,
262 ,
222 ,
189 ,
160 ,
143 ,
127 ,
129 ,
143 ,
176 ,
210 ,
267 ,
311 ,
359 ,
381 ,
387 ,
382 ,
367 ,
359 ,
367 ,
389 ,
420 ,
462 ,
507 ,
543 ,
579 ,
605 ,
645 ,
683 ,
728 ,
756 ,
775 ,
766 ,
746 ,
720 ,
701 ,
685 ,
673 ,
662 ,
652 ,
623 ,
577 ,
517 ,
460 ,
411 ,
366 ,
328 ,
294 ,
249 ,
198 ,
139 ,
74  ,
8 ,
-50 ,
-97 ,
-126  ,
-159  ,
-191  ,
-237  ,
-282  ,
-310  ,
-340  ,
-343  ,
-356  ,
-365  ,
-390  ,
-431  ,
-466  ,
-508  ,
-552  ,
-597  ,
-645  ,
-680  ,
-737  ,
-793  ,
-868  ,
-930  ,
-976  ,
-994  ,
-974  ,
-924  ,
-870  ,
-821  ,
-785  ,
-758  ,
-739  ,
-723  ,
-694  ,
-689  ,
-679  ,
-684  ,
-690  ,
-702  ,
-713  ,
-708  ,
-680  ,
-638  ,
-588  ,
-546  ,
-507  ,
-475  ,
-455  ,
-428  ,
-401  ,
-372  ,
-335  ,
-312  ,
-283  ,
-280  ,
-274  ,
-270  ,
-261  ,
-238  ,
-207  ,
-174  ,
-128  ,
-98 ,
-51 ,
-6  ,
57  ,
127 ,
204 ,
282 ,
352 ,
417 ,
468 ,
521 ,
571 ,
629 ,
676 ,
723 ,
759 ,
783 ,
785 ,
775 ,
761 ,
750 ,
750 ,
752 ,
760 ,
761 ,
743 ,
710 ,
660 ,
615 ,
559 ,
513 ,
477 ,
437 ,
404 ,
372 ,
351 ,
341 ,
335 ,
322 ,
313 ,
287 ,
250 ,
190 ,
114 ,
21  ,
-68 ,
-142  ,
-177  ,
-197  ,
-201  ,
-209  ,
-203  ,
-209  ,
-194  ,
-187  ,
-152  ,
-122  ,
-77 ,
-36 ,
4 ,
35  ,
53  ,
62  ,
72  ,
78  ,
82  ,
73  ,
50  ,
20  ,
-16 ,
-40 ,
-66 ,
-70 ,
-73 ,
-61 ,
-58 ,
-71 ,
-82 ,
-111  ,
-126  ,
-150  ,
-173  ,
-194  ,
-204  ,
-218  ,
-224  ,
-238  ,
-240  ,
-225  ,
-210  ,
-163  ,
-128  ,
-89 ,
-80 ,
-73 ,
-80 ,
-85 ,
-91 ,
-93 ,
-87 ,
-79 ,
-72 ,
-62 ,
-53 ,
-33 ,
3 ,
62  ,
134 ,
213 ,
279 ,
327 ,
351 ,
351 ,
343 ,
329 ,
312 ,
298 ,
273 ,
254 ,
221 ,
207 ,
179 ,
170 ,
152 ,
137 ,
127 ,
104 ,
99  ,
86  ,
83  ,
81  ,
85  ,
96  ,
90  ,
86  ,
49  ,
16  ,
-36 ,
-82 ,
-126  ,
-160  ,
-194  ,
-221  ,
-244  ,
-255  ,
-268  ,
-273  ,
-282  ,
-278  ,
-270  ,
-258  ,
-241  ,
-244  ,
-254  ,
-276  ,
-285  ,
-286  ,
-274  ,
-251  ,
-223  ,
-190  ,
-165  ,
-141  ,
-124  ,
-111  ,
-106  ,
-115  ,
-128  ,
-153  ,
-183  ,
-215  ,
-244  ,
-278  ,
-289  ,
-305  ,
-294  ,
-288  ,
-269  ,
-246  ,
-215  ,
-168  ,
-117  ,
-73 ,
-39 ,
-11 ,
4 ,
13  ,
25  ,
31  ,
52  ,
86  ,
144 ,
220 ,
292 ,
367 ,
422 ,
475 ,
518 ,
564 ,
611 ,
648 ,
681 ,
685 ,
697 ,
682 ,
670 ,
636 ,
610 ,
573 ,
548 ,
511 ,
484 ,
444 ,
404 ,
373 ,
341 ,
320 ,
294 ,
275 ,
263 ,
247 ,
241 ,
225 ,
199 ,
153 ,
92  ,
27  ,
-39 ,
-82 ,
-133  ,
-155  ,
-197  ,
-220  ,
-244  ,
-267  ,
-293  ,
-333  ,
-384  ,
-437  ,
-489  ,
-527  ,
-545  ,
-552  ,
-545  ,
-535  ,
-515  ,
-496  ,
-470  ,
-444  ,
-404  ,
-346  ,
-274  ,
-195  ,
-136  ,
-98 ,
-88 ,
-97 ,
-105  ,
-123  ,
-122  ,
-130  ,
-124  ,
-128  ,
-118  ,
-112  ,
-104  ,
-101  ,
-96 ,
-108  ,
-107  ,
-114  ,
-111  ,
-103  ,
-109  ,
-98 ,
-101  ,
-87 ,
-97 ,
-98 ,
-127  ,
-148  ,
-178  ,
-190  ,
-190  ,
-196  ,
-182  ,
-175  ,
-161  ,
-143  ,
-125  ,
-94 ,
-62 ,
-23 ,
15  ,
48  ,
67  ,
73  ,
66  ,
56  ,
51  ,
59  ,
86  ,
124 ,
160 ,
188 ,
197 ,
177 ,
136 ,
72  ,
3 ,
-66 ,
-121  ,
-165  ,
-202  ,
-233  ,
-277  ,
-308  ,
-344  ,
-364  ,
-372  ,
-373  ,
-362  ,
-345  ,
-323  ,
-307  ,
-294  ,
-300  ,
-312  ,
-330  ,
-345  ,
-353  ,
-358  ,
-358  ,
-361  ,
-351  ,
-344  ,
-335  ,
-319  ,
-314  ,
-308  ,
-313  ,
-300  ,
-278  ,
-253  ,
-223  ,
-195  ,
-172  ,
-158  ,
-153  ,
-157  ,
-164  ,
-179  ,
-195  ,
-196  ,
-191  ,
-168  ,
-160  ,
-140  ,
-138  ,
-126  ,
-119  ,
-101  ,
-80 ,
-59 ,
-44 ,
-34 ,
-26 ,
-29 ,
-36 ,
-36 ,
-27 ,
1 ,
34  ,
82  ,
123 ,
173 ,
206 ,
242 ,
271 ,
294 ,
315 ,
331 ,
364 ,
391 ,
442 ,
485 ,
534 ,
565 ,
583 ,
583 ,
582 ,
580 ,
579 ,
586 ,
595 ,
598 ,
588 ,
560 ,
526 ,
479 ,
441 ,
412 ,
393 ,
390 ,
381 ,
383 ,
359 ,
334 ,
295 ,
251 ,
207 ,
157 ,
111 ,
83  ,
48  ,
21  ,
-29 ,
-76 ,
-150  ,
-221  ,
-305  ,
-375  ,
-455  ,
-534  ,
-603  ,
-662  ,
-696  ,
-726  ,
-746  ,
-754  ,
-751  ,
-738  ,
-709  ,
-678  ,
-651  ,
-620  ,
-593  ,
-557  ,
-535  ,
-506  ,
-498  ,
-479  ,
-465  ,
-421  ,
-377  ,
-314  ,
-268  ,
-229  ,
-207  ,
-208  ,
-210  ,
-229  ,
-246  ,
-259  ,
-266  ,
-248  ,
-230  ,
-202  ,
-184  ,
-174  ,
-171  ,
-153  ,
-123  ,
-87 ,
-51 ,
-14 ,
22  ,
54  ,
79  ,
103 ,
125 ,
154 ,
196 ,
245 ,
300 ,
364 ,
422 ,
493 ,
558 ,
616 ,
665 ,
713 ,
751 ,
795 ,
842 ,
902 ,
965 ,
1026  ,
1087  ,
1139  ,
1166  ,
1178  ,
1160  ,
1122  ,
1075  ,
1015  ,
969 ,
918 ,
873 ,
831 ,
784 ,
739 ,
696 ,
668 ,
647 ,
644 ,
630 ,
623 ,
588 ,
550 ,
499 ,
464 ,
432 ,
425 ,
419 ,
423 ,
412 ,
397 ,
372 ,
329 ,
289 ,
223 ,
166 ,
103 ,
46  ,
-7  ,
-51 ,
-80 ,
-107  ,
-117  ,
-135  ,
-152  ,
-183  ,
-215  ,
-250  ,
-283  ,
-311  ,
-337  ,
-357  ,
-377  ,
-395  ,
-416  ,
-438  ,
-454  ,
-466  ,
-467  ,
-469  ,
-468  ,
-474  ,
-488  ,
-497  ,
-524  ,
-538  ,
-564  ,
-577  ,
-584  ,
-584  ,
-570  ,
-566  ,
-553  ,
-544  ,
-528  ,
-511  ,
-498  ,
-482  ,
-470  ,
-452  ,
-431  ,
-402  ,
-371  ,
-332  ,
-289  ,
-242  ,
-198  ,
-158  ,
-125  ,
-101  ,
-82 ,
-52 ,
-32 ,
0 ,
12  ,
32  ,
41  ,
57  ,
79  ,
100 ,
128 ,
155 ,
172 ,
191 ,
192 ,
187 ,
170 ,
150 ,
142 ,
137 ,
146 ,
158 ,
167 ,
167 ,
156 ,
132 ,
98  ,
59  ,
21  ,
-15 ,
-48 ,
-66 ,
-81 ,
-83 ,
-85 ,
-70 ,
-52 ,
-20 ,
13  ,
40  ,
76  ,
98  ,
125 ,
143 ,
177 ,
204 ,
249 ,
279 ,
324 ,
359 ,
402 ,
449 ,
492 ,
529 ,
568 ,
596 ,
622 ,
623 ,
624 ,
600 ,
586 ,
566 ,
556 ,
544 ,
530 ,
513 ,
490 ,
458 ,
433 ,
404 ,
384 ,
365 ,
352 ,
336 ,
324 ,
287 ,
267 ,
228 ,
213 ,
196 ,
192 ,
186 ,
177 ,
155 ,
128 ,
99  ,
77  ,
62  ,
50  ,
54  ,
51  ,
61  ,
70  ,
88  ,
104 ,
124 ,
145 ,
154 ,
141 ,
108 ,
56  ,
-3  ,
-59 ,
-107  ,
-144  ,
-181  ,
-214  ,
-248  ,
-271  ,
-300  ,
-336  ,
-376  ,
-423  ,
-472  ,
-523  ,
-574  ,
-618  ,
-661  ,
-695  ,
-716  ,
-727  ,
-733  ,
-729  ,
-730  ,
-732  ,
-730  ,
-732  ,
-736  ,
-753  ,
-771  ,
-793  ,
-810  ,
-834  ,
-853  ,
-864  ,
-874  ,
-883  ,
-892  ,
-907  ,
-915  ,
-925  ,
-919  ,
-912  ,
-906  ,
-886  ,
-878  ,
-853  ,
-834  ,
-804  ,
-777  ,
-735  ,
-695  ,
-645  ,
-598  ,
-558  ,
-521  ,
-484  ,
-446  ,
-402  ,
-360  ,
-319  ,
-275  ,
-247  ,
-213  ,
-186  ,
-152  ,
-125  ,
-96 ,
-72 ,
-50 ,
-39 ,
-23 ,
-13 ,
7 ,
41  ,
99  ,
163 ,
245 ,
326 ,
425 ,
512 ,
596 ,
662 ,
716 ,
759 ,
798 ,
832 ,
866 ,
892 ,
908 ,
929 ,
955 ,
976 ,
1001  ,
1017  ,
1023  ,
1032  ,
1024  ,
1022  ,
998 ,
975 ,
933 ,
895 ,
862 ,
820 ,
792 ,
748 ,
709 ,
661 ,
598 ,
529 ,
446 ,
367 ,
286 ,
205 ,
122 ,
52  ,
-19 ,
-76 ,
-139  ,
-190  ,
-248  ,
-310  ,
-378  ,
-444  ,
-497  ,
-544  ,
-574  ,
-592  ,
-591  ,
-583  ,
-575  ,
-563  ,
-564  ,
-562  ,
-570  ,
-564  ,
-565  ,
-557  ,
-560  ,
-571  ,
-587  ,
-618  ,
-641  ,
-664  ,
-670  ,
-658  ,
-643  ,
-620  ,
-599  ,
-567  ,
-541  ,
-510  ,
-494  ,
-484  ,
-484  ,
-484  ,
-495  ,
-491  ,
-501  ,
-492  ,
-503  ,
-490  ,
-485  ,
-469  ,
-453  ,
-437  ,
-416  ,
-389  ,
-350  ,
-315  ,
-286  ,
-258  ,
-234  ,
-208  ,
-182  ,
-151  ,
-107  ,
-66 ,
-20 ,
30  ,
71  ,
108 ,
139 ,
174 ,
230 ,
285 ,
359 ,
428 ,
491 ,
539 ,
561 ,
568 ,
553 ,
523 ,
490 ,
461 ,
440 ,
438 ,
437 ,
459 ,
476 ,
500 ,
523 ,
536 ,
547 ,
548 ,
547 ,
546 ,
534 ,
532 ,
508 ,
495 ,
475 ,
456 ,
448 ,
440 ,
448 ,
447 ,
460 ,
470 ,
494 ,
508 ,
515 ,
520 ,
505 ,
490 ,
462 ,
447 ,
433 ,
429 ,
426 ,
426 ,
412 ,
392 ,
365 ,
342 ,
327 ,
317 ,
311 ,
317 ,
320 ,
313 ,
295 ,
272 ,
249 ,
222 ,
202 ,
184 ,
160 ,
115 ,
61  ,
-10 ,
-71 ,
-143  ,
-189  ,
-223  ,
-232  ,
-235  ,
-226  ,
-215  ,
-205  ,
-205  ,
-207  ,
-208  ,
-213  ,
-218  ,
-223  ,
-227  ,
-209  ,
-192  ,
-150  ,
-116  ,
-68 ,
-35 ,
-8  ,
4 ,
4 ,
-9  ,
-36 ,
-57 ,
-90 ,
-127  ,
-164  ,
-210  ,
-239  ,
-265  ,
-264  ,
-257  ,
-238  ,
-217  ,
-202  ,
-185  ,
-176  ,
-181  ,
-201  ,
-244  ,
-283  ,
-336  ,
-376  ,
-406  ,
-431  ,
-448  ,
-470  ,
-495  ,
-518  ,
-546  ,
-562  ,
-574  ,
-579  ,
-576  ,
-570  ,
-555  ,
-539  ,
-526  ,
-501  ,
-480  ,
-452  ,
-432  ,
-404  ,
-379  ,
-353  ,
-329  ,
-317  ,
-292  ,
-273  ,
-250  ,
-214  ,
-168  ,
-111  ,
-50 ,
0 ,
53  ,
88  ,
117 ,
138 ,
162 ,
180 ,
208 ,
243 ,
291 ,
347 ,
406 ,
465 ,
518 ,
555 ,
592 ,
608 ,
622 ,
627 ,
616 ,
611 ,
588 ,
573 ,
550 ,
531 ,
517 ,
504 ,
510 ,
526 ,
553 ,
582 ,
607 ,
633 ,
663 ,
691 ,
719 ,
747 ,
768 ,
805 ,
834 ,
871 ,
906 ,
936 ,
957 ,
966 ,
956 ,
935 ,
903 ,
855 ,
803 ,
749 ,
702 ,
671 ,
623 ,
580 ,
522 ,
457 ,
387 ,
318 ,
252 ,
185 ,
119 ,
55  ,
-4  ,
-62 ,
-117  ,
-171  ,
-211  ,
-238  ,
-258  ,
-274  ,
-303  ,
-350  ,
-406  ,
-466  ,
-520  ,
-569  ,
-615  ,
-645  ,
-670  ,
-664  ,
-663  ,
-641  ,
-641  ,
-645  ,
-654  ,
-670  ,
-694  ,
-718  ,
-757  ,
-793  ,
-832  ,
-860  ,
-883  ,
-886  ,
-890  ,
-877  ,
-858  ,
-833  ,
-795  ,
-771  ,
-742  ,
-733  ,
-710  ,
-695  ,
-667  ,
-663  ,
-650  ,
-651  ,
-639  ,
-616  ,
-596  ,
-557  ,
-523  ,
-479  ,
-440  ,
-400  ,
-362  ,
-331  ,
-296  ,
-255  ,
-208  ,
-153  ,
-95 ,
-43 ,
9 ,
55  ,
99  ,
143 ,
186 ,
225 ,
257 ,
283 ,
306 ,
323 ,
337 ,
357 ,
379 ,
412 ,
447 ,
484 ,
516 ,
534 ,
543 ,
540 ,
539 ,
538 ,
542 ,
541 ,
547 ,
546 ,
554 ,
565 ,
568 ,
570 ,
561 ,
533 ,
500 ,
439 ,
381 ,
309 ,
235 ,
158 ,
105 ,
46  ,
27  ,
-14 ,
-34 ,
-64 ,
-85 ,
-101  ,
-116  ,
-122  ,
-132  ,
-134  ,
-136  ,
-137  ,
-136  ,
-136  ,
-125  ,
-124  ,
-96 ,
-88 ,
-57 ,
-51 ,
-27 ,
-20 ,
-8  ,
5 ,
13  ,
17  ,
10  ,
0 ,
-6  ,
-15 ,
-16 ,
-11 ,
-5  ,
3 ,
8 ,
6 ,
-11 ,
-30 ,
-60 ,
-82 ,
-114  ,
-138  ,
-162  ,
-176  ,
-194  ,
-192  ,
-210  ,
-219  ,
-250  ,
-275  ,
-295  ,
-311  ,
-306  ,
-314  ,
-301  ,
-284  ,
-245  ,
-188  ,
-121  ,
-47 ,
21  ,
83  ,
121 ,
148 ,
168 ,
177 ,
195 ,
195 ,
208 ,
206 ,
211 ,
206 ,
205 ,
198 ,
189 ,
183 ,
166 ,
144 ,
111 ,
78  ,
36  ,
6 ,
-17 ,
-25 ,
-25 ,
-11 ,
-4  ,
6 ,
-4  ,
-16 ,
-36 ,
-45 ,
-49 ,
-43 ,
-36 ,
-29 ,
-27 ,
-34 ,
-37 ,
-44 ,
-41 ,
-34 ,
-16 ,
-6  ,
-7  ,
-21 ,
-41 ,
-71 ,
-110  ,
-140  ,
-173  ,
-202  ,
-226  ,
-252  ,
-259  ,
-257  ,
-238  ,
-217  ,
-206  ,
-204  ,
-209  ,
-217  ,
-220  ,
-218  ,
-213  ,
-202  ,
-188  ,
-171  ,
-141  ,
-115  ,
-94 ,
-87 ,
-84 ,
-88 ,
-92 ,
-100  ,
-106  ,
-121  ,
-132  ,
-151  ,
-156  ,
-152  ,
-138  ,
-108  ,
-79 ,
-48 ,
-17 ,
14  ,
31  ,
51  ,
66  ,
91  ,
123 ,
148 ,
185 ,
208 ,
240 ,
266 ,
291 ,
316 ,
324 ,
335 ,
344 ,
358 ,
373 ,
384 ,
404 ,
420 ,
435 ,
446 ,
454 ,
458 ,
452 ,
442 ,
432 ,
410 ,
379 ,
332 ,
272 ,
209 ,
128 ,
55  ,
-24 ,
-86 ,
-142  ,
-182  ,
-212  ,
-238  ,
-265  ,
-297  ,
-335  ,
-368  ,
-384  ,
-396  ,
-390  ,
-378  ,
-356  ,
-329  ,
-313  ,
-298  ,
-284  ,
-263  ,
-244  ,
-221  ,
-209  ,
-201  ,
-201  ,
-201  ,
-199  ,
-198  ,
-198  ,
-187  ,
-174  ,
-157  ,
-138  ,
-124  ,
-109  ,
-102  ,
-84 ,
-79 ,
-64 ,
-68 ,
-71 ,
-78 ,
-74 ,
-66 ,
-40 ,
-18 ,
18  ,
33  ,
56  ,
52  ,
44  ,
19  ,
5 ,
-8  ,
-4  ,
-6  ,
5 ,
4 ,
16  ,
35  ,
70  ,
114 ,
164 ,
221 ,
263 ,
307 ,
330 ,
350 ,
354 ,
359 ,
362 ,
369 ,
377 ,
383 ,
393 ,
396 ,
396 ,
388 ,
368 ,
343 ,
318 ,
295 ,
282 ,
273 ,
271 ,
270 ,
270 ,
274 ,
270 ,
280 ,
267 ,
261 ,
235 ,
213 ,
182 ,
145 ,
118 ,
82  ,
64  ,
33  ,
9 ,
-12 ,
-37 ,
-49 ,
-57 ,
-64 ,
-63 ,
-74 ,
-84 ,
-102  ,
-123  ,
-145  ,
-168  ,
-178  ,
-185  ,
-179  ,
-169  ,
-167  ,
-165  ,
-174  ,
-176  ,
-182  ,
-177  ,
-183  ,
-173  ,
-180  ,
-166  ,
-159  ,
-148  ,
-130  ,
-118  ,
-91 ,
-67 ,
-38 ,
-21 ,
-12 ,
-16 ,
-23 ,
-36 ,
-60 ,
-83 ,
-107  ,
-131  ,
-144  ,
-145  ,
-139  ,
-121  ,
-113  ,
-97 ,
-90 ,
-76 ,
-61 ,
-36 ,
-3  ,
54  ,
103 ,
165 ,
209 ,
252 ,
274 ,
299 ,
302 ,
302 ,
293 ,
286 ,
291 ,
296 ,
314 ,
323 ,
337 ,
344 ,
357 ,
365 ,
378 ,
377 ,
369 ,
352 ,
328 ,
292 ,
261 ,
214 ,
183 ,
148 ,
118 ,
88  ,
48  ,
10  ,
-28 ,
-80 ,
-127  ,
-183  ,
-230  ,
-289  ,
-344  ,
-392  ,
-428  ,
-460  ,
-475  ,
-491  ,
-491  ,
-485  ,
-481  ,
-470  ,
-466  ,
-442  ,
-435  ,
-420  ,
-423  ,
-423  ,
-437  ,
-449  ,
-457  ,
-464  ,
-474  ,
-478  ,
-492  ,
-490  ,
-488  ,
-491  ,
-489  ,
-496  ,
-485  ,
-461  ,
-427  ,
-374  ,
-317  ,
-267  ,
-214  ,
-180  ,
-143  ,
-122  ,
-93 ,
-82 ,
-67 ,
-67 ,
-74 ,
-82 ,
-93 ,
-91 ,
-90 ,
-80 ,
-72 ,
-58 ,
-51 ,
-49 ,
-50 ,
-55 ,
-55 ,
-49 ,
-30 ,
-3  ,
46  ,
87  ,
147 ,
209 ,
290 ,
372 ,
453 ,
522 ,
566 ,
602 ,
612 ,
622 ,
618 ,
619 ,
612 ,
624 ,
619 ,
630 ,
628 ,
630 ,
632 ,
635 ,
643 ,
644 ,
650 ,
635 ,
621 ,
582 ,
553 ,
501 ,
461 ,
419 ,
381 ,
349 ,
316 ,
278 ,
236 ,
200 ,
171 ,
142 ,
124 ,
102 ,
96  ,
98  ,
117 ,
134 ,
149 ,
137 ,
126 ,
98  ,
74  ,
45  ,
14  ,
-28 ,
-70 ,
-112  ,
-146  ,
-168  ,
-190  ,
-201  ,
-217  ,
-225  ,
-245  ,
-255  ,
-279  ,
-310  ,
-346  ,
-381  ,
-414  ,
-449  ,
-482  ,
-510  ,
-518  ,
-511  ,
-495  ,
-473  ,
-455  ,
-454  ,
-458  ,
-474  ,
-486  ,
-498  ,
-504  ,
-516  ,
-521  ,
-535  ,
-533  ,
-532  ,
-511  ,
-470  ,
-419  ,
-363  ,
-307  ,
-268  ,
-233  ,
-203  ,
-195  ,
-183  ,
-186  ,
-183  ,
-182  ,
-176  ,
-168  ,
-153  ,
-149  ,
-138  ,
-128  ,
-124  ,
-113  ,
-109  ,
-101  ,
-90 ,
-72 ,
-39 ,
-4  ,
47  ,
89  ,
120 ,
137 ,
127 ,
114 ,
78  ,
49  ,
12  ,
-24 ,
-70 ,
-104  ,
-144  ,
-169  ,
-191  ,
-203  ,
-214  ,
-222  ,
-235  ,
-245  ,
-257  ,
-277  ,
-287  ,
-299  ,
-297  ,
-290  ,
-272  ,
-250  ,
-206  ,
-169  ,
-108  ,
-50 ,
21  ,
76  ,
127 ,
173 ,
214 ,
251 ,
277 ,
292 ,
290 ,
292 ,
284 ,
282 ,
283 ,
304 ,
332 ,
381 ,
421 ,
469 ,
509 ,
547 ,
573 ,
598 ,
607 ,
606 ,
586 ,
561 ,
534 ,
506 ,
474 ,
442 ,
402 ,
366 ,
326 ,
292 ,
270 ,
264 ,
277 ,
312 ,
366 ,
412 ,
462 ,
485 ,
508 ,
520 ,
526 ,
527 ,
528 ,
521 ,
523 ,
512 ,
516 ,
509 ,
506 ,
502 ,
479 ,
464 ,
426 ,
394 ,
337 ,
271 ,
197 ,
120 ,
43  ,
-30 ,
-96 ,
-154  ,
-192  ,
-227  ,
-252  ,
-266  ,
-287  ,
-301  ,
-320  ,
-340  ,
-353  ,
-377  ,
-402  ,
-432  ,
-467  ,
-509  ,
-549  ,
-591  ,
-620  ,
-647  ,
-656  ,
-663  ,
-650  ,
-643  ,
-630  ,
-625  ,
-622  ,
-627  ,
-633  ,
-641  ,
-648  ,
-655  ,
-668  ,
-679  ,
-694  ,
-698  ,
-713  ,
-709  ,
-719  ,
-711  ,
-698  ,
-675  ,
-634  ,
-577  ,
-503  ,
-415  ,
-338  ,
-263  ,
-216  ,
-183  ,
-160  ,
-153  ,
-141  ,
-138  ,
-129  ,
-108  ,
-83 ,
-36 ,
13  ,
77  ,
140 ,
205 ,
261 ,
315 ,
360 ,
394 ,
409 ,
418 ,
416 ,
416 ,
424 ,
437 ,
467 ,
502 ,
547 ,
604 ,
665 ,
736 ,
798 ,
861 ,
916 ,
973 ,
1014  ,
1042  ,
1056  ,
1060  ,
1056  ,
1047  ,
1040  ,
1035  ,
1031  ,
1029  ,
1020  ,
1016  ,
1002  ,
984 ,
959 ,
920 ,
881 ,
822 ,
767 ,
700 ,
629 ,
548 ,
459 ,
363 ,
261 ,
168 ,
75  ,
-6  ,
-81 ,
-140  ,
-182  ,
-202  ,
-203  ,
-186  ,
-161  ,
-142  ,
-137  ,
-138  ,
-166  ,
-203  ,
-264  ,
-321  ,
-383  ,
-434  ,
-474  ,
-495  ,
-507  ,
-503  ,
-497  ,
-490  ,
-479  ,
-481  ,
-484  ,
-505  ,
-528  ,
-561  ,
-599  ,
-631  ,
-670  ,
-699  ,
-726  ,
-735  ,
-728  ,
-706  ,
-669  ,
-635  ,
-604  ,
-574  ,
-556  ,
-537  ,
-526  ,
-516  ,
-518  ,
-526  ,
-548  ,
-576  ,
-600  ,
-617  ,
-615  ,
-607  ,
-570  ,
-533  ,
-471  ,
-414  ,
-344  ,
-274  ,
-195  ,
-124  ,
-52 ,
7 ,
63  ,
101 ,
126 ,
125 ,
122 ,
100 ,
94  ,
84  ,
90  ,
92  ,
115 ,
137 ,
186 ,
249 ,
326 ,
404 ,
460 ,
498 ,
507 ,
498 ,
458 ,
412 ,
354 ,
304 ,
269 ,
242 ,
234 ,
240 ,
249 ,
273 ,
296 ,
313 ,
343 ,
341 ,
337 ,
302 ,
260 ,
206 ,
157 ,
113 ,
82  ,
59  ,
45  ,
44  ,
58  ,
73  ,
97  ,
116 ,
142 ,
162 ,
185 ,
202 ,
211 ,
202 ,
190 ,
158 ,
140 ,
111 ,
95  ,
73  ,
53  ,
32  ,
16  ,
1 ,
-3  ,
-9  ,
-1  ,
12  ,
27  ,
40  ,
40  ,
33  ,
2 ,
-27 ,
-65 ,
-90 ,
-122  ,
-139  ,
-158  ,
-170  ,
-178  ,
-174  ,
-144  ,
-113  ,
-53 ,
3 ,
56  ,
103 ,
122 ,
130 ,
114 ,
91  ,
49  ,
9 ,
-39 ,
-76 ,
-96 ,
-106  ,
-87 ,
-65 ,
-34 ,
-7  ,
21  ,
37  ,
42  ,
28  ,
-3  ,
-48 ,
-101  ,
-150  ,
-198  ,
-244  ,
-283  ,
-324  ,
-349  ,
-370  ,
-386  ,
-402  ,
-423  ,
-450  ,
-470  ,
-489  ,
-503  ,
-525  ,
-544  ,
-581  ,
-600  ,
-640  ,
-657  ,
-687  ,
-702  ,
-723  ,
-730  ,
-718  ,
-700  ,
-664  ,
-628  ,
-587  ,
-529  ,
-480  ,
-413  ,
-367  ,
-321  ,
-305  ,
-302  ,
-313  ,
-326  ,
-345  ,
-347  ,
-350  ,
-329  ,
-303  ,
-257  ,
-189  ,
-104  ,
-5  ,
86  ,
178 ,
262 ,
335 ,
387 ,
414 ,
425 ,
408 ,
388 ,
354 ,
331 ,
322 ,
321 ,
331 ,
360 ,
381 ,
409 ,
428 ,
441 ,
445 ,
443 ,
434 ,
425 ,
421 ,
425 ,
429 ,
449 ,
476 ,
519 ,
569 ,
617 ,
677 ,
726 ,
774 ,
806 ,
833 ,
855 ,
873 ,
885 ,
886 ,
873 ,
865 ,
843 ,
819 ,
780 ,
737 ,
682 ,
623 ,
566 ,
511 ,
460 ,
414 ,
370 ,
339 ,
320 ,
312 ,
302 ,
285 ,
253 ,
201 ,
131 ,
55  ,
-26 ,
-99 ,
-157  ,
-213  ,
-242  ,
-269  ,
-275  ,
-274  ,
-269  ,
-260  ,
-256  ,
-243  ,
-248  ,
-259  ,
-291  ,
-343  ,
-401  ,
-471  ,
-527  ,
-578  ,
-606  ,
-622  ,
-628  ,
-624  ,
-616  ,
-603  ,
-598  ,
-593  ,
-597  ,
-614  ,
-628  ,
-657  ,
-679  ,
-703  ,
-718  ,
-726  ,
-721  ,
-700  ,
-682  ,
-651  ,
-625  ,
-593  ,
-562  ,
-523  ,
-481  ,
-425  ,
-369  ,
-316  ,
-254  ,
-199  ,
-134  ,
-75 ,
-33 ,
-2  ,
14  ,
27  ,
42  ,
49  ,
54  ,
66  ,
80  ,
114 ,
167 ,
228 ,
306 ,
371 ,
438 ,
483 ,
514 ,
523 ,
524 ,
517 ,
525 ,
533 ,
548 ,
569 ,
593 ,
630 ,
670 ,
717 ,
766 ,
809 ,
842 ,
851 ,
843 ,
808 ,
761 ,
691 ,
620 ,
548 ,
491 ,
439 ,
392 ,
347 ,
303 ,
253 ,
211 ,
166 ,
133 ,
93  ,
63  ,
29  ,
6 ,
-6  ,
-17 ,
-22 ,
-28 ,
-24 ,
-24 ,
-19 ,
-23 ,
-31 ,
-42 ,
-62 ,
-72 ,
-74 ,
-64 ,
-53 ,
-35 ,
-22 ,
6 ,
20  ,
37  ,
32  ,
28  ,
8 ,
-5  ,
-39 ,
-58 ,
-96 ,
-121  ,
-136  ,
-140  ,
-119  ,
-101  ,
-66 ,
-48 ,
-27 ,
-40 ,
-57 ,
-100  ,
-144  ,
-197  ,
-232  ,
-271  ,
-296  ,
-309  ,
-304  ,
-279  ,
-234  ,
-171  ,
-97 ,
-28 ,
37  ,
86  ,
122 ,
138 ,
153 ,
163 ,
170 ,
164 ,
164 ,
156 ,
164 ,
167 ,
176 ,
169 ,
160 ,
138 ,
120 ,
97  ,
65  ,
43  ,
15  ,
16  ,
10  ,
12  ,
10  ,
3 ,
-11 ,
-28 ,
-46 ,
-67 ,
-90 ,
-115  ,
-137  ,
-135  ,
-135  ,
-119  ,
-112  ,
-96 ,
-75 ,
-50 ,
-35 ,
-38 ,
-66 ,
-113  ,
-174  ,
-228  ,
-283  ,
-321  ,
-355  ,
-371  ,
-381  ,
-364  ,
-347  ,
-313  ,
-278  ,
-239  ,
-220  ,
-198  ,
-202  ,
-210  ,
-234  ,
-258  ,
-291  ,
-306  ,
-328  ,
-321  ,
-304  ,
-272  ,
-233  ,
-189  ,
-149  ,
-114  ,
-89 ,
-67 ,
-47 ,
-31 ,
-16 ,
-5  ,
17  ,
21  ,
39  ,
42  ,
52  ,
52  ,
45  ,
45  ,
35  ,
27  ,
17  ,
13  ,
29  ,
49  ,
82  ,
116 ,
151 ,
170 ,
195 ,
200 ,
207 ,
203 ,
189 ,
181 ,
170 ,
186 ,
212 ,
259 ,
312 ,
379 ,
439 ,
501 ,
539 ,
561 ,
551 ,
515 ,
457 ,
394 ,
317 ,
254 ,
186 ,
125 ,
75  ,
26  ,
-1  ,
-19 ,
-23 ,
-29 ,
-40 ,
-64 ,
-101  ,
-152  ,
-195  ,
-252  ,
-301  ,
-354  ,
-400  ,
-442  ,
-472  ,
-482  ,
-479  ,
-459  ,
-429  ,
-395  ,
-364  ,
-331  ,
-301  ,
-274  ,
-246  ,
-224  ,
-211  ,
-194  ,
-193  ,
-194  ,
-212  ,
-238  ,
-271  ,
-306  ,
-337  ,
-360  ,
-375  ,
-381  ,
-369  ,
-341  ,
-288  ,
-231  ,
-168  ,
-120  ,
-86 ,
-64 ,
-61 ,
-72 ,
-93 ,
-135  ,
-174  ,
-201  ,
-212  ,
-204  ,
-182  ,
-138  ,
-83 ,
-16 ,
56  ,
117 ,
167 ,
191 ,
189 ,
181 ,
153 ,
137 ,
108 ,
93  ,
85  ,
89  ,
117 ,
152 ,
212 ,
262 ,
328 ,
372 ,
432 ,
463 ,
485 ,
491 ,
479 ,
457 ,
426 ,
384 ,
338 ,
304 ,
270 ,
257 ,
237 ,
229 ,
215 ,
209 ,
199 ,
211 ,
222 ,
237 ,
245 ,
239 ,
240 ,
223 ,
194 ,
143 ,
79  ,
5 ,
-71 ,
-148  ,
-215  ,
-281  ,
-339  ,
-374  ,
-395  ,
-382  ,
-373  ,
-349  ,
-346  ,
-333  ,
-349  ,
-358  ,
-385  ,
-417  ,
-451  ,
-489  ,
-512  ,
-527  ,
-518  ,
-489  ,
-452  ,
-396  ,
-344  ,
-288  ,
-246  ,
-223  ,
-221  ,
-236  ,
-274  ,
-316  ,
-375  ,
-418  ,
-464  ,
-485  ,
-495  ,
-481  ,
-442  ,
-390  ,
-319  ,
-254  ,
-176  ,
-115  ,
-45 ,
8 ,
69  ,
109 ,
143 ,
148 ,
151 ,
145 ,
141 ,
135 ,
140 ,
134 ,
151 ,
165 ,
196 ,
241 ,
289 ,
358 ,
418 ,
492 ,
548 ,
601 ,
635 ,
651 ,
636 ,
606 ,
556 ,
508 ,
454 ,
410 ,
373 ,
345 ,
330 ,
333 ,
343 ,
374 ,
390 ,
400 ,
387 ,
355 ,
302 ,
231 ,
153 ,
62  ,
-28 ,
-106  ,
-167  ,
-204  ,
-218  ,
-219  ,
-202  ,
-174  ,
-148  ,
-125  ,
-115  ,
-124  ,
-150  ,
-196  ,
-253  ,
-317  ,
-385  ,
-443  ,
-494  ,
-521  ,
-533  ,
-522  ,
-508  ,
-474  ,
-449  ,
-410  ,
-380  ,
-343  ,
-308  ,
-269  ,
-239  ,
-218  ,
-217  ,
-227  ,
-230  ,
-240  ,
-228  ,
-226  ,
-220  ,
-224  ,
-216  ,
-201  ,
-169  ,
-129  ,
-81 ,
-32 ,
17  ,
60  ,
95  ,
102 ,
90  ,
51  ,
12  ,
-53 ,
-104  ,
-158  ,
-196  ,
-214  ,
-214  ,
-183  ,
-124  ,
-55 ,
36  ,
122 ,
206 ,
272 ,
312 ,
339 ,
339 ,
336 ,
320 ,
314 ,
313 ,
331 ,
359 ,
407 ,
459 ,
527 ,
581 ,
638 ,
665 ,
682 ,
671 ,
652 ,
612 ,
570 ,
512 ,
460 ,
398 ,
341 ,
302 ,
267 ,
254 ,
235 ,
244 ,
237 ,
251 ,
247 ,
263 ,
273 ,
281 ,
280 ,
265 ,
235 ,
190 ,
134 ,
69  ,
11  ,
-52 ,
-111  ,
-156  ,
-187  ,
-207  ,
-203  ,
-178  ,
-139  ,
-90 ,
-52 ,
-16 ,
-4  ,
-11 ,
-47 ,
-97 ,
-179  ,
-262  ,
-352  ,
-431  ,
-504  ,
-564  ,
-610  ,
-622  ,
-619  ,
-582  ,
-537  ,
-484  ,
-431  ,
-400  ,
-384  ,
-398  ,
-414  ,
-457  ,
-484  ,
-508  ,
-499  ,
-478  ,
-436  ,
-387  ,
-325  ,
-257  ,
-183  ,
-122  ,
-69 ,
-38 ,
-25 ,
-26 ,
-47 ,
-68 ,
-99 ,
-127  ,
-156  ,
-174  ,
-179  ,
-171  ,
-149  ,
-115  ,
-80 ,
-25 ,
18  ,
84  ,
140 ,
205 ,
265 ,
320 ,
361 ,
387 ,
393 ,
385 ,
354 ,
308 ,
247 ,
175 ,
117 ,
64  ,
37  ,
31  ,
48  ,
77  ,
113 ,
139 ,
155 ,
145 ,
122 ,
75  ,
16  ,
-66 ,
-152  ,
-240  ,
-322  ,
-387  ,
-430  ,
-440  ,
-423  ,
-387  ,
-335  ,
-272  ,
-209  ,
-147  ,
-106  ,
-71 ,
-64 ,
-73 ,
-96 ,
-123  ,
-151  ,
-153  ,
-145  ,
-111  ,
-54 ,
11  ,
90  ,
168 ,
236 ,
299 ,
341 ,
371 ,
385 ,
385 ,
375 ,
349 ,
321 ,
276 ,
235 ,
200 ,
173 ,
168 ,
169 ,
179 ,
198 ,
219 ,
257 ,
294 ,
348 ,
396 ,
444 ,
488 ,
509 ,
522 ,
510 ,
484 ,
447 ,
406 ,
376 ,
356 ,
359 ,
370 ,
409 ,
460 ,
523 ,
590 ,
646 ,
691 ,
710 ,
705 ,
671 ,
609 ,
524 ,
440 ,
349 ,
269 ,
192 ,
143 ,
108 ,
88  ,
81  ,
86  ,
99  ,
102 ,
104 ,
91  ,
74  ,
23  ,
-24 ,
-102  ,
-155  ,
-226  ,
-271  ,
-307  ,
-334  ,
-342  ,
-348  ,
-339  ,
-341  ,
-342  ,
-352  ,
-366  ,
-388  ,
-417  ,
-452  ,
-499  ,
-552  ,
-621  ,
-684  ,
-741  ,
-781  ,
-811  ,
-830  ,
-832  ,
-828  ,
-813  ,
-789  ,
-756  ,
-709  ,
-661  ,
-605  ,
-559  ,
-526  ,
-518  ,
-523  ,
-545  ,
-571  ,
-608  ,
-642  ,
-676  ,
-699  ,
-696  ,
-674  ,
-609  ,
-524  ,
-415  ,
-304  ,
-200  ,
-118  ,
-54 ,
-16 ,
2 ,
4 ,
-17 ,
-31 ,
-62 ,
-79 ,
-104  ,
-100  ,
-88 ,
-52 ,
1 ,
68  ,
137 ,
210 ,
274 ,
344 ,
387 ,
429 ,
452 ,
475 ,
497 ,
526 ,
548 ,
582 ,
614 ,
654 ,
707 ,
761 ,
811 ,
852 ,
877 ,
893 ,
905 ,
896 ,
881 ,
843 ,
788 ,
722 ,
628 ,
542 ,
449 ,
367 ,
305 ,
257 ,
229 ,
212 ,
196 ,
184 ,
176 ,
173 ,
181 ,
190 ,
187 ,
179 ,
144 ,
104 ,
50  ,
-9  ,
-69 ,
-132  ,
-184  ,
-225  ,
-242  ,
-243  ,
-221  ,
-195  ,
-164  ,
-138  ,
-121  ,
-114  ,
-121  ,
-140  ,
-172  ,
-211  ,
-265  ,
-306  ,
-363  ,
-391  ,
-421  ,
-428  ,
-428  ,
-418  ,
-415  ,
-407  ,
-406  ,
-404  ,
-397  ,
-399  ,
-401  ,
-413  ,
-432  ,
-446  ,
-455  ,
-450  ,
-440  ,
-431  ,
-399  ,
-378  ,
-331  ,
-299  ,
-250  ,
-220  ,
-174  ,
-132  ,
-88 ,
-47 ,
-17 ,
-3  ,
-8  ,
-14 ,
-26 ,
-24 ,
-26 ,
-12 ,
12  ,
46  ,
86  ,
133 ,
180 ,
240 ,
296 ,
354 ,
400 ,
437 ,
453 ,
455 ,
449 ,
428 ,
417 ,
394 ,
375 ,
358 ,
342 ,
342 ,
350 ,
385 ,
414 ,
451 ,
478 ,
496 ,
506 ,
490 ,
467 ,
422 ,
380 ,
318 ,
269 ,
204 ,
151 ,
98  ,
72  ,
46  ,
49  ,
37  ,
51  ,
59  ,
79  ,
89  ,
96  ,
88  ,
85  ,
77  ,
72  ,
77  ,
74  ,
72  ,
61  ,
52  ,
44  ,
47  ,
43  ,
52  ,
43  ,
47  ,
36  ,
35  ,
25  ,
17  ,
-7  ,
-28 ,
-55 ,
-81 ,
-106  ,
-132  ,
-143  ,
-144  ,
-133  ,
-102  ,
-78 ,
-40 ,
-4  ,
32  ,
70  ,
90  ,
115 ,
121 ,
124 ,
116 ,
103 ,
83  ,
59  ,
28  ,
0 ,
-30 ,
-35 ,
-24 ,
4 ,
44  ,
82  ,
122 ,
146 ,
165 ,
166 ,
165 ,
147 ,
135 ,
98  ,
67  ,
3 ,
-40 ,
-89 ,
-116  ,
-140  ,
-158  ,
-181  ,
-209  ,
-237  ,
-263  ,
-290  ,
-320  ,
-351  ,
-385  ,
-412  ,
-436  ,
-458  ,
-476  ,
-498  ,
-510  ,
-518  ,
-509  ,
-499  ,
-478  ,
-478  ,
-461  ,
-452  ,
-426  ,
-402  ,
-387  ,
-384  ,
-390  ,
-411  ,
-422  ,
-442  ,
-457  ,
-464  ,
-465  ,
-440  ,
-410  ,
-368  ,
-319  ,
-264  ,
-201  ,
-129  ,
-56 ,
9 ,
64  ,
92  ,
128 ,
143 ,
170 ,
174 ,
181 ,
183 ,
175 ,
180 ,
182 ,
194 ,
214 ,
233 ,
273 ,
304 ,
334 ,
357 ,
367 ,
369 ,
369 ,
372 ,
375 ,
372 ,
362 ,
360 ,
362 ,
372 ,
384 ,
398 ,
406 ,
426 ,
434 ,
463 ,
491 ,
528 ,
553 ,
576 ,
584 ,
601 ,
601 ,
616 ,
606 ,
612 ,
600 ,
594 ,
578 ,
565 ,
555 ,
544 ,
541 ,
530 ,
529 ,
503 ,
478 ,
426 ,
392 ,
332 ,
284 ,
222 ,
163 ,
108 ,
55  ,
21  ,
-4  ,
-20 ,
-30 ,
-43 ,
-65 ,
-75 ,
-106  ,
-121  ,
-168  ,
-186  ,
-227  ,
-248  ,
-286  ,
-319  ,
-355  ,
-396  ,
-428  ,
-447  ,
-462  ,
-465  ,
-472  ,
-484  ,
-494  ,
-513  ,
-529  ,
-557  ,
-577  ,
-604  ,
-621  ,
-648  ,
-674  ,
-711  ,
-752  ,
-783  ,
-817  ,
-820  ,
-828  ,
-820  ,
-816  ,
-808  ,
-787  ,
-751  ,
-705  ,
-655  ,
-606  ,
-555  ,
-502  ,
-459  ,
-427  ,
-400  ,
-377  ,
-351  ,
-322  ,
-286  ,
-255  ,
-224  ,
-184  ,
-155  ,
-101  ,
-78 ,
-36 ,
-22 ,
1 ,
13  ,
20  ,
39  ,
44  ,
63  ,
89  ,
116 ,
152 ,
190 ,
228 ,
273 ,
315 ,
356 ,
386 ,
416 ,
441 ,
463 ,
489 ,
499 ,
498 ,
480 ,
457 ,
425 ,
398 ,
368 ,
341 ,
310 ,
288 ,
250 ,
223 ,
190 ,
161 ,
142 ,
120 ,
104 ,
86  ,
72  ,
44  ,
30  ,
-1  ,
-25 ,
-50 ,
-85 ,
-114  ,
-148  ,
-172  ,
-184  ,
-192  ,
-183  ,
-167  ,
-144  ,
-111  ,
-83 ,
-47 ,
-20 ,
6 ,
20  ,
33  ,
30  ,
33  ,
35  ,
31  ,
44  ,
45  ,
70  ,
85  ,
110 ,
113 ,
119 ,
97  ,
72  ,
37  ,
6 ,
-19 ,
-38 ,
-55 ,
-63 ,
-74 ,
-83 ,
-85 ,
-86 ,
-75 ,
-58 ,
-41 ,
-25 ,
-11 ,
13  ,
40  ,
76  ,
112 ,
146 ,
165 ,
183 ,
189 ,
195 ,
187 ,
181 ,
165 ,
153 ,
140 ,
132 ,
127 ,
136 ,
140 ,
160 ,
164 ,
175 ,
170 ,
171 ,
151 ,
135 ,
105 ,
80  ,
46  ,
12  ,
-11 ,
-28 ,
-32 ,
-32 ,
-24 ,
-13 ,
-7  ,
10  ,
15  ,
25  ,
25  ,
13  ,
-10 ,
-40 ,
-76 ,
-108  ,
-132  ,
-145  ,
-151  ,
-143  ,
-132  ,
-128  ,
-121  ,
-128  ,
-128  ,
-145  ,
-157  ,
-182  ,
-184  ,
-188  ,
-188  ,
-186  ,
-191  ,
-192  ,
-205  ,
-218  ,
-220  ,
-228  ,
-231  ,
-243  ,
-250  ,
-256  ,
-251  ,
-240  ,
-217  ,
-195  ,
-166  ,
-135  ,
-117  ,
-91 ,
-84 ,
-68 ,
-67 ,
-61 ,
-71 ,
-74 ,
-83 ,
-87 ,
-80 ,
-68 ,
-47 ,
-31 ,
-8  ,
9 ,
28  ,
33  ,
31  ,
20  ,
17  ,
7 ,
1 ,
-8  ,
-15 ,
-15 ,
1 ,
23  ,
58  ,
97  ,
135 ,
176 ,
209 ,
236 ,
249 ,
254 ,
249 ,
251 ,
261 ,
269 ,
285 ,
289 ,
299 ,
287 ,
281 ,
263 ,
239 ,
202 ,
156 ,
101 ,
59  ,
11  ,
-21 ,
-54 ,
-79 ,
-97 ,
-126  ,
-144  ,
-171  ,
-196  ,
-218  ,
-248  ,
-272  ,
-288  ,
-299  ,
-300  ,
-302  ,
-294  ,
-288  ,
-274  ,
-268  ,
-250  ,
-242  ,
-230  ,
-228  ,
-231  ,
-240  ,
-250  ,
-256  ,
-258  ,
-248  ,
-229  ,
-203  ,
-179  ,
-153  ,
-130  ,
-108  ,
-91 ,
-82 ,
-77 ,
-76 ,
-74 ,
-75 ,
-92 ,
-99 ,
-115  ,
-109  ,
-103  ,
-80 ,
-47 ,
-23 ,
7 ,
18  ,
43  ,
56  ,
72  ,
88  ,
105 ,
127 ,
150 ,
184 ,
222 ,
256 ,
301 ,
334 ,
383 ,
408 ,
435 ,
432 ,
437 ,
429 ,
439 ,
449 ,
468 ,
484 ,
496 ,
503 ,
501 ,
498 ,
486 ,
475 ,
462 ,
446 ,
438 ,
427 ,
421 ,
412 ,
407 ,
411 ,
415 ,
429 ,
429 ,
424 ,
411 ,
388 ,
356 ,
320 ,
280 ,
242 ,
198 ,
159 ,
115 ,
76  ,
40  ,
3 ,
-27 ,
-54 ,
-83 ,
-106  ,
-136  ,
-161  ,
-182  ,
-194  ,
-203  ,
-220  ,
-237  ,
-251  ,
-271  ,
-274  ,
-274  ,
-277  ,
-272  ,
-271  ,
-273  ,
-267  ,
-271  ,
-276  ,
-285  ,
-296  ,
-306  ,
-305  ,
-305  ,
-293  ,
-288  ,
-283  ,
-275  ,
-275  ,
-274  ,
-280  ,
-288  ,
-281  ,
-271  ,
-243  ,
-212  ,
-182  ,
-149  ,
-119  ,
-83 ,
-56 ,
-35 ,
-27 ,
-29 ,
-35 ,
-36 ,
-37 ,
-24 ,
-11 ,
13  ,
41  ,
80  ,
118 ,
153 ,
187 ,
214 ,
229 ,
239 ,
241 ,
234 ,
227 ,
219 ,
215 ,
219 ,
220 ,
228 ,
241 ,
259 ,
271 ,
281 ,
284 ,
275 ,
266 ,
246 ,
238 ,
223 ,
198 ,
170 ,
131 ,
86  ,
55  ,
19  ,
-1  ,
-20 ,
-32 ,
-44 ,
-55 ,
-68 ,
-82 ,
-99 ,
-111  ,
-127  ,
-134  ,
-141  ,
-147  ,
-160  ,
-184  ,
-192  ,
-217  ,
-227  ,
-252  ,
-267  ,
-282  ,
-285  ,
-292  ,
-278  ,
-278  ,
-264  ,
-255  ,
-237  ,
-223  ,
-210  ,
-205  ,
-210  ,
-203  ,
-215  ,
-196  ,
-200  ,
-179  ,
-171  ,
-163  ,
-153  ,
-144  ,
-134  ,
-125  ,
-124  ,
-117  ,
-127  ,
-142  ,
-162  ,
-191  ,
-204  ,
-215  ,
-208  ,
-199  ,
-181  ,
-161  ,
-147  ,
-128  ,
-125  ,
-110  ,
-104  ,
-95 ,
-85 ,
-71 ,
-49 ,
-24 ,
-3  ,
20  ,
43  ,
64  ,
86  ,
107 ,
123 ,
134 ,
149 ,
156 ,
179 ,
189 ,
212 ,
229 ,
261 ,
277 ,
312 ,
333 ,
356 ,
362 ,
363 ,
360 ,
353 ,
334 ,
319 ,
305 ,
307 ,
300 ,
314 ,
313 ,
325 ,
315 ,
313 ,
295 ,
290 ,
262 ,
236 ,
201 ,
172 ,
150 ,
125 ,
105 ,
85  ,
75  ,
62  ,
61  ,
55  ,
62  ,
60  ,
53  ,
37  ,
17  ,
-12 ,
-41 ,
-61 ,
-88 ,
-101  ,
-122  ,
-140  ,
-160  ,
-175  ,
-189  ,
-203  ,
-226  ,
-251  ,
-277  ,
-307  ,
-328  ,
-349  ,
-354  ,
-356  ,
-353  ,
-343  ,
-330  ,
-320  ,
-316  ,
-321  ,
-323  ,
-328  ,
-316  ,
-309  ,
-288  ,
-271  ,
-257  ,
-238  ,
-205  ,
-177  ,
-133  ,
-112  ,
-78 ,
-70 ,
-61 ,
-81 ,
-93 ,
-117  ,
-124  ,
-126  ,
-110  ,
-91 ,
-61 ,
-46 ,
-20 ,
1 ,
29  ,
57  ,
81  ,
102 ,
112 ,
117 ,
119 ,
117 ,
120 ,
117 ,
116 ,
112 ,
103 ,
92  ,
71  ,
54  ,
27  ,
-1  ,
-32 ,
-62 ,
-93 ,
-121  ,
-149  ,
-169  ,
-189  ,
-202  ,
-212  ,
-208  ,
-208  ,
-211  ,
-227  ,
-246  ,
-276  ,
-299  ,
-325  ,
-342  ,
-350  ,
-348  ,
-343  ,
-329  ,
-319  ,
-299  ,
-287  ,
-273  ,
-256  ,
-249  ,
-222  ,
-207  ,
-172  ,
-137  ,
-97 ,
-49 ,
7 ,
66  ,
119 ,
157 ,
181 ,
189 ,
188 ,
185 ,
173 ,
173 ,
173 ,
173 ,
179 ,
185 ,
195 ,
206 ,
216 ,
229 ,
242 ,
271 ,
283 ,
312 ,
324 ,
345 ,
357 ,
383 ,
397 ,
427 ,
454 ,
473 ,
498 ,
508 ,
520 ,
524 ,
521 ,
511 ,
496 ,
472 ,
452 ,
433 ,
429 ,
419 ,
430 ,
431 ,
442 ,
444 ,
438 ,
434 ,
406 ,
383 ,
345 ,
323 ,
288 ,
257 ,
217 ,
183 ,
153 ,
135 ,
126 ,
119 ,
115 ,
107 ,
90  ,
73  ,
38  ,
5 ,
-31 ,
-56 ,
-80 ,
-89 ,
-97 ,
-92 ,
-97 ,
-97 ,
-110  ,
-128  ,
-148  ,
-178  ,
-208  ,
-240  ,
-262  ,
-271  ,
-278  ,
-280  ,
-276  ,
-285  ,
-283  ,
-294  ,
-297  ,
-303  ,
-301  ,
-301  ,
-290  ,
-291  ,
-290  ,
-299  ,
-311  ,
-312  ,
-310  ,
-301  ,
-285  ,
-268  ,
-257  ,
-239  ,
-233  ,
-223  ,
-225  ,
-233  ,
-240  ,
-250  ,
-247  ,
-237  ,
-220  ,
-195  ,
-160  ,
-126  ,
-81 ,
-41 ,
-3  ,
20  ,
42  ,
51  ,
64  ,
62  ,
67  ,
57  ,
64  ,
66  ,
88  ,
114 ,
136 ,
163 ,
172 ,
201 ,
220 ,
256 ,
284 ,
326 ,
356 ,
403 ,
444 ,
497 ,
535 ,
566 ,
581 ,
573 ,
566 ,
535 ,
511 ,
486 ,
454 ,
444 ,
424 ,
417 ,
410 ,
392 ,
368 ,
343 ,
312 ,
297 ,
281 ,
278 ,
275 ,
262 ,
250 ,
221 ,
196 ,
163 ,
147 ,
142 ,
140 ,
140 ,
128 ,
112 ,
76  ,
40  ,
-10 ,
-58 ,
-103  ,
-153  ,
-180  ,
-218  ,
-217  ,
-219  ,
-195  ,
-165  ,
-135  ,
-106  ,
-96 ,
-92 ,
-100  ,
-114  ,
-138  ,
-157  ,
-191  ,
-233  ,
-279  ,
-329  ,
-355  ,
-389  ,
-399  ,
-418  ,
-419  ,
-427  ,
-427  ,
-423  ,
-422  ,
-405  ,
-390  ,
-360  ,
-317  ,
-289  ,
-240  ,
-210  ,
-186  ,
-171  ,
-172  ,
-170  ,
-176  ,
-176  ,
-163  ,
-145  ,
-125  ,
-106  ,
-86 ,
-73 ,
-52 ,
-51 ,
-36 ,
-28 ,
-12 ,
9 ,
33  ,
54  ,
73  ,
86  ,
91  ,
105 ,
116 ,
139 ,
159 ,
186 ,
207 ,
225 ,
230 ,
227 ,
211 ,
184 ,
147 ,
108 ,
69  ,
50  ,
27  ,
21  ,
16  ,
36  ,
50  ,
77  ,
90  ,
98  ,
97  ,
86  ,
71  ,
63  ,
42  ,
20  ,
-19 ,
-47 ,
-69 ,
-89 ,
-98 ,
-104  ,
-107  ,
-111  ,
-114  ,
-115  ,
-101  ,
-96 ,
-78 ,
-52 ,
-30 ,
3 ,
22  ,
39  ,
36  ,
31  ,
16  ,
3 ,
-12 ,
-31 ,
-44 ,
-42 ,
-46 ,
-38 ,
-31 ,
-20 ,
-11 ,
-2  ,
6 ,
15  ,
21  ,
30  ,
40  ,
53  ,
64  ,
67  ,
76  ,
82  ,
94  ,
110 ,
133 ,
158 ,
178 ,
194 ,
196 ,
190 ,
161 ,
130 ,
82  ,
35  ,
-9  ,
-44 ,
-65 ,
-71 ,
-66 ,
-56 ,
-27 ,
-7  ,
24  ,
39  ,
53  ,
47  ,
32  ,
5 ,
-32 ,
-76 ,
-124  ,
-172  ,
-218  ,
-257  ,
-300  ,
-329  ,
-370  ,
-399  ,
-437  ,
-460  ,
-480  ,
-484  ,
-484  ,
-473  ,
-458  ,
-443  ,
-434  ,
-421  ,
-434  ,
-438  ,
-461  ,
-482  ,
-505  ,
-532  ,
-545  ,
-560  ,
-568  ,
-564  ,
-555  ,
-533  ,
-516  ,
-496  ,
-475  ,
-447  ,
-416  ,
-377  ,
-349  ,
-319  ,
-301  ,
-278  ,
-258  ,
-226  ,
-191  ,
-151  ,
-112  ,
-70 ,
-29 ,
1 ,
30  ,
30  ,
35  ,
18  ,
2 ,
-26 ,
-50 ,
-75 ,
-92 ,
-95 ,
-79 ,
-49 ,
-11 ,
31  ,
75  ,
114 ,
159 ,
196 ,
230 ,
258 ,
276 ,
297 ,
307 ,
321 ,
327 ,
341 ,
347 ,
358 ,
350 ,
349 ,
343 ,
341 ,
352 ,
363 ,
395 ,
421 ,
456 ,
488 ,
512 ,
533 ,
529 ,
533 ,
521 ,
514 ,
500 ,
478 ,
464 ,
444 ,
431 ,
415 ,
403 ,
386 ,
369 ,
358 ,
346 ,
347 ,
339 ,
326 ,
310 ,
272 ,
235 ,
189 ,
146 ,
122 ,
106 ,
104 ,
99  ,
98  ,
96  ,
91  ,
87  ,
64  ,
42  ,
-3  ,
-51 ,
-110  ,
-170  ,
-226  ,
-276  ,
-314  ,
-335  ,
-344  ,
-348  ,
-338  ,
-338  ,
-327  ,
-329  ,
-336  ,
-354  ,
-366  ,
-388  ,
-404  ,
-420  ,
-435  ,
-442  ,
-448  ,
-448  ,
-445  ,
-449  ,
-459  ,
-473  ,
-485  ,
-486  ,
-472  ,
-436  ,
-394  ,
-334  ,
-287  ,
-228  ,
-187  ,
-156  ,
-133  ,
-123  ,
-107  ,
-97 ,
-74 ,
-68 ,
-56 ,
-51 ,
-35 ,
-18 ,
11  ,
37  ,
74  ,
119 ,
165 ,
220 ,
259 ,
295 ,
316 ,
319 ,
327 ,
319 ,
336 ,
348 ,
373 ,
400 ,
427 ,
449 ,
479 ,
485 ,
501 ,
489 ,
474 ,
444 ,
398 ,
353 ,
309 ,
263 ,
228 ,
195 ,
183 ,
171 ,
169 ,
167 ,
173 ,
174 ,
168 ,
155 ,
136 ,
115 ,
85  ,
62  ,
36  ,
19  ,
4 ,
3 ,
-3  ,
-15 ,
-41 ,
-75 ,
-102  ,
-121  ,
-123  ,
-114  ,
-84 ,
-51 ,
0 ,
38  ,
65  ,
80  ,
81  ,
77  ,
68  ,
56  ,
47  ,
37  ,
19  ,
1 ,
-19 ,
-26 ,
-36 ,
-41 ,
-41 ,
-33 ,
-6  ,
23  ,
51  ,
78  ,
82  ,
75  ,
56  ,
42  ,
32  ,
45  ,
61  ,
97  ,
125 ,
155 ,
181 ,
203 ,
213 ,
227 ,
230 ,
231 ,
215 ,
196 ,
175 ,
153 ,
133 ,
114 ,
105 ,
105 ,
107 ,
119 ,
128 ,
146 ,
148 ,
153 ,
148 ,
139 ,
128 ,
111 ,
102 ,
97  ,
97  ,
100 ,
104 ,
105 ,
89  ,
61  ,
24  ,
-8  ,
-40 ,
-57 ,
-62 ,
-51 ,
-34 ,
-15 ,
3 ,
6 ,
1 ,
-15 ,
-33 ,
-51 ,
-62 ,
-74 ,
-83 ,
-96 ,
-114  ,
-133  ,
-147  ,
-155  ,
-156  ,
-149  ,
-126  ,
-98 ,
-63 ,
-31 ,
-23 ,
-26 ,
-48 ,
-70 ,
-77 ,
-83 ,
-64 ,
-54 ,
-37 ,
-29 ,
-23 ,
-22 ,
-17 ,
-16 ,
-11 ,
-13 ,
-25 ,
-40 ,
-62 ,
-76 ,
-98 ,
-109  ,
-119  ,
-108  ,
-107  ,
-87 ,
-76 ,
-56 ,
-41 ,
-24 ,
-12 ,
5 ,
6 ,
2 ,
-2  ,
-14 ,
-10 ,
-3  ,
17  ,
38  ,
46  ,
50  ,
34  ,
20  ,
-4  ,
-10 ,
-9  ,
13  ,
35  ,
69  ,
91  ,
108 ,
113 ,
110 ,
115 ,
109 ,
114 ,
107 ,
98  ,
76  ,
50  ,
14  ,
-13 ,
-36 ,
-48 ,
-48 ,
-39 ,
-23 ,
-8  ,
4 ,
4 ,
-10 ,
-26 ,
-49 ,
-63 ,
-70 ,
-74 ,
-88 ,
-99 ,
-120  ,
-137  ,
-155  ,
-172  ,
-186  ,
-207  ,
-221  ,
-247  ,
-257  ,
-274  ,
-277  ,
-280  ,
-287  ,
-282  ,
-297  ,
-294  ,
-302  ,
-296  ,
-287  ,
-269  ,
-258  ,
-232  ,
-226  ,
-210  ,
-218  ,
-217  ,
-229  ,
-218  ,
-215  ,
-199  ,
-183  ,
-179  ,
-173  ,
-189  ,
-205  ,
-220  ,
-231  ,
-226  ,
-218  ,
-198  ,
-182  ,
-174  ,
-161  ,
-152  ,
-124  ,
-103  ,
-65 ,
-41 ,
-11 ,
1 ,
8 ,
12  ,
21  ,
34  ,
59  ,
84  ,
121 ,
159 ,
198 ,
242 ,
282 ,
311 ,
321 ,
324 ,
320 ,
319 ,
325 ,
333 ,
351 ,
359 ,
378 ,
388 ,
389 ,
382 ,
365 ,
351 ,
330 ,
315 ,
307 ,
301 ,
291 ,
280 ,
253 ,
230 ,
201 ,
170 ,
150 ,
123 ,
103 ,
81  ,
56  ,
34  ,
5 ,
-24 ,
-53 ,
-78 ,
-92 ,
-114  ,
-127  ,
-134  ,
-147  ,
-145  ,
-157  ,
-152  ,
-162  ,
-172  ,
-188  ,
-212  ,
-232  ,
-256  ,
-268  ,
-287  ,
-304  ,
-316  ,
-325  ,
-327  ,
-327  ,
-333  ,
-336  ,
-338  ,
-331  ,
-336  ,
-328  ,
-333  ,
-324  ,
-321  ,
-300  ,
-272  ,
-228  ,
-191  ,
-149  ,
-129  ,
-114  ,
-111  ,
-111  ,
-95 ,
-76 ,
-39 ,
-7  ,
32  ,
62  ,
78  ,
63  ,
71  ,
90  ,
98  ,
92  ,
102 ,
113 ,
147 ,
178 ,
198 ,
220 ,
272 ,
297 ,
303 ,
300 ,
302 ,
293 ,
283 ,
299 ,
304 ,
297 ,
266 ,
246 ,
240 ,
215 ,
169 ,
172 ,
197 ,
197 ,
175 ,
174 ,
179 ,
173 ,
161 ,
167 ,
149 ,
112 ,
69  ,
55  ,
37  ,
5 ,
-19 ,
-35 ,
-63 ,
-105  ,
-133  ,
-152  ,
-171  ,
-170  ,
-171  ,
-177  ,
-206  ,
-219  ,
-229  ,
-223  ,
-212  ,
-189  ,
-168  ,
-154  ,
-151  ,
-145  ,
-145  ,
-139  ,
-113  ,
-83 ,
-70 ,
-77 ,
-63 ,
-34 ,
-2  ,
19  ,
33  ,
8 ,
-30 ,
-66 ,
-87 ,
-100  ,
-111  ,
-101  ,
-86 ,
-88 ,
-98 ,
-115  ,
-106  ,
-100  ,
-75 ,
-62 ,
-69 ,
-91 ,
-110  ,
-113  ,
-112  ,
-123  ,
-130  ,
-130  ,
-118  ,
-105  ,
-91 ,
-73 ,
-51 ,
-24 ,
-12 ,
-8  ,
-20 ,
-2  ,
17  ,
45  ,
65  ,
64  ,
47  ,
19  ,
6 ,
2 ,
-7  ,
7 ,
22  ,
55  ,
52  ,
49  ,
39  ,
47  ,
59  ,
93  ,
128 ,
152 ,
172 ,
199 ,
220 ,
240 ,
237 ,
223 ,
183 ,
126 ,
68  ,
8 ,
-55 ,
-94 ,
-104  ,
-87 ,
-65 ,
-44 ,
-17 ,
23  ,
77  ,
138 ,
204 ,
243 ,
286 ,
322 ,
357 ,
375 ,
408 ,
444 ,
493 ,
536 ,
534 ,
483 ,
416 ,
348 ,
279 ,
206 ,
134 ,
81  ,
41  ,
-9  ,
-53 ,
-84 ,
-101  ,
-106  ,
-102  ,
-99 ,
-78 ,
-67 ,
-21 ,
47  ,
130 ,
204 ,
252 ,
277 ,
228 ,
133 ,
38  ,
-15 ,
-48 ,
-89 ,
-135  ,
-185  ,
-193  ,
-172  ,
-132  ,
-106  ,
-76 ,
-35 ,
-16 ,
-37 ,
-76 ,
-111  ,
-109  ,
-88 ,
-58 ,
-33 ,
2 ,
42  ,
116 ,
189 ,
264 ,
300 ,
300 ,
280 ,
219 ,
149 ,
85  ,
45  ,
-6  ,
-57 ,
-117  ,
-146  ,
-175  ,
-181  ,
-170  ,
-144  ,
-131  ,
-147  ,
-206  ,
-298  ,
-379  ,
-413  ,
-417  ,
-412  ,
-413  ,
-390  ,
-368  ,
-345  ,
-343  ,
-331  ,
-306  ,
-283  ,
-282  ,
-322  ,
-393  ,
-458  ,
-484  ,
-474  ,
-437  ,
-375  ,
-313  ,
-245  ,
-197  ,
-160  ,
-163  ,
-165  ,
-178  ,
-173  ,
-190  ,
-201  ,
-204  ,
-185  ,
-151  ,
-106  ,
-61 ,
-17 ,
6 ,
32  ,
38  ,
64  ,
98  ,
121 ,
121 ,
85  ,
48  ,
4 ,
-26 ,
-54 ,
-59 ,
-50 ,
-14 ,
25  ,
77  ,
136 ,
210 ,
310 ,
399 ,
470 ,
511 ,
536 ,
558 ,
578 ,
587 ,
588 ,
572 ,
543 ,
508 ,
478 ,
469 ,
488 ,
530 ,
580 ,
611 ,
619 ,
600 ,
562 ,
509 ,
463 ,
431 ,
403 ,
366 ,
316 ,
275 ,
248 ,
239 ,
241 ,
245 ,
231 ,
233 ,
228 ,
235 ,
237 ,
251 ,
274 ,
293 ,
302 ,
276 ,
253 ,
218 ,
207 ,
179 ,
139 ,
68  ,
-10 ,
-106  ,
-180  ,
-255  ,
-311  ,
-349  ,
-382  ,
-399  ,
-436  ,
-482  ,
-543  ,
-596  ,
-641  ,
-682  ,
-719  ,
-753  ,
-762  ,
-759  ,
-720  ,
-671  ,
-599  ,
-536  ,
-479  ,
-418  ,
-367  ,
-325  ,
-306  ,
-307  ,
-325  ,
-348  ,
-383  ,
-424  ,
-473  ,
-502  ,
-503  ,
-496  ,
-481  ,
-478  ,
-471  ,
-474  ,
-470  ,
-481  ,
-494  ,
-512  ,
-536  ,
-545  ,
-543  ,
-516  ,
-475  ,
-412  ,
-333  ,
-241  ,
-168  ,
-108  ,
-50 ,
10  ,
67  ,
134 ,
202 ,
275 ,
329 ,
360 ,
387 ,
395 ,
421 ,
428 ,
434 ,
420 ,
391 ,
356 ,
311 ,
268 ,
235 ,
212 ,
198 ,
188 ,
185 ,
199 ,
217 ,
248 ,
265 ,
278 ,
285 ,
306 ,
316 ,
326 ,
341 ,
362 ,
406 ,
442 ,
474 ,
495 ,
506 ,
527 ,
536 ,
548 ,
535 ,
519 ,
499 ,
481 ,
445 ,
408 ,
339 ,
280 ,
211 ,
152 ,
103 ,
73  ,
65  ,
76  ,
107 ,
149 ,
190 ,
214 ,
226 ,
236 ,
242 ,
242 ,
227 ,
188 ,
135 ,
69  ,
14  ,
-39 ,
-64 ,
-78 ,
-64 ,
-41 ,
-19 ,
-2  ,
2 ,
-14 ,
-38 ,
-90 ,
-150  ,
-231  ,
-314  ,
-391  ,
-455  ,
-508  ,
-543  ,
-564  ,
-567  ,
-554  ,
-538  ,
-517  ,
-491  ,
-466  ,
-430  ,
-407  ,
-392  ,
-380  ,
-360  ,
-334  ,
-294  ,
-243  ,
-191  ,
-135  ,
-101  ,
-76 ,
-68 ,
-68 ,
-77 ,
-83 ,
-79 ,
-75 ,
-54 ,
-33 ,
-1  ,
25  ,
46  ,
59  ,
47  ,
18  ,
-26 ,
-62 ,
-85 ,
-97 ,
-95 ,
-77 ,
-48 ,
-1  ,
55  ,
110 ,
142 ,
170 ,
170 ,
173 ,
155 ,
142 ,
121 ,
108 ,
94  ,
88  ,
78  ,
82  ,
89  ,
97  ,
121 ,
134 ,
165 ,
173 ,
181 ,
171 ,
168 ,
155 ,
145 ,
124 ,
106 ,
86  ,
64  ,
22  ,
-19 ,
-65 ,
-89 ,
-93 ,
-62 ,
-27 ,
36  ,
89  ,
155 ,
194 ,
235 ,
258 ,
279 ,
296 ,
292 ,
289 ,
270 ,
260 ,
241 ,
248 ,
270 ,
315 ,
363 ,
408 ,
435 ,
448 ,
451 ,
452 ,
443 ,
434 ,
417 ,
394 ,
381 ,
369 ,
371 ,
381 ,
400 ,
421 ,
439 ,
439 ,
433 ,
411 ,
382 ,
330 ,
276 ,
226 ,
188 ,
162 ,
136 ,
114 ,
87  ,
45  ,
-4  ,
-69 ,
-121  ,
-180  ,
-208  ,
-221  ,
-221  ,
-213  ,
-197  ,
-180  ,
-155  ,
-126  ,
-97 ,
-83 ,
-94 ,
-127  ,
-183  ,
-255  ,
-332  ,
-408  ,
-473  ,
-522  ,
-550  ,
-555  ,
-545  ,
-535  ,
-523  ,
-519  ,
-511  ,
-506  ,
-501  ,
-498  ,
-490  ,
-469  ,
-438  ,
-400  ,
-352  ,
-308  ,
-258  ,
-208  ,
-158  ,
-101  ,
-53 ,
13  ,
59  ,
107 ,
140 ,
167 ,
195 ,
202 ,
204 ,
179 ,
158 ,
122 ,
99  ,
75  ,
49  ,
46  ,
37  ,
55  ,
56  ,
73  ,
70  ,
74  ,
71  ,
65  ,
60  ,
47  ,
40  ,
22  ,
22  ,
24  ,
37  ,
73  ,
109 ,
169 ,
221 ,
283 ,
324 ,
356 ,
368 ,
378 ,
379 ,
372 ,
353 ,
329 ,
306 ,
298 ,
290 ,
283 ,
273 ,
261 ,
250 ,
231 ,
211 ,
171 ,
136 ,
89  ,
60  ,
36  ,
23  ,
36  ,
70  ,
119 ,
170 ,
203 ,
229 ,
214 ,
198 ,
168 ,
153 ,
151 ,
156 ,
185 ,
223 ,
276 ,
311 ,
352 ,
363 ,
362 ,
320 ,
240 ,
134 ,
2 ,
-119  ,
-232  ,
-308  ,
-368  ,
-388  ,
-399  ,
-381  ,
-362  ,
-340  ,
-336  ,
-337  ,
-361  ,
-385  ,
-425  ,
-451  ,
-494  ,
-508  ,
-510  ,
-493  ,
-460  ,
-430  ,
-378  ,
-344  ,
-307  ,
-284  ,
-277  ,
-282  ,
-300  ,
-315  ,
-328  ,
-343  ,
-345  ,
-351  ,
-359  ,
-358  ,
-367  ,
-371  ,
-377  ,
-376  ,
-362  ,
-346  ,
-321  ,
-314  ,
-294  ,
-289  ,
-266  ,
-235  ,
-189  ,
-137  ,
-79 ,
-24 ,
26  ,
72  ,
106 ,
138 ,
172 ,
215 ,
254 ,
286 ,
311 ,
324 ,
333 ,
326 ,
311 ,
282 ,
239 ,
190 ,
132 ,
80  ,
30  ,
-1  ,
-22 ,
-32 ,
-38 ,
-39 ,
-42 ,
-44 ,
-56 ,
-69 ,
-79 ,
-83 ,
-84 ,
-72 ,
-66 ,
-55 ,
-59 ,
-71 ,
-77 ,
-107  ,
-133  ,
-175  ,
-215  ,
-264  ,
-305  ,
-341  ,
-352  ,
-356  ,
-330  ,
-305  ,
-258  ,
-230  ,
-218  ,
-231  ,
-263  ,
-302  ,
-346  ,
-381  ,
-389  ,
-377  ,
-344  ,
-298  ,
-254  ,
-212  ,
-182  ,
-167  ,
-159  ,
-183  ,
-223  ,
-279  ,
-331  ,
-368  ,
-387  ,
-389  ,
-365  ,
-335  ,
-295  ,
-251  ,
-205  ,
-145  ,
-99 ,
-33 ,
12  ,
67  ,
96  ,
118 ,
123 ,
134 ,
146 ,
163 ,
194 ,
220 ,
249 ,
266 ,
281 ,
285 ,
282 ,
279 ,
269 ,
260 ,
255 ,
238 ,
237 ,
226 ,
227 ,
219 ,
204 ,
196 ,
179 ,
168 ,
168 ,
171 ,
181 ,
190 ,
190 ,
197 ,
205 ,
227 ,
256 ,
285 ,
310 ,
332 ,
344 ,
341 ,
338 ,
322 ,
307 ,
290 ,
266 ,
252 ,
237 ,
225 ,
211 ,
185 ,
151 ,
99  ,
43  ,
-22 ,
-86 ,
-133  ,
-165  ,
-178  ,
-181  ,
-171  ,
-170  ,
-177  ,
-198  ,
-211  ,
-221  ,
-205  ,
-172  ,
-120  ,
-45 ,
19  ,
96  ,
156 ,
206 ,
237 ,
238 ,
219 ,
175 ,
120 ,
64  ,
12  ,
-30 ,
-56 ,
-70 ,
-73 ,
-74 ,
-75 ,
-77 ,
-96 ,
-135  ,
-182  ,
-238  ,
-294  ,
-342  ,
-379  ,
-388  ,
-382  ,
-345  ,
-298  ,
-226  ,
-162  ,
-97 ,
-63 ,
-41 ,
-38 ,
-57 ,
-77 ,
-105  ,
-121  ,
-117  ,
-112  ,
-100  ,
-89 ,
-90 ,
-90 ,
-102  ,
-117  ,
-133  ,
-156  ,
-189  ,
-240  ,
-299  ,
-364  ,
-414  ,
-454  ,
-463  ,
-453  ,
-426  ,
-388  ,
-352  ,
-308  ,
-262  ,
-229  ,
-195  ,
-175  ,
-141  ,
-106  ,
-44 ,
16  ,
104 ,
182 ,
267 ,
330 ,
383 ,
420 ,
437 ,
435 ,
417 ,
385 ,
350 ,
322 ,
302 ,
307 ,
308 ,
320 ,
327 ,
338 ,
339 ,
337 ,
332 ,
323 ,
322 ,
321 ,
328 ,
334 ,
346 ,
365 ,
388 ,
412 ,
443 ,
467 ,
487 ,
501 ,
499 ,
509 ,
510 ,
524 ,
531 ,
538 ,
530 ,
507 ,
462 ,
398 ,
325 ,
256 ,
198 ,
152 ,
127 ,
113 ,
117 ,
123 ,
132 ,
134 ,
133 ,
105 ,
80  ,
33  ,
-2  ,
-32 ,
-45 ,
-41 ,
-11 ,
29  ,
76  ,
121 ,
165 ,
194 ,
230 ,
240 ,
256 ,
251 ,
239 ,
210 ,
182 ,
135 ,
107 ,
72  ,
58  ,
29  ,
4 ,
-32 ,
-59 ,
-94 ,
-125  ,
-164  ,
-206  ,
-241  ,
-280  ,
-296  ,
-319  ,
-323  ,
-335  ,
-332  ,
-338  ,
-345  ,
-357  ,
-370  ,
-387  ,
-411  ,
-438  ,
-471  ,
-508  ,
-545  ,
-581  ,
-595  ,
-599  ,
-593  ,
-588  ,
-595  ,
-613  ,
-633  ,
-666  ,
-690  ,
-722  ,
-737  ,
-750  ,
-736  ,
-716  ,
-679  ,
-630  ,
-585  ,
-533  ,
-485  ,
-450  ,
-429  ,
-417  ,
-413  ,
-400  ,
-373  ,
-339  ,
-294  ,
-242  ,
-195  ,
-150  ,
-115  ,
-66 ,
-24 ,
31  ,
89  ,
149 ,
207 ,
270 ,
325 ,
396 ,
449 ,
503 ,
551 ,
591 ,
628 ,
657 ,
684 ,
713 ,
747 ,
787 ,
830 ,
868 ,
910 ,
943 ,
968 ,
972 ,
951 ,
918 ,
859 ,
799 ,
729 ,
670 ,
621 ,
568 ,
537 ,
500 ,
486 ,
469 ,
462 ,
453 ,
440 ,
415 ,
391 ,
345 ,
303 ,
257 ,
223 ,
197 ,
187 ,
178 ,
182 ,
171 ,
177 ,
179 ,
182 ,
172 ,
141 ,
96  ,
23  ,
-49 ,
-119  ,
-173  ,
-222  ,
-259  ,
-288  ,
-316  ,
-339  ,
-365  ,
-394  ,
-424  ,
-464  ,
-487  ,
-522  ,
-536  ,
-542  ,
-509  ,
-459  ,
-399  ,
-345  ,
-299  ,
-268  ,
-255  ,
-253  ,
-266  ,
-297  ,
-330  ,
-375  ,
-400  ,
-438  ,
-443  ,
-439  ,
-416  ,
-394  ,
-378  ,
-382  ,
-399  ,
-448  ,
-502  ,
-573  ,
-638  ,
-708  ,
-759  ,
-788  ,
-799  ,
-784  ,
-754  ,
-710  ,
-657  ,
-600  ,
-546  ,
-489  ,
-442  ,
-394  ,
-358  ,
-317  ,
-287  ,
-261  ,
-235  ,
-208  ,
-175  ,
-136  ,
-90 ,
-41 ,
21  ,
63  ,
99  ,
116 ,
125 ,
126 ,
120 ,
105 ,
98  ,
74  ,
67  ,
55  ,
58  ,
76  ,
108 ,
148 ,
192 ,
231 ,
284 ,
336 ,
402 ,
473 ,
550 ,
626 ,
692 ,
742 ,
789 ,
820 ,
853 ,
870 ,
892 ,
909 ,
922 ,
920 ,
918 ,
903 ,
880 ,
851 ,
812 ,
777 ,
724 ,
677 ,
630 ,
587 ,
549 ,
502 ,
467 ,
419 ,
387 ,
364 ,
348 ,
333 ,
315 ,
298 ,
279 ,
268 ,
265 ,
281 ,
309 ,
336 ,
366 ,
383 ,
384 ,
365 ,
328 ,
274 ,
212 ,
135 ,
61  ,
-14 ,
-68 ,
-114  ,
-134  ,
-160  ,
-168  ,
-194  ,
-211  ,
-243  ,
-281  ,
-328  ,
-375  ,
-417  ,
-453  ,
-475  ,
-485  ,
-487  ,
-484  ,
-471  ,
-449  ,
-421  ,
-393  ,
-366  ,
-348  ,
-328  ,
-334  ,
-342  ,
-369  ,
-400  ,
-433  ,
-475  ,
-507  ,
-541  ,
-555  ,
-567  ,
-569  ,
-572  ,
-572  ,
-581  ,
-576  ,
-577  ,
-569  ,
-568  ,
-564  ,
-562  ,
-566  ,
-581  ,
-596  ,
-619  ,
-627  ,
-630  ,
-616  ,
-596  ,
-575  ,
-544  ,
-515  ,
-485  ,
-455  ,
-420  ,
-374  ,
-339  ,
-289  ,
-265  ,
-240  ,
-232  ,
-224  ,
-212  ,
-197  ,
-184  ,
-157  ,
-135  ,
-96 ,
-52 ,
-11 ,
22  ,
44  ,
57  ,
63  ,
64  ,
75  ,
97  ,
127 ,
166 ,
203 ,
243 ,
283 ,
320 ,
365 ,
401 ,
439 ,
457 ,
468 ,
483 ,
494 ,
520 ,
549 ,
595 ,
640 ,
685 ,
717 ,
717 ,
718 ,
700 ,
694 ,
699 ,
704 ,
722 ,
747 ,
776 ,
823 ,
869 ,
925 ,
974 ,
1019  ,
1030  ,
1026  ,
986 ,
939 ,
877 ,
823 ,
772 ,
724 ,
673 ,
631 ,
596 ,
567 ,
537 ,
501 ,
472 ,
423 ,
381 ,
319 ,
263 ,
198 ,
138 ,
93  ,
47  ,
21  ,
-11 ,
-27 ,
-51 ,
-66 ,
-86 ,
-98 ,
-140  ,
-186  ,
-263  ,
-340  ,
-422  ,
-497  ,
-556  ,
-609  ,
-655  ,
-694  ,
-724  ,
-751  ,
-773  ,
-791  ,
-808  ,
-830  ,
-860  ,
-896  ,
-931  ,
-962  ,
-980  ,
-978  ,
-971  ,
-949  ,
-925  ,
-898  ,
-865  ,
-836  ,
-802  ,
-781  ,
-752  ,
-723  ,
-701  ,
-663  ,
-619  ,
-551  ,
-475  ,
-402  ,
-340  ,
-290  ,
-250  ,
-231  ,
-220  ,
-215  ,
-222  ,
-233  ,
-246  ,
-265  ,
-268  ,
-275  ,
-255  ,
-237  ,
-206  ,
-181  ,
-149  ,
-114  ,
-65 ,
-9  ,
52  ,
108 ,
164 ,
213 ,
252 ,
289 ,
315 ,
350 ,
377 ,
412 ,
439 ,
462 ,
472 ,
482 ,
471 ,
463 ,
437 ,
404 ,
368 ,
316 ,
288 ,
255 ,
236 ,
222 ,
217 ,
221 ,
232 ,
255 ,
282 ,
316 ,
355 ,
388 ,
418 ,
428 ,
429 ,
432 ,
434 ,
443 ,
449 ,
466 ,
479 ,
498 ,
514 ,
545 ,
564 ,
602 ,
631 ,
659 ,
679 ,
685 ,
686 ,
677 ,
655 ,
624 ,
571 ,
510 ,
439 ,
369 ,
310 ,
254 ,
215 ,
187 ,
162 ,
138 ,
110 ,
72  ,
42  ,
11  ,
10  ,
-1  ,
-4  ,
-30 ,
-46 ,
-80 ,
-108  ,
-138  ,
-164  ,
-194  ,
-229  ,
-260  ,
-297  ,
-339  ,
-386  ,
-426  ,
-481  ,
-534  ,
-600  ,
-659  ,
-719  ,
-760  ,
-789  ,
-792  ,
-792  ,
-787  ,
-772  ,
-758  ,
-729  ,
-698  ,
-643  ,
-593  ,
-527  ,
-478  ,
-428  ,
-399  ,
-363  ,
-343  ,
-315  ,
-289  ,
-267  ,
-246  ,
-236  ,
-231  ,
-234  ,
-226  ,
-223  ,
-194  ,
-165  ,
-118  ,
-80 ,
-28 ,
19  ,
70  ,
105 ,
134 ,
134 ,
122 ,
105 ,
81  ,
72  ,
63  ,
69  ,
72  ,
92  ,
107 ,
139 ,
168 ,
193 ,
216 ,
233 ,
239 ,
239 ,
224 ,
203 ,
179 ,
151 ,
139 ,
119 ,
110 ,
100 ,
95  ,
97  ,
97  ,
98  ,
79  ,
57  ,
19  ,
-15 ,
-54 ,
-84 ,
-90 ,
-86 ,
-57 ,
-28 ,
8 ,
50  ,
81  ,
126 ,
163 ,
204 ,
233 ,
269 ,
292 ,
320 ,
335 ,
344 ,
353 ,
347 ,
339 ,
322 ,
313 ,
302 ,
306 ,
298 ,
305 ,
302 ,
308 ,
327 ,
362 ,
412 ,
470 ,
518 ,
559 ,
587 ,
604 ,
595 ,
572 ,
528 ,
476 ,
407 ,
342 ,
281 ,
226 ,
187 ,
157 ,
142 ,
118 ,
86  ,
46  ,
-2  ,
-49 ,
-96 ,
-133  ,
-174  ,
-210  ,
-253  ,
-293  ,
-331  ,
-358  ,
-377  ,
-379  ,
-380  ,
-380  ,
-402  ,
-418  ,
-454  ,
-476  ,
-516  ,
-548  ,
-585  ,
-619  ,
-647  ,
-666  ,
-666  ,
-660  ,
-637  ,
-617  ,
-591  ,
-568  ,
-544  ,
-510  ,
-472  ,
-429  ,
-393  ,
-360  ,
-340  ,
-324  ,
-333  ,
-341  ,
-370  ,
-383  ,
-401  ,
-397  ,
-390  ,
-363  ,
-334  ,
-283  ,
-241  ,
-182  ,
-125  ,
-64 ,
-4  ,
53  ,
100 ,
147 ,
173 ,
185 ,
178 ,
154 ,
117 ,
81  ,
56  ,
32  ,
28  ,
18  ,
14  ,
8 ,
3 ,
3 ,
9 ,
24  ,
45  ,
76  ,
108 ,
128 ,
149 ,
167 ,
187 ,
215 ,
235 ,
265 ,
287 ,
308 ,
334 ,
342 ,
355 ,
350 ,
349 ,
330 ,
301 ,
259 ,
206 ,
155 ,
117 ,
75  ,
60  ,
36  ,
31  ,
21  ,
26  ,
32  ,
58  ,
84  ,
120 ,
161 ,
186 ,
209 ,
204 ,
184 ,
154 ,
112 ,
72  ,
45  ,
25  ,
28  ,
28  ,
49  ,
58  ,
83  ,
105 ,
134 ,
159 ,
176 ,
184 ,
179 ,
150 ,
109 ,
48  ,
-10 ,
-80 ,
-139  ,
-202  ,
-252  ,
-289  ,
-307  ,
-317  ,
-307  ,
-295  ,
-272  ,
-258  ,
-238  ,
-233  ,
-223  ,
-224  ,
-208  ,
-189  ,
-151  ,
-114  ,
-80 ,
-57 ,
-49 ,
-37 ,
-27 ,
-15 ,
-7  ,
-6  ,
-20 ,
-46 ,
-89 ,
-129  ,
-163  ,
-189  ,
-203  ,
-203  ,
-207  ,
-188  ,
-183  ,
-163  ,
-150  ,
-131  ,
-105  ,
-68 ,
-30 ,
26  ,
72  ,
124 ,
172 ,
213 ,
238 ,
244 ,
234 ,
207 ,
171 ,
133 ,
105 ,
86  ,
67  ,
58  ,
62  ,
77  ,
111 ,
133 ,
172 ,
185 ,
199 ,
186 ,
171 ,
140 ,
104 ,
58  ,
11  ,
-37 ,
-88 ,
-108  ,
-110  ,
-78 ,
-33 ,
8 ,
43  ,
53  ,
63  ,
55  ,
58  ,
56  ,
64  ,
65  ,
59  ,
52  ,
39  ,
39  ,
29  ,
28  ,
11  ,
-5  ,
-33 ,
-61 ,
-89 ,
-128  ,
-165  ,
-202  ,
-232  ,
-259  ,
-287  ,
-311  ,
-329  ,
-342  ,
-349  ,
-348  ,
-347  ,
-340  ,
-327  ,
-302  ,
-270  ,
-234  ,
-191  ,
-157  ,
-126  ,
-103  ,
-79 ,
-71 ,
-71 ,
-87 ,
-106  ,
-136  ,
-160  ,
-167  ,
-165  ,
-139  ,
-100  ,
-44 ,
12  ,
55  ,
105 ,
148 ,
200 ,
241 ,
281 ,
312 ,
335 ,
345 ,
345 ,
347 ,
338 ,
340 ,
347 ,
356 ,
377 ,
401 ,
423 ,
444 ,
472 ,
496 ,
517 ,
516 ,
513 ,
504 ,
494 ,
495 ,
495 ,
497 ,
489 ,
476 ,
449 ,
423 ,
388 ,
374 ,
351 ,
346 ,
329 ,
318 ,
296 ,
279 ,
258 ,
224 ,
198 ,
154 ,
134 ,
100 ,
89  ,
74  ,
62  ,
51  ,
41  ,
26  ,
18  ,
0 ,
-8  ,
-23 ,
-42 ,
-67 ,
-103  ,
-145  ,
-184  ,
-216  ,
-239  ,
-256  ,
-260  ,
-260  ,
-248  ,
-235  ,
-211  ,
-185  ,
-152  ,
-114  ,
-71 ,
-37 ,
-23 ,
-15 ,
-28 ,
-38 ,
-54 ,
-74 ,
-101  ,
-132  ,
-173  ,
-196  ,
-223  ,
-229  ,
-231  ,
-227  ,
-216  ,
-213  ,
-216  ,
-221  ,
-223  ,
-223  ,
-212  ,
-203  ,
-189  ,
-182  ,
-180  ,
-180  ,
-184  ,
-193  ,
-205  ,
-215  ,
-234  ,
-248  ,
-268  ,
-278  ,
-296  ,
-305  ,
-320  ,
-334  ,
-355  ,
-377  ,
-394  ,
-416  ,
-424  ,
-449  ,
-459  ,
-469  ,
-479  ,
-469  ,
-465  ,
-439  ,
-414  ,
-387  ,
-365  ,
-342  ,
-323  ,
-299  ,
-271  ,
-234  ,
-201  ,
-168  ,
-145  ,
-117  ,
-78 ,
-26 ,
38  ,
114 ,
197 ,
266 ,
334 ,
377 ,
422 ,
448 ,
469 ,
476 ,
471 ,
452 ,
435 ,
415 ,
407 ,
403 ,
408 ,
428 ,
452 ,
475 ,
486 ,
493 ,
485 ,
490 ,
490 ,
500 ,
521 ,
543 ,
585 ,
621 ,
656 ,
676 ,
678 ,
667 ,
637 ,
596 ,
541 ,
482 ,
423 ,
372 ,
316 ,
272 ,
227 ,
196 ,
166 ,
140 ,
111 ,
81  ,
46  ,
22  ,
1 ,
-19 ,
-28 ,
-44 ,
-50 ,
-66 ,
-66 ,
-61 ,
-55 ,
-39 ,
-29 ,
-8  ,
-11 ,
-9  ,
-21 ,
-23 ,
-36 ,
-42 ,
-62 ,
-73 ,
-92 ,
-111  ,
-120  ,
-143  ,
-148  ,
-165  ,
-180  ,
-193  ,
-223  ,
-248  ,
-300  ,
-347  ,
-394  ,
-436  ,
-457  ,
-475  ,
-474  ,
-461  ,
-451  ,
-432  ,
-421  ,
-414  ,
-416  ,
-416  ,
-429  ,
-429  ,
-431  ,
-420  ,
-423  ,
-417  ,
-418  ,
-422  ,
-431  ,
-443  ,
-467  ,
-496  ,
-541  ,
-582  ,
-613  ,
-654  ,
-665  ,
-682  ,
-678  ,
-677  ,
-674  ,
-660  ,
-655  ,
-619  ,
-582  ,
-525  ,
-478  ,
-417  ,
-372  ,
-323  ,
-289  ,
-244  ,
-213  ,
-169  ,
-126  ,
-76 ,
-32 ,
18  ,
66  ,
127 ,
184 ,
248 ,
318 ,
378 ,
434 ,
480 ,
529 ,
575 ,
628 ,
673 ,
717 ,
745 ,
765 ,
776 ,
793 ,
806 ,
817 ,
814 ,
806 ,
803 ,
800 ,
824 ,
839 ,
871 ,
892 ,
912 ,
919 ,
923 ,
913 ,
910 ,
888 ,
874 ,
845 ,
821 ,
795 ,
776 ,
760 ,
743 ,
713 ,
673 ,
617 ,
549 ,
481 ,
411 ,
355 ,
292 ,
247 ,
190 ,
140 ,
89  ,
48  ,
11  ,
-9  ,
-21 ,
-26 ,
-31 ,
-55 ,
-77 ,
-109  ,
-139  ,
-179  ,
-214  ,
-260  ,
-305  ,
-359  ,
-405  ,
-437  ,
-469  ,
-483  ,
-509  ,
-527  ,
-552  ,
-571  ,
-569  ,
-570  ,
-553  ,
-541  ,
-535  ,
-530  ,
-533  ,
-533  ,
-534  ,
-542  ,
-540  ,
-555  ,
-565  ,
-590  ,
-612  ,
-642  ,
-666  ,
-689  ,
-695  ,
-692  ,
-678  ,
-663  ,
-638  ,
-620  ,
-603  ,
-592  ,
-599  ,
-598  ,
-609  ,
-601  ,
-592  ,
-559  ,
-525  ,
-469  ,
-421  ,
-375  ,
-339  ,
-319  ,
-309  ,
-302  ,
-294  ,
-282  ,
-273  ,
-261  ,
-247  ,
-227  ,
-206  ,
-174  ,
-140  ,
-93 ,
-51 ,
-10 ,
31  ,
66  ,
103 ,
129 ,
155 ,
175 ,
190 ,
206 ,
212 ,
222 ,
227 ,
244 ,
269 ,
307 ,
340 ,
380 ,
413 ,
453 ,
503 ,
559 ,
621 ,
689 ,
745 ,
812 ,
849 ,
894 ,
911 ,
927 ,
926 ,
907 ,
885 ,
843 ,
805 ,
756 ,
717 ,
669 ,
641 ,
615 ,
604 ,
591 ,
586 ,
574 ,
551 ,
526 ,
487 ,
456 ,
422 ,
405 ,
397 ,
403 ,
421 ,
442 ,
467 ,
487 ,
501 ,
506 ,
484 ,
448 ,
392 ,
335 ,
267 ,
208 ,
143 ,
83  ,
26  ,
-29 ,
-78 ,
-125  ,
-163  ,
-200  ,
-219  ,
-237  ,
-248  ,
-266  ,
-289  ,
-321  ,
-358  ,
-391  ,
-442  ,
-482  ,
-523  ,
-560  ,
-582  ,
-607  ,
-624  ,
-641  ,
-651  ,
-654  ,
-645  ,
-632  ,
-605  ,
-582  ,
-555  ,
-542  ,
-530  ,
-540  ,
-558  ,
-589  ,
-631  ,
-668  ,
-723  ,
-770  ,
-816  ,
-847  ,
-869  ,
-881  ,
-882  ,
-877  ,
-856  ,
-838  ,
-811  ,
-787  ,
-765  ,
-748  ,
-733  ,
-717  ,
-703  ,
-680  ,
-633  ,
-584  ,
-518  ,
-445  ,
-374  ,
-299  ,
-226  ,
-166  ,
-114  ,
-83 ,
-68 ,
-57 ,
-63 ,
-54 ,
-53 ,
-50 ,
-54 ,
-63 ,
-66 ,
-60 ,
-44 ,
-11 ,
39  ,
90  ,
148 ,
204 ,
251 ,
298 ,
332 ,
366 ,
394 ,
417 ,
434 ,
444 ,
453 ,
457 ,
470 ,
485 ,
508 ,
535 ,
559 ,
594 ,
631 ,
675 ,
722 ,
768 ,
811 ,
845 ,
865 ,
868 ,
855 ,
835 ,
802 ,
776 ,
744 ,
716 ,
689 ,
692 ,
695 ,
723 ,
734 ,
766 ,
784 ,
796 ,
798 ,
782 ,
758 ,
714 ,
666 ,
613 ,
571 ,
531 ,
519 ,
509 ,
514 ,
507 ,
487 ,
469 ,
432 ,
395 ,
344 ,
294 ,
239 ,
189 ,
120 ,
54  ,
-19 ,
-80 ,
-143  ,
-199  ,
-254  ,
-299  ,
-347  ,
-379  ,
-403  ,
-431  ,
-456  ,
-497  ,
-529  ,
-571  ,
-620  ,
-664  ,
-714  ,
-754  ,
-812  ,
-852  ,
-913  ,
-958  ,
-1017 ,
-1046 ,
-1075 ,
-1070 ,
-1064 ,
-1031 ,
-1001 ,
-968  ,
-925  ,
-891  ,
-848  ,
-825  ,
-809  ,
-807  ,
-813  ,
-825  ,
-835  ,
-834  ,
-813  ,
-778  ,
-735  ,
-672  ,
-611  ,
-529  ,
-444  ,
-359  ,
-292  ,
-242  ,
-229  ,
-217  ,
-227  ,
-228  ,
-218  ,
-200  ,
-158  ,
-120  ,
-65 ,
-7  ,
55  ,
123 ,
183 ,
243 ,
285 ,
326 ,
343 ,
362 ,
376 ,
387 ,
398 ,
404 ,
416 ,
431 ,
444 ,
450 ,
468 ,
476 ,
497 ,
497 ,
503 ,
496 ,
493 ,
482 ,
478 ,
478 ,
462 ,
448 ,
422 ,
398 ,
364 ,
338 ,
309 ,
298 ,
295 ,
304 ,
321 ,
362 ,
418 ,
475 ,
544 ,
600 ,
653 ,
682 ,
706 ,
705 ,
711 ,
683 ,
649 ,
599 ,
546 ,
502 ,
477 ,
473 ,
487 ,
500 ,
519 ,
525 ,
517 ,
488 ,
449 ,
404 ,
359 ,
304 ,
262 ,
201 ,
162 ,
117 ,
85  ,
56  ,
40  ,
37  ,
37  ,
42  ,
35  ,
31  ,
19  ,
1 ,
-29 ,
-73 ,
-138  ,
-201  ,
-270  ,
-330  ,
-392  ,
-452  ,
-520  ,
-579  ,
-633  ,
-676  ,
-713  ,
-740  ,
-755  ,
-765  ,
-773  ,
-791  ,
-807  ,
-824  ,
-841  ,
-857  ,
-868  ,
-891  ,
-890  ,
-898  ,
-873  ,
-854  ,
-809  ,
-759  ,
-684  ,
-616  ,
-542  ,
-476  ,
-417  ,
-362  ,
-319  ,
-283  ,
-268  ,
-264  ,
-269  ,
-275  ,
-293  ,
-300  ,
-297  ,
-280  ,
-236  ,
-189  ,
-118  ,
-60 ,
2 ,
50  ,
81  ,
103 ,
117 ,
125 ,
129 ,
133 ,
131 ,
131 ,
126 ,
131 ,
143 ,
168 ,
186 ,
218 ,
242 ,
275 ,
300 ,
327 ,
349 ,
344 ,
320 ,
279 ,
230 ,
183 ,
145 ,
132 ,
125 ,
129 ,
119 ,
117 ,
105 ,
100 ,
108 ,
120 ,
145 ,
164 ,
185 ,
203 ,
205 ,
206 ,
195 ,
187 ,
175 ,
163 ,
151 ,
154 ,
170 ,
206 ,
237 ,
283 ,
332 ,
384 ,
434 ,
464 ,
503 ,
505 ,
502 ,
482 ,
454 ,
415 ,
371 ,
330 ,
311 ,
297 ,
310 ,
334 ,
378 ,
412 ,
435 ,
441 ,
432 ,
411 ,
375 ,
351 ,
308 ,
269 ,
215 ,
165 ,
117 ,
67  ,
14  ,
-37 ,
-85 ,
-121  ,
-145  ,
-161  ,
-169  ,
-178  ,
-189  ,
-212  ,
-255  ,
-298  ,
-346  ,
-387  ,
-416  ,
-437  ,
-451  ,
-473  ,
-485  ,
-502  ,
-510  ,
-510  ,
-504  ,
-479  ,
-459  ,
-431  ,
-418  ,
-403  ,
-387  ,
-380  ,
-377  ,
-377  ,
-397  ,
-416  ,
-447  ,
-465  ,
-471  ,
-467  ,
-433  ,
-393  ,
-331  ,
-268  ,
-199  ,
-141  ,
-88 ,
-55 ,
-42 ,
-45 ,
-59 ,
-69 ,
-80 ,
-73 ,
-60 ,
-36 ,
-8  ,
42  ,
97  ,
152 ,
203 ,
241 ,
266 ,
275 ,
270 ,
264 ,
252 ,
238 ,
223 ,
205 ,
176 ,
149 ,
122 ,
94  ,
73  ,
61  ,
61  ,
70  ,
90  ,
117 ,
148 ,
173 ,
200 ,
218 ,
233 ,
245 ,
258 ,
277 ,
285 ,
290 ,
299 ,
294 ,
290 ,
273 ,
267 ,
251 ,
237 ,
229 ,
224 ,
227 ,
214 ,
215 ,
203 ,
181 ,
151 ,
115 ,
83  ,
59  ,
46  ,
49  ,
70  ,
88  ,
120 ,
146 ,
181 ,
208 ,
244 ,
267 ,
283 ,
282 ,
268 ,
241 ,
216 ,
187 ,
169 ,
152 ,
140 ,
131 ,
129 ,
131 ,
141 ,
142 ,
129 ,
112 ,
89  ,
70  ,
44  ,
25  ,
0 ,
-19 ,
-52 ,
-93 ,
-138  ,
-174  ,
-211  ,
-232  ,
-249  ,
-248  ,
-227  ,
-194  ,
-148  ,
-104  ,
-69 ,
-33 ,
-10 ,
6 ,
14  ,
20  ,
29  ,
28  ,
34  ,
21  ,
10  ,
-20 ,
-44 ,
-58 ,
-70 ,
-80 ,
-85 ,
-92 ,
-96 ,
-107  ,
-114  ,
-124  ,
-133  ,
-133  ,
-145  ,
-142  ,
-149  ,
-144  ,
-142  ,
-120  ,
-99 ,
-64 ,
-34 ,
-6  ,
37  ,
63  ,
94  ,
106 ,
108 ,
103 ,
84  ,
61  ,
39  ,
20  ,
13  ,
16  ,
26  ,
32  ,
34  ,
31  ,
33  ,
26  ,
23  ,
15  ,
14  ,
9 ,
8 ,
4 ,
-3  ,
-1  ,
-8  ,
-14 ,
-18 ,
-42 ,
-55 ,
-88 ,
-98 ,
-104  ,
-96 ,
-84 ,
-84 ,
-75 ,
-81 ,
-76 ,
-71 ,
-51 ,
-38 ,
-24 ,
-26 ,
-38 ,
-60 ,
-92 ,
-112  ,
-135  ,
-146  ,
-166  ,
-184  ,
-192  ,
-201  ,
-203  ,
-204  ,
-211  ,
-221  ,
-230  ,
-250  ,
-254  ,
-265  ,
-258  ,
-253  ,
-238  ,
-228  ,
-215  ,
-202  ,
-185  ,
-158  ,
-126  ,
-97 ,
-72 ,
-58 ,
-51 ,
-52 ,
-52 ,
-52 ,
-32 ,
-8  ,
38  ,
83  ,
129 ,
163 ,
194 ,
221 ,
241 ,
250 ,
251 ,
242 ,
240 ,
245 ,
268 ,
293 ,
319 ,
339 ,
345 ,
342 ,
328 ,
315 ,
298 ,
281 ,
258 ,
243 ,
224 ,
212 ,
205 ,
205 ,
216 ,
229 ,
257 ,
280 ,
306 ,
314 ,
316 ,
297 ,
271 ,
229 ,
189 ,
151 ,
107 ,
84  ,
55  ,
39  ,
26  ,
3 ,
-15 ,
-47 ,
-77 ,
-103  ,
-131  ,
-142  ,
-161  ,
-168  ,
-196  ,
-214  ,
-247  ,
-261  ,
-277  ,
-283  ,
-286  ,
-291  ,
-294  ,
-300  ,
-297  ,
-300  ,
-294  ,
-280  ,
-255  ,
-236  ,
-204  ,
-175  ,
-133  ,
-100  ,
-74 ,
-58 ,
-54 ,
-60 ,
-62 ,
-69 ,
-73 ,
-79 ,
-74 ,
-73 ,
-72 ,
-87 ,
-104  ,
-130  ,
-157  ,
-189  ,
-219  ,
-258  ,
-294  ,
-341  ,
-367  ,
-397  ,
-389  ,
-378  ,
-359  ,
-327  ,
-297  ,
-259  ,
-214  ,
-177  ,
-137  ,
-129  ,
-125  ,
-149  ,
-173  ,
-212  ,
-241  ,
-266  ,
-282  ,
-302  ,
-326  ,
-355  ,
-380  ,
-396  ,
-400  ,
-398  ,
-385  ,
-378  ,
-366  ,
-349  ,
-325  ,
-312  ,
-285  ,
-276  ,
-249  ,
-239  ,
-206  ,
-181  ,
-139  ,
-92 ,
-41 ,
21  ,
75  ,
129 ,
187 ,
241 ,
305 ,
357 ,
418 ,
462 ,
513 ,
543 ,
554 ,
565 ,
566 ,
575 ,
577 ,
577 ,
571 ,
568 ,
566 ,
568 ,
564 ,
562 ,
547 ,
538 ,
524 ,
510 ,
492 ,
476 ,
449 ,
438 ,
412 ,
407 ,
385 ,
391 ,
394 ,
410 ,
431 ,
457 ,
484 ,
504 ,
507 ,
497 ,
472 ,
428 ,
383 ,
328 ,
277 ,
224 ,
164 ,
111 ,
54  ,
2 ,
-42 ,
-77 ,
-104  ,
-122  ,
-126  ,
-122  ,
-104  ,
-91 ,
-81 ,
-79 ,
-91 ,
-102  ,
-128  ,
-132  ,
-154  ,
-152  ,
-165  ,
-171  ,
-173  ,
-177  ,
-164  ,
-149  ,
-129  ,
-103  ,
-87 ,
-74 ,
-78 ,
-80 ,
-104  ,
-121  ,
-161  ,
-184  ,
-223  ,
-246  ,
-278  ,
-297  ,
-315  ,
-319  ,
-322  ,
-315  ,
-321  ,
-319  ,
-332  ,
-355  ,
-386  ,
-418  ,
-466  ,
-507  ,
-556  ,
-591  ,
-620  ,
-637  ,
-631  ,
-615  ,
-591  ,
-554  ,
-528  ,
-478  ,
-452  ,
-421  ,
-416  ,
-406  ,
-414  ,
-421  ,
-433  ,
-454  ,
-465  ,
-482  ,
-471  ,
-471  ,
-455  ,
-435  ,
-409  ,
-364  ,
-318  ,
-262  ,
-197  ,
-136  ,
-57 ,
6 ,
76  ,
117 ,
162 ,
185 ,
211 ,
228 ,
253 ,
279 ,
313 ,
349 ,
407 ,
457 ,
522 ,
584 ,
653 ,
716 ,
773 ,
818 ,
850 ,
873 ,
877 ,
878 ,
872 ,
864 ,
857 ,
855 ,
840 ,
835 ,
822 ,
828 ,
832 ,
845 ,
844 ,
835 ,
814 ,
787 ,
740 ,
690 ,
618 ,
550 ,
472 ,
407 ,
355 ,
324 ,
302 ,
287 ,
289 ,
286 ,
299 ,
299 ,
304 ,
303 ,
287 ,
266 ,
227 ,
183 ,
123 ,
57  ,
-13 ,
-80 ,
-153  ,
-207  ,
-258  ,
-281  ,
-305  ,
-310  ,
-311  ,
-306  ,
-294  ,
-292  ,
-291  ,
-316  ,
-355  ,
-405  ,
-469  ,
-524  ,
-571  ,
-616  ,
-641  ,
-655  ,
-648  ,
-626  ,
-598  ,
-546  ,
-505  ,
-454  ,
-423  ,
-402  ,
-388  ,
-398  ,
-404  ,
-432  ,
-450  ,
-487  ,
-511  ,
-539  ,
-564  ,
-586  ,
-614  ,
-629  ,
-623  ,
-610  ,
-578  ,
-557  ,
-534  ,
-520  ,
-523  ,
-526  ,
-551  ,
-584  ,
-617  ,
-654  ,
-667  ,
-668  ,
-649  ,
-612  ,
-561  ,
-504  ,
-440  ,
-373  ,
-306  ,
-235  ,
-163  ,
-101  ,
-43 ,
-6  ,
19  ,
25  ,
7 ,
-12 ,
-37 ,
-50 ,
-50 ,
-31 ,
0 ,
41  ,
83  ,
137 ,
201 ,
260 ,
319 ,
359 ,
386 ,
403 ,
402 ,
396 ,
394 ,
394 ,
406 ,
430 ,
461 ,
515 ,
572 ,
632 ,
707 ,
770 ,
832 ,
877 ,
912 ,
924 ,
928 ,
918 ,
896 ,
870 ,
834 ,
797 ,
749 ,
704 ,
648 ,
600 ,
552 ,
521 ,
507 ,
504 ,
508 ,
517 ,
514 ,
503 ,
471 ,
434 ,
374 ,
315 ,
248 ,
190 ,
150 ,
116 ,
103 ,
87  ,
78  ,
83  ,
89  ,
108 ,
122 ,
129 ,
127 ,
113 ,
79  ,
27  ,
-52 ,
-143  ,
-248  ,
-345  ,
-439  ,
-508  ,
-560  ,
-589  ,
-605  ,
-604  ,
-593  ,
-570  ,
-552  ,
-526  ,
-517  ,
-515  ,
-527  ,
-556  ,
-592  ,
-632  ,
-675  ,
-700  ,
-718  ,
-712  ,
-699  ,
-675  ,
-637  ,
-594  ,
-548  ,
-494  ,
-462  ,
-433  ,
-428  ,
-435  ,
-445  ,
-459  ,
-474  ,
-493  ,
-520  ,
-537  ,
-566  ,
-584  ,
-599  ,
-585  ,
-561  ,
-511  ,
-452  ,
-386  ,
-329  ,
-288  ,
-249  ,
-229  ,
-213  ,
-217  ,
-225  ,
-243  ,
-264  ,
-269  ,
-260  ,
-229  ,
-186  ,
-139  ,
-88 ,
-32 ,
30  ,
104 ,
170 ,
229 ,
279 ,
306 ,
322 ,
303 ,
284 ,
247 ,
222 ,
205 ,
199 ,
202 ,
205 ,
227 ,
257 ,
309 ,
363 ,
425 ,
476 ,
529 ,
566 ,
590 ,
605 ,
606 ,
601 ,
597 ,
590 ,
595 ,
602 ,
634 ,
669 ,
717 ,
763 ,
815 ,
856 ,
897 ,
921 ,
934 ,
934 ,
915 ,
893 ,
856 ,
817 ,
764 ,
713 ,
671 ,
630 ,
595 ,
565 ,
535 ,
524 ,
534 ,
545 ,
575 ,
579 ,
587 ,
557 ,
505 ,
428 ,
340 ,
247 ,
151 ,
76  ,
6 ,
-45 ,
-87 ,
-105  ,
-111  ,
-103  ,
-92 ,
-73 ,
-72 ,
-85 ,
-110  ,
-149  ,
-201  ,
-260  ,
-335  ,
-405  ,
-488  ,
-568  ,
-640  ,
-696  ,
-736  ,
-755  ,
-767  ,
-766  ,
-768  ,
-766  ,
-767  ,
-764  ,
-760  ,
-765  ,
-779  ,
-804  ,
-836  ,
-864  ,
-878  ,
-876  ,
-851  ,
-820  ,
-776  ,
-723  ,
-669  ,
-604  ,
-545  ,
-480  ,
-420  ,
-380  ,
-347  ,
-340  ,
-326  ,
-323  ,
-312  ,
-303  ,
-295  ,
-301  ,
-309  ,
-325  ,
-325  ,
-312  ,
-282  ,
-213  ,
-142  ,
-60 ,
0 ,
46  ,
68  ,
84  ,
80  ,
69  ,
33  ,
4 ,
-34 ,
-40 ,
-42 ,
-10 ,
29  ,
85  ,
150 ,
220 ,
278 ,
328 ,
381 ,
424 ,
461 ,
480 ,
480 ,
466 ,
439 ,
401 ,
370 ,
325 ,
289 ,
256 ,
248 ,
235 ,
248 ,
259 ,
306 ,
343 ,
385 ,
412 ,
431 ,
439 ,
450 ,
452 ,
468 ,
473 ,
502 ,
517 ,
549 ,
580 ,
615 ,
655 ,
702 ,
739 ,
775 ,
777 ,
772 ,
743 ,
726 ,
681 ,
643 ,
590 ,
532 ,
465 ,
407 ,
341 ,
284 ,
227 ,
191 ,
170 ,
167 ,
175 ,
185 ,
203 ,
208 ,
194 ,
166 ,
107 ,
33  ,
-56 ,
-146  ,
-228  ,
-290  ,
-336  ,
-365  ,
-390  ,
-403  ,
-410  ,
-409  ,
-402  ,
-403  ,
-409  ,
-428  ,
-442  ,
-465  ,
-488  ,
-528  ,
-573  ,
-634  ,
-702  ,
-782  ,
-846  ,
-891  ,
-917  ,
-922  ,
-907  ,
-880  ,
-852  ,
-830  ,
-790  ,
-749  ,
-703  ,
-662  ,
-635  ,
-612  ,
-600  ,
-574  ,
-546  ,
-500  ,
-445  ,
-381  ,
-320  ,
-261  ,
-213  ,
-158  ,
-114  ,
-61 ,
-36 ,
-5  ,
-9  ,
-2  ,
-16 ,
-28 ,
-40 ,
-42 ,
-46 ,
-55 ,
-77 ,
-88 ,
-99 ,
-79 ,
-44 ,
20  ,
89  ,
159 ,
209 ,
268 ,
288 ,
312 ,
294 ,
276 ,
226 ,
187 ,
147 ,
128 ,
123 ,
139 ,
160 ,
178 ,
202 ,
222 ,
248 ,
265 ,
295 ,
314 ,
337 ,
352 ,
350 ,
327 ,
286 ,
229 ,
185 ,
149 ,
132 ,
118 ,
122 ,
126 ,
152 ,
175 ,
216 ,
243 ,
277 ,
299 ,
320 ,
335 ,
345 ,
358 ,
371 ,
380 ,
394 ,
390 ,
392 ,
382 ,
387 ,
404 ,
421 ,
447 ,
455 ,
460 ,
451 ,
435 ,
411 ,
386 ,
348 ,
314 ,
267 ,
216 ,
158 ,
100 ,
40  ,
0 ,
-40 ,
-48 ,
-56 ,
-37 ,
-18 ,
3 ,
17  ,
10  ,
-8  ,
-60 ,
-126  ,
-217  ,
-290  ,
-353  ,
-391  ,
-415  ,
-429  ,
-438  ,
-449  ,
-450  ,
-440  ,
-425  ,
-401  ,
-388  ,
-360  ,
-349  ,
-332  ,
-335  ,
-346  ,
-380  ,
-420  ,
-471  ,
-512  ,
-548  ,
-561  ,
-564  ,
-558  ,
-542  ,
-523  ,
-488  ,
-455  ,
-409  ,
-364  ,
-322  ,
-272  ,
-243  ,
-206  ,
-185  ,
-156  ,
-133  ,
-106  ,
-77 ,
-62 ,
-42 ,
-22 ,
9 ,
45  ,
88  ,
129 ,
159 ,
178 ,
192 ,
193 ,
199 ,
186 ,
178 ,
163 ,
140 ,
102 ,
73  ,
42  ,
35  ,
36  ,
65  ,
102 ,
152 ,
205 ,
257 ,
291 ,
307 ,
293 ,
256 ,
199 ,
142 ,
93  ,
65  ,
48  ,
47  ,
47  ,
53  ,
71  ,
97  ,
129 ,
165 ,
204 ,
238 ,
271 ,
281 ,
289 ,
262 ,
231 ,
184 ,
139 ,
89  ,
55  ,
27  ,
12  ,
-4  ,
-11 ,
-12 ,
1 ,
25  ,
51  ,
95  ,
125 ,
170 ,
205 ,
239 ,
267 ,
291 ,
299 ,
309 ,
306 ,
298 ,
284 ,
272 ,
268 ,
277 ,
288 ,
298 ,
303 ,
295 ,
277 ,
254 ,
228 ,
179 ,
138 ,
79  ,
25  ,
-43 ,
-111  ,
-176  ,
-219  ,
-242  ,
-231  ,
-199  ,
-142  ,
-82 ,
-25 ,
14  ,
31  ,
15  ,
-12 ,
-62 ,
-109  ,
-150  ,
-182  ,
-208  ,
-222  ,
-230  ,
-230  ,
-221  ,
-206  ,
-182  ,
-159  ,
-127  ,
-108  ,
-81 ,
-67 ,
-68 ,
-81 ,
-117  ,
-157  ,
-199  ,
-230  ,
-256  ,
-263  ,
-268  ,
-260  ,
-255  ,
-234  ,
-210  ,
-166  ,
-117  ,
-60 ,
-9  ,
46  ,
87  ,
127 ,
155 ,
169 ,
175 ,
162 ,
148 ,
122 ,
98  ,
81  ,
75  ,
84  ,
108 ,
129 ,
144 ,
145 ,
144 ,
137 ,
130 ,
101 ,
75  ,
27  ,
-23 ,
-90 ,
-141  ,
-188  ,
-206  ,
-206  ,
-182  ,
-139  ,
-87 ,
-27 ,
30  ,
69  ,
94  ,
84  ,
63  ,
18  ,
-19 ,
-68 ,
-100  ,
-128  ,
-146  ,
-162  ,
-175  ,
-181  ,
-183  ,
-173  ,
-161  ,
-134  ,
-104  ,
-74 ,
-44 ,
-27 ,
-26 ,
-44 ,
-78 ,
-111  ,
-152  ,
-180  ,
-202  ,
-210  ,
-215  ,
-208  ,
-196  ,
-178  ,
-155  ,
-127  ,
-85 ,
-37 ,
22  ,
74  ,
122 ,
156 ,
174 ,
180 ,
165 ,
148 ,
121 ,
99  ,
82  ,
76  ,
102 ,
130 ,
174 ,
204 ,
233 ,
253 ,
267 ,
273 ,
273 ,
252 ,
225 ,
173 ,
130 ,
70  ,
41  ,
15  ,
20  ,
40  ,
77  ,
126 ,
180 ,
240 ,
292 ,
329 ,
344 ,
340 ,
307 ,
274 ,
230 ,
199 ,
169 ,
136 ,
106 ,
74  ,
49  ,
30  ,
26  ,
42  ,
69  ,
101 ,
143 ,
173 ,
199 ,
198 ,
183 ,
149 ,
105 ,
47  ,
3 ,
-46 ,
-76 ,
-99 ,
-111  ,
-120  ,
-122  ,
-117  ,
-97 ,
-71 ,
-38 ,
1 ,
25  ,
37  ,
35  ,
19  ,
-9  ,
-42 ,
-78 ,
-107  ,
-140  ,
-158  ,
-162  ,
-144  ,
-112  ,
-67 ,
-24 ,
11  ,
28  ,
32  ,
23  ,
-1  ,
-40 ,
-80 ,
-138  ,
-189  ,
-258  ,
-304  ,
-352  ,
-367  ,
-369  ,
-348  ,
-320  ,
-279  ,
-241  ,
-208  ,
-182  ,
-165  ,
-169  ,
-188  ,
-215  ,
-245  ,
-265  ,
-288  ,
-300  ,
-321  ,
-338  ,
-350  ,
-358  ,
-360  ,
-350  ,
-328  ,
-288  ,
-239  ,
-200  ,
-166  ,
-149  ,
-161  ,
-185  ,
-219  ,
-261  ,
-293  ,
-318  ,
-328  ,
-322  ,
-309  ,
-278  ,
-248  ,
-190  ,
-135  ,
-71 ,
1 ,
54  ,
107 ,
138 ,
162 ,
187 ,
192 ,
198 ,
192 ,
182 ,
176 ,
165 ,
188 ,
218 ,
280 ,
348 ,
413 ,
467 ,
517 ,
551 ,
570 ,
572 ,
554 ,
526 ,
481 ,
432 ,
375 ,
325 ,
283 ,
261 ,
259 ,
269 ,
291 ,
334 ,
378 ,
427 ,
467 ,
497 ,
506 ,
485 ,
452 ,
417 ,
374 ,
339 ,
303 ,
265 ,
218 ,
182 ,
140 ,
121 ,
110 ,
113 ,
141 ,
148 ,
160 ,
150 ,
132 ,
105 ,
61  ,
3 ,
-70 ,
-137  ,
-195  ,
-228  ,
-255  ,
-250  ,
-229  ,
-196  ,
-160  ,
-116  ,
-80 ,
-44 ,
-19 ,
8 ,
23  ,
29  ,
7 ,
-16 ,
-61 ,
-101  ,
-148  ,
-189  ,
-222  ,
-232  ,
-233  ,
-204  ,
-179  ,
-140  ,
-116  ,
-90 ,
-77 ,
-86 ,
-107  ,
-146  ,
-183  ,
-245  ,
-297  ,
-363  ,
-422  ,
-469  ,
-510  ,
-527  ,
-531  ,
-512  ,
-486  ,
-444  ,
-416  ,
-385  ,
-380  ,
-383  ,
-396  ,
-421  ,
-456  ,
-487  ,
-526  ,
-540  ,
-579  ,
-591  ,
-614  ,
-611  ,
-618  ,
-601  ,
-583  ,
-543  ,
-501  ,
-446  ,
-394  ,
-350  ,
-323  ,
-316  ,
-324  ,
-341  ,
-344  ,
-339  ,
-315  ,
-277  ,
-230  ,
-167  ,
-104  ,
-28 ,
55  ,
131 ,
221 ,
289 ,
354 ,
393 ,
413 ,
424 ,
426 ,
428 ,
429 ,
430 ,
423 ,
426 ,
449 ,
490 ,
550 ,
609 ,
679 ,
723 ,
768 ,
783 ,
790 ,
786 ,
770 ,
745 ,
706 ,
651 ,
591 ,
535 ,
481 ,
451 ,
428 ,
414 ,
422 ,
427 ,
451 ,
470 ,
483 ,
491 ,
483 ,
454 ,
410 ,
353 ,
297 ,
245 ,
198 ,
163 ,
125 ,
90  ,
50  ,
18  ,
-11 ,
-14 ,
-18 ,
-6  ,
5 ,
21  ,
19  ,
5 ,
-24 ,
-61 ,
-105  ,
-145  ,
-184  ,
-221  ,
-240  ,
-244  ,
-222  ,
-194  ,
-158  ,
-126  ,
-105  ,
-94 ,
-86 ,
-90 ,
-96 ,
-112  ,
-146  ,
-182  ,
-234  ,
-289  ,
-337  ,
-382  ,
-400  ,
-408  ,
-397  ,
-380  ,
-364  ,
-343  ,
-332  ,
-310  ,
-300  ,
-294  ,
-304  ,
-326  ,
-363  ,
-404  ,
-465  ,
-522  ,
-582  ,
-634  ,
-681  ,
-706  ,
-715  ,
-704  ,
-679  ,
-640  ,
-604  ,
-575  ,
-549  ,
-539  ,
-529  ,
-526  ,
-518  ,
-503  ,
-489  ,
-476  ,
-472  ,
-461  ,
-445  ,
-420  ,
-385  ,
-353  ,
-301  ,
-249  ,
-180  ,
-109  ,
-32 ,
43  ,
106 ,
150 ,
185 ,
200 ,
212 ,
216 ,
231 ,
266 ,
310 ,
357 ,
412 ,
471 ,
536 ,
594 ,
660 ,
711 ,
760 ,
776 ,
788 ,
783 ,
785 ,
771 ,
771 ,
759 ,
753 ,
738 ,
733 ,
752 ,
764 ,
790 ,
808 ,
829 ,
839 ,
840 ,
824 ,
804 ,
773 ,
724 ,
673 ,
599 ,
533 ,
455 ,
404 ,
355 ,
332 ,
299 ,
286 ,
269 ,
266 ,
260 ,
260 ,
258 ,
258 ,
232 ,
205 ,
166 ,
133 ,
100 ,
69  ,
34  ,
-2  ,
-38 ,
-76 ,
-111  ,
-145  ,
-154  ,
-170  ,
-163  ,
-160  ,
-156  ,
-155  ,
-160  ,
-167  ,
-179  ,
-196  ,
-229  ,
-263  ,
-299  ,
-321  ,
-333  ,
-331  ,
-325  ,
-314  ,
-306  ,
-291  ,
-281  ,
-272  ,
-280  ,
-287  ,
-301  ,
-333  ,
-366  ,
-415  ,
-457  ,
-501  ,
-539  ,
-563  ,
-569  ,
-573  ,
-557  ,
-542  ,
-521  ,
-501  ,
-485  ,
-469  ,
-457  ,
-463  ,
-473  ,
-488  ,
-502  ,
-523  ,
-547  ,
-572  ,
-589  ,
-600  ,
-587  ,
-573  ,
-535  ,
-499  ,
-453  ,
-409  ,
-369  ,
-328  ,
-307  ,
-273  ,
-245  ,
-198  ,
-172  ,
-130  ,
-116  ,
-93 ,
-82 ,
-62 ,
-38 ,
-17 ,
19  ,
56  ,
108 ,
156 ,
212 ,
261 ,
316 ,
364 ,
398 ,
424 ,
439 ,
449 ,
453 ,
457 ,
474 ,
491 ,
516 ,
538 ,
576 ,
607 ,
646 ,
677 ,
707 ,
718 ,
710 ,
690 ,
668 ,
637 ,
605 ,
571 ,
530 ,
494 ,
474 ,
458 ,
471 ,
473 ,
489 ,
494 ,
497 ,
499 ,
499 ,
490 ,
484 ,
469 ,
449 ,
407 ,
363 ,
315 ,
278 ,
253 ,
239 ,
238 ,
225 ,
217 ,
196 ,
175 ,
148 ,
129 ,
95  ,
65  ,
27  ,
-4  ,
-36 ,
-59 ,
-79 ,
-101  ,
-126  ,
-147  ,
-172  ,
-195  ,
-232  ,
-267  ,
-287  ,
-296  ,
-295  ,
-294  ,
-296  ,
-302  ,
-316  ,
-333  ,
-349  ,
-371  ,
-388  ,
-422  ,
-446  ,
-476  ,
-507  ,
-525  ,
-539  ,
-541  ,
-542  ,
-545  ,
-547  ,
-549  ,
-555  ,
-569  ,
-577  ,
-600  ,
-619  ,
-645  ,
-667  ,
-686  ,
-691  ,
-680  ,
-661  ,
-624  ,
-594  ,
-569  ,
-547  ,
-527  ,
-489  ,
-464  ,
-426  ,
-395  ,
-369  ,
-348  ,
-342  ,
-334  ,
-327  ,
-308  ,
-282  ,
-255  ,
-231  ,
-217  ,
-196  ,
-173  ,
-151  ,
-130  ,
-111  ,
-118  ,
-118  ,
-119  ,
-90 ,
-54 ,
-7  ,
39  ,
73  ,
97  ,
109 ,
114 ,
130 ,
141 ,
168 ,
199 ,
236 ,
269 ,
304 ,
337 ,
381 ,
412 ,
451 ,
469 ,
486 ,
482 ,
471 ,
458 ,
451 ,
443 ,
456 ,
462 ,
480 ,
489 ,
515 ,
534 ,
564 ,
576 ,
581 ,
575 ,
557 ,
538 ,
509 ,
492 ,
474 ,
467 ,
470 ,
475 ,
486 ,
494 ,
494 ,
510 ,
509 ,
520 ,
510 ,
500 ,
485 ,
457 ,
437 ,
408 ,
376 ,
336 ,
308 ,
284 ,
262 ,
235 ,
212 ,
179 ,
150 ,
100 ,
47  ,
-21 ,
-92 ,
-143  ,
-189  ,
-210  ,
-240  ,
-266  ,
-298  ,
-328  ,
-358  ,
-376  ,
-393  ,
-410  ,
-427  ,
-454  ,
-471  ,
-489  ,
-486  ,
-496  ,
-488  ,
-494  ,
-490  ,
-497  ,
-501  ,
-498  ,
-509  ,
-509  ,
-510  ,
-500  ,
-497  ,
-483  ,
-479  ,
-464  ,
-451  ,
-429  ,
-399  ,
-377  ,
-350  ,
-331  ,
-310  ,
-287  ,
-274  ,
-269  ,
-261  ,
-249  ,
-225  ,
-195  ,
-155  ,
-130  ,
-100  ,
-89 ,
-62 ,
-45 ,
-27 ,
-6  ,
24  ,
53  ,
71  ,
83  ,
84  ,
90  ,
106 ,
122 ,
148 ,
159 ,
167 ,
180 ,
177 ,
176 ,
161 ,
141 ,
107 ,
67  ,
22  ,
-5  ,
-25 ,
-26 ,
-26 ,
-21 ,
-19 ,
-10 ,
-4  ,
2 ,
23  ,
39  ,
70  ,
93  ,
121 ,
148 ,
166 ,
188 ,
201 ,
223 ,
260 ,
285 ,
317 ,
335 ,
356 ,
367 ,
379 ,
397 ,
413 ,
427 ,
436 ,
451 ,
459 ,
479 ,
488 ,
499 ,
497 ,
486 ,
471 ,
455 ,
430 ,
418 ,
401 ,
398 ,
393 ,
396 ,
387 ,
376 ,
368 ,
360 ,
350 ,
330 ,
307 ,
288 ,
258 ,
228 ,
197 ,
170 ,
145 ,
132 ,
108 ,
97  ,
66  ,
49  ,
20  ,
-9  ,
-55 ,
-119  ,
-194  ,
-279  ,
-358  ,
-427  ,
-476  ,
-505  ,
-529  ,
-539  ,
-564  ,
-571  ,
-582  ,
-582  ,
-569  ,
-559  ,
-536  ,
-524  ,
-504  ,
-478  ,
-454  ,
-425  ,
-398  ,
-368  ,
-337  ,
-303  ,
-271  ,
-245  ,
-219  ,
-193  ,
-155  ,
-128  ,
-96 ,
-78 ,
-56 ,
-38 ,
-20 ,
-5  ,
12  ,
29  ,
44  ,
48  ,
46  ,
41  ,
24  ,
16  ,
-4  ,
-14 ,
-19 ,
-7  ,
11  ,
30  ,
47  ,
51  ,
58  ,
55  ,
48  ,
49  ,
37  ,
39  ,
24  ,
11  ,
0 ,
-7  ,
-1  ,
4 ,
14  ,
14  ,
15  ,
-10 ,
-33 ,
-76 ,
-112  ,
-165  ,
-217  ,
-254  ,
-288  ,
-300  ,
-309  ,
-305  ,
-296  ,
-280  ,
-260  ,
-224  ,
-191  ,
-161  ,
-118  ,
-68 ,
-8  ,
55  ,
107 ,
165 ,
196 ,
227 ,
242 ,
267 ,
281 ,
300 ,
313 ,
327 ,
344 ,
361 ,
381 ,
394 ,
405 ,
405 ,
401 ,
400 ,
393 ,
395 ,
384 ,
379 ,
364 ,
340 ,
317 ,
284 ,
254 ,
226 ,
197 ,
192 ,
185 ,
178 ,
162 ,
139 ,
119 ,
97  ,
58  ,
30  ,
-14 ,
-52 ,
-101  ,
-143  ,
-169  ,
-183  ,
-182  ,
-172  ,
-163  ,
-159  ,
-165  ,
-186  ,
-198  ,
-236  ,
-255  ,
-303  ,
-340  ,
-397  ,
-443  ,
-472  ,
-482  ,
-477  ,
-473  ,
-465  ,
-458  ,
-439  ,
-425  ,
-396  ,
-364  ,
-314  ,
-262  ,
-209  ,
-151  ,
-104  ,
-76 ,
-43 ,
-23 ,
4 ,
28  ,
57  ,
79  ,
100 ,
118 ,
134 ,
151 ,
161 ,
171 ,
174 ,
170 ,
173 ,
162 ,
157 ,
153 ,
144 ,
142 ,
138 ,
135 ,
131 ,
117 ,
101 ,
87  ,
83  ,
82  ,
91  ,
87  ,
83  ,
68  ,
60  ,
33  ,
19  ,
-27 ,
-53 ,
-82 ,
-93 ,
-99 ,
-99 ,
-93 ,
-74 ,
-55 ,
-28 ,
-10 ,
7 ,
12  ,
13  ,
4 ,
-15 ,
-53 ,
-92 ,
-143  ,
-164  ,
-183  ,
-178  ,
-185  ,
-181  ,
-191  ,
-191  ,
-188  ,
-181  ,
-161  ,
-130  ,
-85 ,
-30 ,
12  ,
55  ,
88  ,
114 ,
128 ,
130 ,
133 ,
136 ,
132 ,
130 ,
124 ,
125 ,
134 ,
145 ,
159 ,
165 ,
162 ,
143 ,
132 ,
112 ,
104 ,
85  ,
72  ,
59  ,
43  ,
23  ,
-2  ,
-22 ,
-50 ,
-60 ,
-61 ,
-42 ,
-33 ,
-27 ,
-25 ,
-24 ,
-17 ,
-14 ,
-9  ,
-19 ,
-18 ,
-16 ,
-11 ,
-7  ,
4 ,
22  ,
65  ,
109 ,
160 ,
193 ,
218 ,
221 ,
218 ,
199 ,
181 ,
149 ,
121 ,
93  ,
84  ,
78  ,
82  ,
72  ,
69  ,
53  ,
45  ,
47  ,
40  ,
58  ,
75  ,
108 ,
145 ,
179 ,
215 ,
241 ,
252 ,
253 ,
236 ,
211 ,
195 ,
160 ,
144 ,
124 ,
118 ,
108 ,
107 ,
100 ,
100 ,
82  ,
70  ,
48  ,
37  ,
8 ,
-7  ,
-46 ,
-66 ,
-89 ,
-100  ,
-119  ,
-134  ,
-148  ,
-145  ,
-137  ,
-119  ,
-106  ,
-97 ,
-87 ,
-82 ,
-84 ,
-84 ,
-100  ,
-112  ,
-115  ,
-126  ,
-125  ,
-133  ,
-128  ,
-114  ,
-86 ,
-55 ,
-32 ,
-7  ,
0 ,
0 ,
-25 ,
-60 ,
-102  ,
-159  ,
-208  ,
-252  ,
-275  ,
-294  ,
-311  ,
-328  ,
-347  ,
-365  ,
-374  ,
-377  ,
-379  ,
-365  ,
-347  ,
-310  ,
-271  ,
-220  ,
-173  ,
-148  ,
-135  ,
-145  ,
-152  ,
-169  ,
-169  ,
-185  ,
-190  ,
-200  ,
-202  ,
-200  ,
-185  ,
-161  ,
-135  ,
-118  ,
-106  ,
-100  ,
-98 ,
-96 ,
-88 ,
-85 ,
-69 ,
-65 ,
-46 ,
-39 ,
-23 ,
-9  ,
41  ,
87  ,
150 ,
194 ,
239 ,
273 ,
298 ,
325 ,
339 ,
351 ,
352 ,
359 ,
356 ,
359 ,
359 ,
368 ,
385 ,
414 ,
437 ,
458 ,
471 ,
474 ,
466 ,
449 ,
408 ,
364 ,
297 ,
244 ,
196 ,
165 ,
146 ,
122 ,
95  ,
64  ,
37  ,
13  ,
-2  ,
-11 ,
-19 ,
-4  ,
5 ,
38  ,
66  ,
86  ,
88  ,
73  ,
48  ,
15  ,
-15 ,
-49 ,
-83 ,
-118  ,
-142  ,
-155  ,
-145  ,
-123  ,
-94 ,
-71 ,
-53 ,
-40 ,
-32 ,
-31 ,
-39 ,
-46 ,
-53 ,
-73 ,
-87 ,
-113  ,
-125  ,
-128  ,
-121  ,
-89 ,
-67 ,
-37 ,
-26 ,
-16 ,
-16 ,
-14 ,
-11 ,
-21 ,
-35 ,
-69 ,
-100  ,
-134  ,
-160  ,
-176  ,
-181  ,
-176  ,
-160  ,
-154  ,
-146  ,
-139  ,
-156  ,
-163  ,
-204  ,
-237  ,
-297  ,
-364  ,
-417  ,
-472  ,
-498  ,
-531  ,
-556  ,
-584  ,
-608  ,
-624  ,
-621  ,
-616  ,
-603  ,
-586  ,
-556  ,
-527  ,
-484  ,
-438  ,
-393  ,
-358  ,
-337  ,
-317  ,
-302  ,
-289  ,
-275  ,
-252  ,
-223  ,
-185  ,
-149  ,
-103  ,
-56 ,
0 ,
50  ,
98  ,
139 ,
176 ,
204 ,
221 ,
240 ,
251 ,
274 ,
294 ,
314 ,
342 ,
373 ,
421 ,
477 ,
521 ,
562 ,
584 ,
595 ,
604 ,
610 ,
613 ,
602 ,
587 ,
555 ,
532 ,
491 ,
468 ,
441 ,
433 ,
437 ,
450 ,
470 ,
486 ,
491 ,
482 ,
465 ,
435 ,
388 ,
343 ,
275 ,
227 ,
174 ,
142 ,
102 ,
74  ,
39  ,
18  ,
-6  ,
-22 ,
-37 ,
-47 ,
-40 ,
-31 ,
-9  ,
16  ,
35  ,
51  ,
46  ,
38  ,
27  ,
19  ,
15  ,
15  ,
25  ,
24  ,
40  ,
43  ,
65  ,
85  ,
107 ,
133 ,
140 ,
143 ,
129 ,
109 ,
78  ,
40  ,
-2  ,
-37 ,
-69 ,
-93 ,
-114  ,
-112  ,
-95 ,
-62 ,
-51 ,
-45 ,
-53 ,
-78 ,
-95 ,
-133  ,
-153  ,
-199  ,
-233  ,
-277  ,
-321  ,
-360  ,
-410  ,
-433  ,
-451  ,
-451  ,
-440  ,
-421  ,
-403  ,
-403  ,
-406  ,
-435  ,
-467  ,
-525  ,
-582  ,
-631  ,
-662  ,
-672  ,
-671  ,
-652  ,
-634  ,
-611  ,
-580  ,
-553  ,
-517  ,
-475  ,
-422  ,
-361  ,
-300  ,
-233  ,
-169  ,
-111  ,
-66 ,
-33 ,
-1  ,
25  ,
58  ,
97  ,
133 ,
180 ,
215 ,
267 ,
316 ,
370 ,
416 ,
457 ,
492 ,
531 ,
553 ,
577 ,
580 ,
573 ,
552 ,
527 ,
506 ,
492 ,
483 ,
498 ,
524 ,
564 ,
607 ,
631 ,
652 ,
642 ,
636 ,
621 ,
601 ,
571 ,
538 ,
504 ,
464 ,
420 ,
375 ,
331 ,
303 ,
279 ,
271 ,
279 ,
293 ,
302 ,
302 ,
279 ,
257 ,
212 ,
166 ,
116 ,
73  ,
43  ,
29  ,
20  ,
14  ,
1 ,
-13 ,
-20 ,
-24 ,
-20 ,
-8  ,
2 ,
22  ,
43  ,
72  ,
91  ,
94  ,
74  ,
46  ,
16  ,
-7  ,
-24 ,
-39 ,
-50 ,
-62 ,
-83 ,
-92 ,
-105  ,
-105  ,
-112  ,
-109  ,
-114  ,
-122  ,
-139  ,
-168  ,
-206  ,
-263  ,
-316  ,
-368  ,
-425  ,
-462  ,
-493  ,
-494  ,
-484  ,
-445  ,
-414  ,
-388  ,
-386  ,
-392  ,
-399  ,
-414  ,
-437  ,
-462  ,
-494  ,
-514  ,
-540  ,
-570  ,
-591  ,
-604  ,
-599  ,
-579  ,
-540  ,
-493  ,
-438  ,
-401  ,
-368  ,
-346  ,
-340  ,
-341  ,
-354  ,
-354  ,
-349  ,
-325  ,
-287  ,
-243  ,
-206  ,
-179  ,
-156  ,
-122  ,
-89 ,
-52 ,
-4  ,
46  ,
108 ,
173 ,
232 ,
274 ,
284 ,
277 ,
261 ,
252 ,
259 ,
264 ,
290 ,
308 ,
329 ,
348 ,
370 ,
392 ,
410 ,
422 ,
437 ,
445 ,
458 ,
447 ,
444 ,
416 ,
386 ,
351 ,
315 ,
287 ,
265 ,
258 ,
271 ,
302 ,
336 ,
376 ,
395 ,
415 ,
418 ,
416 ,
408 ,
395 ,
379 ,
369 ,
352 ,
342 ,
320 ,
298 ,
282 ,
276 ,
289 ,
305 ,
327 ,
341 ,
347 ,
349 ,
335 ,
307 ,
267 ,
226 ,
189 ,
166 ,
163 ,
159 ,
158 ,
142 ,
108 ,
76  ,
45  ,
25  ,
23  ,
21  ,
32  ,
47  ,
63  ,
62  ,
37  ,
-7  ,
-66 ,
-120  ,
-177  ,
-214  ,
-249  ,
-272  ,
-289  ,
-305  ,
-319  ,
-331  ,
-347  ,
-360  ,
-368  ,
-389  ,
-399  ,
-415  ,
-429  ,
-455  ,
-490  ,
-531  ,
-584  ,
-621  ,
-670  ,
-681  ,
-689  ,
-662  ,
-624  ,
-577  ,
-529  ,
-491  ,
-448  ,
-416  ,
-379  ,
-370  ,
-357  ,
-359  ,
-354  ,
-343  ,
-338  ,
-330  ,
-326  ,
-308  ,
-280  ,
-238  ,
-192  ,
-151  ,
-119  ,
-91 ,
-73 ,
-71 ,
-78 ,
-104  ,
-114  ,
-124  ,
-117  ,
-98 ,
-81 ,
-56 ,
-55 ,
-54 ,
-53 ,
-54 ,
-31 ,
-8  ,
37  ,
83  ,
127 ,
171 ,
199 ,
201 ,
188 ,
166 ,
141 ,
124 ,
120 ,
133 ,
150 ,
181 ,
197 ,
219 ,
230 ,
238 ,
248 ,
256 ,
277 ,
290 ,
305 ,
303 ,
292 ,
263 ,
234 ,
196 ,
182 ,
177 ,
198 ,
222 ,
267 ,
317 ,
376 ,
418 ,
452 ,
475 ,
488 ,
485 ,
479 ,
458 ,
460 ,
446 ,
445 ,
429 ,
411 ,
383 ,
355 ,
337 ,
325 ,
313 ,
303 ,
271 ,
242 ,
189 ,
129 ,
64  ,
-1  ,
-56 ,
-104  ,
-134  ,
-153  ,
-175  ,
-194  ,
-225  ,
-253  ,
-280  ,
-306  ,
-322  ,
-339  ,
-343  ,
-344  ,
-347  ,
-351  ,
-386  ,
-438  ,
-497  ,
-573  ,
-619  ,
-666  ,
-673  ,
-678  ,
-673  ,
-675  ,
-663  ,
-658  ,
-639  ,
-630  ,
-609  ,
-592  ,
-569  ,
-544  ,
-532  ,
-514  ,
-516  ,
-516  ,
-518  ,
-526  ,
-518  ,
-509  ,
-477  ,
-443  ,
-374  ,
-318  ,
-247  ,
-202  ,
-151  ,
-123  ,
-93 ,
-71 ,
-52 ,
-31 ,
-17 ,
3 ,
13  ,
27  ,
25  ,
35  ,
45  ,
59  ,
78  ,
82  ,
89  ,
73  ,
56  ,
18  ,
-15 ,
-60 ,
-90 ,
-105  ,
-113  ,
-102  ,
-97 ,
-74 ,
-61 ,
-46 ,
-24 ,
0 ,
29  ,
55  ,
86  ,
113 ,
151 ,
163 ,
180 ,
157 ,
141 ,
106 ,
85  ,
63  ,
70  ,
86  ,
111 ,
143 ,
171 ,
203 ,
223 ,
248 ,
271 ,
288 ,
300 ,
318 ,
334 ,
348 ,
360 ,
363 ,
355 ,
347 ,
336 ,
347 ,
351 ,
372 ,
389 ,
427 ,
452 ,
479 ,
489 ,
491 ,
481 ,
463 ,
445 ,
419 ,
404 ,
386 ,
372 ,
353 ,
339 ,
300 ,
286 ,
257 ,
260 ,
235 ,
218 ,
183 ,
147 ,
96  ,
36  ,
-21 ,
-78 ,
-116  ,
-158  ,
-170  ,
-191  ,
-188  ,
-196  ,
-194  ,
-204  ,
-192  ,
-194  ,
-169  ,
-165  ,
-145  ,
-134  ,
-121  ,
-119  ,
-119  ,
-130  ,
-150  ,
-181  ,
-198  ,
-205  ,
-184  ,
-161  ,
-132  ,
-102  ,
-89 ,
-66 ,
-57 ,
-35 ,
-33 ,
-18 ,
-15 ,
7 ,
14  ,
33  ,
42  ,
49  ,
47  ,
51  ,
55  ,
62  ,
67  ,
70  ,
82  ,
92  ,
111 ,
131 ,
153 ,
155 ,
160 ,
144 ,
137 ,
130 ,
131 ,
127 ,
128 ,
118 ,
109 ,
91  ,
85  ,
80  ,
76  ,
65  ,
47  ,
28  ,
-6  ,
-33 ,
-70 ,
-100  ,
-132  ,
-159  ,
-175  ,
-186  ,
-185  ,
-177  ,
-167  ,
-145  ,
-119  ,
-80 ,
-35 ,
14  ,
68  ,
118 ,
164 ,
185 ,
205 ,
203 ,
201 ,
178 ,
160 ,
149 ,
156 ,
170 ,
205 ,
231 ,
258 ,
274 ,
290 ,
313 ,
315 ,
319 ,
299 ,
285 ,
268 ,
250 ,
246 ,
232 ,
228 ,
218 ,
216 ,
205 ,
198 ,
184 ,
185 ,
180 ,
188 ,
192 ,
191 ,
184 ,
165 ,
142 ,
120 ,
86  ,
68  ,
47  ,
35  ,
16  ,
-5  ,
-19 ,
-29 ,
-31 ,
-37 ,
-46 ,
-67 ,
-96 ,
-138  ,
-182  ,
-234  ,
-275  ,
-324  ,
-359  ,
-389  ,
-406  ,
-410  ,
-407  ,
-385  ,
-360  ,
-325  ,
-294  ,
-256  ,
-212  ,
-171  ,
-120  ,
-96 ,
-74 ,
-70 ,
-68 ,
-72 ,
-91 ,
-114  ,
-132  ,
-134  ,
-136  ,
-121  ,
-101  ,
-87 ,
-66 ,
-58 ,
-49 ,
-52 ,
-67 ,
-85 ,
-107  ,
-128  ,
-148  ,
-150  ,
-160  ,
-156  ,
-163  ,
-160  ,
-159  ,
-160  ,
-161  ,
-149  ,
-142  ,
-133  ,
-118  ,
-107  ,
-91 ,
-81 ,
-78 ,
-75 ,
-81 ,
-92 ,
-103  ,
-108  ,
-108  ,
-106  ,
-102  ,
-92 ,
-82 ,
-60 ,
-58 ,
-46 ,
-56 ,
-73 ,
-92 ,
-122  ,
-137  ,
-155  ,
-172  ,
-191  ,
-203  ,
-202  ,
-194  ,
-177  ,
-148  ,
-123  ,
-84 ,
-56 ,
0 ,
51  ,
97  ,
133 ,
141 ,
147 ,
141 ,
129 ,
121 ,
90  ,
72  ,
41  ,
31  ,
18  ,
24  ,
33  ,
43  ,
58  ,
62  ,
66  ,
59  ,
41  ,
21  ,
-7  ,
-34 ,
-58 ,
-80 ,
-103  ,
-119  ,
-120  ,
-113  ,
-97 ,
-95 ,
-87 ,
-90 ,
-85 ,
-78 ,
-60 ,
-46 ,
-40 ,
-30 ,
-35 ,
-38 ,
-41 ,
-52 ,
-43 ,
-41 ,
-19 ,
-2  ,
15  ,
39  ,
54  ,
78  ,
95  ,
112 ,
113 ,
104 ,
93  ,
77  ,
66  ,
54  ,
36  ,
15  ,
9 ,
8 ,
25  ,
46  ,
76  ,
100 ,
132 ,
161 ,
203 ,
244 ,
271 ,
285 ,
275 ,
261 ,
237 ,
219 ,
185 ,
157 ,
123 ,
102 ,
84  ,
85  ,
81  ,
86  ,
76  ,
66  ,
48  ,
28  ,
5 ,
-25 ,
-58 ,
-90 ,
-113  ,
-128  ,
-142  ,
-133  ,
-135  ,
-113  ,
-107  ,
-90 ,
-90 ,
-89 ,
-94 ,
-85 ,
-70 ,
-63 ,
-50 ,
-54 ,
-41 ,
-46 ,
-32 ,
-34 ,
-22 ,
-22 ,
-17 ,
-18 ,
-11 ,
-2  ,
7 ,
30  ,
45  ,
61  ,
65  ,
57  ,
49  ,
24  ,
2 ,
-29 ,
-58 ,
-104  ,
-145  ,
-171  ,
-187  ,
-179  ,
-177  ,
-158  ,
-147  ,
-118  ,
-89 ,
-43 ,
-8  ,
10  ,
20  ,
-3  ,
-17 ,
-43 ,
-69 ,
-86 ,
-104  ,
-113  ,
-121  ,
-118  ,
-112  ,
-93 ,
-87 ,
-78 ,
-83 ,
-90 ,
-98 ,
-119  ,
-141  ,
-165  ,
-185  ,
-197  ,
-203  ,
-188  ,
-165  ,
-133  ,
-94 ,
-64 ,
-25 ,
-3  ,
18  ,
46  ,
78  ,
124 ,
163 ,
201 ,
230 ,
254 ,
273 ,
296 ,
311 ,
317 ,
322 ,
325 ,
338 ,
347 ,
360 ,
373 ,
389 ,
407 ,
418 ,
426 ,
424 ,
413 ,
392 ,
361 ,
327 ,
284 ,
233 ,
184 ,
147 ,
128 ,
126 ,
133 ,
146 ,
163 ,
195 ,
225 ,
257 ,
270 ,
272 ,
253 ,
226 ,
194 ,
168 ,
142 ,
109 ,
88  ,
63  ,
56  ,
53  ,
57  ,
61  ,
62  ,
51  ,
37  ,
14  ,
-8  ,
-36 ,
-72 ,
-100  ,
-136  ,
-145  ,
-159  ,
-134  ,
-111  ,
-77 ,
-44 ,
-24 ,
-10 ,
-14 ,
-14 ,
-13 ,
5 ,
24  ,
53  ,
76  ,
89  ,
92  ,
93  ,
90  ,
72  ,
48  ,
16  ,
-6  ,
-38 ,
-57 ,
-83 ,
-92 ,
-96 ,
-99 ,
-93 ,
-98 ,
-104  ,
-115  ,
-133  ,
-162  ,
-203  ,
-259  ,
-322  ,
-381  ,
-424  ,
-439  ,
-440  ,
-425  ,
-421  ,
-394  ,
-373  ,
-330  ,
-305  ,
-265  ,
-253  ,
-249  ,
-259  ,
-282  ,
-288  ,
-303  ,
-300  ,
-290  ,
-272  ,
-244  ,
-221  ,
-195  ,
-181  ,
-166  ,
-164  ,
-160  ,
-158  ,
-155  ,
-158  ,
-167  ,
-172  ,
-177  ,
-162  ,
-127  ,
-80 ,
-25 ,
22  ,
66  ,
109 ,
137 ,
162 ,
180 ,
208 ,
244 ,
280 ,
324 ,
360 ,
394 ,
408 ,
418 ,
396 ,
372 ,
329 ,
303 ,
281 ,
270 ,
258 ,
253 ,
246 ,
250 ,
259 ,
279 ,
298 ,
319 ,
324 ,
315 ,
287 ,
241 ,
202 ,
155 ,
126 ,
104 ,
100 ,
107 ,
119 ,
145 ,
171 ,
209 ,
236 ,
261 ,
273 ,
267 ,
248 ,
218 ,
205 ,
189 ,
197 ,
196 ,
201 ,
198 ,
204 ,
210 ,
224 ,
234 ,
228 ,
213 ,
186 ,
155 ,
123 ,
97  ,
65  ,
36  ,
7 ,
-5  ,
-9  ,
0 ,
6 ,
18  ,
21  ,
20  ,
0 ,
-25 ,
-55 ,
-74 ,
-67 ,
-54 ,
-36 ,
-23 ,
-30 ,
-38 ,
-70 ,
-107  ,
-148  ,
-200  ,
-246  ,
-296  ,
-329  ,
-373  ,
-396  ,
-420  ,
-419  ,
-407  ,
-398  ,
-383  ,
-393  ,
-401  ,
-418  ,
-439  ,
-451  ,
-470  ,
-493  ,
-510  ,
-511  ,
-499  ,
-465  ,
-425  ,
-375  ,
-331  ,
-295  ,
-250  ,
-220  ,
-180  ,
-160  ,
-135  ,
-114  ,
-97 ,
-74 ,
-47 ,
-19 ,
20  ,
62  ,
105 ,
139 ,
165 ,
169 ,
164 ,
159 ,
148 ,
157 ,
153 ,
152 ,
149 ,
142 ,
157 ,
179 ,
219 ,
250 ,
276 ,
289 ,
287 ,
284 ,
279 ,
278 ,
283 ,
305 ,
332 ,
369 ,
394 ,
420 ,
434 ,
444 ,
435 ,
418 ,
374 ,
331 ,
281 ,
245 ,
210 ,
187 ,
170 ,
169 ,
169 ,
191 ,
213 ,
244 ,
254 ,
254 ,
243 ,
208 ,
172 ,
134 ,
107 ,
103 ,
107 ,
126 ,
141 ,
161 ,
174 ,
190 ,
213 ,
237 ,
253 ,
262 ,
249 ,
237 ,
217 ,
212 ,
206 ,
214 ,
208 ,
208 ,
201 ,
183 ,
165 ,
131 ,
100 ,
41  ,
-10 ,
-73 ,
-138  ,
-194  ,
-251  ,
-278  ,
-303  ,
-297  ,
-293  ,
-281  ,
-289  ,
-301  ,
-321  ,
-342  ,
-359  ,
-372  ,
-390  ,
-407  ,
-413  ,
-398  ,
-368  ,
-334  ,
-310  ,
-302  ,
-308  ,
-329  ,
-350  ,
-382  ,
-410  ,
-444  ,
-470  ,
-506  ,
-537  ,
-555  ,
-561  ,
-537  ,
-490  ,
-435  ,
-389  ,
-366  ,
-353  ,
-353  ,
-354  ,
-356  ,
-340  ,
-332  ,
-292  ,
-271  ,
-230  ,
-202  ,
-165  ,
-131  ,
-95 ,
-52 ,
-19 ,
12  ,
40  ,
61  ,
90  ,
123 ,
152 ,
183 ,
198 ,
220 ,
238 ,
247 ,
250 ,
248 ,
234 ,
211 ,
166 ,
136 ,
90  ,
71  ,
49  ,
46  ,
53  ,
77  ,
104 ,
136 ,
161 ,
171 ,
170 ,
155 ,
147 ,
136 ,
133 ,
139 ,
156 ,
195 ,
241 ,
291 ,
338 ,
370 ,
387 ,
397 ,
391 ,
363 ,
331 ,
273 ,
233 ,
183 ,
154 ,
129 ,
125 ,
139 ,
163 ,
210 ,
250 ,
284 ,
316 ,
318 ,
328 ,
308 ,
296 ,
278 ,
270 ,
265 ,
258 ,
259 ,
251 ,
250 ,
244 ,
246 ,
248 ,
248 ,
240 ,
230 ,
209 ,
202 ,
188 ,
185 ,
176 ,
159 ,
140 ,
106 ,
58  ,
14  ,
-50 ,
-99 ,
-166  ,
-227  ,
-286  ,
-338  ,
-378  ,
-408  ,
-419  ,
-420  ,
-409  ,
-392  ,
-383  ,
-378  ,
-392  ,
-411  ,
-442  ,
-462  ,
-480  ,
-488  ,
-489  ,
-483  ,
-457  ,
-415  ,
-368  ,
-326  ,
-297  ,
-284  ,
-270  ,
-285  ,
-294  ,
-336  ,
-375  ,
-423  ,
-463  ,
-490  ,
-505  ,
-496  ,
-464  ,
-414  ,
-355  ,
-297  ,
-244  ,
-208  ,
-181  ,
-165  ,
-159  ,
-148  ,
-139  ,
-132  ,
-121  ,
-115  ,
-112  ,
-109  ,
-113  ,
-105  ,
-96 ,
-78 ,
-57 ,
-41 ,
-16 ,
4 ,
41  ,
66  ,
105 ,
133 ,
163 ,
166 ,
166 ,
148 ,
133 ,
110 ,
92  ,
58  ,
42  ,
19  ,
18  ,
24  ,
46  ,
73  ,
106 ,
146 ,
168 ,
184 ,
186 ,
176 ,
172 ,
159 ,
165 ,
168 ,
179 ,
203 ,
236 ,
292 ,
343 ,
403 ,
439 ,
468 ,
475 ,
472 ,
452 ,
416 ,
360 ,
292 ,
228 ,
162 ,
120 ,
91  ,
88  ,
102 ,
128 ,
156 ,
179 ,
190 ,
191 ,
183 ,
165 ,
150 ,
134 ,
112 ,
92  ,
64  ,
32  ,
1 ,
-28 ,
-50 ,
-75 ,
-86 ,
-105  ,
-120  ,
-137  ,
-150  ,
-150  ,
-146  ,
-147  ,
-133  ,
-136  ,
-143  ,
-163  ,
-193  ,
-224  ,
-262  ,
-313  ,
-351  ,
-402  ,
-436  ,
-484  ,
-502  ,
-514  ,
-498  ,
-477  ,
-442  ,
-419  ,
-386  ,
-365  ,
-332  ,
-321  ,
-298  ,
-290  ,
-281  ,
-276  ,
-273  ,
-253  ,
-222  ,
-179  ,
-124  ,
-80 ,
-39 ,
-10 ,
15  ,
20  ,
25  ,
-10 ,
-41 ,
-96 ,
-140  ,
-174  ,
-197  ,
-201  ,
-193  ,
-176  ,
-157  ,
-128  ,
-99 ,
-71 ,
-46 ,
-25 ,
-12 ,
-1  ,
0 ,
2 ,
-4  ,
-9  ,
-18 ,
-20 ,
-29 ,
-26 ,
-24 ,
-14 ,
-6  ,
18  ,
41  ,
79  ,
103 ,
142 ,
172 ,
210 ,
237 ,
243 ,
251 ,
238 ,
215 ,
181 ,
144 ,
114 ,
81  ,
61  ,
46  ,
46  ,
66  ,
98  ,
144 ,
189 ,
232 ,
273 ,
296 ,
322 ,
329 ,
334 ,
323 ,
320 ,
308 ,
311 ,
316 ,
337 ,
364 ,
396 ,
428 ,
442 ,
447 ,
431 ,
401 ,
351 ,
292 ,
224 ,
169 ,
108 ,
71  ,
30  ,
19  ,
-4  ,
1 ,
7 ,
25  ,
39  ,
50  ,
59  ,
65  ,
61  ,
48  ,
35  ,
16  ,
-4  ,
-21 ,
-46 ,
-54 ,
-64 ,
-64 ,
-67 ,
-77 ,
-85 ,
-88 ,
-80 ,
-74 ,
-53 ,
-34 ,
-7  ,
13  ,
31  ,
29  ,
27  ,
3 ,
-30 ,
-65 ,
-108  ,
-131  ,
-165  ,
-175  ,
-200  ,
-193  ,
-186  ,
-167  ,
-142  ,
-113  ,
-80 ,
-49 ,
-28 ,
-4  ,
-2  ,
0 ,
-25 ,
-28 ,
-44 ,
-42 ,
-39 ,
-19 ,
0 ,
29  ,
46  ,
62  ,
72  ,
53  ,
31  ,
-13 ,
-66 ,
-120  ,
-165  ,
-192  ,
-208  ,
-218  ,
-220  ,
-226  ,
-214  ,
-200  ,
-173  ,
-140  ,
-119  ,
-83 ,
-64 ,
-42 ,
-38 ,
-33 ,
-40 ,
-41 ,
-48 ,
-44 ,
-42 ,
-30 ,
-19 ,
-8  ,
10  ,
34  ,
65  ,
105 ,
146 ,
197 ,
237 ,
285 ,
317 ,
354 ,
364 ,
365 ,
347 ,
318 ,
280 ,
247 ,
210 ,
187 ,
167 ,
163 ,
164 ,
172 ,
192 ,
211 ,
237 ,
249 ,
263 ,
265 ,
259 ,
244 ,
220 ,
197 ,
170 ,
148 ,
131 ,
123 ,
122 ,
134 ,
141 ,
160 ,
159 ,
147 ,
109 ,
55  ,
-9  ,
-75 ,
-125  ,
-164  ,
-181  ,
-202  ,
-212  ,
-229  ,
-239  ,
-240  ,
-230  ,
-202  ,
-182  ,
-154  ,
-142  ,
-131  ,
-137  ,
-146  ,
-163  ,
-182  ,
-200  ,
-213  ,
-224  ,
-223  ,
-219  ,
-204  ,
-192  ,
-165  ,
-138  ,
-107  ,
-71 ,
-34 ,
5 ,
37  ,
67  ,
88  ,
100 ,
85  ,
63  ,
21  ,
-13 ,
-60 ,
-92 ,
-128  ,
-155  ,
-172  ,
-186  ,
-187  ,
-189  ,
-175  ,
-160  ,
-145  ,
-123  ,
-116  ,
-105  ,
-112  ,
-118  ,
-130  ,
-145  ,
-151  ,
-162  ,
-157  ,
-148  ,
-125  ,
-108  ,
-87 ,
-74 ,
-71 ,
-91 ,
-119  ,
-154  ,
-188  ,
-218  ,
-240  ,
-236  ,
-238  ,
-231  ,
-229  ,
-225  ,
-212  ,
-190  ,
-159  ,
-122  ,
-86 ,
-54 ,
-20 ,
-1  ,
19  ,
18  ,
34  ,
23  ,
24  ,
8 ,
10  ,
6 ,
15  ,
26  ,
40  ,
58  ,
78  ,
108 ,
142 ,
186 ,
222 ,
262 ,
281 ,
292 ,
278 ,
249 ,
194 ,
140 ,
80  ,
25  ,
-25 ,
-60 ,
-92 ,
-99 ,
-104  ,
-99 ,
-80 ,
-59 ,
-41 ,
-24 ,
-5  ,
6 ,
13  ,
-3  ,
-7  ,
-33 ,
-39 ,
-58 ,
-48 ,
-41 ,
-22 ,
-7  ,
10  ,
20  ,
27  ,
17  ,
1 ,
-22 ,
-54 ,
-84 ,
-103  ,
-114  ,
-110  ,
-107  ,
-88 ,
-75 ,
-54 ,
-41 ,
-13 ,
16  ,
59  ,
109 ,
143 ,
182 ,
195 ,
200 ,
201 ,
200 ,
198 ,
199 ,
205 ,
211 ,
225 ,
227 ,
237 ,
247 ,
257 ,
292 ,
321 ,
368 ,
389 ,
419 ,
426 ,
429 ,
418 ,
388 ,
336 ,
271 ,
197 ,
132 ,
74  ,
29  ,
3 ,
-9  ,
-17 ,
-21 ,
-13 ,
-5  ,
17  ,
38  ,
68  ,
81  ,
95  ,
84  ,
70  ,
55  ,
42  ,
42  ,
47  ,
66  ,
74  ,
87  ,
83  ,
83  ,
75  ,
57  ,
36  ,
13  ,
-17 ,
-34 ,
-45 ,
-44 ,
-41 ,
-21 ,
-12 ,
-1  ,
0 ,
1 ,
13  ,
21  ,
48  ,
72  ,
88  ,
92  ,
80  ,
72  ,
69  ,
75  ,
74  ,
79  ,
66  ,
49  ,
25  ,
6 ,
-8  ,
-10 ,
-8  ,
8 ,
41  ,
75  ,
115 ,
146 ,
181 ,
191 ,
192 ,
174 ,
139 ,
87  ,
28  ,
-31 ,
-83 ,
-123  ,
-151  ,
-166  ,
-175  ,
-171  ,
-171  ,
-148  ,
-134  ,
-91 ,
-57 ,
-19 ,
6 ,
26  ,
33  ,
31  ,
33  ,
27  ,
43  ,
59  ,
87  ,
106 ,
129 ,
149 ,
151 ,
152 ,
140 ,
129 ,
118 ,
109 ,
115 ,
119 ,
123 ,
122 ,
124 ,
123 ,
125 ,
134 ,
142 ,
161 ,
170 ,
189 ,
195 ,
198 ,
182 ,
171 ,
158 ,
148 ,
141 ,
127 ,
118 ,
93  ,
66  ,
45  ,
13  ,
12  ,
2 ,
24  ,
56  ,
99  ,
149 ,
187 ,
214 ,
230 ,
212 ,
187 ,
137 ,
79  ,
25  ,
-36 ,
-75 ,
-125  ,
-143  ,
-168  ,
-171  ,
-179  ,
-186  ,
-175  ,
-174  ,
-148  ,
-127  ,
-95 ,
-70 ,
-60 ,
-50 ,
-59 ,
-69 ,
-84 ,
-86 ,
-76 ,
-57 ,
-37 ,
-22 ,
-20 ,
-32 ,
-52 ,
-68 ,
-94 ,
-103  ,
-115  ,
-112  ,
-117  ,
-123  ,
-134  ,
-142  ,
-155  ,
-153  ,
-164  ,
-177  ,
-190  ,
-207  ,
-212  ,
-229  ,
-245  ,
-262  ,
-278  ,
-297  ,
-309  ,
-330  ,
-335  ,
-341  ,
-352  ,
-373  ,
-404  ,
-433  ,
-458  ,
-464  ,
-448  ,
-417  ,
-364  ,
-305  ,
-241  ,
-192  ,
-159  ,
-150  ,
-157  ,
-184  ,
-209  ,
-252  ,
-299  ,
-347  ,
-385  ,
-407  ,
-420  ,
-417  ,
-403  ,
-388  ,
-362  ,
-335  ,
-294  ,
-246  ,
-195  ,
-142  ,
-97 ,
-61 ,
-48 ,
-39 ,
-36 ,
-17 ,
0 ,
31  ,
56  ,
82  ,
94  ,
90  ,
79  ,
62  ,
49  ,
42  ,
42  ,
49  ,
46  ,
48  ,
48  ,
55  ,
60  ,
63  ,
63  ,
53  ,
50  ,
41  ,
43  ,
43  ,
43  ,
48  ,
48  ,
50  ,
49  ,
46  ,
40  ,
40  ,
28  ,
21  ,
-3  ,
-13 ,
-23 ,
-11 ,
18  ,
62  ,
125 ,
176 ,
241 ,
283 ,
319 ,
335 ,
328 ,
316 ,
280 ,
244 ,
189 ,
139 ,
85  ,
53  ,
28  ,
27  ,
26  ,
38  ,
38  ,
46  ,
51  ,
69  ,
84  ,
109 ,
126 ,
148 ,
144 ,
146 ,
127 ,
123 ,
110 ,
101 ,
84  ,
67  ,
44  ,
14  ,
-32 ,
-82 ,
-132  ,
-180  ,
-207  ,
-231  ,
-243  ,
-250  ,
-265  ,
-266  ,
-280  ,
-286  ,
-302  ,
-319  ,
-334  ,
-353  ,
-356  ,
-372  ,
-381  ,
-395  ,
-397  ,
-401  ,
-395  ,
-392  ,
-377  ,
-377  ,
-379  ,
-390  ,
-409  ,
-412  ,
-419  ,
-393  ,
-362  ,
-307  ,
-249  ,
-173  ,
-101  ,
-19 ,
46  ,
96  ,
128 ,
130 ,
132 ,
109 ,
86  ,
54  ,
27  ,
17  ,
14  ,
27  ,
42  ,
72  ,
102 ,
145 ,
187 ,
231 ,
266 ,
305 ,
337 ,
381 ,
410 ,
441 ,
454 ,
468 ,
465 ,
454 ,
443 ,
420 ,
401 ,
375 ,
337 ,
309 ,
271 ,
247 ,
226 ,
220 ,
219 ,
227 ,
225 ,
215 ,
205 ,
204 ,
209 ,
223 ,
229 ,
237 ,
224 ,
214 ,
198 ,
185 ,
174 ,
167 ,
150 ,
146 ,
126 ,
123 ,
104 ,
94  ,
75  ,
60  ,
54  ,
55  ,
70  ,
103 ,
152 ,
224 ,
285 ,
360 ,
405 ,
430 ,
432 ,
404 ,
365 ,
310 ,
246 ,
175 ,
109 ,
54  ,
16  ,
-18 ,
-17 ,
-28 ,
-11 ,
-15 ,
1 ,
5 ,
10  ,
-3  ,
-1  ,
-6  ,
8 ,
9 ,
5 ,
-3  ,
-18 ,
-34 ,
-53 ,
-79 ,
-115  ,
-160  ,
-211  ,
-258  ,
-294  ,
-326  ,
-343  ,
-361  ,
-359  ,
-362  ,
-354  ,
-359  ,
-356  ,
-351  ,
-340  ,
-315  ,
-295  ,
-280  ,
-270  ,
-279  ,
-283  ,
-291  ,
-292  ,
-299  ,
-305  ,
-311  ,
-307  ,
-301  ,
-286  ,
-281  ,
-273  ,
-280  ,
-274  ,
-258  ,
-226  ,
-182  ,
-120  ,
-48 ,
25  ,
105 ,
158 ,
215 ,
232 ,
246 ,
230 ,
208 ,
164 ,
118 ,
65  ,
25  ,
-4  ,
-29 ,
-32 ,
-38 ,
-25 ,
-13 ,
15  ,
42  ,
72  ,
91  ,
107 ,
121 ,
141 ,
156 ,
186 ,
209 ,
225 ,
228 ,
217 ,
200 ,
172 ,
130 ,
102 ,
73  ,
65  ,
55  ,
60  ,
54  ,
61  ,
67  ,
79  ,
94  ,
96  ,
107 ,
115 ,
147 ,
175 ,
216 ,
238 ,
254 ,
256 ,
244 ,
247 ,
236 ,
230 ,
214 ,
201 ,
184 ,
164 ,
143 ,
118 ,
98  ,
78  ,
83  ,
99  ,
136 ,
181 ,
227 ,
281 ,
329 ,
370 ,
389 ,
395 ,
368 ,
319 ,
257 ,
170 ,
86  ,
-10 ,
-88 ,
-162  ,
-218  ,
-253  ,
-276  ,
-288  ,
-293  ,
-289  ,
-275  ,
-277  ,
-267  ,
-279  ,
-281  ,
-287  ,
-282  ,
-266  ,
-244  ,
-231  ,
-234  ,
-246  ,
-271  ,
-295  ,
-330  ,
-362  ,
-380  ,
-406  ,
-416  ,
-437  ,
-447  ,
-460  ,
-467  ,
-463  ,
-451  ,
-439  ,
-422  ,
-401  ,
-367  ,
-325  ,
-285  ,
-237  ,
-218  ,
-192  ,
-191  ,
-182  ,
-184  ,
-183  ,
-187  ,
-194  ,
-205  ,
-217  ,
-223  ,
-230  ,
-233  ,
-231  ,
-216  ,
-197  ,
-157  ,
-108  ,
-56 ,
1 ,
57  ,
123 ,
168 ,
207 ,
217 ,
215 ,
186 ,
145 ,
96  ,
42  ,
-10 ,
-48 ,
-82 ,
-86 ,
-80 ,
-62 ,
-26 ,
1 ,
40  ,
66  ,
92  ,
118 ,
146 ,
172 ,
212 ,
255 ,
305 ,
354 ,
388 ,
414 ,
419 ,
409 ,
392 ,
365 ,
340 ,
329 ,
316 ,
312 ,
311 ,
309 ,
307 ,
310 ,
314 ,
326 ,
345 ,
357 ,
376 ,
392 ,
407 ,
418 ,
420 ,
407 ,
402 ,
386 ,
379 ,
366 ,
354 ,
330 ,
295 ,
249 ,
202 ,
150 ,
101 ,
57  ,
25  ,
9 ,
4 ,
19  ,
41  ,
71  ,
98  ,
122 ,
142 ,
160 ,
153 ,
138 ,
95  ,
28  ,
-47 ,
-135  ,
-212  ,
-279  ,
-336  ,
-364  ,
-380  ,
-376  ,
-358  ,
-334  ,
-311  ,
-289  ,
-281  ,
-280  ,
-277  ,
-270  ,
-253  ,
-226  ,
-201  ,
-166  ,
-139  ,
-113  ,
-99 ,
-97 ,
-103  ,
-113  ,
-127  ,
-137  ,
-148  ,
-150  ,
-152  ,
-143  ,
-141  ,
-129  ,
-117  ,
-107  ,
-86 ,
-70 ,
-38 ,
-12 ,
15  ,
36  ,
48  ,
53  ,
54  ,
56  ,
60  ,
64  ,
58  ,
39  ,
11  ,
-27 ,
-70 ,
-108  ,
-149  ,
-176  ,
-200  ,
-207  ,
-196  ,
-169  ,
-128  ,
-83 ,
-21 ,
25  ,
85  ,
118 ,
148 ,
147 ,
137 ,
108 ,
63  ,
9 ,
-38 ,
-91 ,
-118  ,
-137  ,
-135  ,
-107  ,
-75 ,
-25 ,
16  ,
52  ,
71  ,
81  ,
98  ,
109 ,
145 ,
171 ,
219 ,
251 ,
294 ,
317 ,
336 ,
339 ,
332 ,
313 ,
293 ,
271 ,
248 ,
234 ,
212 ,
209 ,
192 ,
181 ,
160 ,
143 ,
121 ,
116 ,
111 ,
122 ,
120 ,
117 ,
108 ,
93  ,
80  ,
75  ,
70  ,
72  ,
62  ,
44  ,
7 ,
-32 ,
-93 ,
-144  ,
-200  ,
-246  ,
-290  ,
-317  ,
-322  ,
-293  ,
-250  ,
-192  ,
-135  ,
-82 ,
-37 ,
-12 ,
0 ,
-2  ,
-16 ,
-47 ,
-90 ,
-143  ,
-205  ,
-259  ,
-300  ,
-320  ,
-316  ,
-302  ,
-275  ,
-242  ,
-211  ,
-181  ,
-164  ,
-158  ,
-152  ,
-153  ,
-139  ,
-132  ,
-114  ,
-80 ,
-53 ,
-25 ,
-18 ,
-11 ,
-26 ,
-36 ,
-62 ,
-68 ,
-80 ,
-89 ,
-101  ,
-116  ,
-136  ,
-164  ,
-198  ,
-224  ,
-245  ,
-261  ,
-265  ,
-267  ,
-257  ,
-258  ,
-254  ,
-253  ,
-255  ,
-246  ,
-242  ,
-216  ,
-198  ,
-178  ,
-175  ,
-183  ,
-210  ,
-245  ,
-289  ,
-321  ,
-343  ,
-352  ,
-333  ,
-285  ,
-221  ,
-141  ,
-56 ,
25  ,
98  ,
154 ,
195 ,
217 ,
225 ,
208 ,
186 ,
147 ,
116 ,
79  ,
68  ,
63  ,
88  ,
117 ,
157 ,
206 ,
248 ,
297 ,
332 ,
364 ,
383 ,
398 ,
414 ,
428 ,
451 ,
478 ,
504 ,
522 ,
517 ,
498 ,
463 ,
422 ,
389 ,
362 ,
350 ,
343 ,
338 ,
336 ,
338 ,
334 ,
341 ,
329 ,
333 ,
322 ,
324 ,
311 ,
315 ,
297 ,
292 ,
274 ,
269 ,
262 ,
262 ,
270 ,
286 ,
304 ,
316 ,
310 ,
287 ,
243 ,
190 ,
139 ,
87  ,
57  ,
43  ,
59  ,
86  ,
139 ,
193 ,
267 ,
324 ,
374 ,
409 ,
420 ,
412 ,
390 ,
343 ,
302 ,
253 ,
216 ,
179 ,
152 ,
122 ,
107 ,
102 ,
105 ,
132 ,
154 ,
197 ,
229 ,
263 ,
291 ,
304 ,
325 ,
342 ,
368 ,
389 ,
402 ,
399 ,
371 ,
334 ,
278 ,
249 ,
220 ,
214 ,
211 ,
209 ,
207 ,
187 ,
165 ,
124 ,
70  ,
12  ,
-56 ,
-115  ,
-172  ,
-221  ,
-262  ,
-302  ,
-342  ,
-384  ,
-428  ,
-459  ,
-494  ,
-509  ,
-531  ,
-539  ,
-555  ,
-590  ,
-635  ,
-700  ,
-765  ,
-826  ,
-872  ,
-892  ,
-880  ,
-847  ,
-787  ,
-715  ,
-633  ,
-557  ,
-491  ,
-437  ,
-404  ,
-390  ,
-395  ,
-420  ,
-458  ,
-501  ,
-540  ,
-564  ,
-582  ,
-577  ,
-559  ,
-520  ,
-464  ,
-402  ,
-334  ,
-267  ,
-208  ,
-163  ,
-129  ,
-115  ,
-112  ,
-119  ,
-118  ,
-117  ,
-117  ,
-133  ,
-165  ,
-211  ,
-265  ,
-312  ,
-343  ,
-355  ,
-351  ,
-331  ,
-308  ,
-283  ,
-280  ,
-275  ,
-290  ,
-297  ,
-307  ,
-303  ,
-280  ,
-247  ,
-196  ,
-151  ,
-95 ,
-45 ,
9 ,
54  ,
100 ,
130 ,
167 ,
196 ,
229 ,
248 ,
251 ,
233 ,
203 ,
163 ,
128 ,
97  ,
89  ,
93  ,
106 ,
122 ,
130 ,
128 ,
102 ,
78  ,
23  ,
-24 ,
-103  ,
-188  ,
-298  ,
-404  ,
-507  ,
-605  ,
-677  ,
-738  ,
-782  ,
-806  ,
-825  ,
-816  ,
-811  ,
-784  ,
-761  ,
-727  ,
-703  ,
-683  ,
-678  ,
-673  ,
-673  ,
-660  ,
-648  ,
-628  ,
-612  ,
-601  ,
-590  ,
-581  ,
-544  ,
-491  ,
-413  ,
-316  ,
-215  ,
-113  ,
-24 ,
55  ,
115 ,
155 ,
187 ,
205 ,
233 ,
248 ,
272 ,
291 ,
319 ,
339 ,
369 ,
389 ,
426 ,
449 ,
485 ,
518 ,
553 ,
590 ,
600 ,
610 ,
581 ,
554 ,
518 ,
494 ,
492 ,
497 ,
528 ,
569 ,
621 ,
670 ,
707 ,
730 ,
748 ,
744 ,
728 ,
689 ,
634 ,
569 ,
509 ,
453 ,
410 ,
375 ,
361 ,
353 ,
368 ,
388 ,
420 ,
457 ,
489 ,
525 ,
546 ,
571 ,
581 ,
587 ,
581 ,
575 ,
556 ,
533 ,
508 ,
471 ,
432 ,
385 ,
342 ,
313 ,
298 ,
301 ,
316 ,
323 ,
341 ,
337 ,
328 ,
296 ,
257 ,
210 ,
169 ,
126 ,
96  ,
55  ,
22  ,
-3  ,
-23 ,
-28 ,
-27 ,
-14 ,
-6  ,
3 ,
16  ,
19  ,
23  ,
2 ,
-20 ,
-56 ,
-97 ,
-129  ,
-150  ,
-154  ,
-129  ,
-94 ,
-30 ,
32  ,
93  ,
136 ,
160 ,
161 ,
142 ,
102 ,
41  ,
-35 ,
-107  ,
-187  ,
-240  ,
-300  ,
-330  ,
-347  ,
-342  ,
-317  ,
-276  ,
-222  ,
-165  ,
-109  ,
-56 ,
-3  ,
46  ,
80  ,
104 ,
115 ,
127 ,
128 ,
136 ,
128 ,
104 ,
67  ,
19  ,
-21 ,
-56 ,
-62 ,
-58 ,
-26 ,
2 ,
48  ,
91  ,
131 ,
166 ,
192 ,
216 ,
225 ,
235 ,
232 ,
224 ,
214 ,
210 ,
219 ,
229 ,
252 ,
265 ,
286 ,
303 ,
322 ,
340 ,
338 ,
332 ,
298 ,
246 ,
184 ,
102 ,
33  ,
-47 ,
-101  ,
-160  ,
-204  ,
-240  ,
-280  ,
-319  ,
-367  ,
-426  ,
-487  ,
-573  ,
-659  ,
-767  ,
-856  ,
-944  ,
-1002 ,
-1040 ,
-1049 ,
-1028 ,
-994  ,
-940  ,
-877  ,
-816  ,
-756  ,
-700  ,
-634  ,
-572  ,
-522  ,
-476  ,
-457  ,
-447  ,
-447  ,
-451  ,
-441  ,
-438  ,
-443  ,
-445  ,
-440  ,
-423  ,
-371  ,
-307  ,
-214  ,
-127  ,
-32 ,
56  ,
147 ,
229 ,
305 ,
357 ,
410 ,
438 ,
461 ,
451 ,
447 ,
427 ,
422 ,
417 ,
423 ,
423 ,
433 ,
434 ,
449 ,
459 ,
476 ,
486 ,
488 ,
479 ,
451 ,
433 ,
413 ,
409 ,
420 ,
447 ,
487 ,
530 ,
573 ,
612 ,
644 ,
667 ,
676 ,
667 ,
632 ,
584 ,
521 ,
467 ,
418 ,
387 ,
365 ,
355 ,
345 ,
341 ,
346 ,
354 ,
368 ,
391 ,
410 ,
436 ,
463 ,
489 ,
515 ,
527 ,
538 ,
539 ,
540 ,
525 ,
501 ,
454 ,
405 ,
365 ,
327 ,
309 ,
290 ,
284 ,
273 ,
261 ,
245 ,
221 ,
193 ,
150 ,
100 ,
41  ,
-14 ,
-78 ,
-123  ,
-191  ,
-231  ,
-285  ,
-316  ,
-344  ,
-364  ,
-365  ,
-372  ,
-358  ,
-357  ,
-347  ,
-353  ,
-363  ,
-388  ,
-411  ,
-429  ,
-439  ,
-441  ,
-432  ,
-415  ,
-382  ,
-350  ,
-316  ,
-293  ,
-283  ,
-280  ,
-290  ,
-314  ,
-349  ,
-390  ,
-440  ,
-470  ,
-508  ,
-516  ,
-523  ,
-505  ,
-480  ,
-437  ,
-387  ,
-328  ,
-268  ,
-217  ,
-147  ,
-92 ,
-28 ,
18  ,
55  ,
75  ,
73  ,
64  ,
43  ,
9 ,
-41 ,
-106  ,
-175  ,
-244  ,
-303  ,
-334  ,
-348  ,
-329  ,
-303  ,
-256  ,
-207  ,
-163  ,
-127  ,
-99 ,
-87 ,
-76 ,
-81 ,
-89 ,
-105  ,
-120  ,
-129  ,
-115  ,
-89 ,
-32 ,
18  ,
76  ,
117 ,
147 ,
154 ,
154 ,
137 ,
107 ,
64  ,
15  ,
-43 ,
-100  ,
-169  ,
-223  ,
-267  ,
-311  ,
-342  ,
-391  ,
-435  ,
-481  ,
-539  ,
-589  ,
-654  ,
-720  ,
-781  ,
-836  ,
-865  ,
-884  ,
-868  ,
-840  ,
-796  ,
-754  ,
-713  ,
-686  ,
-656  ,
-643  ,
-616  ,
-591  ,
-565  ,
-542  ,
-522  ,
-511  ,
-494  ,
-478  ,
-449  ,
-415  ,
-389  ,
-364  ,
-347  ,
-314  ,
-269  ,
-204  ,
-126  ,
-37 ,
52  ,
140 ,
226 ,
302 ,
371 ,
430 ,
476 ,
504 ,
513 ,
514 ,
496 ,
485 ,
462 ,
467 ,
465 ,
478 ,
484 ,
490 ,
494 ,
488 ,
483 ,
474 ,
462 ,
456 ,
456 ,
463 ,
476 ,
491 ,
515 ,
533 ,
561 ,
583 ,
617 ,
633 ,
653 ,
661 ,
666 ,
658 ,
633 ,
593 ,
555 ,
510 ,
477 ,
440 ,
411 ,
383 ,
364 ,
353 ,
338 ,
327 ,
314 ,
298 ,
277 ,
258 ,
241 ,
226 ,
210 ,
195 ,
184 ,
172 ,
170 ,
164 ,
161 ,
149 ,
120 ,
86  ,
44  ,
5 ,
-37 ,
-72 ,
-111  ,
-131  ,
-153  ,
-149  ,
-150  ,
-150  ,
-157  ,
-165  ,
-172  ,
-182  ,
-187  ,
-188  ,
-191  ,
-188  ,
-175  ,
-161  ,
-126  ,
-96 ,
-52 ,
-16 ,
19  ,
47  ,
65  ,
93  ,
123 ,
163 ,
206 ,
242 ,
282 ,
304 ,
336 ,
364 ,
398 ,
420 ,
438 ,
434 ,
428 ,
403 ,
369 ,
331 ,
290 ,
244 ,
204 ,
159 ,
118 ,
84  ,
61  ,
45  ,
55  ,
57  ,
77  ,
82  ,
90  ,
98  ,
98  ,
104 ,
98  ,
77  ,
40  ,
-11 ,
-64 ,
-117  ,
-161  ,
-205  ,
-248  ,
-309  ,
-358  ,
-416  ,
-450  ,
-480  ,
-485  ,
-488  ,
-476  ,
-473  ,
-454  ,
-451  ,
-440  ,
-436  ,
-419  ,
-399  ,
-365  ,
-334  ,
-295  ,
-255  ,
-209  ,
-154  ,
-102  ,
-41 ,
10  ,
59  ,
89  ,
107 ,
110 ,
99  ,
83  ,
58  ,
26  ,
-22 ,
-68 ,
-128  ,
-180  ,
-236  ,
-287  ,
-346  ,
-406  ,
-486  ,
-560  ,
-636  ,
-700  ,
-760  ,
-820  ,
-868  ,
-908  ,
-924  ,
-931  ,
-919  ,
-890  ,
-860  ,
-819  ,
-774  ,
-728  ,
-682  ,
-649  ,
-617  ,
-598  ,
-586  ,
-580  ,
-583  ,
-573  ,
-567  ,
-539  ,
-497  ,
-429  ,
-350  ,
-253  ,
-165  ,
-62 ,
28  ,
130 ,
228 ,
326 ,
416 ,
502 ,
579 ,
652 ,
718 ,
781 ,
831 ,
877 ,
909 ,
939 ,
956 ,
968 ,
982 ,
988 ,
995 ,
989 ,
988 ,
973 ,
966 ,
951 ,
947 ,
936 ,
932 ,
922 ,
913 ,
901 ,
882 ,
867 ,
847 ,
832 ,
822 ,
819 ,
821 ,
819 ,
818 ,
801 ,
785 ,
743 ,
697 ,
626 ,
559 ,
476 ,
417 ,
348 ,
310 ,
263 ,
237 ,
200 ,
172 ,
145 ,
124 ,
101 ,
78  ,
48  ,
5 ,
-34 ,
-88 ,
-129  ,
-173  ,
-209  ,
-237  ,
-252  ,
-253  ,
-243  ,
-225  ,
-205  ,
-191  ,
-193  ,
-199  ,
-222  ,
-245  ,
-275  ,
-296  ,
-317  ,
-324  ,
-344  ,
-361  ,
-382  ,
-402  ,
-409  ,
-416  ,
-412  ,
-405  ,
-399  ,
-396  ,
-394  ,
-387  ,
-376  ,
-360  ,
-346  ,
-338  ,
-333  ,
-328  ,
-320  ,
-301  ,
-285  ,
-267  ,
-252  ,
-245  ,
-241  ,
-236  ,
-233  ,
-219  ,
-209  ,
-193  ,
-193  ,
-189  ,
-212  ,
-237  ,
-283  ,
-336  ,
-392  ,
-446  ,
-491  ,
-519  ,
-522  ,
-504  ,
-460  ,
-405  ,
-338  ,
-274  ,
-216  ,
-169  ,
-137  ,
-114  ,
-108  ,
-116  ,
-139  ,
-180  ,
-227  ,
-280  ,
-318  ,
-330  ,
-323  ,
-284  ,
-250  ,
-200  ,
-165  ,
-140  ,
-118  ,
-106  ,
-99 ,
-99 ,
-103  ,
-107  ,
-104  ,
-108  ,
-95 ,
-90 ,
-68 ,
-39 ,
-7  ,
40  ,
90  ,
141 ,
196 ,
243 ,
295 ,
328 ,
361 ,
365 ,
370 ,
352 ,
340 ,
311 ,
280 ,
230 ,
167 ,
84  ,
-10 ,
-110  ,
-202  ,
-289  ,
-362  ,
-423  ,
-486  ,
-542  ,
-609  ,
-667  ,
-724  ,
-785  ,
-831  ,
-876  ,
-906  ,
-916  ,
-915  ,
-888  ,
-848  ,
-802  ,
-743  ,
-701  ,
-653  ,
-626  ,
-598  ,
-585  ,
-581  ,
-574  ,
-588  ,
-592  ,
-600  ,
-595  ,
-581  ,
-546  ,
-488  ,
-394  ,
-293  ,
-172  ,
-48 ,
69  ,
187 ,
286 ,
385 ,
462 ,
531 ,
585 ,
626 ,
656 ,
679 ,
687 ,
695 ,
695 ,
696 ,
702 ,
719 ,
738 ,
756 ,
767 ,
775 ,
768 ,
749 ,
726 ,
699 ,
679 ,
663 ,
663 ,
666 ,
677 ,
685 ,
680 ,
681 ,
671 ,
671 ,
677 ,
698 ,
732 ,
779 ,
827 ,
867 ,
888 ,
891 ,
885 ,
852 ,
834 ,
800 ,
782 ,
766 ,
756 ,
755 ,
757 ,
766 ,
773 ,
770 ,
768 ,
746 ,
729 ,
702 ,
679 ,
646 ,
622 ,
578 ,
543 ,
498 ,
458 ,
418 ,
397 ,
391 ,
412 ,
434 ,
450 ,
463 ,
457 ,
444 ,
418 ,
389 ,
354 ,
318 ,
268 ,
211 ,
142 ,
74  ,
9 ,
-50 ,
-88 ,
-124  ,
-146  ,
-171  ,
-199  ,
-221  ,
-241  ,
-259  ,
-273  ,
-288  ,
-296  ,
-310  ,
-301  ,
-305  ,
-284  ,
-276  ,
-261  ,
-260  ,
-262  ,
-275  ,
-281  ,
-279  ,
-272  ,
-256  ,
-241  ,
-236  ,
-246  ,
-280  ,
-320  ,
-373  ,
-419  ,
-461  ,
-492  ,
-505  ,
-519  ,
-503  ,
-478  ,
-431  ,
-382  ,
-332  ,
-293  ,
-268  ,
-255  ,
-254  ,
-255  ,
-260  ,
-278  ,
-291  ,
-329  ,
-367  ,
-408  ,
-447  ,
-458  ,
-459  ,
-433  ,
-405  ,
-382  ,
-366  ,
-355  ,
-351  ,
-343  ,
-336  ,
-319  ,
-300  ,
-289  ,
-284  ,
-293  ,
-294  ,
-296  ,
-277  ,
-246  ,
-201  ,
-143  ,
-80 ,
-9  ,
60  ,
128 ,
190 ,
240 ,
272 ,
289 ,
303 ,
304 ,
311 ,
295 ,
282 ,
240 ,
191 ,
118 ,
44  ,
-45 ,
-117  ,
-194  ,
-252  ,
-305  ,
-354  ,
-393  ,
-437  ,
-470  ,
-495  ,
-527  ,
-535  ,
-553  ,
-547  ,
-548  ,
-531  ,
-521  ,
-497  ,
-480  ,
-461  ,
-450  ,
-442  ,
-434  ,
-433  ,
-435  ,
-440  ,
-463  ,
-484  ,
-518  ,
-531  ,
-545  ,
-541  ,
-520  ,
-483  ,
-421  ,
-352  ,
-272  ,
-182  ,
-101  ,
-10 ,
68  ,
149 ,
227 ,
297 ,
372 ,
426 ,
474 ,
501 ,
516 ,
520 ,
524 ,
532 ,
548 ,
574 ,
597 ,
623 ,
636 ,
644 ,
636 ,
627 ,
612 ,
598 ,
593 ,
589 ,
593 ,
600 ,
605 ,
616 ,
623 ,
632 ,
652 ,
667 ,
699 ,
716 ,
749 ,
776 ,
802 ,
824 ,
829 ,
828 ,
817 ,
804 ,
786 ,
769 ,
734 ,
702 ,
653 ,
610 ,
559 ,
516 ,
477 ,
442 ,
407 ,
365 ,
319 ,
272 ,
211 ,
151 ,
77  ,
7 ,
-65 ,
-127  ,
-188  ,
-232  ,
-268  ,
-283  ,
-291  ,
-296  ,
-304  ,
-315  ,
-337  ,
-352  ,
-375  ,
-378  ,
-382  ,
-384  ,
-399  ,
-428  ,
-468  ,
-524  ,
-564  ,
-611  ,
-624  ,
-632  ,
-625  ,
-616  ,
-606  ,
-601  ,
-606  ,
-596  ,
-605  ,
-588  ,
-588  ,
-566  ,
-545  ,
-506  ,
-462  ,
-421  ,
-380  ,
-349  ,
-331  ,
-316  ,
-318  ,
-317  ,
-327  ,
-342  ,
-363  ,
-388  ,
-414  ,
-447  ,
-469  ,
-489  ,
-489  ,
-489  ,
-472  ,
-458  ,
-442  ,
-419  ,
-406  ,
-382  ,
-367  ,
-346  ,
-336  ,
-326  ,
-324  ,
-327  ,
-332  ,
-350  ,
-363  ,
-395  ,
-421  ,
-456  ,
-469  ,
-480  ,
-476  ,
-472  ,
-459  ,
-447  ,
-443  ,
-443  ,
-448  ,
-452  ,
-446  ,
-421  ,
-383  ,
-331  ,
-276  ,
-226  ,
-179  ,
-143  ,
-104  ,
-70 ,
-22 ,
31  ,
98  ,
166 ,
230 ,
287 ,
333 ,
366 ,
389 ,
407 ,
418 ,
421 ,
410 ,
387 ,
347 ,
297 ,
224 ,
146 ,
49  ,
-51 ,
-154  ,
-246  ,
-331  ,
-402  ,
-466  ,
-524  ,
-581  ,
-630  ,
-684  ,
-711  ,
-748  ,
-748  ,
-758  ,
-754  ,
-759  ,
-766  ,
-778  ,
-788  ,
-796  ,
-810  ,
-820  ,
-838  ,
-852  ,
-874  ,
-892  ,
-912  ,
-926  ,
-933  ,
-924  ,
-915  ,
-882  ,
-846  ,
-781  ,
-721  ,
-638  ,
-553  ,
-453  ,
-358  ,
-261  ,
-175  ,
-76 ,
19  ,
125 ,
236 ,
342 ,
439 ,
524 ,
596 ,
656 ,
707 ,
737 ,
777 ,
799 ,
833 ,
843 ,
859 ,
855 ,
844 ,
831 ,
818 ,
814 ,
810 ,
804 ,
800 ,
793 ,
778 ,
766 ,
751 ,
746 ,
743 ,
746 ,
749 ,
766 ,
777 ,
796 ,
811 ,
822 ,
811 ,
798 ,
760 ,
735 ,
706 ,
684 ,
662 ,
639 ,
617 ,
580 ,
549 ,
512 ,
486 ,
456 ,
428 ,
395 ,
362 ,
318 ,
276 ,
225 ,
177 ,
130 ,
85  ,
49  ,
19  ,
-6  ,
-26 ,
-38 ,
-50 ,
-58 ,
-77 ,
-101  ,
-144  ,
-185  ,
-229  ,
-260  ,
-272  ,
-274  ,
-264  ,
-255  ,
-250  ,
-246  ,
-246  ,
-253  ,
-256  ,
-273  ,
-294  ,
-320  ,
-349  ,
-370  ,
-390  ,
-396  ,
-393  ,
-372  ,
-350  ,
-315  ,
-277  ,
-228  ,
-194  ,
-155  ,
-141  ,
-124  ,
-122  ,
-128  ,
-136  ,
-149  ,
-162  ,
-178  ,
-184  ,
-191  ,
-185  ,
-196  ,
-190  ,
-195  ,
-178  ,
-157  ,
-120  ,
-73 ,
-25 ,
21  ,
69  ,
114 ,
163 ,
201 ,
240 ,
267 ,
291 ,
305 ,
309 ,
306 ,
297 ,
292 ,
282 ,
287 ,
285 ,
294 ,
298 ,
312 ,
317 ,
320 ,
318 ,
312 ,
308 ,
303 ,
294 ,
293 ,
299 ,
321 ,
367 ,
421 ,
478 ,
529 ,
579 ,
624 ,
675 ,
724 ,
774 ,
823 ,
856 ,
887 ,
905 ,
916 ,
926 ,
919 ,
909 ,
867 ,
814 ,
741 ,
653 ,
552 ,
440 ,
314 ,
197 ,
78  ,
-26 ,
-128  ,
-222  ,
-302  ,
-377  ,
-437  ,
-487  ,
-524  ,
-559  ,
-594  ,
-629  ,
-664  ,
-683  ,
-696  ,
-699  ,
-700  ,
-697  ,
-698  ,
-705  ,
-704  ,
-706  ,
-701  ,
-701  ,
-705  ,
-725  ,
-748  ,
-770  ,
-780  ,
-775  ,
-756  ,
-720  ,
-671  ,
-611  ,
-549  ,
-480  ,
-410  ,
-337  ,
-268  ,
-195  ,
-117  ,
-44 ,
28  ,
93  ,
162 ,
238 ,
326 ,
424 ,
507 ,
587 ,
640 ,
691 ,
725 ,
764 ,
788 ,
804 ,
807 ,
793 ,
780 ,
765 ,
749 ,
740 ,
732 ,
724 ,
716 ,
700 ,
690 ,
664 ,
658 ,
648 ,
653 ,
667 ,
691 ,
723 ,
759 ,
792 ,
825 ,
852 ,
871 ,
881 ,
880 ,
862 ,
843 ,
820 ,
794 ,
773 ,
741 ,
723 ,
692 ,
676 ,
654 ,
643 ,
620 ,
596 ,
558 ,
505 ,
440 ,
366 ,
294 ,
223 ,
165 ,
105 ,
56  ,
5 ,
-40 ,
-85 ,
-131  ,
-184  ,
-243  ,
-310  ,
-362  ,
-418  ,
-464  ,
-517  ,
-563  ,
-610  ,
-642  ,
-673  ,
-691  ,
-713  ,
-743  ,
-775  ,
-813  ,
-840  ,
-862  ,
-876  ,
-882  ,
-873  ,
-862  ,
-836  ,
-812  ,
-776  ,
-738  ,
-688  ,
-651  ,
-615  ,
-596  ,
-590  ,
-587  ,
-595  ,
-601  ,
-602  ,
-610  ,
-594  ,
-591  ,
-569  ,
-554  ,
-533  ,
-513  ,
-487  ,
-459  ,
-428  ,
-396  ,
-366  ,
-332  ,
-297  ,
-255  ,
-217  ,
-172  ,
-137  ,
-88 ,
-48 ,
0 ,
41  ,
78  ,
109 ,
123 ,
121 ,
105 ,
87  ,
60  ,
47  ,
24  ,
8 ,
-2  ,
-11 ,
-11 ,
-19 ,
-30 ,
-46 ,
-64 ,
-73 ,
-77 ,
-79 ,
-77 ,
-71 ,
-52 ,
-23 ,
19  ,
73  ,
141 ,
212 ,
286 ,
364 ,
444 ,
528 ,
612 ,
700 ,
779 ,
846 ,
893 ,
918 ,
919 ,
910 ,
882 ,
843 ,
781 ,
697 ,
597 ,
485 ,
373 ,
267 ,
165 ,
77  ,
-7  ,
-72 ,
-131  ,
-181  ,
-215  ,
-251  ,
-264  ,
-282  ,
-291  ,
-305  ,
-325  ,
-342  ,
-362  ,
-382  ,
-405  ,
-428  ,
-448  ,
-472  ,
-493  ,
-515  ,
-539  ,
-568  ,
-596  ,
-631  ,
-672  ,
-715  ,
-756  ,
-785  ,
-807  ,
-815  ,
-814  ,
-788  ,
-760  ,
-712  ,
-669  ,
-611  ,
-567  ,
-518  ,
-474  ,
-429  ,
-385  ,
-339  ,
-290  ,
-226  ,
-163  ,
-93 ,
-33 ,
20  ,
61  ,
97  ,
132 ,
163 ,
201 ,
235 ,
270 ,
294 ,
307 ,
312 ,
306 ,
308 ,
302 ,
307 ,
306 ,
313 ,
313 ,
321 ,
324 ,
330 ,
337 ,
347 ,
360 ,
379 ,
405 ,
431 ,
457 ,
481 ,
506 ,
521 ,
533 ,
536 ,
532 ,
538 ,
519 ,
519 ,
495 ,
483 ,
466 ,
454 ,
438 ,
414 ,
394 ,
358 ,
326 ,
290 ,
248 ,
206 ,
159 ,
104 ,
55  ,
-7  ,
-62 ,
-118  ,
-165  ,
-196  ,
-222  ,
-228  ,
-239  ,
-242  ,
-262  ,
-280  ,
-300  ,
-333  ,
-355  ,
-387  ,
-407  ,
-435  ,
-453  ,
-478  ,
-505  ,
-520  ,
-542  ,
-545  ,
-533  ,
-510  ,
-462  ,
-414  ,
-351  ,
-295  ,
-246  ,
-193  ,
-154  ,
-114  ,
-83 ,
-59 ,
-39 ,
-39 ,
-50 ,
-77 ,
-104  ,
-150  ,
-184  ,
-222  ,
-243  ,
-269  ,
-275  ,
-278  ,
-260  ,
-236  ,
-216  ,
-190  ,
-184  ,
-168  ,
-168  ,
-149  ,
-149  ,
-121  ,
-110  ,
-80 ,
-58 ,
-40 ,
-34 ,
-38 ,
-52 ,
-76 ,
-95 ,
-111  ,
-138  ,
-160  ,
-204  ,
-229  ,
-261  ,
-276  ,
-294  ,
-308  ,
-318  ,
-336  ,
-339  ,
-347  ,
-346  ,
-348  ,
-350  ,
-348  ,
-339  ,
-322  ,
-281  ,
-222  ,
-145  ,
-64 ,
20  ,
97  ,
164 ,
228 ,
300 ,
387 ,
477 ,
574 ,
647 ,
718 ,
752 ,
777 ,
763 ,
746 ,
704 ,
656 ,
592 ,
516 ,
439 ,
352 ,
261 ,
167 ,
64  ,
-31 ,
-131  ,
-226  ,
-299  ,
-363  ,
-391  ,
-419  ,
-430  ,
-450  ,
-473  ,
-489  ,
-503  ,
-499  ,
-499  ,
-492  ,
-497  ,
-494  ,
-505  ,
-506  ,
-523  ,
-537  ,
-567  ,
-596  ,
-624  ,
-645  ,
-657  ,
-659  ,
-658  ,
-646  ,
-623  ,
-596  ,
-555  ,
-514  ,
-459  ,
-402  ,
-328  ,
-252  ,
-173  ,
-88 ,
-16 ,
62  ,
123 ,
193 ,
254 ,
328 ,
399 ,
474 ,
544 ,
602 ,
643 ,
661 ,
676 ,
690 ,
712 ,
737 ,
761 ,
788 ,
815 ,
835 ,
852 ,
862 ,
870 ,
874 ,
876 ,
880 ,
882 ,
883 ,
885 ,
873 ,
866 ,
835 ,
812 ,
782 ,
751 ,
724 ,
699 ,
688 ,
674 ,
660 ,
643 ,
630 ,
612 ,
597 ,
579 ,
570 ,
562 ,
563 ,
564 ,
571 ,
555 ,
533 ,
486 ,
426 ,
357 ,
273 ,
204 ,
141 ,
81  ,
24  ,
-35 ,
-86 ,
-132  ,
-176  ,
-210  ,
-236  ,
-255  ,
-275  ,
-298  ,
-320  ,
-349  ,
-380  ,
-421  ,
-466  ,
-511  ,
-565  ,
-604  ,
-648  ,
-670  ,
-693  ,
-705  ,
-723  ,
-743  ,
-757  ,
-765  ,
-750  ,
-716  ,
-671  ,
-618  ,
-560  ,
-505  ,
-458  ,
-415  ,
-384  ,
-357  ,
-339  ,
-336  ,
-341  ,
-350  ,
-367  ,
-373  ,
-385  ,
-387  ,
-402  ,
-412  ,
-430  ,
-447  ,
-448  ,
-449  ,
-423  ,
-402  ,
-362  ,
-319  ,
-278  ,
-223  ,
-160  ,
-82 ,
3 ,
85  ,
159 ,
217 ,
254 ,
273 ,
289 ,
284 ,
282 ,
268 ,
256 ,
248 ,
244 ,
245 ,
243 ,
239 ,
235 ,
218 ,
208 ,
184 ,
174 ,
154 ,
142 ,
133 ,
127 ,
123 ,
128 ,
133 ,
160 ,
191 ,
245 ,
302 ,
369 ,
436 ,
500 ,
558 ,
610 ,
652 ,
696 ,
734 ,
772 ,
806 ,
818 ,
830 ,
818 ,
799 ,
765 ,
718 ,
662 ,
600 ,
521 ,
440 ,
352 ,
273 ,
193 ,
117 ,
36  ,
-46 ,
-131  ,
-215  ,
-292  ,
-372  ,
-434  ,
-493  ,
-538  ,
-566  ,
-594  ,
-602  ,
-615  ,
-615  ,
-615  ,
-615  ,
-612  ,
-617  ,
-632  ,
-653  ,
-699  ,
-741  ,
-791  ,
-843  ,
-885  ,
-916  ,
-925  ,
-919  ,
-901  ,
-886  ,
-857  ,
-834  ,
-800  ,
-761  ,
-711  ,
-658  ,
-598  ,
-544  ,
-476  ,
-412  ,
-348  ,
-283  ,
-229  ,
-170  ,
-115  ,
-55 ,
-5  ,
48  ,
85  ,
113 ,
128 ,
133 ,
124 ,
116 ,
116 ,
114 ,
133 ,
153 ,
188 ,
225 ,
256 ,
290 ,
321 ,
363 ,
393 ,
443 ,
483 ,
547 ,
590 ,
647 ,
678 ,
707 ,
710 ,
696 ,
670 ,
638 ,
596 ,
559 ,
530 ,
507 ,
506 ,
514 ,
545 ,
582 ,
617 ,
653 ,
694 ,
717 ,
736 ,
719 ,
689 ,
630 ,
568 ,
489 ,
418 ,
346 ,
281 ,
224 ,
179 ,
137 ,
94  ,
44  ,
-7  ,
-55 ,
-98 ,
-123  ,
-158  ,
-180  ,
-229  ,
-272  ,
-335  ,
-395  ,
-469  ,
-535  ,
-608  ,
-659  ,
-703  ,
-734  ,
-751  ,
-767  ,
-769  ,
-778  ,
-781  ,
-787  ,
-772  ,
-763  ,
-730  ,
-702  ,
-666  ,
-624  ,
-588  ,
-557  ,
-536  ,
-507  ,
-489  ,
-454  ,
-426  ,
-392  ,
-362  ,
-329  ,
-304  ,
-283  ,
-278  ,
-289  ,
-311  ,
-344  ,
-376  ,
-405  ,
-420  ,
-425  ,
-411  ,
-379  ,
-323  ,
-251  ,
-167  ,
-81 ,
-6  ,
76  ,
124 ,
170 ,
182 ,
191 ,
187 ,
183 ,
172 ,
169 ,
147 ,
142 ,
120 ,
117 ,
97  ,
79  ,
36  ,
-7  ,
-57 ,
-90 ,
-119  ,
-129  ,
-137  ,
-132  ,
-133  ,
-124  ,
-112  ,
-88 ,
-50 ,
3 ,
77  ,
159 ,
265 ,
365 ,
466 ,
556 ,
619 ,
679 ,
723 ,
763 ,
795 ,
820 ,
841 ,
851 ,
858 ,
850 ,
832 ,
799 ,
759 ,
719 ,
681 ,
657 ,
629 ,
613 ,
579 ,
549 ,
496 ,
440 ,
367 ,
285 ,
203 ,
120 ,
50  ,
-16 ,
-73 ,
-122  ,
-150  ,
-162  ,
-160  ,
-150  ,
-147  ,
-145  ,
-155  ,
-178  ,
-201  ,
-241  ,
-273  ,
-330  ,
-374  ,
-427  ,
-465  ,
-502  ,
-531  ,
-556  ,
-571  ,
-576  ,
-581  ,
-574  ,
-565  ,
-536  ,
-495  ,
-431  ,
-361  ,
-280  ,
-196  ,
-126  ,
-54 ,
-4  ,
49  ,
88  ,
123 ,
165 ,
213 ,
268 ,
323 ,
367 ,
400 ,
419 ,
421 ,
417 ,
403 ,
399 ,
394 ,
404 ,
411 ,
433 ,
455 ,
494 ,
526 ,
580 ,
631 ,
693 ,
757 ,
818 ,
870 ,
904 ,
926 ,
930 ,
921 ,
883 ,
832 ,
777 ,
720 ,
678 ,
642 ,
618 ,
611 ,
601 ,
623 ,
643 ,
677 ,
705 ,
719 ,
723 ,
708 ,
678 ,
623 ,
556 ,
478 ,
401 ,
327 ,
253 ,
182 ,
111 ,
46  ,
-17 ,
-59 ,
-107  ,
-137  ,
-172  ,
-206  ,
-238  ,
-274  ,
-305  ,
-345  ,
-392  ,
-453  ,
-526  ,
-600  ,
-670  ,
-723  ,
-765  ,
-787  ,
-788  ,
-770  ,
-745  ,
-719  ,
-702  ,
-695  ,
-693  ,
-700  ,
-699  ,
-706  ,
-694  ,
-693  ,
-677  ,
-660  ,
-629  ,
-599  ,
-557  ,
-522  ,
-480  ,
-449  ,
-406  ,
-380  ,
-347  ,
-334  ,
-324  ,
-339  ,
-359  ,
-400  ,
-438  ,
-480  ,
-507  ,
-535  ,
-543  ,
-553  ,
-539  ,
-519  ,
-474  ,
-416  ,
-336  ,
-264  ,
-194  ,
-143  ,
-98 ,
-65 ,
-46 ,
-44 ,
-39 ,
-47 ,
-51 ,
-68 ,
-94 ,
-127  ,
-170  ,
-210  ,
-243  ,
-274  ,
-309  ,
-335  ,
-359  ,
-363  ,
-353  ,
-327  ,
-287  ,
-255  ,
-229  ,
-204  ,
-183  ,
-143  ,
-101  ,
-28 ,
49  ,
153 ,
271 ,
390 ,
510 ,
607 ,
687 ,
743 ,
770 ,
774 ,
755 ,
723 ,
694 ,
657 ,
618 ,
586 ,
555 ,
532 ,
510 ,
486 ,
462 ,
441 ,
421 ,
404 ,
375 ,
333 ,
280 ,
213 ,
139 ,
57  ,
-31 ,
-110  ,
-193  ,
-259  ,
-323  ,
-363  ,
-392  ,
-394  ,
-393  ,
-372  ,
-355  ,
-336  ,
-323  ,
-319  ,
-322  ,
-346  ,
-386  ,
-427  ,
-480  ,
-520  ,
-557  ,
-594  ,
-618  ,
-633  ,
-636  ,
-608  ,
-566  ,
-514  ,
-450  ,
-395  ,
-326  ,
-253  ,
-182  ,
-114  ,
-53 ,
-15 ,
19  ,
35  ,
46  ,
66  ,
82  ,
121 ,
161 ,
208 ,
258 ,
285 ,
308 ,
311 ,
303 ,
283 ,
248 ,
214 ,
186 ,
157 ,
149 ,
145 ,
163 ,
192 ,
230 ,
275 ,
325 ,
364 ,
404 ,
443 ,
468 ,
491 ,
488 ,
485 ,
462 ,
438 ,
393 ,
357 ,
307 ,
284 ,
260 ,
262 ,
259 ,
277 ,
287 ,
318 ,
344 ,
377 ,
402 ,
411 ,
415 ,
394 ,
365 ,
320 ,
276 ,
226 ,
183 ,
141 ,
96  ,
52  ,
8 ,
-30 ,
-63 ,
-83 ,
-101  ,
-131  ,
-161  ,
-193  ,
-223  ,
-245  ,
-273  ,
-312  ,
-363  ,
-438  ,
-516  ,
-589  ,
-652  ,
-689  ,
-716  ,
-712  ,
-698  ,
-661  ,
-627  ,
-587  ,
-556  ,
-525  ,
-502  ,
-495  ,
-496  ,
-515  ,
-530  ,
-550  ,
-550  ,
-549  ,
-518  ,
-489  ,
-447  ,
-410  ,
-367  ,
-316  ,
-272  ,
-218  ,
-188  ,
-160  ,
-158  ,
-158  ,
-167  ,
-176  ,
-185  ,
-189  ,
-187  ,
-179  ,
-163  ,
-132  ,
-93 ,
-33 ,
34  ,
124 ,
216 ,
311 ,
391 ,
465 ,
517 ,
548 ,
542 ,
523 ,
478 ,
434 ,
380 ,
312 ,
247 ,
171 ,
110 ,
63  ,
31  ,
17  ,
-8  ,
-18 ,
-22 ,
-11 ,
22  ,
51  ,
87  ,
108 ,
124 ,
139 ,
156 ,
183 ,
224 ,
272 ,
346 ,
415 ,
506 ,
578 ,
645 ,
690 ,
709 ,
713 ,
682 ,
641 ,
579 ,
512 ,
440 ,
377 ,
328 ,
293 ,
270 ,
250 ,
230 ,
213 ,
203 ,
192 ,
183 ,
154 ,
115 ,
67  ,
5 ,
-53 ,
-118  ,
-170  ,
-227  ,
-263  ,
-297  ,
-323  ,
-341  ,
-362  ,
-370  ,
-378  ,
-375  ,
-355  ,
-333  ,
-313  ,
-296  ,
-292  ,
-300  ,
-325  ,
-363  ,
-400  ,
-435  ,
-457  ,
-486  ,
-500  ,
-514  ,
-511  ,
-494  ,
-449  ,
-390  ,
-317  ,
-235  ,
-143  ,
-43 ,
48  ,
139 ,
201 ,
245 ,
253 ,
241 ,
209 ,
170 ,
142 ,
125 ,
131 ,
163 ,
200 ,
257 ,
304 ,
348 ,
387 ,
411 ,
427 ,
425 ,
405 ,
390 ,
375 ,
382 ,
411 ,
458 ,
519 ,
565 ,
608 ,
643 ,
671 ,
701 ,
721 ,
742 ,
750 ,
760 ,
764 ,
774 ,
773 ,
782 ,
779 ,
772 ,
760 ,
730 ,
700 ,
663 ,
641 ,
625 ,
630 ,
635 ,
649 ,
648 ,
648 ,
642 ,
622 ,
597 ,
547 ,
492 ,
412 ,
335 ,
241 ,
145 ,
47  ,
-50 ,
-128  ,
-198  ,
-250  ,
-294  ,
-325  ,
-360  ,
-388  ,
-425  ,
-473  ,
-542  ,
-622  ,
-718  ,
-828  ,
-927  ,
-1019 ,
-1087 ,
-1123 ,
-1134 ,
-1110 ,
-1060 ,
-996  ,
-930  ,
-871  ,
-830  ,
-809  ,
-813  ,
-835  ,
-867  ,
-905  ,
-925  ,
-926  ,
-895  ,
-851  ,
-793  ,
-744  ,
-693  ,
-656  ,
-619  ,
-579  ,
-547  ,
-513  ,
-491  ,
-477  ,
-452  ,
-443  ,
-416  ,
-404  ,
-382  ,
-364  ,
-344  ,
-321  ,
-292  ,
-253  ,
-194  ,
-127  ,
-50 ,
37  ,
110 ,
184 ,
233 ,
285 ,
311 ,
324 ,
312 ,
284 ,
231 ,
169 ,
88  ,
6 ,
-79 ,
-158  ,
-208  ,
-236  ,
-225  ,
-196  ,
-152  ,
-87 ,
-18 ,
58  ,
131 ,
192 ,
237 ,
275 ,
296 ,
321 ,
350 ,
387 ,
442 ,
509 ,
601 ,
697 ,
797 ,
878 ,
939 ,
971 ,
969 ,
946 ,
889 ,
829 ,
751 ,
695 ,
648 ,
623 ,
623 ,
612 ,
609 ,
582 ,
555 ,
506 ,
464 ,
417 ,
377 ,
337 ,
298 ,
265 ,
221 ,
181 ,
129 ,
82  ,
21  ,
-41 ,
-108  ,
-177  ,
-237  ,
-289  ,
-325  ,
-346  ,
-355  ,
-361  ,
-370  ,
-387  ,
-398  ,
-415  ,
-443  ,
-480  ,
-523  ,
-575  ,
-628  ,
-676  ,
-721  ,
-749  ,
-766  ,
-744  ,
-692  ,
-601  ,
-491  ,
-381  ,
-267  ,
-178  ,
-104  ,
-63 ,
-56 ,
-63 ,
-99 ,
-136  ,
-179  ,
-208  ,
-234  ,
-237  ,
-234  ,
-197  ,
-147  ,
-75 ,
-3  ,
66  ,
112 ,
145 ,
141 ,
130 ,
94  ,
65  ,
41  ,
42  ,
60  ,
95  ,
134 ,
170 ,
205 ,
232 ,
262 ,
283 ,
316 ,
340 ,
382 ,
405 ,
445 ,
460 ,
476 ,
471 ,
454 ,
425 ,
381 ,
338 ,
282 ,
245 ,
208 ,
193 ,
191 ,
201 ,
212 ,
228 ,
240 ,
266 ,
274 ,
275 ,
247 ,
206 ,
143 ,
75  ,
-9  ,
-99 ,
-181  ,
-267  ,
-323  ,
-360  ,
-363  ,
-358  ,
-350  ,
-355  ,
-370  ,
-402  ,
-451  ,
-521  ,
-592  ,
-671  ,
-747  ,
-813  ,
-866  ,
-890  ,
-894  ,
-869  ,
-826  ,
-756  ,
-680  ,
-601  ,
-539  ,
-502  ,
-493  ,
-514  ,
-541  ,
-581  ,
-611  ,
-621  ,
-621  ,
-594  ,
-558  ,
-518  ,
-486  ,
-471  ,
-466  ,
-472  ,
-480  ,
-478  ,
-470  ,
-445  ,
-419  ,
-381  ,
-350  ,
-322  ,
-295  ,
-269  ,
-237  ,
-208  ,
-183  ,
-164  ,
-138  ,
-110  ,
-65 ,
-19 ,
35  ,
88  ,
137 ,
178 ,
214 ,
229 ,
233 ,
212 ,
163 ,
104 ,
23  ,
-60 ,
-142  ,
-218  ,
-266  ,
-295  ,
-279  ,
-236  ,
-168  ,
-92 ,
-15 ,
53  ,
117 ,
160 ,
190 ,
214 ,
231 ,
253 ,
270 ,
299 ,
336 ,
378 ,
441 ,
503 ,
579 ,
653 ,
709 ,
752 ,
761 ,
756 ,
710 ,
660 ,
594 ,
535 ,
484 ,
446 ,
427 ,
413 ,
395 ,
363 ,
320 ,
262 ,
208 ,
147 ,
104 ,
70  ,
52  ,
45  ,
48  ,
41  ,
31  ,
7 ,
-15 ,
-46 ,
-72 ,
-104  ,
-138  ,
-167  ,
-199  ,
-223  ,
-246  ,
-269  ,
-284  ,
-293  ,
-287  ,
-276  ,
-255  ,
-235  ,
-219  ,
-218  ,
-219  ,
-227  ,
-228  ,
-239  ,
-223  ,
-196  ,
-138  ,
-61 ,
43  ,
150 ,
250 ,
331 ,
385 ,
416 ,
411 ,
389 ,
347 ,
297 ,
253 ,
208 ,
182 ,
159 ,
174 ,
197 ,
265 ,
330 ,
418 ,
478 ,
532 ,
548 ,
552 ,
530 ,
503 ,
472 ,
450 ,
444 ,
452 ,
482 ,
513 ,
549 ,
580 ,
602 ,
624 ,
637 ,
648 ,
669 ,
692 ,
731 ,
770 ,
797 ,
822 ,
816 ,
813 ,
792 ,
781 ,
753 ,
732 ,
695 ,
665 ,
636 ,
613 ,
601 ,
594 ,
594 ,
596 ,
599 ,
601 ,
601 ,
586 ,
550 ,
505 ,
438 ,
365 ,
286 ,
197 ,
110 ,
34  ,
-33 ,
-78 ,
-112  ,
-136  ,
-159  ,
-194  ,
-233  ,
-292  ,
-355  ,
-433  ,
-515  ,
-591  ,
-660  ,
-718  ,
-754  ,
-777  ,
-772  ,
-746  ,
-704  ,
-650  ,
-595  ,
-550  ,
-511  ,
-496  ,
-496  ,
-503  ,
-517  ,
-526  ,
-523  ,
-517  ,
-489  ,
-467  ,
-445  ,
-432  ,
-437  ,
-435  ,
-444  ,
-439  ,
-441  ,
-420  ,
-394  ,
-354  ,
-297  ,
-249  ,
-184  ,
-130  ,
-74 ,
-7  ,
65  ,
129 ,
189 ,
229 ,
259 ,
281 ,
296 ,
307 ,
313 ,
315 ,
326 ,
339 ,
356 ,
363 ,
360 ,
333 ,
293 ,
235 ,
177 ,
120 ,
63  ,
25  ,
-3  ,
-10 ,
1 ,
29  ,
87  ,
149 ,
220 ,
276 ,
315 ,
338 ,
338 ,
335 ,
324 ,
319 ,
316 ,
323 ,
344 ,
378 ,
425 ,
477 ,
525 ,
571 ,
610 ,
627 ,
623 ,
589 ,
546 ,
498 ,
452 ,
419 ,
388 ,
371 ,
342 ,
316 ,
275 ,
228 ,
171 ,
116 ,
58  ,
2 ,
-54 ,
-90 ,
-113  ,
-122  ,
-129  ,
-127  ,
-135  ,
-135  ,
-145  ,
-162  ,
-189  ,
-234  ,
-294  ,
-360  ,
-434  ,
-494  ,
-556  ,
-604  ,
-644  ,
-661  ,
-665  ,
-652  ,
-636  ,
-620  ,
-598  ,
-589  ,
-568  ,
-550  ,
-520  ,
-497  ,
-462  ,
-424  ,
-382  ,
-342  ,
-294  ,
-255  ,
-211  ,
-187  ,
-173  ,
-184  ,
-207  ,
-244  ,
-282  ,
-312  ,
-333  ,
-340  ,
-330  ,
-310  ,
-274  ,
-232  ,
-191  ,
-152  ,
-115  ,
-89 ,
-59 ,
-54 ,
-45 ,
-47 ,
-38 ,
-20 ,
5 ,
50  ,
90  ,
131 ,
162 ,
187 ,
204 ,
215 ,
226 ,
227 ,
223 ,
217 ,
218 ,
234 ,
259 ,
288 ,
324 ,
348 ,
375 ,
394 ,
391 ,
386 ,
345 ,
300 ,
245 ,
197 ,
151 ,
118 ,
86  ,
85  ,
94  ,
114 ,
123 ,
123 ,
106 ,
79  ,
34  ,
-23 ,
-97 ,
-171  ,
-258  ,
-328  ,
-407  ,
-465  ,
-531  ,
-580  ,
-621  ,
-649  ,
-674  ,
-709  ,
-747  ,
-796  ,
-840  ,
-897  ,
-932  ,
-976  ,
-993  ,
-1005 ,
-993  ,
-967  ,
-937  ,
-913  ,
-884  ,
-859  ,
-822  ,
-787  ,
-750  ,
-709  ,
-681  ,
-648  ,
-615  ,
-580  ,
-539  ,
-514  ,
-506  ,
-508  ,
-532  ,
-551  ,
-568  ,
-580  ,
-575  ,
-572  ,
-546  ,
-509  ,
-444  ,
-368  ,
-275  ,
-179  ,
-75 ,
22  ,
100 ,
159 ,
191 ,
202 ,
192 ,
190 ,
189 ,
192 ,
186 ,
202 ,
206 ,
224 ,
226 ,
218 ,
203 ,
166 ,
132 ,
86  ,
48  ,
7 ,
-19 ,
-35 ,
-29 ,
-23 ,
-2  ,
21  ,
52  ,
95  ,
149 ,
199 ,
250 ,
288 ,
324 ,
353 ,
385 ,
412 ,
438 ,
466 ,
490 ,
531 ,
558 ,
591 ,
596 ,
603 ,
597 ,
602 ,
598 ,
605 ,
601 ,
594 ,
583 ,
576 ,
566 ,
558 ,
527 ,
490 ,
424 ,
352 ,
281 ,
214 ,
165 ,
111 ,
76  ,
40  ,
28  ,
17  ,
29  ,
34  ,
49  ,
65  ,
61  ,
51  ,
0 ,
-67 ,
-155  ,
-248  ,
-337  ,
-406  ,
-471  ,
-515  ,
-536  ,
-533  ,
-511  ,
-475  ,
-443  ,
-392  ,
-358  ,
-303  ,
-260  ,
-215  ,
-178  ,
-147  ,
-123  ,
-102  ,
-85 ,
-82 ,
-80 ,
-93 ,
-93 ,
-93 ,
-75 ,
-58 ,
-37 ,
-15 ,
2 ,
19  ,
29  ,
33  ,
33  ,
35  ,
39  ,
57  ,
62  ,
70  ,
77  ,
83  ,
109 ,
143 ,
190 ,
254 ,
302 ,
361 ,
424 ,
490 ,
553 ,
602 ,
630 ,
634 ,
624 ,
606 ,
593 ,
584 ,
573 ,
576 ,
587 ,
603 ,
633 ,
660 ,
691 ,
724 ,
751 ,
776 ,
785 ,
782 ,
754 ,
721 ,
683 ,
659 ,
635 ,
624 ,
608 ,
611 ,
616 ,
623 ,
626 ,
632 ,
621 ,
609 ,
580 ,
537 ,
473 ,
401 ,
321 ,
249 ,
177 ,
100 ,
20  ,
-70 ,
-150  ,
-220  ,
-273  ,
-315  ,
-344  ,
-375  ,
-395  ,
-426  ,
-449  ,
-482  ,
-510  ,
-538  ,
-550  ,
-566  ,
-565  ,
-576  ,
-590  ,
-598  ,
-600  ,
-578  ,
-545  ,
-502  ,
-452  ,
-414  ,
-372  ,
-343  ,
-316  ,
-299  ,
-310  ,
-332  ,
-381  ,
-430  ,
-478  ,
-512  ,
-527  ,
-532  ,
-509  ,
-477  ,
-427  ,
-357  ,
-285  ,
-188  ,
-93 ,
17  ,
107 ,
189 ,
237 ,
267 ,
280 ,
279 ,
266 ,
255 ,
223 ,
197 ,
169 ,
156 ,
157 ,
165 ,
182 ,
200 ,
214 ,
220 ,
213 ,
194 ,
167 ,
146 ,
138 ,
131 ,
130 ,
130 ,
131 ,
155 ,
174 ,
232 ,
272 ,
335 ,
380 ,
435 ,
477 ,
519 ,
553 ,
569 ,
592 ,
593 ,
603 ,
597 ,
590 ,
575 ,
561 ,
547 ,
538 ,
538 ,
539 ,
550 ,
559 ,
554 ,
547 ,
524 ,
501 ,
459 ,
405 ,
343 ,
275 ,
206 ,
139 ,
85  ,
42  ,
12  ,
-2  ,
-15 ,
-17 ,
-18 ,
-15 ,
-6  ,
-15 ,
-30 ,
-65 ,
-116  ,
-179  ,
-252  ,
-319  ,
-395  ,
-467  ,
-520  ,
-568  ,
-567  ,
-558  ,
-510  ,
-452  ,
-385  ,
-315  ,
-256  ,
-212  ,
-190  ,
-182  ,
-189  ,
-199  ,
-208  ,
-220  ,
-240  ,
-263  ,
-294  ,
-311  ,
-338  ,
-329  ,
-330  ,
-302  ,
-291  ,
-268  ,
-256  ,
-244  ,
-242  ,
-238  ,
-242  ,
-247  ,
-270  ,
-287  ,
-316  ,
-323  ,
-327  ,
-320  ,
-294  ,
-267  ,
-214  ,
-167  ,
-102  ,
-41 ,
20  ,
67  ,
106 ,
122 ,
140 ,
127 ,
111 ,
91  ,
66  ,
58  ,
48  ,
52  ,
51  ,
56  ,
56  ,
70  ,
91  ,
124 ,
160 ,
191 ,
228 ,
240 ,
254 ,
258 ,
264 ,
256 ,
242 ,
227 ,
213 ,
206 ,
198 ,
217 ,
225 ,
249 ,
252 ,
244 ,
211 ,
159 ,
84  ,
14  ,
-70 ,
-148  ,
-238  ,
-319  ,
-406  ,
-478  ,
-546  ,
-606  ,
-652  ,
-692  ,
-719  ,
-743  ,
-751  ,
-753  ,
-752  ,
-743  ,
-728  ,
-722  ,
-718  ,
-726  ,
-738  ,
-750  ,
-749  ,
-744  ,
-727  ,
-711  ,
-678  ,
-647  ,
-599  ,
-560  ,
-517  ,
-494  ,
-484  ,
-484  ,
-485  ,
-487  ,
-492  ,
-501  ,
-505  ,
-505  ,
-488  ,
-459  ,
-416  ,
-364  ,
-303  ,
-228  ,
-142  ,
-42 ,
56  ,
144 ,
229 ,
293 ,
347 ,
383 ,
412 ,
418 ,
402 ,
379 ,
351 ,
328 ,
303 ,
291 ,
286 ,
287 ,
297 ,
306 ,
299 ,
283 ,
260 ,
226 ,
210 ,
184 ,
190 ,
184 ,
189 ,
192 ,
200 ,
209 ,
218 ,
229 ,
252 ,
270 ,
305 ,
332 ,
378 ,
416 ,
462 ,
511 ,
539 ,
557 ,
541 ,
519 ,
493 ,
460 ,
433 ,
402 ,
373 ,
353 ,
335 ,
333 ,
331 ,
323 ,
303 ,
262 ,
236 ,
195 ,
166 ,
121 ,
85  ,
47  ,
12  ,
-20 ,
-42 ,
-68 ,
-98 ,
-130  ,
-168  ,
-194  ,
-232  ,
-255  ,
-294  ,
-318  ,
-351  ,
-370  ,
-388  ,
-405  ,
-425  ,
-454  ,
-467  ,
-469  ,
-466  ,
-438  ,
-422  ,
-382  ,
-345  ,
-297  ,
-251  ,
-214  ,
-195  ,
-178  ,
-176  ,
-164  ,
-161  ,
-145  ,
-140  ,
-129  ,
-120  ,
-121  ,
-125  ,
-133  ,
-142  ,
-141  ,
-143  ,
-136  ,
-115  ,
-90 ,
-53 ,
-15 ,
30  ,
62  ,
91  ,
97  ,
108 ,
109 ,
115 ,
121 ,
135 ,
157 ,
192 ,
230 ,
286 ,
337 ,
391 ,
420 ,
448 ,
459 ,
489 ,
501 ,
524 ,
527 ,
527 ,
519 ,
510 ,
502 ,
486 ,
469 ,
452 ,
442 ,
456 ,
463 ,
493 ,
517 ,
550 ,
582 ,
616 ,
660 ,
688 ,
711 ,
713 ,
709 ,
699 ,
674 ,
645 ,
606 ,
560 ,
523 ,
476 ,
432 ,
381 ,
322 ,
260 ,
192 ,
126 ,
60  ,
-11 ,
-83 ,
-167  ,
-245  ,
-336  ,
-430  ,
-506  ,
-587  ,
-641  ,
-697  ,
-721  ,
-733  ,
-718  ,
-693  ,
-649  ,
-617  ,
-592  ,
-587  ,
-591  ,
-597  ,
-611  ,
-623  ,
-634  ,
-632  ,
-627  ,
-626  ,
-620  ,
-608  ,
-599  ,
-598  ,
-612  ,
-627  ,
-636  ,
-632  ,
-609  ,
-578  ,
-541  ,
-508  ,
-469  ,
-433  ,
-386  ,
-353  ,
-311  ,
-264  ,
-208  ,
-152  ,
-96 ,
-41 ,
23  ,
76  ,
146 ,
205 ,
266 ,
298 ,
316 ,
317 ,
314 ,
305 ,
283 ,
263 ,
233 ,
205 ,
184 ,
157 ,
148 ,
133 ,
128 ,
136 ,
146 ,
179 ,
205 ,
240 ,
265 ,
290 ,
305 ,
310 ,
317 ,
329 ,
338 ,
358 ,
378 ,
423 ,
481 ,
540 ,
623 ,
685 ,
744 ,
772 ,
777 ,
770 ,
752 ,
726 ,
698 ,
671 ,
646 ,
613 ,
576 ,
539 ,
503 ,
467 ,
422 ,
369 ,
335 ,
295 ,
287 ,
273 ,
278 ,
279 ,
272 ,
258 ,
229 ,
182 ,
116 ,
36  ,
-42 ,
-129  ,
-208  ,
-287  ,
-348  ,
-401  ,
-428  ,
-432  ,
-416  ,
-385  ,
-363  ,
-328  ,
-304  ,
-274  ,
-266  ,
-253  ,
-264  ,
-271  ,
-290  ,
-309  ,
-331  ,
-336  ,
-346  ,
-329  ,
-310  ,
-274  ,
-228  ,
-202  ,
-175  ,
-166  ,
-169  ,
-190  ,
-214  ,
-240  ,
-271  ,
-308  ,
-337  ,
-356  ,
-354  ,
-339  ,
-300  ,
-244  ,
-191  ,
-144  ,
-123  ,
-109  ,
-110  ,
-105  ,
-106  ,
-87 ,
-61 ,
-26 ,
7 ,
38  ,
61  ,
81  ,
89  ,
88  ,
82  ,
74  ,
76  ,
92  ,
115 ,
142 ,
162 ,
171 ,
171 ,
153 ,
123 ,
92  ,
64  ,
45  ,
40  ,
38  ,
60  ,
82  ,
115 ,
163 ,
226 ,
284 ,
347 ,
391 ,
434 ,
453 ,
461 ,
446 ,
423 ,
383 ,
334 ,
285 ,
225 ,
168 ,
116 ,
62  ,
20  ,
-17 ,
-48 ,
-83 ,
-130  ,
-177  ,
-234  ,
-300  ,
-372  ,
-436  ,
-507  ,
-570  ,
-636  ,
-692  ,
-732  ,
-753  ,
-750  ,
-726  ,
-687  ,
-632  ,
-600  ,
-565  ,
-551  ,
-539  ,
-536  ,
-541  ,
-532  ,
-521  ,
-507  ,
-510  ,
-512  ,
-522  ,
-546  ,
-577  ,
-618  ,
-657  ,
-684  ,
-687  ,
-669  ,
-627  ,
-570  ,
-510  ,
-449  ,
-400  ,
-350  ,
-306  ,
-267  ,
-222  ,
-189  ,
-155  ,
-119  ,
-82 ,
-43 ,
13  ,
81  ,
152 ,
218 ,
266 ,
309 ,
344 ,
359 ,
376 ,
361 ,
349 ,
315 ,
290 ,
255 ,
221 ,
194 ,
171 ,
169 ,
172 ,
201 ,
236 ,
272 ,
312 ,
347 ,
388 ,
411 ,
424 ,
418 ,
418 ,
403 ,
396 ,
397 ,
410 ,
444 ,
490 ,
553 ,
613 ,
668 ,
698 ,
713 ,
713 ,
694 ,
660 ,
629 ,
594 ,
561 ,
528 ,
488 ,
448 ,
402 ,
352 ,
304 ,
259 ,
221 ,
186 ,
173 ,
156 ,
149 ,
134 ,
111 ,
74  ,
33  ,
-35 ,
-94 ,
-169  ,
-245  ,
-318  ,
-395  ,
-455  ,
-514  ,
-548  ,
-559  ,
-546  ,
-520  ,
-491  ,
-449  ,
-413  ,
-378  ,
-344  ,
-318  ,
-309  ,
-307  ,
-313  ,
-318  ,
-326  ,
-343  ,
-347  ,
-350  ,
-328  ,
-304  ,
-257  ,
-215  ,
-177  ,
-143  ,
-111  ,
-94 ,
-78 ,
-92 ,
-110  ,
-146  ,
-185  ,
-229  ,
-256  ,
-267  ,
-259  ,
-232  ,
-197  ,
-158  ,
-128  ,
-103  ,
-81 ,
-58 ,
-47 ,
-22 ,
-2  ,
38  ,
69  ,
108 ,
140 ,
168 ,
180 ,
187 ,
177 ,
168 ,
147 ,
137 ,
126 ,
125 ,
118 ,
120 ,
106 ,
110 ,
104 ,
116 ,
130 ,
144 ,
162 ,
171 ,
185 ,
191 ,
195 ,
211 ,
241 ,
288 ,
337 ,
389 ,
444 ,
502 ,
559 ,
607 ,
626 ,
625 ,
597 ,
549 ,
500 ,
426 ,
367 ,
294 ,
233 ,
183 ,
141 ,
110 ,
84  ,
50  ,
18  ,
-28 ,
-73 ,
-138  ,
-200  ,
-279  ,
-360  ,
-438  ,
-500  ,
-541  ,
-553  ,
-535  ,
-501  ,
-456  ,
-413  ,
-380  ,
-345  ,
-333  ,
-314  ,
-323  ,
-320  ,
-332  ,
-328  ,
-340  ,
-339  ,
-353  ,
-366  ,
-397  ,
-425  ,
-450  ,
-468  ,
-480  ,
-472  ,
-463  ,
-439  ,
-417  ,
-395  ,
-367  ,
-330  ,
-285  ,
-223  ,
-162  ,
-94 ,
-41 ,
-3  ,
26  ,
35  ,
41  ,
52  ,
76  ,
102 ,
132 ,
164 ,
192 ,
221 ,
240 ,
255 ,
256 ,
246 ,
226 ,
207 ,
183 ,
168 ,
146 ,
132 ,
131 ,
141 ,
167 ,
195 ,
227 ,
257 ,
284 ,
301 ,
327 ,
344 ,
365 ,
379 ,
387 ,
402 ,
423 ,
458 ,
504 ,
564 ,
622 ,
661 ,
688 ,
690 ,
682 ,
660 ,
624 ,
588 ,
555 ,
546 ,
534 ,
534 ,
534 ,
528 ,
524 ,
506 ,
490 ,
469 ,
454 ,
426 ,
402 ,
356 ,
309 ,
241 ,
168 ,
87  ,
16  ,
-55 ,
-91 ,
-126  ,
-147  ,
-179  ,
-208  ,
-250  ,
-301  ,
-355  ,
-394  ,
-429  ,
-449  ,
-449  ,
-438  ,
-405  ,
-370  ,
-326  ,
-298  ,
-272  ,
-260  ,
-264  ,
-268  ,
-278  ,
-285  ,
-290  ,
-290  ,
-276  ,
-257  ,
-233  ,
-224  ,
-201  ,
-196  ,
-187  ,
-200  ,
-193  ,
-207  ,
-214  ,
-232  ,
-264  ,
-280  ,
-304  ,
-300  ,
-286  ,
-253  ,
-218  ,
-190  ,
-173  ,
-153  ,
-147  ,
-134  ,
-124  ,
-97 ,
-61 ,
-14 ,
40  ,
92  ,
144 ,
174 ,
203 ,
201 ,
200 ,
185 ,
178 ,
163 ,
153 ,
136 ,
115 ,
95  ,
66  ,
48  ,
30  ,
39  ,
58  ,
81  ,
116 ,
148 ,
181 ,
200 ,
221 ,
240 ,
263 ,
284 ,
305 ,
339 ,
365 ,
401 ,
426 ,
448 ,
459 ,
456 ,
443 ,
410 ,
376 ,
335 ,
293 ,
254 ,
207 ,
165 ,
115 ,
60  ,
-1  ,
-68 ,
-144  ,
-221  ,
-288  ,
-347  ,
-387  ,
-419  ,
-447  ,
-466  ,
-469  ,
-471  ,
-444  ,
-420  ,
-385  ,
-362  ,
-359  ,
-361  ,
-373  ,
-390  ,
-414  ,
-435  ,
-438  ,
-434  ,
-423  ,
-406  ,
-396  ,
-392  ,
-406  ,
-419  ,
-438  ,
-446  ,
-453  ,
-445  ,
-435  ,
-414  ,
-405  ,
-390  ,
-387  ,
-382  ,
-368  ,
-338  ,
-284  ,
-217  ,
-147  ,
-71 ,
-10 ,
44  ,
72  ,
99  ,
104 ,
100 ,
92  ,
88  ,
94  ,
108 ,
124 ,
142 ,
159 ,
169 ,
175 ,
175 ,
167 ,
171 ,
166 ,
174 ,
175 ,
183 ,
202 ,
217 ,
235 ,
249 ,
254 ,
264 ,
277 ,
309 ,
351 ,
404 ,
444 ,
492 ,
524 ,
574 ,
616 ,
666 ,
706 ,
738 ,
745 ,
733 ,
703 ,
662 ,
607 ,
551 ,
514 ,
499 ,
506 ,
520 ,
545 ,
555 ,
561 ,
547 ,
534 ,
514 ,
492 ,
463 ,
418 ,
370 ,
304 ,
223 ,
128 ,
20  ,
-86 ,
-191  ,
-269  ,
-332  ,
-383  ,
-422  ,
-450  ,
-479  ,
-506  ,
-540  ,
-575  ,
-614  ,
-659  ,
-691  ,
-711  ,
-726  ,
-729  ,
-734  ,
-719  ,
-704  ,
-674  ,
-634  ,
-599  ,
-567  ,
-538  ,
-509  ,
-482  ,
-451  ,
-427  ,
-398  ,
-383  ,
-368  ,
-369  ,
-372  ,
-392  ,
-398  ,
-403  ,
-393  ,
-392  ,
-381  ,
-385  ,
-368  ,
-359  ,
-321  ,
-291  ,
-238  ,
-214  ,
-178  ,
-164  ,
-143  ,
-128  ,
-118  ,
-93 ,
-68 ,
-38 ,
3 ,
48  ,
96  ,
144 ,
172 ,
201 ,
213 ,
237 ,
242 ,
251 ,
250 ,
251 ,
229 ,
199 ,
148 ,
92  ,
35  ,
-1  ,
-8  ,
7 ,
45  ,
100 ,
166 ,
230 ,
300 ,
345 ,
386 ,
401 ,
416 ,
424 ,
440 ,
441 ,
458 ,
462 ,
477 ,
502 ,
516 ,
534 ,
530 ,
520 ,
500 ,
474 ,
435 ,
386 ,
321 ,
249 ,
166 ,
91  ,
16  ,
-59 ,
-131  ,
-194  ,
-244  ,
-290  ,
-323  ,
-353  ,
-361  ,
-363  ,
-346  ,
-320  ,
-295  ,
-263  ,
-251  ,
-233  ,
-232  ,
-241  ,
-265  ,
-295  ,
-328  ,
-357  ,
-383  ,
-399  ,
-412  ,
-424  ,
-438  ,
-442  ,
-452  ,
-440  ,
-422  ,
-394  ,
-367  ,
-341  ,
-328  ,
-316  ,
-317  ,
-322  ,
-328  ,
-329  ,
-318  ,
-292  ,
-251  ,
-199  ,
-131  ,
-69 ,
-1  ,
62  ,
107 ,
129 ,
118 ,
106 ,
75  ,
51  ,
10  ,
-17 ,
-40 ,
-32 ,
-20 ,
14  ,
44  ,
71  ,
104 ,
123 ,
147 ,
158 ,
170 ,
173 ,
183 ,
184 ,
201 ,
217 ,
242 ,
285 ,
335 ,
399 ,
456 ,
510 ,
562 ,
603 ,
646 ,
682 ,
718 ,
736 ,
752 ,
752 ,
740 ,
724 ,
682 ,
649 ,
611 ,
590 ,
570 ,
566 ,
561 ,
560 ,
558 ,
545 ,
545 ,
534 ,
538 ,
530 ,
517 ,
494 ,
442 ,
383 ,
299 ,
208 ,
113 ,
1 ,
-87 ,
-174  ,
-241  ,
-289  ,
-323  ,
-332  ,
-331  ,
-327  ,
-331  ,
-343  ,
-375  ,
-414  ,
-463  ,
-514  ,
-561  ,
-608  ,
-630  ,
-633  ,
-607  ,
-572  ,
-522  ,
-478  ,
-426  ,
-385  ,
-341  ,
-306  ,
-276  ,
-257  ,
-244  ,
-240  ,
-235  ,
-245  ,
-252  ,
-265  ,
-275  ,
-288  ,
-313  ,
-338  ,
-367  ,
-373  ,
-378  ,
-359  ,
-334  ,
-300  ,
-264  ,
-238  ,
-197  ,
-181  ,
-158  ,
-161  ,
-156  ,
-144  ,
-146  ,
-132  ,
-132  ,
-117  ,
-113  ,
-97 ,
-77 ,
-48 ,
-13 ,
21  ,
48  ,
63  ,
63  ,
48  ,
18  ,
-18 ,
-60 ,
-100  ,
-124  ,
-145  ,
-150  ,
-146  ,
-119  ,
-83 ,
-32 ,
23  ,
79  ,
130 ,
157 ,
186 ,
198 ,
199 ,
192 ,
177 ,
170 ,
163 ,
167 ,
182 ,
190 ,
199 ,
203 ,
206 ,
206 ,
198 ,
171 ,
140 ,
88  ,
36  ,
-27 ,
-94 ,
-163  ,
-230  ,
-293  ,
-343  ,
-383  ,
-412  ,
-431  ,
-432  ,
-410  ,
-373  ,
-324  ,
-281  ,
-241  ,
-221  ,
-202  ,
-196  ,
-192  ,
-203  ,
-221  ,
-248  ,
-280  ,
-318  ,
-345  ,
-379  ,
-393  ,
-409  ,
-411  ,
-396  ,
-370  ,
-333  ,
-283  ,
-235  ,
-179  ,
-144  ,
-108  ,
-95 ,
-84 ,
-70 ,
-60 ,
-29 ,
-2  ,
29  ,
63  ,
92  ,
127 ,
159 ,
199 ,
229 ,
258 ,
274 ,
282 ,
285 ,
259 ,
234 ,
189 ,
158 ,
134 ,
129 ,
136 ,
144 ,
156 ,
170 ,
180 ,
195 ,
205 ,
216 ,
233 ,
249 ,
286 ,
303 ,
336 ,
349 ,
379 ,
396 ,
413 ,
425 ,
430 ,
447 ,
463 ,
492 ,
519 ,
544 ,
558 ,
562 ,
556 ,
552 ,
545 ,
539 ,
525 ,
508 ,
489 ,
462 ,
442 ,
409 ,
392 ,
363 ,
333 ,
319 ,
304 ,
307 ,
308 ,
315 ,
306 ,
293 ,
260 ,
216 ,
150 ,
80  ,
0 ,
-67 ,
-132  ,
-193  ,
-258  ,
-316  ,
-366  ,
-409  ,
-435  ,
-457  ,
-467  ,
-491  ,
-507  ,
-528  ,
-546  ,
-571  ,
-595  ,
-608  ,
-618  ,
-605  ,
-586  ,
-561  ,
-524  ,
-494  ,
-445  ,
-397  ,
-338  ,
-290  ,
-249  ,
-215  ,
-187  ,
-166  ,
-158  ,
-160  ,
-169  ,
-185  ,
-191  ,
-215  ,
-228  ,
-243  ,
-246  ,
-229  ,
-200  ,
-158  ,
-113  ,
-71 ,
-35 ,
-5  ,
23  ,
42  ,
64  ,
81  ,
95  ,
107 ,
119 ,
127 ,
138 ,
138 ,
137 ,
128 ,
125 ,
118 ,
138 ,
148 ,
179 ,
191 ,
209 ,
206 ,
207 ,
186 ,
170 ,
149 ,
136 ,
124 ,
113 ,
109 ,
112 ,
127 ,
142 ,
178 ,
204 ,
234 ,
256 ,
285 ,
306 ,
310 ,
318 ,
318 ,
320 ,
320 ,
325 ,
332 ,
330 ,
323 ,
317 ,
307 ,
288 ,
262 ,
227 ,
186 ,
142 ,
102 ,
61  ,
5 ,
-41 ,
-105  ,
-151  ,
-210  ,
-255  ,
-290  ,
-310  ,
-306  ,
-287  ,
-248  ,
-213  ,
-175  ,
-157  ,
-146  ,
-140  ,
-147  ,
-155  ,
-182  ,
-202  ,
-237  ,
-270  ,
-307  ,
-335  ,
-365  ,
-392  ,
-419  ,
-436  ,
-448  ,
-434  ,
-407  ,
-360  ,
-315  ,
-261  ,
-221  ,
-185  ,
-151  ,
-131  ,
-107  ,
-88 ,
-69 ,
-51 ,
-44 ,
-20 ,
-17 ,
-6  ,
3 ,
7 ,
19  ,
12  ,
17  ,
15  ,
10  ,
3 ,
-10 ,
-27 ,
-50 ,
-69 ,
-82 ,
-97 ,
-103  ,
-106  ,
-102  ,
-92 ,
-78 ,
-57 ,
-23 ,
17  ,
66  ,
120 ,
172 ,
214 ,
255 ,
288 ,
312 ,
324 ,
328 ,
328 ,
342 ,
357 ,
380 ,
413 ,
440 ,
473 ,
483 ,
505 ,
507 ,
511 ,
506 ,
496 ,
489 ,
485 ,
479 ,
477 ,
475 ,
469 ,
450 ,
431 ,
407 ,
397 ,
387 ,
389 ,
383 ,
380 ,
368 ,
343 ,
308 ,
260 ,
198 ,
138 ,
80  ,
19  ,
-35 ,
-93 ,
-132  ,
-180  ,
-208  ,
-247  ,
-283  ,
-328  ,
-380  ,
-413  ,
-463  ,
-484  ,
-522  ,
-527  ,
-530  ,
-517  ,
-485  ,
-456  ,
-415  ,
-379  ,
-354  ,
-324  ,
-299  ,
-281  ,
-253  ,
-242  ,
-220  ,
-214  ,
-209  ,
-211  ,
-213  ,
-218  ,
-231  ,
-252  ,
-280  ,
-313  ,
-340  ,
-361  ,
-358  ,
-351  ,
-312  ,
-276  ,
-229  ,
-186  ,
-144  ,
-116  ,
-93 ,
-84 ,
-71 ,
-64 ,
-60 ,
-56 ,
-45 ,
-41 ,
-34 ,
-41 ,
-48 ,
-53 ,
-53 ,
-39 ,
-19 ,
3 ,
34  ,
40  ,
43  ,
33  ,
23  ,
10  ,
9 ,
12  ,
26  ,
37  ,
58  ,
68  ,
76  ,
87  ,
94  ,
105 ,
102 ,
115 ,
117 ,
133 ,
147 ,
161 ,
177 ,
187 ,
214 ,
228 ,
247 ,
252 ,
246 ,
222 ,
188 ,
147 ,
110 ,
70  ,
37  ,
11  ,
-12 ,
-31 ,
-54 ,
-67 ,
-93 ,
-115  ,
-142  ,
-176  ,
-198  ,
-216  ,
-221  ,
-207  ,
-179  ,
-145  ,
-105  ,
-90 ,
-70 ,
-73 ,
-73 ,
-103  ,
-127  ,
-166  ,
-188  ,
-218  ,
-239  ,
-261  ,
-275  ,
-286  ,
-308  ,
-315  ,
-324  ,
-301  ,
-271  ,
-232  ,
-191  ,
-157  ,
-130  ,
-110  ,
-91 ,
-71 ,
-46 ,
-20 ,
14  ,
40  ,
73  ,
99  ,
113 ,
120 ,
114 ,
110 ,
95  ,
71  ,
47  ,
16  ,
-6  ,
-41 ,
-50 ,
-67 ,
-65 ,
-57 ,
-52 ,
-32 ,
-27 ,
-11 ,
-14 ,
-7  ,
-4  ,
19  ,
47  ,
88  ,
134 ,
185 ,
233 ,
280 ,
321 ,
353 ,
375 ,
383 ,
374 ,
374 ,
364 ,
379 ,
393 ,
433 ,
465 ,
510 ,
532 ,
560 ,
569 ,
569 ,
554 ,
540 ,
528 ,
519 ,
515 ,
515 ,
510 ,
515 ,
505 ,
505 ,
489 ,
484 ,
471 ,
468 ,
453 ,
432 ,
395 ,
350 ,
291 ,
235 ,
171 ,
122 ,
80  ,
40  ,
3 ,
-30 ,
-77 ,
-129  ,
-197  ,
-261  ,
-334  ,
-406  ,
-471  ,
-525  ,
-567  ,
-590  ,
-591  ,
-578  ,
-555  ,
-521  ,
-484  ,
-443  ,
-407  ,
-370  ,
-346  ,
-328  ,
-307  ,
-298  ,
-276  ,
-271  ,
-251  ,
-243  ,
-229  ,
-220  ,
-219  ,
-209  ,
-217  ,
-222  ,
-236  ,
-239  ,
-239  ,
-238  ,
-221  ,
-203  ,
-166  ,
-141  ,
-109  ,
-89 ,
-60 ,
-43 ,
-27 ,
-16 ,
-10 ,
4 ,
14  ,
30  ,
42  ,
65  ,
73  ,
90  ,
97  ,
108 ,
132 ,
149 ,
172 ,
182 ,
186 ,
171 ,
162 ,
145 ,
136 ,
135 ,
139 ,
157 ,
176 ,
206 ,
228 ,
243 ,
250 ,
244 ,
235 ,
218 ,
211 ,
206 ,
220 ,
234 ,
265 ,
295 ,
325 ,
355 ,
379 ,
400 ,
409 ,
416 ,
404 ,
385 ,
345 ,
317 ,
269 ,
230 ,
180 ,
149 ,
111 ,
86  ,
66  ,
49  ,
29  ,
7 ,
-22 ,
-41 ,
-58 ,
-67 ,
-70 ,
-66 ,
-59 ,
-49 ,
-55 ,
-64 ,
-89 ,
-109  ,
-157  ,
-190  ,
-231  ,
-262  ,
-290  ,
-313  ,
-326  ,
-341  ,
-345  ,
-339  ,
-338  ,
-318  ,
-291  ,
-257  ,
-219  ,
-187  ,
-170  ,
-160  ,
-164  ,
-161  ,
-162  ,
-159  ,
-143  ,
-121  ,
-88 ,
-59 ,
-31 ,
-5  ,
-2  ,
-7  ,
-22 ,
-48 ,
-72 ,
-110  ,
-137  ,
-169  ,
-183  ,
-188  ,
-182  ,
-174  ,
-170  ,
-163  ,
-151  ,
-133  ,
-120  ,
-99 ,
-82 ,
-57 ,
-32 ,
-6  ,
22  ,
50  ,
80  ,
107 ,
132 ,
165 ,
187 ,
210 ,
230 ,
254 ,
273 ,
296 ,
307 ,
319 ,
336 ,
355 ,
374 ,
388 ,
387 ,
390 ,
373 ,
356 ,
340 ,
321 ,
315 ,
302 ,
305 ,
306 ,
318 ,
322 ,
324 ,
336 ,
339 ,
346 ,
351 ,
347 ,
333 ,
308 ,
264 ,
230 ,
186 ,
143 ,
100 ,
54  ,
19  ,
-20 ,
-52 ,
-94 ,
-134  ,
-184  ,
-242  ,
-294  ,
-359  ,
-416  ,
-464  ,
-510  ,
-529  ,
-529  ,
-513  ,
-478  ,
-441  ,
-392  ,
-349  ,
-297  ,
-255  ,
-216  ,
-183  ,
-164  ,
-141  ,
-139  ,
-148  ,
-161  ,
-182  ,
-194  ,
-204  ,
-203  ,
-205  ,
-208  ,
-211  ,
-214  ,
-210  ,
-207  ,
-194  ,
-181  ,
-162  ,
-137  ,
-112  ,
-91 ,
-83 ,
-76 ,
-80 ,
-74 ,
-75 ,
-71 ,
-63 ,
-61 ,
-41 ,
-33 ,
-15 ,
2 ,
15  ,
42  ,
61  ,
98  ,
131 ,
166 ,
193 ,
210 ,
214 ,
205 ,
198 ,
190 ,
176 ,
172 ,
172 ,
181 ,
199 ,
206 ,
223 ,
217 ,
223 ,
211 ,
213 ,
210 ,
206 ,
202 ,
200 ,
214 ,
244 ,
275 ,
308 ,
327 ,
350 ,
345 ,
345 ,
326 ,
302 ,
278 ,
250 ,
219 ,
183 ,
136 ,
98  ,
51  ,
24  ,
-4  ,
-24 ,
-47 ,
-79 ,
-96 ,
-109  ,
-108  ,
-106  ,
-106  ,
-99 ,
-97 ,
-89 ,
-96 ,
-104  ,
-124  ,
-148  ,
-178  ,
-217  ,
-248  ,
-281  ,
-310  ,
-326  ,
-333  ,
-327  ,
-310  ,
-282  ,
-263  ,
-235  ,
-209  ,
-174  ,
-134  ,
-99 ,
-64 ,
-54 ,
-38 ,
-27 ,
-5  ,
15  ,
41  ,
69  ,
97  ,
120 ,
134 ,
139 ,
144 ,
135 ,
126 ,
101 ,
76  ,
36  ,
-10 ,
-62 ,
-91 ,
-102  ,
-89 ,
-70 ,
-47 ,
-22 ,
-1  ,
17  ,
37  ,
54  ,
64  ,
75  ,
79  ,
86  ,
96  ,
108 ,
132 ,
154 ,
183 ,
202 ,
219 ,
229 ,
243 ,
257 ,
268 ,
279 ,
283 ,
290 ,
278 ,
286 ,
292 ,
305 ,
311 ,
317 ,
323 ,
324 ,
325 ,
318 ,
313 ,
303 ,
298 ,
293 ,
297 ,
310 ,
321 ,
340 ,
354 ,
385 ,
409 ,
433 ,
440 ,
424 ,
396 ,
352 ,
316 ,
277 ,
235 ,
186 ,
137 ,
74  ,
20  ,
-50 ,
-117  ,
-193  ,
-269  ,
-350  ,
-423  ,
-500  ,
-563  ,
-622  ,
-657  ,
-667  ,
-653  ,
-615  ,
-578  ,
-533  ,
-504  ,
-477  ,
-459  ,
-440  ,
-432  ,
-429  ,
-427  ,
-432  ,
-421  ,
-427  ,
-414  ,
-417  ,
-413  ,
-406  ,
-410  ,
-421  ,
-418  ,
-427  ,
-417  ,
-420  ,
-404  ,
-392  ,
-366  ,
-340  ,
-305  ,
-263  ,
-225  ,
-203  ,
-187  ,
-178  ,
-162  ,
-149  ,
-130  ,
-128  ,
-121  ,
-114  ,
-105  ,
-77 ,
-41 ,
3 ,
59  ,
106 ,
158 ,
196 ,
223 ,
240 ,
239 ,
238 ,
228 ,
227 ,
229 ,
230 ,
242 ,
245 ,
261 ,
266 ,
267 ,
257 ,
242 ,
217 ,
190 ,
162 ,
136 ,
111 ,
99  ,
100 ,
140 ,
175 ,
233 ,
259 ,
290 ,
291 ,
289 ,
279 ,
253 ,
228 ,
177 ,
135 ,
89  ,
49  ,
23  ,
-3  ,
-11 ,
-27 ,
-39 ,
-51 ,
-69 ,
-71 ,
-83 ,
-85 ,
-99 ,
-106  ,
-128  ,
-136  ,
-146  ,
-147  ,
-149  ,
-160  ,
-178  ,
-206  ,
-236  ,
-261  ,
-288  ,
-313  ,
-339  ,
-361  ,
-385  ,
-394  ,
-391  ,
-365  ,
-334  ,
-296  ,
-254  ,
-214  ,
-179  ,
-148  ,
-125  ,
-104  ,
-89 ,
-66 ,
-44 ,
-16 ,
8 ,
30  ,
45  ,
68  ,
67  ,
57  ,
20  ,
-27 ,
-96 ,
-167  ,
-237  ,
-297  ,
-350  ,
-389  ,
-399  ,
-381  ,
-355  ,
-323  ,
-297  ,
-285  ,
-272  ,
-264  ,
-250  ,
-232  ,
-219  ,
-204  ,
-186  ,
-165  ,
-134  ,
-95 ,
-50 ,
-5  ,
39  ,
74  ,
106 ,
134 ,
163 ,
180 ,
198 ,
203 ,
217 ,
228 ,
251 ,
283 ,
313 ,
342 ,
361 ,
370 ,
371 ,
368 ,
367 ,
361 ,
346 ,
339 ,
321 ,
312 ,
306 ,
320 ,
350 ,
384 ,
422 ,
455 ,
481 ,
497 ,
503 ,
493 ,
477 ,
454 ,
428 ,
406 ,
383 ,
355 ,
322 ,
285 ,
232 ,
177 ,
98  ,
21  ,
-73 ,
-166  ,
-254  ,
-333  ,
-395  ,
-443  ,
-462  ,
-447  ,
-414  ,
-346  ,
-290  ,
-238  ,
-207  ,
-176  ,
-152  ,
-133  ,
-126  ,
-129  ,
-135  ,
-141  ,
-146  ,
-135  ,
-122  ,
-104  ,
-91 ,
-83 ,
-77 ,
-70 ,
-77 ,
-85 ,
-96 ,
-123  ,
-139  ,
-156  ,
-156  ,
-139  ,
-128  ,
-100  ,
-86 ,
-63 ,
-63 ,
-60 ,
-62 ,
-71 ,
-66 ,
-77 ,
-72 ,
-85 ,
-89 ,
-85 ,
-63 ,
-27 ,
18  ,
63  ,
98  ,
124 ,
145 ,
150 ,
159 ,
150 ,
156 ,
154 ,
163 ,
176 ,
188 ,
204 ,
213 ,
223 ,
222 ,
214 ,
187 ,
153 ,
113 ,
86  ,
65  ,
62  ,
69  ,
91  ,
128 ,
176 ,
222 ,
255 ,
268 ,
262 ,
255 ,
234 ,
211 ,
178 ,
144 ,
118 ,
95  ,
90  ,
98  ,
108 ,
121 ,
129 ,
133 ,
146 ,
136 ,
126 ,
98  ,
56  ,
6 ,
-51 ,
-92 ,
-113  ,
-123  ,
-129  ,
-124  ,
-128  ,
-133  ,
-159  ,
-190  ,
-226  ,
-261  ,
-298  ,
-336  ,
-380  ,
-413  ,
-441  ,
-455  ,
-442  ,
-417  ,
-367  ,
-327  ,
-277  ,
-232  ,
-184  ,
-138  ,
-94 ,
-59 ,
-20 ,
22  ,
62  ,
101 ,
131 ,
163 ,
179 ,
180 ,
161 ,
125 ,
66  ,
-1  ,
-66 ,
-124  ,
-163  ,
-185  ,
-197  ,
-191  ,
-184  ,
-154  ,
-127  ,
-109  ,
-90 ,
-85 ,
-72 ,
-77 ,
-68 ,
-74 ,
-61 ,
-47 ,
-14 ,
24  ,
70  ,
113 ,
153 ,
185 ,
217 ,
230 ,
239 ,
227 ,
207 ,
180 ,
142 ,
118 ,
101 ,
107 ,
127 ,
143 ,
172 ,
194 ,
204 ,
208 ,
198 ,
184 ,
171 ,
151 ,
132 ,
108 ,
97  ,
93  ,
101 ,
123 ,
157 ,
201 ,
240 ,
268 ,
297 ,
315 ,
327 ,
322 ,
307 ,
293 ,
272 ,
250 ,
235 ,
206 ,
176 ,
117 ,
63  ,
-15 ,
-93 ,
-184  ,
-264  ,
-333  ,
-378  ,
-407  ,
-414  ,
-410  ,
-397  ,
-369  ,
-342  ,
-311  ,
-294  ,
-280  ,
-268  ,
-272  ,
-274  ,
-283  ,
-289  ,
-293  ,
-291  ,
-269  ,
-247  ,
-202  ,
-174  ,
-139  ,
-123  ,
-117  ,
-119  ,
-139  ,
-160  ,
-200  ,
-239  ,
-284  ,
-303  ,
-311  ,
-293  ,
-263  ,
-222  ,
-182  ,
-149  ,
-128  ,
-111  ,
-110  ,
-107  ,
-110  ,
-115  ,
-121  ,
-124  ,
-129  ,
-121  ,
-112  ,
-87 ,
-38 ,
12  ,
74  ,
128 ,
183 ,
223 ,
258 ,
279 ,
298 ,
324 ,
350 ,
376 ,
399 ,
417 ,
427 ,
421 ,
412 ,
390 ,
368 ,
337 ,
314 ,
303 ,
301 ,
319 ,
333 ,
354 ,
365 ,
373 ,
368 ,
360 ,
340 ,
318 ,
289 ,
256 ,
220 ,
179 ,
148 ,
120 ,
115 ,
117 ,
132 ,
163 ,
185 ,
216 ,
219 ,
221 ,
202 ,
164 ,
113 ,
41  ,
-29 ,
-105  ,
-161  ,
-206  ,
-225  ,
-231  ,
-216  ,
-201  ,
-185  ,
-179  ,
-190  ,
-204  ,
-236  ,
-260  ,
-299  ,
-330  ,
-372  ,
-405  ,
-441  ,
-446  ,
-441  ,
-406  ,
-342  ,
-278  ,
-195  ,
-129  ,
-59 ,
-6  ,
36  ,
81  ,
109 ,
149 ,
170 ,
191 ,
203 ,
202 ,
188 ,
166 ,
123 ,
69  ,
6 ,
-47 ,
-103  ,
-141  ,
-170  ,
-177  ,
-180  ,
-179  ,
-180  ,
-181  ,
-189  ,
-197  ,
-203  ,
-209  ,
-212  ,
-212  ,
-205  ,
-192  ,
-155  ,
-122  ,
-67 ,
-16 ,
54  ,
111 ,
168 ,
211 ,
232 ,
233 ,
219 ,
184 ,
144 ,
108 ,
77  ,
63  ,
69  ,
90  ,
133 ,
185 ,
239 ,
296 ,
333 ,
363 ,
361 ,
354 ,
342 ,
327 ,
316 ,
297 ,
283 ,
271 ,
256 ,
272 ,
310 ,
369 ,
404 ,
429 ,
467 ,
481 ,
466 ,
445 ,
452 ,
425 ,
370 ,
320 ,
300 ,
235 ,
165 ,
121 ,
86  ,
11  ,
-76 ,
-126  ,
-183  ,
-248  ,
-271  ,
-274  ,
-267  ,
-279  ,
-275  ,
-266  ,
-274  ,
-296  ,
-312  ,
-318  ,
-335  ,
-335  ,
-330  ,
-321  ,
-335  ,
-323  ,
-284  ,
-239  ,
-195  ,
-138  ,
-98 ,
-77 ,
-77 ,
-73 ,
-90 ,
-131  ,
-182  ,
-213  ,
-243  ,
-269  ,
-281  ,
-285  ,
-275  ,
-258  ,
-202  ,
-131  ,
-77 ,
-37 ,
7 ,
30  ,
37  ,
26  ,
20  ,
14  ,
-18 ,
-36 ,
-35 ,
-37 ,
-41 ,
-18 ,
33  ,
91  ,
132 ,
183 ,
220 ,
233 ,
232 ,
236 ,
235 ,
228 ,
227 ,
250 ,
266 ,
257 ,
248 ,
234 ,
221 ,
204 ,
187 ,
178 ,
160 ,
150 ,
147 ,
155 ,
138 ,
118 ,
90  ,
81  ,
56  ,
33  ,
7 ,
-27 ,
-65 ,
-83 ,
-82 ,
-71 ,
-46 ,
-13 ,
41  ,
78  ,
116 ,
143 ,
148 ,
132 ,
107 ,
71  ,
24  ,
-44 ,
-113  ,
-170  ,
-215  ,
-246  ,
-250  ,
-247  ,
-224  ,
-209  ,
-183  ,
-161  ,
-152  ,
-160  ,
-167  ,
-188  ,
-215  ,
-256  ,
-291  ,
-343  ,
-397  ,
-432  ,
-431  ,
-412  ,
-366  ,
-309  ,
-236  ,
-174  ,
-120  ,
-73 ,
-35 ,
2 ,
40  ,
67  ,
88  ,
95  ,
95  ,
82  ,
59  ,
23  ,
-11 ,
-39 ,
-69 ,
-95 ,
-142  ,
-179  ,
-226  ,
-260  ,
-281  ,
-282  ,
-281  ,
-273  ,
-267  ,
-274  ,
-289  ,
-299  ,
-312  ,
-312  ,
-300  ,
-260  ,
-199  ,
-136  ,
-54 ,
8 ,
76  ,
128 ,
195 ,
232 ,
253 ,
232 ,
199 ,
145 ,
85  ,
16  ,
-23 ,
-47 ,
-47 ,
-36 ,
5 ,
41  ,
82  ,
114 ,
157 ,
202 ,
230 ,
236 ,
238 ,
214 ,
184 ,
145 ,
109 ,
83  ,
63  ,
59  ,
83  ,
109 ,
145 ,
163 ,
178 ,
182 ,
181 ,
182 ,
176 ,
167 ,
136 ,
94  ,
50  ,
-2  ,
-48 ,
-85 ,
-111  ,
-137  ,
-164  ,
-198  ,
-224  ,
-248  ,
-263  ,
-277  ,
-283  ,
-278  ,
-274  ,
-270  ,
-279  ,
-285  ,
-312  ,
-336  ,
-338  ,
-332  ,
-332  ,
-316  ,
-292  ,
-248  ,
-184  ,
-116  ,
-46 ,
4 ,
50  ,
79  ,
99  ,
90  ,
47  ,
-15 ,
-84 ,
-148  ,
-195  ,
-224  ,
-226  ,
-226  ,
-215  ,
-196  ,
-150  ,
-110  ,
-54 ,
-8  ,
50  ,
75  ,
90  ,
81  ,
57  ,
16  ,
-21 ,
-45 ,
-57 ,
-64 ,
-86 ,
-85 ,
-80 ,
-51 ,
-20 ,
18  ,
53  ,
92  ,
121 ,
146 ,
163 ,
169 ,
173 ,
177 ,
197 ,
223 ,
262 ,
280 ,
305 ,
315 ,
325 ,
334 ,
349 ,
347 ,
338 ,
311 ,
288 ,
260 ,
233 ,
206 ,
184 ,
156 ,
128 ,
120 ,
113 ,
114 ,
112 ,
128 ,
168 ,
216 ,
269 ,
310 ,
339 ,
348 ,
342 ,
324 ,
301 ,
256 ,
191 ,
114 ,
43  ,
-25 ,
-73 ,
-107  ,
-133  ,
-151  ,
-167  ,
-161  ,
-144  ,
-120  ,
-105  ,
-98 ,
-104  ,
-119  ,
-141  ,
-180  ,
-216  ,
-268  ,
-300  ,
-328  ,
-336  ,
-337  ,
-329  ,
-302  ,
-265  ,
-210  ,
-158  ,
-110  ,
-66 ,
-38 ,
-1  ,
27  ,
59  ,
75  ,
77  ,
64  ,
62  ,
53  ,
56  ,
41  ,
31  ,
16  ,
1 ,
-17 ,
-47 ,
-81 ,
-113  ,
-143  ,
-156  ,
-164  ,
-173  ,
-184  ,
-206  ,
-212  ,
-221  ,
-211  ,
-188  ,
-156  ,
-117  ,
-63 ,
-6  ,
58  ,
105 ,
146 ,
187 ,
210 ,
226 ,
223 ,
203 ,
153 ,
97  ,
38  ,
-2  ,
-27 ,
-32 ,
-26 ,
-10 ,
3 ,
29  ,
61  ,
116 ,
173 ,
230 ,
274 ,
291 ,
293 ,
277 ,
237 ,
175 ,
109 ,
49  ,
-17 ,
-76 ,
-139  ,
-163  ,
-176  ,
-148  ,
-100  ,
-41 ,
32  ,
108 ,
188 ,
255 ,
291 ,
327 ,
366 ,
416 ,
453 ,
489 ,
496 ,
519 ,
516 ,
496 ,
420 ,
344 ,
282 ,
218 ,
158 ,
81  ,
37  ,
-10 ,
-59 ,
-88 ,
-117  ,
-118  ,
-132  ,
-117  ,
-109  ,
-74 ,
-42 ,
1 ,
73  ,
158 ,
248 ,
329 ,
387 ,
379 ,
305 ,
199 ,
109 ,
15  ,
-75 ,
-171  ,
-226  ,
-238  ,
-204  ,
-169  ,
-149  ,
-113  ,
-51 ,
7 ,
34  ,
22  ,
3 ,
-10 ,
-5  ,
5 ,
18  ,
35  ,
73  ,
125 ,
164 ,
176 ,
163 ,
134 ,
100 ,
45  ,
-7  ,
-48 ,
-63 ,
-77 ,
-80 ,
-58 ,
-10 ,
46  ,
103 ,
166 ,
226 ,
263 ,
244 ,
182 ,
72  ,
-17 ,
-76 ,
-99 ,
-124  ,
-138  ,
-138  ,
-122  ,
-101  ,
-79 ,
-58 ,
-25 ,
-6  ,
-2  ,
-45 ,
-128  ,
-202  ,
-259  ,
-270  ,
-254  ,
-210  ,
-159  ,
-89 ,
-41 ,
1 ,
5 ,
5 ,
-13 ,
-49 ,
-101  ,
-182  ,
-248  ,
-311  ,
-337  ,
-323  ,
-291  ,
-242  ,
-193  ,
-167  ,
-141  ,
-135  ,
-123  ,
-134  ,
-171  ,
-222  ,
-281  ,
-324  ,
-375  ,
-421  ,
-467  ,
-483  ,
-469  ,
-424  ,
-363  ,
-300  ,
-216  ,
-137  ,
-61 ,
3 ,
47  ,
109 ,
161 ,
224 ,
257 ,
276 ,
275 ,
281 ,
262 ,
261 ,
233 ,
233 ,
216 ,
206 ,
177 ,
142 ,
99  ,
46  ,
-17 ,
-72 ,
-113  ,
-144  ,
-165  ,
-185  ,
-195  ,
-193  ,
-176  ,
-150  ,
-125  ,
-116  ,
-105  ,
-94 ,
-72 ,
-40 ,
23  ,
105 ,
206 ,
286 ,
338 ,
352 ,
351 ,
328 ,
294 ,
243 ,
183 ,
143 ,
112 ,
93  ,
73  ,
59  ,
55  ,
61  ,
77  ,
84  ,
88  ,
69  ,
47  ,
13  ,
-31 ,
-68 ,
-104  ,
-109  ,
-95 ,
-63 ,
-24 ,
15  ,
38  ,
54  ,
60  ,
76  ,
87  ,
94  ,
81  ,
43  ,
4 ,
-48 ,
-71 ,
-96 ,
-97 ,
-105  ,
-122  ,
-163  ,
-241  ,
-327  ,
-412  ,
-484  ,
-551  ,
-621  ,
-696  ,
-758  ,
-811  ,
-833  ,
-822  ,
-783  ,
-703  ,
-625  ,
-542  ,
-486  ,
-455  ,
-432  ,
-419  ,
-396  ,
-371  ,
-333  ,
-280  ,
-225  ,
-165  ,
-109  ,
-68 ,
-43 ,
-33 ,
-57 ,
-88 ,
-123  ,
-162  ,
-200  ,
-228  ,
-229  ,
-216  ,
-175  ,
-142  ,
-80 ,
-22 ,
46  ,
105 ,
142 ,
156 ,
173 ,
177 ,
197 ,
199 ,
202 ,
206 ,
221 ,
245 ,
261 ,
271 ,
276 ,
281 ,
285 ,
284 ,
287 ,
291 ,
319 ,
349 ,
397 ,
426 ,
461 ,
471 ,
464 ,
434 ,
389 ,
337 ,
278 ,
238 ,
214 ,
217 ,
217 ,
224 ,
219 ,
229 ,
225 ,
241 ,
243 ,
246 ,
229 ,
213 ,
208 ,
186 ,
167 ,
135 ,
119 ,
128 ,
144 ,
172 ,
190 ,
205 ,
208 ,
198 ,
154 ,
86  ,
-9  ,
-98 ,
-192  ,
-254  ,
-306  ,
-335  ,
-347  ,
-337  ,
-313  ,
-278  ,
-248  ,
-229  ,
-221  ,
-223  ,
-242  ,
-250  ,
-272  ,
-280  ,
-305  ,
-320  ,
-336  ,
-337  ,
-335  ,
-332  ,
-325  ,
-322  ,
-340  ,
-368  ,
-412  ,
-439  ,
-440  ,
-424  ,
-381  ,
-341  ,
-299  ,
-262  ,
-235  ,
-226  ,
-218  ,
-223  ,
-236  ,
-267  ,
-311  ,
-353  ,
-376  ,
-370  ,
-352  ,
-331  ,
-316  ,
-302  ,
-292  ,
-281  ,
-271  ,
-254  ,
-229  ,
-193  ,
-150  ,
-115  ,
-87 ,
-70 ,
-59 ,
-47 ,
-20 ,
17  ,
67  ,
117 ,
168 ,
207 ,
255 ,
285 ,
302 ,
293 ,
268 ,
231 ,
205 ,
171 ,
151 ,
136 ,
140 ,
180 ,
238 ,
322 ,
413 ,
505 ,
597 ,
646 ,
678 ,
669 ,
644 ,
592 ,
521 ,
456 ,
402 ,
367 ,
341 ,
339 ,
340 ,
352 ,
360 ,
356 ,
353 ,
336 ,
319 ,
283 ,
255 ,
234 ,
221 ,
227 ,
231 ,
262 ,
283 ,
316 ,
331 ,
353 ,
365 ,
369 ,
351 ,
330 ,
290 ,
243 ,
204 ,
162 ,
160 ,
149 ,
172 ,
180 ,
203 ,
208 ,
206 ,
180 ,
139 ,
88  ,
51  ,
44  ,
50  ,
90  ,
129 ,
183 ,
230 ,
273 ,
293 ,
292 ,
265 ,
229 ,
181 ,
133 ,
87  ,
51  ,
34  ,
36  ,
64  ,
125 ,
193 ,
265 ,
321 ,
360 ,
374 ,
357 ,
313 ,
245 ,
177 ,
121 ,
72  ,
54  ,
46  ,
72  ,
104 ,
140 ,
163 ,
176 ,
184 ,
195 ,
202 ,
213 ,
223 ,
243 ,
256 ,
290 ,
307 ,
324 ,
316 ,
296 ,
270 ,
228 ,
198 ,
162 ,
148 ,
131 ,
124 ,
119 ,
106 ,
95  ,
73  ,
53  ,
28  ,
6 ,
-16 ,
-38 ,
-57 ,
-70 ,
-76 ,
-75 ,
-55 ,
-27 ,
29  ,
82  ,
128 ,
164 ,
181 ,
184 ,
176 ,
139 ,
97  ,
30  ,
-20 ,
-75 ,
-111  ,
-150  ,
-163  ,
-176  ,
-168  ,
-171  ,
-180  ,
-204  ,
-234  ,
-275  ,
-323  ,
-368  ,
-426  ,
-483  ,
-534  ,
-574  ,
-596  ,
-607  ,
-621  ,
-629  ,
-635  ,
-635  ,
-624  ,
-612  ,
-586  ,
-553  ,
-510  ,
-462  ,
-405  ,
-354  ,
-314  ,
-294  ,
-277  ,
-293  ,
-340  ,
-404  ,
-483  ,
-556  ,
-610  ,
-655  ,
-665  ,
-673  ,
-649  ,
-621  ,
-597  ,
-586  ,
-595  ,
-620  ,
-661  ,
-718  ,
-771  ,
-820  ,
-845  ,
-845  ,
-832  ,
-791  ,
-744  ,
-685  ,
-627  ,
-584  ,
-549  ,
-535  ,
-533  ,
-550  ,
-570  ,
-604  ,
-638  ,
-667  ,
-696  ,
-705  ,
-709  ,
-697  ,
-683  ,
-651  ,
-617  ,
-563  ,
-504  ,
-426  ,
-352  ,
-276  ,
-209  ,
-151  ,
-103  ,
-78 ,
-71 ,
-77 ,
-84 ,
-91 ,
-83 ,
-63 ,
-46 ,
-2  ,
46  ,
99  ,
143 ,
169 ,
187 ,
190 ,
186 ,
171 ,
139 ,
110 ,
76  ,
49  ,
18  ,
-14 ,
-35 ,
-59 ,
-76 ,
-87 ,
-87 ,
-75 ,
-53 ,
-26 ,
3 ,
25  ,
42  ,
56  ,
64  ,
81  ,
85  ,
84  ,
67  ,
36  ,
-8  ,
-72 ,
-132  ,
-183  ,
-221  ,
-243  ,
-255  ,
-251  ,
-238  ,
-235  ,
-220  ,
-218  ,
-210  ,
-229  ,
-255  ,
-294  ,
-326  ,
-345  ,
-341  ,
-310  ,
-248  ,
-154  ,
-39 ,
98  ,
220 ,
345 ,
439 ,
507 ,
535 ,
522 ,
477 ,
405 ,
327 ,
255 ,
207 ,
183 ,
183 ,
207 ,
253 ,
305 ,
380 ,
446 ,
512 ,
557 ,
591 ,
616 ,
639 ,
656 ,
692 ,
734 ,
783 ,
820 ,
849 ,
868 ,
875 ,
884 ,
891 ,
911 ,
928 ,
968 ,
1005  ,
1045  ,
1069  ,
1087  ,
1086  ,
1081  ,
1063  ,
1036  ,
1002  ,
949 ,
886 ,
834 ,
792 ,
775 ,
775 ,
786 ,
802 ,
818 ,
832 ,
839 ,
827 ,
805 ,
777 ,
737 ,
695 ,
648 ,
608 ,
580 ,
565 ,
553 ,
557 ,
550 ,
558 ,
544 ,
543 ,
532 ,
528 ,
521 ,
498 ,
478 ,
443 ,
407 ,
375 ,
340 ,
310 ,
269 ,
230 ,
200 ,
183 ,
185 ,
197 ,
227 ,
262 ,
314 ,
362 ,
418 ,
449 ,
464 ,
453 ,
429 ,
386 ,
322 ,
242 ,
141 ,
35  ,
-73 ,
-154  ,
-204  ,
-220  ,
-214  ,
-188  ,
-163  ,
-157  ,
-172  ,
-207  ,
-270  ,
-339  ,
-416  ,
-487  ,
-542  ,
-581  ,
-599  ,
-587  ,
-551  ,
-485  ,
-404  ,
-326  ,
-253  ,
-202  ,
-171  ,
-164  ,
-169  ,
-174  ,
-191  ,
-198  ,
-205  ,
-199  ,
-189  ,
-176  ,
-151  ,
-140  ,
-127  ,
-122  ,
-119  ,
-119  ,
-130  ,
-125  ,
-116  ,
-92 ,
-73 ,
-32 ,
-10 ,
16  ,
20  ,
19  ,
-2  ,
-25 ,
-68 ,
-87 ,
-106  ,
-95 ,
-66 ,
-30 ,
30  ,
82  ,
149 ,
191 ,
221 ,
229 ,
229 ,
205 ,
170 ,
104 ,
39  ,
-39 ,
-117  ,
-184  ,
-237  ,
-255  ,
-247  ,
-216  ,
-175  ,
-141  ,
-125  ,
-124  ,
-125  ,
-130  ,
-137  ,
-143  ,
-172  ,
-188  ,
-215  ,
-232  ,
-243  ,
-238  ,
-218  ,
-193  ,
-170  ,
-133  ,
-98 ,
-68 ,
-48 ,
-37 ,
-33 ,
-48 ,
-81 ,
-127  ,
-173  ,
-205  ,
-217  ,
-207  ,
-188  ,
-162  ,
-138  ,
-106  ,
-75 ,
-49 ,
-43 ,
-47 ,
-70 ,
-88 ,
-110  ,
-129  ,
-158  ,
-193  ,
-228  ,
-252  ,
-279  ,
-281  ,
-286  ,
-268  ,
-256  ,
-238  ,
-225  ,
-222  ,
-229  ,
-252  ,
-272  ,
-299  ,
-323  ,
-348  ,
-370  ,
-405  ,
-448  ,
-508  ,
-578  ,
-657  ,
-738  ,
-796  ,
-837  ,
-848  ,
-836  ,
-800  ,
-754  ,
-712  ,
-669  ,
-635  ,
-616  ,
-609  ,
-619  ,
-647  ,
-691  ,
-747  ,
-797  ,
-833  ,
-861  ,
-876  ,
-881  ,
-875  ,
-855  ,
-829  ,
-791  ,
-764  ,
-750  ,
-755  ,
-777  ,
-813  ,
-839  ,
-856  ,
-853  ,
-839  ,
-807  ,
-758  ,
-706  ,
-653  ,
-593  ,
-540  ,
-481  ,
-437  ,
-396  ,
-364  ,
-320  ,
-277  ,
-236  ,
-192  ,
-162  ,
-138  ,
-126  ,
-111  ,
-88 ,
-53 ,
-8  ,
35  ,
88  ,
150 ,
223 ,
312 ,
383 ,
465 ,
517 ,
561 ,
590 ,
608 ,
619 ,
610 ,
599 ,
585 ,
589 ,
620 ,
673 ,
759 ,
871 ,
998 ,
1108  ,
1208  ,
1274  ,
1309  ,
1323  ,
1308  ,
1285  ,
1255  ,
1222  ,
1198  ,
1181  ,
1175  ,
1167  ,
1161  ,
1144  ,
1136  ,
1115  ,
1092  ,
1055  ,
1014  ,
972 ,
920 ,
884 ,
847 ,
839 ,
834 ,
850 ,
866 ,
866 ,
861 ,
828 ,
790 ,
729 ,
664 ,
604 ,
543 ,
485 ,
438 ,
405 ,
389 ,
375 ,
362 ,
337 ,
289 ,
216 ,
113 ,
7 ,
-97 ,
-180  ,
-245  ,
-285  ,
-293  ,
-272  ,
-231  ,
-182  ,
-138  ,
-115  ,
-118  ,
-163  ,
-220  ,
-298  ,
-376  ,
-456  ,
-545  ,
-616  ,
-668  ,
-688  ,
-683  ,
-651  ,
-619  ,
-584  ,
-581  ,
-577  ,
-610  ,
-643  ,
-700  ,
-750  ,
-787  ,
-822  ,
-840  ,
-849  ,
-850  ,
-843  ,
-817  ,
-796  ,
-757  ,
-735  ,
-703  ,
-681  ,
-657  ,
-631  ,
-597  ,
-550  ,
-494  ,
-424  ,
-351  ,
-273  ,
-202  ,
-136  ,
-71 ,
-35 ,
2 ,
7 ,
16  ,
-3  ,
-26 ,
-57 ,
-93 ,
-123  ,
-143  ,
-139  ,
-120  ,
-81 ,
-43 ,
2 ,
33  ,
55  ,
83  ,
109 ,
133 ,
165 ,
215 ,
281 ,
355 ,
436 ,
523 ,
616 ,
702 ,
776 ,
824 ,
849 ,
846 ,
816 ,
782 ,
731 ,
684 ,
629 ,
590 ,
562 ,
563 ,
565 ,
583 ,
596 ,
616 ,
629 ,
643 ,
648 ,
642 ,
603 ,
543 ,
487 ,
423 ,
373 ,
325 ,
294 ,
271 ,
258 ,
241 ,
233 ,
228 ,
219 ,
211 ,
191 ,
175 ,
128 ,
99  ,
42  ,
23  ,
-14 ,
-21 ,
-46 ,
-81 ,
-134  ,
-203  ,
-278  ,
-355  ,
-436  ,
-509  ,
-581  ,
-643  ,
-692  ,
-712  ,
-704  ,
-687  ,
-646  ,
-605  ,
-570  ,
-536  ,
-515  ,
-516  ,
-530  ,
-555  ,
-569  ,
-575  ,
-567  ,
-553  ,
-530  ,
-524  ,
-522  ,
-546  ,
-579  ,
-627  ,
-690  ,
-760  ,
-824  ,
-891  ,
-935  ,
-981  ,
-1001 ,
-1002 ,
-979  ,
-929  ,
-880  ,
-823  ,
-780  ,
-746  ,
-717  ,
-687  ,
-657  ,
-638  ,
-634  ,
-637  ,
-646  ,
-660  ,
-669  ,
-670  ,
-671  ,
-662  ,
-665  ,
-666  ,
-680  ,
-699  ,
-725  ,
-735  ,
-736  ,
-693  ,
-641  ,
-551  ,
-461  ,
-369  ,
-294  ,
-234  ,
-180  ,
-145  ,
-102  ,
-64 ,
-27 ,
6 ,
42  ,
93  ,
144 ,
213 ,
300 ,
407 ,
509 ,
597 ,
649 ,
687 ,
690 ,
688 ,
670 ,
659 ,
652 ,
659 ,
683 ,
713 ,
750 ,
778 ,
792 ,
795 ,
788 ,
768 ,
734 ,
681 ,
635 ,
596 ,
592 ,
613 ,
685 ,
777 ,
876 ,
967 ,
1049  ,
1111  ,
1153  ,
1170  ,
1188  ,
1199  ,
1189  ,
1186  ,
1144  ,
1115  ,
1049  ,
1000  ,
943 ,
897 ,
858 ,
803 ,
733 ,
643 ,
539 ,
449 ,
363 ,
304 ,
267 ,
258 ,
263 ,
306 ,
344 ,
392 ,
418 ,
431 ,
420 ,
393 ,
335 ,
263 ,
166 ,
66  ,
-28 ,
-109  ,
-152  ,
-186  ,
-201  ,
-194  ,
-188  ,
-176  ,
-184  ,
-197  ,
-220  ,
-250  ,
-283  ,
-318  ,
-342  ,
-353  ,
-351  ,
-334  ,
-302  ,
-254  ,
-213  ,
-170  ,
-140  ,
-124  ,
-137  ,
-168  ,
-213  ,
-251  ,
-275  ,
-273  ,
-258  ,
-219  ,
-173  ,
-132  ,
-98 ,
-78 ,
-64 ,
-72 ,
-85 ,
-114  ,
-143  ,
-173  ,
-207  ,
-226  ,
-241  ,
-251  ,
-250  ,
-254  ,
-238  ,
-229  ,
-204  ,
-191  ,
-185  ,
-200  ,
-216  ,
-238  ,
-241  ,
-239  ,
-212  ,
-169  ,
-97 ,
-12 ,
79  ,
154 ,
200 ,
215 ,
202 ,
155 ,
79  ,
-8  ,
-101  ,
-185  ,
-272  ,
-334  ,
-378  ,
-386  ,
-368  ,
-332  ,
-280  ,
-228  ,
-180  ,
-133  ,
-100  ,
-79 ,
-66 ,
-57 ,
-42 ,
-28 ,
1 ,
27  ,
63  ,
98  ,
126 ,
158 ,
164 ,
153 ,
121 ,
69  ,
22  ,
-38 ,
-90 ,
-115  ,
-131  ,
-112  ,
-106  ,
-86 ,
-80 ,
-83 ,
-99 ,
-116  ,
-139  ,
-152  ,
-174  ,
-183  ,
-190  ,
-199  ,
-197  ,
-209  ,
-206  ,
-213  ,
-208  ,
-210  ,
-215  ,
-230  ,
-251  ,
-269  ,
-290  ,
-284  ,
-262  ,
-219  ,
-153  ,
-82 ,
4 ,
72  ,
127 ,
165 ,
178 ,
171 ,
136 ,
84  ,
12  ,
-42 ,
-99 ,
-132  ,
-142  ,
-122  ,
-72 ,
-5  ,
58  ,
121 ,
174 ,
214 ,
248 ,
268 ,
274 ,
265 ,
250 ,
241 ,
239 ,
243 ,
243 ,
233 ,
225 ,
186 ,
153 ,
88  ,
15  ,
-79 ,
-165  ,
-230  ,
-261  ,
-257  ,
-228  ,
-181  ,
-134  ,
-93 ,
-71 ,
-67 ,
-77 ,
-99 ,
-112  ,
-122  ,
-128  ,
-133  ,
-143  ,
-151  ,
-161  ,
-167  ,
-178  ,
-188  ,
-213  ,
-247  ,
-292  ,
-355  ,
-413  ,
-473  ,
-518  ,
-553  ,
-563  ,
-537  ,
-493  ,
-412  ,
-332  ,
-245  ,
-172  ,
-131  ,
-91 ,
-89 ,
-94 ,
-138  ,
-175  ,
-217  ,
-240  ,
-248  ,
-242  ,
-212  ,
-171  ,
-117  ,
-64 ,
-13 ,
20  ,
53  ,
71  ,
88  ,
87  ,
74  ,
59  ,
54  ,
60  ,
77  ,
84  ,
89  ,
69  ,
62  ,
43  ,
40  ,
23  ,
13  ,
9 ,
23  ,
75  ,
137 ,
234 ,
325 ,
433 ,
526 ,
614 ,
665 ,
691 ,
686 ,
678 ,
672 ,
671 ,
686 ,
691 ,
709 ,
729 ,
742 ,
765 ,
768 ,
767 ,
748 ,
716 ,
675 ,
607 ,
548 ,
477 ,
420 ,
374 ,
339 ,
330 ,
353 ,
392 ,
453 ,
494 ,
538 ,
534 ,
519 ,
471 ,
403 ,
321 ,
239 ,
155 ,
81  ,
11  ,
-27 ,
-52 ,
-50 ,
-43 ,
-13 ,
18  ,
55  ,
83  ,
107 ,
118 ,
111 ,
98  ,
86  ,
74  ,
53  ,
46  ,
28  ,
39  ,
35  ,
42  ,
38  ,
41  ,
32  ,
38  ,
37  ,
47  ,
65  ,
97  ,
144 ,
193 ,
243 ,
275 ,
295 ,
287 ,
253 ,
214 ,
162 ,
123 ,
78  ,
40  ,
12  ,
-22 ,
-44 ,
-75 ,
-88 ,
-93 ,
-87 ,
-90 ,
-99 ,
-126  ,
-161  ,
-210  ,
-250  ,
-280  ,
-284  ,
-284  ,
-253  ,
-201  ,
-145  ,
-80 ,
-32 ,
18  ,
42  ,
45  ,
12  ,
-51 ,
-140  ,
-242  ,
-337  ,
-429  ,
-518  ,
-586  ,
-633  ,
-652  ,
-660  ,
-664  ,
-657  ,
-654  ,
-653  ,
-641  ,
-627  ,
-614  ,
-616  ,
-626  ,
-638  ,
-659  ,
-681  ,
-702  ,
-720  ,
-738  ,
-752  ,
-767  ,
-771  ,
-785  ,
-781  ,
-775  ,
-745  ,
-707  ,
-648  ,
-592  ,
-544  ,
-511  ,
-492  ,
-494  ,
-524  ,
-562  ,
-614  ,
-660  ,
-713  ,
-749  ,
-774  ,
-794  ,
-801  ,
-788  ,
-764  ,
-730  ,
-691  ,
-643  ,
-596  ,
-560  ,
-521  ,
-496  ,
-467  ,
-445  ,
-396  ,
-327  ,
-253  ,
-160  ,
-69 ,
24  ,
108 ,
179 ,
230 ,
257 ,
254 ,
231 ,
196 ,
152 ,
119 ,
82  ,
67  ,
54  ,
60  ,
68  ,
90  ,
114 ,
166 ,
231 ,
300 ,
366 ,
412 ,
464 ,
514 ,
567 ,
608 ,
635 ,
634 ,
620 ,
586 ,
561 ,
517 ,
477 ,
437 ,
407 ,
396 ,
392 ,
411 ,
423 ,
448 ,
462 ,
491 ,
502 ,
488 ,
464 ,
413 ,
357 ,
275 ,
198 ,
117 ,
58  ,
16  ,
-4  ,
-3  ,
-14 ,
-30 ,
-53 ,
-85 ,
-122  ,
-165  ,
-220  ,
-271  ,
-344  ,
-412  ,
-475  ,
-533  ,
-574  ,
-597  ,
-603  ,
-597  ,
-593  ,
-592  ,
-598  ,
-615  ,
-635  ,
-664  ,
-697  ,
-732  ,
-780  ,
-813  ,
-862  ,
-887  ,
-906  ,
-912  ,
-888  ,
-858  ,
-802  ,
-749  ,
-695  ,
-630  ,
-571  ,
-519  ,
-470  ,
-433  ,
-388  ,
-357  ,
-343  ,
-346  ,
-374  ,
-403  ,
-430  ,
-441  ,
-439  ,
-423  ,
-409  ,
-383  ,
-350  ,
-288  ,
-207  ,
-99 ,
18  ,
145 ,
262 ,
381 ,
468 ,
540 ,
588 ,
628 ,
656 ,
693 ,
725 ,
760 ,
785 ,
808 ,
836 ,
858 ,
899 ,
929 ,
970 ,
990 ,
1002  ,
1000  ,
985 ,
950 ,
917 ,
878 ,
873 ,
874 ,
895 ,
918 ,
950 ,
982 ,
1030  ,
1074  ,
1121  ,
1139  ,
1140  ,
1116  ,
1076  ,
1030  ,
982 ,
942 ,
899 ,
881 ,
856 ,
857 ,
842 ,
842 ,
845 ,
855 ,
878 ,
889 ,
899 ,
891 ,
872 ,
837 ,
795 ,
741 ,
679 ,
618 ,
553 ,
503 ,
453 ,
408 ,
372 ,
345 ,
334 ,
337 ,
367 ,
406 ,
458 ,
503 ,
532 ,
543 ,
533 ,
505 ,
460 ,
410 ,
333 ,
247 ,
152 ,
65  ,
-29 ,
-112  ,
-189  ,
-259  ,
-321  ,
-378  ,
-416  ,
-459  ,
-493  ,
-524  ,
-545  ,
-562  ,
-566  ,
-576  ,
-580  ,
-569  ,
-549  ,
-505  ,
-453  ,
-393  ,
-331  ,
-282  ,
-247  ,
-230  ,
-242  ,
-258  ,
-307  ,
-354  ,
-403  ,
-451  ,
-497  ,
-549  ,
-604  ,
-656  ,
-692  ,
-722  ,
-729  ,
-727  ,
-704  ,
-685  ,
-659  ,
-631  ,
-599  ,
-569  ,
-541  ,
-524  ,
-517  ,
-510  ,
-515  ,
-518  ,
-522  ,
-512  ,
-500  ,
-461  ,
-415  ,
-341  ,
-258  ,
-163  ,
-76 ,
15  ,
82  ,
139 ,
160 ,
161 ,
142 ,
105 ,
63  ,
15  ,
-40 ,
-84 ,
-117  ,
-134  ,
-137  ,
-130  ,
-127  ,
-117  ,
-108  ,
-72 ,
-38 ,
16  ,
56  ,
94  ,
126 ,
159 ,
197 ,
245 ,
295 ,
362 ,
435 ,
515 ,
585 ,
630 ,
648 ,
636 ,
611 ,
578 ,
540 ,
512 ,
471 ,
433 ,
399 ,
366 ,
342 ,
306 ,
289 ,
283 ,
300 ,
328 ,
358 ,
400 ,
435 ,
473 ,
517 ,
567 ,
604 ,
613 ,
592 ,
536 ,
472 ,
392 ,
321 ,
243 ,
175 ,
114 ,
72  ,
42  ,
37  ,
35  ,
54  ,
72  ,
92  ,
114 ,
109 ,
99  ,
53  ,
1 ,
-72 ,
-144  ,
-223  ,
-285  ,
-351  ,
-400  ,
-443  ,
-481  ,
-512  ,
-554  ,
-592  ,
-637  ,
-670  ,
-706  ,
-742  ,
-782  ,
-829  ,
-873  ,
-907  ,
-928  ,
-918  ,
-886  ,
-849  ,
-809  ,
-770  ,
-725  ,
-685  ,
-657  ,
-641  ,
-641  ,
-648  ,
-663  ,
-661  ,
-661  ,
-647  ,
-636  ,
-608  ,
-580  ,
-541  ,
-499  ,
-454  ,
-413  ,
-368  ,
-321  ,
-271  ,
-223  ,
-190  ,
-159  ,
-149  ,
-135  ,
-125  ,
-148  ,
-174  ,
-220  ,
-244  ,
-258  ,
-279  ,
-286  ,
-291  ,
-280  ,
-234  ,
-161  ,
-56 ,
68  ,
187 ,
305 ,
410 ,
506 ,
573 ,
637 ,
675 ,
711 ,
732 ,
748 ,
757 ,
754 ,
754 ,
753 ,
771 ,
788 ,
808 ,
819 ,
824 ,
817 ,
805 ,
784 ,
754 ,
727 ,
703 ,
685 ,
673 ,
675 ,
678 ,
695 ,
706 ,
725 ,
750 ,
770 ,
788 ,
773 ,
739 ,
680 ,
615 ,
534 ,
477 ,
426 ,
392 ,
353 ,
302 ,
251 ,
206 ,
154 ,
108 ,
67  ,
35  ,
20  ,
-3  ,
-8  ,
-25 ,
-56 ,
-88 ,
-129  ,
-166  ,
-209  ,
-246  ,
-278  ,
-316  ,
-363  ,
-398  ,
-421  ,
-430  ,
-408  ,
-365  ,
-291  ,
-217  ,
-157  ,
-117  ,
-93 ,
-81 ,
-81 ,
-78 ,
-95 ,
-122  ,
-186  ,
-240  ,
-308  ,
-348  ,
-381  ,
-394  ,
-395  ,
-402  ,
-407  ,
-439  ,
-475  ,
-518  ,
-541  ,
-547  ,
-536  ,
-512  ,
-489  ,
-474  ,
-464  ,
-435  ,
-384  ,
-321  ,
-246  ,
-165  ,
-107  ,
-76 ,
-71 ,
-93 ,
-131  ,
-164  ,
-192  ,
-192  ,
-195  ,
-200  ,
-210  ,
-233  ,
-260  ,
-283  ,
-302  ,
-290  ,
-281  ,
-264  ,
-254  ,
-251  ,
-246  ,
-236  ,
-210  ,
-182  ,
-162  ,
-144  ,
-158  ,
-170  ,
-198  ,
-216  ,
-238  ,
-244  ,
-230  ,
-185  ,
-125  ,
-58 ,
1 ,
67  ,
134 ,
203 ,
261 ,
302 ,
324 ,
312 ,
289 ,
232 ,
185 ,
121 ,
78  ,
38  ,
22  ,
-3  ,
-29 ,
-67 ,
-110  ,
-149  ,
-181  ,
-188  ,
-190  ,
-168  ,
-161  ,
-156  ,
-149  ,
-145  ,
-122  ,
-96 ,
-40 ,
30  ,
99  ,
166 ,
209 ,
233 ,
226 ,
214 ,
183 ,
165 ,
132 ,
101 ,
65  ,
29  ,
9 ,
-5  ,
-3  ,
6 ,
8 ,
23  ,
24  ,
28  ,
9 ,
1 ,
-10 ,
8 ,
19  ,
37  ,
32  ,
16  ,
-24 ,
-66 ,
-111  ,
-141  ,
-176  ,
-203  ,
-237  ,
-254  ,
-279  ,
-269  ,
-255  ,
-207  ,
-156  ,
-98 ,
-53 ,
-22 ,
-14 ,
-24 ,
-50 ,
-69 ,
-98 ,
-117  ,
-156  ,
-191  ,
-249  ,
-304  ,
-358  ,
-401  ,
-431  ,
-451  ,
-464  ,
-481  ,
-498  ,
-531  ,
-547  ,
-574  ,
-577  ,
-580  ,
-571  ,
-562  ,
-543  ,
-522  ,
-479  ,
-423  ,
-357  ,
-277  ,
-215  ,
-170  ,
-160  ,
-169  ,
-206  ,
-222  ,
-233  ,
-212  ,
-183  ,
-133  ,
-98 ,
-53 ,
-38 ,
-6  ,
8 ,
33  ,
55  ,
76  ,
106 ,
125 ,
145 ,
151 ,
154 ,
161 ,
176 ,
200 ,
218 ,
226 ,
221 ,
213 ,
201 ,
182 ,
185 ,
197 ,
241 ,
304 ,
374 ,
451 ,
517 ,
580 ,
652 ,
722 ,
798 ,
850 ,
884 ,
895 ,
888 ,
884 ,
871 ,
872 ,
858 ,
859 ,
860 ,
855 ,
836 ,
795 ,
754 ,
707 ,
665 ,
629 ,
593 ,
546 ,
489 ,
417 ,
359 ,
305 ,
273 ,
262 ,
258 ,
266 ,
257 ,
239 ,
196 ,
136 ,
75  ,
25  ,
-20 ,
-48 ,
-78 ,
-110  ,
-143  ,
-173  ,
-185  ,
-211  ,
-211  ,
-224  ,
-227  ,
-244  ,
-265  ,
-281  ,
-284  ,
-274  ,
-262  ,
-243  ,
-244  ,
-251  ,
-274  ,
-292  ,
-310  ,
-322  ,
-322  ,
-316  ,
-314  ,
-303  ,
-297  ,
-278  ,
-267  ,
-235  ,
-189  ,
-132  ,
-67 ,
-20 ,
42  ,
84  ,
116 ,
138 ,
146 ,
152 ,
148 ,
140 ,
134 ,
109 ,
73  ,
40  ,
3 ,
-17 ,
-47 ,
-69 ,
-89 ,
-106  ,
-121  ,
-116  ,
-109  ,
-82 ,
-60 ,
-30 ,
10  ,
55  ,
101 ,
150 ,
199 ,
244 ,
286 ,
319 ,
345 ,
362 ,
377 ,
386 ,
402 ,
419 ,
431 ,
442 ,
445 ,
440 ,
410 ,
365 ,
306 ,
244 ,
181 ,
125 ,
88  ,
60  ,
47  ,
21  ,
-4  ,
-24 ,
-59 ,
-68 ,
-84 ,
-77 ,
-87 ,
-91 ,
-108  ,
-134  ,
-161  ,
-172  ,
-166  ,
-147  ,
-126  ,
-115  ,
-102  ,
-118  ,
-116  ,
-126  ,
-128  ,
-148  ,
-180  ,
-223  ,
-280  ,
-339  ,
-403  ,
-463  ,
-505  ,
-546  ,
-571  ,
-600  ,
-622  ,
-661  ,
-704  ,
-728  ,
-736  ,
-736  ,
-714  ,
-700  ,
-665  ,
-629  ,
-585  ,
-534  ,
-478  ,
-420  ,
-352  ,
-294  ,
-248  ,
-209  ,
-199  ,
-197  ,
-204  ,
-196  ,
-181  ,
-157  ,
-133  ,
-99 ,
-72 ,
-48 ,
-34 ,
-24 ,
-25 ,
-26 ,
-31 ,
-32 ,
-44 ,
-45 ,
-45 ,
-27 ,
-11 ,
26  ,
70  ,
120 ,
166 ,
205 ,
237 ,
256 ,
263 ,
256 ,
249 ,
228 ,
229 ,
226 ,
243 ,
257 ,
267 ,
277 ,
283 ,
305 ,
336 ,
360 ,
371 ,
353 ,
326 ,
304 ,
281 ,
263 ,
243 ,
217 ,
187 ,
161 ,
128 ,
96  ,
48  ,
13  ,
-28 ,
-54 ,
-77 ,
-91 ,
-112  ,
-124  ,
-130  ,
-108  ,
-98 ,
-74 ,
-68 ,
-52 ,
-50 ,
-53 ,
-65 ,
-76 ,
-98 ,
-103  ,
-96 ,
-83 ,
-51 ,
-35 ,
-3  ,
13  ,
40  ,
54  ,
67  ,
62  ,
46  ,
18  ,
-25 ,
-67 ,
-105  ,
-134  ,
-152  ,
-159  ,
-155  ,
-149  ,
-145  ,
-155  ,
-158  ,
-165  ,
-179  ,
-185  ,
-208  ,
-223  ,
-238  ,
-245  ,
-228  ,
-206  ,
-170  ,
-135  ,
-94 ,
-44 ,
12  ,
83  ,
140 ,
189 ,
229 ,
262 ,
299 ,
331 ,
359 ,
367 ,
366 ,
344 ,
322 ,
286 ,
255 ,
224 ,
197 ,
176 ,
142 ,
125 ,
98  ,
96  ,
82  ,
94  ,
88  ,
92  ,
86  ,
78  ,
75  ,
58  ,
49  ,
44  ,
41  ,
41  ,
40  ,
35  ,
41  ,
50  ,
74  ,
111 ,
144 ,
173 ,
183 ,
184 ,
174 ,
157 ,
131 ,
111 ,
88  ,
77  ,
61  ,
50  ,
52  ,
45  ,
57  ,
71  ,
95  ,
116 ,
130 ,
137 ,
139 ,
132 ,
124 ,
122 ,
128 ,
139 ,
163 ,
184 ,
202 ,
219 ,
240 ,
257 ,
282 ,
299 ,
317 ,
336 ,
338 ,
334 ,
330 ,
313 ,
299 ,
265 ,
221 ,
172 ,
125 ,
86  ,
52  ,
39  ,
24  ,
24  ,
21  ,
31  ,
44  ,
57  ,
60  ,
78  ,
80  ,
108 ,
125 ,
145 ,
153 ,
148 ,
137 ,
119 ,
106 ,
90  ,
78  ,
71  ,
69  ,
74  ,
66  ,
45  ,
11  ,
-39 ,
-91 ,
-161  ,
-218  ,
-298  ,
-372  ,
-442  ,
-508  ,
-553  ,
-588  ,
-596  ,
-594  ,
-588  ,
-565  ,
-548  ,
-526  ,
-525  ,
-525  ,
-541  ,
-557  ,
-568  ,
-577  ,
-571  ,
-564  ,
-554  ,
-562  ,
-565  ,
-573  ,
-566  ,
-563  ,
-566  ,
-573  ,
-575  ,
-572  ,
-564  ,
-545  ,
-531  ,
-512  ,
-509  ,
-522  ,
-545  ,
-580  ,
-612  ,
-633  ,
-645  ,
-631  ,
-609  ,
-581  ,
-556  ,
-528  ,
-485  ,
-437  ,
-372  ,
-328  ,
-266  ,
-223  ,
-171  ,
-139  ,
-115  ,
-113  ,
-107  ,
-96 ,
-64 ,
-15 ,
44  ,
112 ,
175 ,
240 ,
302 ,
354 ,
401 ,
430 ,
455 ,
459 ,
465 ,
467 ,
462 ,
464 ,
464 ,
481 ,
507 ,
544 ,
585 ,
620 ,
658 ,
688 ,
721 ,
744 ,
759 ,
756 ,
756 ,
751 ,
761 ,
776 ,
794 ,
800 ,
797 ,
770 ,
749 ,
707 ,
670 ,
625 ,
595 ,
569 ,
550 ,
532 ,
523 ,
505 ,
479 ,
434 ,
377 ,
297 ,
216 ,
135 ,
64  ,
-7  ,
-74 ,
-131  ,
-177  ,
-220  ,
-250  ,
-265  ,
-279  ,
-280  ,
-284  ,
-281  ,
-285  ,
-303  ,
-314  ,
-337  ,
-356  ,
-383  ,
-401  ,
-418  ,
-418  ,
-406  ,
-377  ,
-341  ,
-307  ,
-283  ,
-264  ,
-263  ,
-282  ,
-311  ,
-351  ,
-386  ,
-424  ,
-449  ,
-482  ,
-512  ,
-546  ,
-575  ,
-576  ,
-564  ,
-534  ,
-502  ,
-476  ,
-458  ,
-440  ,
-423  ,
-407  ,
-386  ,
-358  ,
-313  ,
-261  ,
-200  ,
-161  ,
-131  ,
-124  ,
-109  ,
-91 ,
-57 ,
-21 ,
29  ,
83  ,
143 ,
206 ,
277 ,
342 ,
399 ,
427 ,
445 ,
434 ,
414 ,
381 ,
368 ,
363 ,
366 ,
383 ,
392 ,
401 ,
401 ,
407 ,
420 ,
432 ,
459 ,
484 ,
507 ,
511 ,
496 ,
473 ,
437 ,
405 ,
375 ,
372 ,
369 ,
390 ,
408 ,
446 ,
470 ,
496 ,
517 ,
543 ,
561 ,
570 ,
576 ,
569 ,
561 ,
541 ,
526 ,
505 ,
498 ,
486 ,
492 ,
498 ,
503 ,
502 ,
496 ,
486 ,
489 ,
482 ,
477 ,
468 ,
446 ,
430 ,
404 ,
389 ,
365 ,
346 ,
303 ,
254 ,
199 ,
152 ,
113 ,
96  ,
89  ,
105 ,
128 ,
152 ,
166 ,
164 ,
133 ,
93  ,
34  ,
-28 ,
-89 ,
-136  ,
-176  ,
-213  ,
-250  ,
-293  ,
-318  ,
-356  ,
-355  ,
-366  ,
-351  ,
-350  ,
-346  ,
-359  ,
-384  ,
-412  ,
-442  ,
-469  ,
-500  ,
-530  ,
-551  ,
-562  ,
-551  ,
-541  ,
-511  ,
-491  ,
-468  ,
-453  ,
-448  ,
-456  ,
-473  ,
-499  ,
-521  ,
-543  ,
-559  ,
-558  ,
-565  ,
-562  ,
-570  ,
-562  ,
-563  ,
-557  ,
-556  ,
-532  ,
-520  ,
-498  ,
-486  ,
-467  ,
-443  ,
-419  ,
-389  ,
-357  ,
-329  ,
-314  ,
-302  ,
-317  ,
-340  ,
-380  ,
-398  ,
-408  ,
-395  ,
-380  ,
-349  ,
-320  ,
-279  ,
-241  ,
-197  ,
-171  ,
-156  ,
-160  ,
-172  ,
-185  ,
-196  ,
-194  ,
-198  ,
-192  ,
-176  ,
-142  ,
-109  ,
-54 ,
-7  ,
60  ,
131 ,
187 ,
239 ,
263 ,
281 ,
298 ,
321 ,
344 ,
369 ,
401 ,
443 ,
495 ,
550 ,
605 ,
648 ,
677 ,
697 ,
712 ,
710 ,
696 ,
670 ,
642 ,
619 ,
601 ,
590 ,
585 ,
572 ,
562 ,
548 ,
534 ,
516 ,
487 ,
469 ,
456 ,
448 ,
449 ,
442 ,
432 ,
415 ,
395 ,
380 ,
345 ,
307 ,
255 ,
193 ,
123 ,
37  ,
-40 ,
-117  ,
-179  ,
-225  ,
-254  ,
-279  ,
-312  ,
-344  ,
-383  ,
-422  ,
-474  ,
-525  ,
-588  ,
-641  ,
-687  ,
-726  ,
-759  ,
-800  ,
-835  ,
-866  ,
-875  ,
-878  ,
-860  ,
-834  ,
-802  ,
-768  ,
-744  ,
-730  ,
-730  ,
-728  ,
-724  ,
-719  ,
-719  ,
-717  ,
-715  ,
-699  ,
-674  ,
-637  ,
-587  ,
-553  ,
-515  ,
-488  ,
-468  ,
-451  ,
-439  ,
-437  ,
-423  ,
-414  ,
-382  ,
-367  ,
-341  ,
-330  ,
-310  ,
-293  ,
-261  ,
-230  ,
-192  ,
-151  ,
-110  ,
-60 ,
-15 ,
51  ,
104 ,
175 ,
235 ,
300 ,
356 ,
401 ,
435 ,
453 ,
472 ,
482 ,
506 ,
535 ,
582 ,
627 ,
679 ,
722 ,
763 ,
818 ,
868 ,
915 ,
938 ,
950 ,
934 ,
917 ,
887 ,
867 ,
835 ,
809 ,
784 ,
753 ,
726 ,
694 ,
668 ,
648 ,
632 ,
613 ,
595 ,
552 ,
501 ,
428 ,
358 ,
292 ,
252 ,
226 ,
231 ,
232 ,
260 ,
274 ,
306 ,
315 ,
323 ,
324 ,
327 ,
339 ,
332 ,
334 ,
301 ,
287 ,
246 ,
226 ,
197 ,
165 ,
127 ,
86  ,
40  ,
9 ,
-30 ,
-43 ,
-60 ,
-55 ,
-50 ,
-34 ,
-37 ,
-49 ,
-65 ,
-84 ,
-103  ,
-128  ,
-165  ,
-216  ,
-260  ,
-310  ,
-336  ,
-356  ,
-359  ,
-349  ,
-333  ,
-298  ,
-261  ,
-220  ,
-209  ,
-209  ,
-227  ,
-244  ,
-266  ,
-294  ,
-307  ,
-340  ,
-358  ,
-382  ,
-387  ,
-380  ,
-360  ,
-329  ,
-294  ,
-266  ,
-254  ,
-245  ,
-239  ,
-240  ,
-241  ,
-242  ,
-237  ,
-235  ,
-229  ,
-223  ,
-209  ,
-197  ,
-166  ,
-135  ,
-92 ,
-69 ,
-52 ,
-35 ,
-39 ,
-27 ,
-23 ,
0 ,
16  ,
30  ,
34  ,
28  ,
-1  ,
-42 ,
-86 ,
-123  ,
-139  ,
-133  ,
-118  ,
-78 ,
-50 ,
-9  ,
22  ,
54  ,
72  ,
87  ,
86  ,
78  ,
45  ,
8 ,
-48 ,
-103  ,
-156  ,
-182  ,
-197  ,
-181  ,
-168  ,
-144  ,
-125  ,
-110  ,
-87 ,
-73 ,
-65 ,
-67 ,
-74 ,
-86 ,
-97 ,
-118  ,
-129  ,
-145  ,
-141  ,
-122  ,
-99 ,
-65 ,
-46 ,
-18 ,
-4  ,
19  ,
40  ,
68  ,
82  ,
83  ,
76  ,
67  ,
62  ,
52  ,
59  ,
68  ,
90  ,
112 ,
132 ,
159 ,
165 ,
184 ,
195 ,
216 ,
241 ,
261 ,
276 ,
279 ,
270 ,
245 ,
213 ,
169 ,
138 ,
103 ,
76  ,
59  ,
49  ,
48  ,
70  ,
92  ,
123 ,
152 ,
176 ,
189 ,
191 ,
190 ,
173 ,
147 ,
101 ,
40  ,
-36 ,
-116  ,
-187  ,
-244  ,
-280  ,
-301  ,
-310  ,
-314  ,
-313  ,
-320  ,
-325  ,
-341  ,
-361  ,
-401  ,
-439  ,
-481  ,
-521  ,
-558  ,
-590  ,
-615  ,
-629  ,
-641  ,
-633  ,
-631  ,
-613  ,
-598  ,
-566  ,
-537  ,
-501  ,
-479  ,
-452  ,
-449  ,
-444  ,
-438  ,
-427  ,
-408  ,
-381  ,
-345  ,
-303  ,
-259  ,
-212  ,
-167  ,
-131  ,
-88 ,
-50 ,
-3  ,
36  ,
67  ,
82  ,
88  ,
85  ,
84  ,
67  ,
51  ,
37  ,
28  ,
27  ,
40  ,
69  ,
116 ,
182 ,
261 ,
364 ,
456 ,
536 ,
596 ,
645 ,
685 ,
703 ,
710 ,
679 ,
649 ,
595 ,
572 ,
552 ,
565 ,
578 ,
611 ,
643 ,
681 ,
715 ,
730 ,
732 ,
711 ,
678 ,
637 ,
597 ,
555 ,
502 ,
450 ,
396 ,
346 ,
308 ,
262 ,
235 ,
200 ,
184 ,
154 ,
138 ,
101 ,
73  ,
40  ,
5 ,
-31 ,
-70 ,
-101  ,
-124  ,
-135  ,
-137  ,
-133  ,
-132  ,
-118  ,
-116  ,
-89 ,
-57 ,
-29 ,
7 ,
21  ,
35  ,
32  ,
10  ,
-21 ,
-66 ,
-121  ,
-179  ,
-230  ,
-281  ,
-312  ,
-341  ,
-337  ,
-331  ,
-300  ,
-271  ,
-238  ,
-200  ,
-178  ,
-143  ,
-137  ,
-116  ,
-139  ,
-161  ,
-212  ,
-264  ,
-319  ,
-349  ,
-361  ,
-336  ,
-303  ,
-245  ,
-199  ,
-146  ,
-115  ,
-81 ,
-65 ,
-48 ,
-41 ,
-34 ,
-28 ,
-16 ,
-19 ,
-27 ,
-30 ,
-36 ,
-32 ,
-23 ,
-24 ,
-9  ,
-8  ,
3 ,
7 ,
25  ,
25  ,
38  ,
28  ,
26  ,
9 ,
-3  ,
-12 ,
-4  ,
14  ,
37  ,
63  ,
92  ,
115 ,
152 ,
196 ,
231 ,
267 ,
278 ,
295 ,
296 ,
283 ,
256 ,
211 ,
158 ,
90  ,
33  ,
-19 ,
-57 ,
-88 ,
-115  ,
-127  ,
-123  ,
-100  ,
-66 ,
-26 ,
7 ,
23  ,
36  ,
15  ,
-9  ,
-59 ,
-116  ,
-182  ,
-249  ,
-293  ,
-335  ,
-339  ,
-340  ,
-322  ,
-304  ,
-299  ,
-295  ,
-306  ,
-318  ,
-338  ,
-357  ,
-382  ,
-397  ,
-414  ,
-440  ,
-453  ,
-477  ,
-492  ,
-507  ,
-510  ,
-503  ,
-491  ,
-464  ,
-431  ,
-398  ,
-363  ,
-335  ,
-321  ,
-306  ,
-301  ,
-281  ,
-262  ,
-226  ,
-180  ,
-136  ,
-87 ,
-39 ,
2 ,
53  ,
103 ,
159 ,
212 ,
256 ,
293 ,
318 ,
328 ,
328 ,
309 ,
295 ,
271 ,
249 ,
224 ,
209 ,
202 ,
208 ,
216 ,
249 ,
296 ,
369 ,
442 ,
512 ,
557 ,
592 ,
598 ,
595 ,
593 ,
565 ,
535 ,
464 ,
389 ,
320 ,
273 ,
248 ,
251 ,
254 ,
253 ,
247 ,
225 ,
189 ,
148 ,
107 ,
75  ,
58  ,
52  ,
48  ,
50  ,
33  ,
13  ,
-6  ,
-20 ,
-18 ,
-7  ,
14  ,
40  ,
65  ,
82  ,
90  ,
97  ,
101 ,
112 ,
111 ,
106 ,
97  ,
89  ,
85  ,
81  ,
82  ,
86  ,
95  ,
110 ,
131 ,
156 ,
171 ,
176 ,
169 ,
165 ,
145 ,
120 ,
82  ,
33  ,
-15 ,
-70 ,
-115  ,
-150  ,
-165  ,
-164  ,
-138  ,
-109  ,
-63 ,
-17 ,
32  ,
72  ,
111 ,
134 ,
158 ,
169 ,
177 ,
176 ,
162 ,
128 ,
92  ,
57  ,
45  ,
55  ,
89  ,
117 ,
145 ,
158 ,
170 ,
173 ,
177 ,
172 ,
166 ,
156 ,
152 ,
143 ,
129 ,
90  ,
41  ,
-21 ,
-71 ,
-120  ,
-144  ,
-171  ,
-184  ,
-188  ,
-190  ,
-185  ,
-189  ,
-191  ,
-194  ,
-203  ,
-209  ,
-220  ,
-220  ,
-222  ,
-199  ,
-170  ,
-120  ,
-80 ,
-36 ,
12  ,
61  ,
122 ,
177 ,
229 ,
261 ,
282 ,
284 ,
266 ,
236 ,
193 ,
147 ,
104 ,
84  ,
76  ,
75  ,
76  ,
82  ,
105 ,
128 ,
175 ,
213 ,
262 ,
283 ,
318 ,
329 ,
348 ,
339 ,
326 ,
301 ,
285 ,
263 ,
261 ,
265 ,
293 ,
321 ,
355 ,
372 ,
390 ,
386 ,
384 ,
365 ,
356 ,
337 ,
326 ,
313 ,
294 ,
253 ,
199 ,
117 ,
48  ,
-21 ,
-70 ,
-99 ,
-109  ,
-107  ,
-98 ,
-96 ,
-103  ,
-105  ,
-127  ,
-138  ,
-165  ,
-174  ,
-187  ,
-193  ,
-193  ,
-189  ,
-180  ,
-181  ,
-172  ,
-165  ,
-149  ,
-134  ,
-123  ,
-129  ,
-133  ,
-162  ,
-197  ,
-246  ,
-305  ,
-364  ,
-435  ,
-505  ,
-568  ,
-621  ,
-656  ,
-686  ,
-685  ,
-682  ,
-653  ,
-635  ,
-610  ,
-600  ,
-595  ,
-597  ,
-593  ,
-588  ,
-589  ,
-601  ,
-632  ,
-670  ,
-709  ,
-744  ,
-752  ,
-742  ,
-727  ,
-705  ,
-692  ,
-680  ,
-682  ,
-681  ,
-688  ,
-675  ,
-661  ,
-630  ,
-604  ,
-593  ,
-590  ,
-612  ,
-619  ,
-625  ,
-614  ,
-575  ,
-527  ,
-448  ,
-363  ,
-277  ,
-201  ,
-133  ,
-77 ,
-23 ,
16  ,
46  ,
68  ,
76  ,
94  ,
116 ,
157 ,
205 ,
258 ,
304 ,
349 ,
385 ,
433 ,
469 ,
512 ,
536 ,
553 ,
560 ,
548 ,
521 ,
487 ,
457 ,
434 ,
427 ,
430 ,
456 ,
483 ,
511 ,
554 ,
583 ,
610 ,
628 ,
616 ,
610 ,
587 ,
567 ,
547 ,
513 ,
475 ,
423 ,
365 ,
298 ,
247 ,
202 ,
176 ,
153 ,
122 ,
101 ,
62  ,
42  ,
4 ,
-13 ,
-42 ,
-62 ,
-84 ,
-107  ,
-135  ,
-185  ,
-241  ,
-301  ,
-354  ,
-390  ,
-406  ,
-403  ,
-386  ,
-352  ,
-316  ,
-276  ,
-246  ,
-235  ,
-239  ,
-258  ,
-290  ,
-311  ,
-337  ,
-349  ,
-347  ,
-336  ,
-315  ,
-300  ,
-296  ,
-298  ,
-308  ,
-302  ,
-305  ,
-297  ,
-301  ,
-305  ,
-333  ,
-350  ,
-387  ,
-414  ,
-438  ,
-443  ,
-427  ,
-386  ,
-339  ,
-277  ,
-228  ,
-177  ,
-132  ,
-83 ,
-56 ,
-34 ,
-24 ,
4 ,
50  ,
105 ,
164 ,
208 ,
249 ,
267 ,
284 ,
286 ,
305 ,
317 ,
350 ,
363 ,
383 ,
398 ,
398 ,
395 ,
384 ,
373 ,
363 ,
345 ,
314 ,
280 ,
218 ,
170 ,
95  ,
37  ,
-9  ,
-23 ,
-9  ,
26  ,
76  ,
127 ,
172 ,
208 ,
229 ,
235 ,
224 ,
218 ,
204 ,
209 ,
220 ,
245 ,
279 ,
311 ,
350 ,
391 ,
433 ,
468 ,
506 ,
528 ,
554 ,
558 ,
555 ,
530 ,
485 ,
440 ,
387 ,
342 ,
305 ,
284 ,
281 ,
292 ,
321 ,
344 ,
378 ,
392 ,
408 ,
398 ,
384 ,
367 ,
357 ,
351 ,
367 ,
387 ,
409 ,
408 ,
402 ,
380 ,
354 ,
343 ,
345 ,
349 ,
362 ,
364 ,
362 ,
359 ,
339 ,
328 ,
300 ,
288 ,
254 ,
218 ,
160 ,
84  ,
3 ,
-82 ,
-153  ,
-197  ,
-216  ,
-207  ,
-194  ,
-165  ,
-142  ,
-121  ,
-117  ,
-118  ,
-125  ,
-149  ,
-173  ,
-208  ,
-241  ,
-270  ,
-277  ,
-282  ,
-263  ,
-253  ,
-230  ,
-208  ,
-182  ,
-165  ,
-155  ,
-156  ,
-167  ,
-194  ,
-227  ,
-277  ,
-328  ,
-408  ,
-468  ,
-527  ,
-547  ,
-550  ,
-510  ,
-480  ,
-440  ,
-415  ,
-409  ,
-417  ,
-447  ,
-469  ,
-489  ,
-483  ,
-471  ,
-435  ,
-408  ,
-375  ,
-357  ,
-339  ,
-328  ,
-310  ,
-293  ,
-264  ,
-240  ,
-214  ,
-200  ,
-186  ,
-178  ,
-160  ,
-140  ,
-117  ,
-112  ,
-110  ,
-127  ,
-146  ,
-174  ,
-198  ,
-215  ,
-225  ,
-204  ,
-166  ,
-100  ,
-21 ,
74  ,
164 ,
253 ,
319 ,
374 ,
398 ,
415 ,
413 ,
419 ,
417 ,
449 ,
466 ,
511 ,
539 ,
575 ,
598 ,
621 ,
646 ,
670 ,
693 ,
717 ,
725 ,
718 ,
688 ,
667 ,
619 ,
587 ,
541 ,
535 ,
526 ,
547 ,
564 ,
594 ,
611 ,
622 ,
613 ,
593 ,
556 ,
520 ,
479 ,
445 ,
407 ,
367 ,
332 ,
291 ,
256 ,
202 ,
148 ,
79  ,
14  ,
-51 ,
-95 ,
-136  ,
-168  ,
-207  ,
-233  ,
-263  ,
-292  ,
-338  ,
-383  ,
-451  ,
-531  ,
-620  ,
-713  ,
-791  ,
-860  ,
-903  ,
-918  ,
-895  ,
-845  ,
-770  ,
-688  ,
-618  ,
-558  ,
-515  ,
-494  ,
-484  ,
-493  ,
-511  ,
-537  ,
-559  ,
-577  ,
-588  ,
-592  ,
-585  ,
-569  ,
-543  ,
-509  ,
-472  ,
-442  ,
-410  ,
-385  ,
-364  ,
-346  ,
-344  ,
-327  ,
-323  ,
-308  ,
-291  ,
-271  ,
-230  ,
-183  ,
-118  ,
-36 ,
48  ,
124 ,
176 ,
210 ,
241 ,
278 ,
322 ,
382 ,
443 ,
498 ,
543 ,
579 ,
608 ,
628 ,
646 ,
672 ,
700 ,
731 ,
763 ,
793 ,
803 ,
809 ,
812 ,
821 ,
825 ,
819 ,
789 ,
737 ,
653 ,
562 ,
467 ,
395 ,
331 ,
293 ,
265 ,
269 ,
289 ,
325 ,
373 ,
414 ,
448 ,
470 ,
474 ,
463 ,
425 ,
378 ,
310 ,
255 ,
205 ,
180 ,
168 ,
170 ,
175 ,
185 ,
197 ,
198 ,
206 ,
205 ,
211 ,
198 ,
174 ,
129 ,
69  ,
9 ,
-45 ,
-76 ,
-97 ,
-109  ,
-123  ,
-131  ,
-152  ,
-167  ,
-201  ,
-236  ,
-268  ,
-296  ,
-306  ,
-316  ,
-323  ,
-336  ,
-357  ,
-371  ,
-378  ,
-374  ,
-357  ,
-334  ,
-314  ,
-290  ,
-278  ,
-255  ,
-234  ,
-202  ,
-166  ,
-135  ,
-118  ,
-125  ,
-157  ,
-220  ,
-286  ,
-365  ,
-444  ,
-513  ,
-576  ,
-607  ,
-643  ,
-648  ,
-639  ,
-611  ,
-550  ,
-481  ,
-402  ,
-346  ,
-301  ,
-274  ,
-275  ,
-277  ,
-292  ,
-297  ,
-300  ,
-297  ,
-281  ,
-264  ,
-225  ,
-194  ,
-145  ,
-99 ,
-60 ,
-24 ,
-2  ,
3 ,
-2  ,
-13 ,
-35 ,
-53 ,
-63 ,
-66 ,
-55 ,
-48 ,
-43 ,
-49 ,
-56 ,
-71 ,
-81 ,
-87 ,
-82 ,
-81 ,
-60 ,
-46 ,
-11 ,
6 ,
15  ,
27  ,
26  ,
25  ,
16  ,
15  ,
14  ,
19  ,
28  ,
43  ,
60  ,
71  ,
86  ,
87  ,
91  ,
75  ,
47  ,
11  ,
-41 ,
-103  ,
-174  ,
-243  ,
-301  ,
-337  ,
-355  ,
-350  ,
-325  ,
-287  ,
-228  ,
-154  ,
-72 ,
11  ,
74  ,
126 ,
155 ,
166 ,
159 ,
145 ,
120 ,
99  ,
69  ,
60  ,
51  ,
59  ,
72  ,
78  ,
87  ,
83  ,
79  ,
63  ,
54  ,
46  ,
41  ,
41  ,
53  ,
79  ,
106 ,
139 ,
158 ,
167 ,
162 ,
139 ,
113 ,
75  ,
44  ,
22  ,
13  ,
14  ,
11  ,
7 ,
-21 ,
-53 ,
-96 ,
-136  ,
-177  ,
-215  ,
-254  ,
-287  ,
-308  ,
-318  ,
-321  ,
-328  ,
-325  ,
-324  ,
-310  ,
-305  ,
-306  ,
-317  ,
-348  ,
-389  ,
-442  ,
-508  ,
-561  ,
-600  ,
-611  ,
-618  ,
-585  ,
-551  ,
-486  ,
-417  ,
-333  ,
-238  ,
-154  ,
-82 ,
-32 ,
-5  ,
9 ,
1 ,
-17 ,
-45 ,
-75 ,
-99 ,
-124  ,
-126  ,
-123  ,
-106  ,
-85 ,
-69 ,
-49 ,
-51 ,
-42 ,
-47 ,
-32 ,
-22 ,
11  ,
54  ,
103 ,
163 ,
218 ,
270 ,
306 ,
336 ,
337 ,
336 ,
328 ,
333 ,
359 ,
400 ,
459 ,
507 ,
549 ,
578 ,
601 ,
622 ,
629 ,
645 ,
649 ,
660 ,
676 ,
697 ,
722 ,
741 ,
761 ,
778 ,
791 ,
790 ,
776 ,
748 ,
704 ,
639 ,
555 ,
453 ,
346 ,
242 ,
159 ,
87  ,
43  ,
7 ,
-3  ,
-5  ,
19  ,
34  ,
69  ,
89  ,
115 ,
127 ,
130 ,
122 ,
101 ,
74  ,
48  ,
26  ,
5 ,
-14 ,
-34 ,
-48 ,
-65 ,
-66 ,
-68 ,
-70 ,
-72 ,
-81 ,
-81 ,
-85 ,
-81 ,
-73 ,
-67 ,
-60 ,
-60 ,
-58 ,
-66 ,
-68 ,
-84 ,
-116  ,
-148  ,
-178  ,
-187  ,
-193  ,
-169  ,
-146  ,
-112  ,
-93 ,
-66 ,
-40 ,
-30 ,
-15 ,
-15 ,
-6  ,
-2  ,
15  ,
44  ,
78  ,
114 ,
150 ,
186 ,
219 ,
238 ,
249 ,
241 ,
222 ,
177 ,
120 ,
51  ,
-22 ,
-87 ,
-152  ,
-198  ,
-222  ,
-226  ,
-223  ,
-202  ,
-189  ,
-160  ,
-132  ,
-91 ,
-35 ,
12  ,
58  ,
86  ,
101 ,
104 ,
94  ,
88  ,
74  ,
68  ,
56  ,
43  ,
33  ,
25  ,
17  ,
19  ,
20  ,
28  ,
25  ,
26  ,
27  ,
35  ,
44  ,
48  ,
53  ,
53  ,
47  ,
45  ,
18  ,
-2  ,
-46 ,
-68 ,
-81 ,
-78 ,
-68 ,
-59 ,
-58 ,
-54 ,
-53 ,
-56 ,
-55 ,
-65 ,
-72 ,
-80 ,
-93 ,
-95 ,
-113  ,
-116  ,
-125  ,
-117  ,
-107  ,
-97 ,
-92 ,
-107  ,
-125  ,
-158  ,
-192  ,
-230  ,
-264  ,
-293  ,
-312  ,
-328  ,
-328  ,
-331  ,
-320  ,
-310  ,
-274  ,
-254  ,
-209  ,
-169  ,
-114  ,
-70 ,
-23 ,
11  ,
37  ,
43  ,
47  ,
39  ,
39  ,
32  ,
23  ,
3 ,
-17 ,
-40 ,
-50 ,
-55 ,
-54 ,
-39 ,
-30 ,
-13 ,
5 ,
37  ,
65  ,
102 ,
135 ,
173 ,
195 ,
214 ,
211 ,
210 ,
195 ,
187 ,
177 ,
169 ,
165 ,
143 ,
122 ,
96  ,
85  ,
81  ,
69  ,
71  ,
54  ,
43  ,
23  ,
9 ,
-5  ,
-29 ,
-48 ,
-60 ,
-70 ,
-76 ,
-84 ,
-102  ,
-121  ,
-154  ,
-188  ,
-221  ,
-247  ,
-267  ,
-275  ,
-284  ,
-276  ,
-279  ,
-261  ,
-248  ,
-217  ,
-190  ,
-166  ,
-139  ,
-102  ,
-67 ,
-34 ,
-10 ,
2 ,
8 ,
-6  ,
-25 ,
-43 ,
-55 ,
-63 ,
-64 ,
-78 ,
-81 ,
-106  ,
-123  ,
-152  ,
-163  ,
-183  ,
-185  ,
-181  ,
-159  ,
-129  ,
-90 ,
-59 ,
-22 ,
9 ,
45  ,
73  ,
98  ,
126 ,
160 ,
193 ,
229 ,
259 ,
271 ,
277 ,
276 ,
288 ,
305 ,
331 ,
362 ,
394 ,
407 ,
427 ,
427 ,
431 ,
416 ,
401 ,
379 ,
365 ,
339 ,
316 ,
290 ,
256 ,
213 ,
166 ,
107 ,
54  ,
-12 ,
-65 ,
-113  ,
-154  ,
-178  ,
-206  ,
-216  ,
-225  ,
-230  ,
-237  ,
-236  ,
-226  ,
-211  ,
-195  ,
-167  ,
-146  ,
-122  ,
-119  ,
-123  ,
-130  ,
-131  ,
-128  ,
-116  ,
-103  ,
-100  ,
-105  ,
-130  ,
-153  ,
-177  ,
-187  ,
-204  ,
-190  ,
-172  ,
-131  ,
-89 ,
-43 ,
-3  ,
26  ,
46  ,
51  ,
54  ,
49  ,
63  ,
83  ,
111 ,
139 ,
148 ,
149 ,
129 ,
128 ,
117 ,
135 ,
155 ,
188 ,
221 ,
251 ,
287 ,
319 ,
342 ,
363 ,
376 ,
399 ,
405 ,
411 ,
412 ,
416 ,
407 ,
404 ,
377 ,
351 ,
318 ,
281 ,
251 ,
215 ,
187 ,
151 ,
123 ,
97  ,
72  ,
54  ,
26  ,
26  ,
16  ,
23  ,
25  ,
35  ,
36  ,
40  ,
23  ,
21  ,
1 ,
-8  ,
-23 ,
-23 ,
-30 ,
-28 ,
-61 ,
-101  ,
-160  ,
-208  ,
-268  ,
-303  ,
-341  ,
-351  ,
-354  ,
-356  ,
-339  ,
-340  ,
-334  ,
-356  ,
-371  ,
-412  ,
-435  ,
-460  ,
-468  ,
-471  ,
-476  ,
-482  ,
-494  ,
-506  ,
-521  ,
-533  ,
-541  ,
-536  ,
-532  ,
-518  ,
-510  ,
-485  ,
-478  ,
-469  ,
-474  ,
-474  ,
-477  ,
-480  ,
-488  ,
-500  ,
-505  ,
-516  ,
-507  ,
-508  ,
-500  ,
-495  ,
-488  ,
-480  ,
-458  ,
-434  ,
-399  ,
-363  ,
-333  ,
-300  ,
-273  ,
-229  ,
-182  ,
-122  ,
-64 ,
-2  ,
60  ,
101 ,
142 ,
161 ,
190 ,
219 ,
259 ,
296 ,
341 ,
375 ,
399 ,
407 ,
397 ,
383 ,
371 ,
360 ,
374 ,
402 ,
441 ,
490 ,
538 ,
595 ,
647 ,
687 ,
715 ,
721 ,
718 ,
708 ,
714 ,
725 ,
740 ,
744 ,
742 ,
734 ,
716 ,
688 ,
660 ,
620 ,
591 ,
552 ,
531 ,
501 ,
475 ,
439 ,
392 ,
346 ,
287 ,
234 ,
169 ,
104 ,
39  ,
-20 ,
-66 ,
-110  ,
-132  ,
-157  ,
-162  ,
-178  ,
-171  ,
-166  ,
-153  ,
-139  ,
-130  ,
-136  ,
-149  ,
-169  ,
-172  ,
-177  ,
-175  ,
-180  ,
-185  ,
-192  ,
-209  ,
-231  ,
-257  ,
-288  ,
-303  ,
-336  ,
-342  ,
-362  ,
-379  ,
-411  ,
-445  ,
-492  ,
-537  ,
-579  ,
-606  ,
-624  ,
-612  ,
-589  ,
-544  ,
-498  ,
-432  ,
-374  ,
-328  ,
-284  ,
-266  ,
-235  ,
-216  ,
-181  ,
-143  ,
-99 ,
-59 ,
-5  ,
41  ,
86  ,
123 ,
149 ,
168 ,
188 ,
213 ,
238 ,
273 ,
301 ,
332 ,
351 ,
355 ,
351 ,
341 ,
320 ,
300 ,
274 ,
255 ,
238 ,
226 ,
219 ,
219 ,
213 ,
217 ,
214 ,
220 ,
242 ,
256 ,
279 ,
279 ,
275 ,
264 ,
255 ,
244 ,
242 ,
239 ,
244 ,
235 ,
243 ,
235 ,
243 ,
241 ,
249 ,
257 ,
274 ,
278 ,
285 ,
276 ,
261 ,
239 ,
204 ,
179 ,
148 ,
136 ,
124 ,
137 ,
149 ,
184 ,
201 ,
226 ,
224 ,
230 ,
209 ,
209 ,
188 ,
182 ,
173 ,
175 ,
180 ,
202 ,
211 ,
224 ,
232 ,
228 ,
223 ,
220 ,
229 ,
238 ,
262 ,
274 ,
306 ,
319 ,
341 ,
332 ,
321 ,
289 ,
253 ,
209 ,
159 ,
121 ,
78  ,
48  ,
19  ,
-4  ,
-23 ,
-43 ,
-61 ,
-72 ,
-80 ,
-97 ,
-118  ,
-145  ,
-174  ,
-210  ,
-225  ,
-247  ,
-250  ,
-264  ,
-276  ,
-282  ,
-297  ,
-298  ,
-307  ,
-305  ,
-303  ,
-296  ,
-295  ,
-300  ,
-321  ,
-353  ,
-395  ,
-436  ,
-476  ,
-512  ,
-542  ,
-563  ,
-572  ,
-565  ,
-552  ,
-537  ,
-533  ,
-528  ,
-531  ,
-524  ,
-517  ,
-504  ,
-489  ,
-479  ,
-459  ,
-426  ,
-395  ,
-368  ,
-355  ,
-336  ,
-349  ,
-343  ,
-349  ,
-336  ,
-325  ,
-315  ,
-294  ,
-276  ,
-257  ,
-240  ,
-231  ,
-227  ,
-227  ,
-233  ,
-244  ,
-263  ,
-277  ,
-282  ,
-273  ,
-260  ,
-227  ,
-194  ,
-151  ,
-105  ,
-49 ,
3 ,
59  ,
101 ,
140 ,
155 ,
175 ,
183 ,
206 ,
218 ,
243 ,
256 ,
275 ,
280 ,
296 ,
313 ,
341 ,
360 ,
374 ,
382 ,
376 ,
375 ,
366 ,
364 ,
362 ,
357 ,
347 ,
352 ,
359 ,
385 ,
405 ,
429 ,
443 ,
455 ,
465 ,
477 ,
488 ,
493 ,
496 ,
490 ,
492 ,
491 ,
503 ,
502 ,
494 ,
475 ,
442 ,
394 ,
342 ,
290 ,
238 ,
187 ,
138 ,
102 ,
56  ,
17  ,
-21 ,
-55 ,
-87 ,
-130  ,
-160  ,
-205  ,
-229  ,
-267  ,
-276  ,
-306  ,
-305  ,
-311  ,
-300  ,
-285  ,
-277  ,
-266  ,
-268  ,
-261  ,
-267  ,
-274  ,
-301  ,
-325  ,
-359  ,
-387  ,
-407  ,
-427  ,
-436  ,
-452  ,
-467  ,
-478  ,
-489  ,
-486  ,
-501  ,
-507  ,
-524  ,
-535  ,
-544  ,
-554  ,
-552  ,
-568  ,
-577  ,
-592  ,
-585  ,
-566  ,
-533  ,
-490  ,
-443  ,
-406  ,
-366  ,
-332  ,
-294  ,
-243  ,
-203  ,
-150  ,
-94 ,
-22 ,
65  ,
133 ,
216 ,
276 ,
340 ,
389 ,
426 ,
466 ,
484 ,
499 ,
511 ,
521 ,
531 ,
533 ,
535 ,
533 ,
528 ,
520 ,
517 ,
501 ,
490 ,
465 ,
457 ,
436 ,
426 ,
408 ,
401 ,
401 ,
405 ,
411 ,
425 ,
434 ,
441 ,
438 ,
424 ,
400 ,
374 ,
342 ,
316 ,
295 ,
286 ,
285 ,
279 ,
287 ,
279 ,
290 ,
280 ,
272 ,
267 ,
249 ,
238 ,
217 ,
202 ,
178 ,
151 ,
109 ,
80  ,
53  ,
51  ,
46  ,
49  ,
49  ,
38  ,
38  ,
24  ,
18  ,
11  ,
-6  ,
-16 ,
-21 ,
-6  ,
14  ,
48  ,
76  ,
111 ,
130 ,
145 ,
149 ,
151 ,
151 ,
141 ,
143 ,
137 ,
130 ,
112 ,
91  ,
66  ,
39  ,
12  ,
-15 ,
-46 ,
-80 ,
-124  ,
-156  ,
-198  ,
-214  ,
-236  ,
-225  ,
-226  ,
-202  ,
-198  ,
-179  ,
-179  ,
-175  ,
-191  ,
-211  ,
-233  ,
-270  ,
-296  ,
-335  ,
-353  ,
-363  ,
-355  ,
-339  ,
-311  ,
-286  ,
-259  ,
-251  ,
-247  ,
-246  ,
-254  ,
-266  ,
-279  ,
-293  ,
-314  ,
-343  ,
-365  ,
-392  ,
-393  ,
-393  ,
-378  ,
-373  ,
-364  ,
-362  ,
-358  ,
-361  ,
-371  ,
-384  ,
-396  ,
-385  ,
-365  ,
-332  ,
-296  ,
-257  ,
-221  ,
-200  ,
-173  ,
-155  ,
-142  ,
-136  ,
-142  ,
-151  ,
-146  ,
-149  ,
-143  ,
-141  ,
-145  ,
-150  ,
-159  ,
-159  ,
-155  ,
-147  ,
-150  ,
-147  ,
-136  ,
-132  ,
-108  ,
-88 ,
-45 ,
-3  ,
42  ,
95  ,
144 ,
193 ,
223 ,
239 ,
242 ,
230 ,
204 ,
175 ,
144 ,
138 ,
137 ,
156 ,
178 ,
203 ,
227 ,
235 ,
236 ,
235 ,
232 ,
225 ,
221 ,
215 ,
205 ,
181 ,
158 ,
135 ,
122 ,
113 ,
118 ,
121 ,
119 ,
111 ,
95  ,
89  ,
70  ,
51  ,
23  ,
7 ,
-8  ,
-6  ,
-5  ,
7 ,
16  ,
31  ,
29  ,
37  ,
16  ,
-13 ,
-69 ,
-124  ,
-182  ,
-224  ,
-261  ,
-287  ,
-316  ,
-342  ,
-378  ,
-402  ,
-434  ,
-449  ,
-464  ,
-476  ,
-481  ,
-484  ,
-480  ,
-472  ,
-459  ,
-426  ,
-401  ,
-341  ,
-296  ,
-227  ,
-195  ,
-164  ,
-159  ,
-156  ,
-163  ,
-173  ,
-185  ,
-199  ,
-200  ,
-191  ,
-169  ,
-139  ,
-110  ,
-85 ,
-75 ,
-68 ,
-76 ,
-81 ,
-88 ,
-91 ,
-88 ,
-83 ,
-67 ,
-53 ,
-42 ,
-24 ,
-9  ,
16  ,
36  ,
65  ,
99  ,
136 ,
174 ,
216 ,
240 ,
269 ,
291 ,
330 ,
385 ,
453 ,
539 ,
630 ,
709 ,
782 ,
828 ,
864 ,
867 ,
861 ,
844 ,
818 ,
804 ,
788 ,
777 ,
755 ,
732 ,
694 ,
664 ,
629 ,
594 ,
560 ,
517 ,
485 ,
449 ,
427 ,
404 ,
397 ,
388 ,
392 ,
401 ,
421 ,
431 ,
431 ,
419 ,
393 ,
362 ,
322 ,
274 ,
223 ,
178 ,
133 ,
108 ,
87  ,
72  ,
60  ,
40  ,
19  ,
-11 ,
-40 ,
-62 ,
-83 ,
-94 ,
-112  ,
-121  ,
-136  ,
-157  ,
-174  ,
-202  ,
-221  ,
-247  ,
-275  ,
-292  ,
-318  ,
-329  ,
-347  ,
-369  ,
-391  ,
-407  ,
-413  ,
-408  ,
-385  ,
-348  ,
-285  ,
-212  ,
-132  ,
-59 ,
5 ,
45  ,
58  ,
61  ,
43  ,
39  ,
40  ,
54  ,
76  ,
93  ,
97  ,
101 ,
88  ,
79  ,
68  ,
65  ,
62  ,
69  ,
78  ,
83  ,
85  ,
81  ,
82  ,
90  ,
106 ,
124 ,
144 ,
153 ,
157 ,
147 ,
135 ,
117 ,
86  ,
61  ,
34  ,
29  ,
25  ,
24  ,
30  ,
29  ,
29  ,
28  ,
16  ,
8 ,
-14 ,
-25 ,
-39 ,
-47 ,
-58 ,
-67 ,
-80 ,
-99 ,
-126  ,
-161  ,
-197  ,
-244  ,
-277  ,
-313  ,
-324  ,
-345  ,
-364  ,
-398  ,
-429  ,
-457  ,
-482  ,
-484  ,
-470  ,
-417  ,
-359  ,
-283  ,
-223  ,
-177  ,
-155  ,
-174  ,
-201  ,
-252  ,
-284  ,
-314  ,
-325  ,
-327  ,
-330  ,
-336  ,
-347  ,
-353  ,
-361  ,
-361  ,
-349  ,
-339  ,
-323  ,
-311  ,
-290  ,
-277  ,
-252  ,
-229  ,
-193  ,
-159  ,
-129  ,
-102  ,
-87 ,
-73 ,
-67 ,
-66 ,
-76 ,
-74 ,
-91 ,
-82 ,
-89 ,
-71 ,
-58 ,
-40 ,
-18 ,
-1  ,
8 ,
15  ,
14  ,
22  ,
23  ,
35  ,
57  ,
80  ,
109 ,
124 ,
133 ,
122 ,
119 ,
106 ,
116 ,
119 ,
133 ,
138 ,
136 ,
121 ,
97  ,
71  ,
44  ,
32  ,
28  ,
48  ,
89  ,
138 ,
198 ,
241 ,
272 ,
282 ,
248 ,
204 ,
137 ,
79  ,
23  ,
-21 ,
-62 ,
-91 ,
-113  ,
-127  ,
-134  ,
-139  ,
-144  ,
-150  ,
-151  ,
-146  ,
-132  ,
-118  ,
-104  ,
-96 ,
-85 ,
-72 ,
-48 ,
-39 ,
-22 ,
-13 ,
0 ,
-10 ,
-22 ,
-53 ,
-80 ,
-108  ,
-131  ,
-138  ,
-150  ,
-157  ,
-165  ,
-177  ,
-180  ,
-191  ,
-197  ,
-204  ,
-209  ,
-206  ,
-196  ,
-180  ,
-167  ,
-156  ,
-150  ,
-155  ,
-158  ,
-165  ,
-151  ,
-135  ,
-107  ,
-75 ,
-53 ,
-36 ,
-23 ,
-10 ,
6 ,
31  ,
56  ,
100 ,
150 ,
219 ,
305 ,
381 ,
453 ,
502 ,
526 ,
527 ,
509 ,
483 ,
449 ,
425 ,
396 ,
374 ,
348 ,
322 ,
303 ,
282 ,
281 ,
273 ,
270 ,
256 ,
250 ,
236 ,
227 ,
215 ,
209 ,
206 ,
210 ,
212 ,
213 ,
224 ,
222 ,
223 ,
209 ,
193 ,
163 ,
156 ,
131 ,
123 ,
111 ,
104 ,
93  ,
65  ,
60  ,
44  ,
47  ,
51  ,
59  ,
63  ,
70  ,
67  ,
71  ,
67  ,
74  ,
67  ,
49  ,
21  ,
-7  ,
-29 ,
-42 ,
-51 ,
-58 ,
-68 ,
-80 ,
-94 ,
-109  ,
-116  ,
-121  ,
-102  ,
-72 ,
-13 ,
57  ,
135 ,
214 ,
271 ,
328 ,
350 ,
362 ,
358 ,
340 ,
327 ,
307 ,
285 ,
260 ,
238 ,
227 ,
227 ,
230 ,
242 ,
245 ,
249 ,
244 ,
239 ,
230 ,
220 ,
219 ,
219 ,
231 ,
237 ,
235 ,
228 ,
221 ,
223 ,
226 ,
232 ,
232 ,
231 ,
228 ,
220 ,
209 ,
194 ,
177 ,
160 ,
142 ,
128 ,
127 ,
121 ,
125 ,
119 ,
124 ,
126 ,
124 ,
112 ,
94  ,
76  ,
47  ,
9 ,
-37 ,
-88 ,
-135  ,
-175  ,
-213  ,
-251  ,
-294  ,
-342  ,
-382  ,
-420  ,
-445  ,
-463  ,
-468  ,
-464  ,
-440  ,
-408  ,
-358  ,
-315  ,
-289  ,
-255  ,
-257  ,
-259  ,
-288  ,
-323  ,
-361  ,
-408  ,
-444  ,
-480  ,
-502  ,
-517  ,
-515  ,
-508  ,
-483  ,
-457  ,
-425  ,
-397  ,
-366  ,
-340  ,
-317  ,
-294  ,
-271  ,
-247  ,
-227  ,
-215  ,
-197  ,
-186  ,
-167  ,
-159  ,
-142  ,
-135  ,
-115  ,
-103  ,
-86 ,
-61 ,
-43 ,
-24 ,
-13 ,
-9  ,
5 ,
15  ,
45  ,
73  ,
113 ,
146 ,
185 ,
220 ,
252 ,
278 ,
297 ,
301 ,
295 ,
284 ,
264 ,
246 ,
229 ,
206 ,
184 ,
163 ,
136 ,
116 ,
87  ,
68  ,
56  ,
61  ,
76  ,
101 ,
140 ,
181 ,
218 ,
248 ,
261 ,
255 ,
229 ,
200 ,
159 ,
115 ,
72  ,
22  ,
-14 ,
-42 ,
-53 ,
-50 ,
-41 ,
-26 ,
-1  ,
13  ,
28  ,
31  ,
31  ,
20  ,
26  ,
21  ,
35  ,
31  ,
36  ,
35  ,
29  ,
21  ,
1 ,
-17 ,
-44 ,
-61 ,
-83 ,
-97 ,
-115  ,
-132  ,
-156  ,
-187  ,
-212  ,
-243  ,
-269  ,
-281  ,
-287  ,
-278  ,
-265  ,
-256  ,
-242  ,
-242  ,
-235  ,
-250  ,
-262  ,
-289  ,
-320  ,
-348  ,
-370  ,
-383  ,
-387  ,
-400  ,
-409  ,
-418  ,
-424  ,
-422  ,
-419  ,
-391  ,
-354  ,
-292  ,
-229  ,
-147  ,
-75 ,
-3  ,
49  ,
95  ,
113 ,
120 ,
112 ,
90  ,
65  ,
20  ,
-9  ,
-47 ,
-66 ,
-75 ,
-66 ,
-38 ,
-6  ,
35  ,
62  ,
95  ,
111 ,
134 ,
148 ,
159 ,
173 ,
177 ,
180 ,
187 ,
197 ,
217 ,
228 ,
241 ,
250 ,
260 ,
266 ,
274 ,
291 ,
302 ,
317 ,
317 ,
321 ,
320 ,
319 ,
311 ,
307 ,
304 ,
315 ,
329 ,
346 ,
367 ,
371 ,
374 ,
364 ,
348 ,
317 ,
289 ,
253 ,
226 ,
206 ,
192 ,
178 ,
152 ,
122 ,
99  ,
81  ,
90  ,
105 ,
151 ,
193 ,
252 ,
315 ,
378 ,
432 ,
463 ,
485 ,
488 ,
479 ,
459 ,
415 ,
370 ,
301 ,
255 ,
202 ,
175 ,
151 ,
143 ,
139 ,
154 ,
168 ,
184 ,
196 ,
194 ,
188 ,
170 ,
153 ,
132 ,
105 ,
73  ,
56  ,
43  ,
24  ,
8 ,
-25 ,
-56 ,
-91 ,
-121  ,
-140  ,
-153  ,
-165  ,
-177  ,
-199  ,
-221  ,
-244  ,
-259  ,
-279  ,
-281  ,
-283  ,
-267  ,
-272  ,
-259  ,
-273  ,
-276  ,
-293  ,
-309  ,
-338  ,
-373  ,
-416  ,
-459  ,
-507  ,
-545  ,
-585  ,
-616  ,
-657  ,
-691  ,
-722  ,
-744  ,
-747  ,
-742  ,
-707  ,
-667  ,
-599  ,
-532  ,
-453  ,
-385  ,
-333  ,
-299  ,
-282  ,
-281  ,
-295  ,
-317  ,
-346  ,
-376  ,
-394  ,
-403  ,
-395  ,
-373  ,
-334  ,
-288  ,
-231  ,
-171  ,
-108  ,
-52 ,
-8  ,
18  ,
38  ,
39  ,
44  ,
49  ,
51  ,
71  ,
86  ,
106 ,
124 ,
134 ,
145 ,
157 ,
166 ,
193 ,
213 ,
236 ,
256 ,
269 ,
292 ,
302 ,
327 ,
335 ,
363 ,
370 ,
402 ,
420 ,
449 ,
477 ,
497 ,
521 ,
524 ,
511 ,
489 ,
443 ,
407 ,
367 ,
333 ,
294 ,
245 ,
192 ,
130 ,
86  ,
38  ,
25  ,
17  ,
37  ,
63  ,
94  ,
136 ,
168 ,
194 ,
208 ,
205 ,
191 ,
149 ,
98  ,
26  ,
-43 ,
-123  ,
-184  ,
-238  ,
-265  ,
-283  ,
-277  ,
-265  ,
-236  ,
-207  ,
-173  ,
-150  ,
-137  ,
-136  ,
-146  ,
-159  ,
-182  ,
-202  ,
-221  ,
-236  ,
-246  ,
-260  ,
-265  ,
-280  ,
-293  ,
-303  ,
-312  ,
-318  ,
-325  ,
-324  ,
-325  ,
-312  ,
-301  ,
-293  ,
-287  ,
-280  ,
-276  ,
-265  ,
-257  ,
-242  ,
-223  ,
-206  ,
-177  ,
-152  ,
-128  ,
-119  ,
-118  ,
-124  ,
-125  ,
-126  ,
-113  ,
-111  ,
-110  ,
-109  ,
-109  ,
-94 ,
-75 ,
-38 ,
10  ,
70  ,
145 ,
222 ,
316 ,
392 ,
467 ,
522 ,
554 ,
564 ,
546 ,
506 ,
444 ,
377 ,
315 ,
264 ,
228 ,
215 ,
212 ,
239 ,
262 ,
310 ,
346 ,
392 ,
424 ,
448 ,
461 ,
462 ,
466 ,
450 ,
443 ,
425 ,
412 ,
399 ,
370 ,
353 ,
321 ,
308 ,
292 ,
286 ,
277 ,
274 ,
278 ,
279 ,
294 ,
309 ,
311 ,
321 ,
313 ,
313 ,
295 ,
280 ,
256 ,
239 ,
219 ,
211 ,
202 ,
193 ,
164 ,
138 ,
95  ,
60  ,
21  ,
-11 ,
-39 ,
-67 ,
-95 ,
-126  ,
-147  ,
-167  ,
-166  ,
-153  ,
-134  ,
-89 ,
-47 ,
15  ,
69  ,
117 ,
152 ,
168 ,
163 ,
136 ,
91  ,
28  ,
-44 ,
-114  ,
-176  ,
-207  ,
-232  ,
-233  ,
-224  ,
-199  ,
-167  ,
-134  ,
-92 ,
-74 ,
-42 ,
-38 ,
-20 ,
-18 ,
-19 ,
-31 ,
-43 ,
-58 ,
-69 ,
-89 ,
-113  ,
-138  ,
-155  ,
-165  ,
-161  ,
-163  ,
-147  ,
-138  ,
-113  ,
-90 ,
-54 ,
-30 ,
-3  ,
7 ,
-1  ,
-15 ,
-48 ,
-69 ,
-104  ,
-114  ,
-110  ,
-105  ,
-102  ,
-117  ,
-150  ,
-182  ,
-225  ,
-260  ,
-299  ,
-325  ,
-357  ,
-386  ,
-418  ,
-449  ,
-462  ,
-471  ,
-468  ,
-450  ,
-416  ,
-372  ,
-319  ,
-268  ,
-215  ,
-176  ,
-146  ,
-148  ,
-165  ,
-199  ,
-242  ,
-294  ,
-344  ,
-384  ,
-411  ,
-416  ,
-396  ,
-348  ,
-287  ,
-218  ,
-150  ,
-90 ,
-37 ,
-3  ,
33  ,
51  ,
81  ,
87  ,
95  ,
94  ,
98  ,
99  ,
97  ,
93  ,
97  ,
105 ,
113 ,
142 ,
161 ,
195 ,
222 ,
262 ,
302 ,
344 ,
391 ,
426 ,
454 ,
452 ,
442 ,
413 ,
392 ,
371 ,
363 ,
370 ,
379 ,
377 ,
372 ,
345 ,
316 ,
275 ,
235 ,
195 ,
159 ,
123 ,
81  ,
40  ,
-2  ,
-37 ,
-68 ,
-83 ,
-98 ,
-96 ,
-88 ,
-76 ,
-55 ,
-38 ,
-22 ,
-23 ,
-43 ,
-90 ,
-149  ,
-222  ,
-295  ,
-367  ,
-429  ,
-477  ,
-507  ,
-500  ,
-470  ,
-421  ,
-367  ,
-316  ,
-270  ,
-244  ,
-205  ,
-189  ,
-165  ,
-167  ,
-173  ,
-186  ,
-198  ,
-211  ,
-226  ,
-248  ,
-271  ,
-277  ,
-292  ,
-285  ,
-293  ,
-272  ,
-249  ,
-219  ,
-176  ,
-134  ,
-102  ,
-67 ,
-51 ,
-47 ,
-58 ,
-79 ,
-110  ,
-123  ,
-140  ,
-130  ,
-120  ,
-97 ,
-87 ,
-67 ,
-65 ,
-48 ,
-60 ,
-51 ,
-60 ,
-45 ,
-37 ,
-15 ,
7 ,
19  ,
49  ,
70  ,
109 ,
150 ,
188 ,
242 ,
291 ,
351 ,
415 ,
468 ,
504 ,
508 ,
482 ,
443 ,
389 ,
335 ,
277 ,
219 ,
180 ,
153 ,
156 ,
183 ,
219 ,
270 ,
313 ,
355 ,
387 ,
415 ,
427 ,
435 ,
424 ,
417 ,
393 ,
376 ,
342 ,
311 ,
267 ,
234 ,
199 ,
190 ,
181 ,
186 ,
184 ,
199 ,
202 ,
219 ,
236 ,
256 ,
267 ,
256 ,
233 ,
188 ,
140 ,
73  ,
11  ,
-35 ,
-77 ,
-91 ,
-105  ,
-125  ,
-144  ,
-174  ,
-203  ,
-230  ,
-259  ,
-281  ,
-298  ,
-319  ,
-322  ,
-336  ,
-334  ,
-345  ,
-341  ,
-328  ,
-297  ,
-258  ,
-208  ,
-163  ,
-110  ,
-78 ,
-42 ,
-38 ,
-35 ,
-70 ,
-110  ,
-170  ,
-227  ,
-289  ,
-342  ,
-378  ,
-390  ,
-369  ,
-331  ,
-274  ,
-225  ,
-166  ,
-130  ,
-88 ,
-53 ,
-26 ,
-9  ,
-3  ,
-9  ,
-10 ,
-26 ,
-47 ,
-66 ,
-92 ,
-112  ,
-126  ,
-121  ,
-107  ,
-92 ,
-70 ,
-45 ,
-19 ,
19  ,
56  ,
100 ,
135 ,
150 ,
153 ,
132 ,
90  ,
42  ,
-6  ,
-45 ,
-70 ,
-90 ,
-89 ,
-96 ,
-96 ,
-98 ,
-103  ,
-105  ,
-122  ,
-134  ,
-157  ,
-182  ,
-199  ,
-220  ,
-232  ,
-251  ,
-260  ,
-264  ,
-259  ,
-233  ,
-209  ,
-175  ,
-145  ,
-119  ,
-93 ,
-80 ,
-77 ,
-85 ,
-120  ,
-157  ,
-213  ,
-256  ,
-301  ,
-317  ,
-322  ,
-293  ,
-261  ,
-215  ,
-173  ,
-128  ,
-80 ,
-38 ,
8 ,
35  ,
58  ,
56  ,
45  ,
22  ,
-8  ,
-60 ,
-97 ,
-147  ,
-170  ,
-189  ,
-177  ,
-168  ,
-134  ,
-101  ,
-57 ,
-13 ,
29  ,
79  ,
115 ,
148 ,
158 ,
155 ,
133 ,
106 ,
70  ,
30  ,
-5  ,
-25 ,
-39 ,
-36 ,
-33 ,
-22 ,
-13 ,
-11 ,
-8  ,
-20 ,
-32 ,
-61 ,
-86 ,
-111  ,
-123  ,
-143  ,
-156  ,
-173  ,
-186  ,
-187  ,
-175  ,
-151  ,
-130  ,
-96 ,
-77 ,
-53 ,
-53 ,
-56 ,
-71 ,
-103  ,
-142  ,
-186  ,
-224  ,
-243  ,
-253  ,
-242  ,
-222  ,
-191  ,
-153  ,
-110  ,
-48 ,
10  ,
71  ,
123 ,
158 ,
166 ,
162 ,
139 ,
107 ,
79  ,
32  ,
6 ,
-27 ,
-47 ,
-59 ,
-65 ,
-48 ,
-27 ,
14  ,
51  ,
93  ,
129 ,
162 ,
193 ,
211 ,
223 ,
220 ,
186 ,
149 ,
91  ,
47  ,
4 ,
-20 ,
-19 ,
-3  ,
19  ,
51  ,
62  ,
94  ,
100 ,
125 ,
140 ,
161 ,
175 ,
180 ,
183 ,
173 ,
169 ,
159 ,
165 ,
187 ,
222 ,
263 ,
305 ,
327 ,
349 ,
344 ,
338 ,
316 ,
279 ,
233 ,
177 ,
121 ,
64  ,
25  ,
-1  ,
-4  ,
13  ,
37  ,
64  ,
95  ,
118 ,
147 ,
170 ,
202 ,
231 ,
247 ,
254 ,
243 ,
214 ,
187 ,
137 ,
110 ,
77  ,
79  ,
78  ,
99  ,
124 ,
162 ,
200 ,
245 ,
280 ,
314 ,
341 ,
360 ,
366 ,
355 ,
331 ,
293 ,
246 ,
194 ,
140 ,
103 ,
72  ,
63  ,
68  ,
82  ,
99  ,
115 ,
148 ,
168 ,
201 ,
222 ,
234 ,
241 ,
231 ,
221 ,
212 ,
202 ,
210 ,
211 ,
231 ,
245 ,
268 ,
288 ,
308 ,
320 ,
329 ,
312 ,
295 ,
249 ,
195 ,
132 ,
82  ,
30  ,
10  ,
-4  ,
3 ,
12  ,
27  ,
39  ,
58  ,
84  ,
121 ,
159 ,
199 ,
232 ,
243 ,
228 ,
192 ,
144 ,
99  ,
57  ,
29  ,
7 ,
8 ,
-16 ,
-25 ,
7 ,
36  ,
71  ,
82  ,
103 ,
110 ,
136 ,
134 ,
143 ,
159 ,
172 ,
142 ,
69  ,
-28 ,
-109  ,
-186  ,
-220  ,
-242  ,
-248  ,
-256  ,
-259  ,
-237  ,
-220  ,
-237  ,
-261  ,
-260  ,
-265  ,
-314  ,
-360  ,
-404  ,
-430  ,
-463  ,
-488  ,
-495  ,
-517  ,
-527  ,
-519  ,
-477  ,
-451  ,
-427  ,
-413  ,
-398  ,
-417  ,
-458  ,
-507  ,
-565  ,
-599  ,
-611  ,
-607  ,
-601  ,
-590  ,
-557  ,
-508  ,
-460  ,
-404  ,
-350  ,
-296  ,
-251  ,
-195  ,
-166  ,
-140  ,
-140  ,
-135  ,
-154  ,
-194  ,
-231  ,
-232  ,
-201  ,
-147  ,
-91 ,
-40 ,
-7  ,
28  ,
78  ,
128 ,
171 ,
216 ,
269 ,
322 ,
352 ,
354 ,
338 ,
309 ,
282 ,
245 ,
204 ,
150 ,
105 ,
85  ,
89  ,
109 ,
121 ,
149 ,
170 ,
198 ,
204 ,
193 ,
167 ,
139 ,
106 ,
61  ,
-14 ,
-72 ,
-112  ,
-118  ,
-107  ,
-98 ,
-86 ,
-85 ,
-74 ,
-69 ,
-63 ,
-71 ,
-85 ,
-103  ,
-141  ,
-202  ,
-263  ,
-300  ,
-319  ,
-297  ,
-265  ,
-241  ,
-218  ,
-194  ,
-142  ,
-98 ,
-65 ,
-38 ,
-7  ,
4 ,
10  ,
-22 ,
-48 ,
-85 ,
-102  ,
-99 ,
-98 ,
-107  ,
-115  ,
-115  ,
-98 ,
-76 ,
-40 ,
-6  ,
25  ,
49  ,
58  ,
55  ,
48  ,
55  ,
73  ,
68  ,
39  ,
-29 ,
-98 ,
-170  ,
-227  ,
-254  ,
-262  ,
-234  ,
-188  ,
-120  ,
-55 ,
-17 ,
30  ,
56  ,
80  ,
65  ,
40  ,
-6  ,
-37 ,
-57 ,
-64 ,
-62 ,
-61 ,
-54 ,
-37 ,
-15 ,
14  ,
57  ,
109 ,
152 ,
165 ,
152 ,
104 ,
36  ,
-19 ,
-57 ,
-77 ,
-82 ,
-83 ,
-70 ,
-65 ,
-40 ,
-11 ,
35  ,
83  ,
123 ,
158 ,
171 ,
169 ,
164 ,
161 ,
146 ,
124 ,
86  ,
68  ,
59  ,
64  ,
95  ,
130 ,
168 ,
193 ,
210 ,
207 ,
215 ,
221 ,
250 ,
268 ,
290 ,
283 ,
262 ,
213 ,
159 ,
97  ,
39  ,
-13 ,
-61 ,
-82 ,
-102  ,
-101  ,
-80 ,
-23 ,
40  ,
113 ,
162 ,
202 ,
214 ,
219 ,
195 ,
160 ,
116 ,
86  ,
79  ,
68  ,
89  ,
102 ,
146 ,
171 ,
222 ,
256 ,
278 ,
275 ,
267 ,
253 ,
227 ,
188 ,
148 ,
111 ,
77  ,
62  ,
54  ,
72  ,
85  ,
120 ,
148 ,
167 ,
172 ,
188 ,
193 ,
200 ,
195 ,
178 ,
156 ,
119 ,
81  ,
40  ,
13  ,
-7  ,
-10 ,
0 ,
-1  ,
3 ,
-2  ,
-4  ,
8 ,
17  ,
31  ,
17  ,
2 ,
-27 ,
-51 ,
-77 ,
-110  ,
-142  ,
-199  ,
-267  ,
-345  ,
-407  ,
-464  ,
-482  ,
-474  ,
-441  ,
-393  ,
-358  ,
-321  ,
-298  ,
-293  ,
-299  ,
-337  ,
-374  ,
-432  ,
-469  ,
-501  ,
-509  ,
-500  ,
-490  ,
-463  ,
-443  ,
-417  ,
-393  ,
-357  ,
-316  ,
-278  ,
-261  ,
-256  ,
-279  ,
-295  ,
-311  ,
-314  ,
-305  ,
-288  ,
-267  ,
-266  ,
-280  ,
-303  ,
-301  ,
-318  ,
-321  ,
-337  ,
-330  ,
-322  ,
-298  ,
-278  ,
-244  ,
-210  ,
-137  ,
-48 ,
39  ,
114 ,
189 ,
290 ,
392 ,
494 ,
581 ,
656 ,
712 ,
779 ,
793 ,
771 ,
734 ,
714 ,
684 ,
655 ,
620 ,
607 ,
564 ,
524 ,
477 ,
455 ,
436 ,
434 ,
451 ,
489 ,
545 ,
598 ,
675 ,
741 ,
794 ,
813 ,
811 ,
776 ,
697 ,
574 ,
466 ,
379 ,
319 ,
260 ,
208 ,
167 ,
171 ,
205 ,
228 ,
233 ,
221 ,
221 ,
197 ,
128 ,
43  ,
-38 ,
-87 ,
-122  ,
-153  ,
-174  ,
-178  ,
-127  ,
-43 ,
51  ,
115 ,
134 ,
109 ,
47  ,
-41 ,
-147  ,
-239  ,
-328  ,
-399  ,
-464  ,
-503  ,
-510  ,
-495  ,
-457  ,
-401  ,
-343  ,
-296  ,
-296  ,
-351  ,
-446  ,
-511  ,
-545  ,
-533  ,
-537  ,
-523  ,
-486  ,
-425  ,
-355  ,
-289  ,
-236  ,
-195  ,
-170  ,
-168  ,
-185  ,
-231  ,
-251  ,
-226  ,
-158  ,
-62 ,
23  ,
98  ,
141 ,
158 ,
132 ,
91  ,
44  ,
16  ,
-18 ,
-37 ,
-45 ,
-28 ,
6 ,
58  ,
127 ,
194 ,
248 ,
288 ,
307 ,
305 ,
297 ,
295 ,
267 ,
213 ,
137 ,
74  ,
27  ,
-5  ,
-29 ,
-33 ,
-15 ,
28  ,
95  ,
147 ,
207 ,
268 ,
338 ,
395 ,
418 ,
415 ,
398 ,
402 ,
419 ,
442 ,
465 ,
497 ,
521 ,
555 ,
578 ,
593 ,
617 ,
636 ,
647 ,
638 ,
599 ,
556 ,
499 ,
449 ,
416 ,
386 ,
361 ,
316 ,
266 ,
227 ,
202 ,
206 ,
222 ,
244 ,
272 ,
307 ,
337 ,
359 ,
365 ,
359 ,
357 ,
339 ,
309 ,
272 ,
222 ,
193 ,
175 ,
161 ,
137 ,
97  ,
64  ,
28  ,
-20 ,
-77 ,
-142  ,
-211  ,
-270  ,
-333  ,
-387  ,
-436  ,
-492  ,
-542  ,
-600  ,
-655  ,
-709  ,
-740  ,
-735  ,
-695  ,
-633  ,
-554  ,
-466  ,
-388  ,
-336  ,
-299  ,
-278  ,
-261  ,
-261  ,
-277  ,
-295  ,
-313  ,
-328  ,
-325  ,
-313  ,
-275  ,
-228  ,
-189  ,
-169  ,
-180  ,
-208  ,
-250  ,
-300  ,
-360  ,
-434  ,
-494  ,
-545  ,
-574  ,
-582  ,
-567  ,
-523  ,
-453  ,
-374  ,
-303  ,
-245  ,
-206  ,
-156  ,
-99 ,
-36 ,
19  ,
60  ,
80  ,
73  ,
46  ,
6 ,
-29 ,
-73 ,
-111  ,
-161  ,
-207  ,
-240  ,
-268  ,
-272  ,
-276  ,
-258  ,
-240  ,
-228  ,
-220  ,
-228  ,
-216  ,
-195  ,
-164  ,
-139  ,
-125  ,
-117  ,
-103  ,
-73 ,
-42 ,
2 ,
52  ,
114 ,
189 ,
247 ,
295 ,
330 ,
367 ,
387 ,
383 ,
352 ,
311 ,
271 ,
242 ,
223 ,
214 ,
219 ,
239 ,
260 ,
275 ,
280 ,
274 ,
264 ,
250 ,
243 ,
224 ,
216 ,
198 ,
208 ,
213 ,
234 ,
249 ,
249 ,
244 ,
207 ,
187 ,
161 ,
155 ,
149 ,
161 ,
175 ,
197 ,
208 ,
196 ,
165 ,
110 ,
32  ,
-50 ,
-167  ,
-293  ,
-419  ,
-531  ,
-617  ,
-666  ,
-688  ,
-684  ,
-667  ,
-640  ,
-615  ,
-589  ,
-572  ,
-568  ,
-558  ,
-551  ,
-542  ,
-523  ,
-496  ,
-470  ,
-433  ,
-405  ,
-366  ,
-343  ,
-330  ,
-328  ,
-331  ,
-328  ,
-334  ,
-347  ,
-376  ,
-405  ,
-434  ,
-448  ,
-453  ,
-448  ,
-432  ,
-417  ,
-407  ,
-402  ,
-407  ,
-397  ,
-392  ,
-369  ,
-354  ,
-339  ,
-336  ,
-316  ,
-304  ,
-282  ,
-256  ,
-234  ,
-210  ,
-194  ,
-180  ,
-162  ,
-134  ,
-100  ,
-65 ,
-15 ,
30  ,
73  ,
117 ,
146 ,
187 ,
207 ,
223 ,
227 ,
219 ,
211 ,
203 ,
202 ,
196 ,
190 ,
165 ,
158 ,
139 ,
127 ,
119 ,
112 ,
126 ,
143 ,
167 ,
208 ,
251 ,
316 ,
378 ,
447 ,
484 ,
513 ,
506 ,
491 ,
451 ,
413 ,
366 ,
342 ,
331 ,
334 ,
354 ,
385 ,
410 ,
425 ,
429 ,
407 ,
376 ,
336 ,
299 ,
263 ,
237 ,
215 ,
206 ,
219 ,
244 ,
281 ,
318 ,
341 ,
340 ,
319 ,
276 ,
217 ,
142 ,
68  ,
-5  ,
-65 ,
-106  ,
-119  ,
-112  ,
-92 ,
-60 ,
-24 ,
14  ,
22  ,
21  ,
9 ,
-5  ,
-21 ,
-32 ,
-34 ,
-6  ,
27  ,
82  ,
134 ,
177 ,
198 ,
197 ,
181 ,
147 ,
105 ,
50  ,
-2  ,
-54 ,
-102  ,
-135  ,
-156  ,
-156  ,
-142  ,
-117  ,
-88 ,
-70 ,
-64 ,
-78 ,
-94 ,
-114  ,
-117  ,
-120  ,
-125  ,
-116  ,
-111  ,
-75 ,
-54 ,
-13 ,
5 ,
33  ,
41  ,
59  ,
60  ,
70  ,
76  ,
94  ,
113 ,
128 ,
143 ,
149 ,
153 ,
158 ,
153 ,
145 ,
124 ,
110 ,
86  ,
64  ,
33  ,
2 ,
-35 ,
-66 ,
-90 ,
-107  ,
-113  ,
-105  ,
-100  ,
-79 ,
-62 ,
-27 ,
7 ,
32  ,
56  ,
66  ,
76  ,
79  ,
73  ,
69  ,
59  ,
56  ,
44  ,
32  ,
4 ,
-9  ,
-27 ,
-31 ,
-45 ,
-61 ,
-72 ,
-81 ,
-95 ,
-103  ,
-106  ,
-102  ,
-91 ,
-85 ,
-58 ,
-21 ,
30  ,
93  ,
146 ,
200 ,
231 ,
249 ,
245 ,
245 ,
230 ,
223 ,
222 ,
228 ,
248 ,
263 ,
306 ,
349 ,
404 ,
439 ,
459 ,
453 ,
418 ,
375 ,
317 ,
268 ,
223 ,
196 ,
179 ,
177 ,
197 ,
218 ,
255 ,
269 ,
294 ,
294 ,
304 ,
301 ,
306 ,
309 ,
324 ,
343 ,
382 ,
414 ,
455 ,
484 ,
506 ,
500 ,
477 ,
429 ,
382 ,
328 ,
280 ,
229 ,
179 ,
128 ,
75  ,
24  ,
-27 ,
-78 ,
-126  ,
-184  ,
-250  ,
-314  ,
-380  ,
-421  ,
-454  ,
-449  ,
-438  ,
-395  ,
-349  ,
-283  ,
-223  ,
-163  ,
-111  ,
-64 ,
-25 ,
8 ,
29  ,
49  ,
66  ,
76  ,
79  ,
75  ,
73  ,
64  ,
59  ,
41  ,
24  ,
-14 ,
-44 ,
-85 ,
-112  ,
-134  ,
-147  ,
-151  ,
-150  ,
-150  ,
-149  ,
-153  ,
-156  ,
-153  ,
-155  ,
-150  ,
-151  ,
-142  ,
-133  ,
-104  ,
-52 ,
14  ,
94  ,
169 ,
231 ,
280 ,
291 ,
283 ,
236 ,
172 ,
108 ,
52  ,
27  ,
22  ,
35  ,
60  ,
77  ,
93  ,
88  ,
73  ,
47  ,
14  ,
-26 ,
-69 ,
-114  ,
-154  ,
-175  ,
-176  ,
-147  ,
-109  ,
-65 ,
-26 ,
-7  ,
-1  ,
-27 ,
-59 ,
-103  ,
-149  ,
-184  ,
-219  ,
-246  ,
-277  ,
-298  ,
-315  ,
-321  ,
-328  ,
-329  ,
-347  ,
-368  ,
-397  ,
-423  ,
-441  ,
-441  ,
-429  ,
-393  ,
-352  ,
-311  ,
-270  ,
-250  ,
-239  ,
-243  ,
-260  ,
-281  ,
-312  ,
-338  ,
-367  ,
-403  ,
-429  ,
-455  ,
-454  ,
-443  ,
-404  ,
-358  ,
-302  ,
-256  ,
-221  ,
-186  ,
-163  ,
-149  ,
-153  ,
-161  ,
-179  ,
-181  ,
-185  ,
-167  ,
-163  ,
-145  ,
-134  ,
-117  ,
-106  ,
-101  ,
-106  ,
-125  ,
-158  ,
-203  ,
-259  ,
-333  ,
-405  ,
-471  ,
-530  ,
-586  ,
-634  ,
-677  ,
-701  ,
-718  ,
-719  ,
-713  ,
-693  ,
-682  ,
-669  ,
-673  ,
-692  ,
-716  ,
-749  ,
-782  ,
-811  ,
-838  ,
-844  ,
-838  ,
-808  ,
-753  ,
-681  ,
-610  ,
-553  ,
-515  ,
-491  ,
-488  ,
-500  ,
-518  ,
-549  ,
-583  ,
-608  ,
-633  ,
-640  ,
-647  ,
-642  ,
-643  ,
-659  ,
-683  ,
-711  ,
-750  ,
-773  ,
-784  ,
-764  ,
-724  ,
-663  ,
-592  ,
-512  ,
-436  ,
-374  ,
-346  ,
-337  ,
-354  ,
-387  ,
-407  ,
-443  ,
-453  ,
-477  ,
-489  ,
-492  ,
-487  ,
-465  ,
-449  ,
-425  ,
-439  ,
-463  ,
-526  ,
-591  ,
-667  ,
-730  ,
-779  ,
-807  ,
-811  ,
-787  ,
-740  ,
-671  ,
-582  ,
-476  ,
-372  ,
-269  ,
-189  ,
-115  ,
-67 ,
-23 ,
5 ,
37  ,
78  ,
123 ,
194 ,
272 ,
378 ,
476 ,
581 ,
665 ,
739 ,
799 ,
841 ,
884 ,
904 ,
923 ,
922 ,
907 ,
884 ,
859 ,
845 ,
832 ,
823 ,
810 ,
811 ,
811 ,
830 ,
864 ,
922 ,
997 ,
1092  ,
1193  ,
1289  ,
1378  ,
1440  ,
1492  ,
1512  ,
1528  ,
1532  ,
1548  ,
1554  ,
1565  ,
1568  ,
1577  ,
1573  ,
1560  ,
1554  ,
1529  ,
1501  ,
1455  ,
1405  ,
1353  ,
1301  ,
1270  ,
1248  ,
1244  ,
1233  ,
1232  ,
1226  ,
1227  ,
1232  ,
1243  ,
1267  ,
1283  ,
1315  ,
1343  ,
1391  ,
1436  ,
1474  ,
1495  ,
1489  ,
1459  ,
1413  ,
1346  ,
1264  ,
1171  ,
1071  ,
979 ,
885 ,
808 ,
740 ,
690 ,
665 ,
647 ,
640 ,
609 ,
579 ,
515 ,
450 ,
368 ,
292 ,
212 ,
140 ,
69  ,
23  ,
-17 ,
-18 ,
-3  ,
50  ,
103 ,
163 ,
201 ,
231 ,
246 ,
245 ,
241 ,
227 ,
199 ,
162 ,
128 ,
94  ,
78  ,
71  ,
71  ,
76  ,
63  ,
45  ,
17  ,
0 ,
-15 ,
-3  ,
8 ,
37  ,
45  ,
76  ,
90  ,
123 ,
145 ,
173 ,
197 ,
211 ,
221 ,
239 ,
257 ,
299 ,
337 ,
384 ,
433 ,
471 ,
501 ,
515 ,
508 ,
497 ,
473 ,
458 ,
432 ,
420 ,
411 ,
421 ,
445 ,
480 ,
526 ,
572 ,
609 ,
645 ,
671 ,
696 ,
718 ,
734 ,
747 ,
741 ,
729 ,
707 ,
679 ,
649 ,
621 ,
596 ,
564 ,
545 ,
536 ,
536 ,
560 ,
584 ,
631 ,
671 ,
715 ,
729 ,
740 ,
727 ,
714 ,
671 ,
636 ,
579 ,
531 ,
488 ,
450 ,
444 ,
439 ,
461 ,
472 ,
494 ,
505 ,
497 ,
469 ,
425 ,
367 ,
293 ,
200 ,
109 ,
13  ,
-61 ,
-126  ,
-171  ,
-214  ,
-264  ,
-318  ,
-379  ,
-431  ,
-499  ,
-565  ,
-648  ,
-730  ,
-815  ,
-902  ,
-979  ,
-1033 ,
-1071 ,
-1078 ,
-1071 ,
-1062 ,
-1053 ,
-1061 ,
-1072 ,
-1091 ,
-1114 ,
-1144 ,
-1176 ,
-1208 ,
-1232 ,
-1257 ,
-1279 ,
-1311 ,
-1358 ,
-1408 ,
-1483 ,
-1560 ,
-1654 ,
-1742 ,
-1831 ,
-1893 ,
-1938 ,
-1957 ,
-1950 ,
-1913 ,
-1859 ,
-1801 ,
-1742 ,
-1691 ,
-1649 ,
-1622 ,
-1603 ,
-1609 ,
-1616 ,
-1633 ,
-1631 ,
-1630 ,
-1608 ,
-1590 ,
-1551 ,
-1518 ,
-1479 ,
-1443 ,
-1409 ,
-1371 ,
-1333 ,
-1293 ,
-1257 ,
-1231 ,
-1206 ,
-1188 ,
-1150 ,
-1118 ,
-1063 ,
-1017 ,
-967  ,
-908  ,
-843  ,
-762  ,
-672  ,
-576  ,
-484  ,
-391  ,
-320  ,
-248  ,
-202  ,
-151  ,
-113  ,
-72 ,
-41 ,
-9  ,
39  ,
85  ,
154 ,
209 ,
272 ,
323 ,
367 ,
397 ,
421 ,
418 ,
404 ,
369 ,
321 ,
259 ,
200 ,
133 ,
87  ,
42  ,
23  ,
16  ,
37  ,
65  ,
113 ,
162 ,
221 ,
265 ,
298 ,
311 ,
314 ,
312 ,
303 ,
288 ,
274 ,
238 ,
189 ,
115 ,
36  ,
-53 ,
-137  ,
-227  ,
-319  ,
-406  ,
-492  ,
-566  ,
-616  ,
-651  ,
-668  ,
-673  ,
-674  ,
-674  ,
-687  ,
-704  ,
-718  ,
-727  ,
-737  ,
-740  ,
-741  ,
-730  ,
-703  ,
-654  ,
-592  ,
-518  ,
-455  ,
-401  ,
-369  ,
-371  ,
-382  ,
-421  ,
-451  ,
-493  ,
-519  ,
-548  ,
-562  ,
-575  ,
-578  ,
-579  ,
-577  ,
-581  ,
-585  ,
-590  ,
-590  ,
-603  ,
-613  ,
-635  ,
-649  ,
-662  ,
-678  ,
-682  ,
-687  ,
-669  ,
-644  ,
-598  ,
-537  ,
-471  ,
-396  ,
-309  ,
-226  ,
-136  ,
-54 ,
11  ,
72  ,
106 ,
137 ,
147 ,
146 ,
150 ,
140 ,
149 ,
141 ,
153 ,
155 ,
167 ,
169 ,
176 ,
190 ,
212 ,
249 ,
283 ,
311 ,
339 ,
360 ,
393 ,
435 ,
477 ,
525 ,
554 ,
582 ,
591 ,
594 ,
582 ,
588 ,
594 ,
613 ,
621 ,
629 ,
633 ,
631 ,
636 ,
643 ,
654 ,
655 ,
645 ,
639 ,
630 ,
626 ,
625 ,
625 ,
628 ,
634 ,
655 ,
677 ,
719 ,
750 ,
790 ,
798 ,
799 ,
769 ,
723 ,
660 ,
588 ,
516 ,
471 ,
432 ,
427 ,
437 ,
470 ,
507 ,
538 ,
567 ,
576 ,
564 ,
541 ,
502 ,
444 ,
378 ,
296 ,
221 ,
139 ,
65  ,
0 ,
-48 ,
-78 ,
-109  ,
-140  ,
-178  ,
-226  ,
-269  ,
-322  ,
-376  ,
-427  ,
-473  ,
-510  ,
-547  ,
-577  ,
-619  ,
-657  ,
-716  ,
-764  ,
-829  ,
-896  ,
-962  ,
-1024 ,
-1059 ,
-1099 ,
-1110 ,
-1124 ,
-1114 ,
-1108 ,
-1093 ,
-1066 ,
-1048 ,
-1017 ,
-998  ,
-953  ,
-922  ,
-864  ,
-829  ,
-761  ,
-722  ,
-656  ,
-603  ,
-531  ,
-470  ,
-404  ,
-342  ,
-297  ,
-269  ,
-264  ,
-267  ,
-288  ,
-306  ,
-324  ,
-322  ,
-304  ,
-278  ,
-236  ,
-181  ,
-121  ,
-57 ,
10  ,
67  ,
128 ,
180 ,
220 ,
252 ,
268 ,
279 ,
293 ,
299 ,
307 ,
314 ,
323 ,
336 ,
361 ,
392 ,
430 ,
457 ,
493 ,
529 ,
553 ,
588 ,
601 ,
624 ,
633 ,
649 ,
655 ,
673 ,
678 ,
693 ,
697 ,
710 ,
731 ,
774 ,
834 ,
903 ,
973 ,
1043  ,
1099  ,
1150  ,
1189  ,
1232  ,
1262  ,
1306  ,
1351  ,
1404  ,
1446  ,
1490  ,
1516  ,
1537  ,
1544  ,
1539  ,
1536  ,
1510  ,
1478  ,
1433  ,
1385  ,
1334  ,
1276  ,
1223  ,
1166  ,
1113  ,
1057  ,
1012  ,
969 ,
941 ,
928 ,
927 ,
938 ,
959 ,
986 ,
1013  ,
1039  ,
1070  ,
1094  ,
1106  ,
1104  ,
1071  ,
1035  ,
978 ,
924 ,
860 ,
804 ,
735 ,
681 ,
636 ,
605 ,
585 ,
571 ,
555 ,
534 ,
513 ,
494 ,
488 ,
492 ,
518 ,
538 ,
563 ,
567 ,
569 ,
553 ,
538 ,
531 ,
527 ,
529 ,
530 ,
542 ,
550 ,
567 ,
581 ,
608 ,
630 ,
652 ,
666 ,
667 ,
666 ,
645 ,
635 ,
615 ,
594 ,
571 ,
549 ,
530 ,
511 ,
505 ,
499 ,
504 ,
504 ,
489 ,
480 ,
448 ,
427 ,
404 ,
395 ,
390 ,
399 ,
415 ,
441 ,
485 ,
532 ,
608 ,
663 ,
717 ,
765 ,
803 ,
823 ,
827 ,
819 ,
805 ,
780 ,
746 ,
722 ,
692 ,
688 ,
678 ,
695 ,
698 ,
695 ,
678 ,
653 ,
624 ,
597 ,
589 ,
594 ,
614 ,
636 ,
654 ,
650 ,
639 ,
628 ,
608 ,
580 ,
545 ,
495 ,
434 ,
360 ,
291 ,
235 ,
188 ,
153 ,
133 ,
112 ,
89  ,
52  ,
17  ,
-12 ,
-49 ,
-83 ,
-123  ,
-167  ,
-207  ,
-236  ,
-254  ,
-264  ,
-262  ,
-255  ,
-240  ,
-236  ,
-245  ,
-268  ,
-300  ,
-334  ,
-371  ,
-408  ,
-444  ,
-482  ,
-512  ,
-533  ,
-549  ,
-562  ,
-568  ,
-559  ,
-550  ,
-539  ,
-524  ,
-528  ,
-523  ,
-540  ,
-555  ,
-579  ,
-607  ,
-642  ,
-663  ,
-690  ,
-704  ,
-710  ,
-702  ,
-691  ,
-673  ,
-667  ,
-660  ,
-670  ,
-671  ,
-688  ,
-699  ,
-710  ,
-712  ,
-717  ,
-713  ,
-729  ,
-753  ,
-800  ,
-854  ,
-920  ,
-976  ,
-1035 ,
-1088 ,
-1126 ,
-1172 ,
-1201 ,
-1245 ,
-1262 ,
-1287 ,
-1287 ,
-1289 ,
-1269 ,
-1257 ,
-1233 ,
-1224 ,
-1209 ,
-1208 ,
-1206 ,
-1205 ,
-1207 ,
-1200 ,
-1200 ,
-1192 ,
-1193 ,
-1182 ,
-1180 ,
-1180 ,
-1191 ,
-1205 ,
-1228 ,
-1254 ,
-1281 ,
-1320 ,
-1361 ,
-1408 ,
-1444 ,
-1467 ,
-1485 ,
-1481 ,
-1468 ,
-1442 ,
-1405 ,
-1377 ,
-1339 ,
-1313 ,
-1289 ,
-1282 ,
-1279 ,
-1289 ,
-1296 ,
-1301 ,
-1293 ,
-1263 ,
-1225 ,
-1164 ,
-1105 ,
-1055 ,
-1017 ,
-1006 ,
-995  ,
-1004 ,
-996  ,
-985  ,
-961  ,
-933  ,
-904  ,
-883  ,
-860  ,
-850  ,
-826  ,
-807  ,
-779  ,
-765  ,
-748  ,
-747  ,
-736  ,
-728  ,
-702  ,
-662  ,
-609  ,
-545  ,
-487  ,
-430  ,
-379  ,
-343  ,
-305  ,
-272  ,
-233  ,
-210  ,
-188  ,
-189  ,
-188  ,
-197  ,
-207  ,
-217  ,
-223  ,
-228  ,
-230  ,
-241  ,
-250  ,
-256  ,
-266  ,
-269  ,
-274  ,
-275  ,
-274  ,
-277  ,
-264  ,
-262  ,
-245  ,
-232  ,
-211  ,
-192  ,
-174  ,
-157  ,
-149  ,
-157  ,
-167  ,
-186  ,
-197  ,
-215  ,
-217  ,
-216  ,
-200  ,
-189  ,
-170  ,
-159  ,
-159  ,
-165  ,
-173  ,
-174  ,
-167  ,
-153  ,
-121  ,
-83 ,
-47 ,
-10 ,
32  ,
67  ,
108 ,
142 ,
168 ,
193 ,
202 ,
215 ,
230 ,
244 ,
274 ,
305 ,
335 ,
371 ,
390 ,
411 ,
424 ,
431 ,
443 ,
448 ,
453 ,
456 ,
457 ,
460 ,
456 ,
458 ,
450 ,
435 ,
416 ,
399 ,
376 ,
362 ,
345 ,
354 ,
360 ,
388 ,
407 ,
435 ,
444 ,
467 ,
477 ,
494 ,
495 ,
498 ,
497 ,
504 ,
498 ,
501 ,
495 ,
483 ,
462 ,
431 ,
397 ,
366 ,
334 ,
321 ,
309 ,
313 ,
302 ,
301 ,
284 ,
284 ,
269 ,
258 ,
242 ,
215 ,
191 ,
168 ,
152 ,
146 ,
146 ,
144 ,
145 ,
138 ,
129 ,
118 ,
105 ,
91  ,
75  ,
45  ,
21  ,
-20 ,
-47 ,
-75 ,
-85 ,
-79 ,
-74 ,
-60 ,
-52 ,
-36 ,
-27 ,
-7  ,
22  ,
51  ,
83  ,
103 ,
112 ,
119 ,
112 ,
118 ,
128 ,
159 ,
188 ,
234 ,
265 ,
305 ,
332 ,
363 ,
386 ,
400 ,
413 ,
410 ,
409 ,
405 ,
407 ,
410 ,
408 ,
402 ,
397 ,
376 ,
351 ,
323 ,
293 ,
270 ,
237 ,
216 ,
191 ,
171 ,
166 ,
175 ,
193 ,
211 ,
223 ,
222 ,
205 ,
175 ,
129 ,
87  ,
40  ,
-1  ,
-44 ,
-79 ,
-125  ,
-155  ,
-180  ,
-187  ,
-201  ,
-208  ,
-250  ,
-297  ,
-361  ,
-434  ,
-486  ,
-538  ,
-563  ,
-569  ,
-575  ,
-566  ,
-560  ,
-530  ,
-502  ,
-459  ,
-415  ,
-366  ,
-327  ,
-293  ,
-268  ,
-252  ,
-247  ,
-247  ,
-244  ,
-237  ,
-227  ,
-216  ,
-201  ,
-190  ,
-179  ,
-175  ,
-181  ,
-194  ,
-213  ,
-227  ,
-245  ,
-250  ,
-261  ,
-269  ,
-285  ,
-295  ,
-304  ,
-300  ,
-288  ,
-280  ,
-257  ,
-255  ,
-261  ,
-259  ,
-259  ,
-237  ,
-221  ,
-188  ,
-161  ,
-143  ,
-114  ,
-91 ,
-58 ,
-42 ,
-26 ,
-32 ,
-47 ,
-81 ,
-103  ,
-124  ,
-118  ,
-92 ,
-31 ,
25  ,
84  ,
126 ,
172 ,
206 ,
234 ,
259 ,
285 ,
302 ,
334 ,
362 ,
416 ,
469 ,
534 ,
604 ,
670 ,
744 ,
813 ,
885 ,
970 ,
1048  ,
1129  ,
1179  ,
1210  ,
1210  ,
1187  ,
1172  ,
1153  ,
1160  ,
1161  ,
1178  ,
1192  ,
1212  ,
1223  ,
1235  ,
1248  ,
1257  ,
1272  ,
1265  ,
1280  ,
1279  ,
1303  ,
1303  ,
1320  ,
1324  ,
1335  ,
1355  ,
1386  ,
1423  ,
1457  ,
1482  ,
1505  ,
1518  ,
1518  ,
1512  ,
1499  ,
1494  ,
1497  ,
1501  ,
1516  ,
1514  ,
1513  ,
1493  ,
1460  ,
1404  ,
1346  ,
1280  ,
1232  ,
1198  ,
1180  ,
1177  ,
1185  ,
1195  ,
1208  ,
1206  ,
1201  ,
1173  ,
1142  ,
1102  ,
1057  ,
1010  ,
962 ,
919 ,
882 ,
839 ,
803 ,
763 ,
732 ,
696 ,
692 ,
670 ,
667 ,
639 ,
607 ,
548 ,
477 ,
398 ,
320 ,
254 ,
194 ,
150 ,
111 ,
84  ,
61  ,
43  ,
29  ,
11  ,
-9  ,
-24 ,
-42 ,
-48 ,
-54 ,
-59 ,
-74 ,
-94 ,
-117  ,
-132  ,
-142  ,
-137  ,
-132  ,
-126  ,
-125  ,
-139  ,
-147  ,
-154  ,
-155  ,
-143  ,
-126  ,
-117  ,
-97 ,
-92 ,
-86 ,
-89 ,
-95 ,
-110  ,
-127  ,
-157  ,
-185  ,
-202  ,
-210  ,
-189  ,
-152  ,
-97 ,
-37 ,
4 ,
32  ,
32  ,
9 ,
-20 ,
-55 ,
-84 ,
-105  ,
-116  ,
-114  ,
-105  ,
-94 ,
-80 ,
-66 ,
-48 ,
-26 ,
5 ,
43  ,
81  ,
117 ,
149 ,
171 ,
182 ,
191 ,
196 ,
201 ,
218 ,
221 ,
245 ,
251 ,
272 ,
278 ,
283 ,
289 ,
289 ,
297 ,
306 ,
325 ,
336 ,
334 ,
313 ,
284 ,
251 ,
228 ,
213 ,
213 ,
221 ,
228 ,
230 ,
229 ,
231 ,
238 ,
242 ,
249 ,
246 ,
245 ,
230 ,
215 ,
203 ,
162 ,
116 ,
19  ,
-65 ,
-171  ,
-254  ,
-333  ,
-389  ,
-426  ,
-459  ,
-494  ,
-532  ,
-584  ,
-644  ,
-721  ,
-801  ,
-889  ,
-985  ,
-1087 ,
-1183 ,
-1266 ,
-1328 ,
-1383 ,
-1431 ,
-1478 ,
-1513 ,
-1540 ,
-1553 ,
-1562 ,
-1561 ,
-1567 ,
-1574 ,
-1594 ,
-1627 ,
-1673 ,
-1723 ,
-1763 ,
-1800 ,
-1830 ,
-1859 ,
-1890 ,
-1936 ,
-1978 ,
-2016 ,
-2046 ,
-2071 ,
-2101 ,
-2128 ,
-2165 ,
-2190 ,
-2216 ,
-2225 ,
-2233 ,
-2236 ,
-2237 ,
-2225 ,
-2197 ,
-2147 ,
-2077 ,
-2004 ,
-1939 ,
-1873 ,
-1808 ,
-1741 ,
-1658 ,
-1583 ,
-1491 ,
-1392 ,
-1286 ,
-1183 ,
-1097 ,
-1030 ,
-989  ,
-957  ,
-945  ,
-928  ,
-913  ,
-884  ,
-839  ,
-763  ,
-674  ,
-568  ,
-477  ,
-381  ,
-306  ,
-247  ,
-204  ,
-179  ,
-160  ,
-153  ,
-141  ,
-127  ,
-97 ,
-67 ,
-12 ,
48  ,
127 ,
204 ,
295 ,
371 ,
438 ,
488 ,
522 ,
550 ,
556 ,
561 ,
552 ,
555 ,
548 ,
551 ,
551 ,
554 ,
544 ,
521 ,
478 ,
441 ,
386 ,
348 ,
315 ,
290 ,
262 ,
234 ,
198 ,
171 ,
139 ,
130 ,
109 ,
110 ,
105 ,
102 ,
85  ,
56  ,
34  ,
17  ,
8 ,
12  ,
10  ,
17  ,
18  ,
16  ,
8 ,
-14 ,
-53 ,
-109  ,
-186  ,
-269  ,
-360  ,
-430  ,
-480  ,
-497  ,
-499  ,
-483  ,
-467  ,
-438  ,
-424  ,
-407  ,
-404  ,
-416  ,
-444  ,
-495  ,
-546  ,
-602  ,
-644  ,
-678  ,
-691  ,
-695  ,
-684  ,
-667  ,
-645  ,
-621  ,
-599  ,
-587  ,
-571  ,
-556  ,
-547  ,
-538  ,
-519  ,
-498  ,
-467  ,
-453  ,
-428  ,
-419  ,
-401  ,
-390  ,
-369  ,
-337  ,
-307  ,
-264  ,
-225  ,
-191  ,
-151  ,
-130  ,
-88 ,
-43 ,
12  ,
69  ,
124 ,
165 ,
220 ,
260 ,
304 ,
347 ,
381 ,
424 ,
465 ,
507 ,
553 ,
601 ,
644 ,
684 ,
713 ,
724 ,
725 ,
717 ,
705 ,
682 ,
650 ,
614 ,
594 ,
588 ,
601 ,
624 ,
669 ,
712 ,
763 ,
799 ,
826 ,
829 ,
810 ,
781 ,
754 ,
718 ,
683 ,
639 ,
611 ,
594 ,
599 ,
612 ,
640 ,
676 ,
699 ,
718 ,
738 ,
762 ,
785 ,
806 ,
827 ,
857 ,
869 ,
888 ,
906 ,
918 ,
939 ,
937 ,
929 ,
897 ,
855 ,
812 ,
772 ,
737 ,
701 ,
661 ,
606 ,
553 ,
497 ,
452 ,
416 ,
389 ,
359 ,
316 ,
251 ,
195 ,
129 ,
63  ,
0 ,
-52 ,
-89 ,
-121  ,
-142  ,
-159  ,
-169  ,
-207  ,
-250  ,
-324  ,
-415  ,
-520  ,
-633  ,
-724  ,
-817  ,
-889  ,
-941  ,
-975  ,
-1001 ,
-1011 ,
-1015 ,
-1013 ,
-1004 ,
-1007 ,
-1017 ,
-1051 ,
-1106 ,
-1161 ,
-1223 ,
-1278 ,
-1306 ,
-1319 ,
-1297 ,
-1255 ,
-1203 ,
-1137 ,
-1086 ,
-1032 ,
-990  ,
-948  ,
-908  ,
-863  ,
-822  ,
-764  ,
-702  ,
-623  ,
-546  ,
-468  ,
-404  ,
-346  ,
-299  ,
-270  ,
-249  ,
-243  ,
-234  ,
-235  ,
-244  ,
-252  ,
-258  ,
-261  ,
-249  ,
-213  ,
-174  ,
-122  ,
-71 ,
-38 ,
0 ,
8 ,
34  ,
57  ,
96  ,
140 ,
193 ,
248 ,
314 ,
388 ,
458 ,
517 ,
562 ,
595 ,
602 ,
607 ,
591 ,
575 ,
545 ,
529 ,
526 ,
544 ,
567 ,
617 ,
673 ,
741 ,
805 ,
853 ,
887 ,
902 ,
906 ,
900 ,
890 ,
865 ,
856 ,
859 ,
892 ,
933 ,
998 ,
1058  ,
1130  ,
1175  ,
1211  ,
1220  ,
1225  ,
1220  ,
1223  ,
1218  ,
1235  ,
1237  ,
1252  ,
1250  ,
1245  ,
1233  ,
1206  ,
1173  ,
1124  ,
1064  ,
998 ,
917 ,
845 ,
784 ,
725 ,
676 ,
623 ,
594 ,
568 ,
558 ,
567 ,
577 ,
581 ,
590 ,
582 ,
582 ,
577 ,
588 ,
604 ,
624 ,
647 ,
663 ,
684 ,
676 ,
670 ,
646 ,
609 ,
566 ,
512 ,
466 ,
416 ,
374 ,
342 ,
310 ,
298 ,
293 ,
305 ,
317 ,
337 ,
369 ,
392 ,
411 ,
420 ,
423 ,
411 ,
385 ,
360 ,
339 ,
344 ,
352 ,
388 ,
423 ,
449 ,
468 ,
471 ,
469 ,
465 ,
449 ,
444 ,
438 ,
441 ,
445 ,
460 ,
478 ,
494 ,
517 ,
528 ,
533 ,
524 ,
503 ,
488 ,
473 ,
468 ,
457 ,
441 ,
431 ,
407 ,
406 ,
395 ,
411 ,
434 ,
465 ,
494 ,
512 ,
528 ,
535 ,
558 ,
576 ,
611 ,
631 ,
664 ,
684 ,
713 ,
726 ,
743 ,
749 ,
742 ,
711 ,
676 ,
634 ,
604 ,
575 ,
562 ,
540 ,
533 ,
510 ,
515 ,
524 ,
545 ,
560 ,
567 ,
554 ,
523 ,
474 ,
421 ,
363 ,
304 ,
252 ,
217 ,
188 ,
171 ,
159 ,
146 ,
141 ,
110 ,
80  ,
27  ,
-21 ,
-68 ,
-105  ,
-131  ,
-141  ,
-145  ,
-130  ,
-111  ,
-82 ,
-65 ,
-56 ,
-62 ,
-66 ,
-97 ,
-120  ,
-159  ,
-198  ,
-234  ,
-280  ,
-320  ,
-345  ,
-364  ,
-370  ,
-370  ,
-373  ,
-368  ,
-367  ,
-360  ,
-356  ,
-356  ,
-353  ,
-348  ,
-343  ,
-321  ,
-299  ,
-268  ,
-257  ,
-248  ,
-250  ,
-269  ,
-308  ,
-355  ,
-412  ,
-455  ,
-504  ,
-534  ,
-569  ,
-591  ,
-615  ,
-612  ,
-612  ,
-605  ,
-609  ,
-613  ,
-635  ,
-656  ,
-698  ,
-741  ,
-805  ,
-867  ,
-939  ,
-977  ,
-1006 ,
-1000 ,
-987  ,
-961  ,
-942  ,
-942  ,
-951  ,
-980  ,
-1004 ,
-1030 ,
-1050 ,
-1063 ,
-1062 ,
-1060 ,
-1041 ,
-1030 ,
-1000 ,
-972  ,
-947  ,
-932  ,
-939  ,
-964  ,
-1011 ,
-1062 ,
-1117 ,
-1165 ,
-1224 ,
-1287 ,
-1339 ,
-1393 ,
-1419 ,
-1445 ,
-1447 ,
-1446 ,
-1437 ,
-1424 ,
-1406 ,
-1382 ,
-1346 ,
-1295 ,
-1229 ,
-1154 ,
-1077 ,
-1009 ,
-949  ,
-897  ,
-855  ,
-813  ,
-790  ,
-762  ,
-756  ,
-752  ,
-764  ,
-769  ,
-763  ,
-751  ,
-732  ,
-709  ,
-689  ,
-668  ,
-645  ,
-623  ,
-602  ,
-592  ,
-592  ,
-600  ,
-617  ,
-638  ,
-654  ,
-650  ,
-627  ,
-575  ,
-516  ,
-464  ,
-414  ,
-379  ,
-346  ,
-320  ,
-298  ,
-275  ,
-266  ,
-253  ,
-258  ,
-253  ,
-255  ,
-235  ,
-215  ,
-178  ,
-156  ,
-136  ,
-139  ,
-144  ,
-179  ,
-210  ,
-258  ,
-302  ,
-360  ,
-423  ,
-492  ,
-552  ,
-592  ,
-621  ,
-639  ,
-659  ,
-669  ,
-679  ,
-670  ,
-646  ,
-606  ,
-547  ,
-485  ,
-418  ,
-350  ,
-287  ,
-230  ,
-192  ,
-149  ,
-128  ,
-117  ,
-122  ,
-139  ,
-148  ,
-158  ,
-158  ,
-150  ,
-138  ,
-127  ,
-101  ,
-82 ,
-47 ,
-16 ,
15  ,
44  ,
60  ,
67  ,
57  ,
44  ,
31  ,
32  ,
38  ,
68  ,
109 ,
160 ,
223 ,
270 ,
320 ,
343 ,
361 ,
366 ,
367 ,
361 ,
346 ,
336 ,
334 ,
337 ,
357 ,
377 ,
415 ,
459 ,
494 ,
527 ,
548 ,
562 ,
568 ,
567 ,
558 ,
552 ,
534 ,
527 ,
517 ,
521 ,
515 ,
512 ,
497 ,
475 ,
454 ,
438 ,
420 ,
425 ,
430 ,
464 ,
493 ,
541 ,
579 ,
619 ,
639 ,
640 ,
628 ,
589 ,
547 ,
492 ,
442 ,
386 ,
346 ,
298 ,
270 ,
236 ,
224 ,
204 ,
207 ,
200 ,
196 ,
174 ,
142 ,
86  ,
28  ,
-35 ,
-86 ,
-134  ,
-172  ,
-183  ,
-180  ,
-132  ,
-90 ,
-34 ,
8 ,
26  ,
25  ,
9 ,
-6  ,
-28 ,
-30 ,
-28 ,
-9  ,
17  ,
45  ,
82  ,
122 ,
177 ,
226 ,
285 ,
325 ,
365 ,
379 ,
388 ,
391 ,
398 ,
412 ,
421 ,
434 ,
441 ,
446 ,
442 ,
423 ,
388 ,
342 ,
305 ,
263 ,
232 ,
217 ,
213 ,
229 ,
257 ,
308 ,
340 ,
374 ,
369 ,
357 ,
325 ,
276 ,
220 ,
149 ,
74  ,
0 ,
-71 ,
-114  ,
-152  ,
-165  ,
-173  ,
-171  ,
-166  ,
-160  ,
-165  ,
-180  ,
-219  ,
-273  ,
-337  ,
-411  ,
-475  ,
-537  ,
-564  ,
-580  ,
-552  ,
-519  ,
-467  ,
-421  ,
-389  ,
-364  ,
-375  ,
-377  ,
-402  ,
-405  ,
-413  ,
-408  ,
-395  ,
-359  ,
-327  ,
-280  ,
-244  ,
-210  ,
-184  ,
-168  ,
-147  ,
-139  ,
-134  ,
-135  ,
-152  ,
-166  ,
-189  ,
-200  ,
-203  ,
-204  ,
-214  ,
-238  ,
-283  ,
-332  ,
-398  ,
-453  ,
-514  ,
-540  ,
-561  ,
-556  ,
-530  ,
-488  ,
-419  ,
-355  ,
-290  ,
-246  ,
-219  ,
-209  ,
-202  ,
-210  ,
-215  ,
-235  ,
-251  ,
-263  ,
-267  ,
-259  ,
-233  ,
-198  ,
-156  ,
-119  ,
-70 ,
-46 ,
-15 ,
-23 ,
-30 ,
-60 ,
-86 ,
-111  ,
-122  ,
-107  ,
-58 ,
12  ,
102 ,
201 ,
287 ,
359 ,
417 ,
454 ,
493 ,
518 ,
559 ,
599 ,
650 ,
692 ,
738 ,
777 ,
815 ,
848 ,
878 ,
901 ,
922 ,
931 ,
939 ,
931 ,
928 ,
926 ,
923 ,
941 ,
951 ,
988 ,
999 ,
1027  ,
1028  ,
1020  ,
992 ,
970 ,
946 ,
932 ,
934 ,
943 ,
981 ,
1041  ,
1116  ,
1207  ,
1287  ,
1349  ,
1392  ,
1409  ,
1408  ,
1380  ,
1353  ,
1299  ,
1260  ,
1201  ,
1153  ,
1118  ,
1087  ,
1089  ,
1092  ,
1109  ,
1124  ,
1119  ,
1111  ,
1078  ,
1035  ,
974 ,
902 ,
830 ,
772 ,
729 ,
718 ,
718 ,
747 ,
771 ,
799 ,
795 ,
783 ,
751 ,
714 ,
668 ,
614 ,
567 ,
522 ,
489 ,
462 ,
447 ,
426 ,
410 ,
377 ,
342 ,
293 ,
244 ,
189 ,
145 ,
99  ,
66  ,
36  ,
16  ,
-1  ,
0 ,
-1  ,
10  ,
15  ,
5 ,
-23 ,
-72 ,
-130  ,
-185  ,
-230  ,
-247  ,
-237  ,
-205  ,
-150  ,
-95 ,
-18 ,
40  ,
91  ,
112 ,
121 ,
104 ,
85  ,
45  ,
7 ,
-48 ,
-85 ,
-117  ,
-131  ,
-129  ,
-107  ,
-79 ,
-37 ,
0 ,
36  ,
59  ,
63  ,
61  ,
32  ,
5 ,
-30 ,
-40 ,
-22 ,
20  ,
76  ,
144 ,
190 ,
238 ,
259 ,
265 ,
271 ,
262 ,
258 ,
255 ,
272 ,
293 ,
327 ,
375 ,
418 ,
455 ,
470 ,
482 ,
477 ,
481 ,
482 ,
488 ,
485 ,
489 ,
491 ,
498 ,
525 ,
555 ,
601 ,
639 ,
673 ,
683 ,
671 ,
634 ,
581 ,
535 ,
480 ,
435 ,
395 ,
374 ,
367 ,
391 ,
426 ,
480 ,
511 ,
526 ,
504 ,
465 ,
410 ,
349 ,
290 ,
221 ,
150 ,
72  ,
-3  ,
-72 ,
-126  ,
-164  ,
-189  ,
-207  ,
-233  ,
-258  ,
-301  ,
-365  ,
-434  ,
-529  ,
-620  ,
-720  ,
-803  ,
-869  ,
-914  ,
-935  ,
-948  ,
-963  ,
-995  ,
-1041 ,
-1107 ,
-1173 ,
-1239 ,
-1278 ,
-1309 ,
-1320 ,
-1331 ,
-1331 ,
-1342 ,
-1358 ,
-1373 ,
-1403 ,
-1436 ,
-1486 ,
-1540 ,
-1599 ,
-1656 ,
-1696 ,
-1730 ,
-1740 ,
-1753 ,
-1758 ,
-1765 ,
-1778 ,
-1785 ,
-1804 ,
-1816 ,
-1839 ,
-1866 ,
-1912 ,
-1956 ,
-2005 ,
-2028 ,
-2028 ,
-2000 ,
-1931 ,
-1851 ,
-1751 ,
-1654 ,
-1559 ,
-1473 ,
-1387 ,
-1316 ,
-1244 ,
-1191 ,
-1139 ,
-1113 ,
-1079 ,
-1044 ,
-1003 ,
-952  ,
-906  ,
-839  ,
-786  ,
-725  ,
-664  ,
-600  ,
-541  ,
-492  ,
-463  ,
-450  ,
-442  ,
-431  ,
-402  ,
-346  ,
-282  ,
-207  ,
-140  ,
-81 ,
-33 ,
4 ,
45  ,
90  ,
151 ,
218 ,
298 ,
370 ,
447 ,
510 ,
571 ,
608 ,
641 ,
641 ,
633 ,
598 ,
555 ,
516 ,
471 ,
446 ,
417 ,
392 ,
364 ,
346 ,
332 ,
332 ,
329 ,
324 ,
292 ,
240 ,
176 ,
107 ,
47  ,
-1  ,
-27 ,
-34 ,
-26 ,
-7  ,
17  ,
43  ,
86  ,
115 ,
145 ,
151 ,
143 ,
114 ,
84  ,
39  ,
8 ,
-34 ,
-70 ,
-110  ,
-144  ,
-187  ,
-209  ,
-235  ,
-235  ,
-239  ,
-247  ,
-259  ,
-292  ,
-325  ,
-359  ,
-386  ,
-394  ,
-400  ,
-386  ,
-374  ,
-355  ,
-351  ,
-356  ,
-374  ,
-396  ,
-427  ,
-454  ,
-469  ,
-455  ,
-435  ,
-383  ,
-340  ,
-292  ,
-259  ,
-234  ,
-221  ,
-214  ,
-213  ,
-221  ,
-232  ,
-249  ,
-254  ,
-263  ,
-252  ,
-225  ,
-181  ,
-129  ,
-81 ,
-43 ,
-8  ,
18  ,
40  ,
57  ,
70  ,
78  ,
89  ,
101 ,
116 ,
154 ,
197 ,
272 ,
339 ,
425 ,
496 ,
557 ,
607 ,
642 ,
668 ,
676 ,
674 ,
662 ,
637 ,
619 ,
592 ,
581 ,
571 ,
570 ,
567 ,
570 ,
572 ,
575 ,
578 ,
584 ,
577 ,
565 ,
550 ,
536 ,
544 ,
550 ,
587 ,
625 ,
657 ,
668 ,
658 ,
622 ,
574 ,
537 ,
521 ,
532 ,
563 ,
597 ,
639 ,
680 ,
719 ,
766 ,
790 ,
822 ,
830 ,
824 ,
807 ,
766 ,
748 ,
721 ,
716 ,
711 ,
709 ,
715 ,
706 ,
711 ,
713 ,
701 ,
683 ,
637 ,
581 ,
503 ,
426 ,
352 ,
292 ,
246 ,
210 ,
172 ,
132 ,
88  ,
53  ,
19  ,
-7  ,
-47 ,
-88 ,
-143  ,
-208  ,
-274  ,
-347  ,
-416  ,
-481  ,
-554  ,
-623  ,
-705  ,
-776  ,
-838  ,
-884  ,
-922  ,
-951  ,
-993  ,
-1028 ,
-1076 ,
-1122 ,
-1167 ,
-1192 ,
-1206 ,
-1191 ,
-1172 ,
-1156 ,
-1156 ,
-1167 ,
-1197 ,
-1221 ,
-1251 ,
-1270 ,
-1275 ,
-1257 ,
-1217 ,
-1148 ,
-1073 ,
-987  ,
-904  ,
-821  ,
-752  ,
-694  ,
-643  ,
-600  ,
-569  ,
-533  ,
-504  ,
-473  ,
-459  ,
-425  ,
-394  ,
-353  ,
-315  ,
-283  ,
-249  ,
-238  ,
-234  ,
-242  ,
-257  ,
-260  ,
-264  ,
-257  ,
-243  ,
-221  ,
-184  ,
-143  ,
-89 ,
-36 ,
19  ,
70  ,
124 ,
169 ,
215 ,
256 ,
297 ,
343 ,
383 ,
421 ,
448 ,
466 ,
478 ,
491 ,
503 ,
516 ,
533 ,
552 ,
564 ,
593 ,
602 ,
624 ,
639 ,
664 ,
699 ,
738 ,
782 ,
829 ,
872 ,
897 ,
914 ,
902 ,
886 ,
867 ,
847 ,
850 ,
870 ,
900 ,
942 ,
982 ,
1026  ,
1055  ,
1082  ,
1095  ,
1105  ,
1096  ,
1074  ,
1031  ,
997 ,
950 ,
926 ,
898 ,
881 ,
871 ,
852 ,
836 ,
813 ,
778 ,
740 ,
695 ,
648 ,
610 ,
565 ,
540 ,
515 ,
518 ,
523 ,
547 ,
567 ,
590 ,
599 ,
608 ,
615 ,
623 ,
624 ,
629 ,
620 ,
616 ,
595 ,
582 ,
565 ,
550 ,
528 ,
501 ,
469 ,
419 ,
380 ,
338 ,
303 ,
275 ,
244 ,
222 ,
194 ,
183 ,
173 ,
186 ,
202 ,
230 ,
244 ,
259 ,
264 ,
264 ,
245 ,
228 ,
212 ,
205 ,
208 ,
219 ,
249 ,
285 ,
324 ,
363 ,
401 ,
431 ,
442 ,
451 ,
446 ,
446 ,
438 ,
444 ,
439 ,
449 ,
454 ,
472 ,
490 ,
505 ,
520 ,
518 ,
517 ,
497 ,
480 ,
451 ,
440 ,
437 ,
450 ,
464 ,
489 ,
521 ,
558 ,
598 ,
630 ,
660 ,
681 ,
696 ,
707 ,
706 ,
707 ,
699 ,
692 ,
688 ,
684 ,
676 ,
658 ,
628 ,
593 ,
551 ,
508 ,
471 ,
432 ,
397 ,
364 ,
343 ,
333 ,
321 ,
317 ,
316 ,
317 ,
323 ,
323 ,
323 ,
303 ,
277 ,
228 ,
186 ,
129 ,
89  ,
48  ,
25  ,
12  ,
15  ,
27  ,
43  ,
56  ,
73  ,
84  ,
89  ,
85  ,
77  ,
66  ,
48  ,
31  ,
13  ,
10  ,
9 ,
17  ,
24  ,
14  ,
-2  ,
-40 ,
-78 ,
-120  ,
-158  ,
-196  ,
-220  ,
-254  ,
-276  ,
-300  ,
-310  ,
-316  ,
-309  ,
-302  ,
-297  ,
-297  ,
-314  ,
-333  ,
-362  ,
-392  ,
-422  ,
-448  ,
-473  ,
-492  ,
-507  ,
-525  ,
-546  ,
-581  ,
-623  ,
-666  ,
-709  ,
-742  ,
-773  ,
-788  ,
-798  ,
-801  ,
-788  ,
-780  ,
-758  ,
-742  ,
-728  ,
-720  ,
-726  ,
-746  ,
-766  ,
-805  ,
-835  ,
-880  ,
-909  ,
-936  ,
-948  ,
-964  ,
-959  ,
-947  ,
-922  ,
-898  ,
-880  ,
-870  ,
-878  ,
-889  ,
-914  ,
-935  ,
-955  ,
-975  ,
-982  ,
-990  ,
-987  ,
-984  ,
-986  ,
-991  ,
-1011 ,
-1040 ,
-1088 ,
-1138 ,
-1193 ,
-1228 ,
-1260 ,
-1278 ,
-1281 ,
-1283 ,
-1258 ,
-1226 ,
-1185 ,
-1127 ,
-1085 ,
-1032 ,
-992  ,
-955  ,
-916  ,
-885  ,
-847  ,
-809  ,
-771  ,
-732  ,
-694  ,
-657  ,
-622  ,
-609  ,
-598  ,
-610  ,
-624  ,
-647  ,
-674  ,
-691  ,
-698  ,
-701  ,
-677  ,
-653  ,
-611  ,
-566  ,
-517  ,
-466  ,
-430  ,
-407  ,
-400  ,
-403  ,
-405  ,
-418  ,
-412  ,
-416  ,
-396  ,
-388  ,
-358  ,
-325  ,
-285  ,
-241  ,
-205  ,
-179  ,
-156  ,
-157  ,
-160  ,
-185  ,
-196  ,
-231  ,
-247  ,
-269  ,
-274  ,
-274  ,
-278  ,
-294  ,
-306  ,
-343  ,
-390  ,
-458  ,
-530  ,
-585  ,
-627  ,
-650  ,
-651  ,
-641  ,
-621  ,
-591  ,
-552  ,
-508  ,
-455  ,
-404  ,
-355  ,
-312  ,
-274  ,
-246  ,
-224  ,
-205  ,
-187  ,
-165  ,
-142  ,
-115  ,
-82 ,
-55 ,
-32 ,
-26 ,
-34 ,
-52 ,
-81 ,
-106  ,
-126  ,
-143  ,
-150  ,
-143  ,
-123  ,
-95 ,
-58 ,
-26 ,
9 ,
30  ,
40  ,
42  ,
31  ,
20  ,
10  ,
14  ,
26  ,
45  ,
74  ,
103 ,
141 ,
187 ,
232 ,
280 ,
311 ,
338 ,
349 ,
359 ,
357 ,
355 ,
359 ,
369 ,
388 ,
420 ,
449 ,
483 ,
508 ,
527 ,
533 ,
521 ,
494 ,
468 ,
437 ,
427 ,
422 ,
435 ,
456 ,
493 ,
522 ,
560 ,
591 ,
628 ,
660 ,
684 ,
689 ,
694 ,
676 ,
668 ,
642 ,
629 ,
602 ,
575 ,
547 ,
518 ,
485 ,
450 ,
412 ,
370 ,
319 ,
269 ,
213 ,
161 ,
114 ,
94  ,
86  ,
101 ,
117 ,
132 ,
140 ,
127 ,
102 ,
59  ,
15  ,
-34 ,
-70 ,
-110  ,
-123  ,
-134  ,
-122  ,
-108  ,
-78 ,
-38 ,
12  ,
64  ,
119 ,
165 ,
203 ,
226 ,
237 ,
243 ,
252 ,
267 ,
291 ,
324 ,
353 ,
387 ,
420 ,
441 ,
456 ,
452 ,
437 ,
407 ,
370 ,
332 ,
301 ,
288 ,
285 ,
289 ,
297 ,
300 ,
308 ,
313 ,
325 ,
335 ,
327 ,
319 ,
283 ,
265 ,
213 ,
179 ,
120 ,
81  ,
30  ,
-12 ,
-60 ,
-92 ,
-122  ,
-155  ,
-195  ,
-240  ,
-296  ,
-349  ,
-409  ,
-453  ,
-486  ,
-495  ,
-479  ,
-451  ,
-427  ,
-424  ,
-434  ,
-462  ,
-499  ,
-541  ,
-578  ,
-615  ,
-632  ,
-635  ,
-615  ,
-579  ,
-531  ,
-476  ,
-405  ,
-343  ,
-269  ,
-219  ,
-161  ,
-129  ,
-101  ,
-82 ,
-75 ,
-60 ,
-44 ,
-14 ,
6 ,
39  ,
54  ,
66  ,
73  ,
63  ,
50  ,
15  ,
-36 ,
-81 ,
-135  ,
-159  ,
-194  ,
-192  ,
-201  ,
-190  ,
-178  ,
-165  ,
-138  ,
-117  ,
-93 ,
-76 ,
-70 ,
-61 ,
-64 ,
-56 ,
-54 ,
-52 ,
-53 ,
-69 ,
-76 ,
-89 ,
-91 ,
-94 ,
-92 ,
-81 ,
-83 ,
-79 ,
-83 ,
-74 ,
-52 ,
-20 ,
38  ,
103 ,
175 ,
230 ,
279 ,
307 ,
314 ,
314 ,
296 ,
278 ,
265 ,
260 ,
281 ,
320 ,
373 ,
440 ,
508 ,
587 ,
659 ,
729 ,
788 ,
838 ,
871 ,
888 ,
900 ,
905 ,
921 ,
930 ,
960 ,
992 ,
1027  ,
1049  ,
1062  ,
1067  ,
1064  ,
1050  ,
1009  ,
974 ,
924 ,
896 ,
874 ,
880 ,
896 ,
930 ,
952 ,
994 ,
1022  ,
1071  ,
1105  ,
1153  ,
1193  ,
1232  ,
1259  ,
1283  ,
1285  ,
1286  ,
1271  ,
1251  ,
1222  ,
1185  ,
1163  ,
1145  ,
1130  ,
1115  ,
1103  ,
1076  ,
1055  ,
1020  ,
1000  ,
979 ,
983 ,
1000  ,
1033  ,
1060  ,
1069  ,
1059  ,
1024  ,
985 ,
926 ,
867 ,
800 ,
738 ,
691 ,
665 ,
648 ,
656 ,
663 ,
696 ,
710 ,
739 ,
739 ,
738 ,
715 ,
681 ,
646 ,
600 ,
556 ,
519 ,
482 ,
459 ,
424 ,
396 ,
368 ,
346 ,
312 ,
285 ,
234 ,
191 ,
128 ,
73  ,
24  ,
-26 ,
-51 ,
-76 ,
-97 ,
-102  ,
-108  ,
-100  ,
-85 ,
-61 ,
-47 ,
-31 ,
-29 ,
-15 ,
-8  ,
-5  ,
-6  ,
-18 ,
-41 ,
-71 ,
-105  ,
-118  ,
-127  ,
-130  ,
-127  ,
-129  ,
-138  ,
-157  ,
-168  ,
-168  ,
-153  ,
-125  ,
-94 ,
-57 ,
-29 ,
-19 ,
-13 ,
-15 ,
-17 ,
-28 ,
-62 ,
-94 ,
-135  ,
-155  ,
-154  ,
-120  ,
-78 ,
-18 ,
31  ,
91  ,
138 ,
181 ,
218 ,
247 ,
264 ,
276 ,
278 ,
281 ,
291 ,
320 ,
347 ,
362 ,
383 ,
391 ,
400 ,
409 ,
413 ,
407 ,
392 ,
358 ,
329 ,
294 ,
263 ,
248 ,
239 ,
244 ,
241 ,
239 ,
223 ,
216 ,
209 ,
218 ,
223 ,
233 ,
227 ,
212 ,
180 ,
133 ,
80  ,
24  ,
-31 ,
-66 ,
-115  ,
-156  ,
-198  ,
-238  ,
-270  ,
-307  ,
-333  ,
-354  ,
-369  ,
-377  ,
-371  ,
-380  ,
-389  ,
-416  ,
-451  ,
-496  ,
-552  ,
-622  ,
-692  ,
-778  ,
-859  ,
-941  ,
-1009 ,
-1062 ,
-1108 ,
-1131 ,
-1145 ,
-1157 ,
-1165 ,
-1178 ,
-1196 ,
-1221 ,
-1267 ,
-1329 ,
-1394 ,
-1469 ,
-1533 ,
-1587 ,
-1643 ,
-1690 ,
-1738 ,
-1770 ,
-1796 ,
-1827 ,
-1847 ,
-1888 ,
-1915 ,
-1956 ,
-1990 ,
-2017 ,
-2030 ,
-2021 ,
-2017 ,
-1999 ,
-1993 ,
-1970 ,
-1945 ,
-1909 ,
-1860 ,
-1807 ,
-1751 ,
-1686 ,
-1635 ,
-1568 ,
-1513 ,
-1454 ,
-1397 ,
-1352 ,
-1315 ,
-1288 ,
-1270 ,
-1249 ,
-1226 ,
-1173 ,
-1121 ,
-1047 ,
-981  ,
-900  ,
-825  ,
-738  ,
-663  ,
-579  ,
-504  ,
-436  ,
-385  ,
-346  ,
-326  ,
-304  ,
-294  ,
-287  ,
-286  ,
-284  ,
-271  ,
-251  ,
-226  ,
-190  ,
-140  ,
-82 ,
-20 ,
40  ,
83  ,
122 ,
143 ,
160 ,
169 ,
163 ,
150 ,
135 ,
112 ,
96  ,
71  ,
61  ,
49  ,
37  ,
23  ,
-3  ,
-27 ,
-55 ,
-78 ,
-97 ,
-123  ,
-146  ,
-168  ,
-183  ,
-190  ,
-189  ,
-179  ,
-171  ,
-153  ,
-131  ,
-112  ,
-76 ,
-42 ,
-1  ,
38  ,
74  ,
89  ,
98  ,
72  ,
52  ,
17  ,
-23 ,
-69 ,
-109  ,
-147  ,
-182  ,
-216  ,
-230  ,
-242  ,
-232  ,
-222  ,
-208  ,
-197  ,
-213  ,
-227  ,
-255  ,
-286  ,
-318  ,
-352  ,
-384  ,
-422  ,
-454  ,
-492  ,
-516  ,
-541  ,
-552  ,
-559  ,
-544  ,
-525  ,
-493  ,
-459  ,
-426  ,
-399  ,
-368  ,
-355  ,
-336  ,
-334  ,
-324  ,
-324  ,
-323  ,
-313  ,
-310  ,
-282  ,
-259  ,
-219  ,
-176  ,
-129  ,
-81 ,
-28 ,
6 ,
48  ,
68  ,
105 ,
136 ,
170 ,
210 ,
249 ,
280 ,
321 ,
355 ,
398 ,
445 ,
488 ,
540 ,
577 ,
614 ,
639 ,
659 ,
661 ,
662 ,
652 ,
635 ,
606 ,
573 ,
543 ,
513 ,
504 ,
500 ,
518 ,
537 ,
563 ,
587 ,
600 ,
607 ,
603 ,
596 ,
580 ,
562 ,
540 ,
518 ,
504 ,
491 ,
491 ,
478 ,
480 ,
477 ,
495 ,
519 ,
556 ,
602 ,
642 ,
687 ,
723 ,
759 ,
785 ,
809 ,
825 ,
832 ,
832 ,
820 ,
809 ,
790 ,
791 ,
791 ,
803 ,
810 ,
816 ,
821 ,
822 ,
828 ,
812 ,
798 ,
767 ,
724 ,
677 ,
631 ,
576 ,
532 ,
483 ,
442 ,
397 ,
359 ,
307 ,
263 ,
212 ,
169 ,
133 ,
95  ,
58  ,
4 ,
-62 ,
-137  ,
-228  ,
-317  ,
-420  ,
-511  ,
-599  ,
-665  ,
-721  ,
-756  ,
-784  ,
-797  ,
-822  ,
-832  ,
-862  ,
-884  ,
-917  ,
-945  ,
-961  ,
-979  ,
-989  ,
-999  ,
-1006 ,
-1004 ,
-1003 ,
-988  ,
-967  ,
-936  ,
-896  ,
-851  ,
-805  ,
-754  ,
-701  ,
-647  ,
-595  ,
-549  ,
-511  ,
-477  ,
-454  ,
-439  ,
-426  ,
-418  ,
-397  ,
-378  ,
-351  ,
-322  ,
-290  ,
-245  ,
-200  ,
-146  ,
-107  ,
-74 ,
-63 ,
-60 ,
-61 ,
-71 ,
-73 ,
-71 ,
-66 ,
-46 ,
-40 ,
-24 ,
-16 ,
-7  ,
12  ,
30  ,
59  ,
88  ,
119 ,
150 ,
188 ,
216 ,
236 ,
257 ,
266 ,
281 ,
283 ,
307 ,
331 ,
378 ,
426 ,
494 ,
547 ,
599 ,
628 ,
657 ,
667 ,
683 ,
685 ,
697 ,
703 ,
707 ,
721 ,
727 ,
738 ,
749 ,
770 ,
789 ,
828 ,
853 ,
909 ,
953 ,
1011  ,
1048  ,
1079  ,
1093  ,
1104  ,
1094  ,
1092  ,
1065  ,
1044  ,
1004  ,
969 ,
937 ,
903 ,
874 ,
857 ,
853 ,
861 ,
868 ,
887 ,
885 ,
887 ,
863 ,
833 ,
796 ,
753 ,
716 ,
679 ,
657 ,
642 ,
636 ,
639 ,
646 ,
639 ,
637 ,
615 ,
607 ,
605 ,
607 ,
623 ,
621 ,
626 ,
607 ,
581 ,
556 ,
519 ,
504 ,
482 ,
484 ,
488 ,
504 ,
514 ,
529 ,
536 ,
541 ,
528 ,
525 ,
509 ,
513 ,
502 ,
509 ,
496 ,
497 ,
480 ,
480 ,
470 ,
488 ,
496 ,
525 ,
538 ,
561 ,
576 ,
598 ,
615 ,
632 ,
645 ,
641 ,
640 ,
616 ,
594 ,
559 ,
535 ,
515 ,
504 ,
496 ,
480 ,
470 ,
462 ,
465 ,
488 ,
505 ,
520 ,
520 ,
501 ,
469 ,
433 ,
389 ,
368 ,
347 ,
359 ,
368 ,
393 ,
415 ,
436 ,
456 ,
468 ,
479 ,
495 ,
510 ,
535 ,
555 ,
577 ,
585 ,
584 ,
580 ,
578 ,
567 ,
566 ,
561 ,
569 ,
583 ,
603 ,
619 ,
636 ,
641 ,
632 ,
623 ,
587 ,
561 ,
518 ,
479 ,
443 ,
406 ,
377 ,
358 ,
339 ,
329 ,
326 ,
320 ,
319 ,
319 ,
318 ,
326 ,
321 ,
311 ,
301 ,
265 ,
233 ,
183 ,
148 ,
115 ,
90  ,
70  ,
50  ,
18  ,
-10 ,
-36 ,
-52 ,
-47 ,
-37 ,
-24 ,
-15 ,
-30 ,
-45 ,
-91 ,
-133  ,
-187  ,
-240  ,
-287  ,
-337  ,
-370  ,
-405  ,
-417  ,
-427  ,
-430  ,
-429  ,
-441  ,
-439  ,
-453  ,
-451  ,
-456  ,
-459  ,
-464  ,
-480  ,
-493  ,
-515  ,
-525  ,
-535  ,
-538  ,
-536  ,
-526  ,
-513  ,
-501  ,
-481  ,
-461  ,
-448  ,
-450  ,
-460  ,
-479  ,
-508  ,
-534  ,
-562  ,
-577  ,
-592  ,
-603  ,
-620  ,
-642  ,
-657  ,
-668  ,
-672  ,
-680  ,
-684  ,
-705  ,
-735  ,
-771  ,
-816  ,
-858  ,
-909  ,
-968  ,
-1022 ,
-1086 ,
-1137 ,
-1186 ,
-1213 ,
-1239 ,
-1242 ,
-1253 ,
-1243 ,
-1244 ,
-1227 ,
-1208 ,
-1189 ,
-1172 ,
-1161 ,
-1153 ,
-1162 ,
-1176 ,
-1208 ,
-1233 ,
-1256 ,
-1264 ,
-1252 ,
-1236 ,
-1202 ,
-1166 ,
-1123 ,
-1088 ,
-1056 ,
-1021 ,
-991  ,
-959  ,
-932  ,
-905  ,
-880  ,
-852  ,
-826  ,
-794  ,
-770  ,
-725  ,
-689  ,
-631  ,
-577  ,
-527  ,
-477  ,
-445  ,
-418  ,
-398  ,
-396  ,
-386  ,
-398  ,
-401  ,
-425  ,
-453  ,
-473  ,
-489  ,
-482  ,
-473  ,
-453  ,
-428  ,
-403  ,
-382  ,
-370  ,
-354  ,
-344  ,
-347  ,
-348  ,
-373  ,
-405  ,
-450  ,
-504  ,
-553  ,
-598  ,
-627  ,
-647  ,
-664  ,
-681  ,
-705  ,
-720  ,
-729  ,
-718  ,
-704  ,
-685  ,
-677  ,
-674  ,
-674  ,
-680  ,
-691  ,
-710  ,
-734  ,
-756  ,
-769  ,
-772  ,
-752  ,
-733  ,
-699  ,
-666  ,
-623  ,
-577  ,
-532  ,
-480  ,
-443  ,
-399  ,
-378  ,
-357  ,
-357  ,
-345  ,
-341  ,
-313  ,
-287  ,
-244  ,
-210  ,
-176  ,
-158  ,
-141  ,
-137  ,
-120  ,
-105  ,
-88 ,
-78 ,
-79 ,
-102  ,
-128  ,
-172  ,
-197  ,
-219  ,
-220  ,
-222  ,
-207  ,
-192  ,
-164  ,
-134  ,
-96 ,
-58 ,
-20 ,
4 ,
31  ,
42  ,
56  ,
59  ,
56  ,
44  ,
36  ,
32  ,
44  ,
70  ,
101 ,
136 ,
180 ,
224 ,
276 ,
329 ,
384 ,
432 ,
467 ,
497 ,
528 ,
538 ,
553 ,
545 ,
553 ,
551 ,
556 ,
570 ,
584 ,
601 ,
615 ,
635 ,
659 ,
684 ,
708 ,
725 ,
722 ,
702 ,
663 ,
620 ,
577 ,
537 ,
504 ,
471 ,
444 ,
415 ,
396 ,
370 ,
361 ,
335 ,
320 ,
290 ,
256 ,
217 ,
164 ,
103 ,
43  ,
-27 ,
-84 ,
-139  ,
-170  ,
-193  ,
-187  ,
-179  ,
-141  ,
-116  ,
-75 ,
-44 ,
-13 ,
16  ,
36  ,
66  ,
78  ,
91  ,
81  ,
73  ,
44  ,
35  ,
30  ,
43  ,
72  ,
93  ,
133 ,
161 ,
198 ,
245 ,
285 ,
321 ,
343 ,
352 ,
356 ,
349 ,
336 ,
321 ,
295 ,
271 ,
235 ,
201 ,
183 ,
167 ,
165 ,
169 ,
178 ,
182 ,
180 ,
166 ,
147 ,
111 ,
63  ,
10  ,
-50 ,
-112  ,
-179  ,
-238  ,
-293  ,
-333  ,
-366  ,
-384  ,
-388  ,
-394  ,
-391  ,
-392  ,
-387  ,
-380  ,
-376  ,
-393  ,
-410  ,
-448  ,
-481  ,
-518  ,
-535  ,
-527  ,
-496  ,
-453  ,
-394  ,
-344  ,
-292  ,
-245  ,
-211  ,
-167  ,
-140  ,
-116  ,
-104  ,
-97 ,
-92 ,
-97 ,
-100  ,
-106  ,
-105  ,
-94 ,
-83 ,
-62 ,
-36 ,
0 ,
41  ,
90  ,
127 ,
154 ,
169 ,
166 ,
161 ,
139 ,
111 ,
78  ,
37  ,
-19 ,
-71 ,
-128  ,
-158  ,
-181  ,
-189  ,
-179  ,
-173  ,
-155  ,
-142  ,
-121  ,
-94 ,
-81 ,
-71 ,
-82 ,
-98 ,
-111  ,
-132  ,
-132  ,
-124  ,
-102  ,
-76 ,
-46 ,
-19 ,
13  ,
49  ,
93  ,
153 ,
203 ,
254 ,
270 ,
275 ,
258 ,
240 ,
227 ,
220 ,
235 ,
265 ,
304 ,
361 ,
421 ,
483 ,
545 ,
595 ,
638 ,
667 ,
691 ,
711 ,
729 ,
753 ,
775 ,
787 ,
778 ,
765 ,
752 ,
745 ,
753 ,
775 ,
809 ,
851 ,
888 ,
922 ,
952 ,
972 ,
988 ,
1000  ,
987 ,
971 ,
934 ,
906 ,
876 ,
851 ,
838 ,
824 ,
821 ,
819 ,
826 ,
848 ,
866 ,
903 ,
930 ,
964 ,
984 ,
998 ,
991 ,
984 ,
975 ,
970 ,
973 ,
968 ,
958 ,
952 ,
948 ,
954 ,
967 ,
993 ,
1025  ,
1058  ,
1082  ,
1099  ,
1105  ,
1092  ,
1063  ,
1023  ,
970 ,
915 ,
876 ,
852 ,
854 ,
873 ,
899 ,
935 ,
960 ,
977 ,
979 ,
976 ,
965 ,
960 ,
940 ,
921 ,
887 ,
851 ,
803 ,
750 ,
700 ,
653 ,
602 ,
575 ,
538 ,
525 ,
506 ,
499 ,
482 ,
463 ,
427 ,
390 ,
339 ,
283 ,
226 ,
170 ,
127 ,
82  ,
40  ,
-11 ,
-52 ,
-84 ,
-99 ,
-89 ,
-71 ,
-38 ,
-17 ,
19  ,
33  ,
61  ,
66  ,
78  ,
68  ,
66  ,
46  ,
39  ,
27  ,
30  ,
30  ,
43  ,
55  ,
57  ,
71  ,
86  ,
119 ,
154 ,
196 ,
221 ,
217 ,
190 ,
147 ,
101 ,
69  ,
52  ,
62  ,
84  ,
110 ,
146 ,
176 ,
212 ,
236 ,
255 ,
264 ,
260 ,
246 ,
232 ,
231 ,
231 ,
244 ,
247 ,
247 ,
241 ,
228 ,
218 ,
214 ,
224 ,
242 ,
266 ,
274 ,
275 ,
261 ,
252 ,
241 ,
231 ,
218 ,
198 ,
169 ,
140 ,
103 ,
73  ,
44  ,
28  ,
6 ,
-1  ,
-8  ,
3 ,
14  ,
44  ,
74  ,
100 ,
109 ,
103 ,
83  ,
47  ,
12  ,
-25 ,
-56 ,
-76 ,
-102  ,
-115  ,
-131  ,
-137  ,
-135  ,
-122  ,
-109  ,
-90 ,
-85 ,
-70 ,
-78 ,
-102  ,
-152  ,
-206  ,
-272  ,
-324  ,
-367  ,
-401  ,
-408  ,
-429  ,
-431  ,
-456  ,
-491  ,
-548  ,
-630  ,
-706  ,
-796  ,
-871  ,
-955  ,
-1021 ,
-1080 ,
-1143 ,
-1198 ,
-1249 ,
-1291 ,
-1323 ,
-1356 ,
-1387 ,
-1417 ,
-1445 ,
-1467 ,
-1492 ,
-1511 ,
-1528 ,
-1551 ,
-1569 ,
-1602 ,
-1620 ,
-1660 ,
-1676 ,
-1703 ,
-1723 ,
-1745 ,
-1768 ,
-1787 ,
-1790 ,
-1778 ,
-1751 ,
-1702 ,
-1648 ,
-1580 ,
-1519 ,
-1461 ,
-1414 ,
-1371 ,
-1335 ,
-1304 ,
-1272 ,
-1234 ,
-1190 ,
-1142 ,
-1091 ,
-1042 ,
-991  ,
-946  ,
-899  ,
-850  ,
-798  ,
-734  ,
-675  ,
-602  ,
-545  ,
-495  ,
-468  ,
-456  ,
-441  ,
-432  ,
-399  ,
-362  ,
-308  ,
-256  ,
-207  ,
-170  ,
-145  ,
-137  ,
-143  ,
-153  ,
-185  ,
-207  ,
-229  ,
-238  ,
-238  ,
-233  ,
-217  ,
-197  ,
-175  ,
-171  ,
-162  ,
-167  ,
-156  ,
-153  ,
-145  ,
-147  ,
-159  ,
-176  ,
-199  ,
-209  ,
-222  ,
-232  ,
-244  ,
-254  ,
-263  ,
-277  ,
-289  ,
-304  ,
-310  ,
-308  ,
-295  ,
-275  ,
-256  ,
-234  ,
-206  ,
-180  ,
-151  ,
-126  ,
-106  ,
-102  ,
-112  ,
-125  ,
-129  ,
-127  ,
-117  ,
-116  ,
-121  ,
-142  ,
-169  ,
-191  ,
-216  ,
-225  ,
-229  ,
-221  ,
-218  ,
-220  ,
-235  ,
-266  ,
-296  ,
-330  ,
-353  ,
-373  ,
-381  ,
-384  ,
-378  ,
-369  ,
-368  ,
-371  ,
-391  ,
-414  ,
-455  ,
-496  ,
-526  ,
-543  ,
-542  ,
-529  ,
-511  ,
-470  ,
-436  ,
-388  ,
-349  ,
-304  ,
-268  ,
-230  ,
-208  ,
-182  ,
-181  ,
-166  ,
-162  ,
-145  ,
-124  ,
-98 ,
-71 ,
-41 ,
-6  ,
28  ,
69  ,
86  ,
106 ,
111 ,
127 ,
138 ,
162 ,
206 ,
252 ,
301 ,
355 ,
389 ,
409 ,
422 ,
421 ,
422 ,
417 ,
424 ,
421 ,
428 ,
411 ,
395 ,
365 ,
338 ,
302 ,
292 ,
271 ,
279 ,
282 ,
286 ,
297 ,
298 ,
303 ,
301 ,
304 ,
306 ,
325 ,
350 ,
383 ,
428 ,
463 ,
507 ,
526 ,
543 ,
540 ,
530 ,
515 ,
505 ,
499 ,
503 ,
514 ,
547 ,
581 ,
617 ,
649 ,
673 ,
700 ,
720 ,
734 ,
728 ,
723 ,
698 ,
680 ,
648 ,
627 ,
611 ,
603 ,
594 ,
592 ,
578 ,
572 ,
546 ,
510 ,
467 ,
414 ,
364 ,
315 ,
275 ,
249 ,
211 ,
183 ,
138 ,
94  ,
35  ,
-23 ,
-96 ,
-166  ,
-238  ,
-310  ,
-368  ,
-426  ,
-481  ,
-542  ,
-598  ,
-667  ,
-720  ,
-785  ,
-814  ,
-836  ,
-834  ,
-832  ,
-824  ,
-824  ,
-820  ,
-832  ,
-831  ,
-834  ,
-824  ,
-809  ,
-784  ,
-751  ,
-726  ,
-705  ,
-685  ,
-674  ,
-661  ,
-660  ,
-658  ,
-659  ,
-647  ,
-630  ,
-595  ,
-548  ,
-480  ,
-417  ,
-350  ,
-294  ,
-238  ,
-196  ,
-165  ,
-143  ,
-137  ,
-141  ,
-146  ,
-163  ,
-162  ,
-163  ,
-147  ,
-130  ,
-103  ,
-75 ,
-47 ,
-26 ,
-18 ,
-4  ,
-9  ,
-3  ,
-1  ,
-3  ,
18  ,
33  ,
64  ,
103 ,
132 ,
172 ,
190 ,
223 ,
235 ,
261 ,
282 ,
314 ,
344 ,
372 ,
398 ,
416 ,
439 ,
466 ,
493 ,
538 ,
583 ,
649 ,
702 ,
762 ,
810 ,
849 ,
875 ,
897 ,
916 ,
947 ,
977 ,
1016  ,
1043  ,
1071  ,
1088  ,
1098  ,
1095  ,
1087  ,
1077  ,
1054  ,
1036  ,
1007  ,
1002  ,
1004  ,
1028  ,
1068  ,
1097  ,
1136  ,
1158  ,
1174  ,
1169  ,
1157  ,
1127  ,
1103  ,
1058  ,
1013  ,
962 ,
920 ,
883 ,
863 ,
848 ,
832 ,
823 ,
808 ,
796 ,
770 ,
749 ,
717 ,
691 ,
667 ,
643 ,
628 ,
617 ,
621 ,
626 ,
638 ,
642 ,
651 ,
646 ,
643 ,
629 ,
617 ,
611 ,
604 ,
599 ,
584 ,
571 ,
552 ,
529 ,
514 ,
504 ,
510 ,
525 ,
543 ,
562 ,
580 ,
581 ,
580 ,
569 ,
561 ,
559 ,
567 ,
579 ,
600 ,
610 ,
627 ,
624 ,
622 ,
612 ,
590 ,
562 ,
531 ,
509 ,
496 ,
504 ,
524 ,
568 ,
589 ,
624 ,
633 ,
633 ,
616 ,
580 ,
541 ,
493 ,
445 ,
395 ,
360 ,
325 ,
313 ,
306 ,
313 ,
326 ,
340 ,
354 ,
362 ,
366 ,
358 ,
353 ,
342 ,
341 ,
347 ,
349 ,
375 ,
391 ,
424 ,
450 ,
480 ,
504 ,
517 ,
521 ,
521 ,
519 ,
516 ,
510 ,
497 ,
484 ,
469 ,
452 ,
436 ,
418 ,
411 ,
406 ,
417 ,
421 ,
438 ,
435 ,
431 ,
412 ,
401 ,
387 ,
378 ,
373 ,
367 ,
372 ,
354 ,
343 ,
319 ,
303 ,
282 ,
252 ,
215 ,
170 ,
137 ,
118 ,
120 ,
140 ,
164 ,
188 ,
201 ,
203 ,
189 ,
163 ,
128 ,
85  ,
41  ,
-12 ,
-61 ,
-105  ,
-140  ,
-155  ,
-157  ,
-145  ,
-133  ,
-118  ,
-114  ,
-118  ,
-141  ,
-180  ,
-216  ,
-267  ,
-300  ,
-344  ,
-364  ,
-377  ,
-373  ,
-357  ,
-338  ,
-336  ,
-335  ,
-356  ,
-381  ,
-411  ,
-434  ,
-445  ,
-451  ,
-450  ,
-448  ,
-449  ,
-446  ,
-443  ,
-434  ,
-421  ,
-410  ,
-392  ,
-381  ,
-374  ,
-365  ,
-372  ,
-387  ,
-407  ,
-427  ,
-446  ,
-468  ,
-488  ,
-517  ,
-551  ,
-590  ,
-639  ,
-676  ,
-730  ,
-780  ,
-842  ,
-893  ,
-936  ,
-962  ,
-970  ,
-960  ,
-951  ,
-941  ,
-941  ,
-958  ,
-979  ,
-1024 ,
-1063 ,
-1117 ,
-1164 ,
-1220 ,
-1258 ,
-1303 ,
-1317 ,
-1325 ,
-1313 ,
-1290 ,
-1265 ,
-1246 ,
-1226 ,
-1221 ,
-1224 ,
-1244 ,
-1264 ,
-1291 ,
-1312 ,
-1319 ,
-1319 ,
-1293 ,
-1253 ,
-1198 ,
-1146 ,
-1094 ,
-1066 ,
-1040 ,
-1023 ,
-1012 ,
-986  ,
-966  ,
-936  ,
-899  ,
-862  ,
-822  ,
-780  ,
-741  ,
-700  ,
-663  ,
-625  ,
-581  ,
-540  ,
-495  ,
-449  ,
-418  ,
-390  ,
-375  ,
-366  ,
-361  ,
-349  ,
-346  ,
-349  ,
-367  ,
-383  ,
-401  ,
-411  ,
-434  ,
-456  ,
-493  ,
-519  ,
-542  ,
-553  ,
-553  ,
-541  ,
-516  ,
-490  ,
-469  ,
-481  ,
-511  ,
-563  ,
-619  ,
-673  ,
-727  ,
-769  ,
-800  ,
-815  ,
-818  ,
-808  ,
-788  ,
-772  ,
-751  ,
-743  ,
-733  ,
-737  ,
-748  ,
-767  ,
-796  ,
-813  ,
-833  ,
-829  ,
-809  ,
-773  ,
-713  ,
-655  ,
-594  ,
-560  ,
-528  ,
-525  ,
-523  ,
-530  ,
-531  ,
-517  ,
-501  ,
-476  ,
-451  ,
-425  ,
-410  ,
-396  ,
-385  ,
-378  ,
-365  ,
-353  ,
-339  ,
-312  ,
-291  ,
-265  ,
-247  ,
-230  ,
-215  ,
-207  ,
-204  ,
-193  ,
-204  ,
-208  ,
-215  ,
-219  ,
-218  ,
-222  ,
-211  ,
-206  ,
-188  ,
-157  ,
-117  ,
-63 ,
-2  ,
60  ,
119 ,
164 ,
186 ,
193 ,
183 ,
167 ,
158 ,
157 ,
164 ,
182 ,
198 ,
236 ,
272 ,
327 ,
378 ,
432 ,
470 ,
502 ,
515 ,
509 ,
492 ,
468 ,
444 ,
430 ,
423 ,
438 ,
463 ,
491 ,
526 ,
541 ,
553 ,
535 ,
503 ,
455 ,
397 ,
351 ,
315 ,
291 ,
268 ,
252 ,
235 ,
206 ,
184 ,
148 ,
132 ,
103 ,
97  ,
88  ,
100 ,
119 ,
129 ,
153 ,
158 ,
171 ,
169 ,
169 ,
159 ,
150 ,
141 ,
133 ,
123 ,
118 ,
101 ,
91  ,
85  ,
88  ,
111 ,
134 ,
178 ,
217 ,
262 ,
294 ,
304 ,
296 ,
263 ,
232 ,
194 ,
174 ,
163 ,
173 ,
191 ,
221 ,
252 ,
289 ,
320 ,
345 ,
357 ,
357 ,
336 ,
303 ,
252 ,
197 ,
140 ,
81  ,
42  ,
13  ,
7 ,
8 ,
16  ,
29  ,
26  ,
26  ,
1 ,
-32 ,
-78 ,
-134  ,
-173  ,
-214  ,
-237  ,
-257  ,
-279  ,
-290  ,
-303  ,
-315  ,
-321  ,
-332  ,
-325  ,
-321  ,
-303  ,
-280  ,
-241  ,
-203  ,
-176  ,
-145  ,
-125  ,
-102  ,
-84 ,
-60 ,
-41 ,
-16 ,
-5  ,
13  ,
24  ,
42  ,
57  ,
81  ,
110 ,
144 ,
176 ,
213 ,
249 ,
279 ,
296 ,
293 ,
271 ,
224 ,
173 ,
127 ,
100 ,
90  ,
98  ,
115 ,
141 ,
172 ,
199 ,
225 ,
239 ,
236 ,
220 ,
178 ,
138 ,
81  ,
27  ,
-23 ,
-65 ,
-82 ,
-87 ,
-73 ,
-42 ,
-8  ,
38  ,
72  ,
107 ,
115 ,
111 ,
87  ,
74  ,
61  ,
64  ,
82  ,
107 ,
138 ,
166 ,
197 ,
228 ,
262 ,
292 ,
325 ,
350 ,
373 ,
396 ,
422 ,
452 ,
481 ,
502 ,
519 ,
528 ,
537 ,
547 ,
555 ,
562 ,
575 ,
577 ,
573 ,
578 ,
568 ,
588 ,
597 ,
629 ,
654 ,
687 ,
714 ,
734 ,
742 ,
729 ,
691 ,
650 ,
593 ,
563 ,
533 ,
546 ,
564 ,
615 ,
665 ,
715 ,
764 ,
792 ,
810 ,
809 ,
784 ,
757 ,
710 ,
673 ,
628 ,
598 ,
576 ,
581 ,
603 ,
647 ,
703 ,
768 ,
826 ,
873 ,
909 ,
921 ,
930 ,
912 ,
900 ,
881 ,
880 ,
882 ,
897 ,
915 ,
943 ,
965 ,
991 ,
999 ,
1004  ,
1000  ,
994 ,
991 ,
999 ,
1003  ,
1017  ,
1014  ,
1018  ,
1003  ,
993 ,
985 ,
985 ,
985 ,
980 ,
970 ,
952 ,
928 ,
902 ,
883 ,
872 ,
867 ,
850 ,
838 ,
814 ,
793 ,
758 ,
712 ,
661 ,
584 ,
501 ,
404 ,
343 ,
293 ,
280 ,
287 ,
298 ,
325 ,
338 ,
353 ,
356 ,
352 ,
319 ,
275 ,
206 ,
137 ,
63  ,
6 ,
-39 ,
-54 ,
-51 ,
-28 ,
7 ,
50  ,
91  ,
128 ,
161 ,
187 ,
202 ,
194 ,
171 ,
137 ,
108 ,
92  ,
79  ,
78  ,
70  ,
75  ,
65  ,
67  ,
66  ,
63  ,
69  ,
70  ,
75  ,
80  ,
80  ,
81  ,
70  ,
72  ,
63  ,
65  ,
64  ,
82  ,
87  ,
104 ,
104 ,
112 ,
109 ,
106 ,
110 ,
125 ,
141 ,
165 ,
184 ,
198 ,
208 ,
198 ,
186 ,
158 ,
128 ,
91  ,
60  ,
43  ,
49  ,
70  ,
115 ,
162 ,
215 ,
270 ,
305 ,
338 ,
339 ,
313 ,
269 ,
200 ,
144 ,
85  ,
40  ,
7 ,
0 ,
-10 ,
6 ,
18  ,
53  ,
80  ,
120 ,
154 ,
178 ,
196 ,
189 ,
180 ,
157 ,
141 ,
131 ,
125 ,
122 ,
120 ,
119 ,
109 ,
105 ,
93  ,
79  ,
60  ,
36  ,
12  ,
-20 ,
-52 ,
-89 ,
-124  ,
-167  ,
-211  ,
-253  ,
-298  ,
-338  ,
-371  ,
-410  ,
-451  ,
-502  ,
-545  ,
-592  ,
-624  ,
-662  ,
-695  ,
-731  ,
-776  ,
-823  ,
-880  ,
-936  ,
-1000 ,
-1070 ,
-1132 ,
-1212 ,
-1264 ,
-1324 ,
-1335 ,
-1341 ,
-1308 ,
-1275 ,
-1223 ,
-1188 ,
-1158 ,
-1153 ,
-1164 ,
-1201 ,
-1257 ,
-1320 ,
-1386 ,
-1445 ,
-1492 ,
-1524 ,
-1535 ,
-1528 ,
-1509 ,
-1479 ,
-1438 ,
-1396 ,
-1335 ,
-1290 ,
-1231 ,
-1190 ,
-1152 ,
-1124 ,
-1103 ,
-1071 ,
-1043 ,
-997  ,
-951  ,
-892  ,
-836  ,
-782  ,
-730  ,
-687  ,
-643  ,
-601  ,
-565  ,
-532  ,
-507  ,
-480  ,
-466  ,
-448  ,
-434  ,
-420  ,
-400  ,
-379  ,
-361  ,
-341  ,
-335  ,
-317  ,
-316  ,
-299  ,
-294  ,
-279  ,
-264  ,
-247  ,
-236  ,
-233  ,
-245  ,
-274  ,
-307  ,
-353  ,
-405  ,
-456  ,
-507  ,
-542  ,
-565  ,
-560  ,
-547  ,
-514  ,
-471  ,
-434  ,
-395  ,
-382  ,
-369  ,
-386  ,
-404  ,
-455  ,
-506  ,
-570  ,
-631  ,
-677  ,
-710  ,
-723  ,
-716  ,
-700  ,
-678  ,
-644  ,
-619  ,
-573  ,
-538  ,
-494  ,
-467  ,
-449  ,
-451  ,
-459  ,
-470  ,
-477  ,
-473  ,
-466  ,
-454  ,
-454  ,
-455  ,
-461  ,
-473  ,
-472  ,
-480  ,
-472  ,
-478  ,
-492  ,
-503  ,
-530  ,
-540  ,
-550  ,
-551  ,
-544  ,
-544  ,
-534  ,
-538  ,
-529  ,
-518  ,
-494  ,
-466  ,
-434  ,
-397  ,
-367  ,
-331  ,
-304  ,
-284  ,
-276  ,
-292  ,
-316  ,
-354  ,
-394  ,
-425  ,
-446  ,
-440  ,
-414  ,
-357  ,
-294  ,
-201  ,
-123  ,
-29 ,
39  ,
105 ,
151 ,
176 ,
186 ,
175 ,
159 ,
130 ,
99  ,
73  ,
47  ,
32  ,
20  ,
16  ,
26  ,
41  ,
61  ,
81  ,
99  ,
111 ,
122 ,
119 ,
121 ,
113 ,
111 ,
111 ,
121 ,
136 ,
145 ,
149 ,
153 ,
155 ,
163 ,
162 ,
171 ,
172 ,
185 ,
185 ,
191 ,
187 ,
189 ,
188 ,
189 ,
199 ,
208 ,
218 ,
235 ,
241 ,
265 ,
282 ,
311 ,
351 ,
398 ,
446 ,
491 ,
525 ,
545 ,
551 ,
532 ,
501 ,
449 ,
409 ,
355 ,
338 ,
324 ,
342 ,
379 ,
423 ,
473 ,
517 ,
535 ,
552 ,
536 ,
528 ,
498 ,
476 ,
424 ,
373 ,
297 ,
224 ,
157 ,
86  ,
39  ,
-24 ,
-57 ,
-104  ,
-135  ,
-177  ,
-205  ,
-234  ,
-262  ,
-287  ,
-323  ,
-357  ,
-393  ,
-422  ,
-442  ,
-445  ,
-450  ,
-449  ,
-465  ,
-483  ,
-499  ,
-515  ,
-516  ,
-519  ,
-503  ,
-494  ,
-484  ,
-476  ,
-464  ,
-457  ,
-446  ,
-430  ,
-419  ,
-398  ,
-390  ,
-367  ,
-348  ,
-318  ,
-280  ,
-228  ,
-183  ,
-125  ,
-94 ,
-47 ,
-28 ,
-2  ,
-3  ,
-19 ,
-57 ,
-111  ,
-160  ,
-202  ,
-219  ,
-218  ,
-193  ,
-146  ,
-101  ,
-45 ,
3 ,
30  ,
68  ,
83  ,
99  ,
103 ,
93  ,
75  ,
53  ,
23  ,
0 ,
-23 ,
-42 ,
-51 ,
-48 ,
-35 ,
-13 ,
13  ,
49  ,
83  ,
128 ,
164 ,
204 ,
239 ,
278 ,
324 ,
370 ,
424 ,
482 ,
536 ,
585 ,
625 ,
656 ,
693 ,
727 ,
764 ,
794 ,
829 ,
853 ,
882 ,
906 ,
923 ,
935 ,
942 ,
953 ,
959 ,
976 ,
986 ,
997 ,
1010  ,
1023  ,
1043  ,
1064  ,
1085  ,
1108  ,
1133  ,
1146  ,
1157  ,
1151  ,
1121  ,
1081  ,
1018  ,
955 ,
891 ,
840 ,
801 ,
790 ,
791 ,
820 ,
853 ,
892 ,
915 ,
932 ,
926 ,
930 ,
917 ,
912 ,
898 ,
880 ,
850 ,
823 ,
783 ,
753 ,
720 ,
699 ,
687 ,
682 ,
679 ,
667 ,
659 ,
652 ,
653 ,
656 ,
658 ,
667 ,
670 ,
680 ,
693 ,
704 ,
720 ,
731 ,
739 ,
738 ,
729 ,
720 ,
713 ,
715 ,
717 ,
725 ,
722 ,
726 ,
709 ,
695 ,
679 ,
654 ,
643 ,
623 ,
616 ,
603 ,
600 ,
606 ,
607 ,
613 ,
612 ,
614 ,
614 ,
617 ,
625 ,
631 ,
625 ,
599 ,
560 ,
499 ,
432 ,
360 ,
300 ,
258 ,
244 ,
248 ,
276 ,
308 ,
345 ,
377 ,
399 ,
424 ,
431 ,
443 ,
443 ,
445 ,
443 ,
425 ,
419 ,
394 ,
382 ,
364 ,
342 ,
336 ,
321 ,
322 ,
323 ,
332 ,
338 ,
352 ,
354 ,
374 ,
385 ,
402 ,
421 ,
446 ,
472 ,
494 ,
492 ,
481 ,
455 ,
422 ,
396 ,
370 ,
356 ,
347 ,
333 ,
331 ,
316 ,
309 ,
283 ,
259 ,
224 ,
194 ,
162 ,
132 ,
124 ,
112 ,
119 ,
119 ,
132 ,
142 ,
146 ,
169 ,
171 ,
201 ,
208 ,
223 ,
211 ,
186 ,
144 ,
87  ,
40  ,
-13 ,
-48 ,
-71 ,
-81 ,
-77 ,
-66 ,
-51 ,
-41 ,
-33 ,
-38 ,
-57 ,
-78 ,
-111  ,
-132  ,
-151  ,
-167  ,
-178  ,
-203  ,
-226  ,
-254  ,
-281  ,
-297  ,
-311  ,
-317  ,
-319  ,
-322  ,
-317  ,
-317  ,
-315  ,
-314  ,
-303  ,
-291  ,
-266  ,
-245  ,
-223  ,
-210  ,
-212  ,
-222  ,
-247  ,
-272  ,
-298  ,
-320  ,
-331  ,
-337  ,
-331  ,
-327  ,
-332  ,
-346  ,
-379  ,
-423  ,
-467  ,
-511  ,
-550  ,
-576  ,
-593  ,
-602  ,
-618  ,
-630  ,
-649  ,
-661  ,
-668  ,
-679  ,
-683  ,
-693  ,
-708  ,
-728  ,
-759  ,
-795  ,
-850  ,
-902  ,
-962  ,
-1005 ,
-1045 ,
-1061 ,
-1073 ,
-1066 ,
-1053 ,
-1036 ,
-1017 ,
-1006 ,
-1000 ,
-997  ,
-1001 ,
-1004 ,
-1003 ,
-1006 ,
-1004 ,
-1016 ,
-1024 ,
-1042 ,
-1055 ,
-1065 ,
-1076 ,
-1081 ,
-1085 ,
-1071 ,
-1059 ,
-1023 ,
-989  ,
-945  ,
-907  ,
-859  ,
-812  ,
-756  ,
-701  ,
-647  ,
-598  ,
-570  ,
-545  ,
-538  ,
-532  ,
-513  ,
-504  ,
-470  ,
-442  ,
-401  ,
-372  ,
-357  ,
-342  ,
-351  ,
-363  ,
-383  ,
-406  ,
-429  ,
-457  ,
-466  ,
-474  ,
-458  ,
-451  ,
-437  ,
-433  ,
-431  ,
-435  ,
-435  ,
-432  ,
-436  ,
-444  ,
-471  ,
-513  ,
-560  ,
-620  ,
-671  ,
-713  ,
-749  ,
-768  ,
-782  ,
-790  ,
-791  ,
-796  ,
-786  ,
-784  ,
-768  ,
-772  ,
-773  ,
-784  ,
-795  ,
-797  ,
-802  ,
-798  ,
-805  ,
-814  ,
-831  ,
-851  ,
-869  ,
-878  ,
-873  ,
-857  ,
-835  ,
-810  ,
-782  ,
-747  ,
-717  ,
-670  ,
-632  ,
-583  ,
-541  ,
-508  ,
-480  ,
-463  ,
-460  ,
-452  ,
-457  ,
-454  ,
-453  ,
-441  ,
-416  ,
-391  ,
-361  ,
-340  ,
-324  ,
-320  ,
-324  ,
-326  ,
-332  ,
-322  ,
-314  ,
-293  ,
-267  ,
-248  ,
-218  ,
-194  ,
-161  ,
-121  ,
-72 ,
-21 ,
20  ,
51  ,
76  ,
88  ,
101 ,
109 ,
119 ,
129 ,
144 ,
159 ,
180 ,
201 ,
232 ,
265 ,
300 ,
332 ,
364 ,
386 ,
405 ,
410 ,
417 ,
419 ,
425 ,
422 ,
415 ,
392 ,
366 ,
322 ,
283 ,
228 ,
196 ,
148 ,
122 ,
97  ,
88  ,
96  ,
104 ,
117 ,
130 ,
139 ,
155 ,
162 ,
171 ,
172 ,
164 ,
151 ,
122 ,
100 ,
73  ,
50  ,
47  ,
43  ,
49  ,
53  ,
45  ,
44  ,
29  ,
20  ,
3 ,
-3  ,
-17 ,
-25 ,
-26 ,
-17 ,
10  ,
45  ,
88  ,
136 ,
174 ,
202 ,
211 ,
208 ,
206 ,
193 ,
191 ,
186 ,
178 ,
178 ,
159 ,
156 ,
143 ,
142 ,
134 ,
138 ,
138 ,
144 ,
154 ,
169 ,
188 ,
202 ,
201 ,
191 ,
175 ,
150 ,
122 ,
90  ,
54  ,
10  ,
-46 ,
-104  ,
-163  ,
-222  ,
-266  ,
-310  ,
-335  ,
-349  ,
-355  ,
-343  ,
-339  ,
-322  ,
-312  ,
-303  ,
-293  ,
-293  ,
-291  ,
-291  ,
-300  ,
-299  ,
-303  ,
-282  ,
-270  ,
-247  ,
-227  ,
-210  ,
-188  ,
-170  ,
-149  ,
-132  ,
-124  ,
-105  ,
-103  ,
-81 ,
-75 ,
-53 ,
-24 ,
21  ,
72  ,
119 ,
163 ,
192 ,
218 ,
232 ,
240 ,
243 ,
237 ,
223 ,
211 ,
187 ,
173 ,
152 ,
145 ,
132 ,
122 ,
106 ,
106 ,
94  ,
105 ,
105 ,
119 ,
125 ,
137 ,
140 ,
147 ,
145 ,
137 ,
131 ,
115 ,
106 ,
91  ,
71  ,
53  ,
27  ,
11  ,
-4  ,
-4  ,
7 ,
42  ,
84  ,
143 ,
201 ,
253 ,
300 ,
335 ,
374 ,
406 ,
440 ,
471 ,
507 ,
541 ,
573 ,
598 ,
625 ,
641 ,
658 ,
656 ,
662 ,
654 ,
646 ,
642 ,
632 ,
628 ,
623 ,
624 ,
624 ,
637 ,
646 ,
673 ,
701 ,
727 ,
753 ,
760 ,
767 ,
767 ,
756 ,
746 ,
722 ,
701 ,
673 ,
647 ,
623 ,
604 ,
585 ,
579 ,
566 ,
567 ,
571 ,
586 ,
611 ,
631 ,
662 ,
685 ,
711 ,
735 ,
754 ,
776 ,
786 ,
790 ,
787 ,
778 ,
765 ,
744 ,
721 ,
695 ,
679 ,
663 ,
663 ,
667 ,
694 ,
732 ,
780 ,
829 ,
872 ,
913 ,
938 ,
962 ,
973 ,
982 ,
990 ,
1005  ,
1026  ,
1049  ,
1069  ,
1084  ,
1086  ,
1084  ,
1065  ,
1051  ,
1022  ,
1003  ,
972 ,
951 ,
934 ,
911 ,
894 ,
876 ,
858 ,
852 ,
842 ,
843 ,
838 ,
836 ,
822 ,
809 ,
777 ,
745 ,
705 ,
652 ,
611 ,
554 ,
516 ,
471 ,
442 ,
417 ,
388 ,
375 ,
349 ,
349 ,
340 ,
341 ,
343 ,
341 ,
349 ,
350 ,
354 ,
362 ,
360 ,
355 ,
334 ,
313 ,
285 ,
255 ,
217 ,
183 ,
148 ,
109 ,
91  ,
63  ,
68  ,
74  ,
102 ,
126 ,
155 ,
176 ,
185 ,
192 ,
179 ,
173 ,
159 ,
148 ,
142 ,
130 ,
130 ,
117 ,
98  ,
72  ,
29  ,
-12 ,
-64 ,
-110  ,
-157  ,
-193  ,
-224  ,
-232  ,
-234  ,
-217  ,
-198  ,
-163  ,
-133  ,
-86 ,
-52 ,
0 ,
29  ,
54  ,
62  ,
65  ,
71  ,
60  ,
56  ,
34  ,
17  ,
-3  ,
-25 ,
-29 ,
-40 ,
-36 ,
-33 ,
-29 ,
-25 ,
-21 ,
-24 ,
-17 ,
-19 ,
-5  ,
15  ,
39  ,
67  ,
85  ,
105 ,
108 ,
104 ,
90  ,
70  ,
50  ,
25  ,
6 ,
-4  ,
-10 ,
1 ,
9 ,
33  ,
56  ,
92  ,
119 ,
149 ,
166 ,
184 ,
186 ,
183 ,
179 ,
173 ,
175 ,
179 ,
181 ,
184 ,
160 ,
128 ,
77  ,
18  ,
-51 ,
-124  ,
-187  ,
-250  ,
-301  ,
-344  ,
-367  ,
-380  ,
-389  ,
-387  ,
-396  ,
-394  ,
-403  ,
-415  ,
-429  ,
-456  ,
-488  ,
-527  ,
-575  ,
-623  ,
-678  ,
-736  ,
-790  ,
-839  ,
-887  ,
-925  ,
-966  ,
-995  ,
-1025 ,
-1050 ,
-1073 ,
-1089 ,
-1112 ,
-1125 ,
-1145 ,
-1152 ,
-1157 ,
-1150 ,
-1138 ,
-1117 ,
-1109 ,
-1106 ,
-1128 ,
-1158 ,
-1204 ,
-1233 ,
-1265 ,
-1268 ,
-1273 ,
-1255 ,
-1240 ,
-1203 ,
-1168 ,
-1118 ,
-1060 ,
-997  ,
-943  ,
-888  ,
-852  ,
-807  ,
-761  ,
-711  ,
-664  ,
-614  ,
-567  ,
-529  ,
-486  ,
-461  ,
-435  ,
-422  ,
-417  ,
-423  ,
-444  ,
-467  ,
-483  ,
-492  ,
-485  ,
-466  ,
-440  ,
-408  ,
-377  ,
-345  ,
-316  ,
-287  ,
-274  ,
-263  ,
-269  ,
-279  ,
-297  ,
-319  ,
-334  ,
-353  ,
-369  ,
-396  ,
-426  ,
-459  ,
-486  ,
-508  ,
-522  ,
-530  ,
-530  ,
-535  ,
-531  ,
-540  ,
-524  ,
-523  ,
-500  ,
-488  ,
-468  ,
-446  ,
-441  ,
-437  ,
-449  ,
-462  ,
-487  ,
-517  ,
-545  ,
-571  ,
-585  ,
-587  ,
-579  ,
-564  ,
-539  ,
-525  ,
-502  ,
-481  ,
-460  ,
-440  ,
-428  ,
-411  ,
-397  ,
-376  ,
-359  ,
-338  ,
-322  ,
-311  ,
-293  ,
-288  ,
-281  ,
-290  ,
-312  ,
-344  ,
-390  ,
-431  ,
-478  ,
-504  ,
-523  ,
-525  ,
-511  ,
-489  ,
-456  ,
-424  ,
-398  ,
-364  ,
-348  ,
-323  ,
-318  ,
-308  ,
-302  ,
-289  ,
-277  ,
-253  ,
-236  ,
-202  ,
-189  ,
-165  ,
-155  ,
-147  ,
-136  ,
-135  ,
-121  ,
-116  ,
-105  ,
-101  ,
-91 ,
-90 ,
-76 ,
-77 ,
-61 ,
-59 ,
-42 ,
-47 ,
-41 ,
-58 ,
-75 ,
-105  ,
-139  ,
-172  ,
-197  ,
-207  ,
-197  ,
-175  ,
-144  ,
-121  ,
-98 ,
-91 ,
-76 ,
-71 ,
-62 ,
-63 ,
-47 ,
-44 ,
-25 ,
-19 ,
-10 ,
-3  ,
1 ,
9 ,
23  ,
35  ,
51  ,
56  ,
55  ,
35  ,
22  ,
-8  ,
-15 ,
-20 ,
-10 ,
16  ,
53  ,
98  ,
149 ,
196 ,
239 ,
271 ,
298 ,
312 ,
328 ,
338 ,
353 ,
367 ,
389 ,
404 ,
423 ,
425 ,
416 ,
397 ,
376 ,
351 ,
336 ,
322 ,
312 ,
308 ,
292 ,
283 ,
258 ,
239 ,
214 ,
187 ,
158 ,
121 ,
82  ,
44  ,
-3  ,
-53 ,
-112  ,
-178  ,
-241  ,
-294  ,
-335  ,
-360  ,
-369  ,
-382  ,
-382  ,
-401  ,
-418  ,
-438  ,
-463  ,
-481  ,
-506  ,
-523  ,
-536  ,
-538  ,
-534  ,
-518  ,
-505  ,
-486  ,
-472  ,
-456  ,
-440  ,
-429  ,
-411  ,
-412  ,
-412  ,
-425  ,
-437  ,
-449  ,
-451  ,
-441  ,
-412  ,
-367  ,
-309  ,
-248  ,
-193  ,
-147  ,
-112  ,
-91 ,
-81 ,
-71 ,
-84 ,
-84 ,
-95 ,
-89 ,
-79 ,
-59 ,
-49 ,
-35 ,
-48 ,
-47 ,
-69 ,
-70 ,
-81 ,
-80 ,
-80 ,
-86 ,
-80 ,
-85 ,
-75 ,
-65 ,
-48 ,
-31 ,
-22 ,
-5  ,
1 ,
10  ,
10  ,
19  ,
13  ,
23  ,
28  ,
57  ,
95  ,
150 ,
218 ,
275 ,
334 ,
363 ,
400 ,
418 ,
448 ,
466 ,
502 ,
534 ,
576 ,
626 ,
674 ,
728 ,
773 ,
825 ,
875 ,
927 ,
970 ,
1006  ,
1024  ,
1031  ,
1021  ,
1005  ,
974 ,
956 ,
936 ,
940 ,
951 ,
983 ,
1014  ,
1042  ,
1057  ,
1054  ,
1042  ,
1016  ,
984 ,
961 ,
932 ,
925 ,
921 ,
931 ,
943 ,
949 ,
951 ,
933 ,
915 ,
886 ,
860 ,
839 ,
816 ,
798 ,
776 ,
756 ,
740 ,
731 ,
721 ,
718 ,
709 ,
708 ,
698 ,
689 ,
678 ,
665 ,
650 ,
637 ,
620 ,
620 ,
619 ,
645 ,
670 ,
709 ,
739 ,
760 ,
770 ,
767 ,
755 ,
743 ,
722 ,
711 ,
699 ,
696 ,
700 ,
706 ,
719 ,
743 ,
763 ,
796 ,
817 ,
837 ,
839 ,
838 ,
824 ,
798 ,
769 ,
736 ,
700 ,
671 ,
649 ,
641 ,
648 ,
665 ,
676 ,
686 ,
673 ,
648 ,
613 ,
577 ,
544 ,
525 ,
511 ,
514 ,
528 ,
549 ,
564 ,
579 ,
568 ,
555 ,
531 ,
504 ,
478 ,
448 ,
427 ,
409 ,
398 ,
393 ,
392 ,
386 ,
384 ,
364 ,
359 ,
343 ,
343 ,
334 ,
341 ,
342 ,
353 ,
365 ,
387 ,
414 ,
452 ,
486 ,
520 ,
544 ,
552 ,
553 ,
533 ,
503 ,
463 ,
416 ,
373 ,
331 ,
302 ,
278 ,
263 ,
261 ,
274 ,
284 ,
297 ,
311 ,
310 ,
321 ,
305 ,
304 ,
281 ,
265 ,
233 ,
203 ,
181 ,
165 ,
172 ,
176 ,
200 ,
216 ,
221 ,
222 ,
205 ,
188 ,
167 ,
155 ,
147 ,
146 ,
143 ,
161 ,
175 ,
196 ,
209 ,
205 ,
198 ,
169 ,
147 ,
114 ,
85  ,
58  ,
40  ,
27  ,
13  ,
1 ,
-15 ,
-28 ,
-45 ,
-60 ,
-71 ,
-88 ,
-101  ,
-122  ,
-132  ,
-139  ,
-131  ,
-114  ,
-87 ,
-49 ,
-12 ,
22  ,
43  ,
53  ,
38  ,
18  ,
-26 ,
-64 ,
-112  ,
-152  ,
-192  ,
-221  ,
-239  ,
-258  ,
-257  ,
-255  ,
-241  ,
-226  ,
-217  ,
-202  ,
-211  ,
-208  ,
-238  ,
-250  ,
-281  ,
-311  ,
-350  ,
-390  ,
-422  ,
-441  ,
-452  ,
-447  ,
-451  ,
-459  ,
-485  ,
-517  ,
-562  ,
-605  ,
-648  ,
-674  ,
-700  ,
-711  ,
-714  ,
-714  ,
-712  ,
-709  ,
-722  ,
-743  ,
-781  ,
-820  ,
-866  ,
-909  ,
-951  ,
-981  ,
-1003 ,
-1014 ,
-1020 ,
-1028 ,
-1037 ,
-1057 ,
-1067 ,
-1079 ,
-1081 ,
-1081 ,
-1079 ,
-1078 ,
-1064 ,
-1038 ,
-992  ,
-938  ,
-876  ,
-817  ,
-764  ,
-714  ,
-681  ,
-650  ,
-638  ,
-629  ,
-635  ,
-647  ,
-663  ,
-676  ,
-678  ,
-658  ,
-631  ,
-582  ,
-529  ,
-477  ,
-426  ,
-384  ,
-339  ,
-304  ,
-279  ,
-259  ,
-256  ,
-254  ,
-265  ,
-274  ,
-283  ,
-290  ,
-299  ,
-298  ,
-305  ,
-316  ,
-329  ,
-355  ,
-380  ,
-414  ,
-445  ,
-476  ,
-501  ,
-525  ,
-548  ,
-568  ,
-575  ,
-580  ,
-582  ,
-598  ,
-622  ,
-648  ,
-685  ,
-709  ,
-743  ,
-765  ,
-797  ,
-819  ,
-843  ,
-862  ,
-878  ,
-889  ,
-900  ,
-908  ,
-916  ,
-930  ,
-938  ,
-942  ,
-938  ,
-930  ,
-907  ,
-885  ,
-846  ,
-806  ,
-759  ,
-710  ,
-672  ,
-636  ,
-621  ,
-607  ,
-614  ,
-625  ,
-641  ,
-663  ,
-675  ,
-685  ,
-677  ,
-663  ,
-631  ,
-592  ,
-551  ,
-506  ,
-478  ,
-444  ,
-439  ,
-419  ,
-423  ,
-417  ,
-421  ,
-420  ,
-414  ,
-408  ,
-394  ,
-379  ,
-351  ,
-323  ,
-292  ,
-260  ,
-236  ,
-203  ,
-175  ,
-145  ,
-107  ,
-68 ,
-20 ,
23  ,
69  ,
116 ,
165 ,
207 ,
240 ,
260 ,
268 ,
266 ,
255 ,
244 ,
233 ,
222 ,
209 ,
197 ,
175 ,
169 ,
149 ,
149 ,
135 ,
137 ,
121 ,
118 ,
101 ,
91  ,
78  ,
79  ,
76  ,
91  ,
104 ,
118 ,
134 ,
132 ,
129 ,
112 ,
91  ,
63  ,
30  ,
-13 ,
-55 ,
-97 ,
-128  ,
-142  ,
-149  ,
-140  ,
-128  ,
-114  ,
-102  ,
-97 ,
-84 ,
-81 ,
-69 ,
-65 ,
-64 ,
-67 ,
-71 ,
-81 ,
-82 ,
-88 ,
-86 ,
-85 ,
-77 ,
-69 ,
-55 ,
-37 ,
-18 ,
11  ,
30  ,
54  ,
73  ,
93  ,
119 ,
139 ,
173 ,
193 ,
215 ,
221 ,
223 ,
212 ,
192 ,
163 ,
126 ,
95  ,
50  ,
6 ,
-40 ,
-91 ,
-129  ,
-160  ,
-179  ,
-202  ,
-224  ,
-254  ,
-285  ,
-305  ,
-333  ,
-341  ,
-355  ,
-356  ,
-360  ,
-362  ,
-368  ,
-374  ,
-382  ,
-398  ,
-407  ,
-431  ,
-447  ,
-479  ,
-500  ,
-521  ,
-539  ,
-539  ,
-551  ,
-536  ,
-521  ,
-496  ,
-452  ,
-419  ,
-364  ,
-320  ,
-267  ,
-229  ,
-191  ,
-167  ,
-139  ,
-118  ,
-98 ,
-80 ,
-57 ,
-44 ,
-22 ,
-7  ,
10  ,
34  ,
51  ,
80  ,
102 ,
123 ,
137 ,
153 ,
161 ,
177 ,
186 ,
201 ,
212 ,
224 ,
231 ,
234 ,
221 ,
208 ,
177 ,
152 ,
122 ,
93  ,
75  ,
48  ,
39  ,
27  ,
28  ,
24  ,
31  ,
38  ,
50  ,
61  ,
69  ,
81  ,
90  ,
105 ,
116 ,
135 ,
147 ,
167 ,
184 ,
207 ,
222 ,
235 ,
245 ,
264 ,
277 ,
304 ,
323 ,
346 ,
366 ,
385 ,
412 ,
431 ,
469 ,
495 ,
542 ,
571 ,
612 ,
637 ,
671 ,
687 ,
704 ,
703 ,
702 ,
696 ,
679 ,
675 ,
661 ,
658 ,
649 ,
639 ,
638 ,
630 ,
633 ,
630 ,
635 ,
635 ,
638 ,
644 ,
657 ,
671 ,
704 ,
719 ,
757 ,
764 ,
785 ,
778 ,
774 ,
759 ,
739 ,
720 ,
697 ,
674 ,
658 ,
641 ,
640 ,
644 ,
662 ,
686 ,
709 ,
727 ,
741 ,
756 ,
764 ,
787 ,
795 ,
820 ,
829 ,
843 ,
849 ,
855 ,
866 ,
875 ,
882 ,
891 ,
902 ,
914 ,
934 ,
946 ,
966 ,
970 ,
976 ,
973 ,
977 ,
986 ,
1004  ,
1029  ,
1051  ,
1072  ,
1083  ,
1092  ,
1087  ,
1089  ,
1071  ,
1058  ,
1033  ,
1009  ,
980 ,
952 ,
923 ,
901 ,
881 ,
863 ,
858 ,
844 ,
840 ,
821 ,
809 ,
793 ,
780 ,
771 ,
757 ,
743 ,
723 ,
710 ,
687 ,
679 ,
655 ,
634 ,
596 ,
558 ,
514 ,
471 ,
436 ,
402 ,
385 ,
371 ,
365 ,
368 ,
371 ,
384 ,
396 ,
402 ,
413 ,
409 ,
406 ,
396 ,
380 ,
365 ,
342 ,
321 ,
291 ,
264 ,
230 ,
203 ,
174 ,
155 ,
139 ,
122 ,
109 ,
91  ,
77  ,
48  ,
35  ,
19  ,
24  ,
31  ,
55  ,
72  ,
96  ,
105 ,
121 ,
127 ,
134 ,
130 ,
130 ,
118 ,
111 ,
96  ,
84  ,
73  ,
68  ,
66  ,
66  ,
68  ,
85  ,
90  ,
107 ,
112 ,
128 ,
139 ,
148 ,
160 ,
171 ,
180 ,
192 ,
197 ,
198 ,
190 ,
168 ,
142 ,
109 ,
75  ,
48  ,
21  ,
15  ,
2 ,
4 ,
4 ,
15  ,
35  ,
58  ,
89  ,
113 ,
142 ,
160 ,
183 ,
191 ,
200 ,
197 ,
190 ,
177 ,
159 ,
139 ,
125 ,
103 ,
101 ,
87  ,
91  ,
82  ,
76  ,
65  ,
54  ,
39  ,
19  ,
5 ,
-8  ,
-7  ,
0 ,
7 ,
22  ,
15  ,
8 ,
-11 ,
-36 ,
-63 ,
-95 ,
-126  ,
-159  ,
-207  ,
-247  ,
-304  ,
-345  ,
-396  ,
-432  ,
-475  ,
-505  ,
-547  ,
-577  ,
-614  ,
-637  ,
-664  ,
-681  ,
-706  ,
-728  ,
-758  ,
-785  ,
-816  ,
-842  ,
-877  ,
-909  ,
-951  ,
-1003 ,
-1048 ,
-1105 ,
-1143 ,
-1177 ,
-1201 ,
-1218 ,
-1230 ,
-1231 ,
-1227 ,
-1215 ,
-1198 ,
-1174 ,
-1149 ,
-1121 ,
-1108 ,
-1088 ,
-1071 ,
-1057 ,
-1039 ,
-1028 ,
-1022 ,
-1015 ,
-1008 ,
-996  ,
-978  ,
-957  ,
-924  ,
-895  ,
-853  ,
-830  ,
-794  ,
-777  ,
-744  ,
-716  ,
-670  ,
-622  ,
-566  ,
-519  ,
-474  ,
-444  ,
-417  ,
-406  ,
-396  ,
-392  ,
-394  ,
-404  ,
-419  ,
-444  ,
-467  ,
-494  ,
-517  ,
-542  ,
-570  ,
-589  ,
-614  ,
-616  ,
-625  ,
-618  ,
-619  ,
-621  ,
-622  ,
-630  ,
-634  ,
-636  ,
-635  ,
-630  ,
-629  ,
-629  ,
-649  ,
-664  ,
-697  ,
-719  ,
-735  ,
-752  ,
-753  ,
-761  ,
-758  ,
-756  ,
-747  ,
-729  ,
-708  ,
-678  ,
-657  ,
-624  ,
-604  ,
-574  ,
-553  ,
-523  ,
-504  ,
-492  ,
-488  ,
-491  ,
-498  ,
-498  ,
-502  ,
-499  ,
-502  ,
-504  ,
-513  ,
-527  ,
-532  ,
-544  ,
-546  ,
-554  ,
-560  ,
-552  ,
-541  ,
-520  ,
-488  ,
-461  ,
-428  ,
-410  ,
-400  ,
-396  ,
-391  ,
-395  ,
-384  ,
-384  ,
-377  ,
-386  ,
-384  ,
-400  ,
-396  ,
-400  ,
-387  ,
-364  ,
-344  ,
-310  ,
-277  ,
-242  ,
-213  ,
-182  ,
-161  ,
-130  ,
-107  ,
-80 ,
-48 ,
-31 ,
-8  ,
-6  ,
1 ,
-4  ,
-8  ,
-20 ,
-22 ,
-31 ,
-25 ,
-24 ,
-14 ,
-18 ,
-2  ,
-1  ,
8 ,
9 ,
9 ,
1 ,
1 ,
-8  ,
-7  ,
-16 ,
-22 ,
-38 ,
-52 ,
-72 ,
-89 ,
-106  ,
-127  ,
-142  ,
-159  ,
-162  ,
-170  ,
-169  ,
-175  ,
-179  ,
-180  ,
-181  ,
-169  ,
-143  ,
-112  ,
-77 ,
-49 ,
-16 ,
-3  ,
22  ,
27  ,
44  ,
59  ,
69  ,
83  ,
84  ,
91  ,
89  ,
92  ,
102 ,
113 ,
136 ,
155 ,
195 ,
225 ,
275 ,
311 ,
355 ,
382 ,
405 ,
415 ,
418 ,
421 ,
423 ,
419 ,
413 ,
397 ,
373 ,
346 ,
320 ,
291 ,
273 ,
239 ,
219 ,
189 ,
158 ,
123 ,
94  ,
56  ,
28  ,
-4  ,
-34 ,
-63 ,
-96 ,
-125  ,
-150  ,
-180  ,
-204  ,
-246  ,
-278  ,
-321  ,
-346  ,
-384  ,
-409  ,
-439  ,
-461  ,
-483  ,
-504  ,
-510  ,
-522  ,
-518  ,
-524  ,
-517  ,
-497  ,
-470  ,
-426  ,
-383  ,
-333  ,
-287  ,
-252  ,
-226  ,
-208  ,
-193  ,
-181  ,
-162  ,
-155  ,
-143  ,
-148  ,
-153  ,
-169  ,
-183  ,
-190  ,
-193  ,
-179  ,
-168  ,
-136  ,
-115  ,
-88 ,
-64 ,
-52 ,
-41 ,
-33 ,
-33 ,
-19 ,
-17 ,
0 ,
10  ,
8 ,
14  ,
10  ,
12  ,
10  ,
6 ,
13  ,
7 ,
23  ,
24  ,
41  ,
56  ,
79  ,
101 ,
129 ,
154 ,
177 ,
207 ,
229 ,
264 ,
298 ,
331 ,
357 ,
382 ,
401 ,
414 ,
429 ,
439 ,
449 ,
464 ,
467 ,
487 ,
498 ,
521 ,
541 ,
565 ,
588 ,
622 ,
662 ,
707 ,
771 ,
819 ,
879 ,
909 ,
937 ,
945 ,
946 ,
946 ,
940 ,
934 ,
921 ,
893 ,
879 ,
845 ,
830 ,
811 ,
807 ,
804 ,
810 ,
817 ,
831 ,
846 ,
862 ,
869 ,
882 ,
872 ,
866 ,
856 ,
854 ,
858 ,
861 ,
867 ,
864 ,
854 ,
850 ,
829 ,
823 ,
801 ,
793 ,
775 ,
763 ,
741 ,
724 ,
703 ,
697 ,
685 ,
688 ,
676 ,
687 ,
688 ,
703 ,
723 ,
748 ,
770 ,
786 ,
791 ,
793 ,
780 ,
769 ,
745 ,
735 ,
714 ,
708 ,
691 ,
685 ,
677 ,
675 ,
671 ,
677 ,
689 ,
710 ,
741 ,
766 ,
796 ,
815 ,
818 ,
818 ,
802 ,
791 ,
767 ,
743 ,
714 ,
680 ,
652 ,
612 ,
590 ,
563 ,
546 ,
538 ,
532 ,
535 ,
541 ,
548 ,
554 ,
554 ,
557 ,
545 ,
547 ,
535 ,
543 ,
544 ,
551 ,
559 ,
559 ,
562 ,
570 ,
575 ,
591 ,
595 ,
601 ,
595 ,
587 ,
564 ,
550 ,
525 ,
504 ,
489 ,
464 ,
454 ,
432 ,
427 ,
417 ,
416 ,
415 ,
419 ,
414 ,
407 ,
393 ,
369 ,
347 ,
311 ,
290 ,
261 ,
234 ,
219 ,
201 ,
194 ,
186 ,
178 ,
176 ,
180 ,
184 ,
201 ,
221 ,
234 ,
248 ,
248 ,
248 ,
244 ,
232 ,
223 ,
208 ,
199 ,
180 ,
167 ,
146 ,
129 ,
114 ,
103 ,
95  ,
94  ,
89  ,
96  ,
98  ,
99  ,
93  ,
78  ,
60  ,
39  ,
21  ,
4 ,
-6  ,
-13 ,
-24 ,
-23 ,
-33 ,
-29 ,
-33 ,
-31 ,
-28 ,
-31 ,
-32 ,
-39 ,
-51 ,
-56 ,
-72 ,
-83 ,
-95 ,
-109  ,
-112  ,
-130  ,
-125  ,
-127  ,
-113  ,
-99 ,
-85 ,
-76 ,
-81 ,
-96 ,
-117  ,
-147  ,
-169  ,
-198  ,
-210  ,
-234  ,
-239  ,
-251  ,
-253  ,
-257  ,
-256  ,
-255  ,
-247  ,
-238  ,
-235  ,
-223  ,
-225  ,
-222  ,
-230  ,
-237  ,
-255  ,
-273  ,
-299  ,
-322  ,
-354  ,
-381  ,
-421  ,
-463  ,
-510  ,
-555  ,
-594  ,
-628  ,
-656  ,
-677  ,
-698  ,
-719  ,
-741  ,
-771  ,
-794  ,
-830  ,
-854  ,
-882  ,
-902  ,
-917  ,
-929  ,
-933  ,
-930  ,
-927  ,
-916  ,
-913  ,
-912  ,
-911  ,
-912  ,
-916  ,
-918  ,
-927  ,
-932  ,
-944  ,
-944  ,
-955  ,
-949  ,
-950  ,
-938  ,
-920  ,
-887  ,
-846  ,
-792  ,
-737  ,
-689  ,
-645  ,
-622  ,
-603  ,
-591  ,
-585  ,
-583  ,
-582  ,
-576  ,
-558  ,
-537  ,
-506  ,
-479  ,
-448  ,
-427  ,
-398  ,
-380  ,
-358  ,
-344  ,
-333  ,
-333  ,
-335  ,
-355  ,
-373  ,
-408  ,
-434  ,
-468  ,
-491  ,
-519  ,
-540  ,
-569  ,
-598  ,
-625  ,
-653  ,
-665  ,
-681  ,
-690  ,
-697  ,
-710  ,
-718  ,
-733  ,
-756  ,
-767  ,
-797  ,
-803  ,
-829  ,
-828  ,
-837  ,
-830  ,
-825  ,
-809  ,
-794  ,
-773  ,
-759  ,
-739  ,
-721  ,
-702  ,
-687  ,
-681  ,
-670  ,
-669  ,
-662  ,
-669  ,
-672  ,
-674  ,
-675  ,
-664  ,
-644  ,
-616  ,
-577  ,
-550  ,
-524  ,
-512  ,
-518  ,
-523  ,
-550  ,
-568  ,
-596  ,
-622  ,
-635  ,
-640  ,
-634  ,
-610  ,
-598  ,
-564  ,
-547  ,
-516  ,
-499  ,
-473  ,
-452  ,
-431  ,
-412  ,
-402  ,
-386  ,
-381  ,
-369  ,
-360  ,
-350  ,
-331  ,
-315  ,
-292  ,
-276  ,
-260  ,
-240  ,
-221  ,
-189  ,
-160  ,
-130  ,
-99 ,
-69 ,
-39 ,
-11 ,
13  ,
36  ,
68  ,
82  ,
108 ,
128 ,
146 ,
178 ,
198 ,
236 ,
264 ,
298 ,
321 ,
343 ,
361 ,
367 ,
368 ,
359 ,
343 ,
324 ,
298 ,
272 ,
248 ,
226 ,
205 ,
194 ,
182 ,
182 ,
176 ,
172 ,
163 ,
146 ,
122 ,
87  ,
52  ,
3 ,
-38 ,
-80 ,
-107  ,
-124  ,
-132  ,
-131  ,
-126  ,
-122  ,
-111  ,
-104  ,
-100  ,
-90 ,
-90 ,
-84 ,
-86 ,
-80 ,
-77 ,
-67 ,
-59 ,
-45 ,
-25 ,
-5  ,
16  ,
34  ,
55  ,
68  ,
88  ,
98  ,
124 ,
142 ,
163 ,
185 ,
193 ,
207 ,
201 ,
199 ,
186 ,
183 ,
175 ,
172 ,
169 ,
166 ,
162 ,
167 ,
168 ,
179 ,
187 ,
191 ,
190 ,
170 ,
144 ,
95  ,
54  ,
-10 ,
-56 ,
-108  ,
-151  ,
-196  ,
-233  ,
-274  ,
-301  ,
-327  ,
-343  ,
-366  ,
-383  ,
-409  ,
-424  ,
-447  ,
-459  ,
-476  ,
-491  ,
-503  ,
-514  ,
-509  ,
-503  ,
-479  ,
-460  ,
-423  ,
-394  ,
-359  ,
-331  ,
-314  ,
-293  ,
-287  ,
-274  ,
-272  ,
-268  ,
-254  ,
-248  ,
-217  ,
-192  ,
-148  ,
-107  ,
-69 ,
-29 ,
-4  ,
23  ,
35  ,
62  ,
77  ,
106 ,
125 ,
140 ,
149 ,
146 ,
145 ,
138 ,
130 ,
133 ,
135 ,
144 ,
156 ,
171 ,
190 ,
209 ,
239 ,
264 ,
290 ,
312 ,
322 ,
329 ,
321 ,
314 ,
304 ,
293 ,
287 ,
281 ,
277 ,
285 ,
288 ,
307 ,
319 ,
333 ,
343 ,
342 ,
348 ,
342 ,
347 ,
348 ,
353 ,
363 ,
368 ,
384 ,
399 ,
419 ,
439 ,
466 ,
489 ,
512 ,
532 ,
549 ,
561 ,
569 ,
574 ,
567 ,
559 ,
546 ,
534 ,
520 ,
517 ,
520 ,
526 ,
545 ,
552 ,
570 ,
575 ,
588 ,
595 ,
606 ,
622 ,
635 ,
659 ,
670 ,
676 ,
674 ,
655 ,
640 ,
614 ,
598 ,
590 ,
587 ,
595 ,
604 ,
616 ,
630 ,
648 ,
668 ,
693 ,
715 ,
737 ,
756 ,
765 ,
770 ,
762 ,
760 ,
748 ,
741 ,
737 ,
736 ,
749 ,
761 ,
779 ,
796 ,
801 ,
799 ,
784 ,
763 ,
744 ,
727 ,
715 ,
712 ,
717 ,
724 ,
744 ,
761 ,
790 ,
812 ,
832 ,
853 ,
869 ,
888 ,
901 ,
917 ,
919 ,
921 ,
904 ,
884 ,
855 ,
824 ,
801 ,
783 ,
775 ,
775 ,
766 ,
770 ,
754 ,
744 ,
731 ,
711 ,
700 ,
687 ,
684 ,
681 ,
678 ,
664 ,
649 ,
621 ,
592 ,
559 ,
543 ,
528 ,
542 ,
544 ,
565 ,
562 ,
577 ,
574 ,
586 ,
581 ,
582 ,
576 ,
561 ,
544 ,
514 ,
482 ,
444 ,
408 ,
367 ,
338 ,
303 ,
291 ,
270 ,
266 ,
253 ,
239 ,
208 ,
170 ,
118 ,
70  ,
23  ,
-15 ,
-43 ,
-58 ,
-60 ,
-57 ,
-44 ,
-37 ,
-27 ,
-31 ,
-28 ,
-38 ,
-39 ,
-46 ,
-51 ,
-53 ,
-65 ,
-80 ,
-98 ,
-121  ,
-134  ,
-146  ,
-144  ,
-137  ,
-118  ,
-98 ,
-77 ,
-60 ,
-46 ,
-38 ,
-37 ,
-36 ,
-42 ,
-37 ,
-38 ,
-37 ,
-44 ,
-59 ,
-82 ,
-96 ,
-117  ,
-113  ,
-110  ,
-90 ,
-68 ,
-46 ,
-22 ,
1 ,
23  ,
44  ,
56  ,
72  ,
79  ,
87  ,
81  ,
83  ,
63  ,
55  ,
31  ,
21  ,
16  ,
23  ,
45  ,
74  ,
105 ,
124 ,
136 ,
123 ,
107 ,
81  ,
58  ,
31  ,
13  ,
-8  ,
-11 ,
-11 ,
8 ,
32  ,
61  ,
83  ,
101 ,
96  ,
103 ,
94  ,
88  ,
76  ,
53  ,
28  ,
-9  ,
-58 ,
-95 ,
-146  ,
-173  ,
-206  ,
-224  ,
-243  ,
-254  ,
-265  ,
-287  ,
-301  ,
-341  ,
-368  ,
-418  ,
-458  ,
-507  ,
-549  ,
-593  ,
-640  ,
-693  ,
-749  ,
-804  ,
-844  ,
-880  ,
-906  ,
-919  ,
-930  ,
-929  ,
-928  ,
-927  ,
-926  ,
-922  ,
-921  ,
-917  ,
-922  ,
-929  ,
-939  ,
-953  ,
-968  ,
-981  ,
-1001 ,
-1006 ,
-1008 ,
-997  ,
-973  ,
-944  ,
-902  ,
-861  ,
-831  ,
-797  ,
-784  ,
-768  ,
-768  ,
-773  ,
-768  ,
-762  ,
-735  ,
-691  ,
-637  ,
-576  ,
-520  ,
-481  ,
-440  ,
-422  ,
-399  ,
-390  ,
-389  ,
-387  ,
-406  ,
-410  ,
-439  ,
-444  ,
-467  ,
-464  ,
-476  ,
-464  ,
-460  ,
-446  ,
-437  ,
-430  ,
-424  ,
-436  ,
-444  ,
-469  ,
-493  ,
-521  ,
-547  ,
-571  ,
-601  ,
-631  ,
-666  ,
-695  ,
-717  ,
-726  ,
-719  ,
-705  ,
-674  ,
-646  ,
-609  ,
-574  ,
-535  ,
-498  ,
-464  ,
-432  ,
-405  ,
-380  ,
-358  ,
-341  ,
-328  ,
-322  ,
-323  ,
-332  ,
-336  ,
-341  ,
-338  ,
-328  ,
-314  ,
-296  ,
-283  ,
-281  ,
-282  ,
-298  ,
-322  ,
-360  ,
-395  ,
-428  ,
-442  ,
-453  ,
-436  ,
-423  ,
-391  ,
-367  ,
-342  ,
-326  ,
-319  ,
-317  ,
-328  ,
-343  ,
-367  ,
-392  ,
-420  ,
-434  ,
-453  ,
-454  ,
-456  ,
-445  ,
-425  ,
-401  ,
-371  ,
-336  ,
-303  ,
-274  ,
-242  ,
-223  ,
-206  ,
-198  ,
-198  ,
-198  ,
-202  ,
-199  ,
-196  ,
-194  ,
-186  ,
-176  ,
-150  ,
-122  ,
-76 ,
-33 ,
19  ,
58  ,
102 ,
133 ,
169 ,
194 ,
220 ,
236 ,
246 ,
252 ,
258 ,
257 ,
258 ,
250 ,
238 ,
225 ,
211 ,
206 ,
206 ,
205 ,
215 ,
210 ,
210 ,
186 ,
157 ,
112 ,
61  ,
10  ,
-35 ,
-70 ,
-86 ,
-85 ,
-76 ,
-54 ,
-35 ,
-22 ,
-14 ,
-17 ,
-22 ,
-41 ,
-55 ,
-75 ,
-89 ,
-97 ,
-100  ,
-90 ,
-83 ,
-60 ,
-42 ,
-13 ,
25  ,
60  ,
105 ,
144 ,
183 ,
220 ,
248 ,
270 ,
272 ,
269 ,
250 ,
235 ,
216 ,
199 ,
193 ,
187 ,
197 ,
214 ,
236 ,
264 ,
287 ,
314 ,
332 ,
344 ,
356 ,
354 ,
356 ,
343 ,
322 ,
291 ,
253 ,
211 ,
172 ,
124 ,
79  ,
30  ,
-13 ,
-52 ,
-78 ,
-102  ,
-112  ,
-121  ,
-130  ,
-154  ,
-178  ,
-219  ,
-268  ,
-323  ,
-375  ,
-417  ,
-451  ,
-466  ,
-474  ,
-461  ,
-455  ,
-444  ,
-439  ,
-434  ,
-435  ,
-448  ,
-461  ,
-488  ,
-504  ,
-531  ,
-546  ,
-556  ,
-555  ,
-546  ,
-526  ,
-501  ,
-471  ,
-437  ,
-410  ,
-373  ,
-350  ,
-316  ,
-296  ,
-269  ,
-263  ,
-264  ,
-277  ,
-303  ,
-326  ,
-351  ,
-365  ,
-371  ,
-363  ,
-344  ,
-315  ,
-288  ,
-244  ,
-214  ,
-161  ,
-127  ,
-82 ,
-48 ,
-15 ,
17  ,
33  ,
52  ,
57  ,
68  ,
77  ,
87  ,
98  ,
109 ,
121 ,
140 ,
159 ,
190 ,
222 ,
262 ,
307 ,
347 ,
381 ,
403 ,
412 ,
409 ,
400 ,
397 ,
388 ,
406 ,
410 ,
446 ,
464 ,
494 ,
516 ,
529 ,
546 ,
547 ,
538 ,
512 ,
491 ,
453 ,
436 ,
416 ,
415 ,
424 ,
441 ,
470 ,
497 ,
533 ,
554 ,
592 ,
610 ,
643 ,
656 ,
676 ,
682 ,
675 ,
662 ,
629 ,
596 ,
552 ,
515 ,
490 ,
478 ,
475 ,
489 ,
513 ,
548 ,
589 ,
627 ,
666 ,
700 ,
729 ,
755 ,
781 ,
797 ,
814 ,
812 ,
814 ,
803 ,
800 ,
789 ,
781 ,
769 ,
757 ,
749 ,
751 ,
753 ,
771 ,
780 ,
795 ,
796 ,
792 ,
771 ,
745 ,
718 ,
683 ,
664 ,
632 ,
636 ,
631 ,
645 ,
659 ,
675 ,
689 ,
696 ,
693 ,
680 ,
654 ,
616 ,
571 ,
522 ,
480 ,
442 ,
423 ,
404 ,
413 ,
413 ,
433 ,
444 ,
466 ,
484 ,
504 ,
524 ,
541 ,
559 ,
558 ,
553 ,
526 ,
492 ,
452 ,
405 ,
373 ,
350 ,
338 ,
342 ,
355 ,
384 ,
422 ,
463 ,
508 ,
553 ,
585 ,
616 ,
637 ,
647 ,
650 ,
638 ,
618 ,
589 ,
562 ,
533 ,
511 ,
486 ,
469 ,
454 ,
444 ,
442 ,
434 ,
439 ,
434 ,
434 ,
417 ,
390 ,
353 ,
308 ,
265 ,
220 ,
189 ,
162 ,
147 ,
143 ,
144 ,
153 ,
159 ,
167 ,
163 ,
162 ,
140 ,
122 ,
93  ,
67  ,
39  ,
20  ,
6 ,
-2  ,
-1  ,
7 ,
25  ,
44  ,
72  ,
93  ,
127 ,
151 ,
184 ,
210 ,
228 ,
232 ,
221 ,
192 ,
149 ,
104 ,
53  ,
27  ,
-5  ,
-6  ,
-12 ,
9 ,
33  ,
62  ,
102 ,
134 ,
172 ,
200 ,
220 ,
229 ,
232 ,
224 ,
209 ,
190 ,
170 ,
155 ,
137 ,
130 ,
110 ,
109 ,
96  ,
105 ,
106 ,
115 ,
123 ,
132 ,
136 ,
125 ,
113 ,
88  ,
73  ,
50  ,
43  ,
35  ,
33  ,
39  ,
42  ,
53  ,
54  ,
59  ,
46  ,
42  ,
15  ,
-6  ,
-40 ,
-71 ,
-108  ,
-145  ,
-176  ,
-203  ,
-216  ,
-233  ,
-242  ,
-248  ,
-260  ,
-255  ,
-259  ,
-249  ,
-244  ,
-235  ,
-235  ,
-248  ,
-274  ,
-324  ,
-379  ,
-446  ,
-510  ,
-577  ,
-634  ,
-689  ,
-729  ,
-757  ,
-769  ,
-767  ,
-765  ,
-749  ,
-753  ,
-741  ,
-753  ,
-749  ,
-759  ,
-771  ,
-782  ,
-806  ,
-818  ,
-830  ,
-828  ,
-824  ,
-810  ,
-793  ,
-771  ,
-741  ,
-705  ,
-664  ,
-622  ,
-578  ,
-544  ,
-515  ,
-501  ,
-493  ,
-493  ,
-486  ,
-481  ,
-461  ,
-446  ,
-415  ,
-391  ,
-359  ,
-333  ,
-300  ,
-278  ,
-256  ,
-246  ,
-240  ,
-245  ,
-252  ,
-264  ,
-274  ,
-286  ,
-289  ,
-302  ,
-301  ,
-325  ,
-328  ,
-355  ,
-361  ,
-370  ,
-373  ,
-375  ,
-375  ,
-378  ,
-389  ,
-408  ,
-444  ,
-497  ,
-556  ,
-624  ,
-690  ,
-746  ,
-795  ,
-831  ,
-850  ,
-855  ,
-849  ,
-827  ,
-803  ,
-762  ,
-727  ,
-695  ,
-667  ,
-649  ,
-634  ,
-629  ,
-628  ,
-628  ,
-626  ,
-620  ,
-608  ,
-592  ,
-579  ,
-558  ,
-541  ,
-512  ,
-488  ,
-464  ,
-440  ,
-429  ,
-422  ,
-424  ,
-437  ,
-448  ,
-475  ,
-491  ,
-512  ,
-519  ,
-520  ,
-514  ,
-505  ,
-496  ,
-495  ,
-490  ,
-486  ,
-485  ,
-489  ,
-496  ,
-510  ,
-524  ,
-542  ,
-553  ,
-556  ,
-551  ,
-531  ,
-523  ,
-512  ,
-515  ,
-509  ,
-501  ,
-473  ,
-438  ,
-392  ,
-346  ,
-305  ,
-270  ,
-252  ,
-243  ,
-249  ,
-259  ,
-268  ,
-280  ,
-289  ,
-294  ,
-288  ,
-272  ,
-236  ,
-195  ,
-139  ,
-81 ,
-29 ,
21  ,
63  ,
109 ,
138 ,
164 ,
178 ,
187 ,
188 ,
197 ,
207 ,
225 ,
248 ,
264 ,
283 ,
300 ,
313 ,
330 ,
339 ,
337 ,
327 ,
308 ,
282 ,
250 ,
214 ,
180 ,
144 ,
118 ,
89  ,
68  ,
44  ,
20  ,
3 ,
-23 ,
-31 ,
-57 ,
-61 ,
-87 ,
-110  ,
-135  ,
-164  ,
-174  ,
-187  ,
-181  ,
-173  ,
-167  ,
-159  ,
-162  ,
-161  ,
-166  ,
-162  ,
-151  ,
-135  ,
-103  ,
-81 ,
-52 ,
-26 ,
-16 ,
-9  ,
-15 ,
-21 ,
-33 ,
-36 ,
-48 ,
-49 ,
-52 ,
-48 ,
-42 ,
-30 ,
-13 ,
-3  ,
19  ,
24  ,
42  ,
40  ,
41  ,
21  ,
-1  ,
-34 ,
-64 ,
-87 ,
-104  ,
-106  ,
-114  ,
-113  ,
-112  ,
-107  ,
-97 ,
-91 ,
-92 ,
-95 ,
-116  ,
-131  ,
-162  ,
-185  ,
-216  ,
-242  ,
-272  ,
-296  ,
-317  ,
-329  ,
-341  ,
-352  ,
-362  ,
-371  ,
-382  ,
-388  ,
-401  ,
-409  ,
-424  ,
-438  ,
-448  ,
-455  ,
-449  ,
-434  ,
-414  ,
-387  ,
-374  ,
-353  ,
-355  ,
-343  ,
-339  ,
-320  ,
-300  ,
-276  ,
-250  ,
-225  ,
-211  ,
-198  ,
-203  ,
-202  ,
-206  ,
-209  ,
-202  ,
-204  ,
-189  ,
-195  ,
-173  ,
-161  ,
-127  ,
-97 ,
-67 ,
-28 ,
-7  ,
26  ,
48  ,
68  ,
85  ,
94  ,
103 ,
115 ,
133 ,
158 ,
201 ,
236 ,
296 ,
346 ,
410 ,
459 ,
509 ,
538 ,
561 ,
571 ,
577 ,
576 ,
577 ,
571 ,
568 ,
561 ,
554 ,
547 ,
539 ,
529 ,
515 ,
504 ,
489 ,
478 ,
466 ,
448 ,
434 ,
414 ,
399 ,
381 ,
376 ,
379 ,
395 ,
412 ,
428 ,
435 ,
440 ,
434 ,
431 ,
428 ,
429 ,
430 ,
433 ,
431 ,
430 ,
435 ,
431 ,
428 ,
425 ,
418 ,
419 ,
415 ,
417 ,
421 ,
428 ,
438 ,
454 ,
468 ,
494 ,
514 ,
545 ,
567 ,
597 ,
618 ,
641 ,
657 ,
670 ,
678 ,
686 ,
698 ,
714 ,
734 ,
756 ,
795 ,
828 ,
873 ,
904 ,
934 ,
956 ,
965 ,
973 ,
968 ,
971 ,
957 ,
955 ,
943 ,
934 ,
924 ,
909 ,
903 ,
881 ,
873 ,
857 ,
845 ,
835 ,
810 ,
794 ,
765 ,
743 ,
713 ,
694 ,
677 ,
673 ,
677 ,
674 ,
681 ,
670 ,
665 ,
656 ,
645 ,
645 ,
636 ,
627 ,
622 ,
608 ,
609 ,
606 ,
599 ,
604 ,
593 ,
597 ,
602 ,
607 ,
613 ,
612 ,
611 ,
606 ,
600 ,
603 ,
600 ,
610 ,
611 ,
625 ,
629 ,
642 ,
642 ,
643 ,
634 ,
618 ,
603 ,
587 ,
566 ,
553 ,
541 ,
543 ,
540 ,
542 ,
535 ,
527 ,
511 ,
492 ,
464 ,
440 ,
408 ,
379 ,
350 ,
327 ,
305 ,
273 ,
253 ,
217 ,
190 ,
161 ,
133 ,
114 ,
89  ,
65  ,
42  ,
23  ,
3 ,
-10 ,
-9  ,
-9  ,
13  ,
23  ,
43  ,
48  ,
54  ,
50  ,
45  ,
37  ,
27  ,
10  ,
-8  ,
-30 ,
-45 ,
-50 ,
-56 ,
-52 ,
-54 ,
-49 ,
-43 ,
-40 ,
-28 ,
-24 ,
-22 ,
-24 ,
-29 ,
-35 ,
-40 ,
-52 ,
-52 ,
-51 ,
-45 ,
-35 ,
-28 ,
-17 ,
-13 ,
-9  ,
-10 ,
-7  ,
-8  ,
0 ,
9 ,
31  ,
55  ,
75  ,
96  ,
112 ,
126 ,
144 ,
154 ,
167 ,
173 ,
181 ,
182 ,
184 ,
180 ,
178 ,
179 ,
181 ,
186 ,
189 ,
182 ,
179 ,
163 ,
147 ,
128 ,
100 ,
77  ,
48  ,
29  ,
14  ,
7 ,
0 ,
-2  ,
-11 ,
-24 ,
-40 ,
-61 ,
-87 ,
-109  ,
-148  ,
-175  ,
-221  ,
-264  ,
-307  ,
-356  ,
-394  ,
-435  ,
-480  ,
-517  ,
-555  ,
-595  ,
-632  ,
-679  ,
-718  ,
-763  ,
-811  ,
-853  ,
-903  ,
-944  ,
-980  ,
-1003 ,
-1025 ,
-1034 ,
-1049 ,
-1054 ,
-1062 ,
-1062 ,
-1065 ,
-1061 ,
-1049 ,
-1038 ,
-1009 ,
-996  ,
-963  ,
-941  ,
-901  ,
-870  ,
-830  ,
-799  ,
-766  ,
-747  ,
-718  ,
-703  ,
-676  ,
-655  ,
-626  ,
-601  ,
-565  ,
-541  ,
-505  ,
-482  ,
-452  ,
-431  ,
-415  ,
-402  ,
-399  ,
-396  ,
-394  ,
-394  ,
-388  ,
-382  ,
-372  ,
-362  ,
-365  ,
-369  ,
-385  ,
-400  ,
-425  ,
-445  ,
-471  ,
-505  ,
-543  ,
-583  ,
-626  ,
-663  ,
-702  ,
-732  ,
-749  ,
-770  ,
-776  ,
-792  ,
-794  ,
-812  ,
-817  ,
-830  ,
-838  ,
-847  ,
-854  ,
-861  ,
-859  ,
-854  ,
-837  ,
-818  ,
-793  ,
-765  ,
-735  ,
-704  ,
-673  ,
-650  ,
-622  ,
-605  ,
-572  ,
-553  ,
-521  ,
-500  ,
-467  ,
-444  ,
-416  ,
-395  ,
-371  ,
-357  ,
-339  ,
-328  ,
-324  ,
-317  ,
-327  ,
-324  ,
-334  ,
-332  ,
-328  ,
-324  ,
-325  ,
-334  ,
-346  ,
-359  ,
-374  ,
-384  ,
-398  ,
-407  ,
-411  ,
-413  ,
-399  ,
-384  ,
-363  ,
-345  ,
-339  ,
-338  ,
-338  ,
-342  ,
-339  ,
-345  ,
-344  ,
-358  ,
-367  ,
-387  ,
-393  ,
-407  ,
-397  ,
-389  ,
-377  ,
-351  ,
-346  ,
-321  ,
-314  ,
-294  ,
-280  ,
-266  ,
-253  ,
-243  ,
-233  ,
-213  ,
-187  ,
-144  ,
-107  ,
-54 ,
-11 ,
26  ,
57  ,
76  ,
102 ,
118 ,
142 ,
158 ,
177 ,
189 ,
195 ,
205 ,
213 ,
217 ,
225 ,
222 ,
223 ,
220 ,
215 ,
207 ,
200 ,
186 ,
174 ,
161 ,
148 ,
135 ,
127 ,
106 ,
91  ,
64  ,
38  ,
13  ,
-10 ,
-28 ,
-39 ,
-43 ,
-42 ,
-33 ,
-28 ,
-5  ,
0 ,
19  ,
18  ,
35  ,
32  ,
46  ,
43  ,
50  ,
48  ,
47  ,
46  ,
51  ,
59  ,
81  ,
101 ,
124 ,
141 ,
154 ,
161 ,
169 ,
169 ,
170 ,
156 ,
140 ,
123 ,
103 ,
95  ,
87  ,
91  ,
97  ,
106 ,
111 ,
119 ,
115 ,
117 ,
102 ,
100 ,
79  ,
70  ,
57  ,
41  ,
40  ,
26  ,
28  ,
17  ,
9 ,
1 ,
-12 ,
-23 ,
-36 ,
-50 ,
-65 ,
-74 ,
-97 ,
-107  ,
-127  ,
-145  ,
-160  ,
-182  ,
-193  ,
-215  ,
-224  ,
-247  ,
-253  ,
-275  ,
-283  ,
-299  ,
-303  ,
-303  ,
-299  ,
-292  ,
-287  ,
-282  ,
-284  ,
-283  ,
-289  ,
-291  ,
-298  ,
-299  ,
-310  ,
-316  ,
-331  ,
-327  ,
-326  ,
-315  ,
-300  ,
-289  ,
-279  ,
-277  ,
-271  ,
-269  ,
-265  ,
-265  ,
-269  ,
-271  ,
-273  ,
-265  ,
-247  ,
-217  ,
-176  ,
-132  ,
-88 ,
-46 ,
-6  ,
37  ,
75  ,
108 ,
148 ,
179 ,
222 ,
256 ,
291 ,
322 ,
347 ,
371 ,
400 ,
424 ,
458 ,
482 ,
510 ,
530 ,
551 ,
565 ,
580 ,
589 ,
594 ,
600 ,
600 ,
607 ,
608 ,
612 ,
615 ,
618 ,
619 ,
621 ,
629 ,
634 ,
644 ,
645 ,
649 ,
645 ,
644 ,
637 ,
631 ,
618 ,
611 ,
592 ,
583 ,
563 ,
549 ,
528 ,
519 ,
508 ,
507 ,
511 ,
519 ,
521 ,
530 ,
526 ,
531 ,
535 ,
535 ,
540 ,
533 ,
532 ,
524 ,
524 ,
525 ,
540 ,
561 ,
594 ,
619 ,
658 ,
679 ,
713 ,
723 ,
737 ,
740 ,
752 ,
767 ,
776 ,
793 ,
806 ,
821 ,
832 ,
841 ,
847 ,
851 ,
859 ,
871 ,
883 ,
895 ,
904 ,
903 ,
902 ,
890 ,
873 ,
853 ,
823 ,
793 ,
768 ,
735 ,
716 ,
683 ,
667 ,
643 ,
631 ,
621 ,
606 ,
607 ,
591 ,
586 ,
571 ,
552 ,
535 ,
507 ,
484 ,
457 ,
428 ,
402 ,
373 ,
347 ,
330 ,
318 ,
319 ,
327 ,
334 ,
340 ,
345 ,
346 ,
350 ,
350 ,
355 ,
346 ,
343 ,
326 ,
319 ,
313 ,
311 ,
324 ,
332 ,
356 ,
369 ,
387 ,
394 ,
403 ,
396 ,
393 ,
384 ,
376 ,
376 ,
361 ,
364 ,
349 ,
346 ,
334 ,
326 ,
309 ,
304 ,
286 ,
289 ,
275 ,
278 ,
269 ,
263 ,
257 ,
238 ,
221 ,
203 ,
179 ,
165 ,
144 ,
134 ,
129 ,
125 ,
125 ,
124 ,
128 ,
137 ,
139 ,
147 ,
140 ,
135 ,
120 ,
108 ,
84  ,
70  ,
37  ,
19  ,
-13 ,
-40 ,
-58 ,
-81 ,
-84 ,
-87 ,
-79 ,
-74 ,
-70 ,
-73 ,
-77 ,
-83 ,
-86 ,
-92 ,
-94 ,
-104  ,
-111  ,
-122  ,
-135  ,
-140  ,
-145  ,
-146  ,
-139  ,
-138  ,
-126  ,
-122  ,
-108  ,
-108  ,
-101  ,
-105  ,
-102  ,
-98 ,
-87 ,
-86 ,
-72 ,
-72 ,
-61 ,
-58 ,
-48 ,
-39 ,
-24 ,
0 ,
25  ,
61  ,
87  ,
115 ,
127 ,
133 ,
126 ,
116 ,
99  ,
83  ,
63  ,
57  ,
42  ,
61  ,
58  ,
91  ,
102 ,
129 ,
144 ,
153 ,
151 ,
142 ,
120 ,
96  ,
68  ,
26  ,
-8  ,
-60 ,
-104  ,
-157  ,
-208  ,
-259  ,
-301  ,
-342  ,
-374  ,
-408  ,
-446  ,
-486  ,
-527  ,
-575  ,
-616  ,
-665  ,
-697  ,
-742  ,
-766  ,
-801  ,
-828  ,
-856  ,
-883  ,
-901  ,
-916  ,
-918  ,
-923  ,
-925  ,
-927  ,
-931  ,
-936  ,
-935  ,
-938  ,
-926  ,
-913  ,
-899  ,
-885  ,
-867  ,
-855  ,
-829  ,
-813  ,
-772  ,
-740  ,
-687  ,
-639  ,
-580  ,
-525  ,
-472  ,
-426  ,
-391  ,
-357  ,
-335  ,
-310  ,
-292  ,
-275  ,
-261  ,
-242  ,
-222  ,
-200  ,
-168  ,
-138  ,
-104  ,
-67 ,
-49 ,
-27 ,
-32 ,
-37 ,
-60 ,
-89 ,
-125  ,
-172  ,
-220  ,
-280  ,
-335  ,
-389  ,
-437  ,
-475  ,
-502  ,
-527  ,
-545  ,
-566  ,
-590  ,
-620  ,
-645  ,
-676  ,
-700  ,
-722  ,
-742  ,
-754  ,
-771  ,
-776  ,
-787  ,
-785  ,
-788  ,
-774  ,
-770  ,
-753  ,
-746  ,
-732  ,
-715  ,
-708  ,
-692  ,
-682  ,
-668  ,
-654  ,
-636  ,
-628  ,
-614  ,
-610  ,
-600  ,
-592  ,
-581  ,
-564  ,
-543  ,
-525  ,
-498  ,
-479  ,
-451  ,
-440  ,
-420  ,
-416  ,
-412  ,
-421  ,
-428  ,
-449  ,
-458  ,
-469  ,
-471  ,
-457  ,
-446  ,
-410  ,
-379  ,
-342  ,
-305  ,
-281  ,
-255  ,
-241  ,
-232  ,
-224  ,
-233  ,
-243  ,
-271  ,
-299  ,
-327  ,
-359  ,
-377  ,
-394  ,
-391  ,
-388  ,
-377  ,
-363  ,
-353  ,
-341  ,
-331  ,
-324  ,
-311  ,
-300  ,
-283  ,
-261  ,
-236  ,
-207  ,
-172  ,
-145  ,
-108  ,
-88 ,
-53 ,
-32 ,
1 ,
19  ,
44  ,
67  ,
87  ,
110 ,
130 ,
149 ,
168 ,
171 ,
182 ,
180 ,
186 ,
181 ,
186 ,
185 ,
198 ,
203 ,
219 ,
232 ,
244 ,
260 ,
262 ,
262 ,
252 ,
232 ,
208 ,
175 ,
143 ,
111 ,
92  ,
82  ,
81  ,
91  ,
113 ,
136 ,
171 ,
194 ,
222 ,
235 ,
245 ,
244 ,
236 ,
218 ,
189 ,
158 ,
125 ,
90  ,
62  ,
39  ,
34  ,
26  ,
34  ,
43  ,
48  ,
60  ,
53  ,
47  ,
32  ,
19  ,
5 ,
-3  ,
-1  ,
0 ,
10  ,
11  ,
10  ,
3 ,
-3  ,
-12 ,
-11 ,
-16 ,
-16 ,
-20 ,
-30 ,
-36 ,
-45 ,
-54 ,
-58 ,
-75 ,
-82 ,
-109  ,
-129  ,
-153  ,
-172  ,
-185  ,
-195  ,
-189  ,
-188  ,
-167  ,
-160  ,
-139  ,
-129  ,
-121  ,
-121  ,
-126  ,
-152  ,
-177  ,
-226  ,
-253  ,
-286  ,
-300  ,
-307  ,
-290  ,
-272  ,
-229  ,
-207  ,
-160  ,
-139  ,
-111  ,
-92 ,
-85 ,
-79 ,
-92 ,
-111  ,
-149  ,
-186  ,
-235  ,
-269  ,
-303  ,
-316  ,
-325  ,
-313  ,
-305  ,
-289  ,
-279  ,
-276  ,
-275  ,
-284  ,
-291  ,
-302  ,
-301  ,
-299  ,
-278  ,
-262  ,
-233  ,
-212  ,
-183  ,
-155  ,
-131  ,
-103  ,
-80 ,
-50 ,
-27 ,
-3  ,
31  ,
64  ,
100 ,
139 ,
170 ,
198 ,
222 ,
236 ,
254 ,
268 ,
282 ,
302 ,
324 ,
348 ,
381 ,
410 ,
449 ,
488 ,
526 ,
561 ,
585 ,
598 ,
599 ,
581 ,
561 ,
543 ,
522 ,
515 ,
513 ,
528 ,
549 ,
573 ,
601 ,
625 ,
641 ,
651 ,
653 ,
655 ,
642 ,
618 ,
578 ,
529 ,
470 ,
418 ,
374 ,
344 ,
323 ,
318 ,
313 ,
317 ,
314 ,
311 ,
306 ,
297 ,
289 ,
280 ,
269 ,
262 ,
266 ,
267 ,
282 ,
291 ,
305 ,
322 ,
333 ,
343 ,
357 ,
369 ,
387 ,
401 ,
430 ,
455 ,
490 ,
517 ,
539 ,
565 ,
568 ,
586 ,
584 ,
594 ,
595 ,
600 ,
616 ,
628 ,
655 ,
679 ,
711 ,
745 ,
771 ,
801 ,
810 ,
822 ,
809 ,
792 ,
765 ,
736 ,
708 ,
683 ,
664 ,
657 ,
663 ,
671 ,
691 ,
705 ,
724 ,
735 ,
744 ,
750 ,
748 ,
741 ,
719 ,
688 ,
643 ,
600 ,
552 ,
516 ,
481 ,
470 ,
456 ,
467 ,
462 ,
478 ,
478 ,
490 ,
485 ,
481 ,
467 ,
454 ,
444 ,
440 ,
444 ,
449 ,
458 ,
470 ,
475 ,
479 ,
473 ,
475 ,
463 ,
462 ,
449 ,
451 ,
442 ,
441 ,
425 ,
408 ,
384 ,
358 ,
336 ,
304 ,
280 ,
247 ,
229 ,
200 ,
198 ,
182 ,
193 ,
193 ,
197 ,
197 ,
196 ,
187 ,
175 ,
152 ,
124 ,
94  ,
60  ,
36  ,
16  ,
14  ,
17  ,
32  ,
52  ,
76  ,
93  ,
112 ,
120 ,
130 ,
129 ,
125 ,
108 ,
74  ,
35  ,
-16 ,
-58 ,
-93 ,
-123  ,
-131  ,
-129  ,
-111  ,
-95 ,
-69 ,
-56 ,
-37 ,
-32 ,
-33 ,
-37 ,
-52 ,
-63 ,
-72 ,
-83 ,
-83 ,
-85 ,
-75 ,
-68 ,
-59 ,
-53 ,
-51 ,
-50 ,
-59 ,
-58 ,
-58 ,
-50 ,
-33 ,
-18 ,
-5  ,
6 ,
8 ,
15  ,
13  ,
13  ,
15  ,
17  ,
24  ,
31  ,
49  ,
68  ,
98  ,
122 ,
148 ,
169 ,
191 ,
207 ,
218 ,
219 ,
225 ,
214 ,
219 ,
211 ,
227 ,
237 ,
268 ,
295 ,
329 ,
370 ,
405 ,
437 ,
460 ,
467 ,
462 ,
443 ,
408 ,
351 ,
299 ,
225 ,
168 ,
100 ,
50  ,
6 ,
-25 ,
-51 ,
-72 ,
-91 ,
-117  ,
-140  ,
-180  ,
-214  ,
-263  ,
-310  ,
-363  ,
-408  ,
-464  ,
-501  ,
-547  ,
-575  ,
-608  ,
-630  ,
-653  ,
-680  ,
-704  ,
-729  ,
-749  ,
-764  ,
-780  ,
-791  ,
-803  ,
-820  ,
-833  ,
-842  ,
-843  ,
-842  ,
-835  ,
-832  ,
-812  ,
-798  ,
-767  ,
-734  ,
-691  ,
-635  ,
-591  ,
-529  ,
-490  ,
-443  ,
-404  ,
-374  ,
-337  ,
-314  ,
-289  ,
-268  ,
-243  ,
-223  ,
-197  ,
-165  ,
-137  ,
-90 ,
-57 ,
-15 ,
15  ,
32  ,
38  ,
26  ,
-2  ,
-39 ,
-95 ,
-149  ,
-208  ,
-268  ,
-306  ,
-347  ,
-372  ,
-389  ,
-411  ,
-417  ,
-438  ,
-444  ,
-465  ,
-474  ,
-497  ,
-518  ,
-549  ,
-580  ,
-608  ,
-639  ,
-655  ,
-673  ,
-677  ,
-678  ,
-674  ,
-665  ,
-650  ,
-643  ,
-621  ,
-615  ,
-607  ,
-604  ,
-610  ,
-610  ,
-623  ,
-624  ,
-621  ,
-623  ,
-610  ,
-615  ,
-603  ,
-600  ,
-586  ,
-567  ,
-547  ,
-520  ,
-503  ,
-482  ,
-470  ,
-456  ,
-448  ,
-437  ,
-435  ,
-432  ,
-432  ,
-432  ,
-431  ,
-426  ,
-414  ,
-396  ,
-366  ,
-338  ,
-300  ,
-267  ,
-233  ,
-205  ,
-190  ,
-183  ,
-197  ,
-225  ,
-256  ,
-299  ,
-332  ,
-369  ,
-389  ,
-412  ,
-415  ,
-424  ,
-421  ,
-417  ,
-396  ,
-385  ,
-363  ,
-352  ,
-336  ,
-328  ,
-328  ,
-328  ,
-333  ,
-340  ,
-347  ,
-349  ,
-350  ,
-345  ,
-333  ,
-314  ,
-284  ,
-258  ,
-226  ,
-198  ,
-171  ,
-148  ,
-129  ,
-124  ,
-121  ,
-124  ,
-132  ,
-129  ,
-136  ,
-130  ,
-129  ,
-125  ,
-116  ,
-107  ,
-89 ,
-81 ,
-61 ,
-53 ,
-44 ,
-50 ,
-50 ,
-58 ,
-67 ,
-82 ,
-93 ,
-109  ,
-117  ,
-123  ,
-119  ,
-109  ,
-95 ,
-67 ,
-45 ,
-4  ,
22  ,
58  ,
78  ,
95  ,
100 ,
89  ,
71  ,
45  ,
12  ,
-10 ,
-36 ,
-46 ,
-54 ,
-51 ,
-48 ,
-45 ,
-33 ,
-19 ,
-9  ,
10  ,
16  ,
35  ,
37  ,
40  ,
33  ,
18  ,
2 ,
-25 ,
-46 ,
-68 ,
-86 ,
-96 ,
-96 ,
-99 ,
-86 ,
-76 ,
-63 ,
-45 ,
-47 ,
-42 ,
-69 ,
-88 ,
-122  ,
-151  ,
-178  ,
-202  ,
-217  ,
-234  ,
-239  ,
-251  ,
-241  ,
-240  ,
-226  ,
-219  ,
-213  ,
-208  ,
-214  ,
-218  ,
-230  ,
-242  ,
-256  ,
-273  ,
-288  ,
-296  ,
-306  ,
-296  ,
-296  ,
-267  ,
-256  ,
-221  ,
-205  ,
-176  ,
-158  ,
-146  ,
-142  ,
-151  ,
-175  ,
-206  ,
-245  ,
-281  ,
-312  ,
-343  ,
-358  ,
-375  ,
-385  ,
-394  ,
-393  ,
-388  ,
-372  ,
-367  ,
-346  ,
-338  ,
-315  ,
-311  ,
-299  ,
-296  ,
-294  ,
-289  ,
-292  ,
-287  ,
-288  ,
-280  ,
-264  ,
-239  ,
-212  ,
-172  ,
-137  ,
-97 ,
-58 ,
-32 ,
-14 ,
-1  ,
1 ,
9 ,
11  ,
22  ,
41  ,
62  ,
95  ,
129 ,
175 ,
219 ,
264 ,
308 ,
344 ,
380 ,
409 ,
432 ,
454 ,
463 ,
475 ,
480 ,
486 ,
495 ,
503 ,
516 ,
534 ,
551 ,
574 ,
596 ,
618 ,
637 ,
655 ,
663 ,
670 ,
660 ,
645 ,
610 ,
582 ,
545 ,
519 ,
498 ,
486 ,
475 ,
482 ,
478 ,
490 ,
497 ,
510 ,
515 ,
518 ,
519 ,
516 ,
514 ,
511 ,
510 ,
504 ,
501 ,
486 ,
480 ,
465 ,
464 ,
469 ,
481 ,
507 ,
536 ,
567 ,
599 ,
626 ,
651 ,
654 ,
659 ,
647 ,
642 ,
626 ,
614 ,
612 ,
614 ,
631 ,
650 ,
680 ,
710 ,
738 ,
757 ,
773 ,
780 ,
787 ,
788 ,
777 ,
763 ,
740 ,
715 ,
692 ,
670 ,
650 ,
640 ,
631 ,
628 ,
635 ,
637 ,
649 ,
656 ,
661 ,
669 ,
658 ,
660 ,
635 ,
615 ,
581 ,
546 ,
519 ,
490 ,
472 ,
458 ,
456 ,
457 ,
467 ,
483 ,
501 ,
522 ,
535 ,
547 ,
550 ,
555 ,
556 ,
558 ,
563 ,
560 ,
555 ,
545 ,
526 ,
517 ,
499 ,
498 ,
496 ,
506 ,
515 ,
529 ,
540 ,
546 ,
542 ,
529 ,
502 ,
468 ,
427 ,
392 ,
348 ,
325 ,
299 ,
293 ,
290 ,
299 ,
309 ,
327 ,
330 ,
341 ,
342 ,
339 ,
334 ,
314 ,
299 ,
274 ,
255 ,
238 ,
229 ,
220 ,
216 ,
219 ,
221 ,
235 ,
241 ,
255 ,
265 ,
269 ,
277 ,
272 ,
270 ,
257 ,
236 ,
214 ,
188 ,
171 ,
155 ,
152 ,
152 ,
155 ,
167 ,
179 ,
196 ,
215 ,
226 ,
243 ,
235 ,
235 ,
220 ,
210 ,
198 ,
185 ,
178 ,
165 ,
153 ,
140 ,
124 ,
118 ,
110 ,
109 ,
120 ,
128 ,
144 ,
151 ,
159 ,
155 ,
148 ,
127 ,
104 ,
73  ,
42  ,
15  ,
-10 ,
-19 ,
-17 ,
-3  ,
19  ,
45  ,
62  ,
85  ,
92  ,
114 ,
108 ,
128 ,
118 ,
125 ,
120 ,
116 ,
120 ,
128 ,
144 ,
162 ,
193 ,
216 ,
246 ,
266 ,
283 ,
296 ,
296 ,
300 ,
284 ,
273 ,
237 ,
204 ,
157 ,
123 ,
82  ,
58  ,
25  ,
10  ,
-10 ,
-20 ,
-29 ,
-37 ,
-41 ,
-61 ,
-86 ,
-125  ,
-177  ,
-217  ,
-277  ,
-310  ,
-362  ,
-396  ,
-442  ,
-483  ,
-530  ,
-568  ,
-614  ,
-640  ,
-673  ,
-689  ,
-715  ,
-730  ,
-758  ,
-775  ,
-799  ,
-820  ,
-846  ,
-866  ,
-892  ,
-906  ,
-921  ,
-923  ,
-909  ,
-886  ,
-838  ,
-790  ,
-733  ,
-678  ,
-631  ,
-578  ,
-539  ,
-503  ,
-465  ,
-438  ,
-402  ,
-379  ,
-351  ,
-328  ,
-301  ,
-268  ,
-239  ,
-206  ,
-170  ,
-139  ,
-109  ,
-89 ,
-73 ,
-72 ,
-71 ,
-89 ,
-109  ,
-143  ,
-181  ,
-219  ,
-250  ,
-281  ,
-301  ,
-322  ,
-334  ,
-341  ,
-349  ,
-350  ,
-359  ,
-364  ,
-385  ,
-409  ,
-444  ,
-480  ,
-519  ,
-554  ,
-591  ,
-608  ,
-635  ,
-644  ,
-666  ,
-674  ,
-687  ,
-701  ,
-705  ,
-717  ,
-716  ,
-723  ,
-724  ,
-730  ,
-742  ,
-752  ,
-778  ,
-794  ,
-822  ,
-844  ,
-869  ,
-890  ,
-905  ,
-904  ,
-887  ,
-861  ,
-821  ,
-785  ,
-751  ,
-722  ,
-699  ,
-677  ,
-660  ,
-645  ,
-638  ,
-643  ,
-639  ,
-651  ,
-644  ,
-640  ,
-622  ,
-595  ,
-567  ,
-535  ,
-509  ,
-487  ,
-469  ,
-456  ,
-453  ,
-455  ,
-478  ,
-494  ,
-527  ,
-544  ,
-562  ,
-565  ,
-565  ,
-547  ,
-532  ,
-495  ,
-469  ,
-429  ,
-400  ,
-369  ,
-345  ,
-333  ,
-320  ,
-323  ,
-320  ,
-328  ,
-329  ,
-332  ,
-323  ,
-311  ,
-294  ,
-269  ,
-251  ,
-226  ,
-208  ,
-188  ,
-164  ,
-146  ,
-122  ,
-104  ,
-84 ,
-76 ,
-70 ,
-73 ,
-76 ,
-81 ,
-88 ,
-97 ,
-109  ,
-118  ,
-119  ,
-113  ,
-90 ,
-72 ,
-47 ,
-33 ,
-19 ,
-15 ,
-6  ,
-9  ,
-12 ,
-27 ,
-48 ,
-65 ,
-85 ,
-92 ,
-98 ,
-83 ,
-72 ,
-49 ,
-32 ,
-18 ,
-3  ,
5 ,
5 ,
2 ,
-20 ,
-35 ,
-67 ,
-90 ,
-107  ,
-115  ,
-114  ,
-103  ,
-88 ,
-60 ,
-32 ,
-1  ,
29  ,
59  ,
83  ,
100 ,
100 ,
103 ,
83  ,
66  ,
41  ,
15  ,
1 ,
-15 ,
-23 ,
-25 ,
-33 ,
-30 ,
-38 ,
-35 ,
-43 ,
-45 ,
-55 ,
-62 ,
-82 ,
-93 ,
-118  ,
-132  ,
-153  ,
-172  ,
-194  ,
-222  ,
-252  ,
-278  ,
-302  ,
-307  ,
-306  ,
-296  ,
-283  ,
-281  ,
-272  ,
-267  ,
-258  ,
-247  ,
-243  ,
-243  ,
-254  ,
-262  ,
-278  ,
-279  ,
-278  ,
-262  ,
-238  ,
-219  ,
-188  ,
-164  ,
-143  ,
-124  ,
-118  ,
-115  ,
-134  ,
-160  ,
-203  ,
-235  ,
-277  ,
-292  ,
-316  ,
-317  ,
-317  ,
-302  ,
-284  ,
-249  ,
-212  ,
-176  ,
-133  ,
-107  ,
-86 ,
-75 ,
-72 ,
-78 ,
-87 ,
-109  ,
-118  ,
-134  ,
-131  ,
-129  ,
-109  ,
-88 ,
-60 ,
-38 ,
-18 ,
-5  ,
10  ,
21  ,
32  ,
42  ,
53  ,
62  ,
71  ,
75  ,
89  ,
100 ,
120 ,
142 ,
169 ,
200 ,
235 ,
277 ,
318 ,
361 ,
401 ,
439 ,
474 ,
511 ,
534 ,
560 ,
566 ,
576 ,
576 ,
584 ,
585 ,
598 ,
613 ,
636 ,
664 ,
698 ,
726 ,
756 ,
771 ,
773 ,
762 ,
735 ,
697 ,
655 ,
612 ,
574 ,
552 ,
533 ,
526 ,
526 ,
535 ,
549 ,
568 ,
592 ,
617 ,
641 ,
658 ,
666 ,
663 ,
652 ,
623 ,
592 ,
555 ,
523 ,
503 ,
491 ,
492 ,
495 ,
507 ,
516 ,
524 ,
533 ,
541 ,
546 ,
550 ,
554 ,
559 ,
566 ,
572 ,
578 ,
589 ,
596 ,
606 ,
608 ,
612 ,
616 ,
633 ,
649 ,
673 ,
697 ,
719 ,
741 ,
757 ,
772 ,
786 ,
795 ,
802 ,
795 ,
791 ,
773 ,
757 ,
740 ,
724 ,
723 ,
720 ,
723 ,
730 ,
732 ,
735 ,
732 ,
722 ,
703 ,
671 ,
634 ,
592 ,
555 ,
527 ,
508 ,
502 ,
499 ,
504 ,
514 ,
530 ,
553 ,
588 ,
624 ,
666 ,
697 ,
719 ,
729 ,
726 ,
714 ,
695 ,
669 ,
653 ,
642 ,
636 ,
629 ,
631 ,
630 ,
628 ,
618 ,
605 ,
584 ,
559 ,
535 ,
508 ,
495 ,
472 ,
460 ,
436 ,
417 ,
389 ,
362 ,
342 ,
325 ,
320 ,
319 ,
313 ,
311 ,
301 ,
294 ,
283 ,
273 ,
260 ,
246 ,
228 ,
204 ,
181 ,
159 ,
133 ,
115 ,
98  ,
81  ,
73  ,
65  ,
64  ,
66  ,
71  ,
74  ,
74  ,
66  ,
46  ,
17  ,
-13 ,
-51 ,
-73 ,
-100  ,
-110  ,
-125  ,
-127  ,
-130  ,
-120  ,
-100  ,
-80 ,
-48 ,
-27 ,
-4  ,
11  ,
16  ,
18  ,
9 ,
-2  ,
-30 ,
-49 ,
-73 ,
-77 ,
-85 ,
-78 ,
-68 ,
-53 ,
-46 ,
-46 ,
-50 ,
-59 ,
-71 ,
-74 ,
-84 ,
-87 ,
-97 ,
-114  ,
-121  ,
-140  ,
-149  ,
-156  ,
-159  ,
-153  ,
-145  ,
-130  ,
-113  ,
-87 ,
-68 ,
-39 ,
-24 ,
-3  ,
11  ,
19  ,
34  ,
49  ,
69  ,
89  ,
103 ,
114 ,
127 ,
132 ,
151 ,
160 ,
188 ,
200 ,
224 ,
237 ,
238 ,
238 ,
221 ,
200 ,
178 ,
145 ,
125 ,
98  ,
84  ,
69  ,
57  ,
60  ,
55  ,
67  ,
63  ,
75  ,
67  ,
66  ,
49  ,
22  ,
-6  ,
-53 ,
-96 ,
-156  ,
-209  ,
-265  ,
-319  ,
-365  ,
-419  ,
-462  ,
-508  ,
-548  ,
-592  ,
-629  ,
-670  ,
-706  ,
-741  ,
-765  ,
-793  ,
-810  ,
-838  ,
-853  ,
-869  ,
-886  ,
-886  ,
-890  ,
-879  ,
-861  ,
-839  ,
-805  ,
-776  ,
-733  ,
-696  ,
-655  ,
-616  ,
-581  ,
-544  ,
-512  ,
-479  ,
-453  ,
-424  ,
-403  ,
-381  ,
-364  ,
-345  ,
-324  ,
-301  ,
-278  ,
-260  ,
-239  ,
-232  ,
-223  ,
-237  ,
-248  ,
-280  ,
-305  ,
-342  ,
-363  ,
-397  ,
-413  ,
-444  ,
-449  ,
-470  ,
-460  ,
-462  ,
-449  ,
-437  ,
-425  ,
-418  ,
-413  ,
-426  ,
-431  ,
-453  ,
-466  ,
-493  ,
-509  ,
-532  ,
-545  ,
-562  ,
-568  ,
-581  ,
-579  ,
-593  ,
-599  ,
-616  ,
-631  ,
-648  ,
-662  ,
-665  ,
-679  ,
-687  ,
-709  ,
-724  ,
-741  ,
-748  ,
-758  ,
-750  ,
-746  ,
-733  ,
-718  ,
-702  ,
-679  ,
-653  ,
-625  ,
-603  ,
-583  ,
-574  ,
-561  ,
-552  ,
-538  ,
-528  ,
-520  ,
-515  ,
-515  ,
-508  ,
-514  ,
-504  ,
-502  ,
-492  ,
-475  ,
-471  ,
-456  ,
-455  ,
-453  ,
-459  ,
-468  ,
-476  ,
-486  ,
-494  ,
-502  ,
-507  ,
-507  ,
-498  ,
-480  ,
-455  ,
-430  ,
-401  ,
-376  ,
-347  ,
-324  ,
-303  ,
-286  ,
-269  ,
-256  ,
-237  ,
-226  ,
-206  ,
-193  ,
-178  ,
-162  ,
-152  ,
-134  ,
-132  ,
-112  ,
-114  ,
-101  ,
-99 ,
-97 ,
-88 ,
-86 ,
-84 ,
-82 ,
-87 ,
-92 ,
-89 ,
-98 ,
-93 ,
-103  ,
-103  ,
-106  ,
-111  ,
-111  ,
-111  ,
-99 ,
-94 ,
-87 ,
-81 ,
-84 ,
-77 ,
-78 ,
-77 ,
-79 ,
-92 ,
-99 ,
-110  ,
-117  ,
-119  ,
-118  ,
-112  ,
-102  ,
-96 ,
-80 ,
-69 ,
-58 ,
-50 ,
-44 ,
-36 ,
-31 ,
-25 ,
-14 ,
-10 ,
9 ,
14  ,
35  ,
54  ,
75  ,
100 ,
124 ,
150 ,
169 ,
183 ,
190 ,
191 ,
196 ,
190 ,
196 ,
191 ,
189 ,
187 ,
174 ,
173 ,
163 ,
162 ,
152 ,
146 ,
130 ,
117 ,
95  ,
82  ,
57  ,
46  ,
22  ,
4 ,
-19 ,
-45 ,
-67 ,
-93 ,
-112  ,
-137  ,
-151  ,
-172  ,
-182  ,
-189  ,
-188  ,
-180  ,
-165  ,
-149  ,
-133  ,
-121  ,
-117  ,
-109  ,
-111  ,
-114  ,
-122  ,
-130  ,
-138  ,
-144  ,
-154  ,
-155  ,
-167  ,
-169  ,
-180  ,
-186  ,
-192  ,
-198  ,
-204  ,
-204  ,
-209  ,
-206  ,
-208  ,
-209  ,
-209  ,
-218  ,
-217  ,
-218  ,
-210  ,
-200  ,
-183  ,
-174  ,
-155  ,
-146  ,
-137  ,
-130  ,
-130  ,
-124  ,
-122  ,
-118  ,
-112  ,
-109  ,
-97 ,
-86 ,
-73 ,
-63 ,
-58 ,
-57 ,
-55 ,
-62 ,
-50 ,
-50 ,
-36 ,
-19 ,
-5  ,
23  ,
41  ,
64  ,
83  ,
104 ,
117 ,
135 ,
140 ,
155 ,
164 ,
185 ,
207 ,
243 ,
279 ,
326 ,
367 ,
408 ,
449 ,
483 ,
516 ,
543 ,
556 ,
576 ,
579 ,
594 ,
593 ,
599 ,
599 ,
596 ,
596 ,
592 ,
596 ,
594 ,
603 ,
607 ,
617 ,
622 ,
630 ,
634 ,
640 ,
641 ,
636 ,
633 ,
623 ,
618 ,
610 ,
607 ,
603 ,
600 ,
590 ,
581 ,
570 ,
560 ,
555 ,
550 ,
552 ,
557 ,
564 ,
577 ,
593 ,
604 ,
610 ,
613 ,
609 ,
603 ,
601 ,
592 ,
602 ,
597 ,
613 ,
620 ,
636 ,
650 ,
658 ,
668 ,
662 ,
665 ,
655 ,
653 ,
648 ,
652 ,
656 ,
675 ,
683 ,
705 ,
714 ,
732 ,
742 ,
753 ,
759 ,
761 ,
757 ,
753 ,
738 ,
727 ,
708 ,
686 ,
659 ,
634 ,
604 ,
583 ,
560 ,
542 ,
532 ,
512 ,
513 ,
500 ,
503 ,
504 ,
507 ,
518 ,
517 ,
524 ,
525 ,
530 ,
541 ,
546 ,
557 ,
561 ,
564 ,
569 ,
565 ,
564 ,
554 ,
553 ,
543 ,
544 ,
539 ,
540 ,
544 ,
545 ,
548 ,
533 ,
527 ,
494 ,
484 ,
447 ,
440 ,
418 ,
417 ,
411 ,
413 ,
416 ,
418 ,
408 ,
401 ,
372 ,
352 ,
315 ,
285 ,
254 ,
230 ,
214 ,
204 ,
196 ,
194 ,
189 ,
187 ,
186 ,
185 ,
182 ,
175 ,
173 ,
158 ,
146 ,
123 ,
103 ,
75  ,
49  ,
24  ,
-1  ,
-16 ,
-30 ,
-42 ,
-43 ,
-53 ,
-50 ,
-53 ,
-50 ,
-50 ,
-52 ,
-53 ,
-53 ,
-54 ,
-53 ,
-48 ,
-44 ,
-38 ,
-40 ,
-38 ,
-41 ,
-38 ,
-33 ,
-41 ,
-31 ,
-39 ,
-32 ,
-31 ,
-23 ,
-12 ,
0 ,
15  ,
12  ,
16  ,
1 ,
-11 ,
-30 ,
-51 ,
-67 ,
-84 ,
-92 ,
-95 ,
-91 ,
-83 ,
-76 ,
-75 ,
-81 ,
-90 ,
-109  ,
-123  ,
-134  ,
-141  ,
-131  ,
-118  ,
-104  ,
-86 ,
-67 ,
-44 ,
-21 ,
5 ,
27  ,
49  ,
69  ,
78  ,
89  ,
88  ,
79  ,
76  ,
55  ,
51  ,
34  ,
32  ,
25  ,
28  ,
32  ,
33  ,
42  ,
34  ,
44  ,
40  ,
51  ,
48  ,
52  ,
51  ,
46  ,
40  ,
28  ,
12  ,
-10 ,
-39 ,
-70 ,
-106  ,
-142  ,
-176  ,
-215  ,
-245  ,
-284  ,
-313  ,
-348  ,
-370  ,
-403  ,
-427  ,
-466  ,
-498  ,
-544  ,
-585  ,
-634  ,
-676  ,
-714  ,
-750  ,
-776  ,
-796  ,
-805  ,
-810  ,
-801  ,
-802  ,
-790  ,
-789  ,
-787  ,
-785  ,
-786  ,
-777  ,
-766  ,
-745  ,
-722  ,
-690  ,
-659  ,
-626  ,
-581  ,
-541  ,
-489  ,
-441  ,
-394  ,
-348  ,
-307  ,
-273  ,
-253  ,
-236  ,
-233  ,
-233  ,
-233  ,
-245  ,
-239  ,
-248  ,
-242  ,
-248  ,
-250  ,
-252  ,
-253  ,
-256  ,
-249  ,
-255  ,
-245  ,
-252  ,
-249  ,
-250  ,
-258  ,
-263  ,
-277  ,
-291  ,
-310  ,
-334  ,
-347  ,
-364  ,
-369  ,
-372  ,
-377  ,
-378  ,
-382  ,
-391  ,
-385  ,
-393  ,
-388  ,
-400  ,
-402  ,
-426  ,
-446  ,
-476  ,
-501  ,
-523  ,
-545  ,
-558  ,
-569  ,
-577  ,
-574  ,
-566  ,
-563  ,
-553  ,
-559  ,
-560  ,
-580  ,
-591  ,
-610  ,
-617  ,
-621  ,
-625  ,
-623  ,
-628  ,
-623  ,
-618  ,
-608  ,
-590  ,
-575  ,
-549  ,
-538  ,
-515  ,
-514  ,
-506  ,
-507  ,
-512  ,
-521  ,
-526  ,
-539  ,
-540  ,
-541  ,
-542  ,
-544  ,
-539  ,
-539  ,
-532  ,
-525  ,
-513  ,
-496  ,
-475  ,
-456  ,
-425  ,
-410  ,
-386  ,
-382  ,
-374  ,
-376  ,
-371  ,
-368  ,
-352  ,
-331  ,
-306  ,
-279  ,
-249  ,
-221  ,
-194  ,
-166  ,
-142  ,
-113  ,
-90 ,
-66 ,
-47 ,
-33 ,
-30 ,
-26 ,
-31 ,
-32 ,
-34 ,
-29 ,
-21 ,
-7  ,
10  ,
32  ,
45  ,
58  ,
59  ,
54  ,
40  ,
22  ,
1 ,
-20 ,
-30 ,
-52 ,
-49 ,
-71 ,
-66 ,
-76 ,
-71 ,
-69 ,
-65 ,
-63 ,
-56 ,
-53 ,
-45 ,
-42 ,
-43 ,
-44 ,
-55 ,
-57 ,
-65 ,
-66 ,
-68 ,
-65 ,
-66 ,
-56 ,
-45 ,
-31 ,
-13 ,
11  ,
27  ,
57  ,
76  ,
102 ,
119 ,
132 ,
130 ,
125 ,
113 ,
102 ,
94  ,
97  ,
103 ,
126 ,
140 ,
162 ,
174 ,
184 ,
192 ,
195 ,
192 ,
182 ,
175 ,
154 ,
134 ,
105 ,
72  ,
44  ,
10  ,
-21 ,
-49 ,
-71 ,
-88 ,
-96 ,
-100  ,
-98 ,
-98 ,
-108  ,
-122  ,
-146  ,
-173  ,
-197  ,
-217  ,
-233  ,
-238  ,
-250  ,
-248  ,
-250  ,
-244  ,
-237  ,
-225  ,
-221  ,
-210  ,
-209  ,
-200  ,
-193  ,
-190  ,
-183  ,
-186  ,
-184  ,
-188  ,
-193  ,
-194  ,
-199  ,
-193  ,
-185  ,
-179  ,
-164  ,
-154  ,
-145  ,
-129  ,
-121  ,
-98 ,
-87 ,
-63 ,
-61 ,
-52 ,
-68 ,
-75 ,
-96 ,
-103  ,
-112  ,
-111  ,
-108  ,
-90 ,
-79 ,
-58 ,
-45 ,
-33 ,
-21 ,
-16 ,
-7  ,
3 ,
10  ,
20  ,
20  ,
25  ,
19  ,
21  ,
12  ,
17  ,
17  ,
27  ,
48  ,
68  ,
109 ,
132 ,
170 ,
188 ,
208 ,
224 ,
230 ,
249 ,
258 ,
278 ,
293 ,
312 ,
330 ,
350 ,
364 ,
384 ,
401 ,
414 ,
441 ,
455 ,
489 ,
511 ,
533 ,
557 ,
567 ,
584 ,
589 ,
589 ,
595 ,
592 ,
597 ,
601 ,
602 ,
600 ,
602 ,
588 ,
593 ,
578 ,
589 ,
582 ,
592 ,
581 ,
571 ,
551 ,
519 ,
492 ,
458 ,
427 ,
406 ,
390 ,
392 ,
396 ,
406 ,
412 ,
421 ,
429 ,
436 ,
441 ,
450 ,
448 ,
451 ,
436 ,
432 ,
419 ,
419 ,
409 ,
412 ,
406 ,
413 ,
426 ,
439 ,
472 ,
489 ,
521 ,
538 ,
551 ,
559 ,
557 ,
565 ,
564 ,
578 ,
577 ,
589 ,
590 ,
590 ,
592 ,
590 ,
588 ,
583 ,
581 ,
576 ,
575 ,
578 ,
576 ,
577 ,
578 ,
572 ,
565 ,
553 ,
538 ,
531 ,
520 ,
516 ,
513 ,
511 ,
505 ,
504 ,
503 ,
509 ,
522 ,
536 ,
548 ,
556 ,
548 ,
550 ,
532 ,
530 ,
513 ,
510 ,
500 ,
507 ,
513 ,
528 ,
543 ,
554 ,
568 ,
576 ,
582 ,
586 ,
580 ,
576 ,
561 ,
553 ,
536 ,
521 ,
500 ,
478 ,
455 ,
430 ,
413 ,
399 ,
396 ,
390 ,
396 ,
390 ,
388 ,
371 ,
353 ,
325 ,
303 ,
273 ,
249 ,
221 ,
198 ,
174 ,
151 ,
134 ,
115 ,
102 ,
87  ,
80  ,
73  ,
74  ,
76  ,
85  ,
89  ,
92  ,
81  ,
68  ,
45  ,
26  ,
-1  ,
-9  ,
-31 ,
-39 ,
-57 ,
-71 ,
-85 ,
-92 ,
-91 ,
-85 ,
-75 ,
-68 ,
-64 ,
-69 ,
-73 ,
-85 ,
-99 ,
-110  ,
-130  ,
-134  ,
-142  ,
-129  ,
-112  ,
-86 ,
-64 ,
-39 ,
-30 ,
-25 ,
-30 ,
-38 ,
-47 ,
-57 ,
-65 ,
-74 ,
-84 ,
-98 ,
-117  ,
-128  ,
-145  ,
-145  ,
-145  ,
-128  ,
-110  ,
-79 ,
-52 ,
-20 ,
-1  ,
14  ,
13  ,
11  ,
5 ,
-6  ,
-4  ,
-8  ,
-2  ,
7 ,
13  ,
25  ,
35  ,
49  ,
66  ,
84  ,
114 ,
141 ,
172 ,
206 ,
223 ,
245 ,
249 ,
253 ,
252 ,
247 ,
243 ,
240 ,
238 ,
236 ,
235 ,
233 ,
237 ,
242 ,
244 ,
242 ,
237 ,
219 ,
194 ,
158 ,
115 ,
70  ,
24  ,
-26 ,
-59 ,
-95 ,
-120  ,
-138  ,
-157  ,
-165  ,
-183  ,
-204  ,
-231  ,
-277  ,
-318  ,
-372  ,
-425  ,
-479  ,
-527  ,
-580  ,
-617  ,
-657  ,
-688  ,
-708  ,
-730  ,
-732  ,
-736  ,
-719  ,
-704  ,
-681  ,
-659  ,
-642  ,
-626  ,
-620  ,
-615  ,
-611  ,
-608  ,
-597  ,
-594  ,
-576  ,
-563  ,
-544  ,
-522  ,
-495  ,
-466  ,
-433  ,
-400  ,
-363  ,
-325  ,
-294  ,
-262  ,
-243  ,
-236  ,
-234  ,
-252  ,
-262  ,
-279  ,
-294  ,
-308  ,
-317  ,
-331  ,
-334  ,
-336  ,
-335  ,
-322  ,
-317  ,
-309  ,
-301  ,
-310  ,
-313  ,
-337  ,
-350  ,
-383  ,
-399  ,
-424  ,
-434  ,
-441  ,
-439  ,
-423  ,
-402  ,
-378  ,
-362  ,
-351  ,
-358  ,
-369  ,
-397  ,
-425  ,
-451  ,
-480  ,
-500  ,
-528  ,
-546  ,
-571  ,
-589  ,
-608  ,
-618  ,
-623  ,
-618  ,
-608  ,
-596  ,
-581  ,
-570  ,
-568  ,
-569  ,
-581  ,
-598  ,
-614  ,
-640  ,
-653  ,
-676  ,
-685  ,
-684  ,
-687  ,
-668  ,
-660  ,
-633  ,
-609  ,
-576  ,
-544  ,
-506  ,
-479  ,
-446  ,
-430  ,
-418  ,
-416  ,
-424  ,
-428  ,
-445  ,
-448  ,
-465  ,
-464  ,
-466  ,
-459  ,
-442  ,
-431  ,
-404  ,
-386  ,
-365  ,
-348  ,
-337  ,
-321  ,
-316  ,
-303  ,
-300  ,
-288  ,
-276  ,
-262  ,
-241  ,
-217  ,
-178  ,
-139  ,
-97 ,
-62 ,
-32 ,
-18 ,
-10 ,
-10 ,
-13 ,
-16 ,
-23 ,
-35 ,
-44 ,
-53 ,
-61 ,
-64 ,
-73 ,
-69 ,
-71 ,
-64 ,
-58 ,
-52 ,
-41 ,
-38 ,
-44 ,
-52 ,
-86 ,
-110  ,
-155  ,
-188  ,
-223  ,
-247  ,
-268  ,
-270  ,
-275  ,
-262  ,
-255  ,
-232  ,
-209  ,
-184  ,
-147  ,
-122  ,
-87 ,
-63 ,
-41 ,
-25 ,
-14 ,
-18 ,
-19 ,
-27 ,
-35 ,
-30 ,
-34 ,
-14 ,
-5  ,
24  ,
34  ,
64  ,
75  ,
103 ,
116 ,
138 ,
153 ,
164 ,
175 ,
174 ,
181 ,
178 ,
187 ,
191 ,
210 ,
217 ,
244 ,
254 ,
276 ,
267 ,
269 ,
233 ,
211 ,
168 ,
131 ,
93  ,
56  ,
24  ,
-4  ,
-33 ,
-59 ,
-79 ,
-99 ,
-105  ,
-113  ,
-107  ,
-101  ,
-89 ,
-88 ,
-84 ,
-102  ,
-112  ,
-145  ,
-170  ,
-203  ,
-231  ,
-255  ,
-276  ,
-283  ,
-284  ,
-273  ,
-259  ,
-240  ,
-217  ,
-194  ,
-169  ,
-143  ,
-119  ,
-94 ,
-70 ,
-57 ,
-47 ,
-50 ,
-56 ,
-74 ,
-85 ,
-106  ,
-114  ,
-128  ,
-128  ,
-136  ,
-129  ,
-133  ,
-128  ,
-129  ,
-131  ,
-132  ,
-131  ,
-134  ,
-135  ,
-141  ,
-147  ,
-151  ,
-149  ,
-146  ,
-133  ,
-116  ,
-93 ,
-68 ,
-43 ,
-28 ,
-13 ,
-20 ,
-21 ,
-37 ,
-45 ,
-47 ,
-57 ,
-45 ,
-53 ,
-42 ,
-43 ,
-29 ,
-22 ,
2 ,
17  ,
51  ,
79  ,
113 ,
149 ,
175 ,
198 ,
206 ,
210 ,
202 ,
199 ,
199 ,
206 ,
227 ,
252 ,
289 ,
321 ,
365 ,
395 ,
440 ,
472 ,
509 ,
544 ,
569 ,
598 ,
618 ,
639 ,
651 ,
657 ,
656 ,
642 ,
634 ,
610 ,
599 ,
578 ,
571 ,
558 ,
548 ,
538 ,
524 ,
512 ,
500 ,
487 ,
481 ,
467 ,
457 ,
434 ,
419 ,
407 ,
406 ,
412 ,
426 ,
441 ,
456 ,
475 ,
488 ,
499 ,
502 ,
494 ,
480 ,
461 ,
447 ,
434 ,
434 ,
434 ,
442 ,
450 ,
454 ,
469 ,
474 ,
493 ,
516 ,
538 ,
566 ,
593 ,
603 ,
622 ,
607 ,
600 ,
578 ,
551 ,
533 ,
512 ,
500 ,
495 ,
487 ,
496 ,
492 ,
500 ,
496 ,
498 ,
494 ,
495 ,
493 ,
498 ,
499 ,
509 ,
510 ,
516 ,
510 ,
503 ,
482 ,
464 ,
441 ,
424 ,
412 ,
402 ,
406 ,
399 ,
403 ,
395 ,
391 ,
388 ,
386 ,
384 ,
385 ,
380 ,
379 ,
381 ,
388 ,
403 ,
420 ,
446 ,
465 ,
493 ,
507 ,
528 ,
532 ,
541 ,
529 ,
516 ,
491 ,
470 ,
452 ,
435 ,
428 ,
413 ,
405 ,
388 ,
368 ,
357 ,
335 ,
336 ,
319 ,
319 ,
303 ,
293 ,
272 ,
254 ,
221 ,
195 ,
163 ,
138 ,
115 ,
97  ,
91  ,
86  ,
89  ,
88  ,
90  ,
79  ,
76  ,
56  ,
49  ,
34  ,
26  ,
18  ,
23  ,
20  ,
25  ,
20  ,
14  ,
4 ,
-10 ,
-28 ,
-35 ,
-49 ,
-49 ,
-51 ,
-50 ,
-52 ,
-51 ,
-61 ,
-61 ,
-63 ,
-64 ,
-57 ,
-56 ,
-48 ,
-45 ,
-32 ,
-20 ,
-3  ,
14  ,
28  ,
41  ,
46  ,
52  ,
53  ,
49  ,
47  ,
37  ,
26  ,
17  ,
9 ,
6 ,
6 ,
10  ,
7 ,
7 ,
-1  ,
-3  ,
-6  ,
-3  ,
-2  ,
-1  ,
-5  ,
-12 ,
-21 ,
-30 ,
-42 ,
-56 ,
-60 ,
-72 ,
-67 ,
-66 ,
-46 ,
-31 ,
-5  ,
13  ,
42  ,
51  ,
68  ,
68  ,
76  ,
91  ,
106 ,
131 ,
155 ,
182 ,
212 ,
231 ,
246 ,
254 ,
251 ,
247 ,
237 ,
226 ,
217 ,
206 ,
199 ,
181 ,
168 ,
142 ,
120 ,
89  ,
62  ,
37  ,
18  ,
-8  ,
-27 ,
-54 ,
-72 ,
-92 ,
-106  ,
-136  ,
-165  ,
-219  ,
-263  ,
-300  ,
-328  ,
-362  ,
-427  ,
-469  ,
-499  ,
-532  ,
-573  ,
-565  ,
-556  ,
-578  ,
-605  ,
-600  ,
-607  ,
-644  ,
-658  ,
-633  ,
-624  ,
-628  ,
-626  ,
-604  ,
-608  ,
-615  ,
-605  ,
-581  ,
-577  ,
-565  ,
-528  ,
-491  ,
-473  ,
-451  ,
-420  ,
-401  ,
-396  ,
-385  ,
-369  ,
-369  ,
-379  ,
-360  ,
-335  ,
-305  ,
-271  ,
-233  ,
-209  ,
-213  ,
-214  ,
-207  ,
-198  ,
-207  ,
-196  ,
-191  ,
-195  ,
-203  ,
-210  ,
-226  ,
-251  ,
-276  ,
-269  ,
-276  ,
-279  ,
-287  ,
-282  ,
-277  ,
-280  ,
-267  ,
-245  ,
-240  ,
-242  ,
-232  ,
-227  ,
-237  ,
-270  ,
-279  ,
-289  ,
-316  ,
-334  ,
-342  ,
-355  ,
-384  ,
-418  ,
-435  ,
-463  ,
-480  ,
-489  ,
-488  ,
-517  ,
-554  ,
-582  ,
-601  ,
-621  ,
-649  ,
-667  ,
-677  ,
-687  ,
-684  ,
-680  ,
-674  ,
-680  ,
-673  ,
-660  ,
-641  ,
-630  ,
-621  ,
-618  ,
-636  ,
-643  ,
-658  ,
-662  ,
-668  ,
-657  ,
-642  ,
-617  ,
-618  ,
-626  ,
-656  ,
-686  ,
-738  ,
-774  ,
-815  ,
-826  ,
-827  ,
-808  ,
-779  ,
-751  ,
-689  ,
-600  ,
-503  ,
-418  ,
-344  ,
-265  ,
-166  ,
-86 ,
8 ,
82  ,
160 ,
226 ,
303 ,
340 ,
308 ,
267 ,
243 ,
225 ,
203 ,
187 ,
185 ,
181 ,
150 ,
137 ,
125 ,
126 ,
122 ,
136 ,
141 ,
156 ,
157 ,
168 ,
178 ,
189 ,
208 ,
231 ,
257 ,
227 ,
163 ,
75  ,
7 ,
-50 ,
-94 ,
-125  ,
-145  ,
-133  ,
-90 ,
-62 ,
-61 ,
-58 ,
-50 ,
-55 ,
-102  ,
-170  ,
-221  ,
-257  ,
-261  ,
-247  ,
-215  ,
-167  ,
-84 ,
32  ,
138 ,
214 ,
245 ,
257 ,
233 ,
178 ,
116 ,
62  ,
28  ,
-8  ,
-22 ,
-20 ,
4 ,
20  ,
51  ,
87  ,
136 ,
165 ,
170 ,
121 ,
28  ,
-59 ,
-101  ,
-112  ,
-123  ,
-126  ,
-94 ,
-34 ,
20  ,
56  ,
69  ,
80  ,
89  ,
79  ,
40  ,
-29 ,
-103  ,
-147  ,
-166  ,
-165  ,
-162  ,
-161  ,
-165  ,
-173  ,
-198  ,
-242  ,
-280  ,
-310  ,
-334  ,
-356  ,
-375  ,
-368  ,
-346  ,
-309  ,
-260  ,
-211  ,
-179  ,
-164  ,
-150  ,
-150  ,
-159  ,
-182  ,
-216  ,
-282  ,
-344  ,
-400  ,
-429  ,
-448  ,
-458  ,
-444  ,
-406  ,
-342  ,
-287  ,
-242  ,
-198  ,
-138  ,
-82 ,
-33 ,
-13 ,
-21 ,
-32 ,
-40 ,
-16 ,
-9  ,
6 ,
7 ,
18  ,
28  ,
31  ,
47  ,
68  ,
102 ,
125 ,
149 ,
152 ,
159 ,
138 ,
108 ,
87  ,
82  ,
75  ,
69  ,
60  ,
65  ,
84  ,
113 ,
153 ,
175 ,
190 ,
193 ,
197 ,
201 ,
201 ,
198 ,
211 ,
233 ,
271 ,
289 ,
324 ,
356 ,
412 ,
439 ,
466 ,
458 ,
458 ,
441 ,
422 ,
399 ,
360 ,
319 ,
288 ,
250 ,
212 ,
164 ,
114 ,
74  ,
36  ,
5 ,
-16 ,
-23 ,
-4  ,
45  ,
118 ,
204 ,
286 ,
343 ,
389 ,
410 ,
424 ,
426 ,
409 ,
384 ,
343 ,
307 ,
283 ,
263 ,
241 ,
231 ,
224 ,
236 ,
227 ,
211 ,
179 ,
140 ,
92  ,
34  ,
-11 ,
-48 ,
-66 ,
-72 ,
-54 ,
-14 ,
52  ,
135 ,
229 ,
316 ,
386 ,
451 ,
509 ,
566 ,
610 ,
628 ,
656 ,
658 ,
673 ,
658 ,
664 ,
659 ,
663 ,
661 ,
656 ,
643 ,
641 ,
631 ,
628 ,
625 ,
624 ,
626 ,
618 ,
590 ,
562 ,
536 ,
526 ,
518 ,
506 ,
487 ,
472 ,
470 ,
481 ,
506 ,
540 ,
590 ,
654 ,
726 ,
793 ,
839 ,
870 ,
884 ,
888 ,
875 ,
842 ,
812 ,
786 ,
768 ,
762 ,
749 ,
745 ,
736 ,
721 ,
710 ,
696 ,
685 ,
687 ,
673 ,
678 ,
673 ,
679 ,
680 ,
702 ,
720 ,
748 ,
760 ,
767 ,
755 ,
737 ,
725 ,
721 ,
721 ,
714 ,
707 ,
700 ,
700 ,
696 ,
679 ,
646 ,
601 ,
541 ,
461 ,
366 ,
254 ,
153 ,
81  ,
38  ,
30  ,
18  ,
28  ,
28  ,
35  ,
39  ,
34  ,
15  ,
-21 ,
-72 ,
-131  ,
-192  ,
-234  ,
-266  ,
-276  ,
-271  ,
-253  ,
-221  ,
-181  ,
-148  ,
-115  ,
-92 ,
-81 ,
-74 ,
-86 ,
-106  ,
-133  ,
-155  ,
-176  ,
-191  ,
-205  ,
-215  ,
-219  ,
-220  ,
-226  ,
-221  ,
-221  ,
-216  ,
-214  ,
-212  ,
-205  ,
-201  ,
-176  ,
-147  ,
-121  ,
-100  ,
-93 ,
-77 ,
-69 ,
-54 ,
-33 ,
-13 ,
17  ,
37  ,
60  ,
93  ,
118 ,
151 ,
166 ,
185 ,
191 ,
183 ,
160 ,
124 ,
88  ,
62  ,
54  ,
53  ,
55  ,
58  ,
68  ,
77  ,
92  ,
89  ,
91  ,
94  ,
106 ,
126 ,
150 ,
168 ,
202 ,
225 ,
252 ,
268 ,
273 ,
272 ,
263 ,
245 ,
230 ,
221 ,
223 ,
247 ,
285 ,
335 ,
386 ,
435 ,
459 ,
469 ,
440 ,
399 ,
340 ,
279 ,
222 ,
171 ,
139 ,
114 ,
109 ,
109 ,
136 ,
146 ,
161 ,
140 ,
103 ,
29  ,
-52 ,
-157  ,
-252  ,
-346  ,
-418  ,
-469  ,
-504  ,
-518  ,
-542  ,
-542  ,
-551  ,
-548  ,
-558  ,
-568  ,
-582  ,
-597  ,
-616  ,
-637  ,
-652  ,
-656  ,
-642  ,
-621  ,
-586  ,
-554  ,
-527  ,
-500  ,
-483  ,
-473  ,
-478  ,
-484  ,
-500  ,
-519  ,
-542  ,
-566  ,
-585  ,
-590  ,
-607  ,
-605  ,
-622  ,
-632  ,
-662  ,
-683  ,
-707  ,
-716  ,
-716  ,
-697  ,
-660  ,
-614  ,
-550  ,
-486  ,
-421  ,
-379  ,
-343  ,
-319  ,
-296  ,
-284  ,
-280  ,
-290  ,
-298  ,
-302  ,
-300  ,
-282  ,
-272  ,
-244  ,
-226  ,
-205  ,
-199  ,
-208  ,
-228  ,
-253  ,
-284  ,
-317  ,
-350  ,
-393  ,
-433  ,
-486  ,
-528  ,
-569  ,
-591  ,
-608  ,
-618  ,
-618  ,
-609  ,
-593  ,
-562  ,
-531  ,
-487  ,
-447  ,
-417  ,
-403  ,
-413  ,
-445  ,
-486  ,
-527  ,
-572  ,
-601  ,
-621  ,
-626  ,
-619  ,
-606  ,
-601  ,
-601  ,
-612  ,
-638  ,
-668  ,
-724  ,
-770  ,
-836  ,
-880  ,
-930  ,
-954  ,
-969  ,
-959  ,
-933  ,
-885  ,
-833  ,
-773  ,
-726  ,
-676  ,
-645  ,
-617  ,
-596  ,
-573  ,
-536  ,
-506  ,
-458  ,
-412  ,
-351  ,
-310  ,
-269  ,
-252  ,
-232  ,
-250  ,
-257  ,
-283  ,
-292  ,
-303  ,
-294  ,
-274  ,
-243  ,
-213  ,
-175  ,
-142  ,
-115  ,
-99 ,
-95 ,
-92 ,
-109  ,
-121  ,
-139  ,
-131  ,
-128  ,
-93 ,
-50 ,
8 ,
73  ,
137 ,
195 ,
232 ,
242 ,
231 ,
198 ,
154 ,
95  ,
59  ,
11  ,
-9  ,
-32 ,
-46 ,
-54 ,
-60 ,
-67 ,
-74 ,
-93 ,
-116  ,
-144  ,
-174  ,
-211  ,
-236  ,
-257  ,
-250  ,
-246  ,
-223  ,
-203  ,
-174  ,
-140  ,
-98 ,
-41 ,
12  ,
75  ,
134 ,
203 ,
251 ,
290 ,
316 ,
335 ,
331 ,
320 ,
284 ,
253 ,
206 ,
172 ,
147 ,
133 ,
134 ,
156 ,
185 ,
222 ,
245 ,
254 ,
255 ,
231 ,
206 ,
166 ,
137 ,
112 ,
96  ,
99  ,
100 ,
108 ,
107 ,
100 ,
83  ,
51  ,
18  ,
-30 ,
-75 ,
-122  ,
-162  ,
-184  ,
-206  ,
-208  ,
-208  ,
-205  ,
-204  ,
-199  ,
-211  ,
-224  ,
-258  ,
-285  ,
-316  ,
-343  ,
-351  ,
-348  ,
-323  ,
-294  ,
-252  ,
-217  ,
-188  ,
-170  ,
-171  ,
-188  ,
-222  ,
-269  ,
-322  ,
-364  ,
-398  ,
-402  ,
-382  ,
-347  ,
-294  ,
-248  ,
-190  ,
-151  ,
-113  ,
-100  ,
-88 ,
-100  ,
-115  ,
-138  ,
-156  ,
-159  ,
-147  ,
-115  ,
-64 ,
-10 ,
51  ,
104 ,
145 ,
173 ,
183 ,
168 ,
153 ,
120 ,
96  ,
73  ,
50  ,
37  ,
30  ,
28  ,
37  ,
38  ,
48  ,
49  ,
62  ,
78  ,
116 ,
153 ,
209 ,
258 ,
323 ,
387 ,
443 ,
500 ,
538 ,
575 ,
595 ,
621 ,
637 ,
665 ,
682 ,
707 ,
728 ,
736 ,
748 ,
738 ,
732 ,
702 ,
678 ,
634 ,
602 ,
561 ,
530 ,
506 ,
483 ,
478 ,
471 ,
475 ,
474 ,
472 ,
476 ,
482 ,
492 ,
500 ,
510 ,
526 ,
542 ,
559 ,
581 ,
592 ,
609 ,
594 ,
585 ,
550 ,
514 ,
472 ,
423 ,
394 ,
358 ,
344 ,
327 ,
324 ,
315 ,
307 ,
292 ,
261 ,
226 ,
166 ,
113 ,
55  ,
6 ,
-25 ,
-40 ,
-30 ,
2 ,
52  ,
123 ,
209 ,
289 ,
363 ,
416 ,
447 ,
461 ,
468 ,
461 ,
460 ,
447 ,
439 ,
434 ,
431 ,
438 ,
436 ,
433 ,
415 ,
384 ,
337 ,
281 ,
219 ,
156 ,
103 ,
61  ,
40  ,
37  ,
49  ,
63  ,
87  ,
102 ,
139 ,
157 ,
196 ,
221 ,
248 ,
285 ,
319 ,
375 ,
430 ,
493 ,
555 ,
608 ,
657 ,
687 ,
715 ,
721 ,
728 ,
731 ,
730 ,
737 ,
730 ,
737 ,
735 ,
737 ,
738 ,
728 ,
733 ,
717 ,
716 ,
705 ,
697 ,
689 ,
686 ,
687 ,
696 ,
713 ,
730 ,
761 ,
782 ,
811 ,
831 ,
857 ,
887 ,
916 ,
949 ,
979 ,
1009  ,
1031  ,
1040  ,
1037  ,
1013  ,
964 ,
892 ,
805 ,
704 ,
611 ,
511 ,
434 ,
358 ,
305 ,
258 ,
226 ,
192 ,
162 ,
122 ,
80  ,
34  ,
-8  ,
-39 ,
-72 ,
-88 ,
-102  ,
-93 ,
-82 ,
-50 ,
-32 ,
-4  ,
-2  ,
-7  ,
-30 ,
-76 ,
-129  ,
-196  ,
-263  ,
-325  ,
-374  ,
-400  ,
-420  ,
-413  ,
-412  ,
-396  ,
-392  ,
-392  ,
-405  ,
-435  ,
-466  ,
-512  ,
-544  ,
-567  ,
-572  ,
-563  ,
-539  ,
-511  ,
-479  ,
-452  ,
-435  ,
-429  ,
-432  ,
-449  ,
-468  ,
-483  ,
-504  ,
-506  ,
-505  ,
-488  ,
-455  ,
-415  ,
-378  ,
-336  ,
-311  ,
-294  ,
-289  ,
-306  ,
-327  ,
-360  ,
-385  ,
-401  ,
-401  ,
-380  ,
-351  ,
-309  ,
-266  ,
-212  ,
-165  ,
-120  ,
-88 ,
-55 ,
-34 ,
-2  ,
21  ,
64  ,
102 ,
146 ,
189 ,
228 ,
265 ,
297 ,
324 ,
346 ,
367 ,
382 ,
404 ,
414 ,
430 ,
432 ,
437 ,
437 ,
438 ,
449 ,
453 ,
456 ,
457 ,
454 ,
457 ,
448 ,
445 ,
422 ,
399 ,
362 ,
329 ,
281 ,
238 ,
179 ,
119 ,
54  ,
-5  ,
-56 ,
-93 ,
-129  ,
-144  ,
-161  ,
-162  ,
-167  ,
-171  ,
-174  ,
-177  ,
-191  ,
-192  ,
-195  ,
-191  ,
-177  ,
-164  ,
-134  ,
-108  ,
-84 ,
-64 ,
-64 ,
-75 ,
-109  ,
-153  ,
-211  ,
-266  ,
-329  ,
-388  ,
-435  ,
-475  ,
-497  ,
-512  ,
-525  ,
-535  ,
-554  ,
-572  ,
-599  ,
-631  ,
-679  ,
-736  ,
-788  ,
-833  ,
-853  ,
-849  ,
-822  ,
-780  ,
-729  ,
-683  ,
-642  ,
-615  ,
-599  ,
-601  ,
-613  ,
-622  ,
-642  ,
-653  ,
-674  ,
-682  ,
-687  ,
-699  ,
-698  ,
-708  ,
-721  ,
-759  ,
-804  ,
-861  ,
-924  ,
-981  ,
-1042 ,
-1078 ,
-1111 ,
-1126 ,
-1124 ,
-1110 ,
-1090 ,
-1062 ,
-1029 ,
-982  ,
-944  ,
-899  ,
-860  ,
-818  ,
-795  ,
-758  ,
-722  ,
-674  ,
-628  ,
-585  ,
-554  ,
-532  ,
-521  ,
-521  ,
-530  ,
-562  ,
-585  ,
-620  ,
-635  ,
-658  ,
-673  ,
-692  ,
-702  ,
-708  ,
-707  ,
-691  ,
-675  ,
-645  ,
-620  ,
-583  ,
-547  ,
-503  ,
-452  ,
-413  ,
-358  ,
-308  ,
-251  ,
-193  ,
-150  ,
-91 ,
-56 ,
2 ,
50  ,
120 ,
188 ,
241 ,
290 ,
320 ,
346 ,
360 ,
364 ,
362 ,
340 ,
321 ,
288 ,
257 ,
229 ,
200 ,
188 ,
191 ,
215 ,
239 ,
267 ,
276 ,
275 ,
265 ,
255 ,
248 ,
250 ,
260 ,
283 ,
318 ,
351 ,
387 ,
402 ,
425 ,
424 ,
417 ,
395 ,
352 ,
299 ,
215 ,
133 ,
34  ,
-44 ,
-121  ,
-181  ,
-243  ,
-301  ,
-357  ,
-410  ,
-459  ,
-499  ,
-536  ,
-562  ,
-587  ,
-600  ,
-603  ,
-597  ,
-580  ,
-555  ,
-522  ,
-470  ,
-437  ,
-395  ,
-381  ,
-379  ,
-379  ,
-392  ,
-384  ,
-394  ,
-382  ,
-390  ,
-372  ,
-369  ,
-346  ,
-335  ,
-315  ,
-313  ,
-308  ,
-318  ,
-318  ,
-333  ,
-347  ,
-370  ,
-385  ,
-407  ,
-410  ,
-416  ,
-409  ,
-403  ,
-391  ,
-380  ,
-355  ,
-344  ,
-321  ,
-311  ,
-297  ,
-279  ,
-274  ,
-256  ,
-238  ,
-216  ,
-182  ,
-155  ,
-124  ,
-99 ,
-72 ,
-54 ,
-34 ,
-20 ,
-5  ,
11  ,
25  ,
43  ,
49  ,
53  ,
50  ,
52  ,
50  ,
61  ,
70  ,
100 ,
131 ,
176 ,
221 ,
266 ,
310 ,
344 ,
374 ,
408 ,
416 ,
429 ,
423 ,
418 ,
406 ,
391 ,
394 ,
393 ,
403 ,
416 ,
426 ,
442 ,
447 ,
448 ,
445 ,
445 ,
439 ,
437 ,
434 ,
437 ,
436 ,
448 ,
461 ,
481 ,
487 ,
488 ,
469 ,
443 ,
403 ,
369 ,
329 ,
290 ,
262 ,
235 ,
225 ,
221 ,
222 ,
221 ,
216 ,
210 ,
200 ,
193 ,
185 ,
176 ,
173 ,
172 ,
181 ,
192 ,
216 ,
240 ,
274 ,
298 ,
324 ,
329 ,
335 ,
320 ,
300 ,
269 ,
240 ,
200 ,
174 ,
141 ,
122 ,
104 ,
91  ,
88  ,
85  ,
90  ,
87  ,
81  ,
64  ,
47  ,
10  ,
-12 ,
-52 ,
-69 ,
-90 ,
-106  ,
-109  ,
-115  ,
-112  ,
-104  ,
-96 ,
-67 ,
-49 ,
-16 ,
2 ,
24  ,
37  ,
45  ,
53  ,
62  ,
69  ,
80  ,
87  ,
95  ,
101 ,
101 ,
98  ,
97  ,
91  ,
100 ,
104 ,
119 ,
124 ,
145 ,
155 ,
195 ,
224 ,
275 ,
320 ,
374 ,
427 ,
486 ,
544 ,
600 ,
662 ,
720 ,
785 ,
836 ,
891 ,
931 ,
967 ,
986 ,
1006  ,
1022  ,
1035  ,
1053  ,
1052  ,
1046  ,
1020  ,
986 ,
936 ,
891 ,
833 ,
794 ,
750 ,
718 ,
699 ,
688 ,
688 ,
693 ,
706 ,
728 ,
747 ,
760 ,
770 ,
764 ,
762 ,
752 ,
758 ,
775 ,
806 ,
846 ,
882 ,
927 ,
952 ,
979 ,
989 ,
983 ,
977 ,
943 ,
912 ,
854 ,
799 ,
733 ,
674 ,
616 ,
575 ,
543 ,
517 ,
499 ,
479 ,
452 ,
428 ,
406 ,
388 ,
376 ,
376 ,
379 ,
389 ,
394 ,
400 ,
401 ,
398 ,
400 ,
403 ,
403 ,
396 ,
378 ,
355 ,
317 ,
274 ,
228 ,
180 ,
134 ,
74  ,
25  ,
-36 ,
-90 ,
-146  ,
-202  ,
-247  ,
-300  ,
-337  ,
-381  ,
-417  ,
-454  ,
-480  ,
-497  ,
-493  ,
-482  ,
-461  ,
-446  ,
-440  ,
-442  ,
-450  ,
-463  ,
-464  ,
-462  ,
-445  ,
-429  ,
-414  ,
-400  ,
-391  ,
-382  ,
-379  ,
-360  ,
-346  ,
-326  ,
-322  ,
-318  ,
-323  ,
-331  ,
-336  ,
-340  ,
-336  ,
-339  ,
-338  ,
-337  ,
-337  ,
-331  ,
-322  ,
-307  ,
-280  ,
-247  ,
-200  ,
-151  ,
-96 ,
-55 ,
-9  ,
17  ,
49  ,
72  ,
91  ,
101 ,
104 ,
104 ,
110 ,
119 ,
140 ,
159 ,
194 ,
216 ,
241 ,
244 ,
242 ,
233 ,
222 ,
227 ,
234 ,
267 ,
284 ,
313 ,
325 ,
345 ,
357 ,
377 ,
408 ,
443 ,
475 ,
497 ,
518 ,
519 ,
523 ,
512 ,
512 ,
518 ,
514 ,
518 ,
501 ,
486 ,
452 ,
422 ,
395 ,
370 ,
352 ,
326 ,
293 ,
257 ,
214 ,
178 ,
134 ,
98  ,
61  ,
24  ,
-17 ,
-76 ,
-139  ,
-221  ,
-284  ,
-343  ,
-378  ,
-404  ,
-427  ,
-453  ,
-489  ,
-530  ,
-561  ,
-596  ,
-608  ,
-619  ,
-621  ,
-624  ,
-635  ,
-646  ,
-665  ,
-682  ,
-688  ,
-682  ,
-657  ,
-633  ,
-612  ,
-601  ,
-599  ,
-600  ,
-599  ,
-589  ,
-582  ,
-561  ,
-555  ,
-538  ,
-527  ,
-530  ,
-524  ,
-533  ,
-529  ,
-534  ,
-544  ,
-557  ,
-570  ,
-587  ,
-595  ,
-604  ,
-600  ,
-590  ,
-586  ,
-580  ,
-588  ,
-594  ,
-608  ,
-609  ,
-596  ,
-570  ,
-532  ,
-492  ,
-447  ,
-420  ,
-386  ,
-372  ,
-358  ,
-335  ,
-329  ,
-306  ,
-309  ,
-313  ,
-330  ,
-349  ,
-363  ,
-381  ,
-383  ,
-396  ,
-398  ,
-415  ,
-428  ,
-456  ,
-486  ,
-520  ,
-554  ,
-574  ,
-595  ,
-605  ,
-609  ,
-605  ,
-592  ,
-568  ,
-543  ,
-511  ,
-486  ,
-469  ,
-453  ,
-444  ,
-437  ,
-428  ,
-417  ,
-404  ,
-393  ,
-381  ,
-377  ,
-371  ,
-379  ,
-391  ,
-410  ,
-429  ,
-442  ,
-466  ,
-498  ,
-547  ,
-604  ,
-660  ,
-708  ,
-743  ,
-765  ,
-776  ,
-785  ,
-792  ,
-790  ,
-791  ,
-780  ,
-768  ,
-738  ,
-707  ,
-663  ,
-620  ,
-576  ,
-529  ,
-491  ,
-444  ,
-400  ,
-353  ,
-313  ,
-287  ,
-267  ,
-265  ,
-268  ,
-275  ,
-282  ,
-285  ,
-288  ,
-282  ,
-285  ,
-286  ,
-302  ,
-308  ,
-307  ,
-296  ,
-271  ,
-240  ,
-212  ,
-188  ,
-177  ,
-164  ,
-153  ,
-123  ,
-92 ,
-52 ,
-11 ,
27  ,
67  ,
79  ,
103 ,
105 ,
122 ,
127 ,
143 ,
147 ,
149 ,
121 ,
94  ,
50  ,
13  ,
-22 ,
-46 ,
-66 ,
-71 ,
-80 ,
-65 ,
-65 ,
-62 ,
-77 ,
-85 ,
-103  ,
-115  ,
-123  ,
-127  ,
-137  ,
-127  ,
-112  ,
-61 ,
-13 ,
53  ,
111 ,
155 ,
189 ,
212 ,
226 ,
248 ,
255 ,
268 ,
270 ,
258 ,
239 ,
216 ,
195 ,
172 ,
160 ,
147 ,
136 ,
104 ,
79  ,
40  ,
6 ,
-24 ,
-47 ,
-47 ,
-45 ,
-40 ,
-29 ,
-29 ,
-29 ,
-37 ,
-40 ,
-49 ,
-53 ,
-64 ,
-68 ,
-82 ,
-96 ,
-105  ,
-96 ,
-91 ,
-74 ,
-67 ,
-73 ,
-89 ,
-117  ,
-143  ,
-164  ,
-187  ,
-195  ,
-208  ,
-204  ,
-214  ,
-212  ,
-215  ,
-214  ,
-202  ,
-175  ,
-140  ,
-109  ,
-94 ,
-88 ,
-111  ,
-145  ,
-177  ,
-197  ,
-212  ,
-223  ,
-217  ,
-202  ,
-184  ,
-161  ,
-134  ,
-114  ,
-92 ,
-77 ,
-47 ,
-29 ,
-8  ,
-6  ,
7 ,
-1  ,
-1  ,
-16 ,
-25 ,
-42 ,
-56 ,
-52 ,
-46 ,
-32 ,
-21 ,
2 ,
32  ,
58  ,
86  ,
103 ,
129 ,
137 ,
165 ,
184 ,
218 ,
240 ,
261 ,
276 ,
291 ,
308 ,
335 ,
377 ,
421 ,
469 ,
508 ,
541 ,
555 ,
566 ,
577 ,
584 ,
602 ,
623 ,
655 ,
683 ,
711 ,
740 ,
763 ,
794 ,
819 ,
852 ,
876 ,
899 ,
923 ,
946 ,
958 ,
961 ,
950 ,
936 ,
895 ,
853 ,
794 ,
738 ,
674 ,
624 ,
582 ,
560 ,
546 ,
541 ,
547 ,
543 ,
535 ,
514 ,
510 ,
498 ,
499 ,
492 ,
479 ,
447 ,
406 ,
359 ,
311 ,
268 ,
231 ,
222 ,
214 ,
213 ,
204 ,
194 ,
174 ,
157 ,
141 ,
123 ,
106 ,
75  ,
55  ,
34  ,
10  ,
-3  ,
-26 ,
-36 ,
-41 ,
-33 ,
-4  ,
31  ,
72  ,
115 ,
156 ,
186 ,
219 ,
237 ,
259 ,
266 ,
280 ,
285 ,
301 ,
311 ,
323 ,
337 ,
342 ,
352 ,
354 ,
356 ,
347 ,
347 ,
347 ,
360 ,
355 ,
348 ,
319 ,
276 ,
231 ,
192 ,
173 ,
167 ,
176 ,
195 ,
230 ,
269 ,
307 ,
358 ,
408 ,
472 ,
535 ,
598 ,
656 ,
697 ,
736 ,
761 ,
784 ,
786 ,
785 ,
777 ,
755 ,
744 ,
724 ,
719 ,
709 ,
708 ,
724 ,
737 ,
760 ,
767 ,
780 ,
777 ,
773 ,
765 ,
768 ,
759 ,
762 ,
759 ,
760 ,
755 ,
765 ,
778 ,
823 ,
858 ,
913 ,
947 ,
976 ,
981 ,
974 ,
954 ,
916 ,
874 ,
830 ,
781 ,
747 ,
691 ,
659 ,
612 ,
570 ,
538 ,
502 ,
478 ,
439 ,
403 ,
367 ,
315 ,
264 ,
202 ,
138 ,
67  ,
-9  ,
-62 ,
-115  ,
-144  ,
-176  ,
-187  ,
-196  ,
-197  ,
-195  ,
-195  ,
-199  ,
-217  ,
-227  ,
-253  ,
-271  ,
-300  ,
-340  ,
-382  ,
-443  ,
-502  ,
-579  ,
-649  ,
-720  ,
-775  ,
-810  ,
-840  ,
-849  ,
-858  ,
-857  ,
-851  ,
-848  ,
-834  ,
-828  ,
-825  ,
-828  ,
-827  ,
-832  ,
-839  ,
-844  ,
-845  ,
-829  ,
-814  ,
-778  ,
-744  ,
-697  ,
-661  ,
-620  ,
-590  ,
-564  ,
-543  ,
-528  ,
-514  ,
-508  ,
-500  ,
-491  ,
-475  ,
-456  ,
-416  ,
-368  ,
-309  ,
-249  ,
-181  ,
-113  ,
-48 ,
21  ,
85  ,
158 ,
204 ,
250 ,
276 ,
299 ,
304 ,
312 ,
323 ,
343 ,
371 ,
404 ,
443 ,
484 ,
516 ,
550 ,
576 ,
601 ,
615 ,
619 ,
615 ,
584 ,
558 ,
512 ,
472 ,
424 ,
381 ,
336 ,
290 ,
256 ,
222 ,
210 ,
201 ,
209 ,
212 ,
224 ,
215 ,
205 ,
174 ,
141 ,
111 ,
80  ,
60  ,
48  ,
42  ,
29  ,
11  ,
-11 ,
-22 ,
-28 ,
-26 ,
-15 ,
0 ,
12  ,
14  ,
9 ,
-8  ,
-28 ,
-54 ,
-75 ,
-94 ,
-114  ,
-136  ,
-159  ,
-175  ,
-192  ,
-197  ,
-211  ,
-202  ,
-218  ,
-216  ,
-238  ,
-262  ,
-294  ,
-340  ,
-393  ,
-450  ,
-513  ,
-576  ,
-636  ,
-696  ,
-748  ,
-789  ,
-817  ,
-824  ,
-824  ,
-818  ,
-817  ,
-813  ,
-823  ,
-824  ,
-836  ,
-849  ,
-865  ,
-886  ,
-907  ,
-936  ,
-982  ,
-1022 ,
-1076 ,
-1107 ,
-1135 ,
-1144 ,
-1146 ,
-1141 ,
-1145 ,
-1144 ,
-1157 ,
-1162 ,
-1180 ,
-1195 ,
-1208 ,
-1226 ,
-1243 ,
-1256 ,
-1269 ,
-1265 ,
-1261 ,
-1238 ,
-1204 ,
-1161 ,
-1103 ,
-1058 ,
-1002 ,
-960  ,
-905  ,
-860  ,
-814  ,
-778  ,
-754  ,
-731  ,
-716  ,
-695  ,
-673  ,
-645  ,
-618  ,
-579  ,
-545  ,
-511  ,
-487  ,
-473  ,
-461  ,
-451  ,
-448  ,
-434  ,
-427  ,
-414  ,
-412  ,
-407  ,
-404  ,
-397  ,
-377  ,
-349  ,
-300  ,
-252  ,
-195  ,
-137  ,
-79 ,
-24 ,
33  ,
92  ,
153 ,
216 ,
270 ,
321 ,
360 ,
379 ,
400 ,
396 ,
388 ,
372 ,
357 ,
354 ,
359 ,
377 ,
392 ,
411 ,
418 ,
424 ,
423 ,
415 ,
405 ,
386 ,
368 ,
345 ,
328 ,
317 ,
312 ,
313 ,
312 ,
322 ,
319 ,
326 ,
322 ,
319 ,
309 ,
286 ,
267 ,
232 ,
194 ,
140 ,
80  ,
14  ,
-44 ,
-103  ,
-150  ,
-202  ,
-250  ,
-297  ,
-343  ,
-380  ,
-415  ,
-438  ,
-461  ,
-489  ,
-505  ,
-525  ,
-536  ,
-553  ,
-565  ,
-577  ,
-580  ,
-581  ,
-583  ,
-576  ,
-575  ,
-569  ,
-554  ,
-533  ,
-510  ,
-481  ,
-473  ,
-458  ,
-460  ,
-459  ,
-469  ,
-474  ,
-492  ,
-498  ,
-520  ,
-536  ,
-566  ,
-591  ,
-622  ,
-639  ,
-642  ,
-633  ,
-614  ,
-604  ,
-593  ,
-594  ,
-580  ,
-576  ,
-557  ,
-542  ,
-513  ,
-492  ,
-456  ,
-431  ,
-389  ,
-370  ,
-328  ,
-305  ,
-251  ,
-209  ,
-159  ,
-112  ,
-71 ,
-32 ,
2 ,
33  ,
66  ,
89  ,
100 ,
113 ,
117 ,
130 ,
144 ,
165 ,
199 ,
228 ,
274 ,
315 ,
364 ,
404 ,
425 ,
459 ,
479 ,
514 ,
545 ,
569 ,
594 ,
601 ,
622 ,
629 ,
648 ,
654 ,
662 ,
672 ,
681 ,
688 ,
694 ,
688 ,
678 ,
665 ,
659 ,
653 ,
650 ,
636 ,
627 ,
597 ,
580 ,
552 ,
540 ,
521 ,
502 ,
484 ,
464 ,
462 ,
455 ,
451 ,
439 ,
427 ,
420 ,
414 ,
403 ,
387 ,
360 ,
334 ,
305 ,
291 ,
284 ,
275 ,
271 ,
261 ,
256 ,
256 ,
249 ,
252 ,
259 ,
270 ,
290 ,
306 ,
312 ,
300 ,
289 ,
267 ,
274 ,
270 ,
290 ,
293 ,
290 ,
273 ,
252 ,
233 ,
206 ,
185 ,
163 ,
160 ,
154 ,
148 ,
134 ,
116 ,
82  ,
53  ,
17  ,
6 ,
-17 ,
-40 ,
-66 ,
-86 ,
-103  ,
-111  ,
-113  ,
-104  ,
-95 ,
-79 ,
-75 ,
-64 ,
-64 ,
-65 ,
-63 ,
-59 ,
-36 ,
-14 ,
5 ,
13  ,
16  ,
10  ,
22  ,
36  ,
70  ,
104 ,
134 ,
155 ,
172 ,
184 ,
212 ,
234 ,
276 ,
324 ,
381 ,
440 ,
483 ,
519 ,
543 ,
573 ,
616 ,
668 ,
730 ,
795 ,
839 ,
883 ,
907 ,
948 ,
982 ,
1022  ,
1057  ,
1089  ,
1120  ,
1119  ,
1110  ,
1081  ,
1058  ,
1035  ,
1034  ,
1034  ,
1045  ,
1041  ,
1030  ,
1019  ,
1018  ,
1027  ,
1042  ,
1066  ,
1074  ,
1073  ,
1056  ,
1025  ,
1003  ,
973 ,
974 ,
973 ,
992 ,
1007  ,
1014  ,
1009  ,
992 ,
972 ,
960 ,
953 ,
952 ,
950 ,
932 ,
903 ,
850 ,
798 ,
732 ,
685 ,
639 ,
602 ,
570 ,
527 ,
487 ,
439 ,
394 ,
360 ,
343 ,
336 ,
337 ,
329 ,
313 ,
282 ,
255 ,
239 ,
234 ,
243 ,
241 ,
244 ,
225 ,
205 ,
175 ,
155 ,
144 ,
135 ,
127 ,
118 ,
89  ,
51  ,
-7  ,
-54 ,
-112  ,
-147  ,
-187  ,
-225  ,
-265  ,
-332  ,
-379  ,
-440  ,
-475  ,
-498  ,
-504  ,
-482  ,
-465  ,
-436  ,
-426  ,
-426  ,
-443  ,
-455  ,
-458  ,
-444  ,
-435  ,
-427  ,
-444  ,
-463  ,
-487  ,
-507  ,
-504  ,
-496  ,
-473  ,
-453  ,
-440  ,
-435  ,
-441  ,
-446  ,
-454  ,
-455  ,
-452  ,
-455  ,
-458  ,
-470  ,
-480  ,
-492  ,
-493  ,
-476  ,
-442  ,
-397  ,
-357  ,
-322  ,
-298  ,
-280  ,
-256  ,
-227  ,
-185  ,
-157  ,
-114  ,
-86 ,
-51 ,
-33 ,
-15 ,
10  ,
45  ,
87  ,
144 ,
193 ,
235 ,
264 ,
292 ,
328 ,
369 ,
407 ,
449 ,
486 ,
506 ,
513 ,
506 ,
511 ,
512 ,
531 ,
550 ,
580 ,
596 ,
611 ,
621 ,
630 ,
645 ,
660 ,
680 ,
689 ,
678 ,
647 ,
594 ,
541 ,
480 ,
439 ,
392 ,
352 ,
311 ,
261 ,
209 ,
148 ,
89  ,
38  ,
-9  ,
-44 ,
-81 ,
-114  ,
-172  ,
-226  ,
-295  ,
-350  ,
-409  ,
-440  ,
-471  ,
-497  ,
-535  ,
-573  ,
-614  ,
-637  ,
-660  ,
-653  ,
-651  ,
-644  ,
-647  ,
-657  ,
-680  ,
-712  ,
-739  ,
-755  ,
-756  ,
-754  ,
-749  ,
-749  ,
-755  ,
-756  ,
-743  ,
-714  ,
-681  ,
-645  ,
-616  ,
-591  ,
-584  ,
-590  ,
-599  ,
-618  ,
-619  ,
-635  ,
-622  ,
-627  ,
-620  ,
-625  ,
-618  ,
-616  ,
-595  ,
-567  ,
-531  ,
-500  ,
-480  ,
-471  ,
-468  ,
-480  ,
-469  ,
-472  ,
-455  ,
-450  ,
-449  ,
-460  ,
-472  ,
-493  ,
-494  ,
-495  ,
-483  ,
-457  ,
-445  ,
-431  ,
-437  ,
-448  ,
-446  ,
-450  ,
-438  ,
-428  ,
-424  ,
-430  ,
-461  ,
-488  ,
-523  ,
-543  ,
-559  ,
-551  ,
-536  ,
-516  ,
-496  ,
-490  ,
-485  ,
-490  ,
-486  ,
-475  ,
-462  ,
-451  ,
-453  ,
-456  ,
-473  ,
-475  ,
-474  ,
-455  ,
-431  ,
-395  ,
-362  ,
-326  ,
-314  ,
-305  ,
-318  ,
-318  ,
-329  ,
-331  ,
-354  ,
-391  ,
-437  ,
-495  ,
-544  ,
-583  ,
-609  ,
-613  ,
-617  ,
-614  ,
-611  ,
-613  ,
-601  ,
-590  ,
-563  ,
-540  ,
-509  ,
-485  ,
-460  ,
-457  ,
-459  ,
-463  ,
-461  ,
-443  ,
-416  ,
-373  ,
-333  ,
-300  ,
-270  ,
-243  ,
-222  ,
-203  ,
-183  ,
-161  ,
-140  ,
-134  ,
-135  ,
-153  ,
-173  ,
-191  ,
-201  ,
-196  ,
-195  ,
-187  ,
-192  ,
-190  ,
-196  ,
-183  ,
-174  ,
-148  ,
-128  ,
-115  ,
-113  ,
-116  ,
-129  ,
-121  ,
-122  ,
-106  ,
-97 ,
-79 ,
-66 ,
-56 ,
-45 ,
-39 ,
-20 ,
0 ,
22  ,
40  ,
45  ,
43  ,
22  ,
-5  ,
-43 ,
-75 ,
-106  ,
-125  ,
-139  ,
-139  ,
-133  ,
-126  ,
-110  ,
-89 ,
-54 ,
-7  ,
46  ,
100 ,
146 ,
170 ,
186 ,
201 ,
212 ,
224 ,
232 ,
238 ,
241 ,
235 ,
229 ,
232 ,
233 ,
238 ,
241 ,
238 ,
221 ,
189 ,
148 ,
97  ,
61  ,
20  ,
0 ,
-27 ,
-51 ,
-82 ,
-111  ,
-146  ,
-169  ,
-181  ,
-179  ,
-162  ,
-144  ,
-119  ,
-107  ,
-103  ,
-113  ,
-134  ,
-145  ,
-168  ,
-168  ,
-177  ,
-179  ,
-194  ,
-205  ,
-218  ,
-210  ,
-203  ,
-179  ,
-156  ,
-137  ,
-120  ,
-107  ,
-109  ,
-112  ,
-115  ,
-128  ,
-131  ,
-144  ,
-154  ,
-167  ,
-185  ,
-195  ,
-195  ,
-190  ,
-170  ,
-155  ,
-122  ,
-106  ,
-79 ,
-63 ,
-35 ,
-18 ,
0 ,
9 ,
19  ,
23  ,
15  ,
0 ,
-19 ,
-35 ,
-39 ,
-31 ,
-16 ,
2 ,
21  ,
35  ,
43  ,
56  ,
62  ,
70  ,
72  ,
73  ,
59  ,
53  ,
25  ,
16  ,
6 ,
11  ,
28  ,
56  ,
99  ,
144 ,
181 ,
223 ,
254 ,
290 ,
320 ,
348 ,
362 ,
379 ,
381 ,
399 ,
414 ,
440 ,
470 ,
507 ,
553 ,
599 ,
654 ,
694 ,
729 ,
760 ,
790 ,
821 ,
841 ,
860 ,
857 ,
846 ,
819 ,
797 ,
774 ,
756 ,
733 ,
729 ,
707 ,
708 ,
684 ,
686 ,
672 ,
671 ,
669 ,
676 ,
679 ,
670 ,
638 ,
600 ,
549 ,
502 ,
466 ,
435 ,
409 ,
383 ,
358 ,
336 ,
317 ,
295 ,
289 ,
275 ,
278 ,
269 ,
265 ,
241 ,
211 ,
173 ,
140 ,
114 ,
93  ,
77  ,
63  ,
42  ,
34  ,
18  ,
30  ,
26  ,
38  ,
45  ,
52  ,
59  ,
60  ,
55  ,
57  ,
46  ,
44  ,
48  ,
56  ,
73  ,
89  ,
112 ,
137 ,
173 ,
213 ,
257 ,
299 ,
341 ,
368 ,
388 ,
389 ,
384 ,
363 ,
339 ,
316 ,
299 ,
286 ,
272 ,
260 ,
252 ,
256 ,
266 ,
294 ,
328 ,
362 ,
395 ,
426 ,
457 ,
473 ,
499 ,
512 ,
546 ,
569 ,
599 ,
627 ,
643 ,
666 ,
676 ,
704 ,
725 ,
760 ,
787 ,
809 ,
821 ,
824 ,
819 ,
812 ,
802 ,
791 ,
772 ,
759 ,
740 ,
730 ,
709 ,
695 ,
684 ,
679 ,
686 ,
690 ,
706 ,
712 ,
723 ,
728 ,
735 ,
741 ,
746 ,
743 ,
735 ,
715 ,
698 ,
678 ,
665 ,
660 ,
658 ,
663 ,
673 ,
676 ,
677 ,
663 ,
634 ,
592 ,
549 ,
502 ,
451 ,
393 ,
324 ,
255 ,
187 ,
127 ,
72  ,
22  ,
-15 ,
-52 ,
-64 ,
-82 ,
-87 ,
-95 ,
-113  ,
-117  ,
-141  ,
-151  ,
-180  ,
-202  ,
-239  ,
-269  ,
-312  ,
-346  ,
-387  ,
-425  ,
-462  ,
-503  ,
-527  ,
-557  ,
-578  ,
-607  ,
-633  ,
-659  ,
-688  ,
-718  ,
-751  ,
-795  ,
-833  ,
-876  ,
-894  ,
-909  ,
-919  ,
-925  ,
-933  ,
-926  ,
-926  ,
-915  ,
-903  ,
-890  ,
-872  ,
-857  ,
-831  ,
-809  ,
-788  ,
-763  ,
-734  ,
-705  ,
-668  ,
-635  ,
-585  ,
-541  ,
-483  ,
-421  ,
-352  ,
-289  ,
-219  ,
-152  ,
-101  ,
-47 ,
-12 ,
30  ,
67  ,
98  ,
128 ,
155 ,
179 ,
208 ,
237 ,
266 ,
299 ,
335 ,
385 ,
443 ,
493 ,
538 ,
563 ,
577 ,
584 ,
591 ,
587 ,
585 ,
570 ,
551 ,
527 ,
491 ,
462 ,
431 ,
405 ,
383 ,
364 ,
355 ,
334 ,
316 ,
288 ,
269 ,
239 ,
214 ,
188 ,
161 ,
131 ,
102 ,
90  ,
80  ,
76  ,
70  ,
66  ,
64  ,
52  ,
49  ,
29  ,
15  ,
-8  ,
-14 ,
-23 ,
-29 ,
-43 ,
-60 ,
-81 ,
-105  ,
-119  ,
-126  ,
-131  ,
-126  ,
-118  ,
-109  ,
-102  ,
-119  ,
-129  ,
-154  ,
-172  ,
-197  ,
-227  ,
-263  ,
-300  ,
-350  ,
-389  ,
-434  ,
-464  ,
-488  ,
-498  ,
-512  ,
-514  ,
-525  ,
-539  ,
-554  ,
-565  ,
-571  ,
-587  ,
-602  ,
-626  ,
-654  ,
-689  ,
-732  ,
-769  ,
-805  ,
-837  ,
-870  ,
-896  ,
-930  ,
-954  ,
-984  ,
-998  ,
-1004 ,
-1005 ,
-1002 ,
-1003 ,
-1009 ,
-1021 ,
-1042 ,
-1068 ,
-1094 ,
-1117 ,
-1116 ,
-1120 ,
-1107 ,
-1099 ,
-1097 ,
-1088 ,
-1097 ,
-1084 ,
-1079 ,
-1060 ,
-1052 ,
-1040 ,
-1027 ,
-1014 ,
-1003 ,
-990  ,
-969  ,
-943  ,
-908  ,
-869  ,
-823  ,
-775  ,
-725  ,
-670  ,
-613  ,
-566  ,
-520  ,
-496  ,
-470  ,
-464  ,
-460  ,
-469  ,
-470  ,
-469  ,
-460  ,
-440  ,
-427  ,
-401  ,
-384  ,
-355  ,
-317  ,
-274  ,
-223  ,
-172  ,
-123  ,
-72 ,
-30 ,
16  ,
51  ,
94  ,
136 ,
178 ,
225 ,
264 ,
303 ,
338 ,
367 ,
404 ,
437 ,
480 ,
524 ,
558 ,
589 ,
598 ,
604 ,
603 ,
587 ,
572 ,
550 ,
529 ,
500 ,
472 ,
449 ,
434 ,
416 ,
408 ,
391 ,
374 ,
346 ,
314 ,
290 ,
256 ,
229 ,
194 ,
176 ,
154 ,
127 ,
107 ,
75  ,
47  ,
20  ,
-2  ,
-21 ,
-32 ,
-52 ,
-60 ,
-80 ,
-104  ,
-142  ,
-180  ,
-231  ,
-280  ,
-319  ,
-363  ,
-399  ,
-440  ,
-475  ,
-490  ,
-508  ,
-506  ,
-503  ,
-497  ,
-478  ,
-456  ,
-430  ,
-398  ,
-380  ,
-360  ,
-353  ,
-356  ,
-364  ,
-386  ,
-400  ,
-420  ,
-426  ,
-432  ,
-440  ,
-448  ,
-468  ,
-473  ,
-493  ,
-491  ,
-502  ,
-499  ,
-504  ,
-515  ,
-512  ,
-528  ,
-539  ,
-558  ,
-565  ,
-568  ,
-552  ,
-540  ,
-513  ,
-500  ,
-486  ,
-469  ,
-455  ,
-434  ,
-422  ,
-393  ,
-380  ,
-350  ,
-328  ,
-290  ,
-257  ,
-222  ,
-184  ,
-144  ,
-108  ,
-67 ,
-39 ,
7 ,
45  ,
91  ,
140 ,
181 ,
225 ,
245 ,
265 ,
265 ,
271 ,
271 ,
284 ,
295 ,
308 ,
329 ,
340 ,
361 ,
381 ,
407 ,
437 ,
476 ,
521 ,
575 ,
621 ,
654 ,
675 ,
687 ,
685 ,
686 ,
677 ,
674 ,
659 ,
646 ,
629 ,
620 ,
610 ,
596 ,
589 ,
579 ,
571 ,
555 ,
533 ,
512 ,
482 ,
468 ,
451 ,
443 ,
429 ,
416 ,
394 ,
376 ,
360 ,
348 ,
350 ,
340 ,
346 ,
340 ,
339 ,
326 ,
315 ,
299 ,
289 ,
281 ,
275 ,
271 ,
272 ,
261 ,
261 ,
254 ,
259 ,
263 ,
273 ,
288 ,
303 ,
317 ,
319 ,
313 ,
298 ,
276 ,
247 ,
228 ,
202 ,
190 ,
166 ,
138 ,
120 ,
95  ,
86  ,
73  ,
69  ,
65  ,
60  ,
52  ,
46  ,
42  ,
40  ,
31  ,
18  ,
6 ,
-19 ,
-42 ,
-73 ,
-90 ,
-113  ,
-119  ,
-123  ,
-112  ,
-92 ,
-77 ,
-54 ,
-38 ,
-18 ,
4 ,
27  ,
54  ,
81  ,
107 ,
141 ,
164 ,
184 ,
196 ,
205 ,
223 ,
241 ,
263 ,
281 ,
300 ,
314 ,
334 ,
361 ,
388 ,
417 ,
442 ,
466 ,
487 ,
515 ,
536 ,
569 ,
606 ,
649 ,
703 ,
751 ,
806 ,
850 ,
889 ,
921 ,
957 ,
989 ,
1012  ,
1031  ,
1034  ,
1034  ,
1024  ,
1015  ,
1007  ,
999 ,
994 ,
994 ,
996 ,
1000  ,
997 ,
1002  ,
1007  ,
1020  ,
1036  ,
1063  ,
1088  ,
1096  ,
1097  ,
1082  ,
1066  ,
1042  ,
1024  ,
1010  ,
1002  ,
990 ,
975 ,
959 ,
939 ,
921 ,
899 ,
883 ,
857 ,
831 ,
794 ,
763 ,
725 ,
691 ,
661 ,
636 ,
607 ,
583 ,
534 ,
500 ,
436 ,
396 ,
340 ,
310 ,
276 ,
258 ,
241 ,
223 ,
205 ,
177 ,
147 ,
113 ,
84  ,
59  ,
44  ,
32  ,
21  ,
6 ,
-14 ,
-31 ,
-47 ,
-62 ,
-79 ,
-94 ,
-117  ,
-150  ,
-189  ,
-235  ,
-285  ,
-330  ,
-381  ,
-412  ,
-452  ,
-482  ,
-513  ,
-539  ,
-548  ,
-554  ,
-545  ,
-532  ,
-517  ,
-503  ,
-493  ,
-479  ,
-470  ,
-466  ,
-458  ,
-465  ,
-457  ,
-465  ,
-463  ,
-461  ,
-469  ,
-463  ,
-467  ,
-454  ,
-447  ,
-432  ,
-433  ,
-436  ,
-451  ,
-461  ,
-471  ,
-471  ,
-468  ,
-459  ,
-451  ,
-442  ,
-441  ,
-441  ,
-442  ,
-447  ,
-432  ,
-429  ,
-398  ,
-375  ,
-342  ,
-319  ,
-280  ,
-258  ,
-216  ,
-192  ,
-156  ,
-118  ,
-83 ,
-33 ,
11  ,
66  ,
124 ,
176 ,
240 ,
290 ,
343 ,
385 ,
423 ,
454 ,
484 ,
511 ,
536 ,
552 ,
564 ,
566 ,
568 ,
567 ,
574 ,
579 ,
587 ,
594 ,
599 ,
598 ,
593 ,
580 ,
571 ,
553 ,
539 ,
520 ,
498 ,
470 ,
420 ,
378 ,
316 ,
266 ,
208 ,
157 ,
101 ,
58  ,
10  ,
-20 ,
-65 ,
-101  ,
-150  ,
-192  ,
-238  ,
-274  ,
-305  ,
-334  ,
-365  ,
-391  ,
-418  ,
-436  ,
-465  ,
-489  ,
-517  ,
-541  ,
-567  ,
-582  ,
-602  ,
-606  ,
-616  ,
-623  ,
-626  ,
-640  ,
-658  ,
-681  ,
-699  ,
-712  ,
-717  ,
-714  ,
-702  ,
-695  ,
-681  ,
-679  ,
-664  ,
-664  ,
-648  ,
-640  ,
-625  ,
-611  ,
-605  ,
-594  ,
-597  ,
-600  ,
-600  ,
-601  ,
-592  ,
-583  ,
-569  ,
-547  ,
-540  ,
-525  ,
-514  ,
-504  ,
-492  ,
-487  ,
-476  ,
-474  ,
-470  ,
-466  ,
-472  ,
-472  ,
-486  ,
-489  ,
-505  ,
-510  ,
-516  ,
-513  ,
-506  ,
-504  ,
-492  ,
-483  ,
-466  ,
-451  ,
-433  ,
-423  ,
-411  ,
-407  ,
-394  ,
-388  ,
-381  ,
-371  ,
-372  ,
-369  ,
-377  ,
-391  ,
-405  ,
-420  ,
-432  ,
-431  ,
-429  ,
-418  ,
-417  ,
-417  ,
-421  ,
-426  ,
-434  ,
-440  ,
-448  ,
-448  ,
-445  ,
-439  ,
-424  ,
-421  ,
-408  ,
-404  ,
-395  ,
-387  ,
-382  ,
-386  ,
-394  ,
-409  ,
-435  ,
-453  ,
-487  ,
-500  ,
-529  ,
-537  ,
-548  ,
-554  ,
-548  ,
-551  ,
-540  ,
-531  ,
-522  ,
-504  ,
-489  ,
-468  ,
-451  ,
-436  ,
-411  ,
-395  ,
-360  ,
-338  ,
-301  ,
-273  ,
-246  ,
-223  ,
-202  ,
-174  ,
-156  ,
-125  ,
-105  ,
-76 ,
-57 ,
-48 ,
-41 ,
-38 ,
-38 ,
-32 ,
-26 ,
-17 ,
-17 ,
-23 ,
-45 ,
-70 ,
-100  ,
-127  ,
-143  ,
-159  ,
-164  ,
-167  ,
-169  ,
-166  ,
-169  ,
-171  ,
-173  ,
-185  ,
-183  ,
-187  ,
-189  ,
-187  ,
-194  ,
-187  ,
-184  ,
-172  ,
-162  ,
-147  ,
-138  ,
-122  ,
-126  ,
-117  ,
-125  ,
-133  ,
-134  ,
-133  ,
-125  ,
-126  ,
-121  ,
-116  ,
-104  ,
-94 ,
-68 ,
-47 ,
-15 ,
0 ,
29  ,
40  ,
58  ,
73  ,
91  ,
107 ,
134 ,
142 ,
163 ,
166 ,
168 ,
173 ,
172 ,
175 ,
174 ,
175 ,
173 ,
166 ,
150 ,
138 ,
123 ,
116 ,
104 ,
103 ,
95  ,
80  ,
72  ,
47  ,
38  ,
12  ,
0 ,
-23 ,
-40 ,
-60 ,
-77 ,
-91 ,
-99 ,
-103  ,
-91 ,
-82 ,
-63 ,
-58 ,
-48 ,
-55 ,
-61 ,
-70 ,
-74 ,
-73 ,
-72 ,
-66 ,
-60 ,
-58 ,
-58 ,
-62 ,
-63 ,
-62 ,
-61 ,
-53 ,
-50 ,
-49 ,
-52 ,
-62 ,
-63 ,
-72 ,
-63 ,
-57 ,
-43 ,
-29 ,
-18 ,
-4  ,
1 ,
18  ,
23  ,
41  ,
50  ,
57  ,
66  ,
65  ,
65  ,
64  ,
63  ,
69  ,
74  ,
83  ,
88  ,
84  ,
76  ,
67  ,
64  ,
63  ,
67  ,
78  ,
86  ,
97  ,
108 ,
119 ,
141 ,
157 ,
178 ,
204 ,
221 ,
241 ,
248 ,
260 ,
259 ,
276 ,
292 ,
322 ,
352 ,
383 ,
410 ,
438 ,
466 ,
488 ,
519 ,
526 ,
545 ,
551 ,
568 ,
574 ,
589 ,
602 ,
624 ,
640 ,
668 ,
675 ,
696 ,
693 ,
702 ,
701 ,
709 ,
707 ,
713 ,
718 ,
711 ,
713 ,
689 ,
679 ,
653 ,
640 ,
631 ,
620 ,
608 ,
590 ,
562 ,
539 ,
505 ,
485 ,
466 ,
454 ,
447 ,
444 ,
432 ,
420 ,
406 ,
393 ,
382 ,
378 ,
370 ,
367 ,
350 ,
342 ,
329 ,
327 ,
319 ,
319 ,
325 ,
322 ,
321 ,
306 ,
279 ,
257 ,
221 ,
201 ,
174 ,
157 ,
140 ,
130 ,
124 ,
124 ,
135 ,
145 ,
158 ,
173 ,
189 ,
199 ,
211 ,
202 ,
212 ,
201 ,
215 ,
221 ,
239 ,
256 ,
260 ,
271 ,
269 ,
282 ,
286 ,
299 ,
317 ,
331 ,
355 ,
369 ,
381 ,
387 ,
387 ,
390 ,
402 ,
412 ,
424 ,
438 ,
441 ,
456 ,
459 ,
477 ,
482 ,
499 ,
516 ,
548 ,
574 ,
608 ,
632 ,
663 ,
689 ,
713 ,
737 ,
756 ,
768 ,
775 ,
774 ,
781 ,
777 ,
791 ,
800 ,
825 ,
839 ,
846 ,
846 ,
832 ,
822 ,
797 ,
777 ,
744 ,
724 ,
691 ,
674 ,
642 ,
632 ,
611 ,
616 ,
616 ,
630 ,
635 ,
639 ,
635 ,
633 ,
624 ,
615 ,
593 ,
573 ,
543 ,
520 ,
492 ,
471 ,
438 ,
409 ,
371 ,
336 ,
310 ,
277 ,
256 ,
228 ,
203 ,
177 ,
146 ,
119 ,
83  ,
54  ,
23  ,
-5  ,
-24 ,
-51 ,
-74 ,
-109  ,
-138  ,
-161  ,
-185  ,
-202  ,
-228  ,
-243  ,
-256  ,
-271  ,
-279  ,
-297  ,
-309  ,
-342  ,
-367  ,
-405  ,
-435  ,
-471  ,
-501  ,
-536  ,
-562  ,
-592  ,
-615  ,
-641  ,
-657  ,
-680  ,
-691  ,
-715  ,
-734  ,
-770  ,
-800  ,
-842  ,
-866  ,
-890  ,
-898  ,
-898  ,
-893  ,
-877  ,
-858  ,
-833  ,
-796  ,
-755  ,
-709  ,
-653  ,
-610  ,
-563  ,
-524  ,
-491  ,
-461  ,
-429  ,
-393  ,
-343  ,
-293  ,
-239  ,
-190  ,
-148  ,
-114  ,
-81 ,
-39 ,
2 ,
51  ,
91  ,
135 ,
169 ,
210 ,
235 ,
270 ,
295 ,
321 ,
342 ,
355 ,
367 ,
362 ,
355 ,
337 ,
325 ,
325 ,
317 ,
318 ,
316 ,
310 ,
309 ,
297 ,
287 ,
274 ,
254 ,
236 ,
214 ,
195 ,
174 ,
158 ,
142 ,
138 ,
136 ,
140 ,
135 ,
135 ,
119 ,
107 ,
92  ,
65  ,
51  ,
16  ,
-7  ,
-40 ,
-65 ,
-84 ,
-109  ,
-118  ,
-131  ,
-128  ,
-129  ,
-126  ,
-129  ,
-136  ,
-149  ,
-168  ,
-179  ,
-197  ,
-213  ,
-230  ,
-249  ,
-264  ,
-279  ,
-289  ,
-300  ,
-314  ,
-319  ,
-340  ,
-344  ,
-361  ,
-364  ,
-373  ,
-379  ,
-394  ,
-409  ,
-425  ,
-446  ,
-460  ,
-481  ,
-501  ,
-529  ,
-560  ,
-597  ,
-638  ,
-677  ,
-717  ,
-744  ,
-770  ,
-782  ,
-802  ,
-813  ,
-831  ,
-841  ,
-849  ,
-857  ,
-866  ,
-882  ,
-900  ,
-917  ,
-927  ,
-935  ,
-937  ,
-940  ,
-939  ,
-935  ,
-936  ,
-931  ,
-936  ,
-937  ,
-952  ,
-967  ,
-993  ,
-1010 ,
-1039 ,
-1055 ,
-1063 ,
-1065 ,
-1052 ,
-1047 ,
-1033 ,
-1025 ,
-1010 ,
-994  ,
-974  ,
-958  ,
-944  ,
-939  ,
-932  ,
-930  ,
-922  ,
-909  ,
-901  ,
-874  ,
-863  ,
-829  ,
-816  ,
-788  ,
-765  ,
-733  ,
-702  ,
-666  ,
-638  ,
-609  ,
-581  ,
-560  ,
-526  ,
-502  ,
-466  ,
-436  ,
-404  ,
-365  ,
-335  ,
-305  ,
-278  ,
-250  ,
-212  ,
-178  ,
-131  ,
-87 ,
-28 ,
18  ,
79  ,
132 ,
185 ,
232 ,
271 ,
300 ,
338 ,
358 ,
387 ,
413 ,
442 ,
470 ,
495 ,
517 ,
535 ,
546 ,
548 ,
544 ,
535 ,
519 ,
493 ,
463 ,
419 ,
380 ,
331 ,
296 ,
260 ,
240 ,
217 ,
207 ,
187 ,
176 ,
150 ,
134 ,
109 ,
92  ,
64  ,
40  ,
12  ,
-18 ,
-45 ,
-78 ,
-105  ,
-130  ,
-154  ,
-170  ,
-187  ,
-199  ,
-208  ,
-222  ,
-234  ,
-243  ,
-250  ,
-261  ,
-265  ,
-276  ,
-268  ,
-280  ,
-271  ,
-287  ,
-287  ,
-297  ,
-300  ,
-305  ,
-309  ,
-316  ,
-319  ,
-328  ,
-316  ,
-314  ,
-289  ,
-280  ,
-266  ,
-260  ,
-263  ,
-271  ,
-284  ,
-294  ,
-304  ,
-307  ,
-307  ,
-309  ,
-310  ,
-315  ,
-318  ,
-317  ,
-312  ,
-313  ,
-306  ,
-311  ,
-307  ,
-314  ,
-313  ,
-331  ,
-328  ,
-340  ,
-329  ,
-318  ,
-295  ,
-267  ,
-241  ,
-216  ,
-189  ,
-161  ,
-134  ,
-106  ,
-84 ,
-62 ,
-45 ,
-33 ,
-20 ,
-5  ,
13  ,
35  ,
58  ,
83  ,
110 ,
133 ,
163 ,
185 ,
217 ,
241 ,
278 ,
297 ,
324 ,
341 ,
364 ,
394 ,
419 ,
458 ,
481 ,
506 ,
516 ,
528 ,
537 ,
539 ,
545 ,
546 ,
557 ,
561 ,
573 ,
583 ,
592 ,
598 ,
593 ,
592 ,
585 ,
576 ,
573 ,
566 ,
562 ,
563 ,
559 ,
561 ,
563 ,
555 ,
556 ,
553 ,
549 ,
548 ,
536 ,
528 ,
508 ,
499 ,
482 ,
472 ,
449 ,
432 ,
416 ,
410 ,
416 ,
423 ,
429 ,
434 ,
423 ,
422 ,
406 ,
399 ,
386 ,
380 ,
370 ,
367 ,
356 ,
343 ,
328 ,
306 ,
294 ,
275 ,
271 ,
255 ,
246 ,
230 ,
213 ,
199 ,
175 ,
166 ,
149 ,
145 ,
136 ,
128 ,
118 ,
99  ,
74  ,
43  ,
18  ,
1 ,
-17 ,
-28 ,
-39 ,
-47 ,
-50 ,
-49 ,
-41 ,
-23 ,
-12 ,
-3  ,
2 ,
-5  ,
-6  ,
-21 ,
-13 ,
-9  ,
12  ,
34  ,
60  ,
86  ,
110 ,
129 ,
147 ,
170 ,
186 ,
213 ,
224 ,
247 ,
257 ,
268 ,
278 ,
283 ,
295 ,
307 ,
330 ,
346 ,
371 ,
382 ,
400 ,
410 ,
427 ,
444 ,
466 ,
491 ,
510 ,
536 ,
552 ,
577 ,
600 ,
629 ,
661 ,
690 ,
713 ,
735 ,
745 ,
753 ,
768 ,
782 ,
806 ,
833 ,
854 ,
883 ,
889 ,
900 ,
902 ,
906 ,
910 ,
914 ,
912 ,
909 ,
897 ,
888 ,
876 ,
871 ,
876 ,
889 ,
909 ,
931 ,
951 ,
958 ,
957 ,
941 ,
926 ,
909 ,
892 ,
886 ,
874 ,
862 ,
838 ,
819 ,
791 ,
776 ,
750 ,
731 ,
697 ,
665 ,
623 ,
586 ,
545 ,
516 ,
481 ,
459 ,
425 ,
397 ,
360 ,
320 ,
283 ,
246 ,
220 ,
194 ,
171 ,
144 ,
112 ,
80  ,
48  ,
19  ,
-10 ,
-29 ,
-50 ,
-69 ,
-88 ,
-116  ,
-138  ,
-180  ,
-204  ,
-240  ,
-259  ,
-285  ,
-299  ,
-317  ,
-328  ,
-345  ,
-348  ,
-355  ,
-351  ,
-356  ,
-357  ,
-366  ,
-371  ,
-384  ,
-384  ,
-397  ,
-391  ,
-395  ,
-386  ,
-381  ,
-365  ,
-350  ,
-337  ,
-323  ,
-313  ,
-302  ,
-303  ,
-302  ,
-316  ,
-321  ,
-335  ,
-346  ,
-348  ,
-358  ,
-357  ,
-368  ,
-375  ,
-387  ,
-404  ,
-419  ,
-433  ,
-444  ,
-448  ,
-444  ,
-437  ,
-415  ,
-404  ,
-382  ,
-363  ,
-339  ,
-313  ,
-284  ,
-258  ,
-229  ,
-194  ,
-160  ,
-118  ,
-86 ,
-46 ,
-8  ,
35  ,
91  ,
140 ,
200 ,
246 ,
289 ,
333 ,
374 ,
411 ,
439 ,
460 ,
483 ,
497 ,
507 ,
521 ,
531 ,
550 ,
560 ,
583 ,
595 ,
607 ,
597 ,
587 ,
568 ,
552 ,
524 ,
499 ,
468 ,
434 ,
402 ,
366 ,
334 ,
308 ,
275 ,
249 ,
218 ,
192 ,
160 ,
128 ,
90  ,
57  ,
23  ,
-12 ,
-43 ,
-68 ,
-102  ,
-126  ,
-172  ,
-206  ,
-244  ,
-289  ,
-316  ,
-364  ,
-386  ,
-426  ,
-450  ,
-480  ,
-505  ,
-525  ,
-546  ,
-560  ,
-584  ,
-604  ,
-630  ,
-657  ,
-675  ,
-698  ,
-704  ,
-715  ,
-716  ,
-718  ,
-714  ,
-706  ,
-703  ,
-690  ,
-680  ,
-664  ,
-653  ,
-648  ,
-641  ,
-645  ,
-648  ,
-651  ,
-653  ,
-650  ,
-646  ,
-630  ,
-618  ,
-601  ,
-585  ,
-575  ,
-565  ,
-558  ,
-551  ,
-546  ,
-543  ,
-539  ,
-538  ,
-534  ,
-537  ,
-534  ,
-531  ,
-524  ,
-521  ,
-520  ,
-512  ,
-516  ,
-509  ,
-506  ,
-497  ,
-479  ,
-476  ,
-468  ,
-472  ,
-468  ,
-461  ,
-451  ,
-435  ,
-434  ,
-421  ,
-436  ,
-433  ,
-450  ,
-446  ,
-458  ,
-447  ,
-457  ,
-441  ,
-453  ,
-451  ,
-466  ,
-474  ,
-485  ,
-506  ,
-523  ,
-543  ,
-570  ,
-588  ,
-609  ,
-619  ,
-633  ,
-636  ,
-639  ,
-632  ,
-629  ,
-623  ,
-618  ,
-612  ,
-606  ,
-606  ,
-611  ,
-619  ,
-629  ,
-642  ,
-656  ,
-669  ,
-669  ,
-671  ,
-647  ,
-633  ,
-604  ,
-585  ,
-575  ,
-562  ,
-562  ,
-546  ,
-537  ,
-509  ,
-489  ,
-461  ,
-441  ,
-422  ,
-403  ,
-379  ,
-360  ,
-330  ,
-303  ,
-273  ,
-238  ,
-214  ,
-187  ,
-166  ,
-138  ,
-116  ,
-94 ,
-80 ,
-69 ,
-66 ,
-62 ,
-67 ,
-68 ,
-75 ,
-83 ,
-92 ,
-103  ,
-121  ,
-147  ,
-172  ,
-196  ,
-206  ,
-216  ,
-217  ,
-230  ,
-246  ,
-277  ,
-304  ,
-328  ,
-348  ,
-352  ,
-356  ,
-347  ,
-341  ,
-337  ,
-336  ,
-325  ,
-317  ,
-287  ,
-265  ,
-226  ,
-208  ,
-192  ,
-195  ,
-198  ,
-209  ,
-210  ,
-215  ,
-212  ,
-199  ,
-186  ,
-164  ,
-146  ,
-123  ,
-103  ,
-75 ,
-53 ,
-24 ,
-1  ,
25  ,
39  ,
63  ,
75  ,
91  ,
109 ,
121 ,
141 ,
149 ,
160 ,
161 ,
164 ,
166 ,
169 ,
184 ,
190 ,
199 ,
197 ,
194 ,
182 ,
171 ,
155 ,
147 ,
142 ,
138 ,
134 ,
117 ,
103 ,
82  ,
72  ,
63  ,
57  ,
57  ,
54  ,
51  ,
46  ,
31  ,
16  ,
1 ,
-20 ,
-33 ,
-54 ,
-67 ,
-83 ,
-95 ,
-105  ,
-110  ,
-106  ,
-102  ,
-83 ,
-72 ,
-52 ,
-40 ,
-24 ,
-17 ,
-7  ,
-12 ,
-15 ,
-29 ,
-34 ,
-43 ,
-48 ,
-47 ,
-44 ,
-28 ,
-18 ,
-4  ,
10  ,
10  ,
21  ,
17  ,
22  ,
28  ,
33  ,
41  ,
49  ,
52  ,
57  ,
51  ,
49  ,
48  ,
48  ,
53  ,
59  ,
67  ,
79  ,
88  ,
96  ,
106 ,
115 ,
128 ,
135 ,
146 ,
155 ,
161 ,
167 ,
173 ,
182 ,
186 ,
199 ,
204 ,
222 ,
236 ,
249 ,
272 ,
290 ,
318 ,
343 ,
369 ,
393 ,
403 ,
417 ,
428 ,
439 ,
459 ,
475 ,
498 ,
509 ,
530 ,
536 ,
560 ,
570 ,
593 ,
611 ,
624 ,
630 ,
632 ,
621 ,
611 ,
586 ,
574 ,
560 ,
558 ,
555 ,
559 ,
564 ,
568 ,
572 ,
577 ,
580 ,
588 ,
587 ,
587 ,
592 ,
592 ,
591 ,
587 ,
578 ,
567 ,
559 ,
546 ,
535 ,
522 ,
503 ,
492 ,
488 ,
496 ,
505 ,
512 ,
518 ,
518 ,
518 ,
509 ,
501 ,
497 ,
492 ,
487 ,
479 ,
469 ,
456 ,
431 ,
417 ,
390 ,
382 ,
364 ,
360 ,
348 ,
339 ,
321 ,
310 ,
289 ,
276 ,
255 ,
247 ,
238 ,
232 ,
231 ,
230 ,
228 ,
233 ,
240 ,
263 ,
283 ,
310 ,
329 ,
344 ,
352 ,
354 ,
347 ,
342 ,
329 ,
326 ,
319 ,
319 ,
322 ,
323 ,
335 ,
334 ,
358 ,
373 ,
404 ,
434 ,
464 ,
494 ,
517 ,
539 ,
564 ,
582 ,
601 ,
609 ,
617 ,
617 ,
621 ,
621 ,
629 ,
637 ,
654 ,
670 ,
692 ,
710 ,
722 ,
735 ,
743 ,
754 ,
754 ,
757 ,
754 ,
749 ,
742 ,
731 ,
718 ,
707 ,
690 ,
674 ,
662 ,
645 ,
634 ,
612 ,
597 ,
572 ,
550 ,
529 ,
508 ,
487 ,
470 ,
445 ,
420 ,
392 ,
369 ,
348 ,
336 ,
324 ,
318 ,
314 ,
310 ,
306 ,
293 ,
290 ,
262 ,
245 ,
208 ,
174 ,
137 ,
101 ,
68  ,
47  ,
27  ,
11  ,
2 ,
-10 ,
-7  ,
-8  ,
-1  ,
8 ,
24  ,
33  ,
38  ,
31  ,
23  ,
2 ,
-20 ,
-47 ,
-76 ,
-104  ,
-139  ,
-167  ,
-197  ,
-225  ,
-254  ,
-283  ,
-309  ,
-338  ,
-364  ,
-395  ,
-425  ,
-457  ,
-490  ,
-523  ,
-557  ,
-587  ,
-616  ,
-645  ,
-660  ,
-680  ,
-693  ,
-696  ,
-710  ,
-701  ,
-704  ,
-691  ,
-679  ,
-663  ,
-644  ,
-620  ,
-598  ,
-565  ,
-544  ,
-514  ,
-492  ,
-458  ,
-425  ,
-377  ,
-330  ,
-268  ,
-215  ,
-150  ,
-98 ,
-39 ,
9 ,
52  ,
80  ,
96  ,
111 ,
115 ,
122 ,
129 ,
132 ,
142 ,
146 ,
154 ,
159 ,
173 ,
190 ,
216 ,
242 ,
268 ,
294 ,
313 ,
326 ,
338 ,
333 ,
341 ,
332 ,
332 ,
317 ,
305 ,
287 ,
267 ,
260 ,
237 ,
234 ,
215 ,
204 ,
190 ,
172 ,
152 ,
133 ,
106 ,
87  ,
63  ,
42  ,
15  ,
-9  ,
-33 ,
-65 ,
-80 ,
-111  ,
-122  ,
-142  ,
-151  ,
-158  ,
-168  ,
-175  ,
-191  ,
-198  ,
-213  ,
-223  ,
-233  ,
-245  ,
-258  ,
-277  ,
-291  ,
-312  ,
-314  ,
-318  ,
-309  ,
-296  ,
-295  ,
-280  ,
-290  ,
-289  ,
-308  ,
-324  ,
-343  ,
-365  ,
-388  ,
-410  ,
-439  ,
-466  ,
-495  ,
-514  ,
-530  ,
-543  ,
-554  ,
-555  ,
-564  ,
-556  ,
-564  ,
-551  ,
-555  ,
-553  ,
-567  ,
-576  ,
-601  ,
-619  ,
-657  ,
-676  ,
-710  ,
-725  ,
-752  ,
-760  ,
-782  ,
-796  ,
-811  ,
-829  ,
-836  ,
-842  ,
-848  ,
-840  ,
-850  ,
-853  ,
-866  ,
-882  ,
-894  ,
-905  ,
-917  ,
-920  ,
-933  ,
-942  ,
-958  ,
-972  ,
-985  ,
-999  ,
-1001 ,
-1009 ,
-1005 ,
-1011 ,
-1012 ,
-1027 ,
-1030 ,
-1039 ,
-1038 ,
-1032 ,
-1016 ,
-1003 ,
-983  ,
-966  ,
-944  ,
-920  ,
-890  ,
-862  ,
-831  ,
-805  ,
-785  ,
-768  ,
-757  ,
-744  ,
-728  ,
-705  ,
-679  ,
-647  ,
-613  ,
-583  ,
-543  ,
-510  ,
-457  ,
-416  ,
-355  ,
-298  ,
-232  ,
-174  ,
-119  ,
-78 ,
-34 ,
1 ,
43  ,
85  ,
120 ,
165 ,
185 ,
220 ,
234 ,
264 ,
272 ,
294 ,
303 ,
311 ,
328 ,
324 ,
333 ,
321 ,
311 ,
292 ,
275 ,
255 ,
237 ,
213 ,
195 ,
167 ,
148 ,
120 ,
103 ,
83  ,
65  ,
47  ,
33  ,
16  ,
2 ,
-21 ,
-32 ,
-48 ,
-57 ,
-72 ,
-91 ,
-104  ,
-122  ,
-133  ,
-139  ,
-142  ,
-138  ,
-137  ,
-138  ,
-136  ,
-143  ,
-152  ,
-165  ,
-176  ,
-187  ,
-197  ,
-211  ,
-227  ,
-240  ,
-255  ,
-259  ,
-264  ,
-253  ,
-245  ,
-230  ,
-211  ,
-195  ,
-176  ,
-161  ,
-150  ,
-137  ,
-122  ,
-117  ,
-115  ,
-127  ,
-135  ,
-152  ,
-167  ,
-172  ,
-188  ,
-186  ,
-201  ,
-209  ,
-217  ,
-229  ,
-230  ,
-239  ,
-229  ,
-234  ,
-225  ,
-234  ,
-240  ,
-257  ,
-274  ,
-289  ,
-295  ,
-297  ,
-298  ,
-293  ,
-296  ,
-290  ,
-291  ,
-282  ,
-273  ,
-255  ,
-234  ,
-212  ,
-192  ,
-174  ,
-151  ,
-131  ,
-99 ,
-75 ,
-41 ,
-15 ,
9 ,
37  ,
65  ,
97  ,
126 ,
160 ,
182 ,
210 ,
218 ,
231 ,
235 ,
235 ,
244 ,
245 ,
259 ,
269 ,
281 ,
293 ,
303 ,
317 ,
337 ,
366 ,
403 ,
434 ,
472 ,
500 ,
517 ,
537 ,
541 ,
554 ,
556 ,
563 ,
562 ,
565 ,
556 ,
546 ,
536 ,
515 ,
505 ,
482 ,
475 ,
466 ,
462 ,
461 ,
456 ,
450 ,
451 ,
447 ,
454 ,
448 ,
454 ,
453 ,
455 ,
452 ,
454 ,
451 ,
454 ,
455 ,
459 ,
458 ,
451 ,
441 ,
426 ,
418 ,
414 ,
410 ,
412 ,
409 ,
404 ,
393 ,
380 ,
363 ,
348 ,
340 ,
337 ,
333 ,
331 ,
317 ,
300 ,
279 ,
260 ,
243 ,
229 ,
217 ,
201 ,
190 ,
170 ,
154 ,
135 ,
125 ,
115 ,
116 ,
122 ,
135 ,
147 ,
156 ,
168 ,
178 ,
191 ,
203 ,
213 ,
220 ,
220 ,
218 ,
213 ,
215 ,
212 ,
213 ,
213 ,
205 ,
209 ,
196 ,
197 ,
192 ,
198 ,
211 ,
221 ,
239 ,
246 ,
251 ,
255 ,
250 ,
264 ,
266 ,
287 ,
302 ,
319 ,
332 ,
337 ,
333 ,
338 ,
335 ,
348 ,
360 ,
373 ,
391 ,
402 ,
422 ,
436 ,
454 ,
468 ,
493 ,
508 ,
535 ,
549 ,
573 ,
590 ,
614 ,
638 ,
663 ,
684 ,
700 ,
709 ,
715 ,
720 ,
727 ,
729 ,
747 ,
747 ,
763 ,
765 ,
775 ,
784 ,
798 ,
815 ,
835 ,
860 ,
880 ,
903 ,
915 ,
922 ,
925 ,
920 ,
921 ,
916 ,
916 ,
917 ,
910 ,
908 ,
883 ,
867 ,
832 ,
807 ,
776 ,
749 ,
725 ,
697 ,
671 ,
636 ,
603 ,
565 ,
532 ,
504 ,
466 ,
443 ,
401 ,
370 ,
331 ,
301 ,
264 ,
229 ,
190 ,
151 ,
117 ,
79  ,
48  ,
21  ,
-1  ,
-22 ,
-44 ,
-70 ,
-95 ,
-128  ,
-157  ,
-184  ,
-204  ,
-215  ,
-222  ,
-231  ,
-233  ,
-242  ,
-246  ,
-256  ,
-268  ,
-277  ,
-288  ,
-291  ,
-295  ,
-294  ,
-300  ,
-311  ,
-317  ,
-318  ,
-309  ,
-291  ,
-279  ,
-261  ,
-257  ,
-249  ,
-249  ,
-241  ,
-238  ,
-239  ,
-237  ,
-248  ,
-242  ,
-267  ,
-275  ,
-298  ,
-309  ,
-319  ,
-339  ,
-354  ,
-373  ,
-402  ,
-420  ,
-441  ,
-452  ,
-453  ,
-461  ,
-462  ,
-460  ,
-463  ,
-460  ,
-452  ,
-447  ,
-428  ,
-412  ,
-382  ,
-347  ,
-310  ,
-267  ,
-232  ,
-189  ,
-146  ,
-94 ,
-42 ,
22  ,
80  ,
140 ,
186 ,
226 ,
258 ,
295 ,
319 ,
351 ,
374 ,
397 ,
425 ,
435 ,
459 ,
472 ,
491 ,
499 ,
505 ,
503 ,
498 ,
489 ,
482 ,
483 ,
486 ,
484 ,
484 ,
473 ,
470 ,
463 ,
459 ,
455 ,
457 ,
452 ,
450 ,
433 ,
423 ,
396 ,
368 ,
335 ,
300 ,
264 ,
225 ,
184 ,
142 ,
91  ,
39  ,
-18 ,
-70 ,
-123  ,
-169  ,
-210  ,
-245  ,
-279  ,
-313  ,
-343  ,
-383  ,
-409  ,
-439  ,
-454  ,
-468  ,
-486  ,
-501  ,
-524  ,
-539  ,
-561  ,
-568  ,
-583  ,
-583  ,
-585  ,
-590  ,
-586  ,
-589  ,
-584  ,
-576  ,
-572  ,
-564  ,
-565  ,
-571  ,
-580  ,
-592  ,
-598  ,
-603  ,
-596  ,
-593  ,
-577  ,
-574  ,
-568  ,
-570  ,
-570  ,
-579  ,
-577  ,
-581  ,
-570  ,
-563  ,
-547  ,
-534  ,
-521  ,
-508  ,
-496  ,
-483  ,
-462  ,
-444  ,
-426  ,
-413  ,
-408  ,
-400  ,
-394  ,
-385  ,
-377  ,
-371  ,
-374  ,
-376  ,
-391  ,
-395  ,
-404  ,
-410  ,
-412  ,
-416  ,
-419  ,
-429  ,
-438  ,
-448  ,
-453  ,
-461  ,
-461  ,
-465  ,
-470  ,
-479  ,
-494  ,
-504  ,
-516  ,
-519  ,
-526  ,
-526  ,
-539  ,
-547  ,
-569  ,
-580  ,
-598  ,
-612  ,
-617  ,
-627  ,
-621  ,
-630  ,
-625  ,
-637  ,
-642  ,
-646  ,
-654  ,
-653  ,
-660  ,
-649  ,
-645  ,
-639  ,
-641  ,
-645  ,
-650  ,
-652  ,
-653  ,
-649  ,
-646  ,
-644  ,
-636  ,
-625  ,
-606  ,
-586  ,
-550  ,
-522  ,
-478  ,
-449  ,
-411  ,
-381  ,
-347  ,
-316  ,
-276  ,
-241  ,
-210  ,
-179  ,
-159  ,
-135  ,
-118  ,
-106  ,
-92 ,
-84 ,
-76 ,
-74 ,
-74 ,
-76 ,
-83 ,
-93 ,
-109  ,
-116  ,
-132  ,
-134  ,
-149  ,
-163  ,
-182  ,
-208  ,
-229  ,
-247  ,
-260  ,
-266  ,
-278  ,
-283  ,
-293  ,
-310  ,
-321  ,
-345  ,
-346  ,
-361  ,
-353  ,
-353  ,
-344  ,
-339  ,
-338  ,
-328  ,
-321  ,
-308  ,
-294  ,
-284  ,
-266  ,
-259  ,
-243  ,
-229  ,
-208  ,
-189  ,
-170  ,
-158  ,
-148  ,
-146  ,
-142  ,
-145  ,
-136  ,
-135  ,
-117  ,
-106  ,
-75 ,
-61 ,
-35 ,
-28 ,
-3  ,
9 ,
39  ,
60  ,
85  ,
114 ,
128 ,
155 ,
169 ,
192 ,
208 ,
223 ,
241 ,
243 ,
256 ,
240 ,
238 ,
218 ,
199 ,
187 ,
168 ,
161 ,
146 ,
129 ,
113 ,
92  ,
74  ,
54  ,
34  ,
17  ,
4 ,
-9  ,
-13 ,
-23 ,
-28 ,
-31 ,
-37 ,
-38 ,
-39 ,
-42 ,
-41 ,
-38 ,
-36 ,
-25 ,
-17 ,
-2  ,
11  ,
26  ,
34  ,
40  ,
32  ,
32  ,
20  ,
20  ,
16  ,
16  ,
19  ,
11  ,
3 ,
-15 ,
-29 ,
-42 ,
-51 ,
-50 ,
-48 ,
-38 ,
-30 ,
-13 ,
2 ,
18  ,
34  ,
44  ,
60  ,
68  ,
75  ,
82  ,
81  ,
81  ,
81  ,
83  ,
89  ,
97  ,
96  ,
99  ,
88  ,
86  ,
74  ,
79  ,
72  ,
70  ,
66  ,
62  ,
64  ,
67  ,
73  ,
83  ,
97  ,
108 ,
125 ,
137 ,
149 ,
157 ,
172 ,
189 ,
215 ,
236 ,
259 ,
268 ,
285 ,
296 ,
313 ,
327 ,
348 ,
364 ,
388 ,
407 ,
432 ,
447 ,
461 ,
467 ,
469 ,
475 ,
476 ,
482 ,
483 ,
485 ,
482 ,
483 ,
471 ,
466 ,
446 ,
440 ,
425 ,
420 ,
414 ,
410 ,
418 ,
423 ,
446 ,
459 ,
486 ,
498 ,
522 ,
531 ,
551 ,
553 ,
566 ,
564 ,
568 ,
562 ,
559 ,
550 ,
536 ,
517 ,
499 ,
482 ,
465 ,
457 ,
444 ,
438 ,
422 ,
411 ,
396 ,
389 ,
380 ,
379 ,
378 ,
365 ,
355 ,
329 ,
317 ,
284 ,
272 ,
249 ,
243 ,
231 ,
227 ,
212 ,
207 ,
189 ,
182 ,
169 ,
172 ,
169 ,
180 ,
179 ,
188 ,
195 ,
210 ,
220 ,
233 ,
239 ,
245 ,
252 ,
260 ,
270 ,
285 ,
296 ,
307 ,
311 ,
311 ,
308 ,
300 ,
294 ,
296 ,
301 ,
318 ,
338 ,
361 ,
387 ,
408 ,
434 ,
457 ,
481 ,
510 ,
529 ,
560 ,
577 ,
598 ,
611 ,
617 ,
627 ,
626 ,
636 ,
635 ,
638 ,
641 ,
633 ,
639 ,
627 ,
629 ,
616 ,
612 ,
608 ,
608 ,
613 ,
611 ,
612 ,
603 ,
593 ,
576 ,
552 ,
530 ,
495 ,
471 ,
444 ,
421 ,
401 ,
380 ,
359 ,
340 ,
313 ,
294 ,
270 ,
260 ,
245 ,
238 ,
238 ,
232 ,
238 ,
226 ,
227 ,
206 ,
202 ,
181 ,
183 ,
180 ,
182 ,
184 ,
176 ,
165 ,
147 ,
126 ,
106 ,
85  ,
73  ,
59  ,
60  ,
57  ,
67  ,
67  ,
74  ,
75  ,
79  ,
80  ,
77  ,
81  ,
68  ,
65  ,
48  ,
30  ,
9 ,
-18 ,
-50 ,
-76 ,
-120  ,
-150  ,
-202  ,
-238  ,
-287  ,
-321  ,
-367  ,
-401  ,
-447  ,
-480  ,
-515  ,
-538  ,
-554  ,
-566  ,
-569  ,
-583  ,
-586  ,
-600  ,
-600  ,
-605  ,
-599  ,
-590  ,
-572  ,
-549  ,
-526  ,
-500  ,
-481  ,
-451  ,
-418  ,
-381  ,
-334  ,
-288  ,
-242  ,
-187  ,
-151  ,
-94 ,
-65 ,
-24 ,
-1  ,
30  ,
58  ,
83  ,
105 ,
126 ,
141 ,
153 ,
160 ,
165 ,
172 ,
171 ,
179 ,
182 ,
202 ,
220 ,
245 ,
276 ,
299 ,
326 ,
346 ,
364 ,
382 ,
397 ,
414 ,
422 ,
433 ,
427 ,
432 ,
415 ,
410 ,
387 ,
369 ,
344 ,
320 ,
292 ,
266 ,
235 ,
198 ,
162 ,
123 ,
91  ,
63  ,
41  ,
18  ,
2 ,
-22 ,
-34 ,
-55 ,
-65 ,
-80 ,
-90 ,
-100  ,
-113  ,
-125  ,
-142  ,
-158  ,
-170  ,
-179  ,
-185  ,
-182  ,
-184  ,
-172  ,
-172  ,
-164  ,
-160  ,
-153  ,
-146  ,
-144  ,
-140  ,
-148  ,
-150  ,
-166  ,
-178  ,
-191  ,
-207  ,
-220  ,
-229  ,
-245  ,
-258  ,
-279  ,
-301  ,
-317  ,
-333  ,
-343  ,
-345  ,
-355  ,
-350  ,
-354  ,
-351  ,
-352  ,
-351  ,
-348  ,
-343  ,
-340  ,
-341  ,
-338  ,
-355  ,
-357  ,
-378  ,
-389  ,
-404  ,
-416  ,
-432  ,
-445  ,
-471  ,
-487  ,
-512  ,
-534  ,
-553  ,
-574  ,
-587  ,
-605  ,
-617  ,
-631  ,
-647  ,
-657  ,
-673  ,
-677  ,
-693  ,
-695  ,
-711  ,
-723  ,
-744  ,
-763  ,
-785  ,
-803  ,
-827  ,
-842  ,
-863  ,
-873  ,
-889  ,
-893  ,
-901  ,
-899  ,
-897  ,
-896  ,
-889  ,
-889  ,
-889  ,
-894  ,
-901  ,
-898  ,
-903  ,
-888  ,
-886  ,
-874  ,
-867  ,
-859  ,
-847  ,
-829  ,
-808  ,
-781  ,
-751  ,
-722  ,
-682  ,
-649  ,
-605  ,
-561  ,
-512  ,
-460  ,
-402  ,
-353  ,
-291  ,
-245  ,
-197  ,
-157  ,
-117  ,
-81 ,
-43 ,
-11 ,
25  ,
46  ,
74  ,
90  ,
107 ,
126 ,
136 ,
148 ,
156 ,
153 ,
158 ,
149 ,
147 ,
143 ,
138 ,
140 ,
137 ,
133 ,
122 ,
119 ,
107 ,
99  ,
85  ,
68  ,
50  ,
30  ,
0 ,
-23 ,
-53 ,
-79 ,
-96 ,
-112  ,
-113  ,
-113  ,
-108  ,
-101  ,
-102  ,
-91 ,
-94 ,
-87 ,
-86 ,
-92 ,
-93 ,
-110  ,
-121  ,
-134  ,
-151  ,
-163  ,
-178  ,
-191  ,
-204  ,
-212  ,
-224  ,
-233  ,
-239  ,
-250  ,
-248  ,
-247  ,
-234  ,
-225  ,
-210  ,
-194  ,
-187  ,
-168  ,
-163  ,
-150  ,
-145  ,
-141  ,
-137  ,
-133  ,
-129  ,
-126  ,
-118  ,
-121  ,
-119  ,
-128  ,
-138  ,
-150  ,
-179  ,
-198  ,
-228  ,
-243  ,
-263  ,
-272  ,
-288  ,
-300  ,
-316  ,
-333  ,
-339  ,
-351  ,
-346  ,
-351  ,
-344  ,
-344  ,
-344  ,
-346  ,
-348  ,
-348  ,
-347  ,
-339  ,
-327  ,
-315  ,
-296  ,
-276  ,
-255  ,
-227  ,
-202  ,
-173  ,
-146  ,
-124  ,
-101  ,
-83 ,
-65 ,
-52 ,
-34 ,
-21 ,
-8  ,
6 ,
14  ,
22  ,
27  ,
34  ,
38  ,
53  ,
63  ,
82  ,
104 ,
121 ,
147 ,
159 ,
184 ,
205 ,
225 ,
253 ,
272 ,
302 ,
316 ,
334 ,
336 ,
348 ,
346 ,
360 ,
366 ,
381 ,
390 ,
394 ,
388 ,
387 ,
372 ,
367 ,
355 ,
351 ,
340 ,
335 ,
328 ,
325 ,
323 ,
324 ,
326 ,
336 ,
343 ,
355 ,
362 ,
367 ,
371 ,
374 ,
377 ,
384 ,
380 ,
386 ,
373 ,
379 ,
371 ,
385 ,
389 ,
409 ,
415 ,
427 ,
424 ,
423 ,
406 ,
396 ,
378 ,
365 ,
352 ,
342 ,
325 ,
310 ,
286 ,
259 ,
240 ,
215 ,
203 ,
193 ,
186 ,
185 ,
181 ,
183 ,
182 ,
190 ,
191 ,
206 ,
210 ,
224 ,
222 ,
224 ,
229 ,
228 ,
232 ,
235 ,
236 ,
242 ,
246 ,
251 ,
258 ,
259 ,
263 ,
255 ,
257 ,
238 ,
226 ,
208 ,
194 ,
182 ,
178 ,
173 ,
178 ,
180 ,
189 ,
193 ,
200 ,
202 ,
207 ,
212 ,
221 ,
226 ,
239 ,
241 ,
246 ,
250 ,
250 ,
258 ,
260 ,
276 ,
294 ,
320 ,
349 ,
371 ,
397 ,
409 ,
427 ,
437 ,
450 ,
459 ,
462 ,
475 ,
475 ,
492 ,
500 ,
508 ,
520 ,
524 ,
540 ,
554 ,
570 ,
590 ,
609 ,
634 ,
656 ,
680 ,
703 ,
724 ,
740 ,
755 ,
768 ,
777 ,
783 ,
797 ,
797 ,
816 ,
815 ,
829 ,
837 ,
845 ,
860 ,
872 ,
885 ,
892 ,
893 ,
878 ,
865 ,
835 ,
815 ,
791 ,
767 ,
750 ,
731 ,
718 ,
699 ,
678 ,
655 ,
632 ,
608 ,
580 ,
550 ,
512 ,
471 ,
434 ,
384 ,
348 ,
299 ,
262 ,
220 ,
190 ,
158 ,
143 ,
123 ,
118 ,
112 ,
108 ,
96  ,
78  ,
61  ,
35  ,
17  ,
-7  ,
-19 ,
-36 ,
-52 ,
-68 ,
-92 ,
-111  ,
-136  ,
-149  ,
-158  ,
-159  ,
-159  ,
-157  ,
-147  ,
-142  ,
-126  ,
-120  ,
-106  ,
-106  ,
-101  ,
-106  ,
-110  ,
-122  ,
-134  ,
-151  ,
-166  ,
-178  ,
-189  ,
-192  ,
-200  ,
-207  ,
-216  ,
-234  ,
-244  ,
-274  ,
-295  ,
-332  ,
-363  ,
-400  ,
-424  ,
-453  ,
-465  ,
-474  ,
-476  ,
-472  ,
-470  ,
-460  ,
-455  ,
-440  ,
-430  ,
-404  ,
-387  ,
-363  ,
-344  ,
-318  ,
-294  ,
-270  ,
-239  ,
-211  ,
-173  ,
-130  ,
-85 ,
-33 ,
16  ,
60  ,
106 ,
144 ,
176 ,
208 ,
230 ,
257 ,
277 ,
299 ,
322 ,
339 ,
357 ,
370 ,
383 ,
392 ,
403 ,
413 ,
429 ,
443 ,
459 ,
479 ,
502 ,
520 ,
541 ,
545 ,
551 ,
542 ,
541 ,
525 ,
517 ,
495 ,
480 ,
456 ,
440 ,
423 ,
403 ,
392 ,
368 ,
350 ,
317 ,
287 ,
239 ,
198 ,
139 ,
89  ,
37  ,
-13 ,
-56 ,
-99 ,
-135  ,
-171  ,
-199  ,
-232  ,
-248  ,
-277  ,
-293  ,
-314  ,
-330  ,
-341  ,
-364  ,
-379  ,
-407  ,
-427  ,
-443  ,
-453  ,
-460  ,
-463  ,
-470  ,
-468  ,
-469  ,
-464  ,
-459  ,
-458  ,
-456  ,
-463  ,
-467  ,
-482  ,
-492  ,
-509  ,
-517  ,
-529  ,
-532  ,
-546  ,
-554  ,
-574  ,
-575  ,
-587  ,
-573  ,
-569  ,
-554  ,
-542  ,
-530  ,
-520  ,
-502  ,
-489  ,
-471  ,
-463  ,
-451  ,
-450  ,
-451  ,
-448  ,
-452  ,
-442  ,
-439  ,
-426  ,
-407  ,
-388  ,
-367  ,
-356  ,
-346  ,
-349  ,
-352  ,
-364  ,
-372  ,
-386  ,
-401  ,
-416  ,
-440  ,
-456  ,
-475  ,
-483  ,
-487  ,
-488  ,
-483  ,
-484  ,
-476  ,
-483  ,
-479  ,
-490  ,
-488  ,
-494  ,
-496  ,
-508  ,
-521  ,
-540  ,
-566  ,
-580  ,
-603  ,
-612  ,
-627  ,
-631  ,
-639  ,
-643  ,
-654  ,
-671  ,
-681  ,
-701  ,
-706  ,
-722  ,
-728  ,
-740  ,
-745  ,
-755  ,
-757  ,
-757  ,
-753  ,
-737  ,
-725  ,
-696  ,
-676  ,
-647  ,
-624  ,
-591  ,
-560  ,
-525  ,
-492  ,
-464  ,
-436  ,
-422  ,
-413  ,
-406  ,
-397  ,
-378  ,
-357  ,
-329  ,
-299  ,
-271  ,
-236  ,
-208  ,
-176  ,
-153  ,
-132  ,
-121  ,
-112  ,
-108  ,
-111  ,
-115  ,
-128  ,
-138  ,
-153  ,
-161  ,
-178  ,
-184  ,
-198  ,
-204  ,
-221  ,
-226  ,
-240  ,
-244  ,
-251  ,
-257  ,
-262  ,
-271  ,
-281  ,
-296  ,
-304  ,
-313  ,
-310  ,
-308  ,
-301  ,
-293  ,
-290  ,
-288  ,
-287  ,
-282  ,
-282  ,
-275  ,
-280  ,
-281  ,
-287  ,
-293  ,
-299  ,
-298  ,
-305  ,
-294  ,
-294  ,
-277  ,
-269  ,
-253  ,
-241  ,
-221  ,
-203  ,
-176  ,
-154  ,
-128  ,
-103  ,
-86 ,
-63 ,
-54 ,
-38 ,
-32 ,
-21 ,
-7  ,
6 ,
27  ,
44  ,
58  ,
76  ,
82  ,
100 ,
109 ,
121 ,
127 ,
129 ,
122 ,
113 ,
102 ,
89  ,
86  ,
69  ,
70  ,
52  ,
48  ,
37  ,
27  ,
29  ,
24  ,
30  ,
30  ,
31  ,
30  ,
22  ,
17  ,
7 ,
8 ,
11  ,
13  ,
21  ,
18  ,
24  ,
17  ,
22  ,
21  ,
26  ,
34  ,
43  ,
45  ,
48  ,
33  ,
24  ,
6 ,
-3  ,
-8  ,
-12 ,
-8  ,
-16 ,
-14 ,
-22 ,
-19 ,
-15 ,
-7  ,
8 ,
16  ,
28  ,
28  ,
29  ,
22  ,
24  ,
15  ,
20  ,
13  ,
12  ,
11  ,
1 ,
5 ,
1 ,
6 ,
18  ,
25  ,
36  ,
41  ,
41  ,
42  ,
30  ,
25  ,
13  ,
11  ,
10  ,
12  ,
12  ,
13  ,
8 ,
11  ,
18  ,
36  ,
57  ,
84  ,
109 ,
129 ,
149 ,
163 ,
180 ,
200 ,
224 ,
248 ,
272 ,
295 ,
311 ,
334 ,
347 ,
379 ,
395 ,
427 ,
444 ,
463 ,
473 ,
476 ,
470 ,
464 ,
457 ,
450 ,
447 ,
440 ,
432 ,
424 ,
419 ,
415 ,
421 ,
429 ,
437 ,
457 ,
459 ,
480 ,
481 ,
493 ,
495 ,
510 ,
518 ,
535 ,
535 ,
538 ,
532 ,
527 ,
528 ,
535 ,
549 ,
569 ,
579 ,
593 ,
594 ,
596 ,
590 ,
586 ,
582 ,
576 ,
570 ,
552 ,
540 ,
511 ,
495 ,
469 ,
462 ,
449 ,
450 ,
440 ,
442 ,
432 ,
430 ,
423 ,
416 ,
420 ,
416 ,
422 ,
412 ,
408 ,
392 ,
389 ,
382 ,
389 ,
391 ,
406 ,
403 ,
410 ,
406 ,
401 ,
402 ,
395 ,
398 ,
395 ,
393 ,
378 ,
368 ,
349 ,
336 ,
328 ,
325 ,
326 ,
334 ,
342 ,
356 ,
365 ,
380 ,
389 ,
408 ,
422 ,
437 ,
445 ,
457 ,
447 ,
413 ,
411 ,
435 ,
432 ,
429 ,
448 ,
467 ,
501 ,
522 ,
551 ,
593 ,
635 ,
666 ,
657 ,
654 ,
653 ,
646 ,
641 ,
659 ,
669 ,
649 ,
620 ,
604 ,
613 ,
601 ,
568 ,
581 ,
593 ,
577 ,
529 ,
527 ,
535 ,
515 ,
493 ,
482 ,
469 ,
424 ,
391 ,
387 ,
386 ,
359 ,
342 ,
333 ,
314 ,
280 ,
264 ,
263 ,
256 ,
252 ,
251 ,
233 ,
199 ,
170 ,
161 ,
154 ,
147 ,
145 ,
133 ,
119 ,
110 ,
117 ,
132 ,
148 ,
180 ,
203 ,
192 ,
168 ,
161 ,
174 ,
188 ,
190 ,
191 ,
161 ,
114 ,
85  ,
63  ,
56  ,
31  ,
32  ,
24  ,
-2  ,
-47 ,
-75 ,
-98 ,
-114  ,
-144  ,
-179  ,
-235  ,
-297  ,
-351  ,
-379  ,
-406  ,
-435  ,
-471  ,
-493  ,
-515  ,
-534  ,
-547  ,
-555  ,
-550  ,
-538  ,
-540  ,
-558  ,
-581  ,
-590  ,
-574  ,
-553  ,
-524  ,
-501  ,
-494  ,
-480  ,
-470  ,
-439  ,
-411  ,
-371  ,
-324  ,
-275  ,
-267  ,
-255  ,
-244  ,
-213  ,
-183  ,
-143  ,
-119  ,
-105  ,
-106  ,
-91 ,
-63 ,
-34 ,
-5  ,
42  ,
80  ,
107 ,
122 ,
130 ,
155 ,
187 ,
228 ,
264 ,
266 ,
257 ,
244 ,
242 ,
234 ,
238 ,
249 ,
256 ,
259 ,
255 ,
242 ,
231 ,
222 ,
239 ,
249 ,
239 ,
212 ,
178 ,
146 ,
109 ,
83  ,
54  ,
26  ,
-15 ,
-44 ,
-72 ,
-99 ,
-122  ,
-124  ,
-133  ,
-138  ,
-160  ,
-175  ,
-198  ,
-211  ,
-214  ,
-214  ,
-229  ,
-243  ,
-261  ,
-275  ,
-274  ,
-274  ,
-245  ,
-222  ,
-207  ,
-198  ,
-200  ,
-205  ,
-201  ,
-185  ,
-167  ,
-162  ,
-185  ,
-208  ,
-250  ,
-273  ,
-294  ,
-295  ,
-295  ,
-310  ,
-327  ,
-351  ,
-370  ,
-374  ,
-365  ,
-339  ,
-332  ,
-321  ,
-340  ,
-357  ,
-379  ,
-384  ,
-378  ,
-376  ,
-385  ,
-403  ,
-429  ,
-455  ,
-463  ,
-447  ,
-432  ,
-426  ,
-433  ,
-443  ,
-466  ,
-488  ,
-508  ,
-512  ,
-528  ,
-542  ,
-565  ,
-594  ,
-618  ,
-639  ,
-638  ,
-636  ,
-631  ,
-643  ,
-648  ,
-661  ,
-660  ,
-652  ,
-650  ,
-654  ,
-667  ,
-687  ,
-718  ,
-744  ,
-758  ,
-754  ,
-757  ,
-767  ,
-770  ,
-797  ,
-814  ,
-827  ,
-816  ,
-810  ,
-812  ,
-818  ,
-835  ,
-854  ,
-883  ,
-893  ,
-897  ,
-889  ,
-884  ,
-884  ,
-891  ,
-907  ,
-909  ,
-893  ,
-870  ,
-837  ,
-805  ,
-783  ,
-760  ,
-739  ,
-710  ,
-674  ,
-644  ,
-600  ,
-568  ,
-546  ,
-525  ,
-511  ,
-477  ,
-437  ,
-386  ,
-330  ,
-291  ,
-265  ,
-234  ,
-210  ,
-177  ,
-152  ,
-119  ,
-99 ,
-83 ,
-83 ,
-80 ,
-77 ,
-67 ,
-51 ,
-32 ,
-16 ,
-15 ,
-10 ,
-2  ,
16  ,
33  ,
37  ,
47  ,
43  ,
41  ,
34  ,
27  ,
27  ,
25  ,
28  ,
25  ,
18  ,
12  ,
7 ,
13  ,
33  ,
39  ,
48  ,
30  ,
14  ,
0 ,
-7  ,
-9  ,
-11 ,
-21 ,
-42 ,
-71 ,
-103  ,
-133  ,
-140  ,
-147  ,
-136  ,
-134  ,
-140  ,
-150  ,
-158  ,
-158  ,
-141  ,
-126  ,
-111  ,
-105  ,
-114  ,
-124  ,
-138  ,
-147  ,
-152  ,
-150  ,
-138  ,
-134  ,
-127  ,
-126  ,
-121  ,
-106  ,
-92 ,
-67 ,
-65 ,
-62 ,
-72 ,
-85 ,
-97 ,
-109  ,
-120  ,
-133  ,
-141  ,
-155  ,
-152  ,
-160  ,
-149  ,
-140  ,
-120  ,
-116  ,
-110  ,
-118  ,
-117  ,
-125  ,
-123  ,
-131  ,
-134  ,
-154  ,
-164  ,
-175  ,
-173  ,
-173  ,
-153  ,
-140  ,
-114  ,
-106  ,
-90 ,
-83 ,
-64 ,
-48 ,
-31 ,
-14 ,
-13 ,
-12 ,
-26 ,
-31 ,
-31 ,
-21 ,
-6  ,
7 ,
23  ,
23  ,
25  ,
27  ,
46  ,
62  ,
90  ,
105 ,
121 ,
125 ,
122 ,
125 ,
130 ,
138 ,
137 ,
151 ,
146 ,
157 ,
157 ,
175 ,
193 ,
221 ,
237 ,
261 ,
267 ,
275 ,
284 ,
291 ,
303 ,
303 ,
302 ,
298 ,
294 ,
302 ,
311 ,
330 ,
356 ,
370 ,
395 ,
397 ,
415 ,
423 ,
447 ,
464 ,
487 ,
486 ,
486 ,
472 ,
475 ,
476 ,
488 ,
493 ,
508 ,
500 ,
509 ,
506 ,
517 ,
523 ,
538 ,
549 ,
552 ,
540 ,
522 ,
509 ,
493 ,
489 ,
470 ,
458 ,
426 ,
399 ,
379 ,
363 ,
364 ,
355 ,
357 ,
353 ,
344 ,
342 ,
330 ,
342 ,
343 ,
357 ,
361 ,
360 ,
345 ,
345 ,
329 ,
344 ,
335 ,
349 ,
347 ,
357 ,
360 ,
368 ,
380 ,
384 ,
392 ,
394 ,
384 ,
373 ,
356 ,
341 ,
332 ,
318 ,
311 ,
301 ,
303 ,
300 ,
312 ,
317 ,
328 ,
329 ,
339 ,
331 ,
334 ,
323 ,
322 ,
320 ,
320 ,
316 ,
315 ,
311 ,
311 ,
319 ,
323 ,
337 ,
345 ,
362 ,
367 ,
366 ,
336 ,
302 ,
271 ,
232 ,
182 ,
139 ,
97  ,
97  ,
112 ,
154 ,
205 ,
266 ,
351 ,
450 ,
546 ,
614 ,
690 ,
765 ,
851 ,
924 ,
993 ,
1036  ,
1075  ,
1110  ,
1117  ,
1083  ,
1050  ,
1023  ,
993 ,
963 ,
936 ,
932 ,
929 ,
910 ,
909 ,
903 ,
906 ,
902 ,
902 ,
901 ,
910 ,
919 ,
939 ,
966 ,
991 ,
1025  ,
1056  ,
1085  ,
1072  ,
1003  ,
927 ,
849 ,
781 ,
699 ,
617 ,
545 ,
512 ,
506 ,
483 ,
445 ,
407 ,
383 ,
359 ,
287 ,
194 ,
104 ,
34  ,
4 ,
-18 ,
-8  ,
-1  ,
45  ,
93  ,
139 ,
162 ,
142 ,
113 ,
56  ,
-9  ,
-83 ,
-153  ,
-201  ,
-246  ,
-281  ,
-284  ,
-262  ,
-224  ,
-184  ,
-150  ,
-121  ,
-108  ,
-132  ,
-197  ,
-298  ,
-376  ,
-424  ,
-434  ,
-452  ,
-453  ,
-432  ,
-389  ,
-345  ,
-317  ,
-295  ,
-283  ,
-277  ,
-300  ,
-362  ,
-457  ,
-552  ,
-611  ,
-643  ,
-652  ,
-655  ,
-648  ,
-638  ,
-621  ,
-624  ,
-629  ,
-640  ,
-632  ,
-637  ,
-633  ,
-647  ,
-647  ,
-638  ,
-615  ,
-566  ,
-521  ,
-475  ,
-432  ,
-408  ,
-385  ,
-376  ,
-363  ,
-370  ,
-393  ,
-420  ,
-428  ,
-417  ,
-403  ,
-383  ,
-364  ,
-326  ,
-273  ,
-198  ,
-131  ,
-47 ,
38  ,
141 ,
227 ,
291 ,
337 ,
388 ,
452 ,
522 ,
564 ,
604 ,
614 ,
623 ,
618 ,
621 ,
626 ,
640 ,
663 ,
680 ,
678 ,
655 ,
624 ,
602 ,
567 ,
550 ,
523 ,
491 ,
445 ,
388 ,
347 ,
314 ,
287 ,
275 ,
245 ,
220 ,
178 ,
143 ,
100 ,
58  ,
24  ,
16  ,
22  ,
30  ,
28  ,
26  ,
20  ,
13  ,
0 ,
-54 ,
-103  ,
-177  ,
-227  ,
-290  ,
-359  ,
-423  ,
-495  ,
-550  ,
-602  ,
-645  ,
-677  ,
-717  ,
-748  ,
-789  ,
-829  ,
-864  ,
-884  ,
-866  ,
-830  ,
-793  ,
-738  ,
-698  ,
-652  ,
-632  ,
-598  ,
-562  ,
-521  ,
-499  ,
-486  ,
-496  ,
-506  ,
-527  ,
-535  ,
-546  ,
-542  ,
-543  ,
-553  ,
-583  ,
-636  ,
-692  ,
-743  ,
-787  ,
-832  ,
-871  ,
-912  ,
-929  ,
-945  ,
-926  ,
-896  ,
-836  ,
-771  ,
-688  ,
-629  ,
-574  ,
-546  ,
-511  ,
-484  ,
-452  ,
-420  ,
-387  ,
-349  ,
-322  ,
-298  ,
-282  ,
-259  ,
-234  ,
-221  ,
-215  ,
-223  ,
-224  ,
-233  ,
-248  ,
-275  ,
-302  ,
-329  ,
-357  ,
-382  ,
-401  ,
-413  ,
-417  ,
-419  ,
-435  ,
-445  ,
-457  ,
-450  ,
-431  ,
-408  ,
-384  ,
-366  ,
-346  ,
-334  ,
-323  ,
-323  ,
-311  ,
-300  ,
-286  ,
-292  ,
-312  ,
-332  ,
-340  ,
-332  ,
-319  ,
-305  ,
-300  ,
-308  ,
-327  ,
-359  ,
-387  ,
-417  ,
-429  ,
-439  ,
-434  ,
-413  ,
-402  ,
-362  ,
-328  ,
-273  ,
-217  ,
-164  ,
-123  ,
-106  ,
-115  ,
-127  ,
-135  ,
-139  ,
-138  ,
-135  ,
-118  ,
-98 ,
-67 ,
-47 ,
-34 ,
-38 ,
-61 ,
-93 ,
-148  ,
-209  ,
-274  ,
-317  ,
-346  ,
-356  ,
-367  ,
-357  ,
-355  ,
-334  ,
-318  ,
-304  ,
-308  ,
-321  ,
-348  ,
-370  ,
-396  ,
-397  ,
-395  ,
-369  ,
-354  ,
-325  ,
-312  ,
-296  ,
-296  ,
-294  ,
-296  ,
-303  ,
-325  ,
-364  ,
-400  ,
-426  ,
-434  ,
-419  ,
-393  ,
-358  ,
-323  ,
-286  ,
-270  ,
-254  ,
-265  ,
-264  ,
-265  ,
-267  ,
-266  ,
-271  ,
-274  ,
-255  ,
-228  ,
-189  ,
-156  ,
-118  ,
-92 ,
-64 ,
-48 ,
-24 ,
0 ,
23  ,
48  ,
66  ,
86  ,
104 ,
122 ,
141 ,
163 ,
183 ,
206 ,
215 ,
224 ,
227 ,
235 ,
245 ,
254 ,
253 ,
255 ,
251 ,
244 ,
228 ,
208 ,
185 ,
165 ,
151 ,
138 ,
142 ,
150 ,
184 ,
223 ,
261 ,
278 ,
282 ,
259 ,
236 ,
199 ,
162 ,
124 ,
97  ,
76  ,
74  ,
79  ,
94  ,
122 ,
143 ,
165 ,
172 ,
171 ,
152 ,
130 ,
101 ,
92  ,
90  ,
105 ,
122 ,
149 ,
172 ,
195 ,
209 ,
204 ,
185 ,
146 ,
102 ,
46  ,
-10 ,
-62 ,
-103  ,
-116  ,
-126  ,
-113  ,
-109  ,
-89 ,
-76 ,
-68 ,
-77 ,
-94 ,
-120  ,
-137  ,
-148  ,
-148  ,
-120  ,
-81 ,
-22 ,
43  ,
104 ,
156 ,
200 ,
224 ,
258 ,
263 ,
261 ,
238 ,
209 ,
180 ,
152 ,
139 ,
129 ,
133 ,
137 ,
147 ,
151 ,
158 ,
149 ,
149 ,
138 ,
142 ,
138 ,
143 ,
150 ,
160 ,
187 ,
217 ,
261 ,
300 ,
331 ,
360 ,
388 ,
408 ,
436 ,
452 ,
481 ,
506 ,
539 ,
561 ,
585 ,
593 ,
602 ,
596 ,
590 ,
572 ,
555 ,
536 ,
519 ,
503 ,
481 ,
471 ,
454 ,
444 ,
426 ,
414 ,
406 ,
400 ,
404 ,
398 ,
410 ,
415 ,
437 ,
461 ,
495 ,
534 ,
571 ,
599 ,
614 ,
618 ,
608 ,
597 ,
573 ,
553 ,
534 ,
517 ,
504 ,
494 ,
481 ,
468 ,
449 ,
427 ,
391 ,
340 ,
282 ,
227 ,
188 ,
158 ,
161 ,
169 ,
203 ,
228 ,
267 ,
294 ,
319 ,
332 ,
331 ,
326 ,
301 ,
291 ,
278 ,
293 ,
313 ,
363 ,
417 ,
484 ,
540 ,
585 ,
610 ,
612 ,
588 ,
558 ,
499 ,
443 ,
385 ,
346 ,
322 ,
320 ,
340 ,
371 ,
404 ,
432 ,
447 ,
460 ,
459 ,
454 ,
446 ,
433 ,
425 ,
430 ,
449 ,
481 ,
520 ,
574 ,
622 ,
667 ,
694 ,
715 ,
718 ,
712 ,
699 ,
679 ,
658 ,
622 ,
596 ,
564 ,
543 ,
520 ,
508 ,
485 ,
451 ,
405 ,
354 ,
304 ,
260 ,
234 ,
214 ,
206 ,
204 ,
211 ,
220 ,
229 ,
247 ,
262 ,
278 ,
282 ,
282 ,
278 ,
277 ,
289 ,
305 ,
330 ,
338 ,
348 ,
347 ,
339 ,
321 ,
307 ,
295 ,
284 ,
272 ,
262 ,
251 ,
249 ,
249 ,
257 ,
255 ,
240 ,
210 ,
181 ,
136 ,
100 ,
62  ,
33  ,
9 ,
-10 ,
-23 ,
-35 ,
-62 ,
-86 ,
-131  ,
-181  ,
-255  ,
-341  ,
-430  ,
-524  ,
-597  ,
-647  ,
-676  ,
-680  ,
-671  ,
-656  ,
-633  ,
-627  ,
-620  ,
-636  ,
-659  ,
-691  ,
-730  ,
-763  ,
-797  ,
-802  ,
-789  ,
-764  ,
-711  ,
-671  ,
-610  ,
-569  ,
-536  ,
-508  ,
-510  ,
-507  ,
-529  ,
-541  ,
-561  ,
-561  ,
-549  ,
-508  ,
-453  ,
-386  ,
-311  ,
-243  ,
-172  ,
-126  ,
-72 ,
-33 ,
12  ,
42  ,
88  ,
119 ,
174 ,
220 ,
290 ,
349 ,
407 ,
453 ,
479 ,
493 ,
484 ,
463 ,
442 ,
416 ,
395 ,
370 ,
352 ,
324 ,
307 ,
288 ,
270 ,
251 ,
224 ,
193 ,
161 ,
130 ,
113 ,
108 ,
113 ,
124 ,
143 ,
168 ,
192 ,
218 ,
246 ,
268 ,
286 ,
290 ,
298 ,
293 ,
291 ,
276 ,
261 ,
234 ,
196 ,
167 ,
116 ,
82  ,
27  ,
-4  ,
-47 ,
-74 ,
-101  ,
-118  ,
-132  ,
-137  ,
-151  ,
-156  ,
-174  ,
-197  ,
-218  ,
-241  ,
-251  ,
-265  ,
-254  ,
-236  ,
-198  ,
-157  ,
-110  ,
-67 ,
-34 ,
-12 ,
-11 ,
-28 ,
-66 ,
-115  ,
-179  ,
-240  ,
-303  ,
-360  ,
-410  ,
-452  ,
-478  ,
-507  ,
-535  ,
-573  ,
-625  ,
-679  ,
-754  ,
-816  ,
-884  ,
-932  ,
-966  ,
-974  ,
-969  ,
-946  ,
-906  ,
-852  ,
-802  ,
-759  ,
-733  ,
-718  ,
-724  ,
-727  ,
-736  ,
-730  ,
-728  ,
-706  ,
-688  ,
-664  ,
-649  ,
-641  ,
-644  ,
-667  ,
-713  ,
-770  ,
-845  ,
-918  ,
-989  ,
-1039 ,
-1070 ,
-1087 ,
-1080 ,
-1060 ,
-1030 ,
-998  ,
-967  ,
-950  ,
-932  ,
-930  ,
-922  ,
-925  ,
-915  ,
-892  ,
-852  ,
-799  ,
-745  ,
-683  ,
-631  ,
-573  ,
-526  ,
-472  ,
-436  ,
-412  ,
-403  ,
-407  ,
-412  ,
-422  ,
-415  ,
-395  ,
-382  ,
-363  ,
-353  ,
-342  ,
-322  ,
-301  ,
-261  ,
-223  ,
-185  ,
-147  ,
-113  ,
-78 ,
-44 ,
6 ,
45  ,
105 ,
149 ,
195 ,
229 ,
267 ,
308 ,
365 ,
411 ,
478 ,
518 ,
558 ,
577 ,
586 ,
584 ,
562 ,
527 ,
486 ,
430 ,
370 ,
316 ,
266 ,
236 ,
209 ,
203 ,
187 ,
173 ,
151 ,
129 ,
97  ,
73  ,
44  ,
27  ,
5 ,
-18 ,
-25 ,
-28 ,
-13 ,
0 ,
13  ,
14  ,
-7  ,
-36 ,
-85 ,
-128  ,
-179  ,
-224  ,
-268  ,
-308  ,
-331  ,
-351  ,
-358  ,
-361  ,
-360  ,
-374  ,
-394  ,
-437  ,
-491  ,
-545  ,
-596  ,
-626  ,
-637  ,
-636  ,
-619  ,
-595  ,
-565  ,
-531  ,
-497  ,
-465  ,
-448  ,
-450  ,
-474  ,
-513  ,
-547  ,
-577  ,
-584  ,
-583  ,
-566  ,
-540  ,
-511  ,
-477  ,
-452  ,
-426  ,
-410  ,
-403  ,
-398  ,
-419  ,
-422  ,
-450  ,
-452  ,
-457  ,
-438  ,
-416  ,
-389  ,
-361  ,
-334  ,
-300  ,
-273  ,
-244  ,
-231  ,
-207  ,
-201  ,
-183  ,
-168  ,
-150  ,
-124  ,
-102  ,
-78 ,
-59 ,
-41 ,
-21 ,
-1  ,
34  ,
68  ,
109 ,
157 ,
196 ,
244 ,
290 ,
333 ,
381 ,
426 ,
468 ,
499 ,
523 ,
533 ,
561 ,
576 ,
605 ,
624 ,
641 ,
648 ,
651 ,
646 ,
644 ,
626 ,
610 ,
587 ,
557 ,
530 ,
499 ,
482 ,
475 ,
480 ,
492 ,
500 ,
507 ,
510 ,
510 ,
512 ,
513 ,
532 ,
550 ,
581 ,
605 ,
637 ,
662 ,
693 ,
717 ,
742 ,
741 ,
732 ,
691 ,
647 ,
580 ,
518 ,
459 ,
406 ,
369 ,
340 ,
319 ,
301 ,
266 ,
247 ,
201 ,
161 ,
95  ,
23  ,
-46 ,
-118  ,
-170  ,
-193  ,
-199  ,
-177  ,
-143  ,
-100  ,
-54 ,
-16 ,
21  ,
41  ,
52  ,
38  ,
12  ,
-24 ,
-65 ,
-95 ,
-117  ,
-122  ,
-123  ,
-119  ,
-118  ,
-132  ,
-141  ,
-164  ,
-185  ,
-218  ,
-253  ,
-294  ,
-332  ,
-359  ,
-365  ,
-355  ,
-335  ,
-305  ,
-274  ,
-239  ,
-215  ,
-178  ,
-138  ,
-94 ,
-49 ,
-9  ,
25  ,
60  ,
91  ,
139 ,
176 ,
229 ,
260 ,
289 ,
300 ,
300 ,
291 ,
279 ,
268 ,
266 ,
263 ,
266 ,
259 ,
263 ,
260 ,
276 ,
290 ,
324 ,
349 ,
384 ,
416 ,
450 ,
495 ,
538 ,
598 ,
655 ,
706 ,
761 ,
813 ,
870 ,
928 ,
989 ,
1053  ,
1104  ,
1163  ,
1204  ,
1250  ,
1284  ,
1300  ,
1314  ,
1300  ,
1279  ,
1241  ,
1196  ,
1164  ,
1129  ,
1110  ,
1094  ,
1084  ,
1076  ,
1084  ,
1100  ,
1130  ,
1153  ,
1170  ,
1163  ,
1156  ,
1125  ,
1108  ,
1093  ,
1106  ,
1119  ,
1147  ,
1169  ,
1181  ,
1194  ,
1195  ,
1194  ,
1187  ,
1158  ,
1111  ,
1033  ,
936 ,
833 ,
727 ,
641 ,
555 ,
494 ,
421 ,
361 ,
289 ,
223 ,
154 ,
91  ,
27  ,
-38 ,
-105  ,
-167  ,
-218  ,
-260  ,
-290  ,
-304  ,
-309  ,
-303  ,
-298  ,
-290  ,
-290  ,
-293  ,
-300  ,
-303  ,
-313  ,
-317  ,
-317  ,
-310  ,
-296  ,
-284  ,
-272  ,
-268  ,
-269  ,
-286  ,
-300  ,
-332  ,
-351  ,
-392  ,
-422  ,
-465  ,
-508  ,
-535  ,
-558  ,
-560  ,
-562  ,
-551  ,
-554  ,
-555  ,
-564  ,
-574  ,
-581  ,
-596  ,
-601  ,
-604  ,
-604  ,
-609  ,
-612  ,
-611  ,
-600  ,
-591  ,
-569  ,
-556  ,
-536  ,
-524  ,
-513  ,
-501  ,
-497  ,
-482  ,
-475  ,
-453  ,
-437  ,
-421  ,
-405  ,
-394  ,
-372  ,
-341  ,
-303  ,
-243  ,
-184  ,
-114  ,
-54 ,
6 ,
58  ,
113 ,
165 ,
217 ,
264 ,
296 ,
323 ,
347 ,
373 ,
402 ,
448 ,
497 ,
567 ,
633 ,
704 ,
765 ,
813 ,
852 ,
881 ,
910 ,
924 ,
948 ,
959 ,
981 ,
995 ,
1008  ,
1020  ,
1021  ,
1023  ,
1013  ,
1000  ,
962 ,
920 ,
865 ,
807 ,
748 ,
687 ,
638 ,
591 ,
552 ,
513 ,
474 ,
417 ,
363 ,
302 ,
249 ,
193 ,
138 ,
84  ,
26  ,
-29 ,
-73 ,
-102  ,
-118  ,
-132  ,
-141  ,
-148  ,
-177  ,
-212  ,
-261  ,
-305  ,
-361  ,
-399  ,
-448  ,
-493  ,
-539  ,
-585  ,
-619  ,
-654  ,
-680  ,
-706  ,
-730  ,
-766  ,
-804  ,
-835  ,
-881  ,
-916  ,
-951  ,
-976  ,
-991  ,
-1008 ,
-999  ,
-990  ,
-970  ,
-942  ,
-916  ,
-888  ,
-868  ,
-844  ,
-819  ,
-804  ,
-788  ,
-788  ,
-772  ,
-781  ,
-776  ,
-788  ,
-784  ,
-795  ,
-799  ,
-806  ,
-817  ,
-834  ,
-854  ,
-860  ,
-861  ,
-857  ,
-854  ,
-853  ,
-850  ,
-853  ,
-838  ,
-813  ,
-778  ,
-727  ,
-681  ,
-625  ,
-580  ,
-534  ,
-476  ,
-419  ,
-352  ,
-286  ,
-234  ,
-187  ,
-153  ,
-126  ,
-92 ,
-71 ,
-34 ,
-10 ,
10  ,
21  ,
9 ,
-4  ,
-26 ,
-49 ,
-72 ,
-104  ,
-147  ,
-182  ,
-225  ,
-247  ,
-275  ,
-289  ,
-293  ,
-295  ,
-289  ,
-286  ,
-289  ,
-285  ,
-293  ,
-289  ,
-286  ,
-278  ,
-256  ,
-226  ,
-184  ,
-143  ,
-98 ,
-68 ,
-43 ,
-39 ,
-36 ,
-47 ,
-61 ,
-88 ,
-123  ,
-177  ,
-233  ,
-279  ,
-326  ,
-351  ,
-376  ,
-381  ,
-393  ,
-401  ,
-422  ,
-437  ,
-451  ,
-460  ,
-456  ,
-449  ,
-436  ,
-425  ,
-405  ,
-390  ,
-362  ,
-333  ,
-293  ,
-261  ,
-238  ,
-226  ,
-230  ,
-233  ,
-252  ,
-254  ,
-267  ,
-288  ,
-308  ,
-348  ,
-376  ,
-421  ,
-445  ,
-483  ,
-510  ,
-539  ,
-568  ,
-588  ,
-619  ,
-639  ,
-663  ,
-673  ,
-686  ,
-685  ,
-691  ,
-683  ,
-673  ,
-662  ,
-646  ,
-641  ,
-625  ,
-611  ,
-587  ,
-556  ,
-519  ,
-482  ,
-454  ,
-431  ,
-415  ,
-406  ,
-393  ,
-379  ,
-355  ,
-337  ,
-326  ,
-321  ,
-319  ,
-314  ,
-307  ,
-289  ,
-280  ,
-258  ,
-257  ,
-246  ,
-246  ,
-236  ,
-219  ,
-183  ,
-133  ,
-78 ,
-28 ,
11  ,
50  ,
83  ,
124 ,
157 ,
195 ,
220 ,
226 ,
234 ,
225 ,
235 ,
242 ,
266 ,
297 ,
323 ,
343 ,
346 ,
348 ,
339 ,
329 ,
318 ,
307 ,
298 ,
288 ,
285 ,
291 ,
296 ,
302 ,
315 ,
322 ,
330 ,
330 ,
327 ,
311 ,
299 ,
279 ,
265 ,
241 ,
233 ,
220 ,
228 ,
226 ,
232 ,
229 ,
230 ,
224 ,
220 ,
213 ,
210 ,
202 ,
200 ,
199 ,
193 ,
190 ,
179 ,
187 ,
181 ,
186 ,
165 ,
141 ,
95  ,
51  ,
4 ,
-32 ,
-69 ,
-85 ,
-107  ,
-119  ,
-139  ,
-155  ,
-166  ,
-174  ,
-175  ,
-170  ,
-176  ,
-174  ,
-181  ,
-178  ,
-181  ,
-179  ,
-171  ,
-154  ,
-126  ,
-98 ,
-68 ,
-47 ,
-31 ,
-12 ,
1 ,
14  ,
25  ,
41  ,
57  ,
72  ,
81  ,
90  ,
86  ,
87  ,
85  ,
91  ,
84  ,
78  ,
75  ,
60  ,
55  ,
42  ,
45  ,
49  ,
49  ,
51  ,
51  ,
42  ,
44  ,
46  ,
70  ,
94  ,
133 ,
169 ,
213 ,
244 ,
287 ,
326 ,
370 ,
413 ,
449 ,
480 ,
500 ,
507 ,
509 ,
506 ,
505 ,
505 ,
511 ,
501 ,
498 ,
475 ,
462 ,
433 ,
415 ,
391 ,
376 ,
359 ,
356 ,
353 ,
369 ,
378 ,
397 ,
418 ,
433 ,
456 ,
469 ,
490 ,
508 ,
521 ,
535 ,
539 ,
553 ,
564 ,
578 ,
597 ,
611 ,
619 ,
615 ,
605 ,
583 ,
563 ,
535 ,
509 ,
479 ,
438 ,
404 ,
359 ,
332 ,
304 ,
296 ,
286 ,
282 ,
276 ,
265 ,
257 ,
240 ,
238 ,
244 ,
260 ,
277 ,
299 ,
319 ,
335 ,
360 ,
391 ,
429 ,
470 ,
507 ,
536 ,
550 ,
555 ,
559 ,
563 ,
561 ,
553 ,
541 ,
517 ,
493 ,
465 ,
448 ,
437 ,
427 ,
428 ,
422 ,
423 ,
425 ,
432 ,
456 ,
483 ,
512 ,
548 ,
574 ,
607 ,
635 ,
670 ,
699 ,
726 ,
753 ,
765 ,
783 ,
789 ,
796 ,
800 ,
792 ,
773 ,
733 ,
685 ,
627 ,
588 ,
546 ,
526 ,
489 ,
464 ,
426 ,
390 ,
357 ,
330 ,
306 ,
292 ,
272 ,
253 ,
230 ,
214 ,
219 ,
231 ,
264 ,
294 ,
335 ,
355 ,
382 ,
397 ,
410 ,
423 ,
420 ,
432 ,
423 ,
420 ,
410 ,
411 ,
410 ,
418 ,
414 ,
406 ,
385 ,
352 ,
309 ,
267 ,
212 ,
166 ,
112 ,
67  ,
25  ,
-12 ,
-40 ,
-64 ,
-80 ,
-94 ,
-104  ,
-123  ,
-140  ,
-165  ,
-189  ,
-214  ,
-241  ,
-273  ,
-307  ,
-349  ,
-383  ,
-413  ,
-436  ,
-452  ,
-468  ,
-487  ,
-505  ,
-533  ,
-552  ,
-574  ,
-595  ,
-605  ,
-609  ,
-614  ,
-613  ,
-619  ,
-613  ,
-612  ,
-602  ,
-595  ,
-572  ,
-558  ,
-542  ,
-527  ,
-513  ,
-490  ,
-468  ,
-427  ,
-387  ,
-342  ,
-307  ,
-265  ,
-237  ,
-191  ,
-161  ,
-112  ,
-73 ,
-32 ,
10  ,
49  ,
90  ,
128 ,
173 ,
219 ,
259 ,
300 ,
334 ,
358 ,
387 ,
403 ,
429 ,
438 ,
451 ,
454 ,
453 ,
445 ,
438 ,
424 ,
414 ,
393 ,
381 ,
370 ,
359 ,
363 ,
364 ,
375 ,
378 ,
368 ,
363 ,
342 ,
333 ,
314 ,
295 ,
277 ,
260 ,
245 ,
236 ,
226 ,
227 ,
227 ,
234 ,
231 ,
227 ,
218 ,
202 ,
195 ,
184 ,
175 ,
163 ,
139 ,
119 ,
92  ,
73  ,
55  ,
35  ,
18  ,
-10 ,
-29 ,
-66 ,
-97 ,
-138  ,
-167  ,
-195  ,
-216  ,
-241  ,
-258  ,
-272  ,
-284  ,
-288  ,
-298  ,
-302  ,
-310  ,
-315  ,
-321  ,
-337  ,
-349  ,
-370  ,
-384  ,
-400  ,
-418  ,
-443  ,
-467  ,
-501  ,
-531  ,
-577  ,
-613  ,
-672  ,
-716  ,
-776  ,
-822  ,
-865  ,
-909  ,
-937  ,
-965  ,
-970  ,
-978  ,
-981  ,
-984  ,
-984  ,
-980  ,
-976  ,
-963  ,
-957  ,
-945  ,
-935  ,
-922  ,
-896  ,
-881  ,
-851  ,
-832  ,
-813  ,
-800  ,
-799  ,
-791  ,
-797  ,
-793  ,
-805  ,
-812  ,
-838  ,
-865  ,
-899  ,
-929  ,
-954  ,
-977  ,
-996  ,
-1022 ,
-1045 ,
-1065 ,
-1080 ,
-1083 ,
-1070 ,
-1050 ,
-1022 ,
-1001 ,
-979  ,
-956  ,
-928  ,
-887  ,
-840  ,
-790  ,
-735  ,
-686  ,
-634  ,
-581  ,
-527  ,
-474  ,
-422  ,
-383  ,
-347  ,
-331  ,
-314  ,
-309  ,
-298  ,
-293  ,
-280  ,
-276  ,
-265  ,
-267  ,
-259  ,
-251  ,
-235  ,
-214  ,
-185  ,
-162  ,
-138  ,
-115  ,
-63 ,
-12 ,
46  ,
97  ,
149 ,
198 ,
241 ,
287 ,
330 ,
375 ,
407 ,
425 ,
436 ,
431 ,
425 ,
428 ,
420 ,
418 ,
399 ,
378 ,
348 ,
320 ,
288 ,
255 ,
223 ,
189 ,
162 ,
120 ,
80  ,
37  ,
6 ,
-25 ,
-40 ,
-61 ,
-72 ,
-90 ,
-98 ,
-104  ,
-108  ,
-129  ,
-147  ,
-176  ,
-200  ,
-230  ,
-253  ,
-273  ,
-294  ,
-318  ,
-341  ,
-372  ,
-401  ,
-432  ,
-460  ,
-488  ,
-521  ,
-560  ,
-600  ,
-640  ,
-673  ,
-703  ,
-727  ,
-742  ,
-763  ,
-776  ,
-792  ,
-803  ,
-809  ,
-798  ,
-788  ,
-767  ,
-756  ,
-739  ,
-728  ,
-711  ,
-693  ,
-669  ,
-645  ,
-622  ,
-605  ,
-590  ,
-576  ,
-558  ,
-533  ,
-514  ,
-486  ,
-469  ,
-443  ,
-427  ,
-413  ,
-400  ,
-379  ,
-364  ,
-343  ,
-321  ,
-297  ,
-269  ,
-250  ,
-214  ,
-178  ,
-145  ,
-110  ,
-85 ,
-49 ,
-27 ,
5 ,
32  ,
72  ,
103 ,
140 ,
173 ,
205 ,
242 ,
269 ,
307 ,
343 ,
371 ,
406 ,
420 ,
446 ,
459 ,
479 ,
495 ,
520 ,
544 ,
560 ,
570 ,
594 ,
616 ,
639 ,
657 ,
670 ,
676 ,
660 ,
651 ,
643 ,
651 ,
654 ,
665 ,
677 ,
681 ,
689 ,
689 ,
704 ,
717 ,
726 ,
743 ,
741 ,
741 ,
731 ,
732 ,
738 ,
755 ,
772 ,
787 ,
789 ,
794 ,
798 ,
801 ,
797 ,
791 ,
778 ,
756 ,
723 ,
700 ,
668 ,
639 ,
608 ,
572 ,
536 ,
487 ,
438 ,
389 ,
337 ,
277 ,
214 ,
155 ,
96  ,
42  ,
-2  ,
-42 ,
-76 ,
-106  ,
-136  ,
-162  ,
-189  ,
-210  ,
-226  ,
-240  ,
-240  ,
-244  ,
-254  ,
-263  ,
-273  ,
-269  ,
-268  ,
-267  ,
-258  ,
-258  ,
-255  ,
-261  ,
-268  ,
-275  ,
-290  ,
-302  ,
-316  ,
-333  ,
-348  ,
-363  ,
-360  ,
-377  ,
-373  ,
-381  ,
-373  ,
-364  ,
-354  ,
-328  ,
-298  ,
-262  ,
-224  ,
-182  ,
-136  ,
-87 ,
-34 ,
20  ,
66  ,
116 ,
153 ,
192 ,
242 ,
296 ,
347 ,
391 ,
414 ,
447 ,
456 ,
481 ,
494 ,
519 ,
528 ,
532 ,
523 ,
519 ,
504 ,
507 ,
518 ,
543 ,
565 ,
589 ,
616 ,
645 ,
677 ,
709 ,
747 ,
783 ,
824 ,
866 ,
919 ,
973 ,
1032  ,
1092  ,
1143  ,
1191  ,
1229  ,
1251  ,
1278  ,
1303  ,
1320  ,
1336  ,
1335  ,
1336  ,
1328  ,
1324  ,
1312  ,
1313  ,
1304  ,
1297  ,
1287  ,
1276  ,
1256  ,
1245  ,
1233  ,
1234  ,
1228  ,
1222  ,
1215  ,
1212  ,
1210  ,
1204  ,
1210  ,
1197  ,
1191  ,
1169  ,
1140  ,
1105  ,
1054  ,
1006  ,
949 ,
895 ,
835 ,
766 ,
690 ,
609 ,
531 ,
449 ,
367 ,
282 ,
202 ,
126 ,
45  ,
-27 ,
-98 ,
-158  ,
-208  ,
-251  ,
-291  ,
-331  ,
-368  ,
-396  ,
-412  ,
-423  ,
-429  ,
-426  ,
-428  ,
-419  ,
-425  ,
-417  ,
-421  ,
-416  ,
-415  ,
-410  ,
-411  ,
-418  ,
-431  ,
-438  ,
-449  ,
-460  ,
-480  ,
-500  ,
-516  ,
-529  ,
-539  ,
-548  ,
-562  ,
-576  ,
-596  ,
-620  ,
-641  ,
-656  ,
-669  ,
-668  ,
-667  ,
-659  ,
-660  ,
-659  ,
-655  ,
-640  ,
-624  ,
-606  ,
-583  ,
-560  ,
-543  ,
-522  ,
-513  ,
-483  ,
-460  ,
-428  ,
-398  ,
-376  ,
-358  ,
-347  ,
-333  ,
-317  ,
-300  ,
-274  ,
-259  ,
-231  ,
-211  ,
-177  ,
-147  ,
-106  ,
-53 ,
-9  ,
43  ,
87  ,
126 ,
170 ,
208 ,
258 ,
306 ,
364 ,
420 ,
478 ,
535 ,
587 ,
644 ,
698 ,
748 ,
798 ,
847 ,
888 ,
918 ,
941 ,
965 ,
990 ,
1007  ,
1026  ,
1041  ,
1046  ,
1051  ,
1049  ,
1050  ,
1045  ,
1036  ,
1015  ,
998 ,
965 ,
926 ,
882 ,
838 ,
794 ,
750 ,
697 ,
645 ,
577 ,
523 ,
465 ,
420 ,
370 ,
316 ,
252 ,
199 ,
139 ,
87  ,
39  ,
-8  ,
-44 ,
-90 ,
-139  ,
-192  ,
-235  ,
-277  ,
-303  ,
-336  ,
-366  ,
-409  ,
-453  ,
-494  ,
-528  ,
-563  ,
-591  ,
-618  ,
-651  ,
-682  ,
-726  ,
-753  ,
-792  ,
-811  ,
-848  ,
-874  ,
-910  ,
-950  ,
-979  ,
-1001 ,
-1011 ,
-1022 ,
-1030 ,
-1044 ,
-1046 ,
-1048 ,
-1039 ,
-1026 ,
-1008 ,
-994  ,
-979  ,
-978  ,
-972  ,
-965  ,
-961  ,
-942  ,
-926  ,
-913  ,
-902  ,
-887  ,
-865  ,
-834  ,
-813  ,
-791  ,
-778  ,
-770  ,
-774  ,
-772  ,
-776  ,
-768  ,
-765  ,
-744  ,
-722  ,
-697  ,
-667  ,
-640  ,
-596  ,
-553  ,
-502  ,
-456  ,
-404  ,
-366  ,
-315  ,
-280  ,
-229  ,
-187  ,
-135  ,
-85 ,
-47 ,
-15 ,
11  ,
24  ,
41  ,
49  ,
50  ,
39  ,
16  ,
-8  ,
-30 ,
-54 ,
-77 ,
-87 ,
-113  ,
-126  ,
-157  ,
-177  ,
-209  ,
-236  ,
-252  ,
-258  ,
-262  ,
-276  ,
-276  ,
-276  ,
-258  ,
-232  ,
-204  ,
-168  ,
-157  ,
-136  ,
-132  ,
-120  ,
-116  ,
-107  ,
-101  ,
-109  ,
-125  ,
-160  ,
-183  ,
-212  ,
-221  ,
-233  ,
-242  ,
-264  ,
-292  ,
-315  ,
-348  ,
-368  ,
-393  ,
-406  ,
-418  ,
-442  ,
-450  ,
-476  ,
-478  ,
-481  ,
-458  ,
-445  ,
-428  ,
-422  ,
-416  ,
-408  ,
-393  ,
-380  ,
-360  ,
-353  ,
-352  ,
-361  ,
-381  ,
-405  ,
-425  ,
-438  ,
-450  ,
-468  ,
-493  ,
-521  ,
-559  ,
-583  ,
-605  ,
-620  ,
-638  ,
-657  ,
-673  ,
-701  ,
-720  ,
-739  ,
-745  ,
-744  ,
-744  ,
-734  ,
-735  ,
-725  ,
-713  ,
-686  ,
-659  ,
-636  ,
-609  ,
-590  ,
-572  ,
-552  ,
-536  ,
-504  ,
-489  ,
-452  ,
-444  ,
-423  ,
-423  ,
-413  ,
-401  ,
-391  ,
-381  ,
-377  ,
-371  ,
-370  ,
-362  ,
-340  ,
-313  ,
-276  ,
-240  ,
-207  ,
-178  ,
-155  ,
-124  ,
-93 ,
-52 ,
-11 ,
29  ,
58  ,
87  ,
108 ,
149 ,
175 ,
229 ,
266 ,
309 ,
330 ,
345 ,
348 ,
359 ,
364 ,
375 ,
390 ,
393 ,
396 ,
389 ,
392 ,
387 ,
401 ,
409 ,
423 ,
426 ,
431 ,
429 ,
430 ,
433 ,
433 ,
436 ,
419 ,
416 ,
396 ,
386 ,
373 ,
367 ,
362 ,
354 ,
336 ,
325 ,
310 ,
305 ,
296 ,
292 ,
282 ,
264 ,
242 ,
225 ,
209 ,
191 ,
178 ,
153 ,
138 ,
99  ,
86  ,
50  ,
41  ,
24  ,
18  ,
2 ,
-15 ,
-40 ,
-55 ,
-80 ,
-94 ,
-108  ,
-117  ,
-124  ,
-131  ,
-127  ,
-130  ,
-125  ,
-120  ,
-111  ,
-99 ,
-91 ,
-83 ,
-75 ,
-72 ,
-66 ,
-59 ,
-46 ,
-38 ,
-16 ,
-6  ,
11  ,
17  ,
26  ,
30  ,
41  ,
49  ,
56  ,
58  ,
49  ,
48  ,
53  ,
60  ,
68  ,
78  ,
83  ,
81  ,
75  ,
57  ,
47  ,
29  ,
19  ,
18  ,
16  ,
22  ,
30  ,
48  ,
72  ,
98  ,
130 ,
157 ,
192 ,
223 ,
255 ,
290 ,
314 ,
345 ,
366 ,
393 ,
409 ,
437 ,
459 ,
484 ,
503 ,
515 ,
517 ,
514 ,
501 ,
504 ,
497 ,
495 ,
491 ,
483 ,
474 ,
465 ,
459 ,
464 ,
470 ,
488 ,
499 ,
519 ,
518 ,
537 ,
543 ,
571 ,
591 ,
625 ,
650 ,
663 ,
680 ,
683 ,
691 ,
692 ,
698 ,
700 ,
699 ,
684 ,
668 ,
648 ,
617 ,
599 ,
566 ,
553 ,
515 ,
497 ,
467 ,
450 ,
423 ,
398 ,
372 ,
342 ,
321 ,
296 ,
283 ,
270 ,
265 ,
270 ,
272 ,
284 ,
294 ,
314 ,
334 ,
364 ,
388 ,
412 ,
429 ,
449 ,
469 ,
482 ,
496 ,
500 ,
512 ,
504 ,
501 ,
489 ,
484 ,
473 ,
481 ,
483 ,
496 ,
495 ,
494 ,
493 ,
498 ,
500 ,
509 ,
516 ,
525 ,
534 ,
545 ,
554 ,
568 ,
581 ,
594 ,
606 ,
613 ,
614 ,
602 ,
586 ,
561 ,
536 ,
516 ,
493 ,
477 ,
454 ,
428 ,
405 ,
381 ,
359 ,
337 ,
311 ,
284 ,
246 ,
212 ,
181 ,
164 ,
148 ,
152 ,
150 ,
160 ,
161 ,
167 ,
175 ,
192 ,
203 ,
224 ,
236 ,
251 ,
257 ,
274 ,
284 ,
310 ,
325 ,
345 ,
351 ,
359 ,
350 ,
354 ,
335 ,
324 ,
298 ,
266 ,
231 ,
192 ,
156 ,
115 ,
77  ,
41  ,
10  ,
-21 ,
-61 ,
-89 ,
-125  ,
-153  ,
-185  ,
-206  ,
-234  ,
-251  ,
-281  ,
-296  ,
-318  ,
-327  ,
-343  ,
-346  ,
-359  ,
-377  ,
-397  ,
-422  ,
-440  ,
-455  ,
-478  ,
-497  ,
-522  ,
-538  ,
-557  ,
-564  ,
-576  ,
-581  ,
-585  ,
-591  ,
-585  ,
-590  ,
-585  ,
-575  ,
-562  ,
-538  ,
-520  ,
-496  ,
-479  ,
-452  ,
-426  ,
-400  ,
-365  ,
-340  ,
-299  ,
-268  ,
-233  ,
-201  ,
-164  ,
-120  ,
-73 ,
-24 ,
20  ,
64  ,
95  ,
138 ,
174 ,
212 ,
250 ,
281 ,
318 ,
337 ,
358 ,
367 ,
373 ,
382 ,
387 ,
395 ,
392 ,
385 ,
375 ,
362 ,
356 ,
346 ,
344 ,
336 ,
333 ,
331 ,
325 ,
326 ,
318 ,
319 ,
316 ,
298 ,
293 ,
274 ,
271 ,
256 ,
252 ,
248 ,
234 ,
230 ,
209 ,
202 ,
182 ,
168 ,
156 ,
144 ,
128 ,
113 ,
95  ,
90  ,
82  ,
74  ,
58  ,
44  ,
20  ,
6 ,
-19 ,
-35 ,
-58 ,
-83 ,
-113  ,
-142  ,
-172  ,
-199  ,
-234  ,
-257  ,
-288  ,
-314  ,
-344  ,
-367  ,
-380  ,
-393  ,
-400  ,
-405  ,
-412  ,
-419  ,
-428  ,
-439  ,
-444  ,
-461  ,
-469  ,
-481  ,
-496  ,
-522  ,
-548  ,
-573  ,
-591  ,
-616  ,
-642  ,
-668  ,
-693  ,
-719  ,
-737  ,
-746  ,
-763  ,
-766  ,
-781  ,
-778  ,
-779  ,
-766  ,
-760  ,
-743  ,
-732  ,
-720  ,
-712  ,
-706  ,
-704  ,
-691  ,
-691  ,
-678  ,
-684  ,
-679  ,
-691  ,
-693  ,
-702  ,
-705  ,
-712  ,
-717  ,
-729  ,
-739  ,
-767  ,
-784  ,
-810  ,
-822  ,
-843  ,
-857  ,
-878  ,
-896  ,
-910  ,
-920  ,
-923  ,
-925  ,
-923  ,
-917  ,
-919  ,
-915  ,
-912  ,
-897  ,
-872  ,
-835  ,
-793  ,
-749  ,
-705  ,
-657  ,
-602  ,
-550  ,
-491  ,
-445  ,
-394  ,
-358  ,
-325  ,
-294  ,
-268  ,
-234  ,
-203  ,
-172  ,
-147  ,
-134  ,
-120  ,
-107  ,
-90 ,
-77 ,
-62 ,
-54 ,
-45 ,
-31 ,
-14 ,
18  ,
53  ,
96  ,
142 ,
182 ,
223 ,
255 ,
293 ,
319 ,
358 ,
373 ,
397 ,
398 ,
400 ,
404 ,
400 ,
400 ,
402 ,
396 ,
383 ,
368 ,
337 ,
315 ,
281 ,
251 ,
224 ,
191 ,
158 ,
119 ,
88  ,
54  ,
27  ,
1 ,
-18 ,
-45 ,
-65 ,
-99 ,
-124  ,
-154  ,
-175  ,
-192  ,
-207  ,
-224  ,
-247  ,
-260  ,
-278  ,
-288  ,
-297  ,
-309  ,
-322  ,
-338  ,
-360  ,
-378  ,
-400  ,
-406  ,
-419  ,
-430  ,
-452  ,
-468  ,
-500  ,
-515  ,
-543  ,
-551  ,
-582  ,
-598  ,
-627  ,
-638  ,
-655  ,
-655  ,
-651  ,
-629  ,
-621  ,
-602  ,
-596  ,
-576  ,
-563  ,
-533  ,
-503  ,
-475  ,
-457  ,
-444  ,
-433  ,
-411  ,
-397  ,
-372  ,
-351  ,
-334  ,
-319  ,
-318  ,
-312  ,
-306  ,
-288  ,
-261  ,
-241  ,
-217  ,
-207  ,
-191  ,
-177  ,
-155  ,
-125  ,
-97 ,
-66 ,
-43 ,
-21 ,
-4  ,
15  ,
50  ,
81  ,
118 ,
142 ,
163 ,
183 ,
207 ,
239 ,
271 ,
306 ,
325 ,
353 ,
367 ,
388 ,
397 ,
421 ,
430 ,
466 ,
474 ,
494 ,
499 ,
508 ,
531 ,
540 ,
558 ,
564 ,
564 ,
560 ,
554 ,
550 ,
556 ,
552 ,
560 ,
570 ,
576 ,
588 ,
596 ,
623 ,
653 ,
672 ,
697 ,
706 ,
721 ,
718 ,
734 ,
734 ,
741 ,
738 ,
729 ,
725 ,
708 ,
684 ,
677 ,
655 ,
653 ,
628 ,
609 ,
570 ,
534 ,
492 ,
454 ,
422 ,
387 ,
359 ,
323 ,
282 ,
249 ,
211 ,
183 ,
158 ,
130 ,
96  ,
53  ,
10  ,
-24 ,
-57 ,
-85 ,
-106  ,
-125  ,
-146  ,
-170  ,
-186  ,
-199  ,
-208  ,
-214  ,
-217  ,
-222  ,
-237  ,
-251  ,
-259  ,
-257  ,
-255  ,
-254  ,
-252  ,
-256  ,
-268  ,
-277  ,
-289  ,
-296  ,
-306  ,
-322  ,
-340  ,
-370  ,
-390  ,
-400  ,
-399  ,
-376  ,
-355  ,
-330  ,
-304  ,
-278  ,
-245  ,
-211  ,
-177  ,
-142  ,
-106  ,
-87 ,
-64 ,
-46 ,
-15 ,
19  ,
56  ,
105 ,
142 ,
179 ,
207 ,
244 ,
280 ,
313 ,
343 ,
374 ,
394 ,
410 ,
418 ,
433 ,
452 ,
469 ,
490 ,
509 ,
519 ,
526 ,
537 ,
543 ,
567 ,
575 ,
599 ,
614 ,
643 ,
660 ,
695 ,
719 ,
761 ,
803 ,
840 ,
883 ,
919 ,
961 ,
995 ,
1036  ,
1067  ,
1108  ,
1137  ,
1174  ,
1209  ,
1244  ,
1269  ,
1293  ,
1316  ,
1320  ,
1325  ,
1306  ,
1293  ,
1264  ,
1243  ,
1216  ,
1200  ,
1177  ,
1160  ,
1143  ,
1139  ,
1131  ,
1133  ,
1125  ,
1119  ,
1088  ,
1065  ,
1021  ,
986 ,
947 ,
904 ,
863 ,
807 ,
749 ,
687 ,
625 ,
566 ,
513 ,
459 ,
402 ,
344 ,
280 ,
221 ,
153 ,
101 ,
46  ,
-8  ,
-53 ,
-106  ,
-146  ,
-187  ,
-227  ,
-254  ,
-283  ,
-308  ,
-325  ,
-347  ,
-357  ,
-378  ,
-380  ,
-388  ,
-395  ,
-404  ,
-418  ,
-430  ,
-441  ,
-459  ,
-465  ,
-479  ,
-489  ,
-500  ,
-514  ,
-523  ,
-534  ,
-545  ,
-550  ,
-562  ,
-572  ,
-586  ,
-605  ,
-617  ,
-635  ,
-651  ,
-667  ,
-689  ,
-699  ,
-713  ,
-717  ,
-717  ,
-702  ,
-688  ,
-668  ,
-647  ,
-627  ,
-602  ,
-577  ,
-551  ,
-518  ,
-496  ,
-475  ,
-464  ,
-445  ,
-434  ,
-410  ,
-400  ,
-370  ,
-355  ,
-331  ,
-305  ,
-283  ,
-254  ,
-225  ,
-197  ,
-164  ,
-138  ,
-102  ,
-69 ,
-26 ,
13  ,
58  ,
101 ,
140 ,
184 ,
224 ,
273 ,
319 ,
371 ,
420 ,
472 ,
522 ,
577 ,
624 ,
673 ,
721 ,
760 ,
797 ,
817 ,
851 ,
869 ,
903 ,
914 ,
940 ,
939 ,
953 ,
952 ,
966 ,
971 ,
974 ,
970 ,
963 ,
944 ,
922 ,
888 ,
856 ,
816 ,
778 ,
728 ,
684 ,
633 ,
594 ,
552 ,
517 ,
481 ,
445 ,
411 ,
375 ,
334 ,
293 ,
239 ,
194 ,
136 ,
90  ,
36  ,
-13 ,
-59 ,
-106  ,
-149  ,
-188  ,
-234  ,
-267  ,
-317  ,
-355  ,
-402  ,
-449  ,
-492  ,
-537  ,
-574  ,
-619  ,
-649  ,
-695  ,
-718  ,
-757  ,
-779  ,
-817  ,
-843  ,
-886  ,
-907  ,
-942  ,
-958  ,
-980  ,
-986  ,
-1001 ,
-1009 ,
-1018 ,
-1025 ,
-1025 ,
-1028 ,
-1026 ,
-1022 ,
-1017 ,
-1017 ,
-1004 ,
-1000 ,
-983  ,
-966  ,
-944  ,
-913  ,
-887  ,
-858  ,
-829  ,
-799  ,
-767  ,
-741  ,
-719  ,
-694  ,
-677  ,
-657  ,
-643  ,
-620  ,
-600  ,
-568  ,
-535  ,
-496  ,
-461  ,
-428  ,
-396  ,
-363  ,
-327  ,
-298  ,
-265  ,
-246  ,
-226  ,
-213  ,
-203  ,
-186  ,
-170  ,
-146  ,
-127  ,
-108  ,
-93 ,
-81 ,
-71 ,
-69 ,
-69 ,
-74 ,
-80 ,
-92 ,
-99 ,
-115  ,
-131  ,
-150  ,
-167  ,
-184  ,
-196  ,
-216  ,
-228  ,
-246  ,
-257  ,
-261  ,
-267  ,
-267  ,
-260  ,
-255  ,
-244  ,
-238  ,
-230  ,
-220  ,
-211  ,
-193  ,
-177  ,
-154  ,
-143  ,
-131  ,
-131  ,
-121  ,
-130  ,
-124  ,
-129  ,
-125  ,
-131  ,
-137  ,
-147  ,
-156  ,
-167  ,
-179  ,
-198  ,
-213  ,
-240  ,
-262  ,
-284  ,
-305  ,
-311  ,
-324  ,
-327  ,
-337  ,
-338  ,
-340  ,
-334  ,
-335  ,
-320  ,
-326  ,
-323  ,
-343  ,
-350  ,
-371  ,
-380  ,
-391  ,
-393  ,
-407  ,
-421  ,
-440  ,
-460  ,
-466  ,
-485  ,
-495  ,
-512  ,
-536  ,
-561  ,
-590  ,
-615  ,
-636  ,
-652  ,
-675  ,
-680  ,
-706  ,
-707  ,
-728  ,
-721  ,
-715  ,
-699  ,
-687  ,
-673  ,
-659  ,
-648  ,
-630  ,
-612  ,
-586  ,
-567  ,
-541  ,
-526  ,
-502  ,
-489  ,
-464  ,
-443  ,
-413  ,
-397  ,
-371  ,
-360  ,
-343  ,
-327  ,
-309  ,
-290  ,
-270  ,
-253  ,
-234  ,
-220  ,
-204  ,
-186  ,
-165  ,
-141  ,
-116  ,
-90 ,
-69 ,
-46 ,
-22 ,
15  ,
48  ,
85  ,
119 ,
148 ,
170 ,
192 ,
218 ,
241 ,
267 ,
293 ,
311 ,
337 ,
342 ,
362 ,
375 ,
394 ,
411 ,
426 ,
438 ,
438 ,
440 ,
434 ,
432 ,
436 ,
431 ,
440 ,
435 ,
439 ,
426 ,
421 ,
408 ,
402 ,
398 ,
393 ,
384 ,
379 ,
373 ,
369 ,
367 ,
362 ,
355 ,
334 ,
322 ,
295 ,
285 ,
258 ,
245 ,
223 ,
202 ,
177 ,
153 ,
131 ,
112 ,
94  ,
74  ,
56  ,
27  ,
-2  ,
-25 ,
-48 ,
-58 ,
-70 ,
-72 ,
-83 ,
-82 ,
-96 ,
-91 ,
-93 ,
-82 ,
-75 ,
-63 ,
-55 ,
-49 ,
-49 ,
-44 ,
-43 ,
-32 ,
-34 ,
-32 ,
-30 ,
-27 ,
-28 ,
-24 ,
-19 ,
-8  ,
-3  ,
2 ,
5 ,
5 ,
-1  ,
0 ,
-6  ,
-7  ,
-18 ,
-30 ,
-27 ,
-37 ,
-29 ,
-34 ,
-26 ,
-27 ,
-22 ,
-22 ,
-9  ,
0 ,
18  ,
30  ,
47  ,
55  ,
66  ,
75  ,
89  ,
101 ,
114 ,
120 ,
124 ,
128 ,
138 ,
146 ,
171 ,
193 ,
220 ,
239 ,
260 ,
273 ,
283 ,
295 ,
314 ,
334 ,
353 ,
361 ,
373 ,
375 ,
385 ,
393 ,
414 ,
434 ,
447 ,
469 ,
480 ,
497 ,
506 ,
520 ,
531 ,
544 ,
550 ,
557 ,
566 ,
567 ,
586 ,
593 ,
611 ,
624 ,
635 ,
652 ,
658 ,
676 ,
688 ,
693 ,
705 ,
697 ,
695 ,
676 ,
657 ,
639 ,
613 ,
592 ,
552 ,
528 ,
486 ,
459 ,
424 ,
403 ,
380 ,
362 ,
339 ,
323 ,
298 ,
291 ,
282 ,
288 ,
292 ,
301 ,
309 ,
319 ,
328 ,
347 ,
369 ,
403 ,
432 ,
461 ,
477 ,
497 ,
510 ,
535 ,
554 ,
578 ,
596 ,
603 ,
606 ,
607 ,
607 ,
619 ,
626 ,
641 ,
646 ,
644 ,
634 ,
626 ,
623 ,
621 ,
632 ,
628 ,
629 ,
606 ,
591 ,
567 ,
554 ,
540 ,
533 ,
518 ,
500 ,
476 ,
457 ,
441 ,
437 ,
427 ,
423 ,
398 ,
380 ,
350 ,
330 ,
310 ,
294 ,
276 ,
247 ,
221 ,
184 ,
156 ,
133 ,
122 ,
118 ,
121 ,
110 ,
116 ,
110 ,
127 ,
138 ,
162 ,
176 ,
194 ,
190 ,
203 ,
201 ,
218 ,
228 ,
245 ,
252 ,
254 ,
249 ,
244 ,
247 ,
262 ,
269 ,
279 ,
263 ,
242 ,
213 ,
182 ,
156 ,
140 ,
118 ,
98  ,
69  ,
38  ,
10  ,
-14 ,
-27 ,
-30 ,
-36 ,
-50 ,
-76 ,
-106  ,
-139  ,
-167  ,
-190  ,
-218  ,
-249  ,
-282  ,
-323  ,
-347  ,
-376  ,
-387  ,
-404  ,
-404  ,
-425  ,
-431  ,
-455  ,
-466  ,
-469  ,
-475  ,
-464  ,
-473  ,
-471  ,
-485  ,
-490  ,
-500  ,
-493  ,
-493  ,
-479  ,
-478  ,
-463  ,
-458  ,
-436  ,
-416  ,
-374  ,
-336  ,
-289  ,
-253  ,
-209  ,
-171  ,
-129  ,
-88 ,
-43 ,
-3  ,
36  ,
65  ,
99  ,
124 ,
157 ,
188 ,
235 ,
266 ,
302 ,
325 ,
338 ,
357 ,
357 ,
373 ,
373 ,
372 ,
365 ,
351 ,
340 ,
327 ,
324 ,
325 ,
331 ,
331 ,
334 ,
328 ,
326 ,
316 ,
317 ,
304 ,
297 ,
276 ,
251 ,
220 ,
197 ,
166 ,
154 ,
128 ,
118 ,
98  ,
88  ,
70  ,
66  ,
55  ,
44  ,
31  ,
17  ,
-2  ,
-18 ,
-43 ,
-50 ,
-72 ,
-84 ,
-117  ,
-136  ,
-166  ,
-182  ,
-196  ,
-204  ,
-208  ,
-213  ,
-221  ,
-228  ,
-238  ,
-253  ,
-257  ,
-278  ,
-285  ,
-306  ,
-330  ,
-348  ,
-369  ,
-378  ,
-387  ,
-395  ,
-404  ,
-407  ,
-416  ,
-416  ,
-412  ,
-409  ,
-408  ,
-413  ,
-419  ,
-434  ,
-448  ,
-463  ,
-468  ,
-472  ,
-478  ,
-488  ,
-503  ,
-510  ,
-516  ,
-523  ,
-513  ,
-524  ,
-522  ,
-533  ,
-538  ,
-549  ,
-557  ,
-581  ,
-593  ,
-624  ,
-650  ,
-679  ,
-699  ,
-711  ,
-717  ,
-723  ,
-727  ,
-734  ,
-742  ,
-750  ,
-744  ,
-743  ,
-744  ,
-745  ,
-761  ,
-770  ,
-796  ,
-813  ,
-835  ,
-847  ,
-864  ,
-876  ,
-887  ,
-901  ,
-904  ,
-909  ,
-898  ,
-888  ,
-874  ,
-859  ,
-840  ,
-826  ,
-804  ,
-792  ,
-766  ,
-750  ,
-719  ,
-697  ,
-666  ,
-638  ,
-605  ,
-570  ,
-526  ,
-487  ,
-440  ,
-398  ,
-359  ,
-324  ,
-295  ,
-267  ,
-246  ,
-221  ,
-208  ,
-190  ,
-180  ,
-169  ,
-159  ,
-147  ,
-133  ,
-115  ,
-95 ,
-76 ,
-55 ,
-31 ,
-8  ,
16  ,
35  ,
49  ,
64  ,
68  ,
74  ,
83  ,
93  ,
109 ,
124 ,
134 ,
151 ,
164 ,
177 ,
194 ,
206 ,
218 ,
221 ,
218 ,
216 ,
204 ,
195 ,
179 ,
161 ,
139 ,
109 ,
82  ,
49  ,
28  ,
8 ,
-2  ,
-5  ,
-18 ,
-24 ,
-47 ,
-57 ,
-68 ,
-73 ,
-81 ,
-91 ,
-118  ,
-137  ,
-171  ,
-195  ,
-218  ,
-228  ,
-240  ,
-249  ,
-256  ,
-270  ,
-280  ,
-283  ,
-296  ,
-296  ,
-319  ,
-347  ,
-376  ,
-410  ,
-437  ,
-459  ,
-485  ,
-501  ,
-523  ,
-537  ,
-554  ,
-558  ,
-557  ,
-547  ,
-538  ,
-526  ,
-524  ,
-520  ,
-521  ,
-515  ,
-498  ,
-492  ,
-476  ,
-471  ,
-457  ,
-446  ,
-432  ,
-408  ,
-381  ,
-350  ,
-320  ,
-295  ,
-272  ,
-250  ,
-231  ,
-201  ,
-171  ,
-144  ,
-123  ,
-107  ,
-99 ,
-84 ,
-75 ,
-55 ,
-34 ,
-9  ,
12  ,
32  ,
49  ,
71  ,
94  ,
127 ,
156 ,
185 ,
201 ,
210 ,
220 ,
219 ,
230 ,
230 ,
243 ,
246 ,
249 ,
252 ,
261 ,
272 ,
292 ,
312 ,
339 ,
349 ,
359 ,
354 ,
356 ,
354 ,
362 ,
361 ,
372 ,
367 ,
373 ,
372 ,
383 ,
394 ,
424 ,
440 ,
481 ,
500 ,
533 ,
554 ,
578 ,
605 ,
624 ,
640 ,
650 ,
645 ,
649 ,
646 ,
654 ,
660 ,
664 ,
662 ,
660 ,
653 ,
643 ,
637 ,
622 ,
615 ,
592 ,
576 ,
543 ,
513 ,
480 ,
456 ,
429 ,
412 ,
378 ,
353 ,
326 ,
296 ,
280 ,
255 ,
236 ,
216 ,
190 ,
156 ,
129 ,
93  ,
73  ,
46  ,
17  ,
-11 ,
-48 ,
-81 ,
-103  ,
-127  ,
-134  ,
-149  ,
-160  ,
-165  ,
-174  ,
-174  ,
-181  ,
-178  ,
-184  ,
-181  ,
-195  ,
-200  ,
-214  ,
-221  ,
-221  ,
-216  ,
-213  ,
-209  ,
-211  ,
-201  ,
-188  ,
-167  ,
-146  ,
-123  ,
-101  ,
-78 ,
-67 ,
-39 ,
-28 ,
2 ,
20  ,
44  ,
63  ,
81  ,
96  ,
129 ,
159 ,
202 ,
235 ,
263 ,
292 ,
311 ,
334 ,
354 ,
372 ,
387 ,
396 ,
393 ,
392 ,
387 ,
388 ,
396 ,
404 ,
415 ,
421 ,
418 ,
423 ,
424 ,
437 ,
454 ,
471 ,
494 ,
511 ,
525 ,
549 ,
564 ,
592 ,
622 ,
658 ,
702 ,
739 ,
785 ,
829 ,
881 ,
942 ,
1000  ,
1062  ,
1110  ,
1146  ,
1177  ,
1198  ,
1225  ,
1241  ,
1261  ,
1267  ,
1272  ,
1258  ,
1255  ,
1241  ,
1249  ,
1241  ,
1241  ,
1230  ,
1208  ,
1192  ,
1163  ,
1142  ,
1123  ,
1096  ,
1069  ,
1027  ,
987 ,
938 ,
891 ,
850 ,
811 ,
776 ,
730 ,
677 ,
627 ,
573 ,
523 ,
486 ,
439 ,
398 ,
335 ,
278 ,
211 ,
159 ,
108 ,
70  ,
34  ,
0 ,
-43 ,
-81 ,
-122  ,
-149  ,
-170  ,
-178  ,
-189  ,
-205  ,
-226  ,
-255  ,
-273  ,
-289  ,
-300  ,
-311  ,
-321  ,
-338  ,
-352  ,
-367  ,
-372  ,
-367  ,
-357  ,
-344  ,
-337  ,
-332  ,
-334  ,
-335  ,
-332  ,
-336  ,
-343  ,
-361  ,
-382  ,
-405  ,
-434  ,
-450  ,
-474  ,
-482  ,
-499  ,
-506  ,
-525  ,
-537  ,
-550  ,
-551  ,
-548  ,
-544  ,
-542  ,
-550  ,
-555  ,
-563  ,
-565  ,
-560  ,
-558  ,
-546  ,
-541  ,
-539  ,
-531  ,
-529  ,
-514  ,
-498  ,
-473  ,
-451  ,
-435  ,
-419  ,
-408  ,
-387  ,
-369  ,
-337  ,
-310  ,
-271  ,
-242  ,
-207  ,
-175  ,
-130  ,
-89 ,
-29 ,
22  ,
78  ,
129 ,
177 ,
238 ,
292 ,
355 ,
412 ,
465 ,
517 ,
560 ,
600 ,
638 ,
675 ,
706 ,
746 ,
775 ,
811 ,
841 ,
865 ,
899 ,
914 ,
933 ,
935 ,
934 ,
924 ,
906 ,
882 ,
854 ,
828 ,
790 ,
757 ,
715 ,
682 ,
644 ,
614 ,
585 ,
559 ,
520 ,
482 ,
435 ,
392 ,
353 ,
306 ,
270 ,
223 ,
179 ,
123 ,
68  ,
15  ,
-35 ,
-84 ,
-125  ,
-169  ,
-208  ,
-249  ,
-296  ,
-332  ,
-372  ,
-411  ,
-443  ,
-487  ,
-512  ,
-559  ,
-586  ,
-618  ,
-643  ,
-666  ,
-689  ,
-714  ,
-729  ,
-756  ,
-768  ,
-788  ,
-792  ,
-809  ,
-813  ,
-827  ,
-840  ,
-855  ,
-870  ,
-880  ,
-892  ,
-899  ,
-916  ,
-918  ,
-927  ,
-921  ,
-910  ,
-896  ,
-868  ,
-850  ,
-822  ,
-803  ,
-782  ,
-760  ,
-745  ,
-728  ,
-710  ,
-701  ,
-693  ,
-685  ,
-672  ,
-658  ,
-638  ,
-622  ,
-602  ,
-583  ,
-567  ,
-547  ,
-530  ,
-508  ,
-492  ,
-468  ,
-452  ,
-437  ,
-430  ,
-417  ,
-409  ,
-392  ,
-381  ,
-369  ,
-362  ,
-351  ,
-352  ,
-336  ,
-331  ,
-312  ,
-297  ,
-281  ,
-273  ,
-271  ,
-273  ,
-275  ,
-273  ,
-264  ,
-258  ,
-251  ,
-252  ,
-250  ,
-249  ,
-254  ,
-247  ,
-244  ,
-229  ,
-223  ,
-220  ,
-219  ,
-226  ,
-221  ,
-224  ,
-212  ,
-209  ,
-208  ,
-201  ,
-205  ,
-197  ,
-193  ,
-178  ,
-166  ,
-141  ,
-135  ,
-118  ,
-121  ,
-118  ,
-121  ,
-124  ,
-130  ,
-144  ,
-160  ,
-184  ,
-205  ,
-225  ,
-243  ,
-254  ,
-274  ,
-283  ,
-304  ,
-319  ,
-336  ,
-348  ,
-349  ,
-355  ,
-352  ,
-361  ,
-361  ,
-368  ,
-366  ,
-364  ,
-363  ,
-361  ,
-370  ,
-371  ,
-387  ,
-386  ,
-391  ,
-381  ,
-382  ,
-379  ,
-389  ,
-401  ,
-415  ,
-423  ,
-427  ,
-430  ,
-432  ,
-444  ,
-458  ,
-482  ,
-496  ,
-506  ,
-507  ,
-505  ,
-503  ,
-503  ,
-512  ,
-517  ,
-517  ,
-516  ,
-502  ,
-496  ,
-478  ,
-477  ,
-473  ,
-476  ,
-464  ,
-459  ,
-441  ,
-426  ,
-407  ,
-390  ,
-375  ,
-352  ,
-331  ,
-310  ,
-285  ,
-273  ,
-256  ,
-259  ,
-256  ,
-257  ,
-248  ,
-242  ,
-232  ,
-225  ,
-215  ,
-206  ,
-189  ,
-170  ,
-142  ,
-115  ,
-93 ,
-60 ,
-38 ,
-5  ,
29  ,
62  ,
107 ,
140 ,
181 ,
206 ,
234 ,
269 ,
295 ,
333 ,
357 ,
388 ,
407 ,
432 ,
448 ,
467 ,
485 ,
501 ,
526 ,
539 ,
548 ,
547 ,
543 ,
546 ,
540 ,
546 ,
538 ,
539 ,
526 ,
513 ,
499 ,
483 ,
472 ,
458 ,
450 ,
432 ,
410 ,
382 ,
352 ,
334 ,
310 ,
289 ,
263 ,
227 ,
197 ,
164 ,
138 ,
118 ,
104 ,
93  ,
84  ,
64  ,
54  ,
28  ,
24  ,
7 ,
4 ,
-12 ,
-19 ,
-35 ,
-31 ,
-43 ,
-26 ,
-34 ,
-13 ,
-16 ,
-4  ,
5 ,
11  ,
29  ,
43  ,
63  ,
75  ,
89  ,
87  ,
101 ,
106 ,
116 ,
128 ,
126 ,
130 ,
114 ,
118 ,
105 ,
111 ,
109 ,
107 ,
110 ,
103 ,
94  ,
90  ,
85  ,
88  ,
94  ,
92  ,
88  ,
85  ,
76  ,
78  ,
72  ,
76  ,
76  ,
71  ,
69  ,
58  ,
55  ,
54  ,
51  ,
58  ,
63  ,
67  ,
69  ,
70  ,
73  ,
75  ,
86  ,
93  ,
111 ,
121 ,
141 ,
153 ,
178 ,
198 ,
221 ,
242 ,
262 ,
277 ,
292 ,
308 ,
329 ,
350 ,
376 ,
394 ,
413 ,
434 ,
448 ,
478 ,
495 ,
524 ,
546 ,
565 ,
588 ,
602 ,
622 ,
639 ,
659 ,
675 ,
696 ,
698 ,
711 ,
707 ,
716 ,
717 ,
721 ,
724 ,
719 ,
708 ,
690 ,
669 ,
643 ,
623 ,
600 ,
577 ,
549 ,
514 ,
478 ,
441 ,
412 ,
384 ,
366 ,
342 ,
315 ,
289 ,
264 ,
246 ,
236 ,
229 ,
229 ,
232 ,
234 ,
238 ,
248 ,
259 ,
283 ,
308 ,
337 ,
365 ,
386 ,
414 ,
439 ,
474 ,
504 ,
537 ,
562 ,
580 ,
596 ,
611 ,
623 ,
646 ,
656 ,
676 ,
677 ,
675 ,
665 ,
655 ,
646 ,
642 ,
629 ,
615 ,
593 ,
570 ,
552 ,
536 ,
525 ,
513 ,
494 ,
480 ,
454 ,
432 ,
411 ,
387 ,
376 ,
355 ,
337 ,
314 ,
283 ,
268 ,
240 ,
235 ,
213 ,
200 ,
180 ,
156 ,
139 ,
117 ,
104 ,
85  ,
78  ,
58  ,
49  ,
25  ,
15  ,
5 ,
5 ,
8 ,
13  ,
20  ,
27  ,
30  ,
47  ,
54  ,
76  ,
90  ,
111 ,
128 ,
144 ,
159 ,
173 ,
187 ,
202 ,
210 ,
221 ,
219 ,
223 ,
212 ,
213 ,
200 ,
195 ,
176 ,
161 ,
141 ,
124 ,
101 ,
78  ,
56  ,
25  ,
1 ,
-44 ,
-67 ,
-111  ,
-129  ,
-165  ,
-182  ,
-218  ,
-244  ,
-282  ,
-306  ,
-341  ,
-357  ,
-386  ,
-400  ,
-424  ,
-446  ,
-466  ,
-485  ,
-497  ,
-508  ,
-511  ,
-526  ,
-529  ,
-548  ,
-547  ,
-551  ,
-542  ,
-532  ,
-521  ,
-507  ,
-497  ,
-482  ,
-462  ,
-442  ,
-414  ,
-379  ,
-351  ,
-311  ,
-289  ,
-250  ,
-224  ,
-180  ,
-146  ,
-101  ,
-65 ,
-30 ,
10  ,
44  ,
85  ,
119 ,
154 ,
193 ,
221 ,
251 ,
268 ,
287 ,
300 ,
313 ,
320 ,
324 ,
327 ,
323 ,
325 ,
323 ,
322 ,
322 ,
316 ,
314 ,
298 ,
289 ,
261 ,
246 ,
224 ,
205 ,
184 ,
164 ,
138 ,
120 ,
98  ,
84  ,
73  ,
58  ,
46  ,
23  ,
4 ,
-13 ,
-37 ,
-42 ,
-57 ,
-61 ,
-72 ,
-85 ,
-98 ,
-107  ,
-117  ,
-118  ,
-126  ,
-131  ,
-144  ,
-153  ,
-164  ,
-173  ,
-181  ,
-192  ,
-198  ,
-213  ,
-221  ,
-238  ,
-250  ,
-257  ,
-273  ,
-270  ,
-287  ,
-282  ,
-303  ,
-302  ,
-310  ,
-311  ,
-306  ,
-307  ,
-304  ,
-304  ,
-303  ,
-305  ,
-301  ,
-301  ,
-301  ,
-303  ,
-312  ,
-318  ,
-323  ,
-331  ,
-324  ,
-328  ,
-322  ,
-333  ,
-333  ,
-345  ,
-353  ,
-358  ,
-375  ,
-379  ,
-398  ,
-412  ,
-432  ,
-452  ,
-470  ,
-488  ,
-502  ,
-518  ,
-537  ,
-557  ,
-578  ,
-593  ,
-606  ,
-614  ,
-625  ,
-625  ,
-633  ,
-632  ,
-643  ,
-642  ,
-648  ,
-653  ,
-654  ,
-663  ,
-668  ,
-679  ,
-686  ,
-695  ,
-696  ,
-705  ,
-706  ,
-710  ,
-713  ,
-714  ,
-721  ,
-723  ,
-730  ,
-731  ,
-732  ,
-727  ,
-727  ,
-718  ,
-717  ,
-705  ,
-697  ,
-685  ,
-669  ,
-648  ,
-622  ,
-597  ,
-573  ,
-552  ,
-527  ,
-512  ,
-488  ,
-473  ,
-456  ,
-441  ,
-430  ,
-414  ,
-397  ,
-382  ,
-358  ,
-340  ,
-319  ,
-297  ,
-283  ,
-265  ,
-252  ,
-240  ,
-224  ,
-215  ,
-193  ,
-183  ,
-163  ,
-151  ,
-132  ,
-114  ,
-97 ,
-78 ,
-63 ,
-43 ,
-26 ,
-6  ,
23  ,
46  ,
78  ,
97  ,
122 ,
141 ,
157 ,
172 ,
177 ,
183 ,
184 ,
188 ,
185 ,
184 ,
175 ,
170 ,
155 ,
149 ,
130 ,
122 ,
100 ,
91  ,
73  ,
62  ,
41  ,
25  ,
10  ,
-12 ,
-26 ,
-46 ,
-57 ,
-70 ,
-82 ,
-96 ,
-105  ,
-120  ,
-129  ,
-141  ,
-153  ,
-168  ,
-185  ,
-207  ,
-225  ,
-248  ,
-266  ,
-287  ,
-307  ,
-326  ,
-343  ,
-355  ,
-365  ,
-367  ,
-374  ,
-375  ,
-387  ,
-393  ,
-399  ,
-405  ,
-400  ,
-399  ,
-386  ,
-382  ,
-373  ,
-367  ,
-360  ,
-349  ,
-339  ,
-326  ,
-313  ,
-298  ,
-276  ,
-250  ,
-222  ,
-187  ,
-162  ,
-134  ,
-115  ,
-91 ,
-74 ,
-47 ,
-30 ,
-9  ,
6 ,
18  ,
26  ,
40  ,
48  ,
64  ,
67  ,
82  ,
79  ,
88  ,
82  ,
83  ,
79  ,
77  ,
70  ,
63  ,
58  ,
41  ,
41  ,
29  ,
36  ,
35  ,
39  ,
42  ,
47  ,
51  ,
55  ,
66  ,
68  ,
82  ,
81  ,
92  ,
96  ,
103 ,
113 ,
120 ,
133 ,
150 ,
166 ,
195 ,
224 ,
252 ,
283 ,
302 ,
327 ,
351 ,
368 ,
395 ,
419 ,
442 ,
465 ,
480 ,
496 ,
513 ,
519 ,
532 ,
539 ,
550 ,
553 ,
560 ,
567 ,
572 ,
579 ,
578 ,
580 ,
576 ,
573 ,
560 ,
555 ,
538 ,
522 ,
506 ,
481 ,
467 ,
439 ,
421 ,
391 ,
368 ,
339 ,
319 ,
292 ,
277 ,
247 ,
222 ,
193 ,
158 ,
132 ,
95  ,
69  ,
41  ,
17  ,
-2  ,
-23 ,
-37 ,
-56 ,
-67 ,
-81 ,
-92 ,
-99 ,
-115  ,
-125  ,
-135  ,
-149  ,
-156  ,
-166  ,
-171  ,
-173  ,
-170  ,
-166  ,
-155  ,
-145  ,
-132  ,
-112  ,
-96 ,
-73 ,
-57 ,
-39 ,
-19 ,
-1  ,
16  ,
39  ,
54  ,
79  ,
93  ,
108 ,
125 ,
133 ,
149 ,
159 ,
175 ,
191 ,
204 ,
217 ,
233 ,
242 ,
256 ,
257 ,
261 ,
267 ,
264 ,
270 ,
266 ,
270 ,
266 ,
262 ,
258 ,
257 ,
257 ,
259 ,
263 ,
273 ,
281 ,
291 ,
303 ,
313 ,
323 ,
329 ,
334 ,
345 ,
363 ,
381 ,
415 ,
444 ,
482 ,
517 ,
556 ,
600 ,
643 ,
692 ,
736 ,
786 ,
829 ,
869 ,
904 ,
932 ,
967 ,
992 ,
1023  ,
1046  ,
1066  ,
1079  ,
1091  ,
1102  ,
1114  ,
1120  ,
1123  ,
1120  ,
1113  ,
1102  ,
1085  ,
1065  ,
1053  ,
1026  ,
1009  ,
974 ,
947 ,
910 ,
879 ,
847 ,
816 ,
785 ,
745 ,
713 ,
676 ,
641 ,
605 ,
570 ,
531 ,
495 ,
447 ,
410 ,
367 ,
325 ,
292 ,
243 ,
214 ,
164 ,
134 ,
92  ,
68  ,
40  ,
19  ,
-2  ,
-24 ,
-49 ,
-67 ,
-93 ,
-106  ,
-127  ,
-135  ,
-156  ,
-164  ,
-179  ,
-186  ,
-192  ,
-188  ,
-188  ,
-180  ,
-183  ,
-179  ,
-189  ,
-197  ,
-206  ,
-209  ,
-213  ,
-222  ,
-234  ,
-245  ,
-262  ,
-272  ,
-284  ,
-290  ,
-301  ,
-314  ,
-334  ,
-346  ,
-373  ,
-379  ,
-397  ,
-403  ,
-414  ,
-433  ,
-442  ,
-465  ,
-472  ,
-485  ,
-495  ,
-504  ,
-513  ,
-523  ,
-529  ,
-535  ,
-535  ,
-530  ,
-521  ,
-512  ,
-493  ,
-485  ,
-467  ,
-456  ,
-434  ,
-411  ,
-385  ,
-359  ,
-331  ,
-309  ,
-280  ,
-251  ,
-210  ,
-167  ,
-118  ,
-73 ,
-29 ,
14  ,
55  ,
103 ,
150 ,
194 ,
237 ,
274 ,
307 ,
345 ,
379 ,
416 ,
460 ,
489 ,
533 ,
554 ,
588 ,
610 ,
643 ,
668 ,
694 ,
710 ,
712 ,
711 ,
698 ,
695 ,
686 ,
682 ,
677 ,
669 ,
657 ,
632 ,
611 ,
592 ,
566 ,
558 ,
524 ,
508 ,
468 ,
434 ,
404 ,
364 ,
342 ,
302 ,
276 ,
233 ,
199 ,
162 ,
133 ,
108 ,
81  ,
51  ,
17  ,
-22 ,
-63 ,
-90 ,
-129  ,
-149  ,
-186  ,
-216  ,
-257  ,
-292  ,
-333  ,
-361  ,
-388  ,
-415  ,
-433  ,
-470  ,
-491  ,
-524  ,
-542  ,
-559  ,
-579  ,
-595  ,
-620  ,
-645  ,
-666  ,
-691  ,
-705  ,
-722  ,
-733  ,
-743  ,
-755  ,
-767  ,
-770  ,
-779  ,
-767  ,
-769  ,
-752  ,
-751  ,
-744  ,
-740  ,
-740  ,
-728  ,
-725  ,
-709  ,
-696  ,
-686  ,
-671  ,
-667  ,
-645  ,
-635  ,
-607  ,
-587  ,
-566  ,
-545  ,
-529  ,
-511  ,
-490  ,
-471  ,
-449  ,
-434  ,
-419  ,
-409  ,
-402  ,
-396  ,
-392  ,
-385  ,
-381  ,
-370  ,
-374  ,
-360  ,
-366  ,
-354  ,
-353  ,
-346  ,
-334  ,
-333  ,
-323  ,
-323  ,
-319  ,
-314  ,
-313  ,
-303  ,
-301  ,
-299  ,
-297  ,
-298  ,
-295  ,
-290  ,
-287  ,
-279  ,
-281  ,
-278  ,
-282  ,
-281  ,
-282  ,
-283  ,
-283  ,
-287  ,
-286  ,
-301  ,
-297  ,
-309  ,
-300  ,
-291  ,
-287  ,
-275  ,
-271  ,
-263  ,
-259  ,
-250  ,
-245  ,
-234  ,
-228  ,
-230  ,
-232  ,
-241  ,
-247  ,
-251  ,
-249  ,
-244  ,
-244  ,
-245  ,
-254  ,
-254  ,
-264  ,
-256  ,
-259  ,
-250  ,
-253  ,
-256  ,
-265  ,
-276  ,
-276  ,
-282  ,
-272  ,
-269  ,
-260  ,
-259  ,
-260  ,
-258  ,
-260  ,
-259  ,
-264  ,
-269  ,
-278  ,
-287  ,
-296  ,
-304  ,
-311  ,
-319  ,
-325  ,
-332  ,
-338  ,
-345  ,
-345  ,
-350  ,
-348  ,
-352  ,
-359  ,
-361  ,
-377  ,
-378  ,
-389  ,
-397  ,
-404  ,
-413  ,
-423  ,
-428  ,
-440  ,
-440  ,
-447  ,
-436  ,
-439  ,
-425  ,
-428  ,
-422  ,
-413  ,
-411  ,
-390  ,
-391  ,
-371  ,
-365  ,
-356  ,
-347  ,
-341  ,
-331  ,
-317  ,
-304  ,
-289  ,
-280  ,
-268  ,
-257  ,
-239  ,
-222  ,
-201  ,
-180  ,
-161  ,
-146  ,
-125  ,
-112  ,
-93 ,
-75 ,
-53 ,
-30 ,
-7  ,
14  ,
43  ,
65  ,
96  ,
124 ,
157 ,
184 ,
213 ,
242 ,
270 ,
299 ,
321 ,
346 ,
362 ,
377 ,
386 ,
399 ,
409 ,
426 ,
436 ,
448 ,
451 ,
448 ,
443 ,
440 ,
435 ,
436 ,
428 ,
417 ,
402 ,
378 ,
356 ,
332 ,
313 ,
290 ,
276 ,
247 ,
224 ,
193 ,
169 ,
148 ,
137 ,
123 ,
115 ,
101 ,
84  ,
70  ,
51  ,
44  ,
38  ,
33  ,
31  ,
17  ,
13  ,
0 ,
-2  ,
0 ,
0 ,
8 ,
7 ,
15  ,
21  ,
28  ,
34  ,
42  ,
46  ,
49  ,
49  ,
51  ,
50  ,
57  ,
60  ,
72  ,
75  ,
81  ,
82  ,
85  ,
86  ,
90  ,
91  ,
94  ,
88  ,
78  ,
65  ,
57  ,
45  ,
43  ,
34  ,
32  ,
19  ,
20  ,
12  ,
16  ,
20  ,
22  ,
27  ,
28  ,
28  ,
28  ,
29  ,
33  ,
41  ,
52  ,
52  ,
61  ,
50  ,
57  ,
50  ,
58  ,
66  ,
72  ,
80  ,
85  ,
86  ,
91  ,
87  ,
97  ,
100 ,
108 ,
116 ,
123 ,
134 ,
144 ,
163 ,
178 ,
206 ,
222 ,
255 ,
275 ,
310 ,
334 ,
368 ,
398 ,
427 ,
458 ,
478 ,
498 ,
518 ,
535 ,
551 ,
571 ,
577 ,
595 ,
600 ,
611 ,
621 ,
623 ,
627 ,
625 ,
624 ,
614 ,
611 ,
592 ,
589 ,
571 ,
555 ,
537 ,
514 ,
497 ,
478 ,
470 ,
455 ,
453 ,
434 ,
429 ,
404 ,
393 ,
369 ,
362 ,
350 ,
350 ,
342 ,
336 ,
328 ,
326 ,
325 ,
331 ,
336 ,
348 ,
356 ,
373 ,
383 ,
408 ,
424 ,
447 ,
472 ,
492 ,
516 ,
529 ,
549 ,
564 ,
580 ,
590 ,
600 ,
605 ,
613 ,
613 ,
623 ,
624 ,
628 ,
625 ,
621 ,
620 ,
615 ,
611 ,
603 ,
588 ,
569 ,
539 ,
510 ,
481 ,
460 ,
442 ,
428 ,
407 ,
388 ,
361 ,
341 ,
319 ,
306 ,
288 ,
275 ,
255 ,
235 ,
206 ,
182 ,
157 ,
142 ,
130 ,
124 ,
114 ,
111 ,
104 ,
106 ,
108 ,
113 ,
113 ,
115 ,
110 ,
107 ,
101 ,
109 ,
108 ,
124 ,
127 ,
141 ,
140 ,
151 ,
153 ,
166 ,
177 ,
191 ,
207 ,
215 ,
230 ,
238 ,
246 ,
257 ,
255 ,
260 ,
250 ,
245 ,
230 ,
226 ,
209 ,
205 ,
183 ,
170 ,
144 ,
122 ,
105 ,
84  ,
67  ,
50  ,
26  ,
0 ,
-32 ,
-69 ,
-100  ,
-134  ,
-161  ,
-190  ,
-214  ,
-245  ,
-270  ,
-300  ,
-319  ,
-340  ,
-351  ,
-368  ,
-379  ,
-397  ,
-418  ,
-432  ,
-452  ,
-451  ,
-462  ,
-456  ,
-463  ,
-459  ,
-459  ,
-450  ,
-431  ,
-412  ,
-380  ,
-361  ,
-332  ,
-320  ,
-299  ,
-280  ,
-248  ,
-219  ,
-189  ,
-158  ,
-135  ,
-111  ,
-87 ,
-68 ,
-39 ,
-14 ,
9 ,
37  ,
53  ,
82  ,
102 ,
134 ,
160 ,
186 ,
203 ,
214 ,
212 ,
218 ,
215 ,
216 ,
218 ,
207 ,
197 ,
178 ,
159 ,
151 ,
143 ,
142 ,
144 ,
135 ,
129 ,
112 ,
103 ,
98  ,
95  ,
91  ,
80  ,
70  ,
51  ,
42  ,
29  ,
37  ,
34  ,
43  ,
38  ,
31  ,
18  ,
7 ,
-1  ,
-3  ,
-6  ,
-14 ,
-27 ,
-50 ,
-71 ,
-96 ,
-109  ,
-121  ,
-130  ,
-133  ,
-148  ,
-154  ,
-172  ,
-181  ,
-190  ,
-194  ,
-201  ,
-211  ,
-221  ,
-237  ,
-239  ,
-250  ,
-252  ,
-254  ,
-269  ,
-273  ,
-293  ,
-299  ,
-311  ,
-312  ,
-315  ,
-313  ,
-323  ,
-322  ,
-335  ,
-334  ,
-339  ,
-344  ,
-353  ,
-357  ,
-371  ,
-374  ,
-377  ,
-378  ,
-370  ,
-368  ,
-365  ,
-361  ,
-367  ,
-363  ,
-368  ,
-360  ,
-356  ,
-354  ,
-349  ,
-356  ,
-357  ,
-365  ,
-371  ,
-371  ,
-380  ,
-377  ,
-390  ,
-392  ,
-409  ,
-418  ,
-431  ,
-443  ,
-449  ,
-462  ,
-471  ,
-489  ,
-512  ,
-525  ,
-546  ,
-556  ,
-572  ,
-580  ,
-596  ,
-609  ,
-619  ,
-626  ,
-634  ,
-635  ,
-644  ,
-652  ,
-663  ,
-678  ,
-685  ,
-691  ,
-690  ,
-691  ,
-691  ,
-697  ,
-698  ,
-705  ,
-702  ,
-700  ,
-696  ,
-695  ,
-688  ,
-686  ,
-676  ,
-662  ,
-648  ,
-629  ,
-614  ,
-602  ,
-594  ,
-586  ,
-576  ,
-560  ,
-543  ,
-525  ,
-509  ,
-497  ,
-479  ,
-459  ,
-434  ,
-397  ,
-372  ,
-331  ,
-312  ,
-285  ,
-269  ,
-247  ,
-222  ,
-192  ,
-172  ,
-150  ,
-142  ,
-129  ,
-110  ,
-94 ,
-64 ,
-46 ,
-26 ,
-16 ,
-2  ,
4 ,
23  ,
33  ,
54  ,
63  ,
65  ,
67  ,
57  ,
66  ,
66  ,
76  ,
84  ,
81  ,
84  ,
75  ,
74  ,
74  ,
70  ,
70  ,
63  ,
50  ,
38  ,
19  ,
10  ,
3 ,
3 ,
-6  ,
-14 ,
-31 ,
-45 ,
-57 ,
-69 ,
-71 ,
-78 ,
-81 ,
-87 ,
-98 ,
-104  ,
-116  ,
-124  ,
-126  ,
-139  ,
-143  ,
-160  ,
-172  ,
-185  ,
-191  ,
-202  ,
-202  ,
-210  ,
-214  ,
-227  ,
-229  ,
-243  ,
-237  ,
-243  ,
-234  ,
-234  ,
-228  ,
-229  ,
-222  ,
-219  ,
-208  ,
-194  ,
-185  ,
-166  ,
-158  ,
-142  ,
-130  ,
-115  ,
-98 ,
-81 ,
-58 ,
-46 ,
-25 ,
-19 ,
0 ,
10  ,
32  ,
45  ,
61  ,
75  ,
79  ,
88  ,
88  ,
92  ,
94  ,
90  ,
86  ,
75  ,
66  ,
51  ,
49  ,
42  ,
45  ,
37  ,
42  ,
32  ,
34  ,
22  ,
26  ,
22  ,
28  ,
31  ,
36  ,
38  ,
44  ,
51  ,
65  ,
76  ,
85  ,
91  ,
92  ,
98  ,
95  ,
108 ,
110 ,
128 ,
135 ,
146 ,
153 ,
166 ,
181 ,
200 ,
221 ,
234 ,
255 ,
262 ,
278 ,
289 ,
312 ,
330 ,
355 ,
373 ,
391 ,
396 ,
410 ,
414 ,
433 ,
446 ,
452 ,
456 ,
452 ,
445 ,
441 ,
433 ,
434 ,
428 ,
429 ,
419 ,
414 ,
399 ,
394 ,
384 ,
385 ,
374 ,
373 ,
352 ,
349 ,
328 ,
321 ,
308 ,
294 ,
289 ,
264 ,
259 ,
236 ,
223 ,
211 ,
195 ,
188 ,
171 ,
155 ,
130 ,
116 ,
95  ,
81  ,
65  ,
52  ,
34  ,
23  ,
5 ,
-6  ,
-16 ,
-23 ,
-19 ,
-19 ,
-13 ,
-11 ,
-6  ,
3 ,
14  ,
29  ,
38  ,
54  ,
57  ,
74  ,
77  ,
99  ,
106 ,
131 ,
139 ,
156 ,
161 ,
169 ,
178 ,
189 ,
202 ,
215 ,
216 ,
221 ,
211 ,
209 ,
201 ,
199 ,
197 ,
194 ,
186 ,
183 ,
164 ,
166 ,
156 ,
161 ,
167 ,
166 ,
168 ,
161 ,
162 ,
168 ,
178 ,
195 ,
209 ,
224 ,
236 ,
252 ,
273 ,
296 ,
327 ,
351 ,
381 ,
399 ,
423 ,
445 ,
478 ,
513 ,
548 ,
580 ,
607 ,
635 ,
654 ,
687 ,
713 ,
746 ,
774 ,
799 ,
822 ,
838 ,
856 ,
873 ,
897 ,
917 ,
932 ,
939 ,
939 ,
935 ,
932 ,
930 ,
927 ,
922 ,
906 ,
887 ,
857 ,
837 ,
809 ,
791 ,
776 ,
753 ,
730 ,
698 ,
667 ,
644 ,
622 ,
605 ,
585 ,
557 ,
526 ,
486 ,
458 ,
426 ,
405 ,
383 ,
363 ,
340 ,
311 ,
284 ,
261 ,
242 ,
224 ,
210 ,
190 ,
169 ,
148 ,
122 ,
112 ,
90  ,
87  ,
69  ,
61  ,
44  ,
31  ,
19  ,
14  ,
15  ,
16  ,
19  ,
9 ,
6 ,
-8  ,
-17 ,
-21 ,
-35 ,
-36 ,
-60 ,
-81 ,
-102  ,
-132  ,
-142  ,
-157  ,
-169  ,
-178  ,
-211  ,
-230  ,
-260  ,
-282  ,
-301  ,
-319  ,
-340  ,
-364  ,
-394  ,
-425  ,
-453  ,
-474  ,
-495  ,
-507  ,
-522  ,
-543  ,
-563  ,
-583  ,
-596  ,
-599  ,
-600  ,
-594  ,
-593  ,
-591  ,
-587  ,
-588  ,
-567  ,
-553  ,
-523  ,
-498  ,
-475  ,
-450  ,
-430  ,
-403  ,
-373  ,
-338  ,
-309  ,
-271  ,
-255  ,
-220  ,
-203  ,
-166  ,
-130  ,
-88 ,
-47 ,
-7  ,
31  ,
69  ,
107 ,
149 ,
193 ,
237 ,
276 ,
310 ,
340 ,
373 ,
402 ,
440 ,
464 ,
493 ,
506 ,
520 ,
523 ,
536 ,
540 ,
550 ,
549 ,
545 ,
530 ,
515 ,
494 ,
488 ,
475 ,
467 ,
454 ,
440 ,
415 ,
403 ,
380 ,
377 ,
368 ,
359 ,
341 ,
317 ,
288 ,
261 ,
244 ,
226 ,
217 ,
199 ,
176 ,
154 ,
122 ,
103 ,
81  ,
66  ,
49  ,
24  ,
0 ,
-39 ,
-60 ,
-98 ,
-114  ,
-144  ,
-163  ,
-198  ,
-230  ,
-271  ,
-311  ,
-339  ,
-370  ,
-388  ,
-415  ,
-439  ,
-470  ,
-494  ,
-521  ,
-531  ,
-551  ,
-557  ,
-575  ,
-593  ,
-610  ,
-628  ,
-631  ,
-640  ,
-628  ,
-634  ,
-628  ,
-638  ,
-647  ,
-652  ,
-655  ,
-653  ,
-651  ,
-654  ,
-655  ,
-660  ,
-659  ,
-655  ,
-645  ,
-632  ,
-616  ,
-608  ,
-599  ,
-596  ,
-585  ,
-565  ,
-544  ,
-517  ,
-502  ,
-490  ,
-483  ,
-474  ,
-461  ,
-445  ,
-425  ,
-411  ,
-402  ,
-396  ,
-394  ,
-389  ,
-382  ,
-368  ,
-357  ,
-344  ,
-347  ,
-346  ,
-352  ,
-352  ,
-346  ,
-339  ,
-330  ,
-329  ,
-335  ,
-339  ,
-349  ,
-348  ,
-353  ,
-345  ,
-351  ,
-349  ,
-362  ,
-368  ,
-370  ,
-371  ,
-357  ,
-356  ,
-341  ,
-353  ,
-347  ,
-362  ,
-359  ,
-362  ,
-358  ,
-359  ,
-354  ,
-362  ,
-363  ,
-367  ,
-362  ,
-359  ,
-342  ,
-344  ,
-331  ,
-337  ,
-338  ,
-332  ,
-328  ,
-316  ,
-308  ,
-307  ,
-302  ,
-304  ,
-306  ,
-294  ,
-294  ,
-275  ,
-276  ,
-264  ,
-268  ,
-265  ,
-264  ,
-259  ,
-249  ,
-247  ,
-251  ,
-255  ,
-267  ,
-269  ,
-272  ,
-266  ,
-257  ,
-250  ,
-244  ,
-251  ,
-249  ,
-253  ,
-248  ,
-237  ,
-233  ,
-229  ,
-231  ,
-244  ,
-244  ,
-254  ,
-254  ,
-255  ,
-265  ,
-273  ,
-294  ,
-314  ,
-333  ,
-346  ,
-351  ,
-357  ,
-355  ,
-367  ,
-370  ,
-383  ,
-379  ,
-383  ,
-374  ,
-377  ,
-373  ,
-378  ,
-376  ,
-377  ,
-368  ,
-363  ,
-348  ,
-346  ,
-335  ,
-336  ,
-331  ,
-327  ,
-319  ,
-313  ,
-299  ,
-299  ,
-288  ,
-283  ,
-275  ,
-261  ,
-245  ,
-236  ,
-216  ,
-213  ,
-200  ,
-193  ,
-181  ,
-167  ,
-148  ,
-132  ,
-118  ,
-103  ,
-92 ,
-68 ,
-49 ,
-21 ,
9 ,
32  ,
59  ,
83  ,
108 ,
143 ,
176 ,
214 ,
249 ,
277 ,
304 ,
327 ,
350 ,
376 ,
401 ,
427 ,
444 ,
453 ,
446 ,
447 ,
428 ,
429 ,
413 ,
403 ,
386 ,
368 ,
348 ,
335 ,
322 ,
318 ,
311 ,
302 ,
293 ,
277 ,
264 ,
250 ,
242 ,
231 ,
224 ,
203 ,
193 ,
173 ,
162 ,
152 ,
143 ,
139 ,
123 ,
116 ,
96  ,
86  ,
76  ,
71  ,
73  ,
68  ,
69  ,
55  ,
55  ,
46  ,
50  ,
50  ,
53  ,
55  ,
53  ,
51  ,
44  ,
44  ,
44  ,
46  ,
49  ,
46  ,
42  ,
34  ,
32  ,
30  ,
40  ,
43  ,
52  ,
52  ,
60  ,
59  ,
68  ,
72  ,
86  ,
86  ,
99  ,
90  ,
95  ,
90  ,
90  ,
93  ,
90  ,
88  ,
76  ,
72  ,
56  ,
54  ,
48  ,
46  ,
48  ,
45  ,
47  ,
44  ,
46  ,
44  ,
52  ,
50  ,
62  ,
57  ,
64  ,
59  ,
66  ,
65  ,
75  ,
75  ,
82  ,
83  ,
83  ,
91  ,
91  ,
107 ,
113 ,
133 ,
142 ,
162 ,
170 ,
195 ,
211 ,
240 ,
261 ,
289 ,
304 ,
331 ,
342 ,
372 ,
384 ,
416 ,
429 ,
455 ,
467 ,
475 ,
492 ,
489 ,
507 ,
505 ,
514 ,
512 ,
508 ,
502 ,
499 ,
490 ,
489 ,
480 ,
478 ,
465 ,
464 ,
450 ,
448 ,
439 ,
434 ,
426 ,
420 ,
405 ,
398 ,
387 ,
372 ,
368 ,
352 ,
357 ,
346 ,
356 ,
353 ,
363 ,
372 ,
376 ,
393 ,
397 ,
407 ,
419 ,
423 ,
438 ,
451 ,
460 ,
475 ,
487 ,
498 ,
516 ,
526 ,
548 ,
563 ,
579 ,
593 ,
602 ,
606 ,
614 ,
615 ,
618 ,
623 ,
618 ,
622 ,
612 ,
608 ,
600 ,
585 ,
580 ,
564 ,
546 ,
532 ,
505 ,
489 ,
467 ,
447 ,
430 ,
406 ,
388 ,
361 ,
339 ,
319 ,
297 ,
284 ,
270 ,
257 ,
247 ,
235 ,
222 ,
218 ,
202 ,
199 ,
191 ,
184 ,
187 ,
172 ,
176 ,
163 ,
163 ,
158 ,
154 ,
155 ,
149 ,
152 ,
152 ,
159 ,
169 ,
175 ,
187 ,
194 ,
203 ,
213 ,
219 ,
230 ,
234 ,
246 ,
245 ,
254 ,
256 ,
259 ,
266 ,
265 ,
267 ,
268 ,
261 ,
260 ,
256 ,
250 ,
246 ,
232 ,
222 ,
201 ,
186 ,
156 ,
141 ,
108 ,
90  ,
57  ,
31  ,
-2  ,
-37 ,
-71 ,
-103  ,
-132  ,
-159  ,
-179  ,
-205  ,
-223  ,
-246  ,
-265  ,
-285  ,
-303  ,
-315  ,
-326  ,
-335  ,
-340  ,
-352  ,
-351  ,
-359  ,
-352  ,
-348  ,
-334  ,
-323  ,
-311  ,
-304  ,
-293  ,
-289  ,
-272  ,
-263  ,
-242  ,
-232  ,
-215  ,
-204  ,
-190  ,
-167  ,
-148  ,
-120  ,
-94 ,
-68 ,
-45 ,
-19 ,
4 ,
32  ,
57  ,
81  ,
98  ,
115 ,
126 ,
139 ,
153 ,
165 ,
179 ,
183 ,
191 ,
188 ,
191 ,
191 ,
195 ,
194 ,
197 ,
189 ,
182 ,
169 ,
161 ,
152 ,
151 ,
142 ,
140 ,
126 ,
112 ,
97  ,
85  ,
80  ,
75  ,
74  ,
64  ,
59  ,
46  ,
38  ,
34  ,
33  ,
35  ,
30  ,
29  ,
15  ,
13  ,
-1  ,
3 ,
-8  ,
-2  ,
-12 ,
-16 ,
-26 ,
-33 ,
-45 ,
-50 ,
-62 ,
-79 ,
-90 ,
-113  ,
-129  ,
-147  ,
-163  ,
-176  ,
-188  ,
-202  ,
-210  ,
-225  ,
-227  ,
-236  ,
-236  ,
-239  ,
-241  ,
-243  ,
-246  ,
-248  ,
-251  ,
-250  ,
-256  ,
-252  ,
-258  ,
-257  ,
-260  ,
-265  ,
-264  ,
-266  ,
-261  ,
-259  ,
-253  ,
-256  ,
-258  ,
-257  ,
-261  ,
-257  ,
-252  ,
-257  ,
-249  ,
-259  ,
-260  ,
-270  ,
-270  ,
-278  ,
-271  ,
-282  ,
-277  ,
-290  ,
-294  ,
-299  ,
-304  ,
-304  ,
-313  ,
-325  ,
-333  ,
-353  ,
-367  ,
-384  ,
-400  ,
-408  ,
-427  ,
-435  ,
-456  ,
-457  ,
-475  ,
-469  ,
-477  ,
-476  ,
-481  ,
-493  ,
-502  ,
-523  ,
-536  ,
-547  ,
-562  ,
-568  ,
-584  ,
-595  ,
-611  ,
-623  ,
-631  ,
-635  ,
-633  ,
-641  ,
-638  ,
-652  ,
-650  ,
-664  ,
-666  ,
-670  ,
-675  ,
-675  ,
-680  ,
-682  ,
-682  ,
-676  ,
-671  ,
-660  ,
-653  ,
-644  ,
-635  ,
-627  ,
-611  ,
-599  ,
-578  ,
-565  ,
-550  ,
-529  ,
-526  ,
-500  ,
-494  ,
-473  ,
-455  ,
-443  ,
-425  ,
-414  ,
-395  ,
-379  ,
-354  ,
-336  ,
-311  ,
-293  ,
-270  ,
-254  ,
-227  ,
-211  ,
-183  ,
-168  ,
-149  ,
-138  ,
-126  ,
-119  ,
-104  ,
-94 ,
-77 ,
-62 ,
-50 ,
-37 ,
-31 ,
-21 ,
-17 ,
-11 ,
-2  ,
-2  ,
5 ,
0 ,
-3  ,
-10 ,
-17 ,
-20 ,
-29 ,
-29 ,
-45 ,
-45 ,
-60 ,
-60 ,
-70 ,
-71 ,
-78 ,
-82 ,
-93 ,
-105  ,
-116  ,
-125  ,
-129  ,
-133  ,
-139  ,
-147  ,
-155  ,
-168  ,
-175  ,
-184  ,
-192  ,
-196  ,
-207  ,
-214  ,
-225  ,
-230  ,
-240  ,
-238  ,
-248  ,
-247  ,
-262  ,
-266  ,
-278  ,
-279  ,
-281  ,
-275  ,
-274  ,
-258  ,
-254  ,
-234  ,
-222  ,
-198  ,
-180  ,
-150  ,
-133  ,
-111  ,
-97 ,
-84 ,
-73 ,
-56 ,
-49 ,
-22 ,
-16 ,
6 ,
11  ,
33  ,
32  ,
57  ,
56  ,
73  ,
70  ,
71  ,
62  ,
58  ,
52  ,
45  ,
42  ,
31  ,
20  ,
3 ,
-10 ,
-23 ,
-30 ,
-33 ,
-40 ,
-42 ,
-55 ,
-59 ,
-70 ,
-75 ,
-77 ,
-81 ,
-81 ,
-79 ,
-72 ,
-67 ,
-51 ,
-46 ,
-27 ,
-18 ,
-9  ,
2 ,
8 ,
22  ,
34  ,
52  ,
62  ,
75  ,
79  ,
86  ,
97  ,
100 ,
118 ,
119 ,
132 ,
135 ,
141 ,
153 ,
162 ,
181 ,
194 ,
213 ,
227 ,
243 ,
260 ,
276 ,
298 ,
312 ,
327 ,
336 ,
341 ,
347 ,
358 ,
362 ,
376 ,
378 ,
389 ,
388 ,
391 ,
388 ,
383 ,
386 ,
380 ,
375 ,
365 ,
349 ,
335 ,
326 ,
305 ,
303 ,
280 ,
270 ,
253 ,
238 ,
230 ,
215 ,
210 ,
193 ,
183 ,
160 ,
144 ,
122 ,
116 ,
97  ,
94  ,
82  ,
71  ,
66  ,
56  ,
56  ,
53  ,
54  ,
54  ,
58  ,
64  ,
70  ,
83  ,
98  ,
112 ,
131 ,
143 ,
155 ,
162 ,
172 ,
180 ,
193 ,
204 ,
212 ,
219 ,
222 ,
226 ,
231 ,
235 ,
243 ,
248 ,
251 ,
251 ,
240 ,
236 ,
221 ,
214 ,
201 ,
197 ,
184 ,
182 ,
168 ,
168 ,
160 ,
161 ,
159 ,
160 ,
162 ,
161 ,
160 ,
166 ,
166 ,
179 ,
182 ,
193 ,
204 ,
211 ,
229 ,
243 ,
267 ,
292 ,
312 ,
343 ,
359 ,
386 ,
406 ,
431 ,
456 ,
482 ,
507 ,
533 ,
558 ,
585 ,
613 ,
644 ,
672 ,
700 ,
716 ,
736 ,
749 ,
770 ,
787 ,
811 ,
826 ,
842 ,
850 ,
850 ,
854 ,
851 ,
854 ,
858 ,
851 ,
850 ,
828 ,
815 ,
793 ,
780 ,
767 ,
754 ,
738 ,
721 ,
696 ,
678 ,
650 ,
634 ,
611 ,
588 ,
564 ,
540 ,
506 ,
489 ,
460 ,
449 ,
434 ,
418 ,
406 ,
388 ,
374 ,
359 ,
348 ,
338 ,
321 ,
312 ,
291 ,
281 ,
258 ,
250 ,
227 ,
226 ,
205 ,
202 ,
186 ,
185 ,
176 ,
179 ,
175 ,
171 ,
164 ,
153 ,
144 ,
137 ,
128 ,
119 ,
116 ,
104 ,
101 ,
85  ,
70  ,
56  ,
43  ,
29  ,
18  ,
-6  ,
-26 ,
-49 ,
-76 ,
-95 ,
-121  ,
-146  ,
-172  ,
-205  ,
-236  ,
-272  ,
-306  ,
-332  ,
-360  ,
-381  ,
-402  ,
-425  ,
-444  ,
-460  ,
-474  ,
-478  ,
-487  ,
-488  ,
-495  ,
-501  ,
-510  ,
-514  ,
-523  ,
-514  ,
-511  ,
-493  ,
-475  ,
-459  ,
-437  ,
-421  ,
-391  ,
-364  ,
-324  ,
-288  ,
-250  ,
-216  ,
-186  ,
-154  ,
-123  ,
-87 ,
-50 ,
-14 ,
18  ,
50  ,
80  ,
112 ,
148 ,
187 ,
225 ,
254 ,
283 ,
301 ,
327 ,
343 ,
370 ,
385 ,
409 ,
422 ,
434 ,
446 ,
454 ,
465 ,
474 ,
478 ,
479 ,
472 ,
467 ,
460 ,
460 ,
455 ,
451 ,
442 ,
426 ,
411 ,
388 ,
372 ,
360 ,
341 ,
333 ,
308 ,
295 ,
269 ,
257 ,
245 ,
237 ,
232 ,
218 ,
203 ,
181 ,
161 ,
131 ,
118 ,
85  ,
69  ,
39  ,
11  ,
-14 ,
-47 ,
-71 ,
-93 ,
-116  ,
-131  ,
-161  ,
-179  ,
-208  ,
-230  ,
-253  ,
-274  ,
-295  ,
-312  ,
-335  ,
-354  ,
-373  ,
-396  ,
-406  ,
-426  ,
-425  ,
-440  ,
-443  ,
-457  ,
-466  ,
-481  ,
-486  ,
-504  ,
-504  ,
-520  ,
-530  ,
-535  ,
-547  ,
-547  ,
-551  ,
-555  ,
-547  ,
-553  ,
-545  ,
-548  ,
-540  ,
-532  ,
-524  ,
-512  ,
-509  ,
-499  ,
-498  ,
-493  ,
-488  ,
-484  ,
-481  ,
-479  ,
-486  ,
-484  ,
-490  ,
-483  ,
-476  ,
-461  ,
-450  ,
-438  ,
-434  ,
-425  ,
-426  ,
-414  ,
-411  ,
-404  ,
-405  ,
-409  ,
-414  ,
-420  ,
-420  ,
-417  ,
-409  ,
-400  ,
-400  ,
-396  ,
-398  ,
-398  ,
-391  ,
-388  ,
-374  ,
-375  ,
-374  ,
-380  ,
-385  ,
-384  ,
-384  ,
-380  ,
-379  ,
-381  ,
-382  ,
-390  ,
-391  ,
-392  ,
-391  ,
-392  ,
-390  ,
-400  ,
-402  ,
-413  ,
-414  ,
-422  ,
-419  ,
-435  ,
-429  ,
-444  ,
-437  ,
-441  ,
-436  ,
-430  ,
-430  ,
-423  ,
-420  ,
-413  ,
-405  ,
-395  ,
-384  ,
-376  ,
-373  ,
-375  ,
-375  ,
-379  ,
-373  ,
-371  ,
-364  ,
-361  ,
-356  ,
-354  ,
-347  ,
-340  ,
-330  ,
-314  ,
-307  ,
-292  ,
-288  ,
-284  ,
-282  ,
-279  ,
-273  ,
-270  ,
-264  ,
-265  ,
-264  ,
-266  ,
-266  ,
-265  ,
-264  ,
-263  ,
-262  ,
-262  ,
-262  ,
-267  ,
-271  ,
-276  ,
-279  ,
-286  ,
-284  ,
-293  ,
-294  ,
-300  ,
-303  ,
-307  ,
-310  ,
-313  ,
-316  ,
-322  ,
-317  ,
-329  ,
-323  ,
-336  ,
-334  ,
-341  ,
-344  ,
-351  ,
-354  ,
-358  ,
-366  ,
-366  ,
-377  ,
-374  ,
-382  ,
-373  ,
-373  ,
-357  ,
-353  ,
-340  ,
-326  ,
-316  ,
-302  ,
-288  ,
-272  ,
-256  ,
-235  ,
-220  ,
-200  ,
-180  ,
-163  ,
-130  ,
-103  ,
-67 ,
-34 ,
-6  ,
29  ,
51  ,
84  ,
107 ,
136 ,
168 ,
193 ,
222 ,
239 ,
259 ,
274 ,
291 ,
314 ,
326 ,
344 ,
350 ,
358 ,
366 ,
362 ,
365 ,
358 ,
357 ,
348 ,
338 ,
325 ,
309 ,
295 ,
277 ,
264 ,
241 ,
226 ,
205 ,
190 ,
177 ,
162 ,
148 ,
137 ,
124 ,
114 ,
105 ,
93  ,
85  ,
75  ,
64  ,
57  ,
44  ,
41  ,
27  ,
31  ,
24  ,
25  ,
22  ,
17  ,
19  ,
17  ,
22  ,
23  ,
27  ,
21  ,
24  ,
10  ,
11  ,
5 ,
3 ,
7 ,
9 ,
9 ,
17  ,
17  ,
29  ,
38  ,
50  ,
65  ,
74  ,
88  ,
93  ,
108 ,
107 ,
117 ,
114 ,
123 ,
121 ,
128 ,
124 ,
128 ,
123 ,
125 ,
120 ,
116 ,
116 ,
106 ,
107 ,
94  ,
87  ,
78  ,
65  ,
58  ,
49  ,
40  ,
38  ,
24  ,
21  ,
6 ,
1 ,
-8  ,
-13 ,
-14 ,
-16 ,
-14 ,
-10 ,
-10 ,
-2  ,
-1  ,
10  ,
20  ,
31  ,
52  ,
65  ,
91  ,
104 ,
130 ,
147 ,
171 ,
196 ,
221 ,
249 ,
275 ,
300 ,
327 ,
348 ,
373 ,
388 ,
410 ,
424 ,
439 ,
456 ,
465 ,
479 ,
487 ,
500 ,
507 ,
520 ,
523 ,
528 ,
528 ,
526 ,
525 ,
520 ,
515 ,
510 ,
497 ,
490 ,
476 ,
463 ,
454 ,
441 ,
439 ,
429 ,
426 ,
416 ,
408 ,
406 ,
391 ,
396 ,
382 ,
393 ,
382 ,
395 ,
388 ,
400 ,
403 ,
413 ,
422 ,
434 ,
437 ,
450 ,
455 ,
469 ,
476 ,
488 ,
493 ,
507 ,
511 ,
529 ,
533 ,
553 ,
555 ,
573 ,
580 ,
591 ,
599 ,
606 ,
615 ,
622 ,
628 ,
633 ,
632 ,
634 ,
631 ,
627 ,
622 ,
610 ,
598 ,
585 ,
567 ,
553 ,
531 ,
511 ,
492 ,
470 ,
452 ,
431 ,
409 ,
393 ,
375 ,
355 ,
346 ,
322 ,
317 ,
299 ,
287 ,
271 ,
258 ,
234 ,
228 ,
210 ,
206 ,
195 ,
193 ,
182 ,
186 ,
176 ,
178 ,
175 ,
173 ,
179 ,
177 ,
186 ,
191 ,
199 ,
210 ,
215 ,
229 ,
229 ,
242 ,
240 ,
253 ,
259 ,
270 ,
278 ,
288 ,
289 ,
296 ,
291 ,
293 ,
291 ,
289 ,
288 ,
285 ,
278 ,
274 ,
262 ,
253 ,
241 ,
230 ,
214 ,
196 ,
182 ,
157 ,
140 ,
114 ,
87  ,
64  ,
35  ,
10  ,
-22 ,
-47 ,
-80 ,
-100  ,
-137  ,
-158  ,
-196  ,
-223  ,
-251  ,
-279  ,
-299  ,
-320  ,
-336  ,
-348  ,
-355  ,
-366  ,
-361  ,
-371  ,
-358  ,
-366  ,
-344  ,
-346  ,
-321  ,
-313  ,
-294  ,
-280  ,
-266  ,
-254  ,
-238  ,
-227  ,
-205  ,
-190  ,
-168  ,
-148  ,
-126  ,
-107  ,
-83 ,
-67 ,
-44 ,
-27 ,
-6  ,
7 ,
29  ,
36  ,
54  ,
62  ,
77  ,
89  ,
101 ,
112 ,
120 ,
127 ,
134 ,
138 ,
149 ,
149 ,
158 ,
157 ,
159 ,
154 ,
146 ,
140 ,
131 ,
125 ,
121 ,
112 ,
108 ,
99  ,
89  ,
81  ,
76  ,
64  ,
62  ,
50  ,
40  ,
33  ,
13  ,
11  ,
-9  ,
-15 ,
-32 ,
-42 ,
-57 ,
-67 ,
-78 ,
-84 ,
-94 ,
-100  ,
-116  ,
-122  ,
-136  ,
-142  ,
-154  ,
-159  ,
-171  ,
-171  ,
-189  ,
-191  ,
-208  ,
-214  ,
-226  ,
-235  ,
-242  ,
-254  ,
-259  ,
-270  ,
-273  ,
-278  ,
-285  ,
-286  ,
-295  ,
-293  ,
-302  ,
-298  ,
-302  ,
-293  ,
-288  ,
-287  ,
-281  ,
-288  ,
-287  ,
-289  ,
-288  ,
-284  ,
-280  ,
-276  ,
-278  ,
-272  ,
-276  ,
-273  ,
-272  ,
-269  ,
-272  ,
-270  ,
-281  ,
-280  ,
-288  ,
-290  ,
-291  ,
-294  ,
-298  ,
-300  ,
-311  ,
-308  ,
-318  ,
-319  ,
-329  ,
-337  ,
-347  ,
-365  ,
-375  ,
-396  ,
-404  ,
-421  ,
-424  ,
-441  ,
-445  ,
-456  ,
-465  ,
-469  ,
-477  ,
-484  ,
-487  ,
-496  ,
-498  ,
-506  ,
-513  ,
-517  ,
-527  ,
-529  ,
-546  ,
-546  ,
-564  ,
-562  ,
-574  ,
-574  ,
-581  ,
-584  ,
-594  ,
-597  ,
-609  ,
-611  ,
-622  ,
-624  ,
-633  ,
-639  ,
-650  ,
-658  ,
-666  ,
-671  ,
-673  ,
-672  ,
-671  ,
-668  ,
-666  ,
-667  ,
-659  ,
-656  ,
-642  ,
-637  ,
-622  ,
-618  ,
-608  ,
-604  ,
-594  ,
-586  ,
-568  ,
-556  ,
-536  ,
-519  ,
-503  ,
-483  ,
-464  ,
-440  ,
-418  ,
-387  ,
-371  ,
-340  ,
-331  ,
-305  ,
-294  ,
-277  ,
-262  ,
-249  ,
-231  ,
-219  ,
-203  ,
-186  ,
-172  ,
-155  ,
-142  ,
-131  ,
-119  ,
-109  ,
-96 ,
-79 ,
-68 ,
-50 ,
-40 ,
-28 ,
-20 ,
-12 ,
-2  ,
7 ,
18  ,
26  ,
32  ,
36  ,
39  ,
41  ,
43  ,
45  ,
42  ,
41  ,
30  ,
21  ,
9 ,
-4  ,
-13 ,
-24 ,
-34 ,
-49 ,
-61 ,
-77 ,
-94 ,
-101  ,
-115  ,
-121  ,
-126  ,
-138  ,
-143  ,
-151  ,
-160  ,
-162  ,
-167  ,
-160  ,
-166  ,
-156  ,
-162  ,
-156  ,
-156  ,
-148  ,
-142  ,
-127  ,
-115  ,
-101  ,
-85 ,
-71 ,
-56 ,
-35 ,
-20 ,
2 ,
14  ,
30  ,
40  ,
54  ,
68  ,
86  ,
100 ,
119 ,
129 ,
145 ,
154 ,
165 ,
177 ,
185 ,
200 ,
197 ,
206 ,
192 ,
193 ,
179 ,
180 ,
166 ,
162 ,
147 ,
139 ,
122 ,
115 ,
99  ,
95  ,
85  ,
71  ,
64  ,
45  ,
35  ,
25  ,
17  ,
15  ,
6 ,
2 ,
-8  ,
-6  ,
-12 ,
-4  ,
-1  ,
7 ,
12  ,
15  ,
16  ,
17  ,
28  ,
31  ,
44  ,
51  ,
56  ,
59  ,
67  ,
75  ,
90  ,
108 ,
117 ,
132 ,
139 ,
148 ,
160 ,
173 ,
189 ,
205 ,
224 ,
237 ,
248 ,
258 ,
266 ,
282 ,
294 ,
313 ,
326 ,
341 ,
352 ,
361 ,
373 ,
384 ,
397 ,
412 ,
418 ,
428 ,
426 ,
432 ,
427 ,
434 ,
427 ,
425 ,
410 ,
395 ,
375 ,
356 ,
338 ,
320 ,
300 ,
284 ,
261 ,
244 ,
225 ,
206 ,
195 ,
177 ,
168 ,
149 ,
135 ,
123 ,
112 ,
116 ,
109 ,
121 ,
115 ,
124 ,
119 ,
128 ,
128 ,
143 ,
147 ,
160 ,
164 ,
168 ,
173 ,
181 ,
190 ,
207 ,
212 ,
229 ,
225 ,
233 ,
228 ,
237 ,
246 ,
256 ,
267 ,
270 ,
270 ,
270 ,
260 ,
264 ,
256 ,
257 ,
245 ,
237 ,
215 ,
206 ,
186 ,
177 ,
170 ,
157 ,
154 ,
144 ,
136 ,
136 ,
132 ,
140 ,
139 ,
148 ,
143 ,
151 ,
146 ,
154 ,
157 ,
172 ,
174 ,
190 ,
191 ,
203 ,
214 ,
229 ,
247 ,
265 ,
280 ,
298 ,
310 ,
328 ,
349 ,
367 ,
396 ,
416 ,
441 ,
462 ,
484 ,
506 ,
536 ,
561 ,
591 ,
607 ,
625 ,
631 ,
639 ,
650 ,
656 ,
673 ,
678 ,
689 ,
688 ,
688 ,
685 ,
682 ,
681 ,
680 ,
673 ,
666 ,
653 ,
645 ,
629 ,
619 ,
608 ,
592 ,
585 ,
559 ,
543 ,
519 ,
494 ,
477 ,
451 ,
434 ,
411 ,
388 ,
368 ,
348 ,
334 ,
320 ,
312 ,
299 ,
292 ,
282 ,
273 ,
272 ,
260 ,
262 ,
252 ,
253 ,
244 ,
245 ,
233 ,
237 ,
227 ,
230 ,
219 ,
218 ,
209 ,
205 ,
199 ,
193 ,
187 ,
178 ,
169 ,
158 ,
147 ,
137 ,
127 ,
124 ,
116 ,
108 ,
97  ,
80  ,
68  ,
48  ,
33  ,
14  ,
-4  ,
-26 ,
-44 ,
-74 ,
-90 ,
-127  ,
-141  ,
-177  ,
-197  ,
-233  ,
-261  ,
-296  ,
-329  ,
-356  ,
-389  ,
-403  ,
-438  ,
-446  ,
-479  ,
-492  ,
-512  ,
-529  ,
-536  ,
-552  ,
-554  ,
-568  ,
-570  ,
-578  ,
-575  ,
-565  ,
-551  ,
-530  ,
-503  ,
-479  ,
-450  ,
-420  ,
-393  ,
-358  ,
-330  ,
-294  ,
-268  ,
-232  ,
-206  ,
-172  ,
-141  ,
-111  ,
-79 ,
-54 ,
-25 ,
-4  ,
25  ,
48  ,
76  ,
99  ,
119 ,
143 ,
152 ,
177 ,
184 ,
210 ,
222 ,
246 ,
257 ,
277 ,
284 ,
302 ,
308 ,
323 ,
328 ,
335 ,
337 ,
336 ,
338 ,
335 ,
343 ,
341 ,
345 ,
342 ,
336 ,
324 ,
312 ,
298 ,
286 ,
271 ,
257 ,
239 ,
219 ,
198 ,
179 ,
163 ,
153 ,
142 ,
133 ,
118 ,
100 ,
77  ,
54  ,
30  ,
12  ,
-11 ,
-26 ,
-50 ,
-67 ,
-85 ,
-104  ,
-112  ,
-132  ,
-141  ,
-165  ,
-180  ,
-205  ,
-220  ,
-242  ,
-253  ,
-273  ,
-286  ,
-310  ,
-325  ,
-345  ,
-355  ,
-368  ,
-372  ,
-383  ,
-395  ,
-403  ,
-422  ,
-421  ,
-436  ,
-425  ,
-439  ,
-427  ,
-441  ,
-436  ,
-440  ,
-435  ,
-428  ,
-425  ,
-422  ,
-425  ,
-433  ,
-433  ,
-438  ,
-434  ,
-431  ,
-428  ,
-427  ,
-428  ,
-428  ,
-432  ,
-425  ,
-427  ,
-417  ,
-417  ,
-418  ,
-422  ,
-428  ,
-432  ,
-435  ,
-432  ,
-432  ,
-425  ,
-427  ,
-423  ,
-422  ,
-419  ,
-415  ,
-416  ,
-412  ,
-419  ,
-420  ,
-427  ,
-425  ,
-420  ,
-409  ,
-398  ,
-386  ,
-382  ,
-373  ,
-377  ,
-368  ,
-367  ,
-363  ,
-356  ,
-361  ,
-358  ,
-358  ,
-360  ,
-349  ,
-351  ,
-343  ,
-345  ,
-349  ,
-352  ,
-357  ,
-357  ,
-361  ,
-361  ,
-367  ,
-372  ,
-382  ,
-386  ,
-391  ,
-386  ,
-383  ,
-379  ,
-376  ,
-381  ,
-385  ,
-388  ,
-393  ,
-385  ,
-389  ,
-381  ,
-386  ,
-380  ,
-385  ,
-373  ,
-367  ,
-350  ,
-337  ,
-327  ,
-318  ,
-312  ,
-305  ,
-302  ,
-290  ,
-288  ,
-280  ,
-282  ,
-283  ,
-284  ,
-287  ,
-277  ,
-278  ,
-260  ,
-264  ,
-254  ,
-259  ,
-257  ,
-260  ,
-257  ,
-255  ,
-250  ,
-245  ,
-239  ,
-232  ,
-222  ,
-213  ,
-197  ,
-189  ,
-177  ,
-175  ,
-166  ,
-164  ,
-151  ,
-149  ,
-136  ,
-137  ,
-134  ,
-135  ,
-141  ,
-141  ,
-149  ,
-151  ,
-160  ,
-170  ,
-181  ,
-196  ,
-208  ,
-218  ,
-226  ,
-232  ,
-240  ,
-246  ,
-258  ,
-262  ,
-272  ,
-274  ,
-276  ,
-280  ,
-278  ,
-285  ,
-279  ,
-284  ,
-272  ,
-268  ,
-253  ,
-245  ,
-230  ,
-221  ,
-203  ,
-190  ,
-168  ,
-150  ,
-126  ,
-106  ,
-87 ,
-66 ,
-46 ,
-26 ,
2 ,
21  ,
55  ,
79  ,
108 ,
135 ,
162 ,
188 ,
211 ,
233 ,
248 ,
270 ,
281 ,
302 ,
311 ,
331 ,
336 ,
348 ,
352 ,
352 ,
358 ,
354 ,
358 ,
356 ,
352 ,
349 ,
341 ,
335 ,
331 ,
322 ,
320 ,
308 ,
298 ,
282 ,
265 ,
248 ,
233 ,
218 ,
205 ,
192 ,
176 ,
165 ,
147 ,
140 ,
129 ,
125 ,
121 ,
112 ,
111 ,
94  ,
94  ,
79  ,
75  ,
69  ,
59  ,
56  ,
48  ,
45  ,
45  ,
42  ,
43  ,
41  ,
45  ,
39  ,
43  ,
38  ,
39  ,
34  ,
34  ,
26  ,
35  ,
31  ,
45  ,
52  ,
66  ,
81  ,
91  ,
106 ,
119 ,
130 ,
142 ,
152 ,
156 ,
166 ,
161 ,
169 ,
165 ,
172 ,
170 ,
173 ,
167 ,
163 ,
152 ,
142 ,
129 ,
117 ,
105 ,
94  ,
80  ,
66  ,
51  ,
38  ,
25  ,
14  ,
3 ,
-8  ,
-16 ,
-24 ,
-26 ,
-28 ,
-26 ,
-23 ,
-19 ,
-9  ,
-4  ,
9 ,
18  ,
32  ,
43  ,
57  ,
73  ,
83  ,
102 ,
115 ,
134 ,
156 ,
175 ,
196 ,
220 ,
244 ,
270 ,
299 ,
315 ,
343 ,
352 ,
369 ,
377 ,
383 ,
391 ,
391 ,
397 ,
394 ,
400 ,
394 ,
397 ,
398 ,
398 ,
401 ,
402 ,
398 ,
398 ,
392 ,
385 ,
381 ,
373 ,
369 ,
364 ,
362 ,
354 ,
352 ,
343 ,
338 ,
331 ,
328 ,
323 ,
323 ,
318 ,
318 ,
313 ,
318 ,
316 ,
327 ,
328 ,
340 ,
342 ,
344 ,
349 ,
351 ,
359 ,
367 ,
372 ,
384 ,
389 ,
398 ,
406 ,
414 ,
428 ,
433 ,
448 ,
447 ,
457 ,
453 ,
456 ,
458 ,
454 ,
458 ,
453 ,
453 ,
451 ,
455 ,
455 ,
462 ,
461 ,
461 ,
456 ,
450 ,
437 ,
433 ,
411 ,
404 ,
378 ,
363 ,
336 ,
319 ,
301 ,
286 ,
273 ,
254 ,
240 ,
217 ,
202 ,
185 ,
173 ,
165 ,
153 ,
144 ,
134 ,
122 ,
114 ,
111 ,
110 ,
111 ,
116 ,
110 ,
113 ,
111 ,
109 ,
116 ,
115 ,
119 ,
127 ,
127 ,
134 ,
138 ,
143 ,
147 ,
158 ,
158 ,
173 ,
176 ,
183 ,
193 ,
197 ,
206 ,
214 ,
216 ,
226 ,
224 ,
229 ,
224 ,
220 ,
210 ,
201 ,
188 ,
173 ,
159 ,
142 ,
131 ,
114 ,
101 ,
87  ,
68  ,
58  ,
36  ,
20  ,
-2  ,
-25 ,
-54 ,
-82 ,
-116  ,
-142  ,
-174  ,
-197  ,
-222  ,
-242  ,
-267  ,
-284  ,
-311  ,
-320  ,
-340  ,
-344  ,
-355  ,
-354  ,
-358  ,
-357  ,
-358  ,
-352  ,
-349  ,
-336  ,
-328  ,
-311  ,
-298  ,
-283  ,
-270  ,
-254  ,
-238  ,
-221  ,
-201  ,
-181  ,
-164  ,
-141  ,
-126  ,
-106  ,
-87 ,
-74 ,
-58 ,
-45 ,
-36 ,
-25 ,
-17 ,
-7  ,
5 ,
17  ,
27  ,
45  ,
52  ,
73  ,
78  ,
94  ,
103 ,
108 ,
121 ,
121 ,
129 ,
132 ,
134 ,
135 ,
133 ,
131 ,
130 ,
131 ,
129 ,
137 ,
134 ,
138 ,
134 ,
126 ,
118 ,
106 ,
94  ,
83  ,
68  ,
56  ,
39  ,
28  ,
12  ,
-1  ,
-12 ,
-22 ,
-35 ,
-42 ,
-60 ,
-67 ,
-80 ,
-86 ,
-94 ,
-101  ,
-108  ,
-117  ,
-128  ,
-134  ,
-152  ,
-155  ,
-167  ,
-176  ,
-181  ,
-193  ,
-198  ,
-206  ,
-213  ,
-214  ,
-221  ,
-220  ,
-226  ,
-228  ,
-230  ,
-233  ,
-233  ,
-236  ,
-232  ,
-234  ,
-221  ,
-221  ,
-204  ,
-200  ,
-188  ,
-182  ,
-173  ,
-169  ,
-161  ,
-157  ,
-151  ,
-149  ,
-146  ,
-146  ,
-147  ,
-150  ,
-153  ,
-152  ,
-155  ,
-150  ,
-154  ,
-151  ,
-151  ,
-154  ,
-154  ,
-155  ,
-158  ,
-161  ,
-168  ,
-179  ,
-191  ,
-202  ,
-216  ,
-222  ,
-232  ,
-240  ,
-249  ,
-264  ,
-274  ,
-289  ,
-304  ,
-313  ,
-322  ,
-328  ,
-335  ,
-344  ,
-354  ,
-361  ,
-370  ,
-376  ,
-382  ,
-386  ,
-397  ,
-402  ,
-415  ,
-424  ,
-428  ,
-439  ,
-435  ,
-445  ,
-442  ,
-450  ,
-453  ,
-455  ,
-461  ,
-461  ,
-466  ,
-473  ,
-476  ,
-484  ,
-491  ,
-490  ,
-497  ,
-497  ,
-499  ,
-505  ,
-508  ,
-509  ,
-517  ,
-509  ,
-515  ,
-514  ,
-513  ,
-521  ,
-517  ,
-522  ,
-515  ,
-509  ,
-503  ,
-496  ,
-489  ,
-485  ,
-470  ,
-458  ,
-438  ,
-418  ,
-403  ,
-388  ,
-379  ,
-366  ,
-360  ,
-343  ,
-336  ,
-321  ,
-318  ,
-309  ,
-309  ,
-299  ,
-294  ,
-279  ,
-269  ,
-254  ,
-243  ,
-225  ,
-215  ,
-189  ,
-176  ,
-148  ,
-133  ,
-110  ,
-94 ,
-77 ,
-59 ,
-44 ,
-28 ,
-11 ,
0 ,
15  ,
24  ,
39  ,
50  ,
66  ,
75  ,
86  ,
91  ,
96  ,
101 ,
96  ,
99  ,
91  ,
84  ,
82  ,
69  ,
70  ,
56  ,
54  ,
43  ,
34  ,
22  ,
8 ,
-8  ,
-21 ,
-36 ,
-51 ,
-59 ,
-79 ,
-81 ,
-100  ,
-105  ,
-118  ,
-125  ,
-126  ,
-127  ,
-119  ,
-119  ,
-109  ,
-109  ,
-95 ,
-94 ,
-73 ,
-67 ,
-46 ,
-37 ,
-23 ,
-10 ,
-1  ,
13  ,
28  ,
35  ,
53  ,
55  ,
66  ,
70  ,
81  ,
86  ,
98  ,
105 ,
115 ,
121 ,
131 ,
131 ,
144 ,
143 ,
148 ,
153 ,
148 ,
152 ,
143 ,
143 ,
139 ,
134 ,
128 ,
119 ,
113 ,
104 ,
103 ,
94  ,
88  ,
81  ,
66  ,
56  ,
45  ,
29  ,
28  ,
15  ,
14  ,
4 ,
-2  ,
-14 ,
-18 ,
-29 ,
-31 ,
-39 ,
-40 ,
-49 ,
-55 ,
-62 ,
-72 ,
-74 ,
-80 ,
-82 ,
-81 ,
-88 ,
-84 ,
-91 ,
-84 ,
-81 ,
-71 ,
-59 ,
-54 ,
-39 ,
-32 ,
-17 ,
2 ,
13  ,
41  ,
51  ,
76  ,
88  ,
107 ,
125 ,
146 ,
165 ,
185 ,
200 ,
219 ,
229 ,
244 ,
260 ,
269 ,
284 ,
287 ,
291 ,
293 ,
286 ,
289 ,
277 ,
278 ,
264 ,
253 ,
240 ,
227 ,
214 ,
206 ,
195 ,
189 ,
177 ,
163 ,
148 ,
133 ,
119 ,
105 ,
95  ,
86  ,
78  ,
73  ,
67  ,
63  ,
61  ,
57  ,
57  ,
53  ,
55  ,
51  ,
55  ,
56  ,
61  ,
68  ,
73  ,
85  ,
86  ,
100 ,
102 ,
113 ,
123 ,
126 ,
140 ,
139 ,
147 ,
152 ,
154 ,
165 ,
166 ,
177 ,
177 ,
184 ,
183 ,
184 ,
186 ,
186 ,
186 ,
183 ,
178 ,
173 ,
166 ,
166 ,
158 ,
158 ,
154 ,
148 ,
146 ,
137 ,
134 ,
134 ,
130 ,
130 ,
129 ,
123 ,
120 ,
115 ,
114 ,
118 ,
120 ,
134 ,
139 ,
158 ,
164 ,
183 ,
193 ,
219 ,
229 ,
255 ,
262 ,
280 ,
287 ,
301 ,
314 ,
331 ,
344 ,
361 ,
372 ,
383 ,
392 ,
399 ,
414 ,
425 ,
440 ,
456 ,
467 ,
477 ,
489 ,
496 ,
512 ,
524 ,
534 ,
542 ,
547 ,
548 ,
547 ,
549 ,
547 ,
551 ,
547 ,
543 ,
539 ,
534 ,
527 ,
530 ,
516 ,
518 ,
497 ,
492 ,
477 ,
466 ,
462 ,
449 ,
447 ,
434 ,
425 ,
415 ,
403 ,
400 ,
390 ,
386 ,
375 ,
359 ,
346 ,
326 ,
316 ,
301 ,
292 ,
284 ,
274 ,
266 ,
258 ,
249 ,
251 ,
251 ,
256 ,
260 ,
261 ,
259 ,
262 ,
256 ,
259 ,
257 ,
257 ,
254 ,
252 ,
242 ,
237 ,
223 ,
214 ,
200 ,
187 ,
167 ,
149 ,
128 ,
111 ,
89  ,
78  ,
56  ,
40  ,
21  ,
-5  ,
-21 ,
-49 ,
-74 ,
-99 ,
-128  ,
-152  ,
-183  ,
-205  ,
-232  ,
-253  ,
-272  ,
-295  ,
-306  ,
-329  ,
-343  ,
-363  ,
-374  ,
-393  ,
-400  ,
-414  ,
-421  ,
-427  ,
-430  ,
-430  ,
-422  ,
-414  ,
-402  ,
-393  ,
-376  ,
-368  ,
-350  ,
-335  ,
-319  ,
-303  ,
-286  ,
-278  ,
-257  ,
-252  ,
-226  ,
-214  ,
-187  ,
-164  ,
-139  ,
-112  ,
-85 ,
-60 ,
-31 ,
-7  ,
19  ,
44  ,
65  ,
89  ,
105 ,
126 ,
141 ,
164 ,
171 ,
200 ,
198 ,
224 ,
226 ,
242 ,
250 ,
261 ,
272 ,
286 ,
295 ,
304 ,
313 ,
316 ,
323 ,
321 ,
323 ,
321 ,
318 ,
314 ,
306 ,
301 ,
287 ,
286 ,
272 ,
271 ,
260 ,
254 ,
247 ,
236 ,
229 ,
214 ,
198 ,
185 ,
163 ,
150 ,
131 ,
116 ,
98  ,
82  ,
63  ,
46  ,
24  ,
8 ,
-20 ,
-33 ,
-66 ,
-86 ,
-117  ,
-146  ,
-168  ,
-198  ,
-215  ,
-237  ,
-254  ,
-268  ,
-286  ,
-294  ,
-304  ,
-307  ,
-308  ,
-306  ,
-306  ,
-308  ,
-307  ,
-311  ,
-307  ,
-308  ,
-303  ,
-300  ,
-302  ,
-296  ,
-308  ,
-299  ,
-310  ,
-306  ,
-309  ,
-307  ,
-303  ,
-306  ,
-302  ,
-306  ,
-304  ,
-303  ,
-301  ,
-302  ,
-300  ,
-305  ,
-306  ,
-316  ,
-319  ,
-332  ,
-331  ,
-347  ,
-341  ,
-356  ,
-348  ,
-356  ,
-348  ,
-348  ,
-343  ,
-348  ,
-345  ,
-354  ,
-354  ,
-359  ,
-361  ,
-365  ,
-365  ,
-372  ,
-370  ,
-376  ,
-373  ,
-373  ,
-375  ,
-371  ,
-381  ,
-380  ,
-390  ,
-392  ,
-401  ,
-402  ,
-414  ,
-413  ,
-425  ,
-424  ,
-428  ,
-422  ,
-416  ,
-411  ,
-406  ,
-408  ,
-403  ,
-406  ,
-400  ,
-398  ,
-394  ,
-392  ,
-391  ,
-396  ,
-397  ,
-402  ,
-402  ,
-400  ,
-400  ,
-397  ,
-398  ,
-396  ,
-398  ,
-389  ,
-384  ,
-376  ,
-365  ,
-363  ,
-351  ,
-352  ,
-338  ,
-341  ,
-333  ,
-334  ,
-338  ,
-339  ,
-344  ,
-347  ,
-346  ,
-344  ,
-345  ,
-340  ,
-341  ,
-337  ,
-333  ,
-323  ,
-320  ,
-307  ,
-306  ,
-296  ,
-293  ,
-284  ,
-277  ,
-268  ,
-253  ,
-246  ,
-235  ,
-225  ,
-221  ,
-213  ,
-207  ,
-200  ,
-196  ,
-187  ,
-191  ,
-183  ,
-187  ,
-179  ,
-182  ,
-169  ,
-169  ,
-162  ,
-156  ,
-158  ,
-147  ,
-146  ,
-136  ,
-129  ,
-124  ,
-126  ,
-125  ,
-133  ,
-137  ,
-144  ,
-150  ,
-159  ,
-170  ,
-184  ,
-201  ,
-215  ,
-231  ,
-244  ,
-252  ,
-260  ,
-263  ,
-267  ,
-269  ,
-263  ,
-262  ,
-245  ,
-239  ,
-222  ,
-210  ,
-198  ,
-183  ,
-173  ,
-155  ,
-146  ,
-126  ,
-118  ,
-95 ,
-82 ,
-57 ,
-35 ,
-11 ,
17  ,
32  ,
58  ,
72  ,
89  ,
113 ,
124 ,
152 ,
164 ,
184 ,
196 ,
212 ,
223 ,
238 ,
252 ,
260 ,
274 ,
272 ,
275 ,
274 ,
267 ,
271 ,
263 ,
264 ,
260 ,
252 ,
250 ,
240 ,
243 ,
239 ,
242 ,
242 ,
246 ,
238 ,
242 ,
230 ,
229 ,
224 ,
214 ,
207 ,
193 ,
182 ,
167 ,
155 ,
141 ,
126 ,
114 ,
95  ,
80  ,
63  ,
46  ,
36  ,
21  ,
13  ,
-3  ,
-8  ,
-23 ,
-22 ,
-30 ,
-27 ,
-31 ,
-31 ,
-34 ,
-33 ,
-30 ,
-27 ,
-14 ,
-11 ,
5 ,
13  ,
26  ,
36  ,
51  ,
65  ,
85  ,
98  ,
115 ,
125 ,
138 ,
151 ,
161 ,
179 ,
185 ,
198 ,
199 ,
204 ,
197 ,
198 ,
189 ,
187 ,
179 ,
167 ,
156 ,
140 ,
125 ,
110 ,
95  ,
86  ,
70  ,
65  ,
48  ,
44  ,
30  ,
31  ,
20  ,
27  ,
19  ,
22  ,
15  ,
22  ,
16  ,
32  ,
31  ,
45  ,
49  ,
56  ,
63  ,
67  ,
79  ,
87  ,
99  ,
110 ,
120 ,
132 ,
148 ,
162 ,
183 ,
198 ,
216 ,
227 ,
241 ,
242 ,
258 ,
259 ,
274 ,
278 ,
291 ,
294 ,
307 ,
309 ,
324 ,
333 ,
350 ,
360 ,
370 ,
376 ,
378 ,
379 ,
378 ,
382 ,
379 ,
379 ,
377 ,
369 ,
368 ,
362 ,
360 ,
360 ,
359 ,
358 ,
356 ,
352 ,
346 ,
346 ,
341 ,
346 ,
347 ,
350 ,
351 ,
353 ,
354 ,
360 ,
368 ,
376 ,
389 ,
389 ,
399 ,
395 ,
403 ,
404 ,
411 ,
414 ,
422 ,
423 ,
430 ,
435 ,
439 ,
452 ,
453 ,
464 ,
463 ,
463 ,
465 ,
461 ,
465 ,
464 ,
466 ,
460 ,
461 ,
449 ,
451 ,
443 ,
442 ,
439 ,
430 ,
424 ,
411 ,
398 ,
390 ,
380 ,
380 ,
372 ,
371 ,
359 ,
358 ,
350 ,
348 ,
344 ,
339 ,
339 ,
327 ,
328 ,
309 ,
309 ,
295 ,
291 ,
284 ,
274 ,
261 ,
249 ,
230 ,
225 ,
213 ,
211 ,
211 ,
204 ,
208 ,
200 ,
209 ,
209 ,
221 ,
230 ,
239 ,
251 ,
252 ,
263 ,
264 ,
276 ,
278 ,
289 ,
291 ,
294 ,
298 ,
292 ,
294 ,
292 ,
290 ,
287 ,
280 ,
268 ,
255 ,
245 ,
225 ,
221 ,
199 ,
189 ,
172 ,
152 ,
135 ,
118 ,
96  ,
83  ,
51  ,
33  ,
-2  ,
-28 ,
-61 ,
-89 ,
-114  ,
-136  ,
-159  ,
-175  ,
-196  ,
-208  ,
-220  ,
-228  ,
-231  ,
-235  ,
-240  ,
-244  ,
-252  ,
-253  ,
-259  ,
-252  ,
-249  ,
-245  ,
-239  ,
-244  ,
-238  ,
-245  ,
-233  ,
-232  ,
-219  ,
-210  ,
-206  ,
-195  ,
-195  ,
-184  ,
-177  ,
-161  ,
-149  ,
-132  ,
-122  ,
-108  ,
-103  ,
-87 ,
-77 ,
-61 ,
-44 ,
-39 ,
-24 ,
-21 ,
-10 ,
1 ,
9 ,
26  ,
29  ,
46  ,
45  ,
56  ,
56  ,
65  ,
69  ,
77  ,
74  ,
84  ,
79  ,
89  ,
91  ,
100 ,
102 ,
104 ,
100 ,
94  ,
88  ,
81  ,
75  ,
68  ,
61  ,
50  ,
38  ,
27  ,
20  ,
13  ,
13  ,
7 ,
-3  ,
-9  ,
-26 ,
-33 ,
-44 ,
-50 ,
-61 ,
-67 ,
-85 ,
-98 ,
-118  ,
-135  ,
-155  ,
-163  ,
-184  ,
-193  ,
-215  ,
-231  ,
-249  ,
-262  ,
-267  ,
-275  ,
-275  ,
-282  ,
-288  ,
-293  ,
-298  ,
-296  ,
-298  ,
-288  ,
-291  ,
-284  ,
-287  ,
-284  ,
-284  ,
-277  ,
-269  ,
-260  ,
-250  ,
-238  ,
-236  ,
-217  ,
-217  ,
-201  ,
-197  ,
-188  ,
-184  ,
-185  ,
-178  ,
-183  ,
-172  ,
-174  ,
-164  ,
-167  ,
-160  ,
-165  ,
-163  ,
-166  ,
-167  ,
-172  ,
-179  ,
-191  ,
-205  ,
-216  ,
-230  ,
-234  ,
-244  ,
-252  ,
-257  ,
-273  ,
-277  ,
-288  ,
-293  ,
-298  ,
-300  ,
-302  ,
-313  ,
-313  ,
-330  ,
-332  ,
-345  ,
-353  ,
-367  ,
-377  ,
-397  ,
-409  ,
-428  ,
-436  ,
-444  ,
-452  ,
-453  ,
-468  ,
-474  ,
-492  ,
-498  ,
-510  ,
-514  ,
-520  ,
-529  ,
-537  ,
-550  ,
-563  ,
-570  ,
-580  ,
-579  ,
-583  ,
-586  ,
-585  ,
-589  ,
-584  ,
-581  ,
-575  ,
-566  ,
-562  ,
-556  ,
-556  ,
-552  ,
-552  ,
-545  ,
-544  ,
-539  ,
-539  ,
-532  ,
-534  ,
-524  ,
-521  ,
-515  ,
-506  ,
-509  ,
-504  ,
-505  ,
-507  ,
-502  ,
-501  ,
-494  ,
-490  ,
-485  ,
-480  ,
-473  ,
-460  ,
-445  ,
-425  ,
-408  ,
-390  ,
-375  ,
-359  ,
-339  ,
-326  ,
-297  ,
-286  ,
-264  ,
-257  ,
-249  ,
-239  ,
-233  ,
-219  ,
-206  ,
-191  ,
-173  ,
-158  ,
-139  ,
-126  ,
-101  ,
-88 ,
-61 ,
-50 ,
-33 ,
-23 ,
-17 ,
-8  ,
-5  ,
-1  ,
-3  ,
-5  ,
-16 ,
-24 ,
-36 ,
-48 ,
-51 ,
-62 ,
-63 ,
-72 ,
-77 ,
-84 ,
-89 ,
-93 ,
-92 ,
-100  ,
-95 ,
-106  ,
-104  ,
-108  ,
-110  ,
-107  ,
-102  ,
-98 ,
-92 ,
-88 ,
-82 ,
-76 ,
-69 ,
-61 ,
-51 ,
-46 ,
-39 ,
-34 ,
-25 ,
-13 ,
3 ,
15  ,
36  ,
47  ,
63  ,
77  ,
90  ,
111 ,
126 ,
142 ,
157 ,
162 ,
171 ,
168 ,
170 ,
169 ,
165 ,
164 ,
155 ,
151 ,
145 ,
144 ,
145 ,
149 ,
157 ,
159 ,
166 ,
164 ,
168 ,
165 ,
169 ,
170 ,
168 ,
166 ,
154 ,
147 ,
130 ,
121 ,
108 ,
94  ,
83  ,
66  ,
53  ,
34  ,
25  ,
10  ,
4 ,
-12 ,
-19 ,
-35 ,
-46 ,
-57 ,
-65 ,
-72 ,
-76 ,
-84 ,
-86 ,
-90 ,
-86 ,
-85 ,
-76 ,
-71 ,
-64 ,
-56 ,
-54 ,
-43 ,
-40 ,
-25 ,
-18 ,
2 ,
12  ,
32  ,
48  ,
71  ,
96  ,
123 ,
150 ,
177 ,
202 ,
224 ,
245 ,
265 ,
286 ,
301 ,
317 ,
325 ,
324 ,
328 ,
314 ,
316 ,
304 ,
304 ,
296 ,
295 ,
288 ,
284 ,
279 ,
275 ,
272 ,
270 ,
264 ,
259 ,
249 ,
235 ,
225 ,
211 ,
202 ,
191 ,
178 ,
173 ,
158 ,
157 ,
150 ,
152 ,
153 ,
157 ,
156 ,
166 ,
159 ,
171 ,
170 ,
182 ,
184 ,
197 ,
191 ,
205 ,
203 ,
212 ,
219 ,
226 ,
235 ,
243 ,
246 ,
255 ,
255 ,
261 ,
258 ,
257 ,
255 ,
248 ,
246 ,
243 ,
242 ,
245 ,
245 ,
247 ,
247 ,
249 ,
247 ,
253 ,
253 ,
262 ,
261 ,
265 ,
263 ,
258 ,
252 ,
247 ,
240 ,
237 ,
231 ,
229 ,
229 ,
227 ,
235 ,
235 ,
249 ,
254 ,
267 ,
273 ,
281 ,
286 ,
288 ,
297 ,
298 ,
304 ,
305 ,
309 ,
312 ,
315 ,
326 ,
330 ,
349 ,
355 ,
371 ,
381 ,
394 ,
405 ,
418 ,
426 ,
437 ,
442 ,
449 ,
454 ,
459 ,
463 ,
466 ,
469 ,
472 ,
474 ,
476 ,
480 ,
483 ,
486 ,
490 ,
487 ,
493 ,
484 ,
489 ,
480 ,
481 ,
477 ,
476 ,
475 ,
477 ,
471 ,
478 ,
473 ,
478 ,
476 ,
475 ,
476 ,
475 ,
470 ,
468 ,
457 ,
455 ,
437 ,
428 ,
414 ,
401 ,
394 ,
383 ,
383 ,
376 ,
382 ,
378 ,
388 ,
388 ,
399 ,
396 ,
407 ,
404 ,
405 ,
406 ,
394 ,
395 ,
375 ,
374 ,
354 ,
352 ,
339 ,
333 ,
326 ,
321 ,
314 ,
309 ,
296 ,
290 ,
271 ,
259 ,
240 ,
219 ,
201 ,
174 ,
157 ,
128 ,
107 ,
77  ,
50  ,
21  ,
-7  ,
-32 ,
-64 ,
-81 ,
-115  ,
-130  ,
-163  ,
-186  ,
-212  ,
-239  ,
-259  ,
-280  ,
-296  ,
-310  ,
-320  ,
-330  ,
-332  ,
-339  ,
-338  ,
-338  ,
-333  ,
-330  ,
-324  ,
-323  ,
-320  ,
-318  ,
-317  ,
-314  ,
-312  ,
-309  ,
-303  ,
-300  ,
-289  ,
-280  ,
-265  ,
-248  ,
-227  ,
-210  ,
-185  ,
-171  ,
-146  ,
-133  ,
-109  ,
-102  ,
-81 ,
-80 ,
-66 ,
-63 ,
-54 ,
-44 ,
-35 ,
-25 ,
-9  ,
-3  ,
15  ,
22  ,
38  ,
51  ,
59  ,
73  ,
77  ,
91  ,
97  ,
111 ,
119 ,
133 ,
139 ,
147 ,
154 ,
158 ,
171 ,
173 ,
186 ,
188 ,
194 ,
197 ,
196 ,
197 ,
196 ,
193 ,
188 ,
181 ,
168 ,
159 ,
148 ,
140 ,
134 ,
123 ,
119 ,
105 ,
99  ,
84  ,
73  ,
62  ,
42  ,
30  ,
5 ,
-15 ,
-39 ,
-63 ,
-85 ,
-109  ,
-127  ,
-154  ,
-169  ,
-194  ,
-206  ,
-221  ,
-234  ,
-239  ,
-251  ,
-259  ,
-271  ,
-282  ,
-296  ,
-304  ,
-322  ,
-330  ,
-347  ,
-355  ,
-371  ,
-375  ,
-385  ,
-385  ,
-385  ,
-384  ,
-382  ,
-381  ,
-377  ,
-376  ,
-373  ,
-368  ,
-369  ,
-362  ,
-366  ,
-360  ,
-365  ,
-359  ,
-362  ,
-358  ,
-357  ,
-353  ,
-356  ,
-352  ,
-356  ,
-353  ,
-356  ,
-354  ,
-359  ,
-361  ,
-370  ,
-378  ,
-388  ,
-395  ,
-402  ,
-406  ,
-409  ,
-414  ,
-415  ,
-415  ,
-416  ,
-410  ,
-409  ,
-405  ,
-403  ,
-407  ,
-410  ,
-413  ,
-420  ,
-420  ,
-427  ,
-430  ,
-436  ,
-446  ,
-453  ,
-466  ,
-469  ,
-479  ,
-476  ,
-488  ,
-483  ,
-494  ,
-496  ,
-500  ,
-507  ,
-508  ,
-516  ,
-519  ,
-530  ,
-535  ,
-542  ,
-544  ,
-540  ,
-536  ,
-531  ,
-523  ,
-520  ,
-508  ,
-502  ,
-490  ,
-481  ,
-472  ,
-468  ,
-464  ,
-465  ,
-460  ,
-458  ,
-451  ,
-450  ,
-441  ,
-444  ,
-437  ,
-433  ,
-428  ,
-414  ,
-412  ,
-397  ,
-399  ,
-387  ,
-391  ,
-385  ,
-384  ,
-379  ,
-378  ,
-380  ,
-383  ,
-391  ,
-393  ,
-391  ,
-390  ,
-373  ,
-367  ,
-355  ,
-344  ,
-341  ,
-327  ,
-323  ,
-305  ,
-295  ,
-282  ,
-270  ,
-260  ,
-249  ,
-235  ,
-225  ,
-207  ,
-195  ,
-182  ,
-172  ,
-160  ,
-154  ,
-141  ,
-133  ,
-125  ,
-122  ,
-123  ,
-130  ,
-135  ,
-147  ,
-151  ,
-164  ,
-165  ,
-181  ,
-182  ,
-195  ,
-196  ,
-199  ,
-199  ,
-198  ,
-198  ,
-197  ,
-202  ,
-200  ,
-209  ,
-202  ,
-209  ,
-202  ,
-205  ,
-203  ,
-201  ,
-203  ,
-191  ,
-188  ,
-175  ,
-163  ,
-153  ,
-137  ,
-124  ,
-106  ,
-86 ,
-66 ,
-41 ,
-29 ,
-6  ,
-1  ,
17  ,
28  ,
42  ,
58  ,
73  ,
84  ,
98  ,
104 ,
117 ,
125 ,
138 ,
143 ,
154 ,
152 ,
158 ,
157 ,
162 ,
173 ,
184 ,
194 ,
212 ,
216 ,
233 ,
240 ,
253 ,
264 ,
281 ,
287 ,
299 ,
302 ,
304 ,
307 ,
303 ,
299 ,
294 ,
280 ,
272 ,
254 ,
244 ,
229 ,
222 ,
209 ,
205 ,
192 ,
185 ,
173 ,
166 ,
151 ,
146 ,
126 ,
119 ,
98  ,
86  ,
73  ,
57  ,
53  ,
34  ,
34  ,
17  ,
20  ,
11  ,
14  ,
19  ,
20  ,
29  ,
29  ,
37  ,
40  ,
48  ,
57  ,
65  ,
78  ,
84  ,
98  ,
105 ,
122 ,
129 ,
150 ,
156 ,
176 ,
180 ,
188 ,
192 ,
193 ,
196 ,
197 ,
196 ,
197 ,
196 ,
195 ,
194 ,
192 ,
192 ,
189 ,
191 ,
185 ,
186 ,
181 ,
179 ,
177 ,
171 ,
166 ,
157 ,
149 ,
138 ,
127 ,
116 ,
105 ,
97  ,
90  ,
91  ,
86  ,
95  ,
94  ,
103 ,
112 ,
120 ,
131 ,
140 ,
148 ,
154 ,
165 ,
167 ,
180 ,
181 ,
193 ,
196 ,
204 ,
214 ,
217 ,
232 ,
242 ,
253 ,
266 ,
272 ,
277 ,
284 ,
284 ,
289 ,
291 ,
295 ,
295 ,
298 ,
295 ,
298 ,
300 ,
304 ,
315 ,
314 ,
328 ,
320 ,
333 ,
325 ,
335 ,
335 ,
337 ,
342 ,
340 ,
349 ,
345 ,
359 ,
360 ,
372 ,
381 ,
386 ,
398 ,
396 ,
413 ,
410 ,
427 ,
427 ,
438 ,
438 ,
443 ,
442 ,
447 ,
445 ,
447 ,
447 ,
445 ,
450 ,
447 ,
457 ,
459 ,
463 ,
471 ,
468 ,
475 ,
466 ,
467 ,
461 ,
454 ,
451 ,
436 ,
431 ,
419 ,
406 ,
403 ,
394 ,
393 ,
391 ,
388 ,
390 ,
387 ,
387 ,
383 ,
381 ,
380 ,
368 ,
368 ,
348 ,
349 ,
329 ,
331 ,
314 ,
317 ,
308 ,
307 ,
301 ,
296 ,
295 ,
286 ,
288 ,
283 ,
280 ,
275 ,
267 ,
262 ,
258 ,
258 ,
256 ,
264 ,
265 ,
274 ,
274 ,
283 ,
286 ,
294 ,
301 ,
309 ,
317 ,
319 ,
325 ,
323 ,
325 ,
320 ,
318 ,
312 ,
308 ,
308 ,
301 ,
305 ,
300 ,
305 ,
300 ,
307 ,
295 ,
301 ,
283 ,
277 ,
263 ,
239 ,
227 ,
190 ,
175 ,
138 ,
116 ,
85  ,
64  ,
36  ,
16  ,
-3  ,
-21 ,
-36 ,
-53 ,
-70 ,
-82 ,
-103  ,
-115  ,
-136  ,
-149  ,
-164  ,
-180  ,
-186  ,
-202  ,
-204  ,
-215  ,
-220  ,
-218  ,
-225  ,
-221  ,
-226  ,
-226  ,
-228  ,
-228  ,
-234  ,
-231  ,
-239  ,
-232  ,
-236  ,
-224  ,
-221  ,
-210  ,
-197  ,
-188  ,
-174  ,
-160  ,
-149  ,
-135  ,
-122  ,
-118  ,
-103  ,
-102  ,
-95 ,
-92 ,
-94 ,
-91 ,
-97 ,
-96 ,
-100  ,
-100  ,
-97 ,
-97 ,
-89 ,
-86 ,
-77 ,
-68 ,
-62 ,
-49 ,
-47 ,
-32 ,
-35 ,
-21 ,
-28 ,
-20 ,
-25 ,
-21 ,
-20 ,
-17 ,
-12 ,
-8  ,
0 ,
7 ,
15  ,
27  ,
38  ,
50  ,
57  ,
61  ,
64  ,
62  ,
62  ,
59  ,
56  ,
52  ,
48  ,
38  ,
35  ,
24  ,
22  ,
11  ,
5 ,
-5  ,
-23 ,
-36 ,
-60 ,
-80 ,
-97 ,
-121  ,
-132  ,
-155  ,
-165  ,
-184  ,
-194  ,
-205  ,
-213  ,
-217  ,
-224  ,
-231  ,
-236  ,
-247  ,
-252  ,
-259  ,
-267  ,
-273  ,
-279  ,
-296  ,
-302  ,
-318  ,
-326  ,
-328  ,
-336  ,
-330  ,
-331  ,
-323  ,
-315  ,
-306  ,
-291  ,
-279  ,
-262  ,
-249  ,
-241  ,
-229  ,
-226  ,
-215  ,
-210  ,
-205  ,
-201  ,
-200  ,
-200  ,
-202  ,
-197  ,
-196  ,
-188  ,
-182  ,
-181  ,
-174  ,
-177  ,
-177  ,
-175  ,
-180  ,
-178  ,
-186  ,
-189  ,
-198  ,
-204  ,
-211  ,
-211  ,
-213  ,
-212  ,
-211  ,
-219  ,
-216  ,
-231  ,
-235  ,
-247  ,
-264  ,
-273  ,
-299  ,
-313  ,
-336  ,
-353  ,
-368  ,
-382  ,
-397  ,
-408  ,
-426  ,
-437  ,
-451  ,
-460  ,
-470  ,
-474  ,
-485  ,
-490  ,
-502  ,
-512  ,
-521  ,
-534  ,
-543  ,
-554  ,
-566  ,
-575  ,
-580  ,
-587  ,
-584  ,
-586  ,
-580  ,
-582  ,
-574  ,
-576  ,
-568  ,
-563  ,
-557  ,
-549  ,
-545  ,
-539  ,
-539  ,
-531  ,
-534  ,
-523  ,
-524  ,
-510  ,
-511  ,
-496  ,
-498  ,
-484  ,
-481  ,
-473  ,
-465  ,
-463  ,
-459  ,
-461  ,
-461  ,
-463  ,
-462  ,
-460  ,
-456  ,
-446  ,
-438  ,
-426  ,
-415  ,
-400  ,
-388  ,
-369  ,
-356  ,
-338  ,
-327  ,
-308  ,
-301  ,
-281  ,
-273  ,
-255  ,
-241  ,
-223  ,
-205  ,
-189  ,
-171  ,
-160  ,
-138  ,
-132  ,
-107  ,
-103  ,
-85 ,
-77 ,
-65 ,
-58 ,
-50 ,
-49 ,
-48 ,
-51 ,
-53 ,
-59 ,
-60 ,
-63 ,
-60 ,
-60 ,
-56 ,
-57 ,
-53 ,
-53 ,
-49 ,
-50 ,
-46 ,
-55 ,
-49 ,
-60 ,
-55 ,
-59 ,
-59 ,
-58 ,
-55 ,
-54 ,
-44 ,
-41 ,
-20 ,
-10 ,
12  ,
25  ,
40  ,
52  ,
64  ,
72  ,
83  ,
85  ,
95  ,
95  ,
103 ,
99  ,
109 ,
105 ,
117 ,
117 ,
123 ,
129 ,
127 ,
134 ,
134 ,
136 ,
139 ,
135 ,
140 ,
137 ,
145 ,
146 ,
158 ,
160 ,
175 ,
173 ,
190 ,
187 ,
202 ,
201 ,
214 ,
211 ,
221 ,
216 ,
219 ,
216 ,
217 ,
207 ,
207 ,
188 ,
184 ,
166 ,
160 ,
145 ,
140 ,
125 ,
121 ,
104 ,
99  ,
84  ,
74  ,
61  ,
48  ,
33  ,
19  ,
0 ,
-13 ,
-29 ,
-40 ,
-52 ,
-62 ,
-66 ,
-74 ,
-69 ,
-67 ,
-58 ,
-48 ,
-34 ,
-28 ,
-7  ,
-5  ,
17  ,
25  ,
45  ,
51  ,
71  ,
77  ,
95  ,
108 ,
122 ,
140 ,
152 ,
163 ,
175 ,
179 ,
193 ,
197 ,
203 ,
214 ,
212 ,
222 ,
218 ,
223 ,
224 ,
228 ,
234 ,
235 ,
241 ,
238 ,
241 ,
241 ,
242 ,
245 ,
242 ,
243 ,
237 ,
232 ,
222 ,
213 ,
203 ,
193 ,
187 ,
178 ,
172 ,
172 ,
166 ,
177 ,
175 ,
187 ,
191 ,
198 ,
206 ,
211 ,
215 ,
222 ,
219 ,
224 ,
217 ,
220 ,
215 ,
213 ,
215 ,
210 ,
217 ,
214 ,
218 ,
214 ,
220 ,
217 ,
222 ,
221 ,
218 ,
217 ,
210 ,
209 ,
206 ,
208 ,
205 ,
213 ,
209 ,
219 ,
214 ,
221 ,
220 ,
224 ,
225 ,
222 ,
224 ,
216 ,
217 ,
209 ,
209 ,
208 ,
209 ,
213 ,
216 ,
226 ,
228 ,
242 ,
248 ,
260 ,
275 ,
281 ,
298 ,
303 ,
312 ,
319 ,
322 ,
325 ,
325 ,
321 ,
320 ,
317 ,
310 ,
312 ,
307 ,
312 ,
314 ,
314 ,
321 ,
318 ,
324 ,
325 ,
328 ,
331 ,
333 ,
333 ,
336 ,
336 ,
338 ,
338 ,
339 ,
337 ,
337 ,
339 ,
333 ,
343 ,
337 ,
346 ,
345 ,
345 ,
345 ,
344 ,
342 ,
345 ,
344 ,
345 ,
348 ,
347 ,
354 ,
355 ,
361 ,
365 ,
371 ,
374 ,
379 ,
380 ,
383 ,
383 ,
385 ,
382 ,
386 ,
379 ,
379 ,
374 ,
373 ,
375 ,
374 ,
380 ,
378 ,
388 ,
388 ,
396 ,
401 ,
406 ,
413 ,
415 ,
418 ,
419 ,
417 ,
415 ,
409 ,
405 ,
396 ,
389 ,
376 ,
370 ,
352 ,
347 ,
329 ,
317 ,
300 ,
283 ,
263 ,
245 ,
221 ,
199 ,
176 ,
149 ,
124 ,
95  ,
68  ,
42  ,
17  ,
-7  ,
-33 ,
-53 ,
-79 ,
-97 ,
-120  ,
-135  ,
-155  ,
-171  ,
-187  ,
-208  ,
-217  ,
-235  ,
-245  ,
-252  ,
-262  ,
-264  ,
-273  ,
-274  ,
-280  ,
-277  ,
-280  ,
-276  ,
-275  ,
-273  ,
-269  ,
-268  ,
-264  ,
-262  ,
-262  ,
-254  ,
-254  ,
-245  ,
-242  ,
-233  ,
-228  ,
-219  ,
-210  ,
-204  ,
-191  ,
-187  ,
-175  ,
-171  ,
-163  ,
-155  ,
-152  ,
-141  ,
-136  ,
-130  ,
-119  ,
-117  ,
-110  ,
-99 ,
-99 ,
-85 ,
-82 ,
-73 ,
-60 ,
-55 ,
-35 ,
-31 ,
-14 ,
-6  ,
3 ,
19  ,
25  ,
43  ,
54  ,
69  ,
81  ,
93  ,
104 ,
118 ,
133 ,
147 ,
164 ,
176 ,
187 ,
194 ,
202 ,
202 ,
210 ,
209 ,
209 ,
208 ,
202 ,
196 ,
189 ,
178 ,
174 ,
161 ,
157 ,
138 ,
128 ,
107 ,
94  ,
73  ,
56  ,
38  ,
16  ,
-1  ,
-22 ,
-46 ,
-62 ,
-87 ,
-103  ,
-122  ,
-140  ,
-155  ,
-176  ,
-190  ,
-213  ,
-224  ,
-244  ,
-255  ,
-269  ,
-279  ,
-288  ,
-300  ,
-306  ,
-315  ,
-321  ,
-320  ,
-325  ,
-318  ,
-317  ,
-311  ,
-306  ,
-301  ,
-294  ,
-291  ,
-284  ,
-279  ,
-274  ,
-269  ,
-268  ,
-266  ,
-267  ,
-267  ,
-267  ,
-270  ,
-264  ,
-266  ,
-262  ,
-256  ,
-257  ,
-251  ,
-250  ,
-245  ,
-240  ,
-238  ,
-232  ,
-234  ,
-230  ,
-228  ,
-231  ,
-226  ,
-228  ,
-226  ,
-226  ,
-230  ,
-234  ,
-244  ,
-253  ,
-266  ,
-278  ,
-293  ,
-308  ,
-323  ,
-340  ,
-351  ,
-368  ,
-377  ,
-390  ,
-398  ,
-406  ,
-414  ,
-419  ,
-431  ,
-434  ,
-447  ,
-455  ,
-467  ,
-479  ,
-487  ,
-497  ,
-504  ,
-511  ,
-517  ,
-524  ,
-526  ,
-530  ,
-530  ,
-525  ,
-528  ,
-517  ,
-520  ,
-508  ,
-506  ,
-489  ,
-482  ,
-463  ,
-455  ,
-438  ,
-431  ,
-421  ,
-416  ,
-408  ,
-404  ,
-399  ,
-393  ,
-392  ,
-387  ,
-387  ,
-386  ,
-388  ,
-385  ,
-387  ,
-385  ,
-389  ,
-387  ,
-393  ,
-389  ,
-391  ,
-386  ,
-383  ,
-374  ,
-368  ,
-359  ,
-353  ,
-342  ,
-335  ,
-323  ,
-319  ,
-305  ,
-306  ,
-293  ,
-295  ,
-289  ,
-284  ,
-282  ,
-269  ,
-271  ,
-255  ,
-256  ,
-238  ,
-231  ,
-223  ,
-209  ,
-206  ,
-195  ,
-188  ,
-187  ,
-177  ,
-179  ,
-174  ,
-175  ,
-183  ,
-180  ,
-195  ,
-190  ,
-204  ,
-201  ,
-210  ,
-210  ,
-219  ,
-220  ,
-225  ,
-224  ,
-224  ,
-220  ,
-216  ,
-211  ,
-210  ,
-203  ,
-202  ,
-192  ,
-184  ,
-174  ,
-162  ,
-155  ,
-142  ,
-137  ,
-118  ,
-108  ,
-90 ,
-75 ,
-63 ,
-55 ,
-47 ,
-44 ,
-38 ,
-30 ,
-26 ,
-17 ,
-7  ,
-2  ,
10  ,
15  ,
33  ,
41  ,
58  ,
66  ,
80  ,
87  ,
95  ,
100 ,
105 ,
109 ,
113 ,
116 ,
120 ,
125 ,
134 ,
144 ,
159 ,
169 ,
182 ,
191 ,
200 ,
208 ,
216 ,
225 ,
230 ,
237 ,
241 ,
240 ,
245 ,
242 ,
243 ,
241 ,
237 ,
233 ,
223 ,
216 ,
202 ,
195 ,
182 ,
169 ,
157 ,
141 ,
127 ,
110 ,
96  ,
80  ,
68  ,
51  ,
42  ,
24  ,
14  ,
-1  ,
-7  ,
-14 ,
-10 ,
-12 ,
-4  ,
-3  ,
1 ,
3 ,
7 ,
10  ,
16  ,
19  ,
26  ,
31  ,
36  ,
44  ,
52  ,
62  ,
80  ,
86  ,
107 ,
111 ,
125 ,
130 ,
138 ,
143 ,
148 ,
149 ,
148 ,
148 ,
146 ,
144 ,
148 ,
144 ,
152 ,
146 ,
150 ,
145 ,
147 ,
141 ,
143 ,
135 ,
133 ,
126 ,
116 ,
113 ,
100 ,
100 ,
93  ,
88  ,
85  ,
79  ,
76  ,
75  ,
75  ,
79  ,
82  ,
89  ,
91  ,
99  ,
103 ,
108 ,
116 ,
120 ,
123 ,
126 ,
122 ,
121 ,
126 ,
123 ,
136 ,
136 ,
149 ,
153 ,
164 ,
168 ,
183 ,
187 ,
199 ,
202 ,
207 ,
208 ,
210 ,
212 ,
214 ,
222 ,
224 ,
231 ,
236 ,
240 ,
245 ,
255 ,
257 ,
268 ,
274 ,
274 ,
282 ,
279 ,
286 ,
286 ,
292 ,
294 ,
308 ,
309 ,
327 ,
331 ,
347 ,
360 ,
370 ,
384 ,
389 ,
400 ,
404 ,
409 ,
416 ,
417 ,
422 ,
423 ,
422 ,
421 ,
418 ,
415 ,
416 ,
413 ,
414 ,
409 ,
409 ,
402 ,
403 ,
398 ,
399 ,
399 ,
393 ,
393 ,
384 ,
376 ,
373 ,
363 ,
361 ,
356 ,
351 ,
346 ,
340 ,
334 ,
333 ,
329 ,
333 ,
332 ,
329 ,
329 ,
318 ,
318 ,
307 ,
312 ,
302 ,
310 ,
299 ,
304 ,
300 ,
302 ,
309 ,
310 ,
318 ,
319 ,
320 ,
317 ,
318 ,
311 ,
316 ,
309 ,
310 ,
304 ,
301 ,
302 ,
302 ,
312 ,
317 ,
330 ,
333 ,
342 ,
345 ,
352 ,
360 ,
369 ,
377 ,
385 ,
389 ,
389 ,
391 ,
387 ,
393 ,
389 ,
387 ,
384 ,
369 ,
364 ,
351 ,
345 ,
337 ,
329 ,
323 ,
307 ,
297 ,
276 ,
264 ,
246 ,
228 ,
214 ,
185 ,
170 ,
139 ,
116 ,
99  ,
74  ,
63  ,
39  ,
27  ,
5 ,
-8  ,
-29 ,
-40 ,
-55 ,
-72 ,
-84 ,
-103  ,
-115  ,
-127  ,
-134  ,
-137  ,
-139  ,
-136  ,
-140  ,
-134  ,
-136  ,
-131  ,
-131  ,
-126  ,
-127  ,
-122  ,
-126  ,
-126  ,
-127  ,
-129  ,
-120  ,
-122  ,
-112  ,
-112  ,
-107  ,
-104  ,
-100  ,
-94 ,
-88 ,
-84 ,
-77 ,
-80 ,
-74 ,
-81 ,
-75 ,
-78 ,
-71 ,
-75 ,
-73 ,
-77 ,
-83 ,
-86 ,
-89 ,
-89 ,
-89 ,
-87 ,
-91 ,
-86 ,
-88 ,
-83 ,
-78 ,
-71 ,
-61 ,
-56 ,
-48 ,
-43 ,
-32 ,
-26 ,
-9  ,
2 ,
18  ,
30  ,
37  ,
52  ,
60  ,
74  ,
83  ,
94  ,
100 ,
104 ,
105 ,
103 ,
107 ,
106 ,
111 ,
108 ,
110 ,
101 ,
101 ,
90  ,
91  ,
83  ,
81  ,
69  ,
58  ,
43  ,
24  ,
12  ,
-11 ,
-18 ,
-44 ,
-57 ,
-84 ,
-101  ,
-122  ,
-137  ,
-150  ,
-164  ,
-178  ,
-193  ,
-210  ,
-222  ,
-236  ,
-243  ,
-253  ,
-261  ,
-269  ,
-281  ,
-285  ,
-293  ,
-293  ,
-292  ,
-292  ,
-290  ,
-292  ,
-294  ,
-290  ,
-293  ,
-284  ,
-280  ,
-276  ,
-266  ,
-272  ,
-263  ,
-267  ,
-259  ,
-254  ,
-248  ,
-235  ,
-233  ,
-221  ,
-216  ,
-205  ,
-193  ,
-181  ,
-166  ,
-152  ,
-144  ,
-132  ,
-128  ,
-118  ,
-111  ,
-104  ,
-96 ,
-99 ,
-95 ,
-105  ,
-104  ,
-110  ,
-112  ,
-118  ,
-123  ,
-133  ,
-143  ,
-155  ,
-167  ,
-176  ,
-191  ,
-198  ,
-218  ,
-228  ,
-250  ,
-265  ,
-280  ,
-298  ,
-312  ,
-332  ,
-347  ,
-369  ,
-384  ,
-405  ,
-415  ,
-434  ,
-447  ,
-468  ,
-486  ,
-505  ,
-520  ,
-536  ,
-540  ,
-551  ,
-553  ,
-558  ,
-566  ,
-567  ,
-570  ,
-570  ,
-564  ,
-569  ,
-557  ,
-562  ,
-550  ,
-552  ,
-541  ,
-537  ,
-529  ,
-524  ,
-523  ,
-522  ,
-517  ,
-519  ,
-508  ,
-507  ,
-496  ,
-495  ,
-487  ,
-483  ,
-481  ,
-469  ,
-469  ,
-456  ,
-450  ,
-444  ,
-435  ,
-430  ,
-420  ,
-413  ,
-404  ,
-397  ,
-392  ,
-384  ,
-382  ,
-373  ,
-366  ,
-357  ,
-345  ,
-333  ,
-326  ,
-310  ,
-302  ,
-288  ,
-271  ,
-261  ,
-240  ,
-230  ,
-217  ,
-202  ,
-195  ,
-178  ,
-167  ,
-156  ,
-143  ,
-140  ,
-133  ,
-134  ,
-128  ,
-131  ,
-127  ,
-133  ,
-130  ,
-140  ,
-138  ,
-144  ,
-147  ,
-143  ,
-149  ,
-144  ,
-152  ,
-148  ,
-152  ,
-145  ,
-140  ,
-128  ,
-119  ,
-106  ,
-97 ,
-87 ,
-75 ,
-69 ,
-52 ,
-47 ,
-33 ,
-25 ,
-17 ,
-7  ,
3 ,
14  ,
26  ,
36  ,
44  ,
54  ,
58  ,
68  ,
75  ,
83  ,
90  ,
96  ,
98  ,
104 ,
103 ,
107 ,
109 ,
109 ,
117 ,
110 ,
118 ,
112 ,
118 ,
121 ,
125 ,
130 ,
130 ,
135 ,
134 ,
140 ,
142 ,
147 ,
154 ,
160 ,
163 ,
172 ,
171 ,
180 ,
183 ,
187 ,
189 ,
192 ,
188 ,
187 ,
180 ,
177 ,
171 ,
167 ,
153 ,
143 ,
127 ,
106 ,
93  ,
68  ,
52  ,
36  ,
15  ,
2 ,
-14 ,
-29 ,
-38 ,
-48 ,
-57 ,
-62 ,
-72 ,
-75 ,
-84 ,
-85 ,
-90 ,
-88 ,
-85 ,
-84 ,
-76 ,
-76 ,
-64 ,
-60 ,
-51 ,
-39 ,
-32 ,
-17 ,
-10 ,
1 ,
17  ,
23  ,
45  ,
48  ,
63  ,
71  ,
78  ,
91  ,
98  ,
109 ,
117 ,
126 ,
132 ,
142 ,
145 ,
156 ,
158 ,
168 ,
167 ,
175 ,
166 ,
175 ,
165 ,
173 ,
170 ,
174 ,
174 ,
175 ,
172 ,
176 ,
171 ,
182 ,
177 ,
190 ,
182 ,
192 ,
186 ,
192 ,
190 ,
190 ,
187 ,
185 ,
175 ,
177 ,
165 ,
171 ,
163 ,
168 ,
167 ,
168 ,
171 ,
168 ,
176 ,
171 ,
183 ,
182 ,
191 ,
191 ,
195 ,
198 ,
201 ,
206 ,
206 ,
211 ,
207 ,
212 ,
203 ,
207 ,
199 ,
201 ,
193 ,
195 ,
185 ,
185 ,
175 ,
173 ,
167 ,
167 ,
162 ,
161 ,
156 ,
161 ,
155 ,
163 ,
163 ,
168 ,
175 ,
179 ,
179 ,
189 ,
186 ,
196 ,
199 ,
206 ,
211 ,
215 ,
221 ,
225 ,
227 ,
236 ,
236 ,
246 ,
252 ,
253 ,
264 ,
262 ,
272 ,
271 ,
278 ,
275 ,
276 ,
276 ,
269 ,
271 ,
263 ,
264 ,
259 ,
258 ,
251 ,
249 ,
245 ,
243 ,
244 ,
236 ,
242 ,
231 ,
236 ,
231 ,
232 ,
231 ,
234 ,
235 ,
240 ,
244 ,
250 ,
251 ,
257 ,
260 ,
261 ,
267 ,
268 ,
271 ,
273 ,
275 ,
271 ,
277 ,
271 ,
274 ,
274 ,
274 ,
280 ,
280 ,
288 ,
289 ,
299 ,
302 ,
314 ,
314 ,
325 ,
327 ,
334 ,
341 ,
343 ,
357 ,
356 ,
371 ,
372 ,
382 ,
389 ,
394 ,
399 ,
407 ,
404 ,
414 ,
410 ,
415 ,
412 ,
413 ,
408 ,
407 ,
395 ,
392 ,
377 ,
373 ,
356 ,
348 ,
327 ,
313 ,
293 ,
273 ,
253 ,
232 ,
212 ,
187 ,
167 ,
140 ,
118 ,
91  ,
72  ,
46  ,
35  ,
11  ,
3 ,
-13 ,
-23 ,
-30 ,
-41 ,
-44 ,
-55 ,
-55 ,
-64 ,
-67 ,
-70 ,
-79 ,
-76 ,
-87 ,
-86 ,
-95 ,
-97 ,
-105  ,
-105  ,
-114  ,
-111  ,
-114  ,
-107  ,
-106  ,
-98 ,
-102  ,
-90 ,
-97 ,
-91 ,
-88 ,
-95 ,
-83 ,
-92 ,
-83 ,
-86 ,
-81 ,
-80 ,
-75 ,
-71 ,
-68 ,
-62 ,
-65 ,
-54 ,
-65 ,
-54 ,
-64 ,
-65 ,
-67 ,
-78 ,
-76 ,
-87 ,
-83 ,
-91 ,
-86 ,
-90 ,
-87 ,
-86 ,
-81 ,
-75 ,
-66 ,
-59 ,
-50 ,
-39 ,
-33 ,
-15 ,
-12 ,
9 ,
15  ,
33  ,
46  ,
57  ,
76  ,
89  ,
108 ,
127 ,
145 ,
160 ,
177 ,
185 ,
201 ,
208 ,
220 ,
224 ,
228 ,
229 ,
222 ,
219 ,
204 ,
202 ,
188 ,
185 ,
171 ,
161 ,
147 ,
131 ,
120 ,
101 ,
85  ,
67  ,
41  ,
24  ,
-1  ,
-23 ,
-36 ,
-61 ,
-69 ,
-93 ,
-103  ,
-119  ,
-130  ,
-139  ,
-150  ,
-153  ,
-169  ,
-173  ,
-191  ,
-200  ,
-213  ,
-229  ,
-239  ,
-256  ,
-271  ,
-288  ,
-302  ,
-315  ,
-322  ,
-335  ,
-338  ,
-350  ,
-350  ,
-358  ,
-358  ,
-359  ,
-357  ,
-353  ,
-349  ,
-343  ,
-339  ,
-330  ,
-326  ,
-312  ,
-306  ,
-288  ,
-282  ,
-267  ,
-260  ,
-249  ,
-241  ,
-236  ,
-226  ,
-227  ,
-222  ,
-227  ,
-229  ,
-233  ,
-240  ,
-243  ,
-257  ,
-260  ,
-276  ,
-281  ,
-294  ,
-303  ,
-311  ,
-322  ,
-330  ,
-344  ,
-354  ,
-372  ,
-384  ,
-401  ,
-416  ,
-428  ,
-446  ,
-458  ,
-474  ,
-487  ,
-498  ,
-512  ,
-518  ,
-532  ,
-534  ,
-545  ,
-546  ,
-550  ,
-554  ,
-551  ,
-562  ,
-557  ,
-569  ,
-571  ,
-576  ,
-583  ,
-584  ,
-591  ,
-593  ,
-595  ,
-597  ,
-596  ,
-593  ,
-589  ,
-582  ,
-575  ,
-566  ,
-559  ,
-549  ,
-541  ,
-528  ,
-517  ,
-504  ,
-493  ,
-479  ,
-471  ,
-456  ,
-446  ,
-434  ,
-421  ,
-413  ,
-402  ,
-396  ,
-386  ,
-383  ,
-375  ,
-367  ,
-368  ,
-353  ,
-361  ,
-348  ,
-350  ,
-343  ,
-335  ,
-328  ,
-317  ,
-305  ,
-293  ,
-280  ,
-264  ,
-253  ,
-235  ,
-222  ,
-208  ,
-198  ,
-187  ,
-185  ,
-175  ,
-177  ,
-174  ,
-174  ,
-180  ,
-178  ,
-183  ,
-185  ,
-181  ,
-188  ,
-180  ,
-186  ,
-181  ,
-185  ,
-185  ,
-184  ,
-189  ,
-186  ,
-187  ,
-186  ,
-183  ,
-182  ,
-174  ,
-171  ,
-157  ,
-153  ,
-136  ,
-131  ,
-114  ,
-110  ,
-89 ,
-85 ,
-58 ,
-54 ,
-29 ,
-21 ,
0 ,
11  ,
27  ,
43  ,
54  ,
74  ,
80  ,
97  ,
101 ,
117 ,
121 ,
138 ,
141 ,
159 ,
158 ,
172 ,
170 ,
181 ,
179 ,
189 ,
186 ,
194 ,
194 ,
198 ,
205 ,
211 ,
224 ,
232 ,
248 ,
257 ,
270 ,
280 ,
291 ,
303 ,
313 ,
321 ,
332 ,
336 ,
345 ,
349 ,
355 ,
362 ,
368 ,
374 ,
381 ,
381 ,
390 ,
384 ,
389 ,
384 ,
378 ,
372 ,
361 ,
356 ,
338 ,
334 ,
316 ,
312 ,
300 ,
290 ,
280 ,
270 ,
263 ,
252 ,
247 ,
240 ,
231 ,
230 ,
222 ,
219 ,
217 ,
213 ,
213 ,
213 ,
213 ,
214 ,
215 ,
216 ,
217 ,
222 ,
223 ,
232 ,
236 ,
243 ,
252 ,
254 ,
262 ,
260 ,
263 ,
261 ,
257 ,
255 ,
247 ,
245 ,
236 ,
233 ,
227 ,
224 ,
220 ,
217 ,
213 ,
208 ,
205 ,
200 ,
198 ,
195 ,
195 ,
191 ,
196 ,
191 ,
198 ,
193 ,
201 ,
199 ,
206 ,
206 ,
207 ,
208 ,
207 ,
204 ,
204 ,
197 ,
197 ,
187 ,
185 ,
176 ,
173 ,
168 ,
165 ,
161 ,
158 ,
152 ,
151 ,
147 ,
148 ,
149 ,
149 ,
154 ,
150 ,
155 ,
154 ,
155 ,
159 ,
159 ,
159 ,
158 ,
152 ,
152 ,
145 ,
145 ,
142 ,
139 ,
140 ,
133 ,
133 ,
130 ,
130 ,
130 ,
131 ,
128 ,
125 ,
125 ,
116 ,
121 ,
115 ,
122 ,
124 ,
130 ,
131 ,
138 ,
142 ,
148 ,
160 ,
163 ,
174 ,
181 ,
186 ,
201 ,
203 ,
219 ,
226 ,
239 ,
250 ,
257 ,
270 ,
275 ,
287 ,
294 ,
298 ,
303 ,
301 ,
300 ,
294 ,
288 ,
282 ,
274 ,
267 ,
254 ,
242 ,
230 ,
213 ,
207 ,
191 ,
186 ,
177 ,
170 ,
163 ,
156 ,
153 ,
145 ,
149 ,
143 ,
141 ,
139 ,
131 ,
130 ,
124 ,
118 ,
118 ,
109 ,
110 ,
95  ,
95  ,
84  ,
83  ,
81  ,
77  ,
79  ,
73  ,
72  ,
68  ,
64  ,
65  ,
63  ,
65  ,
65  ,
65  ,
65  ,
70  ,
71  ,
81  ,
84  ,
95  ,
97  ,
106 ,
108 ,
119 ,
128 ,
138 ,
148 ,
158 ,
166 ,
171 ,
181 ,
187 ,
196 ,
206 ,
210 ,
215 ,
221 ,
214 ,
219 ,
212 ,
210 ,
203 ,
193 ,
180 ,
165 ,
148 ,
133 ,
113 ,
97  ,
73  ,
56  ,
30  ,
11  ,
-12 ,
-29 ,
-45 ,
-61 ,
-75 ,
-91 ,
-107  ,
-121  ,
-136  ,
-148  ,
-159  ,
-170  ,
-182  ,
-195  ,
-205  ,
-218  ,
-223  ,
-232  ,
-235  ,
-239  ,
-239  ,
-242  ,
-242  ,
-242  ,
-237  ,
-234  ,
-227  ,
-225  ,
-219  ,
-214  ,
-211  ,
-201  ,
-194  ,
-181  ,
-173  ,
-162  ,
-158  ,
-151  ,
-147  ,
-143  ,
-139  ,
-132  ,
-134  ,
-125  ,
-129  ,
-124  ,
-124  ,
-124  ,
-117  ,
-121  ,
-112  ,
-118  ,
-110  ,
-116  ,
-111  ,
-112  ,
-110  ,
-112  ,
-115  ,
-119  ,
-120  ,
-126  ,
-127  ,
-131  ,
-131  ,
-135  ,
-138  ,
-143  ,
-142  ,
-143  ,
-137  ,
-136  ,
-127  ,
-120  ,
-112  ,
-100  ,
-91 ,
-76 ,
-64 ,
-50 ,
-36 ,
-25 ,
-9  ,
0 ,
19  ,
28  ,
47  ,
56  ,
71  ,
77  ,
88  ,
92  ,
103 ,
103 ,
112 ,
108 ,
109 ,
102 ,
96  ,
88  ,
84  ,
73  ,
72  ,
58  ,
57  ,
43  ,
39  ,
27  ,
20  ,
8 ,
-1  ,
-13 ,
-23 ,
-33 ,
-42 ,
-50 ,
-55 ,
-63 ,
-68 ,
-77 ,
-84 ,
-92 ,
-101  ,
-106  ,
-117  ,
-119  ,
-134  ,
-136  ,
-146  ,
-155  ,
-155  ,
-167  ,
-165  ,
-173  ,
-176  ,
-180  ,
-183  ,
-186  ,
-185  ,
-188  ,
-183  ,
-183  ,
-176  ,
-171  ,
-160  ,
-151  ,
-135  ,
-126  ,
-111  ,
-100  ,
-89 ,
-72 ,
-63 ,
-42 ,
-27 ,
-14 ,
6 ,
13  ,
30  ,
41  ,
52  ,
65  ,
75  ,
79  ,
86  ,
89  ,
84  ,
93  ,
81  ,
87  ,
75  ,
71  ,
57  ,
48  ,
31  ,
22  ,
5 ,
-8  ,
-27 ,
-44 ,
-61 ,
-83 ,
-94 ,
-119  ,
-123  ,
-144  ,
-154  ,
-166  ,
-180  ,
-189  ,
-201  ,
-209  ,
-222  ,
-229  ,
-241  ,
-248  ,
-259  ,
-264  ,
-277  ,
-281  ,
-293  ,
-301  ,
-306  ,
-315  ,
-318  ,
-322  ,
-329  ,
-329  ,
-339  ,
-338  ,
-345  ,
-341  ,
-342  ,
-336  ,
-328  ,
-327  ,
-315  ,
-314  ,
-303  ,
-301  ,
-288  ,
-285  ,
-275  ,
-269  ,
-265  ,
-256  ,
-253  ,
-244  ,
-241  ,
-231  ,
-230  ,
-218  ,
-218  ,
-208  ,
-204  ,
-198  ,
-190  ,
-184  ,
-180  ,
-167  ,
-167  ,
-152  ,
-154  ,
-139  ,
-143  ,
-130  ,
-133  ,
-124  ,
-126  ,
-124  ,
-128  ,
-128  ,
-131  ,
-138  ,
-136  ,
-145  ,
-145  ,
-148  ,
-154  ,
-155  ,
-158  ,
-161  ,
-162  ,
-162  ,
-164  ,
-165  ,
-164  ,
-170  ,
-166  ,
-173  ,
-167  ,
-174  ,
-166  ,
-168  ,
-166  ,
-163  ,
-162  ,
-160  ,
-157  ,
-153  ,
-146  ,
-138  ,
-132  ,
-120  ,
-111  ,
-97 ,
-86 ,
-70 ,
-58 ,
-39 ,
-30 ,
-13 ,
-7  ,
11  ,
14  ,
32  ,
37  ,
48  ,
55  ,
58  ,
66  ,
64  ,
69  ,
65  ,
67  ,
64  ,
65  ,
64  ,
64  ,
65  ,
63  ,
65  ,
64  ,
64  ,
67  ,
66  ,
74  ,
72  ,
76  ,
77  ,
73  ,
79  ,
73  ,
77  ,
78  ,
76  ,
80  ,
78  ,
75  ,
75  ,
74  ,
74  ,
77  ,
77  ,
80  ,
76  ,
80  ,
75  ,
76  ,
73  ,
69  ,
65  ,
60  ,
51  ,
47  ,
37  ,
31  ,
25  ,
18  ,
13  ,
5 ,
-3  ,
-9  ,
-16 ,
-18 ,
-22 ,
-24 ,
-22 ,
-27 ,
-24 ,
-23 ,
-21 ,
-9  ,
-11 ,
5 ,
4 ,
17  ,
22  ,
29  ,
39  ,
45  ,
52  ,
58  ,
58  ,
65  ,
64  ,
67  ,
68  ,
64  ,
67  ,
64  ,
63  ,
65  ,
66  ,
69  ,
73  ,
75  ,
79  ,
80  ,
83  ,
88  ,
89  ,
99  ,
98  ,
105 ,
103 ,
109 ,
108 ,
114 ,
115 ,
119 ,
121 ,
127 ,
131 ,
138 ,
149 ,
152 ,
170 ,
168 ,
184 ,
182 ,
193 ,
192 ,
203 ,
199 ,
209 ,
206 ,
209 ,
211 ,
211 ,
211 ,
214 ,
211 ,
212 ,
209 ,
206 ,
204 ,
204 ,
200 ,
200 ,
196 ,
190 ,
190 ,
179 ,
181 ,
175 ,
171 ,
170 ,
161 ,
159 ,
154 ,
146 ,
148 ,
136 ,
136 ,
125 ,
119 ,
111 ,
101 ,
95  ,
89  ,
83  ,
81  ,
71  ,
72  ,
64  ,
70  ,
67  ,
73  ,
78  ,
81  ,
91  ,
93  ,
106 ,
110 ,
125 ,
129 ,
144 ,
147 ,
158 ,
162 ,
171 ,
181 ,
188 ,
204 ,
208 ,
222 ,
230 ,
235 ,
246 ,
247 ,
252 ,
253 ,
253 ,
252 ,
247 ,
245 ,
242 ,
239 ,
237 ,
231 ,
228 ,
221 ,
218 ,
213 ,
210 ,
207 ,
200 ,
199 ,
188 ,
188 ,
178 ,
177 ,
172 ,
169 ,
166 ,
162 ,
158 ,
155 ,
153 ,
152 ,
151 ,
153 ,
150 ,
147 ,
150 ,
145 ,
147 ,
148 ,
143 ,
146 ,
144 ,
137 ,
146 ,
138 ,
154 ,
154 ,
166 ,
172 ,
181 ,
194 ,
203 ,
217 ,
231 ,
241 ,
260 ,
261 ,
283 ,
281 ,
300 ,
305 ,
316 ,
325 ,
334 ,
339 ,
346 ,
350 ,
358 ,
359 ,
364 ,
360 ,
357 ,
351 ,
338 ,
329 ,
313 ,
301 ,
285 ,
269 ,
252 ,
232 ,
213 ,
195 ,
176 ,
156 ,
140 ,
116 ,
97  ,
78  ,
53  ,
38  ,
14  ,
-4  ,
-25 ,
-44 ,
-64 ,
-82 ,
-97 ,
-114  ,
-126  ,
-141  ,
-152  ,
-162  ,
-169  ,
-176  ,
-176  ,
-187  ,
-181  ,
-195  ,
-186  ,
-200  ,
-193  ,
-201  ,
-200  ,
-200  ,
-204  ,
-199  ,
-203  ,
-195  ,
-197  ,
-188  ,
-186  ,
-180  ,
-177  ,
-177  ,
-172  ,
-171  ,
-169  ,
-167  ,
-169  ,
-168  ,
-172  ,
-172  ,
-177  ,
-176  ,
-177  ,
-175  ,
-171  ,
-173  ,
-165  ,
-171  ,
-165  ,
-171  ,
-172  ,
-175  ,
-180  ,
-185  ,
-191  ,
-194  ,
-199  ,
-200  ,
-202  ,
-202  ,
-200  ,
-197  ,
-193  ,
-188  ,
-178  ,
-173  ,
-160  ,
-153  ,
-140  ,
-130  ,
-115  ,
-102  ,
-87 ,
-72 ,
-58 ,
-46 ,
-29 ,
-22 ,
-2  ,
5 ,
21  ,
30  ,
39  ,
48  ,
57  ,
62  ,
69  ,
75  ,
76  ,
78  ,
77  ,
72  ,
72  ,
65  ,
64  ,
60  ,
57  ,
56  ,
49  ,
49  ,
41  ,
38  ,
31  ,
24  ,
15  ,
6 ,
-8  ,
-19 ,
-36 ,
-49 ,
-62 ,
-80 ,
-91 ,
-105  ,
-116  ,
-125  ,
-137  ,
-143  ,
-157  ,
-160  ,
-175  ,
-184  ,
-196  ,
-208  ,
-218  ,
-229  ,
-239  ,
-249  ,
-250  ,
-263  ,
-257  ,
-267  ,
-261  ,
-265  ,
-259  ,
-264  ,
-255  ,
-253  ,
-245  ,
-232  ,
-229  ,
-215  ,
-210  ,
-198  ,
-187  ,
-174  ,
-162  ,
-147  ,
-131  ,
-118  ,
-102  ,
-93 ,
-80 ,
-66 ,
-59 ,
-41 ,
-43 ,
-30 ,
-34 ,
-29 ,
-34 ,
-40 ,
-46 ,
-57 ,
-65 ,
-75 ,
-84 ,
-94 ,
-101  ,
-110  ,
-117  ,
-127  ,
-135  ,
-149  ,
-158  ,
-170  ,
-184  ,
-188  ,
-208  ,
-215  ,
-230  ,
-243  ,
-253  ,
-266  ,
-278  ,
-282  ,
-295  ,
-294  ,
-305  ,
-309  ,
-313  ,
-320  ,
-322  ,
-328  ,
-328  ,
-332  ,
-335  ,
-333  ,
-337  ,
-328  ,
-329  ,
-324  ,
-320  ,
-307  ,
-312  ,
-336  ,
-328  ,
-314  ,
-299  ,
-304  ,
-288  ,
-283  ,
-254  ,
-239  ,
-222  ,
-206  ,
-168  ,
-140  ,
-153  ,
-157  ,
-165  ,
-164  ,
-149  ,
-117  ,
-87 ,
-76 ,
-83 ,
-73 ,
-55 ,
-56 ,
-80 ,
-73 ,
-45 ,
-49 ,
-72 ,
-68 ,
-56 ,
-51 ,
-52 ,
-40 ,
-40 ,
-64 ,
-86 ,
-79 ,
-74 ,
-76 ,
-82 ,
-75 ,
-82 ,
-110  ,
-124  ,
-140  ,
-144  ,
-139  ,
-121  ,
-123  ,
-141  ,
-155  ,
-163  ,
-165  ,
-168  ,
-166  ,
-165  ,
-172  ,
-171  ,
-175  ,
-170  ,
-173  ,
-155  ,
-134  ,
-135  ,
-153  ,
-146  ,
-122  ,
-93 ,
-61 ,
-42 ,
-37 ,
-50 ,
-50 ,
-37 ,
-20 ,
-9  ,
15  ,
40  ,
43  ,
30  ,
26  ,
33  ,
42  ,
63  ,
67  ,
66  ,
51  ,
36  ,
46  ,
44  ,
54  ,
41  ,
49  ,
49  ,
42  ,
39  ,
23  ,
27  ,
34  ,
43  ,
23  ,
4 ,
-20 ,
-14 ,
-9  ,
18  ,
21  ,
27  ,
20  ,
25  ,
29  ,
28  ,
36  ,
53  ,
79  ,
78  ,
64  ,
51  ,
41  ,
44  ,
62  ,
70  ,
75  ,
72  ,
71  ,
89  ,
82  ,
83  ,
84  ,
87  ,
92  ,
80  ,
71  ,
54  ,
59  ,
67  ,
89  ,
82  ,
77  ,
70  ,
75  ,
87  ,
94  ,
111 ,
116 ,
119 ,
113 ,
100 ,
79  ,
75  ,
79  ,
103 ,
101 ,
96  ,
85  ,
74  ,
74  ,
72  ,
82  ,
79  ,
73  ,
69  ,
62  ,
47  ,
34  ,
31  ,
37  ,
33  ,
32  ,
14  ,
6 ,
0 ,
7 ,
27  ,
29  ,
27  ,
27  ,
18  ,
18  ,
11  ,
24  ,
41  ,
57  ,
66  ,
64  ,
56  ,
55  ,
63  ,
89  ,
94  ,
112 ,
102 ,
103 ,
98  ,
100 ,
114 ,
119 ,
135 ,
135 ,
143 ,
130 ,
129 ,
131 ,
145 ,
149 ,
154 ,
152 ,
146 ,
144 ,
141 ,
156 ,
159 ,
163 ,
154 ,
142 ,
121 ,
112 ,
113 ,
121 ,
123 ,
112 ,
107 ,
84  ,
72  ,
55  ,
58  ,
58  ,
48  ,
45  ,
24  ,
13  ,
-7  ,
-6  ,
-1  ,
13  ,
15  ,
18  ,
15  ,
20  ,
23  ,
29  ,
33  ,
44  ,
50  ,
57  ,
57  ,
70  ,
86  ,
109 ,
132 ,
165 ,
177 ,
193 ,
200 ,
227 ,
247 ,
263 ,
279 ,
291 ,
293 ,
293 ,
290 ,
299 ,
300 ,
316 ,
327 ,
333 ,
330 ,
319 ,
319 ,
314 ,
319 ,
307 ,
304 ,
285 ,
278 ,
263 ,
254 ,
243 ,
237 ,
240 ,
230 ,
226 ,
209 ,
196 ,
189 ,
188 ,
186 ,
169 ,
152 ,
128 ,
118 ,
102 ,
94  ,
93  ,
83  ,
86  ,
75  ,
63  ,
57  ,
46  ,
59  ,
67  ,
74  ,
69  ,
59  ,
50  ,
52  ,
49  ,
67  ,
65  ,
86  ,
88  ,
105 ,
111 ,
134 ,
145 ,
177 ,
190 ,
213 ,
214 ,
228 ,
235 ,
262 ,
277 ,
302 ,
305 ,
311 ,
313 ,
315 ,
324 ,
330 ,
336 ,
322 ,
279 ,
219 ,
160 ,
89  ,
24  ,
-41 ,
-77 ,
-98 ,
-99 ,
-88 ,
-67 ,
-30 ,
23  ,
97  ,
162 ,
212 ,
253 ,
304 ,
347 ,
386 ,
411 ,
423 ,
440 ,
444 ,
426 ,
360 ,
298 ,
245 ,
198 ,
135 ,
99  ,
61  ,
37  ,
-4  ,
-21 ,
-37 ,
-34 ,
-34 ,
-25 ,
-12 ,
10  ,
28  ,
71  ,
126 ,
177 ,
241 ,
290 ,
332 ,
318 ,
264 ,
193 ,
151 ,
105 ,
62  ,
14  ,
-20 ,
-18 ,
15  ,
41  ,
56  ,
66  ,
88  ,
92  ,
47  ,
-26 ,
-97 ,
-138  ,
-149  ,
-149  ,
-141  ,
-130  ,
-89 ,
-38 ,
20  ,
49  ,
59  ,
27  ,
-25 ,
-101  ,
-192  ,
-260  ,
-318  ,
-356  ,
-389  ,
-400  ,
-389  ,
-359  ,
-326  ,
-279  ,
-237  ,
-206  ,
-207  ,
-266  ,
-346  ,
-417  ,
-437  ,
-425  ,
-406  ,
-377  ,
-324  ,
-258  ,
-185  ,
-131  ,
-66 ,
-20 ,
22  ,
36  ,
7 ,
-40 ,
-89 ,
-107  ,
-85 ,
-51 ,
-13 ,
28  ,
51  ,
84  ,
78  ,
77  ,
70  ,
64  ,
54  ,
25  ,
3 ,
-16 ,
-25 ,
-10 ,
14  ,
55  ,
71  ,
99  ,
94  ,
78  ,
54  ,
26  ,
-14 ,
-80 ,
-160  ,
-213  ,
-263  ,
-292  ,
-328  ,
-351  ,
-367  ,
-354  ,
-337  ,
-308  ,
-278  ,
-232  ,
-175  ,
-123  ,
-89 ,
-83 ,
-72 ,
-54 ,
-24 ,
5 ,
13  ,
28  ,
28  ,
35  ,
37  ,
42  ,
65  ,
97  ,
129 ,
154 ,
164 ,
165 ,
160 ,
151 ,
155 ,
159 ,
160 ,
143 ,
125 ,
109 ,
105 ,
126 ,
144 ,
168 ,
173 ,
178 ,
177 ,
170 ,
156 ,
160 ,
174 ,
209 ,
231 ,
247 ,
238 ,
235 ,
235 ,
223 ,
192 ,
141 ,
82  ,
26  ,
-44 ,
-107  ,
-176  ,
-238  ,
-295  ,
-353  ,
-410  ,
-475  ,
-538  ,
-594  ,
-640  ,
-683  ,
-723  ,
-747  ,
-752  ,
-730  ,
-696  ,
-647  ,
-588  ,
-543  ,
-501  ,
-471  ,
-431  ,
-408  ,
-382  ,
-379  ,
-378  ,
-383  ,
-395  ,
-402  ,
-409  ,
-407  ,
-395  ,
-381  ,
-395  ,
-422  ,
-469  ,
-513  ,
-546  ,
-587  ,
-615  ,
-650  ,
-663  ,
-668  ,
-652  ,
-623  ,
-567  ,
-503  ,
-414  ,
-348  ,
-282  ,
-249  ,
-210  ,
-176  ,
-136  ,
-102  ,
-68 ,
-49 ,
-31 ,
-31 ,
-22 ,
-15 ,
-5  ,
8 ,
5 ,
-2  ,
-10 ,
-34 ,
-53 ,
-76 ,
-87 ,
-92 ,
-98 ,
-118  ,
-130  ,
-143  ,
-146  ,
-143  ,
-148  ,
-142  ,
-142  ,
-118  ,
-91 ,
-59 ,
-26 ,
7 ,
55  ,
94  ,
130 ,
140 ,
164 ,
178 ,
201 ,
211 ,
202 ,
204 ,
195 ,
211 ,
212 ,
221 ,
218 ,
210 ,
201 ,
169 ,
148 ,
106 ,
88  ,
64  ,
58  ,
58  ,
60  ,
76  ,
98  ,
127 ,
157 ,
186 ,
196 ,
192 ,
163 ,
134 ,
107 ,
91  ,
79  ,
80  ,
92  ,
98  ,
118 ,
113 ,
106 ,
84  ,
52  ,
11  ,
-47 ,
-127  ,
-197  ,
-262  ,
-299  ,
-317  ,
-319  ,
-298  ,
-272  ,
-243  ,
-212  ,
-197  ,
-186  ,
-191  ,
-200  ,
-213  ,
-233  ,
-230  ,
-230  ,
-206  ,
-180  ,
-149  ,
-110  ,
-86 ,
-61 ,
-60 ,
-62 ,
-75 ,
-103  ,
-129  ,
-175  ,
-195  ,
-221  ,
-217  ,
-213  ,
-200  ,
-182  ,
-177  ,
-169  ,
-178  ,
-191  ,
-202  ,
-222  ,
-228  ,
-245  ,
-254  ,
-270  ,
-269  ,
-259  ,
-240  ,
-220  ,
-200  ,
-185  ,
-175  ,
-176  ,
-169  ,
-162  ,
-149  ,
-131  ,
-114  ,
-90 ,
-74 ,
-56 ,
-50 ,
-33 ,
-15 ,
-1  ,
10  ,
7 ,
8 ,
4 ,
13  ,
18  ,
30  ,
42  ,
50  ,
62  ,
58  ,
54  ,
42  ,
41  ,
48  ,
69  ,
89  ,
125 ,
154 ,
207 ,
242 ,
272 ,
284 ,
287 ,
276 ,
258 ,
233 ,
204 ,
184 ,
164 ,
165 ,
173 ,
192 ,
214 ,
228 ,
242 ,
234 ,
227 ,
197 ,
173 ,
140 ,
122 ,
112 ,
117 ,
131 ,
155 ,
181 ,
207 ,
223 ,
215 ,
201 ,
155 ,
117 ,
57  ,
7 ,
-44 ,
-81 ,
-97 ,
-97 ,
-88 ,
-73 ,
-61 ,
-44 ,
-43 ,
-44 ,
-61 ,
-84 ,
-102  ,
-112  ,
-111  ,
-101  ,
-74 ,
-35 ,
25  ,
80  ,
144 ,
184 ,
227 ,
242 ,
256 ,
242 ,
234 ,
212 ,
194 ,
178 ,
166 ,
166 ,
166 ,
170 ,
178 ,
187 ,
188 ,
177 ,
164 ,
143 ,
139 ,
117 ,
132 ,
129 ,
147 ,
159 ,
191 ,
213 ,
242 ,
252 ,
268 ,
280 ,
285 ,
285 ,
284 ,
284 ,
291 ,
307 ,
313 ,
333 ,
332 ,
341 ,
341 ,
330 ,
321 ,
297 ,
281 ,
264 ,
247 ,
230 ,
220 ,
208 ,
209 ,
210 ,
215 ,
225 ,
237 ,
245 ,
271 ,
290 ,
328 ,
362 ,
398 ,
445 ,
481 ,
526 ,
559 ,
586 ,
595 ,
608 ,
600 ,
604 ,
596 ,
603 ,
616 ,
636 ,
660 ,
669 ,
678 ,
673 ,
663 ,
633 ,
600 ,
546 ,
505 ,
458 ,
426 ,
410 ,
410 ,
427 ,
459 ,
494 ,
529 ,
553 ,
563 ,
566 ,
551 ,
538 ,
518 ,
511 ,
510 ,
523 ,
546 ,
584 ,
626 ,
663 ,
692 ,
698 ,
691 ,
654 ,
595 ,
522 ,
438 ,
361 ,
290 ,
227 ,
179 ,
138 ,
113 ,
89  ,
69  ,
26  ,
-9  ,
-70 ,
-122  ,
-186  ,
-240  ,
-286  ,
-313  ,
-331  ,
-318  ,
-314  ,
-277  ,
-260  ,
-224  ,
-218  ,
-212  ,
-230  ,
-252  ,
-286  ,
-320  ,
-354  ,
-382  ,
-399  ,
-410  ,
-415  ,
-417  ,
-419  ,
-420  ,
-431  ,
-448  ,
-464  ,
-496  ,
-512  ,
-542  ,
-550  ,
-558  ,
-543  ,
-530  ,
-503  ,
-480  ,
-460  ,
-440  ,
-429  ,
-417  ,
-412  ,
-403  ,
-395  ,
-377  ,
-369  ,
-348  ,
-343  ,
-324  ,
-320  ,
-309  ,
-317  ,
-320  ,
-331  ,
-338  ,
-336  ,
-333  ,
-313  ,
-291  ,
-262  ,
-237  ,
-216  ,
-200  ,
-190  ,
-182  ,
-180  ,
-173  ,
-165  ,
-142  ,
-112  ,
-67 ,
-14 ,
45  ,
101 ,
144 ,
177 ,
186 ,
182 ,
164 ,
134 ,
100 ,
67  ,
45  ,
34  ,
42  ,
54  ,
76  ,
94  ,
109 ,
97  ,
82  ,
35  ,
-14 ,
-76 ,
-139  ,
-199  ,
-247  ,
-288  ,
-313  ,
-328  ,
-343  ,
-360  ,
-384  ,
-426  ,
-479  ,
-549  ,
-627  ,
-700  ,
-774  ,
-821  ,
-856  ,
-869  ,
-860  ,
-844  ,
-803  ,
-767  ,
-716  ,
-679  ,
-644  ,
-626  ,
-604  ,
-592  ,
-574  ,
-545  ,
-505  ,
-443  ,
-370  ,
-285  ,
-191  ,
-109  ,
-22 ,
42  ,
98  ,
137 ,
155 ,
167 ,
170 ,
170 ,
170 ,
168 ,
170 ,
166 ,
169 ,
160 ,
158 ,
147 ,
137 ,
127 ,
126 ,
130 ,
151 ,
174 ,
213 ,
254 ,
309 ,
361 ,
413 ,
466 ,
508 ,
551 ,
583 ,
617 ,
637 ,
658 ,
674 ,
678 ,
685 ,
667 ,
651 ,
624 ,
587 ,
544 ,
493 ,
440 ,
386 ,
339 ,
289 ,
259 ,
211 ,
177 ,
132 ,
85  ,
36  ,
-13 ,
-57 ,
-104  ,
-138  ,
-182  ,
-205  ,
-230  ,
-242  ,
-237  ,
-241  ,
-235  ,
-257  ,
-284  ,
-334  ,
-396  ,
-470  ,
-537  ,
-617  ,
-683  ,
-751  ,
-805  ,
-850  ,
-890  ,
-919  ,
-954  ,
-992  ,
-1038 ,
-1095 ,
-1155 ,
-1210 ,
-1257 ,
-1283 ,
-1285 ,
-1270 ,
-1227 ,
-1174 ,
-1107 ,
-1033 ,
-967  ,
-911  ,
-879  ,
-857  ,
-865  ,
-867  ,
-881  ,
-869  ,
-851  ,
-814  ,
-763  ,
-707  ,
-652  ,
-595  ,
-547  ,
-507  ,
-484  ,
-478  ,
-484  ,
-501  ,
-516  ,
-520  ,
-502  ,
-473  ,
-415  ,
-362  ,
-293  ,
-236  ,
-175  ,
-116  ,
-63 ,
-15 ,
34  ,
75  ,
126 ,
167 ,
232 ,
298 ,
379 ,
464 ,
552 ,
631 ,
697 ,
751 ,
801 ,
831 ,
859 ,
864 ,
868 ,
859 ,
844 ,
825 ,
806 ,
781 ,
764 ,
743 ,
722 ,
699 ,
675 ,
659 ,
639 ,
634 ,
616 ,
608 ,
599 ,
591 ,
587 ,
576 ,
560 ,
552 ,
540 ,
540 ,
530 ,
535 ,
530 ,
539 ,
539 ,
537 ,
528 ,
506 ,
487 ,
444 ,
403 ,
339 ,
291 ,
243 ,
220 ,
207 ,
204 ,
214 ,
222 ,
249 ,
271 ,
293 ,
315 ,
326 ,
348 ,
363 ,
392 ,
426 ,
477 ,
530 ,
603 ,
665 ,
726 ,
761 ,
784 ,
782 ,
753 ,
706 ,
635 ,
558 ,
483 ,
409 ,
365 ,
323 ,
310 ,
298 ,
297 ,
290 ,
271 ,
244 ,
205 ,
158 ,
105 ,
41  ,
-10 ,
-54 ,
-69 ,
-73 ,
-42 ,
-9  ,
36  ,
73  ,
100 ,
111 ,
104 ,
87  ,
56  ,
30  ,
-4  ,
-29 ,
-59 ,
-69 ,
-84 ,
-77 ,
-83 ,
-92 ,
-104  ,
-132  ,
-162  ,
-205  ,
-246  ,
-285  ,
-319  ,
-347  ,
-360  ,
-379  ,
-384  ,
-398  ,
-403  ,
-417  ,
-437  ,
-463  ,
-489  ,
-522  ,
-556  ,
-580  ,
-602  ,
-615  ,
-628  ,
-632  ,
-639  ,
-646  ,
-646  ,
-652  ,
-643  ,
-638  ,
-620  ,
-594  ,
-569  ,
-524  ,
-486  ,
-424  ,
-375  ,
-318  ,
-271  ,
-231  ,
-195  ,
-172  ,
-144  ,
-127  ,
-104  ,
-90 ,
-76 ,
-60 ,
-52 ,
-35 ,
-34 ,
-19 ,
-13 ,
-5  ,
-7  ,
4 ,
24  ,
47  ,
90  ,
129 ,
182 ,
231 ,
279 ,
336 ,
383 ,
428 ,
466 ,
505 ,
534 ,
564 ,
588 ,
629 ,
679 ,
736 ,
803 ,
862 ,
919 ,
955 ,
993 ,
1002  ,
1009  ,
994 ,
964 ,
930 ,
885 ,
843 ,
803 ,
771 ,
752 ,
733 ,
704 ,
668 ,
618 ,
567 ,
499 ,
434 ,
356 ,
277 ,
205 ,
135 ,
95  ,
56  ,
38  ,
20  ,
10  ,
-17 ,
-59 ,
-115  ,
-187  ,
-258  ,
-346  ,
-424  ,
-513  ,
-593  ,
-661  ,
-721  ,
-763  ,
-808  ,
-852  ,
-896  ,
-958  ,
-1017 ,
-1099 ,
-1169 ,
-1239 ,
-1295 ,
-1327 ,
-1358 ,
-1352 ,
-1342 ,
-1295 ,
-1241 ,
-1158 ,
-1073 ,
-977  ,
-891  ,
-802  ,
-714  ,
-631  ,
-537  ,
-443  ,
-339  ,
-243  ,
-155  ,
-72 ,
-7  ,
59  ,
107 ,
151 ,
169 ,
181 ,
173 ,
162 ,
143 ,
124 ,
112 ,
105 ,
104 ,
99  ,
98  ,
99  ,
114 ,
145 ,
181 ,
231 ,
273 ,
325 ,
376 ,
429 ,
489 ,
549 ,
618 ,
671 ,
726 ,
769 ,
807 ,
849 ,
891 ,
938 ,
978 ,
1002  ,
1017  ,
1009  ,
992 ,
961 ,
920 ,
871 ,
815 ,
750 ,
696 ,
627 ,
589 ,
547 ,
530 ,
512 ,
486 ,
462 ,
425 ,
380 ,
343 ,
289 ,
248 ,
199 ,
152 ,
111 ,
75  ,
50  ,
35  ,
33  ,
19  ,
10  ,
-25 ,
-68 ,
-124  ,
-184  ,
-247  ,
-315  ,
-380  ,
-441  ,
-495  ,
-539  ,
-576  ,
-597  ,
-614  ,
-634  ,
-650  ,
-687  ,
-726  ,
-781  ,
-834  ,
-876  ,
-922  ,
-948  ,
-976  ,
-983  ,
-981  ,
-966  ,
-936  ,
-901  ,
-857  ,
-828  ,
-795  ,
-792  ,
-777  ,
-773  ,
-751  ,
-730  ,
-701  ,
-675  ,
-646  ,
-621  ,
-586  ,
-554  ,
-518  ,
-490  ,
-471  ,
-463  ,
-463  ,
-472  ,
-464  ,
-451  ,
-420  ,
-377  ,
-331  ,
-279  ,
-231  ,
-165  ,
-108  ,
-34 ,
29  ,
92  ,
152 ,
199 ,
250 ,
295 ,
340 ,
387 ,
437 ,
474 ,
499 ,
511 ,
524 ,
541 ,
552 ,
571 ,
580 ,
587 ,
582 ,
569 ,
554 ,
533 ,
503 ,
482 ,
440 ,
397 ,
342 ,
294 ,
255 ,
229 ,
203 ,
195 ,
169 ,
161 ,
139 ,
123 ,
107 ,
86  ,
71  ,
46  ,
22  ,
-9  ,
-26 ,
-40 ,
-34 ,
-13 ,
13  ,
39  ,
65  ,
93  ,
126 ,
167 ,
210 ,
268 ,
320 ,
382 ,
440 ,
506 ,
575 ,
648 ,
719 ,
778 ,
821 ,
840 ,
844 ,
833 ,
811 ,
792 ,
763 ,
734 ,
704 ,
677 ,
654 ,
635 ,
614 ,
604 ,
583 ,
553 ,
517 ,
471 ,
432 ,
386 ,
360 ,
340 ,
326 ,
322 ,
319 ,
326 ,
330 ,
344 ,
350 ,
363 ,
354 ,
335 ,
304 ,
256 ,
217 ,
171 ,
134 ,
93  ,
57  ,
20  ,
-16 ,
-52 ,
-73 ,
-104  ,
-123  ,
-161  ,
-194  ,
-237  ,
-276  ,
-309  ,
-329  ,
-344  ,
-360  ,
-368  ,
-379  ,
-387  ,
-401  ,
-407  ,
-416  ,
-431  ,
-449  ,
-478  ,
-509  ,
-548  ,
-578  ,
-610  ,
-633  ,
-661  ,
-687  ,
-719  ,
-747  ,
-781  ,
-804  ,
-827  ,
-841  ,
-864  ,
-866  ,
-891  ,
-887  ,
-894  ,
-888  ,
-875  ,
-862  ,
-842  ,
-826  ,
-808  ,
-777  ,
-744  ,
-699  ,
-657  ,
-611  ,
-563  ,
-521  ,
-475  ,
-430  ,
-379  ,
-334  ,
-270  ,
-216  ,
-152  ,
-99 ,
-42 ,
14  ,
70  ,
114 ,
155 ,
176 ,
188 ,
186 ,
177 ,
165 ,
161 ,
161 ,
177 ,
194 ,
223 ,
259 ,
300 ,
352 ,
409 ,
462 ,
521 ,
565 ,
616 ,
660 ,
706 ,
762 ,
814 ,
884 ,
934 ,
995 ,
1034  ,
1066  ,
1086  ,
1089  ,
1090  ,
1062  ,
1026  ,
971 ,
907 ,
835 ,
765 ,
697 ,
639 ,
571 ,
511 ,
433 ,
361 ,
276 ,
200 ,
123 ,
49  ,
-24 ,
-96 ,
-162  ,
-225  ,
-268  ,
-310  ,
-331  ,
-362  ,
-384  ,
-422  ,
-460  ,
-499  ,
-536  ,
-571  ,
-614  ,
-663  ,
-713  ,
-773  ,
-821  ,
-862  ,
-892  ,
-908  ,
-921  ,
-928  ,
-932  ,
-932  ,
-921  ,
-891  ,
-850  ,
-807  ,
-756  ,
-710  ,
-668  ,
-616  ,
-570  ,
-512  ,
-460  ,
-411  ,
-363  ,
-323  ,
-289  ,
-257  ,
-220  ,
-187  ,
-150  ,
-125  ,
-103  ,
-97 ,
-92 ,
-86 ,
-82 ,
-72 ,
-74 ,
-73 ,
-81 ,
-86 ,
-90 ,
-79 ,
-71 ,
-46 ,
-29 ,
-9  ,
8 ,
18  ,
35  ,
60  ,
87  ,
124 ,
161 ,
195 ,
235 ,
276 ,
325 ,
364 ,
404 ,
434 ,
459 ,
476 ,
483 ,
490 ,
495 ,
506 ,
518 ,
533 ,
540 ,
552 ,
562 ,
571 ,
569 ,
556 ,
530 ,
495 ,
454 ,
414 ,
374 ,
337 ,
302 ,
266 ,
233 ,
187 ,
143 ,
103 ,
59  ,
22  ,
-27 ,
-73 ,
-121  ,
-169  ,
-199  ,
-223  ,
-235  ,
-241  ,
-246  ,
-246  ,
-249  ,
-259  ,
-267  ,
-286  ,
-300  ,
-332  ,
-355  ,
-388  ,
-414  ,
-428  ,
-442  ,
-441  ,
-453  ,
-460  ,
-473  ,
-485  ,
-499  ,
-507  ,
-517  ,
-515  ,
-515  ,
-509  ,
-508  ,
-498  ,
-493  ,
-464  ,
-444  ,
-419  ,
-396  ,
-374  ,
-355  ,
-331  ,
-308  ,
-285  ,
-256  ,
-229  ,
-195  ,
-162  ,
-125  ,
-79 ,
-25 ,
34  ,
89  ,
144 ,
192 ,
244 ,
297 ,
352 ,
406 ,
451 ,
496 ,
527 ,
561 ,
580 ,
604 ,
623 ,
643 ,
661 ,
666 ,
669 ,
662 ,
650 ,
639 ,
618 ,
601 ,
574 ,
547 ,
513 ,
486 ,
444 ,
413 ,
376 ,
351 ,
323 ,
302 ,
272 ,
258 ,
235 ,
220 ,
196 ,
176 ,
144 ,
111 ,
67  ,
30  ,
-21 ,
-60 ,
-110  ,
-151  ,
-200  ,
-258  ,
-308  ,
-365  ,
-406  ,
-448  ,
-475  ,
-494  ,
-507  ,
-504  ,
-487  ,
-461  ,
-411  ,
-352  ,
-278  ,
-197  ,
-124  ,
-44 ,
21  ,
86  ,
141 ,
196 ,
242 ,
285 ,
319 ,
359 ,
389 ,
428 ,
458 ,
489 ,
505 ,
509 ,
496 ,
471 ,
438 ,
402 ,
365 ,
328 ,
299 ,
267 ,
259 ,
242 ,
252 ,
261 ,
285 ,
301 ,
321 ,
326 ,
337 ,
342 ,
364 ,
387 ,
416 ,
446 ,
478 ,
516 ,
549 ,
586 ,
625 ,
663 ,
692 ,
706 ,
713 ,
707 ,
701 ,
688 ,
677 ,
653 ,
622 ,
580 ,
540 ,
499 ,
455 ,
415 ,
371 ,
326 ,
276 ,
227 ,
176 ,
135 ,
92  ,
58  ,
17  ,
-24 ,
-73 ,
-109  ,
-148  ,
-163  ,
-178  ,
-178  ,
-179  ,
-175  ,
-174  ,
-174  ,
-178  ,
-180  ,
-192  ,
-201  ,
-226  ,
-252  ,
-292  ,
-324  ,
-358  ,
-382  ,
-414  ,
-446  ,
-480  ,
-518  ,
-551  ,
-590  ,
-611  ,
-644  ,
-660  ,
-679  ,
-690  ,
-694  ,
-688  ,
-654  ,
-616  ,
-552  ,
-499  ,
-432  ,
-389  ,
-335  ,
-295  ,
-251  ,
-217  ,
-193  ,
-167  ,
-155  ,
-138  ,
-127  ,
-104  ,
-83 ,
-53 ,
-24 ,
6 ,
19  ,
36  ,
53  ,
71  ,
94  ,
111 ,
134 ,
153 ,
177 ,
206 ,
243 ,
286 ,
331 ,
382 ,
426 ,
459 ,
481 ,
505 ,
524 ,
547 ,
560 ,
569 ,
569 ,
566 ,
554 ,
546 ,
529 ,
516 ,
493 ,
461 ,
420 ,
366 ,
311 ,
254 ,
206 ,
153 ,
104 ,
51  ,
-1  ,
-48 ,
-99 ,
-141  ,
-184  ,
-231  ,
-281  ,
-342  ,
-403  ,
-460  ,
-525  ,
-566  ,
-621  ,
-652  ,
-704  ,
-733  ,
-769  ,
-779  ,
-790  ,
-778  ,
-763  ,
-738  ,
-709  ,
-672  ,
-636  ,
-580  ,
-533  ,
-470  ,
-417  ,
-359  ,
-315  ,
-266  ,
-224  ,
-172  ,
-120  ,
-72 ,
-22 ,
13  ,
50  ,
68  ,
95  ,
103 ,
125 ,
123 ,
128 ,
117 ,
111 ,
102 ,
106 ,
123 ,
146 ,
169 ,
185 ,
202 ,
214 ,
230 ,
248 ,
266 ,
294 ,
313 ,
331 ,
354 ,
371 ,
407 ,
444 ,
490 ,
532 ,
563 ,
588 ,
603 ,
623 ,
632 ,
651 ,
656 ,
666 ,
668 ,
664 ,
657 ,
649 ,
641 ,
635 ,
621 ,
600 ,
571 ,
536 ,
500 ,
466 ,
430 ,
396 ,
353 ,
311 ,
265 ,
217 ,
157 ,
114 ,
54  ,
8 ,
-56 ,
-116  ,
-183  ,
-246  ,
-300  ,
-345  ,
-389  ,
-431  ,
-478  ,
-516  ,
-560  ,
-597  ,
-643  ,
-681  ,
-732  ,
-781  ,
-841  ,
-906  ,
-962  ,
-1021 ,
-1067 ,
-1114 ,
-1155 ,
-1197 ,
-1229 ,
-1261 ,
-1276 ,
-1291 ,
-1288 ,
-1287 ,
-1270 ,
-1252 ,
-1234 ,
-1196 ,
-1160 ,
-1101 ,
-1046 ,
-986  ,
-932  ,
-886  ,
-846  ,
-809  ,
-771  ,
-744  ,
-709  ,
-692  ,
-667  ,
-653  ,
-628  ,
-608  ,
-570  ,
-542  ,
-503  ,
-474  ,
-438  ,
-406  ,
-356  ,
-307  ,
-246  ,
-188  ,
-121  ,
-56 ,
20  ,
91  ,
184 ,
264 ,
361 ,
442 ,
528 ,
601 ,
675 ,
740 ,
810 ,
871 ,
923 ,
963 ,
987 ,
996 ,
1000  ,
984 ,
968 ,
937 ,
903 ,
859 ,
816 ,
767 ,
727 ,
681 ,
642 ,
603 ,
561 ,
521 ,
480 ,
447 ,
420 ,
394 ,
375 ,
344 ,
324 ,
291 ,
270 ,
238 ,
207 ,
171 ,
126 ,
84  ,
37  ,
-9  ,
-49 ,
-84 ,
-110  ,
-133  ,
-153  ,
-166  ,
-175  ,
-180  ,
-184  ,
-189  ,
-198  ,
-215  ,
-221  ,
-232  ,
-229  ,
-232  ,
-220  ,
-215  ,
-198  ,
-197  ,
-178  ,
-181  ,
-165  ,
-171  ,
-170  ,
-187  ,
-210  ,
-233  ,
-265  ,
-288  ,
-313  ,
-335  ,
-357  ,
-379  ,
-399  ,
-419  ,
-432  ,
-455  ,
-464  ,
-480  ,
-499  ,
-512  ,
-533  ,
-548  ,
-561  ,
-571  ,
-570  ,
-577  ,
-570  ,
-571  ,
-552  ,
-539  ,
-516  ,
-493  ,
-469  ,
-447  ,
-420  ,
-399  ,
-375  ,
-349  ,
-317  ,
-278  ,
-244  ,
-200  ,
-169  ,
-134  ,
-102  ,
-73 ,
-49 ,
-26 ,
-9  ,
1 ,
8 ,
-2  ,
-7  ,
-26 ,
-43 ,
-67 ,
-84 ,
-109  ,
-132  ,
-148  ,
-163  ,
-161  ,
-166  ,
-161  ,
-151  ,
-136  ,
-119  ,
-96 ,
-72 ,
-45 ,
-17 ,
5 ,
34  ,
57  ,
78  ,
104 ,
126 ,
150 ,
161 ,
167 ,
170 ,
165 ,
163 ,
160 ,
154 ,
158 ,
161 ,
174 ,
196 ,
221 ,
255 ,
285 ,
318 ,
348 ,
371 ,
391 ,
409 ,
424 ,
443 ,
445 ,
462 ,
462 ,
477 ,
487 ,
507 ,
532 ,
551 ,
571 ,
584 ,
599 ,
607 ,
620 ,
635 ,
654 ,
674 ,
698 ,
720 ,
747 ,
773 ,
809 ,
842 ,
871 ,
891 ,
907 ,
915 ,
924 ,
934 ,
938 ,
940 ,
931 ,
921 ,
904 ,
882 ,
856 ,
829 ,
784 ,
741 ,
680 ,
613 ,
544 ,
471 ,
410 ,
349 ,
284 ,
225 ,
159 ,
98  ,
37  ,
-12 ,
-66 ,
-113  ,
-168  ,
-223  ,
-281  ,
-349  ,
-411  ,
-480  ,
-549  ,
-619  ,
-695  ,
-774  ,
-856  ,
-928  ,
-993  ,
-1046 ,
-1094 ,
-1134 ,
-1181 ,
-1214 ,
-1241 ,
-1248 ,
-1257 ,
-1253 ,
-1243 ,
-1230 ,
-1203 ,
-1186 ,
-1140 ,
-1093 ,
-1026 ,
-958  ,
-884  ,
-815  ,
-747  ,
-667  ,
-590  ,
-510  ,
-437  ,
-374  ,
-310  ,
-254  ,
-199  ,
-142  ,
-94 ,
-27 ,
23  ,
83  ,
129 ,
165 ,
214 ,
240 ,
282 ,
305 ,
329 ,
340 ,
362 ,
375 ,
407 ,
425 ,
458 ,
493 ,
533 ,
576 ,
623 ,
676 ,
731 ,
783 ,
844 ,
891 ,
949 ,
995 ,
1057  ,
1112  ,
1171  ,
1224  ,
1274  ,
1320  ,
1355  ,
1379  ,
1399  ,
1404  ,
1407  ,
1401  ,
1385  ,
1362  ,
1330  ,
1289  ,
1254  ,
1206  ,
1159  ,
1100  ,
1029  ,
954 ,
876 ,
805 ,
742 ,
688 ,
637 ,
593 ,
550 ,
518 ,
485 ,
463 ,
441 ,
426 ,
414 ,
386 ,
366 ,
329 ,
303 ,
268 ,
236 ,
196 ,
153 ,
91  ,
33  ,
-45 ,
-115  ,
-194  ,
-272  ,
-349  ,
-419  ,
-494  ,
-557  ,
-621  ,
-661  ,
-699  ,
-725  ,
-756  ,
-779  ,
-803  ,
-820  ,
-832  ,
-834  ,
-831  ,
-828  ,
-828  ,
-827  ,
-827  ,
-823  ,
-806  ,
-783  ,
-753  ,
-732  ,
-719  ,
-711  ,
-696  ,
-685  ,
-657  ,
-627  ,
-599  ,
-575  ,
-558  ,
-534  ,
-512  ,
-476  ,
-447  ,
-409  ,
-377  ,
-352  ,
-313  ,
-275  ,
-219  ,
-157  ,
-92 ,
-25 ,
28  ,
89  ,
135 ,
203 ,
255 ,
323 ,
362 ,
404 ,
426 ,
449 ,
470 ,
485 ,
515 ,
529 ,
549 ,
551 ,
548 ,
545 ,
531 ,
527 ,
518 ,
510 ,
489 ,
467 ,
442 ,
416 ,
381 ,
350 ,
311 ,
276 ,
227 ,
186 ,
139 ,
100 ,
67  ,
37  ,
16  ,
-9  ,
-27 ,
-45 ,
-46 ,
-45 ,
-33 ,
-18 ,
-12 ,
9 ,
23  ,
47  ,
70  ,
104 ,
142 ,
177 ,
218 ,
253 ,
289 ,
316 ,
343 ,
360 ,
372 ,
366 ,
365 ,
358 ,
342 ,
328 ,
301 ,
283 ,
253 ,
232 ,
208 ,
191 ,
164 ,
139 ,
102 ,
69  ,
29  ,
-3  ,
-37 ,
-65 ,
-92 ,
-119  ,
-144  ,
-160  ,
-169  ,
-171  ,
-185  ,
-191  ,
-209  ,
-216  ,
-242  ,
-238  ,
-250  ,
-247  ,
-264  ,
-272  ,
-285  ,
-299  ,
-309  ,
-310  ,
-309  ,
-307  ,
-315  ,
-319  ,
-327  ,
-333  ,
-337  ,
-342  ,
-347  ,
-367  ,
-382  ,
-415  ,
-448  ,
-484  ,
-518  ,
-551  ,
-584  ,
-619  ,
-656  ,
-686  ,
-706  ,
-719  ,
-732  ,
-745  ,
-757  ,
-765  ,
-777  ,
-775  ,
-771  ,
-749  ,
-727  ,
-704  ,
-672  ,
-658  ,
-646  ,
-636  ,
-628  ,
-625  ,
-639  ,
-651  ,
-678  ,
-693  ,
-722  ,
-738  ,
-747  ,
-749  ,
-742  ,
-725  ,
-706  ,
-682  ,
-660  ,
-627  ,
-591  ,
-557  ,
-519  ,
-484  ,
-442  ,
-398  ,
-349  ,
-299  ,
-248  ,
-198  ,
-147  ,
-102  ,
-59 ,
-23 ,
13  ,
38  ,
67  ,
81  ,
97  ,
96  ,
111 ,
127 ,
144 ,
169 ,
191 ,
217 ,
250 ,
271 ,
305 ,
340 ,
374 ,
423 ,
471 ,
523 ,
575 ,
622 ,
684 ,
747 ,
805 ,
867 ,
907 ,
954 ,
979 ,
1000  ,
1009  ,
1009  ,
1002  ,
985 ,
958 ,
919 ,
874 ,
837 ,
792 ,
758 ,
719 ,
670 ,
617 ,
556 ,
494 ,
429 ,
366 ,
304 ,
240 ,
176 ,
104 ,
34  ,
-33 ,
-100  ,
-156  ,
-206  ,
-260  ,
-314  ,
-368  ,
-416  ,
-453  ,
-491  ,
-513  ,
-545  ,
-569  ,
-597  ,
-625  ,
-643  ,
-661  ,
-667  ,
-664  ,
-664  ,
-654  ,
-650  ,
-638  ,
-632  ,
-614  ,
-611  ,
-597  ,
-598  ,
-593  ,
-595  ,
-590  ,
-582  ,
-563  ,
-542  ,
-524  ,
-489  ,
-463  ,
-435  ,
-414  ,
-393  ,
-371  ,
-346  ,
-333  ,
-310  ,
-305  ,
-288  ,
-278  ,
-253  ,
-227  ,
-212  ,
-188  ,
-173  ,
-156  ,
-149  ,
-144  ,
-130  ,
-124  ,
-110  ,
-99 ,
-84 ,
-74 ,
-50 ,
-27 ,
23  ,
55  ,
101 ,
138 ,
175 ,
224 ,
260 ,
310 ,
356 ,
413 ,
465 ,
520 ,
562 ,
610 ,
651 ,
686 ,
724 ,
737 ,
749 ,
738 ,
724 ,
709 ,
678 ,
651 ,
613 ,
588 ,
546 ,
517 ,
479 ,
449 ,
431 ,
408 ,
399 ,
376 ,
360 ,
340 ,
337 ,
331 ,
322 ,
310 ,
290 ,
272 ,
256 ,
237 ,
221 ,
205 ,
186 ,
160 ,
136 ,
99  ,
72  ,
42  ,
22  ,
1 ,
-20 ,
-47 ,
-69 ,
-82 ,
-95 ,
-108  ,
-124  ,
-145  ,
-163  ,
-183  ,
-203  ,
-217  ,
-235  ,
-252  ,
-265  ,
-282  ,
-293  ,
-311  ,
-323  ,
-326  ,
-329  ,
-324  ,
-327  ,
-319  ,
-321  ,
-308  ,
-299  ,
-279  ,
-267  ,
-243  ,
-228  ,
-203  ,
-190  ,
-169  ,
-151  ,
-115  ,
-77 ,
-23 ,
21  ,
78  ,
121 ,
181 ,
223 ,
269 ,
306 ,
337 ,
356 ,
376 ,
379 ,
389 ,
394 ,
405 ,
429 ,
435 ,
445 ,
440 ,
433 ,
430 ,
412 ,
414 ,
397 ,
380 ,
359 ,
331 ,
307 ,
282 ,
262 ,
244 ,
218 ,
188 ,
140 ,
96  ,
44  ,
-1  ,
-38 ,
-79 ,
-120  ,
-163  ,
-208  ,
-244  ,
-282  ,
-304  ,
-329  ,
-346  ,
-364  ,
-380  ,
-395  ,
-401  ,
-407  ,
-389  ,
-382  ,
-359  ,
-351  ,
-334  ,
-317  ,
-296  ,
-267  ,
-239  ,
-211  ,
-180  ,
-156  ,
-127  ,
-99 ,
-67 ,
-33 ,
5 ,
32  ,
59  ,
77  ,
90  ,
102 ,
121 ,
130 ,
139 ,
141 ,
136 ,
134 ,
121 ,
114 ,
104 ,
100 ,
88  ,
85  ,
64  ,
52  ,
35  ,
28  ,
26  ,
25  ,
27  ,
27  ,
30  ,
32  ,
47  ,
67  ,
95  ,
129 ,
162 ,
200 ,
226 ,
263 ,
291 ,
333 ,
364 ,
402 ,
424 ,
440 ,
446 ,
444 ,
444 ,
427 ,
414 ,
382 ,
352 ,
305 ,
258 ,
206 ,
151 ,
98  ,
42  ,
-10 ,
-69 ,
-115  ,
-160  ,
-187  ,
-208  ,
-217  ,
-220  ,
-223  ,
-218  ,
-209  ,
-198  ,
-180  ,
-165  ,
-151  ,
-141  ,
-148  ,
-155  ,
-173  ,
-182  ,
-198  ,
-199  ,
-214  ,
-225  ,
-246  ,
-267  ,
-285  ,
-300  ,
-320  ,
-341  ,
-369  ,
-401  ,
-430  ,
-458  ,
-478  ,
-487  ,
-488  ,
-488  ,
-485  ,
-483  ,
-473  ,
-455  ,
-435  ,
-406  ,
-382  ,
-360  ,
-342  ,
-317  ,
-288  ,
-260  ,
-221  ,
-191  ,
-157  ,
-133  ,
-112  ,
-96 ,
-86 ,
-76 ,
-64 ,
-55 ,
-43 ,
-37 ,
-15 ,
3 ,
38  ,
64  ,
109 ,
137 ,
179 ,
204 ,
239 ,
256 ,
279 ,
296 ,
318 ,
327 ,
342 ,
343 ,
351 ,
352 ,
357 ,
364 ,
372 ,
377 ,
379 ,
383 ,
378 ,
374 ,
361 ,
348 ,
325 ,
303 ,
263 ,
230 ,
185 ,
149 ,
107 ,
58  ,
15  ,
-43 ,
-98 ,
-159  ,
-219  ,
-278  ,
-339  ,
-398  ,
-454  ,
-504  ,
-555  ,
-595  ,
-619  ,
-635  ,
-629  ,
-625  ,
-600  ,
-575  ,
-542  ,
-500  ,
-455  ,
-410  ,
-363  ,
-325  ,
-282  ,
-249  ,
-211  ,
-173  ,
-133  ,
-96 ,
-59 ,
-24 ,
1 ,
35  ,
54  ,
88  ,
108 ,
132 ,
145 ,
157 ,
161 ,
170 ,
178 ,
189 ,
198 ,
213 ,
221 ,
238 ,
250 ,
270 ,
284 ,
304 ,
314 ,
332 ,
334 ,
346 ,
350 ,
366 ,
368 ,
382 ,
388 ,
399 ,
412 ,
422 ,
449 ,
463 ,
486 ,
504 ,
518 ,
536 ,
547 ,
571 ,
595 ,
624 ,
645 ,
665 ,
677 ,
684 ,
686 ,
677 ,
661 ,
633 ,
596 ,
550 ,
500 ,
449 ,
398 ,
347 ,
296 ,
244 ,
194 ,
139 ,
98  ,
54  ,
27  ,
-11 ,
-38 ,
-73 ,
-101  ,
-130  ,
-154  ,
-173  ,
-194  ,
-221  ,
-243  ,
-276  ,
-308  ,
-347  ,
-382  ,
-411  ,
-451  ,
-486  ,
-527  ,
-569  ,
-607  ,
-653  ,
-678  ,
-716  ,
-740  ,
-768  ,
-789  ,
-802  ,
-813  ,
-817  ,
-813  ,
-816  ,
-810  ,
-805  ,
-798  ,
-783  ,
-769  ,
-751  ,
-728  ,
-707  ,
-684  ,
-658  ,
-631  ,
-600  ,
-570  ,
-546  ,
-519  ,
-504  ,
-486  ,
-477  ,
-464  ,
-452  ,
-433  ,
-419  ,
-389  ,
-364  ,
-319  ,
-283  ,
-232  ,
-186  ,
-127  ,
-74 ,
-7  ,
52  ,
120 ,
182 ,
241 ,
308 ,
362 ,
428 ,
484 ,
547 ,
602 ,
646 ,
695 ,
729 ,
771 ,
798 ,
822 ,
849 ,
856 ,
877 ,
874 ,
890 ,
885 ,
891 ,
880 ,
870 ,
850 ,
824 ,
789 ,
749 ,
712 ,
660 ,
617 ,
555 ,
508 ,
449 ,
396 ,
346 ,
301 ,
264 ,
226 ,
195 ,
167 ,
145 ,
126 ,
112 ,
108 ,
97  ,
100 ,
95  ,
102 ,
107 ,
112 ,
118 ,
122 ,
116 ,
112 ,
99  ,
89  ,
75  ,
61  ,
46  ,
33  ,
12  ,
1 ,
-21 ,
-33 ,
-48 ,
-61 ,
-71 ,
-86 ,
-99 ,
-109  ,
-128  ,
-132  ,
-146  ,
-147  ,
-155  ,
-164  ,
-170  ,
-178  ,
-191  ,
-204  ,
-222  ,
-241  ,
-266  ,
-287  ,
-319  ,
-336  ,
-366  ,
-385  ,
-405  ,
-429  ,
-444  ,
-460  ,
-477  ,
-483  ,
-494  ,
-493  ,
-486  ,
-476  ,
-454  ,
-430  ,
-401  ,
-370  ,
-333  ,
-293  ,
-262  ,
-221  ,
-201  ,
-168  ,
-156  ,
-139  ,
-132  ,
-122  ,
-124  ,
-122  ,
-132  ,
-142  ,
-162  ,
-178  ,
-196  ,
-210  ,
-226  ,
-235  ,
-248  ,
-247  ,
-252  ,
-239  ,
-233  ,
-221  ,
-213  ,
-202  ,
-194  ,
-184  ,
-174  ,
-165  ,
-151  ,
-140  ,
-129  ,
-113  ,
-101  ,
-79 ,
-52 ,
-27 ,
2 ,
22  ,
38  ,
50  ,
65  ,
73  ,
90  ,
102 ,
112 ,
127 ,
120 ,
126 ,
124 ,
129 ,
135 ,
143 ,
149 ,
158 ,
164 ,
169 ,
184 ,
190 ,
198 ,
200 ,
203 ,
202 ,
209 ,
209 ,
215 ,
216 ,
219 ,
220 ,
220 ,
220 ,
229 ,
239 ,
262 ,
282 ,
308 ,
332 ,
356 ,
387 ,
415 ,
449 ,
473 ,
500 ,
515 ,
526 ,
532 ,
533 ,
533 ,
527 ,
525 ,
511 ,
501 ,
482 ,
462 ,
446 ,
420 ,
402 ,
373 ,
349 ,
315 ,
284 ,
248 ,
214 ,
183 ,
148 ,
116 ,
70  ,
31  ,
-28 ,
-72 ,
-134  ,
-189  ,
-250  ,
-317  ,
-388  ,
-463  ,
-546  ,
-618  ,
-697  ,
-759  ,
-827  ,
-877  ,
-934  ,
-976  ,
-1016 ,
-1045 ,
-1059 ,
-1072 ,
-1073 ,
-1075 ,
-1067 ,
-1066 ,
-1051 ,
-1043 ,
-1021 ,
-1009 ,
-981  ,
-967  ,
-932  ,
-908  ,
-869  ,
-827  ,
-780  ,
-731  ,
-686  ,
-638  ,
-599  ,
-552  ,
-510  ,
-458  ,
-410  ,
-363  ,
-314  ,
-263  ,
-211  ,
-155  ,
-95 ,
-32 ,
29  ,
82  ,
140 ,
176 ,
220 ,
249 ,
289 ,
323 ,
352 ,
377 ,
401 ,
419 ,
444 ,
470 ,
499 ,
531 ,
556 ,
583 ,
608 ,
642 ,
679 ,
730 ,
781 ,
846 ,
898 ,
961 ,
1010  ,
1078  ,
1132  ,
1193  ,
1237  ,
1281  ,
1298  ,
1314  ,
1311  ,
1309  ,
1290  ,
1265  ,
1232  ,
1194  ,
1140  ,
1088  ,
1029  ,
981 ,
927 ,
877 ,
820 ,
770 ,
713 ,
666 ,
624 ,
585 ,
554 ,
515 ,
487 ,
451 ,
420 ,
385 ,
359 ,
331 ,
307 ,
270 ,
233 ,
185 ,
147 ,
107 ,
70  ,
35  ,
-9  ,
-56 ,
-108  ,
-160  ,
-216  ,
-269  ,
-326  ,
-376  ,
-426  ,
-489  ,
-541  ,
-596  ,
-633  ,
-669  ,
-696  ,
-722  ,
-746  ,
-768  ,
-788  ,
-794  ,
-804  ,
-808  ,
-808  ,
-808  ,
-811  ,
-817  ,
-830  ,
-831  ,
-832  ,
-823  ,
-822  ,
-810  ,
-810  ,
-794  ,
-777  ,
-754  ,
-716  ,
-687  ,
-645  ,
-621  ,
-583  ,
-562  ,
-526  ,
-502  ,
-455  ,
-422  ,
-382  ,
-352  ,
-315  ,
-280  ,
-246  ,
-210  ,
-177  ,
-140  ,
-117  ,
-81 ,
-55 ,
-15 ,
14  ,
63  ,
108 ,
162 ,
202 ,
251 ,
287 ,
335 ,
359 ,
393 ,
406 ,
420 ,
412 ,
402 ,
381 ,
361 ,
339 ,
315 ,
283 ,
252 ,
209 ,
172 ,
130 ,
96  ,
67  ,
37  ,
22  ,
-1  ,
1 ,
-14 ,
2 ,
19  ,
49  ,
81  ,
107 ,
143 ,
173 ,
210 ,
251 ,
292 ,
332 ,
360 ,
396 ,
421 ,
449 ,
472 ,
496 ,
523 ,
537 ,
555 ,
555 ,
571 ,
570 ,
585 ,
587 ,
583 ,
574 ,
560 ,
551 ,
538 ,
531 ,
519 ,
507 ,
498 ,
482 ,
466 ,
444 ,
424 ,
408 ,
385 ,
360 ,
327 ,
292 ,
255 ,
220 ,
192 ,
166 ,
141 ,
118 ,
108 ,
93  ,
87  ,
76  ,
81  ,
89  ,
95  ,
103 ,
102 ,
106 ,
105 ,
107 ,
109 ,
98  ,
87  ,
69  ,
44  ,
18  ,
-20 ,
-59 ,
-99 ,
-147  ,
-192  ,
-251  ,
-305  ,
-361  ,
-406  ,
-443  ,
-482  ,
-507  ,
-542  ,
-562  ,
-586  ,
-598  ,
-611  ,
-626  ,
-636  ,
-652  ,
-659  ,
-682  ,
-695  ,
-710  ,
-714  ,
-718  ,
-719  ,
-720  ,
-725  ,
-720  ,
-716  ,
-699  ,
-691  ,
-676  ,
-676  ,
-666  ,
-672  ,
-671  ,
-675  ,
-666  ,
-667  ,
-650  ,
-651  ,
-639  ,
-629  ,
-614  ,
-587  ,
-559  ,
-530  ,
-494  ,
-466  ,
-429  ,
-398  ,
-360  ,
-330  ,
-295  ,
-260  ,
-229  ,
-198  ,
-174  ,
-141  ,
-107  ,
-77 ,
-42 ,
-10 ,
21  ,
60  ,
88  ,
133 ,
161 ,
202 ,
230 ,
265 ,
294 ,
324 ,
362 ,
399 ,
438 ,
474 ,
507 ,
537 ,
567 ,
593 ,
619 ,
643 ,
664 ,
686 ,
697 ,
715 ,
725 ,
742 ,
752 ,
767 ,
776 ,
784 ,
787 ,
784 ,
774 ,
759 ,
731 ,
702 ,
660 ,
620 ,
563 ,
512 ,
447 ,
384 ,
308 ,
233 ,
152 ,
75  ,
-13 ,
-81 ,
-164  ,
-221  ,
-291  ,
-337  ,
-387  ,
-422  ,
-459  ,
-488  ,
-513  ,
-529  ,
-542  ,
-548  ,
-559  ,
-558  ,
-574  ,
-571  ,
-582  ,
-578  ,
-581  ,
-578  ,
-573  ,
-570  ,
-572  ,
-574  ,
-577  ,
-574  ,
-575  ,
-572  ,
-568  ,
-570  ,
-564  ,
-559  ,
-547  ,
-538  ,
-524  ,
-513  ,
-491  ,
-479  ,
-452  ,
-433  ,
-401  ,
-371  ,
-349  ,
-319  ,
-309  ,
-287  ,
-272  ,
-248  ,
-227  ,
-205  ,
-195  ,
-181  ,
-179  ,
-167  ,
-167  ,
-156  ,
-149  ,
-130  ,
-119  ,
-95 ,
-72 ,
-38 ,
5 ,
45  ,
92  ,
137 ,
175 ,
224 ,
260 ,
310 ,
335 ,
375 ,
396 ,
426 ,
435 ,
453 ,
460 ,
472 ,
477 ,
480 ,
478 ,
473 ,
463 ,
461 ,
454 ,
455 ,
454 ,
449 ,
453 ,
441 ,
438 ,
425 ,
412 ,
398 ,
384 ,
367 ,
349 ,
331 ,
313 ,
299 ,
284 ,
276 ,
264 ,
256 ,
238 ,
232 ,
217 ,
211 ,
203 ,
192 ,
183 ,
163 ,
143 ,
123 ,
98  ,
85  ,
62  ,
50  ,
30  ,
12  ,
-5  ,
-20 ,
-30 ,
-40 ,
-47 ,
-60 ,
-76 ,
-98 ,
-124  ,
-149  ,
-175  ,
-199  ,
-223  ,
-243  ,
-263  ,
-279  ,
-296  ,
-302  ,
-307  ,
-307  ,
-305  ,
-303  ,
-294  ,
-286  ,
-271  ,
-255  ,
-232  ,
-208  ,
-179  ,
-150  ,
-117  ,
-89 ,
-54 ,
-17 ,
13  ,
44  ,
56  ,
70  ,
80  ,
89  ,
107 ,
118 ,
136 ,
149 ,
166 ,
177 ,
198 ,
209 ,
233 ,
252 ,
275 ,
293 ,
299 ,
310 ,
306 ,
318 ,
303 ,
302 ,
277 ,
261 ,
225 ,
197 ,
157 ,
116 ,
70  ,
17  ,
-36 ,
-96 ,
-154  ,
-207  ,
-249  ,
-285  ,
-314  ,
-345  ,
-369  ,
-391  ,
-402  ,
-406  ,
-408  ,
-405  ,
-403  ,
-397  ,
-392  ,
-377  ,
-369  ,
-344  ,
-332  ,
-305  ,
-287  ,
-268  ,
-246  ,
-224  ,
-197  ,
-169  ,
-147  ,
-122  ,
-105  ,
-80 ,
-55 ,
-26 ,
-1  ,
29  ,
59  ,
89  ,
120 ,
149 ,
177 ,
211 ,
244 ,
278 ,
309 ,
332 ,
352 ,
367 ,
375 ,
380 ,
377 ,
369 ,
355 ,
346 ,
330 ,
318 ,
305 ,
300 ,
301 ,
311 ,
319 ,
336 ,
352 ,
372 ,
398 ,
417 ,
452 ,
467 ,
508 ,
529 ,
559 ,
580 ,
599 ,
617 ,
627 ,
635 ,
632 ,
623 ,
600 ,
578 ,
547 ,
519 ,
488 ,
456 ,
425 ,
396 ,
361 ,
337 ,
303 ,
276 ,
253 ,
222 ,
198 ,
157 ,
126 ,
86  ,
63  ,
31  ,
18  ,
-6  ,
-21 ,
-31 ,
-45 ,
-48 ,
-53 ,
-53 ,
-57 ,
-58 ,
-70 ,
-80 ,
-96 ,
-111  ,
-127  ,
-150  ,
-163  ,
-196  ,
-207  ,
-234  ,
-242  ,
-252  ,
-267  ,
-274  ,
-295  ,
-306  ,
-323  ,
-335  ,
-352  ,
-359  ,
-374  ,
-388  ,
-400  ,
-415  ,
-420  ,
-427  ,
-424  ,
-421  ,
-418  ,
-411  ,
-412  ,
-393  ,
-391  ,
-371  ,
-362  ,
-337  ,
-318  ,
-289  ,
-262  ,
-230  ,
-198  ,
-167  ,
-130  ,
-100  ,
-67 ,
-43 ,
-23 ,
2 ,
20  ,
31  ,
46  ,
49  ,
63  ,
64  ,
81  ,
88  ,
112 ,
126 ,
150 ,
170 ,
197 ,
213 ,
242 ,
264 ,
294 ,
314 ,
330 ,
343 ,
347 ,
353 ,
338 ,
335 ,
310 ,
288 ,
255 ,
220 ,
176 ,
121 ,
64  ,
6 ,
-47 ,
-109  ,
-163  ,
-222  ,
-273  ,
-322  ,
-368  ,
-401  ,
-442  ,
-460  ,
-496  ,
-505  ,
-529  ,
-536  ,
-540  ,
-533  ,
-516  ,
-505  ,
-490  ,
-473  ,
-456  ,
-424  ,
-397  ,
-365  ,
-336  ,
-307  ,
-284  ,
-253  ,
-231  ,
-197  ,
-171  ,
-128  ,
-101  ,
-71 ,
-51 ,
-35 ,
-4  ,
11  ,
41  ,
63  ,
85  ,
106 ,
130 ,
156 ,
182 ,
208 ,
227 ,
247 ,
261 ,
260 ,
264 ,
264 ,
276 ,
283 ,
297 ,
297 ,
305 ,
309 ,
319 ,
333 ,
350 ,
371 ,
391 ,
411 ,
435 ,
458 ,
477 ,
500 ,
527 ,
544 ,
562 ,
559 ,
568 ,
558 ,
556 ,
542 ,
526 ,
503 ,
478 ,
446 ,
425 ,
388 ,
366 ,
334 ,
314 ,
287 ,
261 ,
232 ,
202 ,
172 ,
143 ,
112 ,
80  ,
42  ,
7 ,
-30 ,
-62 ,
-98 ,
-117  ,
-145  ,
-156  ,
-175  ,
-185  ,
-204  ,
-222  ,
-241  ,
-262  ,
-280  ,
-302  ,
-324  ,
-356  ,
-389  ,
-422  ,
-457  ,
-484  ,
-511  ,
-536  ,
-555  ,
-584  ,
-600  ,
-620  ,
-633  ,
-639  ,
-652  ,
-659  ,
-669  ,
-687  ,
-691  ,
-705  ,
-699  ,
-706  ,
-704  ,
-713  ,
-714  ,
-718  ,
-707  ,
-703  ,
-684  ,
-676  ,
-660  ,
-653  ,
-639  ,
-628  ,
-607  ,
-583  ,
-548  ,
-515  ,
-480  ,
-446  ,
-408  ,
-363  ,
-314  ,
-271  ,
-216  ,
-179  ,
-131  ,
-98 ,
-56 ,
-23 ,
17  ,
57  ,
95  ,
139 ,
173 ,
218 ,
263 ,
318 ,
375 ,
427 ,
481 ,
524 ,
569 ,
612 ,
643 ,
689 ,
707 ,
742 ,
754 ,
762 ,
765 ,
743 ,
735 ,
705 ,
682 ,
636 ,
590 ,
536 ,
481 ,
429 ,
372 ,
322 ,
271 ,
219 ,
179 ,
136 ,
95  ,
63  ,
30  ,
16  ,
-3  ,
-15 ,
-28 ,
-32 ,
-33 ,
-33 ,
-26 ,
-26 ,
-24 ,
-16 ,
-20 ,
-13 ,
-16 ,
-11 ,
-6  ,
1 ,
4 ,
-3  ,
-13 ,
-28 ,
-37 ,
-45 ,
-55 ,
-61 ,
-64 ,
-64 ,
-60 ,
-54 ,
-44 ,
-27 ,
-18 ,
-5  ,
1 ,
2 ,
-4  ,
-8  ,
-16 ,
-20 ,
-39 ,
-52 ,
-78 ,
-91 ,
-115  ,
-127  ,
-142  ,
-152  ,
-171  ,
-177  ,
-198  ,
-202  ,
-214  ,
-207  ,
-203  ,
-188  ,
-184  ,
-176  ,
-168  ,
-166  ,
-149  ,
-152  ,
-130  ,
-135  ,
-129  ,
-144  ,
-152  ,
-163  ,
-170  ,
-178  ,
-182  ,
-187  ,
-194  ,
-199  ,
-203  ,
-199  ,
-201  ,
-207  ,
-209  ,
-220  ,
-223  ,
-238  ,
-235  ,
-235  ,
-230  ,
-228  ,
-231  ,
-226  ,
-223  ,
-214  ,
-198  ,
-181  ,
-166  ,
-152  ,
-146  ,
-136  ,
-134  ,
-123  ,
-115  ,
-97 ,
-84 ,
-75 ,
-61 ,
-49 ,
-26 ,
-5  ,
16  ,
33  ,
52  ,
69  ,
86  ,
106 ,
124 ,
145 ,
160 ,
183 ,
191 ,
201 ,
204 ,
212 ,
221 ,
226 ,
223 ,
219 ,
212 ,
205 ,
195 ,
193 ,
186 ,
180 ,
175 ,
171 ,
179 ,
178 ,
191 ,
213 ,
239 ,
269 ,
296 ,
322 ,
363 ,
391 ,
430 ,
460 ,
480 ,
508 ,
514 ,
542 ,
544 ,
560 ,
565 ,
574 ,
587 ,
587 ,
593 ,
591 ,
599 ,
608 ,
619 ,
627 ,
635 ,
640 ,
644 ,
647 ,
642 ,
642 ,
628 ,
618 ,
600 ,
565 ,
524 ,
472 ,
421 ,
372 ,
312 ,
250 ,
178 ,
105 ,
25  ,
-56 ,
-133  ,
-218  ,
-284  ,
-365  ,
-428  ,
-507  ,
-567  ,
-631  ,
-675  ,
-718  ,
-757  ,
-797  ,
-831  ,
-866  ,
-880  ,
-906  ,
-906  ,
-921  ,
-917  ,
-923  ,
-917  ,
-921  ,
-910  ,
-904  ,
-890  ,
-875  ,
-860  ,
-847  ,
-828  ,
-804  ,
-778  ,
-741  ,
-712  ,
-667  ,
-631  ,
-582  ,
-542  ,
-490  ,
-443  ,
-387  ,
-332  ,
-277  ,
-229  ,
-180  ,
-135  ,
-89 ,
-47 ,
-14 ,
19  ,
42  ,
64  ,
91  ,
108 ,
142 ,
166 ,
198 ,
229 ,
260 ,
295 ,
334 ,
376 ,
427 ,
471 ,
520 ,
563 ,
605 ,
647 ,
681 ,
717 ,
748 ,
779 ,
798 ,
820 ,
830 ,
837 ,
847 ,
847 ,
853 ,
851 ,
848 ,
845 ,
840 ,
829 ,
818 ,
802 ,
786 ,
761 ,
742 ,
712 ,
686 ,
658 ,
630 ,
603 ,
579 ,
546 ,
526 ,
496 ,
475 ,
448 ,
427 ,
407 ,
386 ,
368 ,
341 ,
317 ,
286 ,
266 ,
230 ,
213 ,
170 ,
151 ,
106 ,
80  ,
44  ,
13  ,
-22 ,
-49 ,
-85 ,
-115  ,
-149  ,
-189  ,
-217  ,
-254  ,
-290  ,
-321  ,
-367  ,
-402  ,
-446  ,
-480  ,
-518  ,
-552  ,
-589  ,
-618  ,
-652  ,
-681  ,
-712  ,
-738  ,
-757  ,
-771  ,
-776  ,
-781  ,
-776  ,
-781  ,
-764  ,
-758  ,
-736  ,
-717  ,
-694  ,
-669  ,
-644  ,
-624  ,
-595  ,
-577  ,
-546  ,
-528  ,
-502  ,
-490  ,
-466  ,
-456  ,
-431  ,
-413  ,
-380  ,
-352  ,
-318  ,
-281  ,
-244  ,
-195  ,
-152  ,
-91 ,
-46 ,
9 ,
52  ,
96  ,
136 ,
171 ,
202 ,
236 ,
257 ,
282 ,
290 ,
296 ,
295 ,
285 ,
274 ,
251 ,
226 ,
194 ,
164 ,
128 ,
98  ,
61  ,
28  ,
-3  ,
-33 ,
-62 ,
-90 ,
-112  ,
-133  ,
-144  ,
-154  ,
-157  ,
-157  ,
-145  ,
-134  ,
-112  ,
-94 ,
-70 ,
-46 ,
-19 ,
7 ,
34  ,
55  ,
81  ,
104 ,
130 ,
158 ,
180 ,
209 ,
225 ,
255 ,
275 ,
298 ,
327 ,
348 ,
380 ,
406 ,
426 ,
452 ,
460 ,
483 ,
483 ,
504 ,
499 ,
504 ,
498 ,
486 ,
471 ,
454 ,
429 ,
419 ,
391 ,
382 ,
354 ,
341 ,
320 ,
310 ,
306 ,
305 ,
315 ,
314 ,
323 ,
324 ,
325 ,
329 ,
320 ,
322 ,
304 ,
291 ,
264 ,
242 ,
207 ,
189 ,
148 ,
129 ,
89  ,
61  ,
18  ,
-19 ,
-57 ,
-95 ,
-131  ,
-170  ,
-210  ,
-250  ,
-286  ,
-319  ,
-348  ,
-371  ,
-399  ,
-415  ,
-432  ,
-449  ,
-464  ,
-476  ,
-492  ,
-493  ,
-505  ,
-506  ,
-515  ,
-520  ,
-527  ,
-533  ,
-536  ,
-541  ,
-544  ,
-546  ,
-551  ,
-553  ,
-557  ,
-556  ,
-547  ,
-539  ,
-529  ,
-521  ,
-516  ,
-510  ,
-498  ,
-487  ,
-465  ,
-455  ,
-434  ,
-425  ,
-409  ,
-401  ,
-391  ,
-380  ,
-370  ,
-362  ,
-361  ,
-360  ,
-365  ,
-360  ,
-354  ,
-340  ,
-323  ,
-305  ,
-282  ,
-261  ,
-230  ,
-201  ,
-161  ,
-118  ,
-75 ,
-26 ,
20  ,
62  ,
111 ,
154 ,
206 ,
254 ,
300 ,
336 ,
368 ,
395 ,
428 ,
459 ,
489 ,
527 ,
556 ,
592 ,
623 ,
658 ,
696 ,
734 ,
782 ,
826 ,
870 ,
909 ,
949 ,
984 ,
1021  ,
1046  ,
1067  ,
1078  ,
1072  ,
1067  ,
1035  ,
1015  ,
974 ,
936 ,
895 ,
838 ,
780 ,
710 ,
642 ,
572 ,
502 ,
427 ,
351 ,
271 ,
189 ,
113 ,
33  ,
-30 ,
-95 ,
-147  ,
-197  ,
-246  ,
-284  ,
-326  ,
-351  ,
-380  ,
-397  ,
-420  ,
-440  ,
-454  ,
-477  ,
-485  ,
-506  ,
-509  ,
-517  ,
-526  ,
-528  ,
-540  ,
-540  ,
-540  ,
-540  ,
-530  ,
-528  ,
-518  ,
-507  ,
-490  ,
-473  ,
-447  ,
-426  ,
-392  ,
-368  ,
-341  ,
-321  ,
-300  ,
-285  ,
-269  ,
-265  ,
-257  ,
-260  ,
-258  ,
-259  ,
-255  ,
-246  ,
-235  ,
-220  ,
-194  ,
-176  ,
-143  ,
-122  ,
-82 ,
-51 ,
-15 ,
10  ,
36  ,
57  ,
74  ,
92  ,
107 ,
125 ,
135 ,
146 ,
157 ,
165 ,
176 ,
178 ,
187 ,
192 ,
196 ,
191 ,
189 ,
183 ,
190 ,
182 ,
192 ,
182 ,
197 ,
194 ,
208 ,
214 ,
223 ,
232 ,
241 ,
251 ,
256 ,
260 ,
257 ,
265 ,
263 ,
269 ,
260 ,
262 ,
250 ,
245 ,
230 ,
225 ,
211 ,
210 ,
198 ,
199 ,
185 ,
173 ,
158 ,
146 ,
139 ,
126 ,
116 ,
102 ,
92  ,
80  ,
75  ,
65  ,
59  ,
50  ,
35  ,
25  ,
-5  ,
-22 ,
-58 ,
-78 ,
-108  ,
-140  ,
-176  ,
-209  ,
-247  ,
-272  ,
-311  ,
-330  ,
-363  ,
-376  ,
-399  ,
-404  ,
-413  ,
-412  ,
-406  ,
-392  ,
-376  ,
-356  ,
-346  ,
-323  ,
-307  ,
-285  ,
-261  ,
-244  ,
-220  ,
-201  ,
-186  ,
-164  ,
-152  ,
-129  ,
-110  ,
-85 ,
-59 ,
-34 ,
-5  ,
21  ,
59  ,
95  ,
135 ,
176 ,
212 ,
252 ,
279 ,
310 ,
328 ,
350 ,
360 ,
373 ,
376 ,
373 ,
367 ,
353 ,
341 ,
319 ,
299 ,
262 ,
229 ,
182 ,
134 ,
84  ,
32  ,
-16 ,
-68 ,
-118  ,
-171  ,
-223  ,
-269  ,
-313  ,
-345  ,
-371  ,
-397  ,
-412  ,
-435  ,
-451  ,
-465  ,
-477  ,
-481  ,
-482  ,
-482  ,
-480  ,
-479  ,
-478  ,
-471  ,
-461  ,
-452  ,
-432  ,
-418  ,
-399  ,
-379  ,
-359  ,
-329  ,
-299  ,
-261  ,
-227  ,
-189  ,
-154  ,
-120  ,
-79 ,
-38 ,
2 ,
46  ,
73  ,
104 ,
124 ,
139 ,
157 ,
167 ,
185 ,
194 ,
201 ,
204 ,
208 ,
220 ,
230 ,
253 ,
273 ,
301 ,
319 ,
343 ,
361 ,
385 ,
399 ,
422 ,
435 ,
448 ,
455 ,
454 ,
460 ,
462 ,
462 ,
462 ,
462 ,
453 ,
450 ,
435 ,
430 ,
417 ,
410 ,
390 ,
381 ,
352 ,
336 ,
306 ,
287 ,
264 ,
244 ,
227 ,
208 ,
190 ,
171 ,
151 ,
139 ,
121 ,
107 ,
86  ,
68  ,
46  ,
18  ,
3 ,
-24 ,
-33 ,
-51 ,
-64 ,
-76 ,
-90 ,
-100  ,
-111  ,
-121  ,
-130  ,
-142  ,
-154  ,
-169  ,
-181  ,
-193  ,
-198  ,
-206  ,
-207  ,
-211  ,
-222  ,
-221  ,
-233  ,
-237  ,
-242  ,
-252  ,
-263  ,
-278  ,
-302  ,
-327  ,
-352  ,
-383  ,
-401  ,
-430  ,
-448  ,
-473  ,
-495  ,
-506  ,
-518  ,
-517  ,
-513  ,
-507  ,
-489  ,
-480  ,
-456  ,
-435  ,
-409  ,
-375  ,
-350  ,
-315  ,
-285  ,
-255  ,
-218  ,
-188  ,
-151  ,
-123  ,
-98 ,
-74 ,
-50 ,
-25 ,
-3  ,
32  ,
58  ,
100 ,
126 ,
164 ,
195 ,
234 ,
267 ,
313 ,
348 ,
395 ,
426 ,
462 ,
495 ,
516 ,
542 ,
552 ,
562 ,
561 ,
556 ,
541 ,
526 ,
500 ,
474 ,
437 ,
399 ,
350 ,
299 ,
245 ,
194 ,
144 ,
88  ,
35  ,
-22 ,
-77 ,
-124  ,
-178  ,
-214  ,
-255  ,
-285  ,
-316  ,
-341  ,
-366  ,
-379  ,
-395  ,
-404  ,
-411  ,
-420  ,
-426  ,
-429  ,
-428  ,
-426  ,
-418  ,
-415  ,
-406  ,
-393  ,
-381  ,
-359  ,
-334  ,
-302  ,
-263  ,
-222  ,
-182  ,
-142  ,
-100  ,
-60 ,
-21 ,
20  ,
47  ,
84  ,
104 ,
127 ,
140 ,
148 ,
159 ,
162 ,
171 ,
174 ,
180 ,
186 ,
197 ,
210 ,
224 ,
242 ,
261 ,
285 ,
313 ,
337 ,
368 ,
393 ,
422 ,
446 ,
466 ,
483 ,
492 ,
496 ,
503 ,
497 ,
504 ,
492 ,
490 ,
475 ,
462 ,
447 ,
426 ,
408 ,
385 ,
364 ,
335 ,
304 ,
270 ,
241 ,
205 ,
185 ,
152 ,
133 ,
106 ,
82  ,
62  ,
42  ,
19  ,
6 ,
-15 ,
-26 ,
-45 ,
-59 ,
-78 ,
-96 ,
-111  ,
-126  ,
-145  ,
-168  ,
-193  ,
-212  ,
-236  ,
-243  ,
-264  ,
-267  ,
-283  ,
-295  ,
-310  ,
-328  ,
-340  ,
-351  ,
-362  ,
-369  ,
-384  ,
-397  ,
-412  ,
-427  ,
-436  ,
-447  ,
-457  ,
-473  ,
-493  ,
-517  ,
-545  ,
-576  ,
-604  ,
-635  ,
-660  ,
-685  ,
-709  ,
-726  ,
-743  ,
-745  ,
-746  ,
-739  ,
-732  ,
-722  ,
-702  ,
-687  ,
-655  ,
-628  ,
-593  ,
-565  ,
-534  ,
-509  ,
-480  ,
-459  ,
-424  ,
-394  ,
-356  ,
-323  ,
-292  ,
-262  ,
-227  ,
-193  ,
-144  ,
-100  ,
-53 ,
-4  ,
43  ,
94  ,
145 ,
202 ,
263 ,
323 ,
381 ,
437 ,
486 ,
536 ,
580 ,
623 ,
664 ,
690 ,
709 ,
715 ,
714 ,
713 ,
706 ,
697 ,
680 ,
660 ,
624 ,
587 ,
536 ,
497 ,
450 ,
409 ,
363 ,
312 ,
259 ,
202 ,
158 ,
116 ,
88  ,
55  ,
33  ,
3 ,
-18 ,
-38 ,
-58 ,
-64 ,
-79 ,
-86 ,
-98 ,
-115  ,
-131  ,
-142  ,
-149  ,
-152  ,
-146  ,
-145  ,
-136  ,
-128  ,
-115  ,
-91 ,
-66 ,
-36 ,
-6  ,
22  ,
43  ,
63  ,
71  ,
85  ,
94  ,
106 ,
109 ,
111 ,
103 ,
96  ,
92  ,
87  ,
88  ,
87  ,
90  ,
86  ,
84  ,
82  ,
78  ,
84  ,
88  ,
96  ,
98  ,
102 ,
98  ,
100 ,
106 ,
109 ,
117 ,
118 ,
115 ,
111 ,
102 ,
91  ,
80  ,
63  ,
53  ,
24  ,
9 ,
-32 ,
-51 ,
-85 ,
-97 ,
-118  ,
-127  ,
-146  ,
-163  ,
-182  ,
-200  ,
-214  ,
-224  ,
-233  ,
-240  ,
-243  ,
-253  ,
-248  ,
-245  ,
-236  ,
-219  ,
-214  ,
-202  ,
-200  ,
-196  ,
-189  ,
-179  ,
-173  ,
-167  ,
-165  ,
-163  ,
-162  ,
-160  ,
-155  ,
-148  ,
-142  ,
-135  ,
-134  ,
-131  ,
-129  ,
-121  ,
-108  ,
-89 ,
-69 ,
-52 ,
-35 ,
-22 ,
-6  ,
9 ,
22  ,
39  ,
48  ,
48  ,
46  ,
32  ,
25  ,
14  ,
-2  ,
-7  ,
-30 ,
-41 ,
-63 ,
-70 ,
-76 ,
-75 ,
-68 ,
-61 ,
-49 ,
-43 ,
-28 ,
-18 ,
3 ,
15  ,
36  ,
46  ,
60  ,
69  ,
79  ,
97  ,
119 ,
142 ,
169 ,
193 ,
219 ,
242 ,
274 ,
298 ,
334 ,
362 ,
390 ,
419 ,
444 ,
471 ,
500 ,
536 ,
564 ,
599 ,
620 ,
646 ,
666 ,
681 ,
695 ,
697 ,
694 ,
680 ,
654 ,
628 ,
590 ,
550 ,
507 ,
453 ,
399 ,
337 ,
267 ,
206 ,
138 ,
76  ,
12  ,
-55 ,
-122  ,
-194  ,
-260  ,
-327  ,
-384  ,
-439  ,
-482  ,
-529  ,
-562  ,
-600  ,
-630  ,
-655  ,
-678  ,
-696  ,
-716  ,
-741  ,
-765  ,
-787  ,
-803  ,
-809  ,
-812  ,
-801  ,
-797  ,
-776  ,
-759  ,
-727  ,
-695  ,
-652  ,
-610  ,
-562  ,
-523  ,
-482  ,
-444  ,
-406  ,
-365  ,
-329  ,
-293  ,
-260  ,
-230  ,
-202  ,
-174  ,
-146  ,
-115  ,
-80 ,
-50 ,
-13 ,
17  ,
53  ,
90  ,
128 ,
168 ,
209 ,
245 ,
289 ,
325 ,
368 ,
413 ,
458 ,
505 ,
544 ,
579 ,
605 ,
625 ,
648 ,
662 ,
678 ,
692 ,
693 ,
707 ,
704 ,
713 ,
716 ,
724 ,
730 ,
730 ,
730 ,
723 ,
718 ,
713 ,
705 ,
706 ,
695 ,
694 ,
683 ,
680 ,
672 ,
669 ,
665 ,
659 ,
662 ,
650 ,
650 ,
639 ,
631 ,
619 ,
604 ,
581 ,
559 ,
525 ,
493 ,
458 ,
428 ,
401 ,
375 ,
348 ,
329 ,
299 ,
280 ,
254 ,
236 ,
220 ,
200 ,
184 ,
160 ,
138 ,
104 ,
80  ,
45  ,
22  ,
-15 ,
-50 ,
-90 ,
-136  ,
-179  ,
-231  ,
-277  ,
-330  ,
-381  ,
-434  ,
-482  ,
-532  ,
-566  ,
-604  ,
-622  ,
-648  ,
-658  ,
-678  ,
-684  ,
-691  ,
-693  ,
-691  ,
-693  ,
-683  ,
-691  ,
-679  ,
-689  ,
-673  ,
-670  ,
-649  ,
-635  ,
-615  ,
-597  ,
-582  ,
-557  ,
-534  ,
-501  ,
-471  ,
-438  ,
-406  ,
-373  ,
-342  ,
-299  ,
-262  ,
-208  ,
-162  ,
-115  ,
-72 ,
-30 ,
3 ,
47  ,
82  ,
111 ,
139 ,
150 ,
161 ,
165 ,
163 ,
164 ,
159 ,
156 ,
144 ,
134 ,
110 ,
99  ,
73  ,
55  ,
36  ,
7 ,
-13 ,
-46 ,
-72 ,
-96 ,
-114  ,
-129  ,
-136  ,
-143  ,
-152  ,
-155  ,
-171  ,
-169  ,
-178  ,
-182  ,
-186  ,
-191  ,
-196  ,
-196  ,
-193  ,
-182  ,
-165  ,
-147  ,
-116  ,
-86 ,
-48 ,
-11 ,
32  ,
81  ,
130 ,
177 ,
220 ,
256 ,
291 ,
321 ,
349 ,
370 ,
387 ,
401 ,
407 ,
417 ,
417 ,
421 ,
418 ,
422 ,
419 ,
424 ,
415 ,
418 ,
415 ,
419 ,
420 ,
420 ,
421 ,
422 ,
429 ,
434 ,
442 ,
447 ,
448 ,
452 ,
450 ,
444 ,
430 ,
425 ,
403 ,
402 ,
374 ,
358 ,
327 ,
300 ,
266 ,
232 ,
199 ,
160 ,
130 ,
91  ,
57  ,
22  ,
-16 ,
-49 ,
-79 ,
-110  ,
-140  ,
-171  ,
-204  ,
-224  ,
-254  ,
-270  ,
-292  ,
-310  ,
-324  ,
-341  ,
-349  ,
-362  ,
-370  ,
-386  ,
-393  ,
-418  ,
-433  ,
-456  ,
-473  ,
-486  ,
-495  ,
-509  ,
-514  ,
-523  ,
-528  ,
-532  ,
-529  ,
-529  ,
-521  ,
-520  ,
-511  ,
-509  ,
-503  ,
-500  ,
-502  ,
-491  ,
-494  ,
-495  ,
-498  ,
-507  ,
-517  ,
-526  ,
-541  ,
-552  ,
-568  ,
-584  ,
-596  ,
-602  ,
-611  ,
-606  ,
-597  ,
-583  ,
-564  ,
-545  ,
-527  ,
-495  ,
-472  ,
-435  ,
-408  ,
-374  ,
-347  ,
-320  ,
-288  ,
-258  ,
-225  ,
-191  ,
-155  ,
-125  ,
-82 ,
-61 ,
-19 ,
12  ,
52  ,
91  ,
124 ,
160 ,
194 ,
233 ,
269 ,
315 ,
352 ,
394 ,
435 ,
473 ,
514 ,
553 ,
584 ,
624 ,
650 ,
675 ,
691 ,
701 ,
706 ,
705 ,
703 ,
688 ,
673 ,
641 ,
608 ,
568 ,
518 ,
473 ,
422 ,
375 ,
323 ,
273 ,
220 ,
168 ,
117 ,
71  ,
24  ,
-25 ,
-70 ,
-119  ,
-160  ,
-202  ,
-241  ,
-279  ,
-314  ,
-351  ,
-380  ,
-412  ,
-439  ,
-457  ,
-470  ,
-475  ,
-478  ,
-475  ,
-472  ,
-461  ,
-448  ,
-431  ,
-404  ,
-381  ,
-354  ,
-331  ,
-312  ,
-292  ,
-275  ,
-256  ,
-240  ,
-228  ,
-214  ,
-210  ,
-198  ,
-201  ,
-193  ,
-194  ,
-190  ,
-190  ,
-183  ,
-181  ,
-166  ,
-159  ,
-133  ,
-120  ,
-93 ,
-73 ,
-54 ,
-29 ,
-13 ,
13  ,
36  ,
63  ,
88  ,
116 ,
131 ,
153 ,
163 ,
180 ,
192 ,
200 ,
210 ,
206 ,
206 ,
197 ,
193 ,
189 ,
182 ,
180 ,
175 ,
170 ,
163 ,
153 ,
152 ,
143 ,
145 ,
138 ,
142 ,
136 ,
145 ,
152 ,
171 ,
186 ,
209 ,
224 ,
244 ,
256 ,
269 ,
283 ,
292 ,
303 ,
307 ,
304 ,
296 ,
284 ,
273 ,
267 ,
264 ,
262 ,
261 ,
253 ,
255 ,
247 ,
253 ,
248 ,
255 ,
253 ,
255 ,
249 ,
246 ,
235 ,
232 ,
218 ,
216 ,
194 ,
183 ,
157 ,
141 ,
113 ,
93  ,
64  ,
38  ,
8 ,
-28 ,
-60 ,
-92 ,
-119  ,
-141  ,
-160  ,
-177  ,
-193  ,
-210  ,
-218  ,
-226  ,
-226  ,
-223  ,
-221  ,
-217  ,
-217  ,
-210  ,
-214  ,
-204  ,
-206  ,
-196  ,
-191  ,
-183  ,
-178  ,
-171  ,
-163  ,
-148  ,
-135  ,
-112  ,
-95 ,
-69 ,
-44 ,
-17 ,
7 ,
39  ,
62  ,
91  ,
111 ,
132 ,
143 ,
160 ,
173 ,
194 ,
210 ,
224 ,
229 ,
229 ,
223 ,
211 ,
200 ,
179 ,
158 ,
132 ,
95  ,
62  ,
17  ,
-13 ,
-51 ,
-79 ,
-106  ,
-140  ,
-162  ,
-197  ,
-219  ,
-245  ,
-265  ,
-289  ,
-306  ,
-337  ,
-359  ,
-396  ,
-418  ,
-447  ,
-462  ,
-482  ,
-499  ,
-516  ,
-526  ,
-531  ,
-522  ,
-508  ,
-486  ,
-457  ,
-434  ,
-403  ,
-376  ,
-339  ,
-302  ,
-256  ,
-211  ,
-170  ,
-133  ,
-104  ,
-72 ,
-45 ,
-20 ,
0 ,
16  ,
26  ,
38  ,
47  ,
56  ,
72  ,
81  ,
96  ,
114 ,
122 ,
142 ,
157 ,
177 ,
201 ,
218 ,
240 ,
255 ,
281 ,
295 ,
325 ,
336 ,
364 ,
378 ,
395 ,
408 ,
409 ,
416 ,
410 ,
416 ,
408 ,
409 ,
398 ,
386 ,
375 ,
358 ,
348 ,
331 ,
320 ,
310 ,
293 ,
287 ,
270 ,
260 ,
252 ,
243 ,
237 ,
231 ,
226 ,
223 ,
220 ,
220 ,
216 ,
216 ,
205 ,
201 ,
192 ,
183 ,
177 ,
164 ,
160 ,
146 ,
132 ,
110 ,
90  ,
63  ,
45  ,
18  ,
6 ,
-13 ,
-30 ,
-41 ,
-56 ,
-66 ,
-72 ,
-75 ,
-74 ,
-77 ,
-84 ,
-89 ,
-102  ,
-110  ,
-124  ,
-139  ,
-154  ,
-174  ,
-195  ,
-215  ,
-235  ,
-253  ,
-267  ,
-283  ,
-303  ,
-315  ,
-339  ,
-345  ,
-357  ,
-361  ,
-359  ,
-365  ,
-359  ,
-366  ,
-356  ,
-356  ,
-342  ,
-333  ,
-316  ,
-304  ,
-292  ,
-281  ,
-271  ,
-254  ,
-236  ,
-212  ,
-194  ,
-167  ,
-152  ,
-123  ,
-98 ,
-69 ,
-33 ,
-6  ,
30  ,
58  ,
94  ,
126 ,
158 ,
198 ,
227 ,
266 ,
291 ,
319 ,
341 ,
363 ,
383 ,
399 ,
411 ,
413 ,
410 ,
404 ,
389 ,
377 ,
353 ,
339 ,
307 ,
290 ,
248 ,
228 ,
189 ,
163 ,
135 ,
102 ,
78  ,
45  ,
22  ,
-5  ,
-28 ,
-51 ,
-79 ,
-105  ,
-134  ,
-163  ,
-191  ,
-221  ,
-247  ,
-268  ,
-290  ,
-307  ,
-326  ,
-338  ,
-344  ,
-347  ,
-340  ,
-333  ,
-322  ,
-305  ,
-287  ,
-263  ,
-237  ,
-207  ,
-176  ,
-141  ,
-114  ,
-83 ,
-59 ,
-33 ,
-10 ,
15  ,
34  ,
50  ,
63  ,
72  ,
82  ,
90  ,
101 ,
103 ,
118 ,
119 ,
133 ,
137 ,
155 ,
166 ,
186 ,
203 ,
219 ,
236 ,
244 ,
266 ,
280 ,
303 ,
320 ,
333 ,
352 ,
357 ,
371 ,
377 ,
391 ,
399 ,
407 ,
410 ,
409 ,
403 ,
393 ,
382 ,
372 ,
359 ,
340 ,
323 ,
300 ,
279 ,
262 ,
241 ,
229 ,
211 ,
198 ,
181 ,
168 ,
159 ,
152 ,
151 ,
147 ,
146 ,
137 ,
126 ,
118 ,
103 ,
100 ,
85  ,
77  ,
60  ,
44  ,
24  ,
7 ,
-4  ,
-19 ,
-25 ,
-37 ,
-46 ,
-60 ,
-74 ,
-83 ,
-93 ,
-100  ,
-111  ,
-124  ,
-138  ,
-152  ,
-167  ,
-178  ,
-192  ,
-208  ,
-228  ,
-258  ,
-287  ,
-318  ,
-351  ,
-372  ,
-404  ,
-426  ,
-453  ,
-484  ,
-505  ,
-527  ,
-544  ,
-550  ,
-558  ,
-561  ,
-562  ,
-567  ,
-562  ,
-558  ,
-548  ,
-537  ,
-522  ,
-510  ,
-500  ,
-489  ,
-477  ,
-456  ,
-436  ,
-411  ,
-384  ,
-359  ,
-335  ,
-309  ,
-282  ,
-250  ,
-220  ,
-185  ,
-154  ,
-126  ,
-92 ,
-64 ,
-23 ,
18  ,
60  ,
104 ,
141 ,
179 ,
212 ,
242 ,
274 ,
304 ,
331 ,
351 ,
364 ,
370 ,
372 ,
369 ,
365 ,
360 ,
340 ,
333 ,
297 ,
286 ,
249 ,
231 ,
208 ,
186 ,
169 ,
141 ,
119 ,
92  ,
70  ,
50  ,
26  ,
4 ,
-26 ,
-57 ,
-91 ,
-124  ,
-154  ,
-177  ,
-200  ,
-214  ,
-239  ,
-253  ,
-274  ,
-280  ,
-281  ,
-269  ,
-262  ,
-240  ,
-234  ,
-208  ,
-195  ,
-163  ,
-139  ,
-105  ,
-78 ,
-53 ,
-32 ,
-18 ,
1 ,
19  ,
35  ,
52  ,
55  ,
55  ,
54  ,
43  ,
47  ,
37  ,
39  ,
29  ,
21  ,
13  ,
3 ,
3 ,
5 ,
11  ,
25  ,
29  ,
37  ,
38  ,
41  ,
49  ,
56  ,
66  ,
71  ,
67  ,
67  ,
62  ,
59  ,
60  ,
57  ,
56  ,
53  ,
42  ,
26  ,
14  ,
-6  ,
-12 ,
-31 ,
-46 ,
-68 ,
-92 ,
-112  ,
-132  ,
-144  ,
-153  ,
-160  ,
-162  ,
-166  ,
-164  ,
-163  ,
-152  ,
-142  ,
-124  ,
-110  ,
-102  ,
-94 ,
-98 ,
-88 ,
-90 ,
-79 ,
-73 ,
-66 ,
-58 ,
-55 ,
-53 ,
-44 ,
-42 ,
-30 ,
-24 ,
-18 ,
-14 ,
-13 ,
-7  ,
1 ,
5 ,
17  ,
18  ,
23  ,
24  ,
23  ,
23  ,
24  ,
24  ,
22  ,
20  ,
14  ,
1 ,
-3  ,
-16 ,
-18 ,
-28 ,
-26 ,
-35 ,
-34 ,
-36 ,
-32 ,
-28 ,
-19 ,
-13 ,
-1  ,
4 ,
8 ,
17  ,
19  ,
34  ,
42  ,
56  ,
66  ,
76  ,
92  ,
102 ,
121 ,
139 ,
153 ,
180 ,
188 ,
213 ,
227 ,
248 ,
274 ,
300 ,
331 ,
356 ,
381 ,
408 ,
432 ,
463 ,
491 ,
519 ,
552 ,
571 ,
596 ,
610 ,
625 ,
632 ,
636 ,
629 ,
622 ,
599 ,
579 ,
548 ,
524 ,
493 ,
464 ,
424 ,
386 ,
342 ,
305 ,
261 ,
225 ,
182 ,
141 ,
97  ,
52  ,
11  ,
-34 ,
-71 ,
-113  ,
-148  ,
-193  ,
-236  ,
-280  ,
-321  ,
-361  ,
-401  ,
-439  ,
-477  ,
-505  ,
-532  ,
-549  ,
-553  ,
-564  ,
-553  ,
-554  ,
-539  ,
-532  ,
-511  ,
-497  ,
-465  ,
-453  ,
-424  ,
-415  ,
-388  ,
-374  ,
-347  ,
-327  ,
-304  ,
-287  ,
-269  ,
-256  ,
-237  ,
-225  ,
-207  ,
-193  ,
-178  ,
-164  ,
-158  ,
-142  ,
-129  ,
-110  ,
-84 ,
-69 ,
-37 ,
-19 ,
13  ,
42  ,
74  ,
106 ,
135 ,
167 ,
193 ,
219 ,
243 ,
267 ,
293 ,
322 ,
342 ,
369 ,
384 ,
405 ,
421 ,
436 ,
446 ,
453 ,
458 ,
459 ,
465 ,
460 ,
463 ,
458 ,
464 ,
464 ,
472 ,
476 ,
483 ,
495 ,
502 ,
517 ,
526 ,
538 ,
549 ,
554 ,
559 ,
552 ,
553 ,
543 ,
540 ,
530 ,
517 ,
509 ,
496 ,
487 ,
475 ,
462 ,
442 ,
427 ,
401 ,
387 ,
365 ,
344 ,
327 ,
306 ,
289 ,
273 ,
254 ,
241 ,
223 ,
204 ,
182 ,
157 ,
126 ,
101 ,
63  ,
30  ,
-11 ,
-55 ,
-91 ,
-136  ,
-166  ,
-204  ,
-234  ,
-263  ,
-288  ,
-313  ,
-333  ,
-359  ,
-373  ,
-393  ,
-406  ,
-425  ,
-444  ,
-460  ,
-480  ,
-489  ,
-503  ,
-508  ,
-510  ,
-518  ,
-507  ,
-513  ,
-499  ,
-498  ,
-485  ,
-478  ,
-467  ,
-464  ,
-459  ,
-450  ,
-441  ,
-427  ,
-408  ,
-394  ,
-368  ,
-343  ,
-314  ,
-280  ,
-245  ,
-213  ,
-179  ,
-153  ,
-135  ,
-115  ,
-113  ,
-95 ,
-94 ,
-90 ,
-89 ,
-97 ,
-96 ,
-104  ,
-107  ,
-113  ,
-116  ,
-122  ,
-128  ,
-139  ,
-150  ,
-163  ,
-175  ,
-179  ,
-184  ,
-189  ,
-195  ,
-201  ,
-206  ,
-211  ,
-217  ,
-221  ,
-227  ,
-234  ,
-246  ,
-257  ,
-274  ,
-282  ,
-292  ,
-290  ,
-292  ,
-284  ,
-285  ,
-272  ,
-261  ,
-240  ,
-216  ,
-193  ,
-161  ,
-136  ,
-109  ,
-82 ,
-59 ,
-27 ,
5 ,
34  ,
70  ,
89  ,
116 ,
136 ,
162 ,
188 ,
212 ,
230 ,
248 ,
256 ,
263 ,
265 ,
272 ,
279 ,
293 ,
295 ,
304 ,
304 ,
310 ,
321 ,
331 ,
348 ,
356 ,
365 ,
367 ,
373 ,
374 ,
379 ,
379 ,
387 ,
384 ,
385 ,
380 ,
373 ,
375 ,
367 ,
370 ,
361 ,
350 ,
328 ,
310 ,
285 ,
269 ,
239 ,
221 ,
190 ,
169 ,
140 ,
119 ,
99  ,
81  ,
67  ,
55  ,
40  ,
26  ,
12  ,
-12 ,
-17 ,
-47 ,
-58 ,
-86 ,
-107  ,
-134  ,
-153  ,
-181  ,
-194  ,
-212  ,
-223  ,
-228  ,
-239  ,
-247  ,
-252  ,
-266  ,
-263  ,
-276  ,
-279  ,
-288  ,
-295  ,
-301  ,
-305  ,
-310  ,
-313  ,
-312  ,
-319  ,
-318  ,
-327  ,
-330  ,
-344  ,
-350  ,
-367  ,
-375  ,
-392  ,
-409  ,
-420  ,
-430  ,
-439  ,
-444  ,
-445  ,
-447  ,
-437  ,
-439  ,
-423  ,
-421  ,
-399  ,
-394  ,
-368  ,
-358  ,
-340  ,
-326  ,
-309  ,
-289  ,
-267  ,
-243  ,
-217  ,
-187  ,
-157  ,
-126  ,
-95 ,
-66 ,
-38 ,
-11 ,
14  ,
45  ,
68  ,
104 ,
130 ,
171 ,
204 ,
249 ,
284 ,
331 ,
372 ,
414 ,
454 ,
487 ,
520 ,
543 ,
567 ,
587 ,
596 ,
609 ,
608 ,
615 ,
611 ,
605 ,
599 ,
588 ,
579 ,
566 ,
551 ,
533 ,
514 ,
491 ,
468 ,
440 ,
409 ,
379 ,
341 ,
312 ,
268 ,
242 ,
199 ,
169 ,
126 ,
91  ,
52  ,
13  ,
-26 ,
-68 ,
-105  ,
-147  ,
-176  ,
-207  ,
-233  ,
-253  ,
-268  ,
-279  ,
-276  ,
-279  ,
-271  ,
-261  ,
-259  ,
-241  ,
-240  ,
-227  ,
-223  ,
-214  ,
-206  ,
-203  ,
-199  ,
-201  ,
-196  ,
-196  ,
-190  ,
-188  ,
-185  ,
-183  ,
-187  ,
-185  ,
-195  ,
-194  ,
-203  ,
-202  ,
-210  ,
-212  ,
-219  ,
-219  ,
-219  ,
-208  ,
-203  ,
-187  ,
-179  ,
-156  ,
-148  ,
-126  ,
-118  ,
-100  ,
-91 ,
-79 ,
-69 ,
-62 ,
-52 ,
-49 ,
-33 ,
-29 ,
-17 ,
-14 ,
-6  ,
-2  ,
1 ,
4 ,
1 ,
-2  ,
-2  ,
-11 ,
-6  ,
-13 ,
-12 ,
-8  ,
-6  ,
7 ,
12  ,
27  ,
34  ,
49  ,
62  ,
75  ,
87  ,
100 ,
111 ,
124 ,
132 ,
145 ,
154 ,
161 ,
176 ,
179 ,
194 ,
198 ,
207 ,
218 ,
222 ,
234 ,
231 ,
240 ,
234 ,
236 ,
231 ,
227 ,
217 ,
208 ,
192 ,
179 ,
162 ,
142 ,
130 ,
107 ,
95  ,
71  ,
47  ,
29  ,
1 ,
-9  ,
-30 ,
-37 ,
-50 ,
-61 ,
-70 ,
-83 ,
-91 ,
-98 ,
-106  ,
-108  ,
-118  ,
-124  ,
-137  ,
-141  ,
-146  ,
-151  ,
-145  ,
-152  ,
-146  ,
-151  ,
-152  ,
-147  ,
-148  ,
-138  ,
-135  ,
-129  ,
-123  ,
-121  ,
-111  ,
-105  ,
-85 ,
-73 ,
-46 ,
-30 ,
-5  ,
17  ,
47  ,
72  ,
109 ,
129 ,
162 ,
171 ,
192 ,
191 ,
200 ,
193 ,
194 ,
181 ,
170 ,
151 ,
133 ,
114 ,
97  ,
84  ,
69  ,
57  ,
36  ,
15  ,
-7  ,
-34 ,
-57 ,
-84 ,
-107  ,
-134  ,
-164  ,
-193  ,
-218  ,
-245  ,
-256  ,
-280  ,
-288  ,
-313  ,
-327  ,
-351  ,
-366  ,
-380  ,
-398  ,
-401  ,
-421  ,
-419  ,
-432  ,
-431  ,
-423  ,
-417  ,
-390  ,
-375  ,
-351  ,
-333  ,
-312  ,
-289  ,
-265  ,
-241  ,
-217  ,
-200  ,
-178  ,
-169  ,
-152  ,
-137  ,
-121  ,
-97 ,
-80 ,
-62 ,
-46 ,
-40 ,
-21 ,
-12 ,
7 ,
21  ,
31  ,
40  ,
47  ,
52  ,
66  ,
75  ,
101 ,
113 ,
140 ,
150 ,
169 ,
185 ,
200 ,
225 ,
239 ,
258 ,
267 ,
274 ,
279 ,
281 ,
284 ,
285 ,
287 ,
284 ,
277 ,
270 ,
262 ,
263 ,
260 ,
263 ,
261 ,
258 ,
253 ,
248 ,
243 ,
243 ,
244 ,
246 ,
250 ,
247 ,
249 ,
247 ,
249 ,
251 ,
252 ,
254 ,
243 ,
241 ,
219 ,
211 ,
194 ,
179 ,
173 ,
157 ,
147 ,
135 ,
120 ,
113 ,
103 ,
94  ,
89  ,
73  ,
60  ,
44  ,
28  ,
17  ,
3 ,
-8  ,
-23 ,
-41 ,
-59 ,
-79 ,
-90 ,
-106  ,
-114  ,
-130  ,
-143  ,
-161  ,
-177  ,
-196  ,
-206  ,
-224  ,
-233  ,
-248  ,
-258  ,
-269  ,
-275  ,
-283  ,
-277  ,
-281  ,
-271  ,
-277  ,
-271  ,
-279  ,
-274  ,
-277  ,
-274  ,
-269  ,
-269  ,
-260  ,
-257  ,
-247  ,
-236  ,
-220  ,
-203  ,
-185  ,
-167  ,
-152  ,
-131  ,
-109  ,
-86 ,
-56 ,
-29 ,
-3  ,
27  ,
54  ,
84  ,
115 ,
149 ,
179 ,
211 ,
230 ,
250 ,
254 ,
268 ,
261 ,
274 ,
260 ,
263 ,
250 ,
238 ,
227 ,
213 ,
205 ,
197 ,
188 ,
178 ,
165 ,
157 ,
140 ,
132 ,
116 ,
105 ,
84  ,
67  ,
39  ,
24  ,
6 ,
-36 ,
-74 ,
-87 ,
-101  ,
-127  ,
-151  ,
-174  ,
-187  ,
-186  ,
-199  ,
-202  ,
-196  ,
-169  ,
-172  ,
-195  ,
-214  ,
-229  ,
-225  ,
-210  ,
-182  ,
-162  ,
-158  ,
-151  ,
-125  ,
-96 ,
-101  ,
-115  ,
-89 ,
-72 ,
-75 ,
-76 ,
-62 ,
-25 ,
-16 ,
1 ,
7 ,
-12 ,
-24 ,
-21 ,
8 ,
18  ,
26  ,
23  ,
34  ,
23  ,
15  ,
14  ,
25  ,
37  ,
74  ,
100 ,
108 ,
108 ,
120 ,
147 ,
155 ,
173 ,
181 ,
190 ,
204 ,
218 ,
236 ,
233 ,
243 ,
251 ,
267 ,
249 ,
234 ,
242 ,
262 ,
291 ,
307 ,
303 ,
273 ,
249 ,
244 ,
252 ,
250 ,
254 ,
260 ,
266 ,
247 ,
223 ,
203 ,
197 ,
203 ,
205 ,
202 ,
166 ,
140 ,
121 ,
121 ,
112 ,
100 ,
84  ,
83  ,
71  ,
72  ,
58  ,
54  ,
66  ,
77  ,
73  ,
45  ,
3 ,
-12 ,
-24 ,
-16 ,
-22 ,
-33 ,
-65 ,
-94 ,
-119  ,
-138  ,
-151  ,
-157  ,
-146  ,
-147  ,
-175  ,
-209  ,
-246  ,
-264  ,
-274  ,
-272  ,
-282  ,
-301  ,
-316  ,
-322  ,
-313  ,
-319  ,
-308  ,
-304  ,
-290  ,
-291  ,
-297  ,
-307  ,
-309  ,
-292  ,
-272  ,
-253  ,
-270  ,
-277  ,
-285  ,
-272  ,
-259  ,
-227  ,
-205  ,
-182  ,
-171  ,
-160  ,
-159  ,
-148  ,
-121  ,
-76 ,
-33 ,
-10 ,
3 ,
17  ,
36  ,
61  ,
90  ,
114 ,
131 ,
143 ,
160 ,
167 ,
170 ,
177 ,
192 ,
201 ,
203 ,
188 ,
181 ,
170 ,
181 ,
196 ,
203 ,
206 ,
191 ,
183 ,
161 ,
146 ,
142 ,
149 ,
157 ,
149 ,
129 ,
85  ,
48  ,
5 ,
-40 ,
-90 ,
-145  ,
-213  ,
-302  ,
-384  ,
-446  ,
-463  ,
-448  ,
-406  ,
-371  ,
-314  ,
-261  ,
-173  ,
-88 ,
-3  ,
84  ,
167 ,
241 ,
299 ,
344 ,
382 ,
439 ,
496 ,
520 ,
481 ,
422 ,
360 ,
295 ,
251 ,
229 ,
232 ,
222 ,
189 ,
148 ,
117 ,
92  ,
96  ,
103 ,
129 ,
137 ,
152 ,
157 ,
179 ,
212 ,
267 ,
326 ,
379 ,
371 ,
308 ,
238 ,
193 ,
161 ,
123 ,
77  ,
36  ,
34  ,
43  ,
53  ,
50  ,
58  ,
92  ,
103 ,
72  ,
-21 ,
-101  ,
-143  ,
-139  ,
-116  ,
-94 ,
-75 ,
-35 ,
4 ,
48  ,
76  ,
79  ,
68  ,
33  ,
-25 ,
-107  ,
-189  ,
-245  ,
-289  ,
-311  ,
-314  ,
-298  ,
-280  ,
-258  ,
-232  ,
-200  ,
-187  ,
-195  ,
-255  ,
-335  ,
-417  ,
-445  ,
-448  ,
-432  ,
-397  ,
-336  ,
-261  ,
-210  ,
-178  ,
-150  ,
-126  ,
-96 ,
-93 ,
-120  ,
-183  ,
-249  ,
-289  ,
-297  ,
-279  ,
-246  ,
-197  ,
-156  ,
-126  ,
-132  ,
-152  ,
-168  ,
-164  ,
-164  ,
-168  ,
-171  ,
-181  ,
-168  ,
-146  ,
-88 ,
-26 ,
44  ,
96  ,
132 ,
131 ,
118 ,
106 ,
89  ,
56  ,
18  ,
-18 ,
-55 ,
-91 ,
-130  ,
-139  ,
-127  ,
-76 ,
-15 ,
43  ,
95  ,
153 ,
222 ,
292 ,
357 ,
401 ,
445 ,
488 ,
530 ,
554 ,
580 ,
590 ,
613 ,
617 ,
620 ,
611 ,
613 ,
624 ,
642 ,
647 ,
640 ,
614 ,
576 ,
529 ,
488 ,
462 ,
438 ,
416 ,
378 ,
341 ,
301 ,
272 ,
259 ,
237 ,
235 ,
209 ,
196 ,
151 ,
110 ,
70  ,
54  ,
58  ,
73  ,
81  ,
74  ,
62  ,
50  ,
26  ,
-18 ,
-72 ,
-125  ,
-181  ,
-244  ,
-307  ,
-363  ,
-421  ,
-455  ,
-496  ,
-521  ,
-556  ,
-598  ,
-634  ,
-674  ,
-699  ,
-722  ,
-725  ,
-713  ,
-688  ,
-654  ,
-616  ,
-559  ,
-509  ,
-453  ,
-403  ,
-351  ,
-307  ,
-286  ,
-287  ,
-296  ,
-303  ,
-303  ,
-300  ,
-292  ,
-287  ,
-277  ,
-275  ,
-285  ,
-305  ,
-333  ,
-356  ,
-371  ,
-388  ,
-413  ,
-422  ,
-428  ,
-405  ,
-371  ,
-318  ,
-260  ,
-182  ,
-109  ,
-23 ,
46  ,
109 ,
168 ,
217 ,
260 ,
296 ,
337 ,
381 ,
420 ,
454 ,
485 ,
510 ,
525 ,
538 ,
536 ,
541 ,
548 ,
553 ,
545 ,
529 ,
511 ,
506 ,
503 ,
490 ,
487 ,
473 ,
472 ,
464 ,
450 ,
444 ,
441 ,
458 ,
491 ,
511 ,
532 ,
547 ,
573 ,
607 ,
637 ,
650 ,
654 ,
650 ,
635 ,
614 ,
575 ,
548 ,
524 ,
513 ,
499 ,
474 ,
436 ,
394 ,
344 ,
294 ,
244 ,
186 ,
132 ,
76  ,
42  ,
12  ,
1 ,
-4  ,
1 ,
16  ,
30  ,
46  ,
51  ,
39  ,
8 ,
-19 ,
-51 ,
-80 ,
-105  ,
-123  ,
-130  ,
-119  ,
-118  ,
-120  ,
-141  ,
-175  ,
-213  ,
-264  ,
-321  ,
-395  ,
-459  ,
-515  ,
-540  ,
-561  ,
-556  ,
-543  ,
-513  ,
-476  ,
-435  ,
-411  ,
-389  ,
-388  ,
-388  ,
-394  ,
-398  ,
-398  ,
-378  ,
-358  ,
-320  ,
-287  ,
-249  ,
-220  ,
-200  ,
-188  ,
-194  ,
-204  ,
-237  ,
-269  ,
-306  ,
-326  ,
-331  ,
-326  ,
-309  ,
-301  ,
-285  ,
-282  ,
-280  ,
-292  ,
-302  ,
-318  ,
-332  ,
-357  ,
-377  ,
-403  ,
-412  ,
-411  ,
-386  ,
-362  ,
-336  ,
-313  ,
-291  ,
-278  ,
-266  ,
-261  ,
-241  ,
-225  ,
-197  ,
-172  ,
-144  ,
-111  ,
-86 ,
-55 ,
-32 ,
1 ,
23  ,
44  ,
59  ,
75  ,
87  ,
106 ,
122 ,
134 ,
148 ,
152 ,
169 ,
166 ,
171 ,
166 ,
166 ,
175 ,
186 ,
215 ,
245 ,
287 ,
342 ,
373 ,
404 ,
409 ,
407 ,
400 ,
373 ,
356 ,
329 ,
314 ,
307 ,
307 ,
326 ,
351 ,
378 ,
406 ,
416 ,
416 ,
400 ,
371 ,
346 ,
313 ,
295 ,
285 ,
286 ,
295 ,
312 ,
329 ,
352 ,
361 ,
352 ,
331 ,
283 ,
226 ,
154 ,
79  ,
16  ,
-39 ,
-70 ,
-92 ,
-105  ,
-116  ,
-125  ,
-140  ,
-156  ,
-185  ,
-230  ,
-267  ,
-313  ,
-344  ,
-367  ,
-375  ,
-360  ,
-336  ,
-295  ,
-261  ,
-221  ,
-198  ,
-178  ,
-174  ,
-181  ,
-205  ,
-238  ,
-276  ,
-322  ,
-355  ,
-396  ,
-407  ,
-426  ,
-435  ,
-445  ,
-462  ,
-475  ,
-498  ,
-518  ,
-541  ,
-558  ,
-569  ,
-574  ,
-572  ,
-559  ,
-540  ,
-506  ,
-467  ,
-430  ,
-401  ,
-372  ,
-350  ,
-322  ,
-298  ,
-273  ,
-255  ,
-236  ,
-213  ,
-197  ,
-177  ,
-160  ,
-151  ,
-137  ,
-144  ,
-154  ,
-168  ,
-186  ,
-193  ,
-197  ,
-185  ,
-180  ,
-169  ,
-167  ,
-152  ,
-144  ,
-117  ,
-98 ,
-63 ,
-30 ,
12  ,
62  ,
116 ,
175 ,
235 ,
296 ,
359 ,
406 ,
439 ,
462 ,
469 ,
481 ,
477 ,
473 ,
470 ,
468 ,
478 ,
484 ,
495 ,
492 ,
487 ,
464 ,
428 ,
372 ,
309 ,
241 ,
188 ,
145 ,
120 ,
100 ,
101 ,
99  ,
118 ,
122 ,
132 ,
127 ,
106 ,
80  ,
35  ,
4 ,
-32 ,
-45 ,
-45 ,
-30 ,
-1  ,
28  ,
59  ,
84  ,
93  ,
95  ,
69  ,
27  ,
-40 ,
-105  ,
-173  ,
-213  ,
-247  ,
-258  ,
-254  ,
-244  ,
-224  ,
-210  ,
-205  ,
-198  ,
-208  ,
-215  ,
-237  ,
-252  ,
-265  ,
-257  ,
-234  ,
-184  ,
-133  ,
-66 ,
-15 ,
40  ,
71  ,
95  ,
105 ,
108 ,
101 ,
96  ,
83  ,
88  ,
95  ,
124 ,
152 ,
188 ,
219 ,
232 ,
238 ,
228 ,
217 ,
212 ,
203 ,
207 ,
207 ,
218 ,
236 ,
260 ,
293 ,
323 ,
355 ,
377 ,
400 ,
400 ,
407 ,
406 ,
412 ,
432 ,
433 ,
437 ,
421 ,
399 ,
374 ,
335 ,
299 ,
253 ,
214 ,
178 ,
146 ,
123 ,
116 ,
112 ,
134 ,
138 ,
152 ,
145 ,
138 ,
129 ,
129 ,
133 ,
149 ,
164 ,
186 ,
211 ,
244 ,
275 ,
308 ,
328 ,
345 ,
332 ,
308 ,
257 ,
204 ,
142 ,
94  ,
56  ,
39  ,
27  ,
32  ,
40  ,
55  ,
66  ,
70  ,
53  ,
24  ,
-23 ,
-82 ,
-140  ,
-198  ,
-238  ,
-264  ,
-278  ,
-281  ,
-289  ,
-299  ,
-318  ,
-338  ,
-388  ,
-436  ,
-511  ,
-584  ,
-662  ,
-728  ,
-771  ,
-784  ,
-769  ,
-737  ,
-690  ,
-642  ,
-598  ,
-552  ,
-520  ,
-490  ,
-473  ,
-459  ,
-453  ,
-439  ,
-417  ,
-379  ,
-330  ,
-272  ,
-215  ,
-169  ,
-129  ,
-115  ,
-99 ,
-103  ,
-106  ,
-123  ,
-140  ,
-161  ,
-178  ,
-189  ,
-188  ,
-187  ,
-175  ,
-170  ,
-162  ,
-160  ,
-160  ,
-153  ,
-148  ,
-125  ,
-104  ,
-72 ,
-45 ,
-14 ,
21  ,
55  ,
101 ,
136 ,
188 ,
225 ,
269 ,
303 ,
335 ,
353 ,
373 ,
374 ,
372 ,
353 ,
323 ,
298 ,
264 ,
239 ,
215 ,
188 ,
158 ,
130 ,
102 ,
85  ,
72  ,
62  ,
62  ,
56  ,
59  ,
52  ,
59  ,
63  ,
74  ,
96  ,
113 ,
140 ,
161 ,
191 ,
217 ,
246 ,
258 ,
264 ,
249 ,
227 ,
183 ,
143 ,
89  ,
49  ,
11  ,
-16 ,
-34 ,
-46 ,
-61 ,
-73 ,
-92 ,
-117  ,
-157  ,
-209  ,
-270  ,
-324  ,
-368  ,
-394  ,
-390  ,
-366  ,
-313  ,
-246  ,
-177  ,
-107  ,
-62 ,
-22 ,
-4  ,
2 ,
0 ,
-8  ,
-15 ,
-10 ,
-1  ,
25  ,
51  ,
82  ,
106 ,
120 ,
120 ,
96  ,
66  ,
13  ,
-32 ,
-84 ,
-120  ,
-150  ,
-167  ,
-164  ,
-152  ,
-126  ,
-99 ,
-70 ,
-37 ,
-4  ,
30  ,
64  ,
101 ,
141 ,
184 ,
235 ,
280 ,
330 ,
368 ,
413 ,
437 ,
461 ,
463 ,
454 ,
440 ,
411 ,
378 ,
336 ,
284 ,
237 ,
183 ,
127 ,
73  ,
16  ,
-27 ,
-71 ,
-102  ,
-126  ,
-143  ,
-151  ,
-156  ,
-151  ,
-144  ,
-133  ,
-119  ,
-105  ,
-94 ,
-81 ,
-73 ,
-64 ,
-59 ,
-51 ,
-43 ,
-28 ,
-19 ,
-10 ,
-2  ,
-4  ,
-6  ,
-20 ,
-36 ,
-63 ,
-89 ,
-122  ,
-141  ,
-168  ,
-167  ,
-172  ,
-150  ,
-133  ,
-110  ,
-100  ,
-95 ,
-106  ,
-120  ,
-134  ,
-149  ,
-147  ,
-135  ,
-105  ,
-58 ,
5 ,
73  ,
146 ,
206 ,
249 ,
272 ,
260 ,
243 ,
205 ,
172 ,
132 ,
110 ,
89  ,
84  ,
86  ,
101 ,
108 ,
119 ,
108 ,
92  ,
59  ,
17  ,
-27 ,
-66 ,
-98 ,
-110  ,
-113  ,
-97 ,
-75 ,
-41 ,
-12 ,
13  ,
27  ,
25  ,
13  ,
-19 ,
-54 ,
-98 ,
-143  ,
-182  ,
-212  ,
-227  ,
-239  ,
-237  ,
-238  ,
-233  ,
-241  ,
-251  ,
-271  ,
-296  ,
-324  ,
-344  ,
-358  ,
-353  ,
-344  ,
-309  ,
-271  ,
-221  ,
-176  ,
-128  ,
-82 ,
-46 ,
4 ,
33  ,
75  ,
108 ,
141 ,
186 ,
220 ,
263 ,
309 ,
346 ,
388 ,
421 ,
449 ,
477 ,
503 ,
538 ,
579 ,
620 ,
660 ,
706 ,
747 ,
789 ,
835 ,
878 ,
916 ,
951 ,
985 ,
1012  ,
1043  ,
1062  ,
1094  ,
1118  ,
1137  ,
1141  ,
1136  ,
1117  ,
1084  ,
1041  ,
994 ,
934 ,
872 ,
810 ,
750 ,
703 ,
663 ,
629 ,
615 ,
590 ,
571 ,
542 ,
489 ,
445 ,
385 ,
339 ,
301 ,
266 ,
247 ,
217 ,
208 ,
183 ,
178 ,
152 ,
125 ,
85  ,
21  ,
-59 ,
-154  ,
-248  ,
-335  ,
-414  ,
-486  ,
-559  ,
-631  ,
-711  ,
-779  ,
-852  ,
-917  ,
-996  ,
-1073 ,
-1161 ,
-1252 ,
-1333 ,
-1395 ,
-1435 ,
-1443 ,
-1438 ,
-1404 ,
-1366 ,
-1320 ,
-1273 ,
-1234 ,
-1202 ,
-1196 ,
-1202 ,
-1241 ,
-1286 ,
-1336 ,
-1379 ,
-1397 ,
-1406 ,
-1399 ,
-1392 ,
-1387 ,
-1382 ,
-1383 ,
-1382 ,
-1388 ,
-1389 ,
-1405 ,
-1410 ,
-1415 ,
-1397 ,
-1355 ,
-1287 ,
-1202 ,
-1103 ,
-1004 ,
-907  ,
-812  ,
-724  ,
-633  ,
-545  ,
-452  ,
-362  ,
-276  ,
-189  ,
-109  ,
-14 ,
74  ,
174 ,
254 ,
331 ,
380 ,
415 ,
447 ,
470 ,
488 ,
501 ,
503 ,
493 ,
480 ,
454 ,
435 ,
416 ,
405 ,
393 ,
387 ,
378 ,
372 ,
384 ,
402 ,
440 ,
479 ,
519 ,
558 ,
596 ,
626 ,
660 ,
689 ,
727 ,
767 ,
799 ,
833 ,
854 ,
882 ,
902 ,
930 ,
940 ,
941 ,
913 ,
877 ,
826 ,
773 ,
719 ,
675 ,
643 ,
612 ,
596 ,
581 ,
587 ,
594 ,
613 ,
627 ,
640 ,
630 ,
621 ,
609 ,
610 ,
621 ,
638 ,
665 ,
692 ,
716 ,
740 ,
757 ,
771 ,
781 ,
774 ,
753 ,
708 ,
641 ,
570 ,
496 ,
429 ,
374 ,
319 ,
263 ,
217 ,
156 ,
113 ,
54  ,
2 ,
-62 ,
-130  ,
-209  ,
-286  ,
-359  ,
-418  ,
-465  ,
-494  ,
-525  ,
-558  ,
-600  ,
-646  ,
-690  ,
-747  ,
-800  ,
-864  ,
-933  ,
-1002 ,
-1077 ,
-1133 ,
-1187 ,
-1227 ,
-1262 ,
-1298 ,
-1333 ,
-1380 ,
-1424 ,
-1461 ,
-1498 ,
-1525 ,
-1553 ,
-1583 ,
-1609 ,
-1625 ,
-1630 ,
-1612 ,
-1591 ,
-1544 ,
-1503 ,
-1446 ,
-1394 ,
-1335 ,
-1279 ,
-1212 ,
-1149 ,
-1082 ,
-1032 ,
-988  ,
-940  ,
-897  ,
-837  ,
-782  ,
-719  ,
-659  ,
-606  ,
-546  ,
-490  ,
-428  ,
-364  ,
-293  ,
-227  ,
-159  ,
-99 ,
-38 ,
26  ,
100 ,
173 ,
255 ,
324 ,
402 ,
468 ,
546 ,
614 ,
691 ,
761 ,
827 ,
879 ,
923 ,
956 ,
985 ,
1022  ,
1057  ,
1105  ,
1140  ,
1186  ,
1224  ,
1270  ,
1318  ,
1367  ,
1412  ,
1444  ,
1468  ,
1473  ,
1478  ,
1468  ,
1464  ,
1465  ,
1468  ,
1473  ,
1479  ,
1473  ,
1477  ,
1471  ,
1478  ,
1468  ,
1451  ,
1426  ,
1387  ,
1345  ,
1298  ,
1251  ,
1214  ,
1176  ,
1142  ,
1104  ,
1065  ,
1015  ,
975 ,
923 ,
885 ,
823 ,
771 ,
698 ,
636 ,
567 ,
521 ,
476 ,
449 ,
420 ,
392 ,
357 ,
313 ,
270 ,
224 ,
179 ,
120 ,
64  ,
-4  ,
-71 ,
-136  ,
-190  ,
-244  ,
-279  ,
-333  ,
-368  ,
-424  ,
-463  ,
-513  ,
-544  ,
-579  ,
-603  ,
-630  ,
-656  ,
-676  ,
-688  ,
-695  ,
-682  ,
-671  ,
-648  ,
-638  ,
-624  ,
-612  ,
-597  ,
-572  ,
-550  ,
-521  ,
-499  ,
-485  ,
-477  ,
-469  ,
-463  ,
-452  ,
-448  ,
-443  ,
-455  ,
-469  ,
-491  ,
-504  ,
-521  ,
-522  ,
-532  ,
-541  ,
-561  ,
-579  ,
-597  ,
-600  ,
-594  ,
-581  ,
-555  ,
-535  ,
-493  ,
-458  ,
-414  ,
-369  ,
-330  ,
-290  ,
-263  ,
-244  ,
-229  ,
-222  ,
-198  ,
-175  ,
-138  ,
-111  ,
-86 ,
-57 ,
-40 ,
-26 ,
-18 ,
-30 ,
-32 ,
-61 ,
-84 ,
-115  ,
-142  ,
-156  ,
-152  ,
-136  ,
-111  ,
-80 ,
-45 ,
-5  ,
43  ,
92  ,
147 ,
199 ,
248 ,
298 ,
341 ,
392 ,
448 ,
512 ,
584 ,
653 ,
720 ,
772 ,
819 ,
848 ,
877 ,
890 ,
894 ,
881 ,
866 ,
834 ,
810 ,
789 ,
772 ,
767 ,
758 ,
749 ,
729 ,
707 ,
675 ,
657 ,
629 ,
617 ,
590 ,
570 ,
543 ,
521 ,
506 ,
490 ,
478 ,
456 ,
433 ,
392 ,
356 ,
315 ,
280 ,
247 ,
210 ,
177 ,
129 ,
79  ,
35  ,
-14 ,
-50 ,
-96 ,
-131  ,
-180  ,
-225  ,
-267  ,
-303  ,
-321  ,
-343  ,
-351  ,
-363  ,
-368  ,
-369  ,
-369  ,
-356  ,
-344  ,
-320  ,
-305  ,
-286  ,
-280  ,
-258  ,
-239  ,
-209  ,
-182  ,
-158  ,
-144  ,
-134  ,
-140  ,
-134  ,
-148  ,
-153  ,
-169  ,
-180  ,
-197  ,
-212  ,
-217  ,
-219  ,
-207  ,
-203  ,
-193  ,
-189  ,
-185  ,
-186  ,
-175  ,
-179  ,
-164  ,
-159  ,
-148  ,
-128  ,
-122  ,
-99 ,
-86 ,
-66 ,
-49 ,
-43 ,
-36 ,
-41 ,
-56 ,
-71 ,
-97 ,
-118  ,
-139  ,
-159  ,
-171  ,
-183  ,
-194  ,
-208  ,
-228  ,
-246  ,
-276  ,
-303  ,
-344  ,
-373  ,
-408  ,
-430  ,
-442  ,
-446  ,
-445  ,
-433  ,
-431  ,
-414  ,
-421  ,
-420  ,
-444  ,
-459  ,
-496  ,
-520  ,
-554  ,
-565  ,
-581  ,
-573  ,
-569  ,
-551  ,
-532  ,
-520  ,
-502  ,
-495  ,
-484  ,
-479  ,
-464  ,
-458  ,
-436  ,
-423  ,
-402  ,
-383  ,
-367  ,
-356  ,
-345  ,
-348  ,
-349  ,
-360  ,
-378  ,
-392  ,
-413  ,
-433  ,
-452  ,
-463  ,
-474  ,
-474  ,
-472  ,
-475  ,
-470  ,
-476  ,
-468  ,
-464  ,
-446  ,
-432  ,
-407  ,
-383  ,
-347  ,
-309  ,
-261  ,
-207  ,
-147  ,
-90 ,
-40 ,
5 ,
51  ,
101 ,
147 ,
204 ,
244 ,
293 ,
323 ,
360 ,
394 ,
424 ,
457 ,
477 ,
486 ,
485 ,
471 ,
459 ,
441 ,
433 ,
418 ,
408 ,
395 ,
372 ,
358 ,
342 ,
329 ,
323 ,
314 ,
309 ,
305 ,
295 ,
299 ,
301 ,
316 ,
332 ,
344 ,
357 ,
358 ,
360 ,
360 ,
365 ,
368 ,
372 ,
361 ,
351 ,
322 ,
305 ,
283 ,
264 ,
254 ,
227 ,
207 ,
174 ,
139 ,
110 ,
82  ,
67  ,
58  ,
60  ,
59  ,
74  ,
88  ,
119 ,
152 ,
183 ,
221 ,
254 ,
291 ,
323 ,
359 ,
396 ,
440 ,
475 ,
517 ,
538 ,
563 ,
570 ,
572 ,
571 ,
548 ,
526 ,
482 ,
439 ,
387 ,
335 ,
291 ,
246 ,
208 ,
173 ,
121 ,
78  ,
32  ,
-4  ,
-27 ,
-51 ,
-73 ,
-101  ,
-140  ,
-170  ,
-213  ,
-246  ,
-281  ,
-306  ,
-329  ,
-349  ,
-376  ,
-400  ,
-421  ,
-453  ,
-483  ,
-530  ,
-577  ,
-635  ,
-693  ,
-748  ,
-802  ,
-856  ,
-909  ,
-958  ,
-1002 ,
-1043 ,
-1078 ,
-1093 ,
-1097 ,
-1084 ,
-1072 ,
-1047 ,
-1027 ,
-1000 ,
-966  ,
-926  ,
-875  ,
-818  ,
-749  ,
-683  ,
-617  ,
-555  ,
-498  ,
-435  ,
-373  ,
-316  ,
-262  ,
-228  ,
-188  ,
-168  ,
-135  ,
-121  ,
-91 ,
-65 ,
-35 ,
-2  ,
34  ,
74  ,
112 ,
156 ,
193 ,
234 ,
260 ,
292 ,
325 ,
367 ,
411 ,
464 ,
512 ,
562 ,
606 ,
654 ,
699 ,
753 ,
796 ,
848 ,
872 ,
903 ,
903 ,
919 ,
919 ,
927 ,
934 ,
936 ,
935 ,
930 ,
919 ,
909 ,
896 ,
880 ,
858 ,
831 ,
799 ,
767 ,
746 ,
724 ,
724 ,
714 ,
714 ,
699 ,
688 ,
667 ,
654 ,
637 ,
631 ,
615 ,
605 ,
585 ,
574 ,
551 ,
542 ,
528 ,
524 ,
510 ,
495 ,
476 ,
451 ,
422 ,
398 ,
369 ,
346 ,
322 ,
297 ,
266 ,
238 ,
207 ,
186 ,
163 ,
137 ,
101 ,
57  ,
13  ,
-34 ,
-60 ,
-90 ,
-101  ,
-115  ,
-128  ,
-137  ,
-154  ,
-155  ,
-155  ,
-143  ,
-137  ,
-131  ,
-135  ,
-135  ,
-134  ,
-117  ,
-99 ,
-75 ,
-56 ,
-36 ,
-26 ,
-14 ,
-5  ,
7 ,
23  ,
34  ,
50  ,
67  ,
86  ,
110 ,
139 ,
160 ,
177 ,
178 ,
165 ,
149 ,
119 ,
97  ,
64  ,
41  ,
6 ,
-23 ,
-54 ,
-87 ,
-111  ,
-139  ,
-154  ,
-180  ,
-206  ,
-246  ,
-286  ,
-333  ,
-373  ,
-408  ,
-431  ,
-452  ,
-463  ,
-477  ,
-491  ,
-506  ,
-519  ,
-532  ,
-537  ,
-550  ,
-557  ,
-578  ,
-592  ,
-607  ,
-612  ,
-619  ,
-621  ,
-628  ,
-633  ,
-650  ,
-658  ,
-677  ,
-686  ,
-703  ,
-716  ,
-736  ,
-748  ,
-759  ,
-748  ,
-729  ,
-690  ,
-652  ,
-606  ,
-569  ,
-532  ,
-486  ,
-443  ,
-388  ,
-332  ,
-271  ,
-212  ,
-152  ,
-99 ,
-41 ,
11  ,
67  ,
112 ,
149 ,
171 ,
184 ,
191 ,
193 ,
196 ,
202 ,
217 ,
227 ,
242 ,
260 ,
272 ,
300 ,
321 ,
356 ,
378 ,
390 ,
397 ,
392 ,
396 ,
394 ,
404 ,
412 ,
423 ,
422 ,
428 ,
414 ,
420 ,
405 ,
404 ,
382 ,
349 ,
308 ,
255 ,
212 ,
170 ,
129 ,
97  ,
53  ,
21  ,
-18 ,
-48 ,
-70 ,
-77 ,
-76 ,
-74 ,
-73 ,
-73 ,
-72 ,
-60 ,
-38 ,
4 ,
40  ,
81  ,
116 ,
149 ,
185 ,
216 ,
264 ,
302 ,
345 ,
367 ,
382 ,
384 ,
388 ,
390 ,
405 ,
413 ,
417 ,
409 ,
398 ,
376 ,
367 ,
348 ,
343 ,
328 ,
320 ,
302 ,
287 ,
279 ,
273 ,
282 ,
283 ,
286 ,
282 ,
273 ,
265 ,
267 ,
277 ,
297 ,
303 ,
317 ,
314 ,
306 ,
293 ,
280 ,
264 ,
241 ,
207 ,
159 ,
100 ,
37  ,
-25 ,
-70 ,
-115  ,
-166  ,
-221  ,
-282  ,
-347  ,
-413  ,
-466  ,
-517  ,
-555  ,
-590  ,
-621  ,
-654  ,
-680  ,
-710  ,
-720  ,
-727  ,
-737  ,
-746  ,
-767  ,
-793  ,
-822  ,
-852  ,
-881  ,
-911  ,
-938  ,
-970  ,
-1003 ,
-1039 ,
-1073 ,
-1087 ,
-1106 ,
-1110 ,
-1128 ,
-1148 ,
-1185 ,
-1211 ,
-1248 ,
-1251 ,
-1273 ,
-1265 ,
-1281 ,
-1282 ,
-1305 ,
-1308 ,
-1315 ,
-1304 ,
-1289 ,
-1270 ,
-1256 ,
-1243 ,
-1231 ,
-1200 ,
-1161 ,
-1110 ,
-1057 ,
-1006 ,
-962  ,
-918  ,
-870  ,
-818  ,
-754  ,
-693  ,
-625  ,
-579  ,
-522  ,
-478  ,
-412  ,
-344  ,
-269  ,
-188  ,
-119  ,
-56 ,
10  ,
72  ,
153 ,
225 ,
309 ,
385 ,
443 ,
508 ,
557 ,
622 ,
683 ,
746 ,
812 ,
865 ,
908 ,
947 ,
988 ,
1025  ,
1068  ,
1101  ,
1133  ,
1146  ,
1159  ,
1158  ,
1171  ,
1174  ,
1187  ,
1186  ,
1191  ,
1182  ,
1181  ,
1178  ,
1184  ,
1192  ,
1201  ,
1196  ,
1186  ,
1159  ,
1132  ,
1104  ,
1083  ,
1061  ,
1045  ,
1019  ,
995 ,
962 ,
926 ,
884 ,
849 ,
808 ,
769 ,
721 ,
678 ,
631 ,
602 ,
569 ,
549 ,
521 ,
504 ,
476 ,
464 ,
447 ,
436 ,
426 ,
420 ,
412 ,
408 ,
389 ,
378 ,
356 ,
344 ,
319 ,
304 ,
268 ,
242 ,
197 ,
160 ,
116 ,
70  ,
30  ,
-16 ,
-49 ,
-99 ,
-135  ,
-188  ,
-223  ,
-266  ,
-296  ,
-338  ,
-377  ,
-423  ,
-467  ,
-511  ,
-556  ,
-604  ,
-645  ,
-692  ,
-729  ,
-762  ,
-793  ,
-816  ,
-840  ,
-857  ,
-886  ,
-912  ,
-951  ,
-984  ,
-1021 ,
-1056 ,
-1085 ,
-1119 ,
-1152 ,
-1193 ,
-1231 ,
-1267 ,
-1301 ,
-1324 ,
-1342 ,
-1343 ,
-1343 ,
-1326 ,
-1307 ,
-1274 ,
-1233 ,
-1182 ,
-1134 ,
-1071 ,
-1016 ,
-949  ,
-877  ,
-800  ,
-717  ,
-628  ,
-550  ,
-461  ,
-389  ,
-308  ,
-236  ,
-166  ,
-96 ,
-38 ,
13  ,
53  ,
86  ,
115 ,
145 ,
183 ,
220 ,
267 ,
306 ,
359 ,
404 ,
461 ,
508 ,
564 ,
616 ,
671 ,
723 ,
778 ,
827 ,
890 ,
949 ,
1021  ,
1089  ,
1160  ,
1229  ,
1296  ,
1361  ,
1407  ,
1453  ,
1479  ,
1498  ,
1509  ,
1509  ,
1499  ,
1492  ,
1466  ,
1458  ,
1433  ,
1415  ,
1391  ,
1363  ,
1332  ,
1298  ,
1259  ,
1220  ,
1178  ,
1136  ,
1093  ,
1054  ,
1020  ,
998 ,
979 ,
973 ,
967 ,
959 ,
953 ,
925 ,
905 ,
869 ,
838 ,
801 ,
770 ,
732 ,
698 ,
661 ,
626 ,
585 ,
551 ,
507 ,
464 ,
407 ,
342 ,
271 ,
197 ,
134 ,
66  ,
13  ,
-49 ,
-104  ,
-161  ,
-212  ,
-263  ,
-305  ,
-348  ,
-392  ,
-427  ,
-469  ,
-496  ,
-532  ,
-544  ,
-565  ,
-567  ,
-586  ,
-600  ,
-624  ,
-647  ,
-670  ,
-693  ,
-717  ,
-741  ,
-764  ,
-782  ,
-804  ,
-811  ,
-829  ,
-826  ,
-832  ,
-827  ,
-827  ,
-830  ,
-832  ,
-838  ,
-834  ,
-835  ,
-823  ,
-816  ,
-804  ,
-787  ,
-756  ,
-723  ,
-690  ,
-655  ,
-630  ,
-597  ,
-579  ,
-555  ,
-530  ,
-501  ,
-466  ,
-436  ,
-402  ,
-375  ,
-349  ,
-323  ,
-302  ,
-296  ,
-288  ,
-302  ,
-307  ,
-314  ,
-319  ,
-319  ,
-315  ,
-301  ,
-284  ,
-261  ,
-245  ,
-216  ,
-199  ,
-171  ,
-150  ,
-122  ,
-108  ,
-80 ,
-52 ,
-14 ,
22  ,
54  ,
82  ,
111 ,
130 ,
149 ,
167 ,
185 ,
200 ,
209 ,
219 ,
224 ,
236 ,
257 ,
288 ,
322 ,
357 ,
392 ,
427 ,
460 ,
496 ,
527 ,
558 ,
586 ,
600 ,
621 ,
628 ,
647 ,
659 ,
682 ,
699 ,
712 ,
718 ,
715 ,
707 ,
697 ,
683 ,
673 ,
663 ,
647 ,
626 ,
604 ,
578 ,
557 ,
540 ,
517 ,
503 ,
481 ,
460 ,
432 ,
400 ,
362 ,
329 ,
286 ,
246 ,
195 ,
150 ,
96  ,
40  ,
-5  ,
-69 ,
-117  ,
-186  ,
-246  ,
-311  ,
-374  ,
-436  ,
-485  ,
-538  ,
-577  ,
-631  ,
-665  ,
-712  ,
-728  ,
-753  ,
-746  ,
-750  ,
-743  ,
-748  ,
-748  ,
-753  ,
-744  ,
-735  ,
-718  ,
-689  ,
-665  ,
-641  ,
-615  ,
-596  ,
-563  ,
-542  ,
-505  ,
-479  ,
-442  ,
-425  ,
-388  ,
-361  ,
-319  ,
-295  ,
-261  ,
-238  ,
-207  ,
-176  ,
-137  ,
-90 ,
-51 ,
-6  ,
27  ,
58  ,
84  ,
111 ,
147 ,
191 ,
234 ,
280 ,
312 ,
342 ,
377 ,
411 ,
450 ,
490 ,
523 ,
560 ,
574 ,
586 ,
584 ,
580 ,
563 ,
542 ,
510 ,
461 ,
417 ,
364 ,
330 ,
289 ,
254 ,
221 ,
187 ,
162 ,
130 ,
113 ,
87  ,
66  ,
44  ,
12  ,
-10 ,
-40 ,
-53 ,
-59 ,
-57 ,
-48 ,
-47 ,
-50 ,
-60 ,
-61 ,
-73 ,
-75 ,
-95 ,
-103  ,
-122  ,
-142  ,
-154  ,
-175  ,
-182  ,
-201  ,
-217  ,
-236  ,
-266  ,
-292  ,
-309  ,
-331  ,
-345  ,
-376  ,
-397  ,
-430  ,
-457  ,
-477  ,
-489  ,
-485  ,
-482  ,
-467  ,
-458  ,
-442  ,
-430  ,
-409  ,
-395  ,
-372  ,
-365  ,
-359  ,
-363  ,
-365  ,
-356  ,
-359  ,
-352  ,
-358  ,
-355  ,
-356  ,
-354  ,
-345  ,
-331  ,
-325  ,
-313  ,
-316  ,
-317  ,
-329  ,
-330  ,
-320  ,
-299  ,
-277  ,
-242  ,
-213  ,
-174  ,
-139  ,
-98 ,
-46 ,
-2  ,
45  ,
89  ,
121 ,
147 ,
172 ,
187 ,
211 ,
225 ,
240 ,
251 ,
256 ,
265 ,
267 ,
268 ,
255 ,
240 ,
217 ,
189 ,
171 ,
153 ,
147 ,
143 ,
147 ,
154 ,
160 ,
164 ,
174 ,
197 ,
211 ,
236 ,
251 ,
268 ,
283 ,
287 ,
302 ,
308 ,
322 ,
332 ,
355 ,
365 ,
375 ,
373 ,
373 ,
367 ,
364 ,
359 ,
358 ,
365 ,
372 ,
390 ,
395 ,
414 ,
416 ,
441 ,
449 ,
465 ,
478 ,
485 ,
499 ,
507 ,
516 ,
527 ,
535 ,
551 ,
569 ,
582 ,
599 ,
611 ,
624 ,
636 ,
638 ,
647 ,
646 ,
651 ,
655 ,
652 ,
649 ,
628 ,
612 ,
582 ,
553 ,
518 ,
483 ,
445 ,
414 ,
372 ,
346 ,
303 ,
269 ,
229 ,
184 ,
132 ,
74  ,
15  ,
-49 ,
-108  ,
-174  ,
-233  ,
-299  ,
-369  ,
-428  ,
-493  ,
-553  ,
-604  ,
-661  ,
-707  ,
-765  ,
-814  ,
-866  ,
-911  ,
-951  ,
-983  ,
-1009 ,
-1031 ,
-1047 ,
-1050 ,
-1052 ,
-1046 ,
-1036 ,
-1031 ,
-1020 ,
-1021 ,
-1010 ,
-1008 ,
-997  ,
-988  ,
-968  ,
-946  ,
-921  ,
-893  ,
-861  ,
-825  ,
-794  ,
-760  ,
-731  ,
-708  ,
-680  ,
-661  ,
-640  ,
-620  ,
-593  ,
-565  ,
-528  ,
-481  ,
-428  ,
-362  ,
-316  ,
-256  ,
-212  ,
-165  ,
-117  ,
-75 ,
-24 ,
13  ,
56  ,
99  ,
147 ,
194 ,
245 ,
294 ,
342 ,
377 ,
401 ,
417 ,
423 ,
427 ,
427 ,
428 ,
421 ,
416 ,
410 ,
410 ,
424 ,
428 ,
442 ,
437 ,
434 ,
427 ,
418 ,
417 ,
423 ,
437 ,
450 ,
460 ,
471 ,
481 ,
494 ,
513 ,
532 ,
559 ,
562 ,
571 ,
567 ,
557 ,
549 ,
530 ,
519 ,
500 ,
480 ,
455 ,
432 ,
406 ,
382 ,
354 ,
327 ,
288 ,
252 ,
215 ,
181 ,
159 ,
135 ,
119 ,
103 ,
94  ,
97  ,
102 ,
114 ,
125 ,
130 ,
138 ,
130 ,
132 ,
128 ,
122 ,
123 ,
116 ,
105 ,
90  ,
65  ,
53  ,
25  ,
1 ,
-24 ,
-55 ,
-72 ,
-93 ,
-100  ,
-113  ,
-122  ,
-142  ,
-155  ,
-180  ,
-199  ,
-227  ,
-241  ,
-256  ,
-256  ,
-255  ,
-247  ,
-236  ,
-226  ,
-205  ,
-195  ,
-172  ,
-165  ,
-149  ,
-143  ,
-146  ,
-144  ,
-156  ,
-164  ,
-174  ,
-181  ,
-188  ,
-202  ,
-222  ,
-237  ,
-270  ,
-302  ,
-347  ,
-388  ,
-430  ,
-477  ,
-513  ,
-555  ,
-586  ,
-612  ,
-625  ,
-628  ,
-630  ,
-627  ,
-622  ,
-613  ,
-603  ,
-592  ,
-579  ,
-579  ,
-572  ,
-582  ,
-578  ,
-590  ,
-581  ,
-576  ,
-562  ,
-553  ,
-546  ,
-550  ,
-546  ,
-557  ,
-548  ,
-553  ,
-547  ,
-547  ,
-543  ,
-541  ,
-529  ,
-516  ,
-482  ,
-452  ,
-405  ,
-361  ,
-312  ,
-272  ,
-221  ,
-178  ,
-119  ,
-73 ,
-26 ,
15  ,
53  ,
98  ,
143 ,
193 ,
240 ,
279 ,
317 ,
337 ,
360 ,
372 ,
391 ,
413 ,
429 ,
443 ,
452 ,
450 ,
458 ,
456 ,
469 ,
469 ,
475 ,
477 ,
472 ,
464 ,
453 ,
439 ,
433 ,
412 ,
401 ,
374 ,
357 ,
334 ,
321 ,
310 ,
298 ,
294 ,
285 ,
277 ,
269 ,
260 ,
260 ,
256 ,
262 ,
266 ,
273 ,
279 ,
286 ,
297 ,
305 ,
308 ,
316 ,
317 ,
318 ,
317 ,
309 ,
309 ,
303 ,
305 ,
316 ,
320 ,
336 ,
347 ,
355 ,
371 ,
379 ,
395 ,
415 ,
431 ,
451 ,
464 ,
477 ,
481 ,
492 ,
495 ,
503 ,
502 ,
503 ,
506 ,
510 ,
523 ,
531 ,
546 ,
552 ,
555 ,
551 ,
539 ,
528 ,
509 ,
501 ,
477 ,
460 ,
434 ,
405 ,
375 ,
348 ,
317 ,
285 ,
243 ,
200 ,
151 ,
105 ,
46  ,
8 ,
-47 ,
-82 ,
-130  ,
-167  ,
-205  ,
-241  ,
-270  ,
-294  ,
-324  ,
-349  ,
-382  ,
-410  ,
-436  ,
-463  ,
-490  ,
-510  ,
-535  ,
-557  ,
-577  ,
-602  ,
-620  ,
-633  ,
-645  ,
-644  ,
-657  ,
-655  ,
-665  ,
-673  ,
-677  ,
-690  ,
-697  ,
-703  ,
-712  ,
-710  ,
-720  ,
-714  ,
-709  ,
-696  ,
-675  ,
-657  ,
-629  ,
-608  ,
-586  ,
-569  ,
-547  ,
-534  ,
-508  ,
-487  ,
-460  ,
-426  ,
-399  ,
-355  ,
-322  ,
-280  ,
-244  ,
-208  ,
-186  ,
-163  ,
-143  ,
-121  ,
-100  ,
-75 ,
-53 ,
-28 ,
-6  ,
16  ,
46  ,
78  ,
109 ,
145 ,
172 ,
200 ,
222 ,
245 ,
275 ,
310 ,
356 ,
402 ,
455 ,
509 ,
564 ,
633 ,
689 ,
753 ,
808 ,
850 ,
886 ,
905 ,
925 ,
936 ,
957 ,
962 ,
975 ,
966 ,
960 ,
945 ,
931 ,
911 ,
886 ,
863 ,
832 ,
801 ,
766 ,
741 ,
720 ,
714 ,
713 ,
723 ,
719 ,
728 ,
721 ,
727 ,
725 ,
721 ,
719 ,
708 ,
688 ,
671 ,
645 ,
622 ,
598 ,
571 ,
543 ,
502 ,
464 ,
424 ,
391 ,
364 ,
333 ,
308 ,
267 ,
229 ,
187 ,
148 ,
120 ,
89  ,
67  ,
40  ,
16  ,
-4  ,
-20 ,
-31 ,
-34 ,
-35 ,
-28 ,
-30 ,
-29 ,
-28 ,
-33 ,
-35 ,
-47 ,
-62 ,
-82 ,
-109  ,
-136  ,
-160  ,
-196  ,
-222  ,
-256  ,
-291  ,
-330  ,
-378  ,
-417  ,
-467  ,
-505  ,
-554  ,
-589  ,
-639  ,
-677  ,
-725  ,
-752  ,
-794  ,
-814  ,
-842  ,
-858  ,
-883  ,
-912  ,
-939  ,
-976  ,
-1005 ,
-1034 ,
-1067 ,
-1090 ,
-1125 ,
-1136 ,
-1161 ,
-1169 ,
-1185 ,
-1185 ,
-1182 ,
-1175 ,
-1169 ,
-1161 ,
-1153 ,
-1144 ,
-1132 ,
-1124 ,
-1114 ,
-1098 ,
-1077 ,
-1053 ,
-1020 ,
-981  ,
-933  ,
-886  ,
-836  ,
-786  ,
-737  ,
-686  ,
-640  ,
-580  ,
-518  ,
-452  ,
-385  ,
-312  ,
-245  ,
-171  ,
-97 ,
-25 ,
53  ,
124 ,
191 ,
254 ,
315 ,
373 ,
439 ,
497 ,
562 ,
615 ,
669 ,
719 ,
762 ,
806 ,
842 ,
871 ,
902 ,
924 ,
942 ,
956 ,
969 ,
984 ,
1001  ,
1013  ,
1027  ,
1037  ,
1047  ,
1053  ,
1054  ,
1054  ,
1045  ,
1032  ,
1015  ,
990 ,
963 ,
930 ,
907 ,
882 ,
866 ,
833 ,
805 ,
761 ,
720 ,
675 ,
629 ,
580 ,
536 ,
491 ,
456 ,
417 ,
382 ,
349 ,
318 ,
286 ,
255 ,
214 ,
177 ,
137 ,
101 ,
66  ,
21  ,
-22 ,
-73 ,
-117  ,
-168  ,
-216  ,
-267  ,
-315  ,
-359  ,
-402  ,
-438  ,
-477  ,
-501  ,
-526  ,
-540  ,
-555  ,
-573  ,
-592  ,
-609  ,
-623  ,
-636  ,
-650  ,
-666  ,
-679  ,
-689  ,
-696  ,
-704  ,
-705  ,
-705  ,
-704  ,
-700  ,
-701  ,
-700  ,
-701  ,
-704  ,
-699  ,
-698  ,
-690  ,
-687  ,
-675  ,
-663  ,
-647  ,
-633  ,
-612  ,
-596  ,
-568  ,
-552  ,
-525  ,
-515  ,
-492  ,
-484  ,
-454  ,
-435  ,
-406  ,
-378  ,
-348  ,
-307  ,
-279  ,
-239  ,
-216  ,
-184  ,
-165  ,
-150  ,
-144  ,
-142  ,
-148  ,
-150  ,
-164  ,
-173  ,
-188  ,
-206  ,
-213  ,
-220  ,
-213  ,
-217  ,
-211  ,
-215  ,
-214  ,
-221  ,
-220  ,
-212  ,
-198  ,
-169  ,
-153  ,
-123  ,
-103  ,
-81 ,
-42 ,
-18 ,
24  ,
47  ,
72  ,
91  ,
101 ,
108 ,
119 ,
128 ,
142 ,
146 ,
144 ,
139 ,
137 ,
133 ,
141 ,
140 ,
140 ,
134 ,
122 ,
127 ,
131 ,
155 ,
174 ,
205 ,
233 ,
258 ,
290 ,
312 ,
355 ,
391 ,
433 ,
464 ,
487 ,
504 ,
511 ,
522 ,
528 ,
535 ,
544 ,
545 ,
548 ,
544 ,
536 ,
528 ,
516 ,
498 ,
478 ,
443 ,
410 ,
376 ,
345 ,
322 ,
298 ,
280 ,
256 ,
231 ,
202 ,
169 ,
142 ,
110 ,
86  ,
57  ,
18  ,
-17 ,
-64 ,
-97 ,
-131  ,
-157  ,
-180  ,
-204  ,
-228  ,
-252  ,
-278  ,
-299  ,
-318  ,
-334  ,
-345  ,
-365  ,
-381  ,
-411  ,
-432  ,
-458  ,
-473  ,
-484  ,
-496  ,
-502  ,
-506  ,
-505  ,
-498  ,
-481  ,
-454  ,
-429  ,
-394  ,
-371  ,
-343  ,
-315  ,
-284  ,
-240  ,
-198  ,
-151  ,
-113  ,
-78 ,
-41 ,
-6  ,
34  ,
77  ,
121 ,
163 ,
199 ,
235 ,
265 ,
302 ,
337 ,
377 ,
414 ,
444 ,
469 ,
487 ,
515 ,
533 ,
558 ,
574 ,
589 ,
598 ,
599 ,
606 ,
604 ,
616 ,
615 ,
622 ,
620 ,
613 ,
601 ,
596 ,
591 ,
597 ,
596 ,
594 ,
585 ,
571 ,
546 ,
519 ,
492 ,
464 ,
434 ,
397 ,
359 ,
319 ,
279 ,
249 ,
221 ,
199 ,
162 ,
124 ,
81  ,
36  ,
-4  ,
-44 ,
-78 ,
-111  ,
-146  ,
-181  ,
-213  ,
-245  ,
-262  ,
-283  ,
-285  ,
-309  ,
-325  ,
-353  ,
-377  ,
-398  ,
-416  ,
-430  ,
-437  ,
-456  ,
-466  ,
-494  ,
-512  ,
-530  ,
-538  ,
-545  ,
-555  ,
-568  ,
-592  ,
-610  ,
-629  ,
-636  ,
-636  ,
-638  ,
-630  ,
-625  ,
-619  ,
-612  ,
-604  ,
-585  ,
-573  ,
-559  ,
-564  ,
-556  ,
-556  ,
-540  ,
-513  ,
-487  ,
-455  ,
-432  ,
-412  ,
-387  ,
-370  ,
-340  ,
-317  ,
-278  ,
-247  ,
-213  ,
-182  ,
-146  ,
-100  ,
-50 ,
3 ,
49  ,
94  ,
130 ,
162 ,
197 ,
223 ,
258 ,
270 ,
294 ,
307 ,
319 ,
330 ,
341 ,
363 ,
382 ,
400 ,
413 ,
430 ,
443 ,
472 ,
493 ,
530 ,
549 ,
575 ,
591 ,
606 ,
623 ,
633 ,
658 ,
676 ,
701 ,
709 ,
724 ,
721 ,
735 ,
739 ,
746 ,
748 ,
746 ,
738 ,
727 ,
712 ,
702 ,
689 ,
678 ,
664 ,
650 ,
628 ,
612 ,
599 ,
597 ,
593 ,
593 ,
589 ,
594 ,
591 ,
600 ,
614 ,
631 ,
654 ,
669 ,
693 ,
696 ,
712 ,
708 ,
728 ,
735 ,
739 ,
732 ,
710 ,
683 ,
647 ,
607 ,
566 ,
523 ,
472 ,
420 ,
360 ,
301 ,
247 ,
202 ,
163 ,
130 ,
93  ,
44  ,
-2  ,
-55 ,
-98 ,
-151  ,
-192  ,
-244  ,
-285  ,
-339  ,
-384  ,
-432  ,
-476  ,
-518  ,
-563  ,
-607  ,
-665  ,
-721  ,
-783  ,
-830  ,
-880  ,
-920  ,
-965  ,
-999  ,
-1042 ,
-1072 ,
-1114 ,
-1136 ,
-1164 ,
-1179 ,
-1198 ,
-1213 ,
-1228 ,
-1234 ,
-1236 ,
-1227 ,
-1219 ,
-1206 ,
-1189 ,
-1174 ,
-1144 ,
-1124 ,
-1096 ,
-1065 ,
-1041 ,
-1008 ,
-986  ,
-961  ,
-924  ,
-892  ,
-837  ,
-791  ,
-727  ,
-674  ,
-624  ,
-567  ,
-521  ,
-465  ,
-424  ,
-372  ,
-327  ,
-282  ,
-238  ,
-200  ,
-158  ,
-115  ,
-71 ,
-26 ,
15  ,
55  ,
91  ,
130 ,
173 ,
210 ,
257 ,
298 ,
347 ,
391 ,
435 ,
480 ,
527 ,
569 ,
614 ,
644 ,
674 ,
697 ,
720 ,
742 ,
762 ,
775 ,
780 ,
781 ,
776 ,
771 ,
765 ,
761 ,
755 ,
755 ,
748 ,
742 ,
735 ,
738 ,
740 ,
752 ,
755 ,
764 ,
768 ,
770 ,
775 ,
771 ,
768 ,
762 ,
752 ,
748 ,
726 ,
711 ,
692 ,
675 ,
664 ,
642 ,
630 ,
606 ,
588 ,
563 ,
545 ,
525 ,
498 ,
479 ,
446 ,
421 ,
389 ,
357 ,
332 ,
304 ,
278 ,
252 ,
218 ,
185 ,
154 ,
119 ,
97  ,
70  ,
46  ,
24  ,
-6  ,
-25 ,
-50 ,
-71 ,
-88 ,
-101  ,
-113  ,
-136  ,
-155  ,
-189  ,
-208  ,
-248  ,
-271  ,
-308  ,
-340  ,
-370  ,
-407  ,
-426  ,
-451  ,
-468  ,
-480  ,
-495  ,
-511  ,
-530  ,
-552  ,
-570  ,
-581  ,
-596  ,
-609  ,
-632  ,
-658  ,
-685  ,
-712  ,
-733  ,
-749  ,
-769  ,
-782  ,
-799  ,
-816  ,
-834  ,
-853  ,
-865  ,
-878  ,
-888  ,
-903  ,
-908  ,
-914  ,
-911  ,
-905  ,
-894  ,
-883  ,
-872  ,
-858  ,
-841  ,
-824  ,
-799  ,
-778  ,
-744  ,
-719  ,
-687  ,
-667  ,
-639  ,
-623  ,
-597  ,
-582  ,
-566  ,
-554  ,
-544  ,
-532  ,
-516  ,
-496  ,
-468  ,
-435  ,
-398  ,
-360  ,
-325  ,
-291  ,
-258  ,
-218  ,
-176  ,
-133  ,
-83 ,
-40 ,
13  ,
61  ,
115 ,
167 ,
222 ,
267 ,
318 ,
355 ,
395 ,
425 ,
462 ,
490 ,
522 ,
539 ,
554 ,
565 ,
577 ,
590 ,
603 ,
615 ,
631 ,
638 ,
649 ,
658 ,
665 ,
679 ,
679 ,
684 ,
677 ,
673 ,
662 ,
660 ,
655 ,
654 ,
649 ,
641 ,
636 ,
621 ,
618 ,
612 ,
606 ,
606 ,
590 ,
582 ,
558 ,
542 ,
516 ,
491 ,
465 ,
432 ,
401 ,
360 ,
322 ,
281 ,
246 ,
212 ,
180 ,
158 ,
126 ,
104 ,
80  ,
58  ,
47  ,
30  ,
29  ,
21  ,
20  ,
14  ,
11  ,
13  ,
12  ,
25  ,
31  ,
42  ,
46  ,
51  ,
55  ,
61  ,
66  ,
69  ,
70  ,
67  ,
70  ,
74  ,
87  ,
100 ,
123 ,
134 ,
148 ,
145 ,
143 ,
135 ,
131 ,
126 ,
123 ,
114 ,
108 ,
98  ,
90  ,
86  ,
85  ,
86  ,
90  ,
85  ,
79  ,
70  ,
51  ,
37  ,
20  ,
-5  ,
-26 ,
-62 ,
-88 ,
-121  ,
-149  ,
-179  ,
-208  ,
-242  ,
-278  ,
-320  ,
-364  ,
-407  ,
-453  ,
-488  ,
-523  ,
-544  ,
-566  ,
-581  ,
-599  ,
-604  ,
-613  ,
-616  ,
-622  ,
-628  ,
-632  ,
-640  ,
-643  ,
-638  ,
-630  ,
-615  ,
-592  ,
-577  ,
-548  ,
-544  ,
-529  ,
-519  ,
-509  ,
-498  ,
-484  ,
-482  ,
-458  ,
-457  ,
-429  ,
-421  ,
-393  ,
-378  ,
-352  ,
-335  ,
-311  ,
-291  ,
-273  ,
-238  ,
-215  ,
-173  ,
-150  ,
-114  ,
-88 ,
-56 ,
-24 ,
6 ,
45  ,
70  ,
106 ,
133 ,
170 ,
199 ,
232 ,
266 ,
295 ,
327 ,
345 ,
375 ,
390 ,
421 ,
437 ,
463 ,
480 ,
497 ,
517 ,
533 ,
551 ,
568 ,
583 ,
602 ,
613 ,
624 ,
627 ,
626 ,
628 ,
630 ,
630 ,
631 ,
621 ,
617 ,
606 ,
607 ,
606 ,
618 ,
623 ,
629 ,
634 ,
628 ,
625 ,
614 ,
607 ,
592 ,
576 ,
555 ,
534 ,
508 ,
488 ,
461 ,
447 ,
425 ,
407 ,
391 ,
368 ,
355 ,
331 ,
310 ,
284 ,
251 ,
225 ,
190 ,
164 ,
136 ,
113 ,
91  ,
68  ,
40  ,
10  ,
-19 ,
-56 ,
-76 ,
-110  ,
-130  ,
-156  ,
-167  ,
-177  ,
-173  ,
-175  ,
-164  ,
-154  ,
-141  ,
-133  ,
-122  ,
-116  ,
-114  ,
-112  ,
-119  ,
-125  ,
-144  ,
-153  ,
-172  ,
-178  ,
-195  ,
-201  ,
-213  ,
-220  ,
-224  ,
-234  ,
-236  ,
-246  ,
-248  ,
-259  ,
-261  ,
-273  ,
-279  ,
-291  ,
-298  ,
-304  ,
-310  ,
-323  ,
-332  ,
-347  ,
-356  ,
-373  ,
-386  ,
-407  ,
-417  ,
-438  ,
-447  ,
-469  ,
-491  ,
-522  ,
-556  ,
-585  ,
-625  ,
-650  ,
-681  ,
-704  ,
-720  ,
-740  ,
-746  ,
-760  ,
-756  ,
-761  ,
-754  ,
-760  ,
-758  ,
-762  ,
-761  ,
-752  ,
-739  ,
-725  ,
-706  ,
-688  ,
-653  ,
-627  ,
-583  ,
-549  ,
-503  ,
-466  ,
-425  ,
-387  ,
-346  ,
-304  ,
-256  ,
-208  ,
-159  ,
-120  ,
-83 ,
-44 ,
-9  ,
34  ,
81  ,
123 ,
171 ,
202 ,
248 ,
280 ,
320 ,
358 ,
397 ,
435 ,
466 ,
497 ,
525 ,
560 ,
599 ,
640 ,
679 ,
706 ,
739 ,
756 ,
785 ,
804 ,
826 ,
845 ,
855 ,
857 ,
857 ,
837 ,
825 ,
799 ,
783 ,
754 ,
721 ,
683 ,
649 ,
610 ,
578 ,
542 ,
515 ,
476 ,
455 ,
420 ,
399 ,
368 ,
347 ,
326 ,
307 ,
286 ,
259 ,
235 ,
207 ,
187 ,
170 ,
155 ,
136 ,
118 ,
93  ,
69  ,
39  ,
16  ,
-10 ,
-31 ,
-47 ,
-68 ,
-85 ,
-112  ,
-134  ,
-156  ,
-179  ,
-195  ,
-214  ,
-234  ,
-260  ,
-280  ,
-303  ,
-317  ,
-323  ,
-330  ,
-319  ,
-324  ,
-315  ,
-311  ,
-295  ,
-280  ,
-257  ,
-240  ,
-233  ,
-225  ,
-235  ,
-233  ,
-241  ,
-240  ,
-240  ,
-244  ,
-245  ,
-256  ,
-257  ,
-265  ,
-258  ,
-256  ,
-254  ,
-256  ,
-265  ,
-269  ,
-278  ,
-273  ,
-269  ,
-243  ,
-231  ,
-213  ,
-203  ,
-195  ,
-182  ,
-172  ,
-158  ,
-138  ,
-127  ,
-113  ,
-100  ,
-89 ,
-68 ,
-51 ,
-29 ,
-3  ,
4 ,
19  ,
14  ,
32  ,
34  ,
57  ,
62  ,
74  ,
77  ,
78  ,
85  ,
91  ,
106 ,
115 ,
128 ,
128 ,
133 ,
125 ,
125 ,
126 ,
129 ,
132 ,
120 ,
114 ,
98  ,
92  ,
84  ,
77  ,
72  ,
63  ,
57  ,
50  ,
39  ,
34  ,
15  ,
16  ,
-2  ,
-3  ,
-16 ,
-21 ,
-23 ,
-26 ,
-23 ,
-27 ,
-26 ,
-33 ,
-30 ,
-36 ,
-31 ,
-31 ,
-25 ,
-17 ,
-9  ,
-8  ,
-10 ,
-15 ,
-19 ,
-18 ,
-13 ,
-6  ,
3 ,
23  ,
29  ,
49  ,
55  ,
70  ,
82  ,
91  ,
102 ,
100 ,
100 ,
91  ,
89  ,
79  ,
79  ,
60  ,
61  ,
43  ,
45  ,
38  ,
43  ,
46  ,
47  ,
45  ,
30  ,
19  ,
-9  ,
-18 ,
-37 ,
-47 ,
-60 ,
-75 ,
-86 ,
-104  ,
-116  ,
-129  ,
-136  ,
-146  ,
-151  ,
-168  ,
-173  ,
-188  ,
-189  ,
-196  ,
-189  ,
-188  ,
-181  ,
-173  ,
-159  ,
-145  ,
-117  ,
-108  ,
-84 ,
-76 ,
-62 ,
-49 ,
-33 ,
-6  ,
20  ,
55  ,
82  ,
117 ,
151 ,
191 ,
231 ,
283 ,
322 ,
360 ,
392 ,
417 ,
446 ,
473 ,
502 ,
529 ,
565 ,
583 ,
612 ,
624 ,
647 ,
663 ,
679 ,
687 ,
697 ,
700 ,
713 ,
727 ,
738 ,
753 ,
756 ,
754 ,
749 ,
732 ,
710 ,
682 ,
657 ,
624 ,
587 ,
541 ,
493 ,
447 ,
401 ,
354 ,
300 ,
243 ,
180 ,
116 ,
57  ,
-3  ,
-59 ,
-110  ,
-158  ,
-203  ,
-246  ,
-289  ,
-320  ,
-343  ,
-367  ,
-385  ,
-415  ,
-435  ,
-461  ,
-476  ,
-488  ,
-504  ,
-519  ,
-536  ,
-557  ,
-572  ,
-592  ,
-607  ,
-617  ,
-628  ,
-636  ,
-649  ,
-663  ,
-672  ,
-686  ,
-691  ,
-700  ,
-707  ,
-711  ,
-711  ,
-702  ,
-699  ,
-684  ,
-687  ,
-674  ,
-671  ,
-663  ,
-655  ,
-645  ,
-634  ,
-621  ,
-608  ,
-602  ,
-592  ,
-590  ,
-583  ,
-580  ,
-576  ,
-577  ,
-569  ,
-565  ,
-552  ,
-547  ,
-532  ,
-524  ,
-502  ,
-491  ,
-468  ,
-452  ,
-428  ,
-411  ,
-380  ,
-371  ,
-343  ,
-334  ,
-312  ,
-294  ,
-273  ,
-244  ,
-216  ,
-181  ,
-143  ,
-103  ,
-69 ,
-26 ,
6 ,
55  ,
91  ,
135 ,
174 ,
216 ,
257 ,
304 ,
350 ,
396 ,
442 ,
488 ,
528 ,
569 ,
601 ,
624 ,
652 ,
667 ,
687 ,
706 ,
722 ,
747 ,
763 ,
783 ,
803 ,
815 ,
838 ,
852 ,
865 ,
879 ,
875 ,
875 ,
865 ,
849 ,
840 ,
818 ,
813 ,
798 ,
801 ,
790 ,
795 ,
788 ,
789 ,
780 ,
772 ,
754 ,
742 ,
724 ,
719 ,
705 ,
697 ,
685 ,
672 ,
659 ,
642 ,
622 ,
598 ,
578 ,
550 ,
532 ,
503 ,
484 ,
460 ,
445 ,
422 ,
407 ,
377 ,
356 ,
329 ,
305 ,
275 ,
241 ,
208 ,
170 ,
137 ,
101 ,
62  ,
24  ,
-16 ,
-64 ,
-105  ,
-161  ,
-208  ,
-269  ,
-315  ,
-375  ,
-427  ,
-490  ,
-547  ,
-605  ,
-659  ,
-719  ,
-773  ,
-831  ,
-886  ,
-932  ,
-985  ,
-1021 ,
-1067 ,
-1101 ,
-1131 ,
-1168 ,
-1193 ,
-1230 ,
-1252 ,
-1277 ,
-1289 ,
-1307 ,
-1312 ,
-1332 ,
-1332 ,
-1343 ,
-1338 ,
-1331 ,
-1320 ,
-1300 ,
-1275 ,
-1252 ,
-1214 ,
-1184 ,
-1141 ,
-1098 ,
-1053 ,
-1008 ,
-958  ,
-906  ,
-846  ,
-783  ,
-715  ,
-645  ,
-577  ,
-507  ,
-441  ,
-366  ,
-301  ,
-220  ,
-156  ,
-80 ,
-17 ,
37  ,
102 ,
153 ,
221 ,
276 ,
344 ,
405 ,
474 ,
541 ,
597 ,
664 ,
709 ,
762 ,
798 ,
831 ,
859 ,
878 ,
897 ,
907 ,
915 ,
917 ,
916 ,
916 ,
913 ,
901 ,
894 ,
872 ,
867 ,
841 ,
834 ,
813 ,
805 ,
793 ,
780 ,
775 ,
763 ,
760 ,
758 ,
759 ,
758 ,
755 ,
747 ,
743 ,
739 ,
730 ,
723 ,
713 ,
703 ,
695 ,
688 ,
687 ,
681 ,
688 ,
680 ,
676 ,
662 ,
636 ,
612 ,
584 ,
555 ,
531 ,
499 ,
475 ,
450 ,
428 ,
411 ,
386 ,
372 ,
348 ,
331 ,
307 ,
291 ,
269 ,
254 ,
244 ,
228 ,
227 ,
203 ,
195 ,
167 ,
145 ,
114 ,
82  ,
46  ,
12  ,
-27 ,
-67 ,
-106  ,
-143  ,
-182  ,
-217  ,
-257  ,
-292  ,
-330  ,
-370  ,
-403  ,
-442  ,
-470  ,
-501  ,
-525  ,
-549  ,
-569  ,
-589  ,
-602  ,
-617  ,
-624  ,
-635  ,
-639  ,
-648  ,
-651  ,
-658  ,
-657  ,
-668  ,
-668  ,
-677  ,
-679  ,
-683  ,
-688  ,
-690  ,
-690  ,
-688  ,
-687  ,
-681  ,
-679  ,
-671  ,
-664  ,
-657  ,
-646  ,
-635  ,
-620  ,
-606  ,
-591  ,
-584  ,
-571  ,
-566  ,
-555  ,
-538  ,
-523  ,
-502  ,
-481  ,
-460  ,
-441  ,
-417  ,
-405  ,
-383  ,
-372  ,
-357  ,
-345  ,
-333  ,
-326  ,
-313  ,
-301  ,
-283  ,
-264  ,
-245  ,
-225  ,
-197  ,
-174  ,
-142  ,
-114  ,
-88 ,
-58 ,
-38 ,
-13 ,
6 ,
25  ,
51  ,
81  ,
116 ,
159 ,
196 ,
242 ,
289 ,
339 ,
396 ,
439 ,
496 ,
531 ,
573 ,
606 ,
640 ,
667 ,
699 ,
724 ,
751 ,
773 ,
792 ,
810 ,
828 ,
837 ,
845 ,
840 ,
836 ,
819 ,
806 ,
782 ,
762 ,
734 ,
715 ,
692 ,
668 ,
645 ,
615 ,
587 ,
557 ,
525 ,
491 ,
450 ,
402 ,
355 ,
302 ,
253 ,
206 ,
171 ,
138 ,
109 ,
83  ,
53  ,
27  ,
-4  ,
-33 ,
-62 ,
-102  ,
-134  ,
-169  ,
-203  ,
-224  ,
-258  ,
-274  ,
-298  ,
-315  ,
-338  ,
-348  ,
-366  ,
-364  ,
-363  ,
-351  ,
-343  ,
-322  ,
-308  ,
-277  ,
-253  ,
-227  ,
-198  ,
-175  ,
-145  ,
-126  ,
-101  ,
-83 ,
-66 ,
-48 ,
-32 ,
-17 ,
-1  ,
15  ,
24  ,
42  ,
47  ,
56  ,
62  ,
65  ,
73  ,
67  ,
69  ,
63  ,
61  ,
57  ,
48  ,
40  ,
27  ,
9 ,
-6  ,
-23 ,
-48 ,
-68 ,
-102  ,
-127  ,
-162  ,
-199  ,
-233  ,
-271  ,
-302  ,
-341  ,
-372  ,
-415  ,
-442  ,
-480  ,
-498  ,
-525  ,
-532  ,
-551  ,
-541  ,
-553  ,
-538  ,
-539  ,
-529  ,
-526  ,
-509  ,
-504  ,
-489  ,
-481  ,
-471  ,
-452  ,
-445  ,
-429  ,
-416  ,
-407  ,
-394  ,
-383  ,
-372  ,
-352  ,
-338  ,
-321  ,
-301  ,
-290  ,
-276  ,
-265  ,
-245  ,
-226  ,
-200  ,
-179  ,
-152  ,
-130  ,
-103  ,
-77 ,
-57 ,
-30 ,
-20 ,
-4  ,
3 ,
4 ,
8 ,
4 ,
13  ,
13  ,
20  ,
18  ,
21  ,
17  ,
21  ,
18  ,
21  ,
21  ,
22  ,
23  ,
23  ,
25  ,
23  ,
31  ,
33  ,
47  ,
51  ,
67  ,
76  ,
96  ,
109 ,
128 ,
137 ,
156 ,
164 ,
184 ,
197 ,
218 ,
241 ,
266 ,
298 ,
326 ,
361 ,
384 ,
412 ,
427 ,
441 ,
450 ,
453 ,
461 ,
467 ,
473 ,
483 ,
491 ,
504 ,
516 ,
529 ,
540 ,
539 ,
545 ,
535 ,
537 ,
529 ,
523 ,
516 ,
503 ,
492 ,
472 ,
455 ,
435 ,
412 ,
392 ,
358 ,
328 ,
292 ,
259 ,
231 ,
208 ,
187 ,
171 ,
150 ,
135 ,
112 ,
99  ,
83  ,
69  ,
61  ,
42  ,
30  ,
7 ,
-5  ,
-19 ,
-22 ,
-29 ,
-21 ,
-28 ,
-17 ,
-20 ,
-15 ,
-11 ,
-9  ,
-6  ,
-6  ,
-8  ,
-11 ,
-9  ,
-5  ,
5 ,
17  ,
20  ,
29  ,
18  ,
24  ,
14  ,
19  ,
16  ,
17  ,
11  ,
-10 ,
-29 ,
-60 ,
-87 ,
-115  ,
-142  ,
-174  ,
-203  ,
-242  ,
-270  ,
-304  ,
-330  ,
-358  ,
-382  ,
-406  ,
-430  ,
-461  ,
-490  ,
-518  ,
-547  ,
-566  ,
-591  ,
-611  ,
-636  ,
-660  ,
-676  ,
-692  ,
-701  ,
-709  ,
-714  ,
-719  ,
-726  ,
-733  ,
-737  ,
-735  ,
-732  ,
-727  ,
-721  ,
-713  ,
-707  ,
-687  ,
-666  ,
-624  ,
-584  ,
-539  ,
-494  ,
-458  ,
-415  ,
-381  ,
-331  ,
-293  ,
-236  ,
-201  ,
-156  ,
-125  ,
-86 ,
-46 ,
-1  ,
47  ,
96  ,
143 ,
187 ,
226 ,
266 ,
308 ,
345 ,
385 ,
414 ,
438 ,
456 ,
474 ,
496 ,
520 ,
541 ,
567 ,
572 ,
581 ,
565 ,
560 ,
543 ,
533 ,
516 ,
503 ,
473 ,
455 ,
426 ,
411 ,
399 ,
385 ,
375 ,
350 ,
327 ,
294 ,
267 ,
244 ,
223 ,
210 ,
197 ,
181 ,
172 ,
160 ,
163 ,
165 ,
179 ,
183 ,
190 ,
192 ,
197 ,
206 ,
221 ,
238 ,
258 ,
269 ,
275 ,
271 ,
272 ,
265 ,
272 ,
272 ,
278 ,
276 ,
274 ,
269 ,
268 ,
270 ,
275 ,
286 ,
290 ,
299 ,
298 ,
308 ,
309 ,
320 ,
326 ,
325 ,
319 ,
309 ,
292 ,
284 ,
271 ,
263 ,
253 ,
233 ,
211 ,
177 ,
148 ,
114 ,
91  ,
62  ,
38  ,
1 ,
-30 ,
-68 ,
-98 ,
-127  ,
-150  ,
-173  ,
-194  ,
-214  ,
-232  ,
-248  ,
-260  ,
-271  ,
-272  ,
-284  ,
-289  ,
-303  ,
-315  ,
-322  ,
-330  ,
-323  ,
-327  ,
-320  ,
-324  ,
-328  ,
-328  ,
-333  ,
-331  ,
-323  ,
-322  ,
-316  ,
-317  ,
-323  ,
-324  ,
-321  ,
-321  ,
-311  ,
-312  ,
-313  ,
-312  ,
-316  ,
-309  ,
-302  ,
-288  ,
-278  ,
-267  ,
-268  ,
-267  ,
-277  ,
-273  ,
-276  ,
-272  ,
-274  ,
-284  ,
-295  ,
-305  ,
-316  ,
-311  ,
-313  ,
-306  ,
-312  ,
-319  ,
-331  ,
-344  ,
-353  ,
-359  ,
-358  ,
-364  ,
-367  ,
-382  ,
-389  ,
-395  ,
-388  ,
-377  ,
-359  ,
-346  ,
-326  ,
-314  ,
-288  ,
-267  ,
-230  ,
-202  ,
-157  ,
-132  ,
-91 ,
-65 ,
-23 ,
15  ,
63  ,
101 ,
135 ,
157 ,
167 ,
182 ,
192 ,
214 ,
225 ,
247 ,
254 ,
269 ,
268 ,
279 ,
283 ,
297 ,
303 ,
308 ,
305 ,
294 ,
286 ,
276 ,
276 ,
273 ,
273 ,
265 ,
259 ,
243 ,
231 ,
214 ,
206 ,
194 ,
189 ,
176 ,
167 ,
157 ,
145 ,
145 ,
138 ,
142 ,
132 ,
125 ,
109 ,
98  ,
84  ,
76  ,
67  ,
55  ,
43  ,
32  ,
21  ,
21  ,
25  ,
45  ,
66  ,
93  ,
111 ,
136 ,
156 ,
189 ,
225 ,
266 ,
308 ,
346 ,
381 ,
420 ,
450 ,
493 ,
525 ,
568 ,
602 ,
631 ,
656 ,
674 ,
695 ,
716 ,
733 ,
746 ,
747 ,
742 ,
733 ,
719 ,
714 ,
702 ,
691 ,
679 ,
654 ,
634 ,
603 ,
577 ,
554 ,
528 ,
501 ,
468 ,
420 ,
375 ,
322 ,
277 ,
225 ,
176 ,
108 ,
50  ,
-18 ,
-79 ,
-138  ,
-194  ,
-245  ,
-295  ,
-350  ,
-403  ,
-465  ,
-511  ,
-560  ,
-594  ,
-630  ,
-665  ,
-704  ,
-737  ,
-763  ,
-785  ,
-795  ,
-802  ,
-810  ,
-809  ,
-821  ,
-829  ,
-839  ,
-844  ,
-843  ,
-840  ,
-842  ,
-840  ,
-844  ,
-841  ,
-827  ,
-819  ,
-791  ,
-780  ,
-752  ,
-731  ,
-710  ,
-689  ,
-670  ,
-651  ,
-628  ,
-621  ,
-600  ,
-599  ,
-582  ,
-564  ,
-543  ,
-512  ,
-494  ,
-472  ,
-460  ,
-446  ,
-440  ,
-426  ,
-415  ,
-397  ,
-378  ,
-359  ,
-340  ,
-316  ,
-294  ,
-259  ,
-229  ,
-195  ,
-169  ,
-150  ,
-135  ,
-116  ,
-98 ,
-75 ,
-47 ,
-23 ,
12  ,
31  ,
69  ,
98  ,
144 ,
185 ,
227 ,
273 ,
304 ,
343 ,
372 ,
409 ,
448 ,
478 ,
514 ,
538 ,
561 ,
590 ,
614 ,
649 ,
676 ,
707 ,
727 ,
752 ,
767 ,
795 ,
817 ,
851 ,
881 ,
910 ,
931 ,
941 ,
952 ,
956 ,
969 ,
963 ,
976 ,
955 ,
957 ,
931 ,
924 ,
905 ,
890 ,
878 ,
855 ,
835 ,
800 ,
769 ,
741 ,
715 ,
691 ,
666 ,
636 ,
602 ,
569 ,
541 ,
510 ,
494 ,
462 ,
446 ,
416 ,
392 ,
368 ,
347 ,
335 ,
320 ,
309 ,
285 ,
266 ,
241 ,
230 ,
218 ,
217 ,
202 ,
197 ,
173 ,
162 ,
145 ,
132 ,
123 ,
111 ,
94  ,
76  ,
45  ,
22  ,
-11 ,
-33 ,
-66 ,
-100  ,
-142  ,
-187  ,
-233  ,
-270  ,
-315  ,
-348  ,
-395  ,
-439  ,
-493  ,
-542  ,
-599  ,
-638  ,
-687  ,
-720  ,
-769  ,
-808  ,
-867  ,
-906  ,
-956  ,
-983  ,
-1019 ,
-1046 ,
-1081 ,
-1111 ,
-1145 ,
-1171 ,
-1197 ,
-1218 ,
-1234 ,
-1259 ,
-1279 ,
-1308 ,
-1325 ,
-1334 ,
-1331 ,
-1315 ,
-1297 ,
-1269 ,
-1248 ,
-1219 ,
-1189 ,
-1153 ,
-1111 ,
-1066 ,
-1021 ,
-970  ,
-920  ,
-864  ,
-799  ,
-731  ,
-651  ,
-581  ,
-504  ,
-438  ,
-372  ,
-310  ,
-243  ,
-179  ,
-101  ,
-37 ,
43  ,
108 ,
180 ,
250 ,
315 ,
389 ,
445 ,
512 ,
556 ,
612 ,
649 ,
698 ,
734 ,
778 ,
811 ,
839 ,
857 ,
873 ,
889 ,
902 ,
922 ,
935 ,
947 ,
952 ,
950 ,
947 ,
940 ,
938 ,
928 ,
926 ,
907 ,
895 ,
870 ,
853 ,
831 ,
813 ,
794 ,
774 ,
753 ,
732 ,
719 ,
698 ,
695 ,
682 ,
680 ,
678 ,
669 ,
668 ,
659 ,
655 ,
645 ,
641 ,
620 ,
614 ,
586 ,
572 ,
547 ,
531 ,
514 ,
496 ,
480 ,
459 ,
437 ,
414 ,
391 ,
371 ,
355 ,
334 ,
317 ,
289 ,
260 ,
229 ,
201 ,
179 ,
156 ,
134 ,
105 ,
80  ,
50  ,
17  ,
-8  ,
-44 ,
-71 ,
-108  ,
-144  ,
-193  ,
-228  ,
-279  ,
-308  ,
-350  ,
-382  ,
-422  ,
-461  ,
-496  ,
-522  ,
-549  ,
-566  ,
-583  ,
-604  ,
-618  ,
-645  ,
-662  ,
-680  ,
-689  ,
-698  ,
-703  ,
-715  ,
-725  ,
-736  ,
-739  ,
-735  ,
-729  ,
-722  ,
-715  ,
-713  ,
-709  ,
-704  ,
-699  ,
-684  ,
-674  ,
-659  ,
-646  ,
-633  ,
-620  ,
-602  ,
-578  ,
-550  ,
-518  ,
-494  ,
-473  ,
-450  ,
-434  ,
-417  ,
-402  ,
-394  ,
-373  ,
-366  ,
-348  ,
-340  ,
-321  ,
-309  ,
-282  ,
-270  ,
-245  ,
-241  ,
-228  ,
-226  ,
-221  ,
-217  ,
-211  ,
-201  ,
-191  ,
-178  ,
-170  ,
-157  ,
-148  ,
-134  ,
-126  ,
-116  ,
-113  ,
-105  ,
-102  ,
-86 ,
-73 ,
-52 ,
-26 ,
0 ,
38  ,
70  ,
111 ,
153 ,
205 ,
255 ,
309 ,
350 ,
392 ,
427 ,
461 ,
494 ,
524 ,
551 ,
574 ,
594 ,
609 ,
622 ,
632 ,
641 ,
647 ,
655 ,
655 ,
658 ,
655 ,
656 ,
653 ,
654 ,
645 ,
638 ,
619 ,
606 ,
580 ,
565 ,
534 ,
517 ,
487 ,
468 ,
434 ,
407 ,
377 ,
352 ,
325 ,
304 ,
271 ,
248 ,
208 ,
178 ,
138 ,
103 ,
67  ,
31  ,
-8  ,
-47 ,
-91 ,
-130  ,
-164  ,
-194  ,
-213  ,
-245  ,
-257  ,
-287  ,
-296  ,
-313  ,
-318  ,
-321  ,
-323  ,
-319  ,
-319  ,
-309  ,
-306  ,
-289  ,
-273  ,
-244  ,
-223  ,
-198  ,
-178  ,
-150  ,
-124  ,
-92 ,
-68 ,
-43 ,
-24 ,
-15 ,
-1  ,
0 ,
10  ,
12  ,
23  ,
28  ,
32  ,
34  ,
36  ,
46  ,
58  ,
65  ,
76  ,
75  ,
81  ,
75  ,
78  ,
73  ,
75  ,
67  ,
69  ,
46  ,
42  ,
13  ,
3 ,
-10 ,
-23 ,
-31 ,
-55 ,
-73 ,
-99 ,
-120  ,
-149  ,
-173  ,
-204  ,
-229  ,
-258  ,
-282  ,
-308  ,
-319  ,
-334  ,
-329  ,
-335  ,
-341  ,
-345  ,
-356  ,
-354  ,
-355  ,
-352  ,
-345  ,
-338  ,
-331  ,
-317  ,
-307  ,
-287  ,
-272  ,
-253  ,
-230  ,
-224  ,
-209  ,
-209  ,
-191  ,
-178  ,
-151  ,
-138  ,
-117  ,
-108  ,
-92 ,
-86 ,
-73 ,
-67 ,
-58 ,
-52 ,
-54 ,
-54 ,
-68 ,
-67 ,
-75 ,
-67 ,
-68 ,
-64 ,
-62 ,
-68 ,
-56 ,
-62 ,
-48 ,
-53 ,
-39 ,
-42 ,
-31 ,
-36 ,
-34 ,
-31 ,
-31 ,
-23 ,
-25 ,
-27 ,
-37 ,
-46 ,
-52 ,
-52 ,
-55 ,
-45 ,
-50 ,
-37 ,
-41 ,
-27 ,
-18 ,
-2  ,
14  ,
27  ,
33  ,
40  ,
45  ,
54  ,
66  ,
78  ,
90  ,
100 ,
110 ,
121 ,
133 ,
146 ,
166 ,
182 ,
205 ,
217 ,
236 ,
246 ,
266 ,
272 ,
288 ,
290 ,
296 ,
294 ,
289 ,
287 ,
282 ,
279 ,
280 ,
272 ,
267 ,
254 ,
239 ,
231 ,
218 ,
212 ,
203 ,
192 ,
181 ,
169 ,
154 ,
147 ,
132 ,
132 ,
123 ,
124 ,
118 ,
116 ,
122 ,
121 ,
133 ,
132 ,
131 ,
127 ,
120 ,
119 ,
119 ,
117 ,
123 ,
124 ,
131 ,
136 ,
145 ,
152 ,
172 ,
183 ,
203 ,
210 ,
217 ,
220 ,
227 ,
228 ,
233 ,
229 ,
226 ,
219 ,
211 ,
203 ,
190 ,
182 ,
170 ,
160 ,
145 ,
122 ,
97  ,
70  ,
37  ,
12  ,
-22 ,
-50 ,
-81 ,
-107  ,
-130  ,
-152  ,
-175  ,
-199  ,
-223  ,
-257  ,
-291  ,
-335  ,
-372  ,
-406  ,
-441  ,
-462  ,
-498  ,
-522  ,
-554  ,
-579  ,
-603  ,
-630  ,
-646  ,
-674  ,
-686  ,
-708  ,
-723  ,
-735  ,
-752  ,
-744  ,
-750  ,
-732  ,
-729  ,
-710  ,
-696  ,
-677  ,
-650  ,
-630  ,
-598  ,
-577  ,
-544  ,
-521  ,
-490  ,
-458  ,
-424  ,
-372  ,
-335  ,
-293  ,
-254  ,
-223  ,
-177  ,
-136  ,
-87 ,
-38 ,
5 ,
45  ,
82  ,
117 ,
155 ,
191 ,
227 ,
262 ,
286 ,
312 ,
321 ,
343 ,
360 ,
385 ,
404 ,
421 ,
436 ,
441 ,
457 ,
460 ,
475 ,
480 ,
488 ,
487 ,
481 ,
466 ,
451 ,
440 ,
427 ,
422 ,
399 ,
381 ,
350 ,
327 ,
307 ,
294 ,
285 ,
279 ,
267 ,
263 ,
242 ,
243 ,
228 ,
240 ,
242 ,
256 ,
260 ,
264 ,
263 ,
270 ,
270 ,
280 ,
280 ,
282 ,
278 ,
277 ,
275 ,
281 ,
283 ,
292 ,
298 ,
296 ,
299 ,
288 ,
296 ,
291 ,
299 ,
299 ,
301 ,
299 ,
296 ,
298 ,
296 ,
309 ,
303 ,
314 ,
303 ,
298 ,
285 ,
272 ,
261 ,
251 ,
240 ,
230 ,
208 ,
193 ,
167 ,
159 ,
137 ,
138 ,
120 ,
116 ,
101 ,
82  ,
69  ,
42  ,
32  ,
8 ,
-6  ,
-29 ,
-45 ,
-63 ,
-72 ,
-85 ,
-90 ,
-103  ,
-120  ,
-143  ,
-166  ,
-188  ,
-204  ,
-215  ,
-219  ,
-227  ,
-230  ,
-243  ,
-248  ,
-255  ,
-257  ,
-254  ,
-253  ,
-255  ,
-259  ,
-268  ,
-278  ,
-279  ,
-291  ,
-282  ,
-291  ,
-292  ,
-296  ,
-310  ,
-309  ,
-322  ,
-318  ,
-334  ,
-340  ,
-358  ,
-376  ,
-386  ,
-399  ,
-398  ,
-401  ,
-400  ,
-408  ,
-411  ,
-418  ,
-424  ,
-420  ,
-417  ,
-419  ,
-412  ,
-429  ,
-424  ,
-435  ,
-430  ,
-428  ,
-418  ,
-418  ,
-409  ,
-414  ,
-409  ,
-402  ,
-388  ,
-364  ,
-340  ,
-317  ,
-292  ,
-274  ,
-241  ,
-212  ,
-174  ,
-140  ,
-103  ,
-73 ,
-44 ,
-13 ,
14  ,
51  ,
84  ,
117 ,
145 ,
169 ,
193 ,
213 ,
241 ,
272 ,
299 ,
325 ,
340 ,
346 ,
357 ,
353 ,
363 ,
363 ,
372 ,
372 ,
364 ,
359 ,
349 ,
345 ,
347 ,
345 ,
343 ,
334 ,
325 ,
312 ,
307 ,
298 ,
294 ,
285 ,
274 ,
252 ,
230 ,
205 ,
185 ,
165 ,
154 ,
132 ,
117 ,
90  ,
71  ,
52  ,
38  ,
26  ,
12  ,
4 ,
-15 ,
-20 ,
-36 ,
-35 ,
-35 ,
-25 ,
-18 ,
-8  ,
2 ,
14  ,
30  ,
50  ,
74  ,
98  ,
113 ,
135 ,
142 ,
159 ,
166 ,
179 ,
189 ,
204 ,
208 ,
218 ,
224 ,
232 ,
242 ,
254 ,
261 ,
266 ,
258 ,
251 ,
240 ,
234 ,
230 ,
230 ,
233 ,
229 ,
225 ,
215 ,
209 ,
201 ,
192 ,
181 ,
159 ,
139 ,
103 ,
78  ,
41  ,
18  ,
-16 ,
-44 ,
-76 ,
-108  ,
-145  ,
-175  ,
-211  ,
-235  ,
-267  ,
-295  ,
-330  ,
-361  ,
-393  ,
-419  ,
-439  ,
-454  ,
-468  ,
-478  ,
-489  ,
-500  ,
-504  ,
-509  ,
-507  ,
-506  ,
-509  ,
-510  ,
-523  ,
-517  ,
-526  ,
-513  ,
-509  ,
-503  ,
-491  ,
-493  ,
-482  ,
-480  ,
-472  ,
-465  ,
-456  ,
-458  ,
-451  ,
-460  ,
-458  ,
-459  ,
-454  ,
-452  ,
-450  ,
-449  ,
-451  ,
-445  ,
-439  ,
-425  ,
-404  ,
-388  ,
-366  ,
-351  ,
-334  ,
-315  ,
-296  ,
-271  ,
-247  ,
-219  ,
-201  ,
-180  ,
-161  ,
-146  ,
-115  ,
-98 ,
-67 ,
-50 ,
-29 ,
-15 ,
1 ,
21  ,
45  ,
69  ,
94  ,
113 ,
126 ,
147 ,
156 ,
189 ,
205 ,
240 ,
255 ,
279 ,
290 ,
311 ,
332 ,
359 ,
391 ,
423 ,
451 ,
482 ,
498 ,
533 ,
557 ,
594 ,
622 ,
643 ,
661 ,
665 ,
676 ,
677 ,
688 ,
691 ,
691 ,
692 ,
676 ,
667 ,
648 ,
636 ,
626 ,
609 ,
599 ,
562 ,
548 ,
515 ,
496 ,
483 ,
462 ,
450 ,
424 ,
403 ,
377 ,
363 ,
349 ,
345 ,
343 ,
331 ,
319 ,
290 ,
271 ,
245 ,
229 ,
215 ,
199 ,
184 ,
159 ,
144 ,
124 ,
117 ,
105 ,
100 ,
88  ,
70  ,
54  ,
36  ,
22  ,
21  ,
14  ,
13  ,
3 ,
-6  ,
-20 ,
-25 ,
-35 ,
-34 ,
-41 ,
-50 ,
-66 ,
-89 ,
-105  ,
-130  ,
-139  ,
-155  ,
-167  ,
-189  ,
-215  ,
-246  ,
-275  ,
-300  ,
-323  ,
-341  ,
-369  ,
-393  ,
-430  ,
-456  ,
-487  ,
-502  ,
-524  ,
-536  ,
-564  ,
-583  ,
-613  ,
-635  ,
-655  ,
-666  ,
-682  ,
-692  ,
-710  ,
-729  ,
-738  ,
-755  ,
-751  ,
-753  ,
-748  ,
-746  ,
-746  ,
-745  ,
-737  ,
-722  ,
-701  ,
-669  ,
-644  ,
-612  ,
-589  ,
-564  ,
-538  ,
-506  ,
-471  ,
-437  ,
-401  ,
-372  ,
-340  ,
-309  ,
-267  ,
-229  ,
-179  ,
-138  ,
-94 ,
-49 ,
-13 ,
40  ,
84  ,
133 ,
183 ,
216 ,
260 ,
281 ,
319 ,
344 ,
381 ,
414 ,
444 ,
474 ,
496 ,
524 ,
547 ,
574 ,
592 ,
619 ,
633 ,
649 ,
660 ,
667 ,
676 ,
680 ,
685 ,
679 ,
675 ,
657 ,
644 ,
632 ,
617 ,
611 ,
595 ,
585 ,
570 ,
553 ,
543 ,
523 ,
518 ,
503 ,
492 ,
481 ,
461 ,
455 ,
442 ,
441 ,
437 ,
442 ,
434 ,
434 ,
416 ,
414 ,
399 ,
397 ,
387 ,
381 ,
365 ,
353 ,
328 ,
316 ,
292 ,
280 ,
265 ,
244 ,
227 ,
204 ,
187 ,
172 ,
162 ,
150 ,
132 ,
114 ,
88  ,
69  ,
49  ,
33  ,
22  ,
9 ,
-6  ,
-22 ,
-43 ,
-60 ,
-78 ,
-97 ,
-109  ,
-139  ,
-160  ,
-189  ,
-216  ,
-235  ,
-258  ,
-276  ,
-293  ,
-309  ,
-325  ,
-338  ,
-348  ,
-360  ,
-363  ,
-376  ,
-379  ,
-398  ,
-406  ,
-419  ,
-427  ,
-427  ,
-432  ,
-433  ,
-438  ,
-434  ,
-435  ,
-430  ,
-428  ,
-426  ,
-420  ,
-418  ,
-411  ,
-408  ,
-396  ,
-383  ,
-364  ,
-341  ,
-325  ,
-305  ,
-290  ,
-273  ,
-253  ,
-241  ,
-219  ,
-211  ,
-192  ,
-183  ,
-172  ,
-161  ,
-156  ,
-144  ,
-139  ,
-131  ,
-130  ,
-125  ,
-114  ,
-107  ,
-88 ,
-82 ,
-72 ,
-60 ,
-60 ,
-46 ,
-49 ,
-36 ,
-34 ,
-23 ,
-11 ,
-7  ,
7 ,
10  ,
19  ,
23  ,
31  ,
31  ,
44  ,
50  ,
59  ,
73  ,
82  ,
102 ,
122 ,
146 ,
163 ,
185 ,
195 ,
214 ,
229 ,
247 ,
268 ,
282 ,
305 ,
321 ,
340 ,
352 ,
371 ,
381 ,
402 ,
413 ,
430 ,
439 ,
453 ,
461 ,
468 ,
472 ,
469 ,
466 ,
456 ,
443 ,
426 ,
407 ,
390 ,
370 ,
359 ,
334 ,
317 ,
288 ,
265 ,
242 ,
218 ,
194 ,
170 ,
139 ,
112 ,
84  ,
53  ,
30  ,
4 ,
-14 ,
-33 ,
-51 ,
-74 ,
-87 ,
-108  ,
-120  ,
-138  ,
-162  ,
-184  ,
-212  ,
-237  ,
-259  ,
-277  ,
-293  ,
-303  ,
-310  ,
-320  ,
-320  ,
-331  ,
-319  ,
-322  ,
-303  ,
-299  ,
-286  ,
-274  ,
-256  ,
-237  ,
-214  ,
-191  ,
-165  ,
-140  ,
-115  ,
-92 ,
-68 ,
-41 ,
-15 ,
13  ,
31  ,
46  ,
54  ,
68  ,
82  ,
102 ,
119 ,
138 ,
153 ,
166 ,
177 ,
186 ,
196 ,
206 ,
216 ,
220 ,
226 ,
220 ,
226 ,
225 ,
229 ,
232 ,
227 ,
227 ,
215 ,
207 ,
196 ,
180 ,
169 ,
152 ,
135 ,
117 ,
98  ,
81  ,
68  ,
54  ,
47  ,
29  ,
19  ,
0 ,
-8  ,
-23 ,
-28 ,
-39 ,
-39 ,
-47 ,
-49 ,
-56 ,
-65 ,
-67 ,
-77 ,
-70 ,
-76 ,
-69 ,
-75 ,
-73 ,
-77 ,
-77 ,
-77 ,
-76 ,
-75 ,
-75 ,
-74 ,
-82 ,
-79 ,
-90 ,
-92 ,
-102  ,
-115  ,
-129  ,
-146  ,
-166  ,
-175  ,
-192  ,
-194  ,
-208  ,
-210  ,
-223  ,
-226  ,
-237  ,
-235  ,
-242  ,
-236  ,
-243  ,
-243  ,
-252  ,
-254  ,
-263  ,
-260  ,
-262  ,
-261  ,
-262  ,
-268  ,
-271  ,
-269  ,
-265  ,
-255  ,
-248  ,
-240  ,
-242  ,
-234  ,
-241  ,
-228  ,
-229  ,
-214  ,
-211  ,
-203  ,
-203  ,
-202  ,
-198  ,
-191  ,
-176  ,
-164  ,
-149  ,
-141  ,
-132  ,
-122  ,
-107  ,
-91 ,
-71 ,
-56 ,
-40 ,
-32 ,
-21 ,
-13 ,
3 ,
23  ,
40  ,
62  ,
73  ,
87  ,
93  ,
105 ,
113 ,
127 ,
129 ,
125 ,
117 ,
99  ,
93  ,
82  ,
86  ,
87  ,
87  ,
82  ,
78  ,
71  ,
76  ,
78  ,
92  ,
97  ,
109 ,
108 ,
116 ,
117 ,
127 ,
136 ,
152 ,
162 ,
175 ,
181 ,
192 ,
201 ,
215 ,
226 ,
233 ,
240 ,
239 ,
236 ,
237 ,
237 ,
246 ,
257 ,
266 ,
271 ,
277 ,
274 ,
287 ,
300 ,
316 ,
336 ,
344 ,
355 ,
358 ,
367 ,
371 ,
378 ,
390 ,
384 ,
389 ,
373 ,
356 ,
347 ,
327 ,
322 ,
302 ,
288 ,
258 ,
233 ,
202 ,
173 ,
147 ,
120 ,
90  ,
63  ,
25  ,
-9  ,
-50 ,
-77 ,
-111  ,
-132  ,
-166  ,
-196  ,
-235  ,
-268  ,
-301  ,
-326  ,
-352  ,
-376  ,
-398  ,
-427  ,
-450  ,
-473  ,
-494  ,
-499  ,
-514  ,
-512  ,
-532  ,
-540  ,
-560  ,
-564  ,
-574  ,
-573  ,
-578  ,
-581  ,
-585  ,
-592  ,
-595  ,
-591  ,
-588  ,
-573  ,
-565  ,
-555  ,
-547  ,
-540  ,
-519  ,
-501  ,
-468  ,
-441  ,
-415  ,
-387  ,
-368  ,
-340  ,
-320  ,
-292  ,
-261  ,
-235  ,
-205  ,
-182  ,
-157  ,
-134  ,
-106  ,
-80 ,
-55 ,
-33 ,
-15 ,
0 ,
23  ,
34  ,
60  ,
74  ,
96  ,
105 ,
113 ,
114 ,
118 ,
127 ,
130 ,
140 ,
139 ,
144 ,
141 ,
145 ,
143 ,
150 ,
152 ,
159 ,
158 ,
161 ,
159 ,
165 ,
171 ,
191 ,
201 ,
224 ,
230 ,
243 ,
252 ,
260 ,
270 ,
287 ,
293 ,
313 ,
313 ,
325 ,
327 ,
339 ,
347 ,
361 ,
365 ,
370 ,
365 ,
368 ,
362 ,
367 ,
362 ,
365 ,
354 ,
350 ,
339 ,
329 ,
332 ,
329 ,
338 ,
341 ,
332 ,
334 ,
314 ,
315 ,
307 ,
303 ,
302 ,
290 ,
281 ,
265 ,
251 ,
236 ,
231 ,
214 ,
213 ,
188 ,
175 ,
151 ,
133 ,
118 ,
103 ,
85  ,
69  ,
42  ,
21  ,
0 ,
-23 ,
-31 ,
-51 ,
-59 ,
-77 ,
-93 ,
-112  ,
-123  ,
-136  ,
-139  ,
-147  ,
-157  ,
-168  ,
-184  ,
-195  ,
-208  ,
-209  ,
-216  ,
-214  ,
-220  ,
-224  ,
-230  ,
-234  ,
-237  ,
-236  ,
-236  ,
-236  ,
-244  ,
-249  ,
-263  ,
-269  ,
-280  ,
-284  ,
-295  ,
-305  ,
-313  ,
-328  ,
-333  ,
-340  ,
-344  ,
-345  ,
-345  ,
-355  ,
-358  ,
-371  ,
-374  ,
-378  ,
-370  ,
-375  ,
-367  ,
-374  ,
-380  ,
-380  ,
-388  ,
-381  ,
-381  ,
-376  ,
-376  ,
-374  ,
-368  ,
-367  ,
-349  ,
-343  ,
-321  ,
-316  ,
-301  ,
-301  ,
-288  ,
-281  ,
-264  ,
-245  ,
-230  ,
-208  ,
-196  ,
-175  ,
-154  ,
-130  ,
-93 ,
-63 ,
-25 ,
3 ,
32  ,
58  ,
89  ,
121 ,
152 ,
179 ,
198 ,
213 ,
226 ,
238 ,
254 ,
269 ,
287 ,
299 ,
311 ,
309 ,
307 ,
302 ,
300 ,
304 ,
304 ,
300 ,
290 ,
277 ,
269 ,
262 ,
258 ,
255 ,
249 ,
248 ,
236 ,
236 ,
221 ,
226 ,
214 ,
215 ,
204 ,
194 ,
181 ,
166 ,
160 ,
155 ,
154 ,
146 ,
139 ,
123 ,
113 ,
102 ,
97  ,
89  ,
89  ,
84  ,
81  ,
80  ,
75  ,
85  ,
89  ,
100 ,
109 ,
115 ,
118 ,
128 ,
133 ,
152 ,
166 ,
183 ,
196 ,
212 ,
217 ,
237 ,
243 ,
266 ,
270 ,
288 ,
290 ,
290 ,
289 ,
283 ,
284 ,
284 ,
288 ,
283 ,
279 ,
253 ,
245 ,
239 ,
235 ,
224 ,
194 ,
177 ,
170 ,
154 ,
133 ,
146 ,
147 ,
120 ,
89  ,
76  ,
44  ,
-1  ,
-25 ,
-25 ,
-30 ,
-65 ,
-76 ,
-86 ,
-116  ,
-139  ,
-147  ,
-158  ,
-187  ,
-211  ,
-221  ,
-234  ,
-261  ,
-279  ,
-286  ,
-297  ,
-308  ,
-305  ,
-302  ,
-322  ,
-338  ,
-339  ,
-327  ,
-314  ,
-302  ,
-284  ,
-290  ,
-298  ,
-305  ,
-284  ,
-280  ,
-270  ,
-257  ,
-249  ,
-245  ,
-250  ,
-244  ,
-255  ,
-254  ,
-253  ,
-225  ,
-223  ,
-216  ,
-221  ,
-212  ,
-211  ,
-207  ,
-201  ,
-189  ,
-186  ,
-183  ,
-157  ,
-136  ,
-135  ,
-137  ,
-132  ,
-122  ,
-122  ,
-109  ,
-82 ,
-60 ,
-50 ,
-42 ,
-25 ,
-26 ,
-9  ,
13  ,
40  ,
48  ,
46  ,
55  ,
68  ,
85  ,
98  ,
117 ,
131 ,
151 ,
163 ,
184 ,
189 ,
192 ,
198 ,
220 ,
234 ,
250 ,
253 ,
262 ,
260 ,
271 ,
285 ,
299 ,
308 ,
321 ,
338 ,
345 ,
338 ,
304 ,
256 ,
201 ,
140 ,
81  ,
40  ,
5 ,
1 ,
11  ,
30  ,
59  ,
99  ,
164 ,
238 ,
304 ,
356 ,
418 ,
475 ,
531 ,
571 ,
605 ,
618 ,
638 ,
668 ,
655 ,
604 ,
527 ,
488 ,
442 ,
390 ,
350 ,
326 ,
294 ,
265 ,
234 ,
231 ,
218 ,
219 ,
217 ,
226 ,
231 ,
251 ,
274 ,
301 ,
335 ,
368 ,
418 ,
458 ,
454 ,
403 ,
326 ,
262 ,
199 ,
146 ,
100 ,
65  ,
74  ,
99  ,
116 ,
102 ,
85  ,
94  ,
80  ,
35  ,
-40 ,
-106  ,
-161  ,
-196  ,
-215  ,
-234  ,
-228  ,
-198  ,
-137  ,
-94 ,
-80 ,
-99 ,
-138  ,
-197  ,
-287  ,
-383  ,
-474  ,
-543  ,
-609  ,
-653  ,
-669  ,
-673  ,
-661  ,
-658  ,
-627  ,
-611  ,
-597  ,
-621  ,
-684  ,
-788  ,
-869  ,
-898  ,
-896  ,
-888  ,
-868  ,
-820  ,
-740  ,
-674  ,
-628  ,
-599  ,
-569  ,
-534  ,
-517  ,
-521  ,
-562  ,
-601  ,
-625  ,
-609  ,
-570  ,
-518  ,
-462  ,
-394  ,
-337  ,
-297  ,
-282  ,
-269  ,
-254  ,
-232  ,
-234  ,
-217  ,
-203  ,
-160  ,
-112  ,
-37 ,
31  ,
93  ,
141 ,
192 ,
221 ,
235 ,
241 ,
224 ,
187 ,
141 ,
109 ,
93  ,
73  ,
65  ,
58  ,
86  ,
110 ,
150 ,
179 ,
220 ,
283 ,
359 ,
414 ,
456 ,
456 ,
456 ,
460 ,
488 ,
503 ,
511 ,
509 ,
515 ,
510 ,
505 ,
491 ,
499 ,
502 ,
520 ,
514 ,
522 ,
510 ,
484 ,
450 ,
420 ,
401 ,
374 ,
333 ,
299 ,
271 ,
261 ,
268 ,
279 ,
280 ,
258 ,
239 ,
228 ,
225 ,
220 ,
217 ,
230 ,
252 ,
273 ,
280 ,
291 ,
300 ,
311 ,
304 ,
279 ,
228 ,
176 ,
117 ,
67  ,
11  ,
-53 ,
-113  ,
-174  ,
-226  ,
-291  ,
-341  ,
-397  ,
-432  ,
-483  ,
-519  ,
-568  ,
-597  ,
-611  ,
-597  ,
-558  ,
-504  ,
-455  ,
-406  ,
-373  ,
-333  ,
-300  ,
-272  ,
-245  ,
-249  ,
-250  ,
-264  ,
-266  ,
-266  ,
-275  ,
-278  ,
-280  ,
-275  ,
-293  ,
-320  ,
-358  ,
-394  ,
-431  ,
-470  ,
-505  ,
-527  ,
-546  ,
-544  ,
-534  ,
-495  ,
-441  ,
-377  ,
-299  ,
-234  ,
-177  ,
-134  ,
-94 ,
-58 ,
-27 ,
-8  ,
26  ,
49  ,
83  ,
92  ,
117 ,
122 ,
140 ,
142 ,
137 ,
125 ,
113 ,
102 ,
92  ,
84  ,
78  ,
70  ,
61  ,
28  ,
15  ,
-7  ,
9 ,
16  ,
22  ,
26  ,
32  ,
43  ,
71  ,
90  ,
130 ,
159 ,
212 ,
247 ,
287 ,
303 ,
310 ,
331 ,
339 ,
353 ,
350 ,
346 ,
355 ,
362 ,
371 ,
375 ,
376 ,
369 ,
368 ,
344 ,
333 ,
308 ,
295 ,
289 ,
292 ,
304 ,
320 ,
343 ,
377 ,
410 ,
448 ,
474 ,
484 ,
469 ,
440 ,
418 ,
395 ,
379 ,
360 ,
342 ,
340 ,
335 ,
340 ,
331 ,
314 ,
280 ,
240 ,
176 ,
101 ,
-3  ,
-94 ,
-167  ,
-210  ,
-235  ,
-254  ,
-262  ,
-268  ,
-259  ,
-255  ,
-242  ,
-254  ,
-271  ,
-301  ,
-332  ,
-360  ,
-377  ,
-384  ,
-370  ,
-352  ,
-311  ,
-283  ,
-252  ,
-237  ,
-232  ,
-231  ,
-240  ,
-249  ,
-275  ,
-289  ,
-307  ,
-298  ,
-285  ,
-254  ,
-229  ,
-188  ,
-160  ,
-126  ,
-116  ,
-98 ,
-100  ,
-91 ,
-98 ,
-93 ,
-85 ,
-76 ,
-39 ,
-6  ,
42  ,
72  ,
103 ,
140 ,
161 ,
191 ,
204 ,
226 ,
246 ,
263 ,
284 ,
299 ,
315 ,
322 ,
326 ,
337 ,
350 ,
362 ,
365 ,
352 ,
340 ,
318 ,
311 ,
298 ,
291 ,
279 ,
275 ,
263 ,
247 ,
222 ,
191 ,
175 ,
163 ,
168 ,
174 ,
188 ,
204 ,
228 ,
244 ,
256 ,
253 ,
237 ,
207 ,
163 ,
119 ,
74  ,
46  ,
28  ,
35  ,
43  ,
69  ,
87  ,
103 ,
107 ,
103 ,
85  ,
68  ,
33  ,
2 ,
-29 ,
-51 ,
-56 ,
-54 ,
-33 ,
-3  ,
19  ,
38  ,
30  ,
3 ,
-41 ,
-107  ,
-174  ,
-242  ,
-304  ,
-351  ,
-370  ,
-386  ,
-378  ,
-385  ,
-371  ,
-367  ,
-363  ,
-370  ,
-394  ,
-414  ,
-440  ,
-463  ,
-473  ,
-474  ,
-451  ,
-419  ,
-369  ,
-321  ,
-270  ,
-240  ,
-206  ,
-194  ,
-187  ,
-204  ,
-226  ,
-255  ,
-282  ,
-311  ,
-334  ,
-347  ,
-351  ,
-350  ,
-340  ,
-334  ,
-332  ,
-337  ,
-346  ,
-351  ,
-352  ,
-343  ,
-326  ,
-298  ,
-259  ,
-209  ,
-156  ,
-103  ,
-60 ,
-15 ,
23  ,
75  ,
111 ,
156 ,
175 ,
207 ,
224 ,
256 ,
277 ,
299 ,
319 ,
324 ,
328 ,
310 ,
280 ,
261 ,
225 ,
218 ,
190 ,
178 ,
157 ,
133 ,
115 ,
95  ,
91  ,
88  ,
91  ,
101 ,
107 ,
128 ,
146 ,
182 ,
222 ,
275 ,
324 ,
380 ,
413 ,
440 ,
446 ,
443 ,
437 ,
414 ,
401 ,
381 ,
382 ,
380 ,
396 ,
396 ,
401 ,
388 ,
370 ,
339 ,
297 ,
247 ,
203 ,
156 ,
130 ,
107 ,
106 ,
110 ,
139 ,
162 ,
198 ,
215 ,
228 ,
215 ,
194 ,
166 ,
138 ,
119 ,
107 ,
102 ,
117 ,
131 ,
157 ,
176 ,
182 ,
175 ,
142 ,
93  ,
17  ,
-72 ,
-168  ,
-254  ,
-331  ,
-383  ,
-426  ,
-451  ,
-462  ,
-476  ,
-479  ,
-496  ,
-507  ,
-525  ,
-547  ,
-576  ,
-604  ,
-626  ,
-637  ,
-627  ,
-610  ,
-565  ,
-527  ,
-474  ,
-440  ,
-414  ,
-405  ,
-408  ,
-419  ,
-434  ,
-453  ,
-468  ,
-482  ,
-488  ,
-487  ,
-481  ,
-466  ,
-454  ,
-445  ,
-443  ,
-448  ,
-454  ,
-454  ,
-458  ,
-443  ,
-441  ,
-418  ,
-393  ,
-356  ,
-311  ,
-266  ,
-218  ,
-170  ,
-131  ,
-84 ,
-58 ,
-17 ,
17  ,
58  ,
93  ,
123 ,
140 ,
158 ,
155 ,
161 ,
145 ,
136 ,
110 ,
99  ,
76  ,
71  ,
69  ,
87  ,
106 ,
129 ,
145 ,
151 ,
146 ,
141 ,
135 ,
134 ,
138 ,
149 ,
171 ,
195 ,
226 ,
264 ,
292 ,
318 ,
323 ,
322 ,
300 ,
263 ,
218 ,
171 ,
135 ,
114 ,
111 ,
120 ,
146 ,
164 ,
198 ,
217 ,
229 ,
219 ,
208 ,
178 ,
158 ,
130 ,
119 ,
118 ,
130 ,
158 ,
199 ,
238 ,
273 ,
302 ,
310 ,
306 ,
272 ,
233 ,
178 ,
125 ,
80  ,
50  ,
45  ,
45  ,
66  ,
86  ,
120 ,
142 ,
171 ,
183 ,
191 ,
193 ,
185 ,
187 ,
183 ,
201 ,
223 ,
269 ,
307 ,
357 ,
389 ,
418 ,
426 ,
422 ,
401 ,
365 ,
321 ,
276 ,
238 ,
196 ,
171 ,
144 ,
129 ,
118 ,
107 ,
100 ,
84  ,
63  ,
37  ,
19  ,
5 ,
5 ,
8 ,
20  ,
41  ,
59  ,
82  ,
99  ,
121 ,
138 ,
166 ,
182 ,
202 ,
217 ,
221 ,
222 ,
213 ,
197 ,
173 ,
142 ,
100 ,
55  ,
1 ,
-50 ,
-105  ,
-149  ,
-194  ,
-226  ,
-249  ,
-271  ,
-282  ,
-302  ,
-321  ,
-346  ,
-372  ,
-397  ,
-414  ,
-428  ,
-430  ,
-419  ,
-399  ,
-363  ,
-330  ,
-289  ,
-263  ,
-244  ,
-249  ,
-268  ,
-303  ,
-351  ,
-399  ,
-448  ,
-488  ,
-522  ,
-542  ,
-547  ,
-550  ,
-544  ,
-547  ,
-548  ,
-555  ,
-574  ,
-592  ,
-617  ,
-637  ,
-644  ,
-639  ,
-614  ,
-569  ,
-515  ,
-441  ,
-364  ,
-298  ,
-242  ,
-208  ,
-194  ,
-192  ,
-199  ,
-204  ,
-202  ,
-195  ,
-181  ,
-154  ,
-133  ,
-102  ,
-81 ,
-62 ,
-70 ,
-85 ,
-135  ,
-182  ,
-253  ,
-304  ,
-356  ,
-379  ,
-387  ,
-378  ,
-350  ,
-324  ,
-288  ,
-255  ,
-216  ,
-173  ,
-134  ,
-94 ,
-55 ,
-5  ,
49  ,
128 ,
211 ,
304 ,
404 ,
495 ,
582 ,
657 ,
714 ,
762 ,
790 ,
805 ,
806 ,
791 ,
774 ,
750 ,
728 ,
703 ,
681 ,
659 ,
641 ,
624 ,
612 ,
605 ,
601 ,
603 ,
599 ,
608 ,
605 ,
619 ,
625 ,
643 ,
652 ,
657 ,
659 ,
660 ,
659 ,
668 ,
676 ,
695 ,
706 ,
714 ,
713 ,
698 ,
671 ,
633 ,
585 ,
529 ,
468 ,
402 ,
342 ,
283 ,
240 ,
201 ,
179 ,
154 ,
134 ,
106 ,
75  ,
33  ,
-14 ,
-60 ,
-107  ,
-142  ,
-175  ,
-190  ,
-202  ,
-192  ,
-186  ,
-166  ,
-168  ,
-164  ,
-198  ,
-230  ,
-293  ,
-363  ,
-439  ,
-524  ,
-596  ,
-658  ,
-707  ,
-743  ,
-768  ,
-791  ,
-809  ,
-838  ,
-869  ,
-910  ,
-962  ,
-1004 ,
-1055 ,
-1080 ,
-1097 ,
-1090 ,
-1063 ,
-1018 ,
-965  ,
-904  ,
-847  ,
-806  ,
-778  ,
-772  ,
-777  ,
-789  ,
-806  ,
-814  ,
-822  ,
-816  ,
-799  ,
-767  ,
-726  ,
-687  ,
-651  ,
-627  ,
-607  ,
-596  ,
-594  ,
-593  ,
-599  ,
-591  ,
-578  ,
-554  ,
-508  ,
-466  ,
-409  ,
-363  ,
-311  ,
-268  ,
-240  ,
-217  ,
-205  ,
-193  ,
-176  ,
-161  ,
-130  ,
-99 ,
-51 ,
-8  ,
52  ,
112 ,
186 ,
264 ,
345 ,
427 ,
513 ,
596 ,
686 ,
767 ,
858 ,
933 ,
1012  ,
1077  ,
1135  ,
1187  ,
1222  ,
1251  ,
1277  ,
1296  ,
1317  ,
1328  ,
1334  ,
1332  ,
1325  ,
1306  ,
1283  ,
1240  ,
1186  ,
1115  ,
1039  ,
964 ,
894 ,
826 ,
764 ,
706 ,
661 ,
621 ,
589 ,
561 ,
531 ,
502 ,
473 ,
452 ,
434 ,
434 ,
432 ,
451 ,
475 ,
513 ,
557 ,
592 ,
624 ,
632 ,
625 ,
603 ,
565 ,
523 ,
460 ,
404 ,
346 ,
304 ,
277 ,
245 ,
232 ,
200 ,
171 ,
137 ,
93  ,
50  ,
-15 ,
-71 ,
-137  ,
-184  ,
-214  ,
-229  ,
-224  ,
-211  ,
-188  ,
-164  ,
-145  ,
-139  ,
-157  ,
-182  ,
-230  ,
-275  ,
-331  ,
-381  ,
-443  ,
-492  ,
-546  ,
-569  ,
-592  ,
-600  ,
-626  ,
-653  ,
-702  ,
-745  ,
-798  ,
-850  ,
-901  ,
-946  ,
-977  ,
-994  ,
-992  ,
-985  ,
-974  ,
-960  ,
-931  ,
-888  ,
-845  ,
-794  ,
-751  ,
-711  ,
-672  ,
-628  ,
-573  ,
-518  ,
-462  ,
-413  ,
-372  ,
-334  ,
-308  ,
-293  ,
-282  ,
-297  ,
-306  ,
-328  ,
-351  ,
-378  ,
-408  ,
-446  ,
-469  ,
-494  ,
-507  ,
-510  ,
-504  ,
-482  ,
-446  ,
-396  ,
-322  ,
-240  ,
-136  ,
-31 ,
92  ,
213 ,
339 ,
460 ,
577 ,
682 ,
777 ,
861 ,
949 ,
1026  ,
1099  ,
1140  ,
1176  ,
1178  ,
1173  ,
1148  ,
1113  ,
1068  ,
1008  ,
950 ,
890 ,
830 ,
772 ,
714 ,
665 ,
630 ,
601 ,
569 ,
538 ,
494 ,
443 ,
397 ,
338 ,
292 ,
242 ,
211 ,
193 ,
194 ,
203 ,
221 ,
241 ,
258 ,
274 ,
274 ,
280 ,
255 ,
236 ,
186 ,
148 ,
93  ,
60  ,
18  ,
13  ,
-7  ,
-8  ,
-27 ,
-36 ,
-61 ,
-95 ,
-130  ,
-172  ,
-206  ,
-242  ,
-261  ,
-279  ,
-276  ,
-276  ,
-262  ,
-240  ,
-225  ,
-205  ,
-208  ,
-219  ,
-247  ,
-287  ,
-324  ,
-371  ,
-411  ,
-454  ,
-487  ,
-522  ,
-561  ,
-599  ,
-640  ,
-671  ,
-706  ,
-733  ,
-748  ,
-769  ,
-782  ,
-806  ,
-811  ,
-814  ,
-799  ,
-780  ,
-752  ,
-724  ,
-697  ,
-670  ,
-639  ,
-606  ,
-575  ,
-541  ,
-504  ,
-467  ,
-421  ,
-381  ,
-330  ,
-288  ,
-234  ,
-195  ,
-148  ,
-112  ,
-75 ,
-33 ,
0 ,
43  ,
72  ,
102 ,
122 ,
145 ,
162 ,
175 ,
188 ,
188 ,
188 ,
170 ,
161 ,
149 ,
141 ,
143 ,
142 ,
150 ,
148 ,
158 ,
168 ,
194 ,
222 ,
258 ,
296 ,
340 ,
383 ,
431 ,
476 ,
529 ,
577 ,
623 ,
672 ,
690 ,
709 ,
689 ,
679 ,
655 ,
637 ,
620 ,
595 ,
581 ,
558 ,
548 ,
534 ,
524 ,
503 ,
467 ,
419 ,
351 ,
278 ,
195 ,
120 ,
34  ,
-37 ,
-117  ,
-173  ,
-233  ,
-287  ,
-337  ,
-388  ,
-425  ,
-464  ,
-497  ,
-533  ,
-565  ,
-595  ,
-600  ,
-604  ,
-581  ,
-558  ,
-520  ,
-476  ,
-430  ,
-376  ,
-336  ,
-297  ,
-274  ,
-260  ,
-252  ,
-255  ,
-258  ,
-263  ,
-270  ,
-275  ,
-282  ,
-284  ,
-290  ,
-302  ,
-309  ,
-330  ,
-339  ,
-364  ,
-380  ,
-411  ,
-435  ,
-462  ,
-472  ,
-483  ,
-479  ,
-474  ,
-474  ,
-470  ,
-474  ,
-474  ,
-473  ,
-475  ,
-469  ,
-468  ,
-459  ,
-446  ,
-431  ,
-404  ,
-370  ,
-334  ,
-285  ,
-250  ,
-204  ,
-181  ,
-153  ,
-139  ,
-126  ,
-119  ,
-110  ,
-101  ,
-83 ,
-75 ,
-55 ,
-34 ,
-11 ,
30  ,
74  ,
130 ,
202 ,
271 ,
361 ,
440 ,
522 ,
600 ,
671 ,
742 ,
814 ,
876 ,
935 ,
985 ,
1019  ,
1048  ,
1063  ,
1065  ,
1062  ,
1038  ,
1016  ,
965 ,
915 ,
839 ,
761 ,
684 ,
605 ,
546 ,
494 ,
461 ,
447 ,
449 ,
463 ,
496 ,
536 ,
588 ,
639 ,
687 ,
725 ,
759 ,
772 ,
793 ,
796 ,
810 ,
815 ,
819 ,
821 ,
809 ,
788 ,
749 ,
699 ,
641 ,
573 ,
497 ,
409 ,
316 ,
214 ,
121 ,
17  ,
-79 ,
-179  ,
-263  ,
-340  ,
-418  ,
-493  ,
-580  ,
-670  ,
-758  ,
-835  ,
-896  ,
-948  ,
-980  ,
-1009 ,
-1026 ,
-1038 ,
-1043 ,
-1038 ,
-1034 ,
-1022 ,
-1011 ,
-1004 ,
-1000 ,
-998  ,
-1000 ,
-1000 ,
-991  ,
-982  ,
-967  ,
-956  ,
-945  ,
-945  ,
-939  ,
-943  ,
-932  ,
-921  ,
-905  ,
-884  ,
-865  ,
-840  ,
-813  ,
-779  ,
-735  ,
-685  ,
-626  ,
-565  ,
-509  ,
-457  ,
-422  ,
-386  ,
-351  ,
-313  ,
-269  ,
-235  ,
-200  ,
-186  ,
-176  ,
-171  ,
-170  ,
-152  ,
-139  ,
-103  ,
-81 ,
-41 ,
-9  ,
28  ,
64  ,
100 ,
133 ,
171 ,
209 ,
240 ,
277 ,
291 ,
321 ,
340 ,
378 ,
418 ,
468 ,
520 ,
577 ,
632 ,
686 ,
728 ,
768 ,
794 ,
827 ,
854 ,
891 ,
917 ,
946 ,
970 ,
995 ,
1027  ,
1065  ,
1093  ,
1114  ,
1110  ,
1090  ,
1052  ,
1003  ,
949 ,
897 ,
843 ,
798 ,
753 ,
713 ,
673 ,
641 ,
613 ,
606 ,
603 ,
605 ,
612 ,
621 ,
623 ,
637 ,
643 ,
669 ,
686 ,
717 ,
740 ,
753 ,
769 ,
760 ,
755 ,
731 ,
707 ,
683 ,
654 ,
621 ,
585 ,
542 ,
504 ,
459 ,
425 ,
385 ,
344 ,
289 ,
221 ,
137 ,
45  ,
-64 ,
-161  ,
-268  ,
-365  ,
-467  ,
-567  ,
-659  ,
-755  ,
-847  ,
-935  ,
-1019 ,
-1084 ,
-1152 ,
-1202 ,
-1253 ,
-1291 ,
-1327 ,
-1345 ,
-1354 ,
-1347 ,
-1322 ,
-1297 ,
-1267 ,
-1238 ,
-1206 ,
-1179 ,
-1139 ,
-1111 ,
-1059 ,
-1026 ,
-977  ,
-942  ,
-909  ,
-881  ,
-862  ,
-835  ,
-805  ,
-770  ,
-735  ,
-708  ,
-676  ,
-651  ,
-622  ,
-585  ,
-557  ,
-519  ,
-495  ,
-467  ,
-446  ,
-426  ,
-413  ,
-399  ,
-372  ,
-349  ,
-304  ,
-261  ,
-211  ,
-162  ,
-108  ,
-54 ,
3 ,
59  ,
116 ,
167 ,
217 ,
247 ,
280 ,
307 ,
327 ,
355 ,
367 ,
390 ,
394 ,
408 ,
404 ,
403 ,
387 ,
370 ,
365 ,
365 ,
376 ,
390 ,
413 ,
443 ,
485 ,
534 ,
593 ,
658 ,
726 ,
800 ,
866 ,
925 ,
971 ,
1004  ,
1041  ,
1061  ,
1093  ,
1098  ,
1094  ,
1073  ,
1024  ,
977 ,
905 ,
837 ,
766 ,
685 ,
609 ,
532 ,
458 ,
413 ,
370 ,
364 ,
358 ,
369 ,
382 ,
397 ,
419 ,
433 ,
454 ,
464 ,
494 ,
507 ,
541 ,
559 ,
582 ,
599 ,
610 ,
622 ,
621 ,
616 ,
601 ,
578 ,
549 ,
507 ,
455 ,
387 ,
313 ,
229 ,
146 ,
61  ,
-29 ,
-121  ,
-222  ,
-326  ,
-433  ,
-525  ,
-615  ,
-689  ,
-759  ,
-824  ,
-878  ,
-924  ,
-962  ,
-984  ,
-1000 ,
-1006 ,
-997  ,
-978  ,
-955  ,
-924  ,
-894  ,
-854  ,
-814  ,
-772  ,
-728  ,
-695  ,
-660  ,
-647  ,
-632  ,
-629  ,
-632  ,
-631  ,
-630  ,
-615  ,
-604  ,
-587  ,
-576  ,
-555  ,
-547  ,
-526  ,
-498  ,
-465  ,
-432  ,
-400  ,
-375  ,
-344  ,
-330  ,
-292  ,
-268  ,
-233  ,
-206  ,
-183  ,
-164  ,
-163  ,
-159  ,
-169  ,
-178  ,
-185  ,
-193  ,
-189  ,
-201  ,
-198  ,
-197  ,
-195  ,
-181  ,
-187  ,
-173  ,
-182  ,
-186  ,
-201  ,
-214  ,
-225  ,
-235  ,
-229  ,
-218  ,
-194  ,
-176  ,
-144  ,
-118  ,
-76 ,
-47 ,
1 ,
36  ,
84  ,
124 ,
174 ,
212 ,
254 ,
294 ,
355 ,
416 ,
491 ,
552 ,
602 ,
632 ,
652 ,
659 ,
660 ,
644 ,
622 ,
593 ,
562 ,
529 ,
488 ,
449 ,
403 ,
373 ,
358 ,
352 ,
358 ,
361 ,
369 ,
378 ,
382 ,
397 ,
419 ,
444 ,
468 ,
496 ,
521 ,
549 ,
564 ,
587 ,
586 ,
595 ,
592 ,
606 ,
604 ,
600 ,
587 ,
577 ,
564 ,
551 ,
526 ,
501 ,
464 ,
431 ,
392 ,
356 ,
309 ,
261 ,
207 ,
163 ,
108 ,
52  ,
-15 ,
-84 ,
-149  ,
-214  ,
-264  ,
-313  ,
-350  ,
-390  ,
-423  ,
-453  ,
-472  ,
-479  ,
-482  ,
-474  ,
-464  ,
-453  ,
-437  ,
-426  ,
-404  ,
-386  ,
-359  ,
-327  ,
-288  ,
-251  ,
-208  ,
-181  ,
-145  ,
-121  ,
-93 ,
-69 ,
-47 ,
-31 ,
-17 ,
-2  ,
21  ,
34  ,
56  ,
68  ,
85  ,
92  ,
85  ,
76  ,
41  ,
13  ,
-39 ,
-74 ,
-120  ,
-153  ,
-188  ,
-216  ,
-248  ,
-278  ,
-299  ,
-308  ,
-303  ,
-293  ,
-279  ,
-277  ,
-276  ,
-288  ,
-298  ,
-309  ,
-319  ,
-320  ,
-313  ,
-305  ,
-295  ,
-297  ,
-298  ,
-315  ,
-324  ,
-341  ,
-361  ,
-385  ,
-410  ,
-423  ,
-426  ,
-420  ,
-404  ,
-384  ,
-364  ,
-330  ,
-285  ,
-225  ,
-164  ,
-95 ,
-33 ,
32  ,
87  ,
137 ,
184 ,
215 ,
238 ,
255 ,
258 ,
259 ,
239 ,
213 ,
181 ,
147 ,
110 ,
80  ,
37  ,
9 ,
-26 ,
-38 ,
-45 ,
-41 ,
-39 ,
-33 ,
-21 ,
-2  ,
34  ,
71  ,
119 ,
163 ,
210 ,
256 ,
303 ,
348 ,
398 ,
451 ,
507 ,
555 ,
611 ,
646 ,
689 ,
723 ,
759 ,
789 ,
805 ,
816 ,
815 ,
809 ,
778 ,
754 ,
697 ,
646 ,
580 ,
518 ,
458 ,
395 ,
338 ,
279 ,
230 ,
167 ,
124 ,
71  ,
40  ,
7 ,
-4  ,
-19 ,
-26 ,
-32 ,
-29 ,
-15 ,
7 ,
33  ,
65  ,
88  ,
105 ,
109 ,
111 ,
101 ,
91  ,
80  ,
67  ,
54  ,
31  ,
17  ,
-6  ,
-25 ,
-40 ,
-57 ,
-64 ,
-85 ,
-89 ,
-101  ,
-111  ,
-125  ,
-137  ,
-154  ,
-172  ,
-188  ,
-196  ,
-199  ,
-212  ,
-224  ,
-241  ,
-253  ,
-272  ,
-280  ,
-295  ,
-316  ,
-341  ,
-364  ,
-378  ,
-389  ,
-394  ,
-401  ,
-411  ,
-427  ,
-444  ,
-463  ,
-480  ,
-491  ,
-496  ,
-499  ,
-503  ,
-521  ,
-534  ,
-551  ,
-554  ,
-550  ,
-534  ,
-513  ,
-502  ,
-484  ,
-470  ,
-451  ,
-427  ,
-400  ,
-357  ,
-316  ,
-262  ,
-209  ,
-158  ,
-115  ,
-80 ,
-51 ,
-39 ,
-32 ,
-37 ,
-45 ,
-55 ,
-79 ,
-105  ,
-147  ,
-186  ,
-231  ,
-259  ,
-290  ,
-306  ,
-323  ,
-330  ,
-327  ,
-318  ,
-293  ,
-259  ,
-215  ,
-164  ,
-113  ,
-59 ,
-5  ,
45  ,
100 ,
152 ,
212 ,
263 ,
323 ,
371 ,
419 ,
469 ,
514 ,
566 ,
607 ,
653 ,
676 ,
699 ,
704 ,
715 ,
722 ,
729 ,
737 ,
743 ,
740 ,
732 ,
710 ,
687 ,
652 ,
621 ,
584 ,
553 ,
508 ,
469 ,
414 ,
367 ,
309 ,
259 ,
215 ,
177 ,
150 ,
127 ,
91  ,
62  ,
26  ,
-3  ,
-23 ,
-49 ,
-55 ,
-73 ,
-74 ,
-92 ,
-99 ,
-115  ,
-123  ,
-131  ,
-128  ,
-125  ,
-129  ,
-129  ,
-141  ,
-147  ,
-153  ,
-162  ,
-154  ,
-157  ,
-151  ,
-160  ,
-170  ,
-198  ,
-225  ,
-267  ,
-311  ,
-348  ,
-394  ,
-433  ,
-477  ,
-525  ,
-569  ,
-612  ,
-640  ,
-656  ,
-667  ,
-674  ,
-682  ,
-689  ,
-693  ,
-701  ,
-697  ,
-697  ,
-680  ,
-673  ,
-641  ,
-636  ,
-621  ,
-618  ,
-615  ,
-600  ,
-588  ,
-575  ,
-572  ,
-576  ,
-591  ,
-596  ,
-602  ,
-600  ,
-590  ,
-577  ,
-556  ,
-532  ,
-509  ,
-472  ,
-429  ,
-376  ,
-311  ,
-247  ,
-170  ,
-100  ,
-38 ,
20  ,
61  ,
104 ,
139 ,
163 ,
197 ,
208 ,
222 ,
224 ,
227 ,
230 ,
227 ,
230 ,
235 ,
243 ,
261 ,
270 ,
290 ,
298 ,
314 ,
324 ,
345 ,
373 ,
404 ,
442 ,
472 ,
509 ,
547 ,
583 ,
640 ,
683 ,
743 ,
784 ,
835 ,
878 ,
921 ,
960 ,
1005  ,
1047  ,
1094  ,
1131  ,
1160  ,
1174  ,
1172  ,
1154  ,
1127  ,
1081  ,
1027  ,
956 ,
883 ,
801 ,
719 ,
631 ,
541 ,
441 ,
348 ,
256 ,
173 ,
92  ,
9 ,
-61 ,
-127  ,
-183  ,
-222  ,
-256  ,
-274  ,
-288  ,
-296  ,
-293  ,
-292  ,
-285  ,
-274  ,
-271  ,
-263  ,
-271  ,
-273  ,
-283  ,
-294  ,
-302  ,
-320  ,
-323  ,
-329  ,
-322  ,
-328  ,
-330  ,
-345  ,
-364  ,
-370  ,
-391  ,
-398  ,
-413  ,
-436  ,
-459  ,
-487  ,
-512  ,
-535  ,
-561  ,
-585  ,
-597  ,
-612  ,
-617  ,
-636  ,
-655  ,
-678  ,
-702  ,
-709  ,
-714  ,
-706  ,
-702  ,
-706  ,
-708  ,
-719  ,
-714  ,
-720  ,
-715  ,
-712  ,
-702  ,
-696  ,
-688  ,
-690  ,
-694  ,
-700  ,
-712  ,
-705  ,
-706  ,
-693  ,
-693  ,
-671  ,
-648  ,
-597  ,
-541  ,
-469  ,
-391  ,
-300  ,
-210  ,
-117  ,
-24 ,
58  ,
144 ,
215 ,
295 ,
364 ,
428 ,
481 ,
522 ,
549 ,
575 ,
580 ,
602 ,
603 ,
617 ,
610 ,
612 ,
605 ,
608 ,
616 ,
636 ,
669 ,
702 ,
750 ,
799 ,
850 ,
895 ,
935 ,
975 ,
1019  ,
1065  ,
1116  ,
1156  ,
1192  ,
1216  ,
1247  ,
1274  ,
1304  ,
1325  ,
1349  ,
1366  ,
1377  ,
1379  ,
1367  ,
1349  ,
1315  ,
1281  ,
1244  ,
1211  ,
1166  ,
1122  ,
1064  ,
1002  ,
928 ,
860 ,
778 ,
698 ,
604 ,
504 ,
412 ,
316 ,
231 ,
142 ,
56  ,
-23 ,
-85 ,
-149  ,
-200  ,
-266  ,
-327  ,
-383  ,
-437  ,
-469  ,
-504  ,
-530  ,
-557  ,
-586  ,
-614  ,
-645  ,
-682  ,
-703  ,
-725  ,
-721  ,
-723  ,
-710  ,
-708  ,
-710  ,
-711  ,
-714  ,
-708  ,
-701  ,
-688  ,
-684  ,
-686  ,
-704  ,
-721  ,
-749  ,
-781  ,
-811  ,
-843  ,
-864  ,
-880  ,
-902  ,
-928  ,
-958  ,
-1001 ,
-1037 ,
-1064 ,
-1077 ,
-1077 ,
-1090 ,
-1092 ,
-1101 ,
-1095 ,
-1087 ,
-1068 ,
-1034 ,
-993  ,
-950  ,
-911  ,
-869  ,
-839  ,
-802  ,
-776  ,
-737  ,
-691  ,
-648  ,
-595  ,
-563  ,
-531  ,
-507  ,
-471  ,
-419  ,
-354  ,
-280  ,
-208  ,
-141  ,
-81 ,
-7  ,
65  ,
156 ,
242 ,
338 ,
436 ,
522 ,
601 ,
650 ,
691 ,
721 ,
754 ,
784 ,
826 ,
847 ,
872 ,
873 ,
880 ,
892 ,
900 ,
922 ,
934 ,
959 ,
968 ,
973 ,
964 ,
952 ,
940 ,
939 ,
944 ,
962 ,
975 ,
983 ,
974 ,
971 ,
970 ,
976 ,
995 ,
1010  ,
1035  ,
1046  ,
1061  ,
1065  ,
1072  ,
1080  ,
1095  ,
1115  ,
1140  ,
1151  ,
1153  ,
1129  ,
1099  ,
1050  ,
1011  ,
963 ,
922 ,
863 ,
795 ,
707 ,
606 ,
505 ,
402 ,
319 ,
229 ,
153 ,
69  ,
-8  ,
-85 ,
-161  ,
-229  ,
-292  ,
-332  ,
-367  ,
-382  ,
-406  ,
-441  ,
-477  ,
-519  ,
-542  ,
-557  ,
-571  ,
-580  ,
-598  ,
-612  ,
-635  ,
-647  ,
-664  ,
-666  ,
-671  ,
-663  ,
-673  ,
-679  ,
-712  ,
-735  ,
-771  ,
-791  ,
-808  ,
-814  ,
-825  ,
-846  ,
-883  ,
-925  ,
-968  ,
-998  ,
-1019 ,
-1024 ,
-1022 ,
-1019 ,
-1017 ,
-1019 ,
-1032 ,
-1041 ,
-1043 ,
-1034 ,
-997  ,
-966  ,
-934  ,
-921  ,
-908  ,
-892  ,
-870  ,
-834  ,
-791  ,
-745  ,
-705  ,
-675  ,
-659  ,
-651  ,
-650  ,
-649  ,
-630  ,
-609  ,
-572  ,
-538  ,
-491  ,
-444  ,
-389  ,
-322  ,
-228  ,
-120  ,
-3  ,
104 ,
203 ,
287 ,
371 ,
443 ,
523 ,
591 ,
653 ,
695 ,
738 ,
751 ,
767 ,
760 ,
768 ,
765 ,
763 ,
756 ,
730 ,
699 ,
653 ,
622 ,
603 ,
593 ,
597 ,
607 ,
619 ,
629 ,
629 ,
631 ,
640 ,
652 ,
670 ,
694 ,
712 ,
733 ,
741 ,
754 ,
759 ,
770 ,
781 ,
805 ,
829 ,
848 ,
851 ,
844 ,
836 ,
824 ,
814 ,
808 ,
791 ,
775 ,
740 ,
701 ,
652 ,
602 ,
543 ,
489 ,
434 ,
380 ,
322 ,
247 ,
169 ,
83  ,
5 ,
-56 ,
-100  ,
-137  ,
-174  ,
-226  ,
-274  ,
-327  ,
-378  ,
-410  ,
-438  ,
-453  ,
-473  ,
-496  ,
-529  ,
-570  ,
-623  ,
-662  ,
-679  ,
-680  ,
-679  ,
-675  ,
-687  ,
-693  ,
-697  ,
-686  ,
-664  ,
-635  ,
-614  ,
-584  ,
-570  ,
-561  ,
-564  ,
-569  ,
-565  ,
-561  ,
-548  ,
-541  ,
-533  ,
-537  ,
-544  ,
-549  ,
-560  ,
-557  ,
-576  ,
-584  ,
-609  ,
-629  ,
-652  ,
-674  ,
-682  ,
-682  ,
-667  ,
-646  ,
-613  ,
-580  ,
-555  ,
-534  ,
-516  ,
-495  ,
-475  ,
-442  ,
-413  ,
-375  ,
-356  ,
-347  ,
-337  ,
-330  ,
-306  ,
-269  ,
-222  ,
-167  ,
-125  ,
-88 ,
-47 ,
-12 ,
33  ,
81  ,
150 ,
220 ,
289 ,
338 ,
374 ,
389 ,
405 ,
422 ,
451 ,
475 ,
487 ,
485 ,
474 ,
458 ,
446 ,
433 ,
433 ,
435 ,
448 ,
457 ,
460 ,
458 ,
448 ,
447 ,
449 ,
463 ,
475 ,
480 ,
479 ,
462 ,
464 ,
447 ,
459 ,
462 ,
478 ,
491 ,
504 ,
511 ,
516 ,
516 ,
525 ,
532 ,
552 ,
568 ,
602 ,
621 ,
634 ,
635 ,
634 ,
632 ,
629 ,
633 ,
634 ,
629 ,
599 ,
553 ,
493 ,
418 ,
334 ,
256 ,
183 ,
111 ,
39  ,
-43 ,
-120  ,
-205  ,
-271  ,
-327  ,
-361  ,
-391  ,
-423  ,
-460  ,
-504  ,
-554  ,
-591  ,
-624  ,
-638  ,
-653  ,
-657  ,
-664  ,
-663  ,
-659  ,
-641  ,
-616  ,
-577  ,
-535  ,
-485  ,
-447  ,
-415  ,
-391  ,
-368  ,
-341  ,
-310  ,
-283  ,
-249  ,
-235  ,
-207  ,
-203  ,
-193  ,
-192  ,
-191  ,
-182  ,
-180  ,
-173  ,
-173  ,
-176  ,
-184  ,
-191  ,
-187  ,
-184  ,
-176  ,
-157  ,
-139  ,
-108  ,
-95 ,
-73 ,
-53 ,
-29 ,
-2  ,
28  ,
60  ,
85  ,
102 ,
111 ,
112 ,
112 ,
88  ,
77  ,
53  ,
38  ,
11  ,
-10 ,
-29 ,
-40 ,
-41 ,
-22 ,
4 ,
43  ,
75  ,
113 ,
148 ,
184 ,
222 ,
259 ,
300 ,
332 ,
356 ,
376 ,
373 ,
369 ,
347 ,
332 ,
316 ,
303 ,
291 ,
265 ,
237 ,
205 ,
178 ,
159 ,
143 ,
131 ,
115 ,
97  ,
88  ,
74  ,
72  ,
61  ,
63  ,
66  ,
75  ,
85  ,
100 ,
114 ,
128 ,
141 ,
162 ,
184 ,
200 ,
219 ,
235 ,
256 ,
275 ,
291 ,
312 ,
328 ,
343 ,
361 ,
379 ,
399 ,
408 ,
407 ,
392 ,
371 ,
335 ,
309 ,
263 ,
222 ,
166 ,
107 ,
44  ,
-15 ,
-71 ,
-113  ,
-151  ,
-186  ,
-218  ,
-259  ,
-296  ,
-330  ,
-357  ,
-370  ,
-381  ,
-386  ,
-392  ,
-407  ,
-421  ,
-441  ,
-457  ,
-463  ,
-467  ,
-457  ,
-450  ,
-444  ,
-427  ,
-407  ,
-383  ,
-351  ,
-322  ,
-288  ,
-248  ,
-215  ,
-171  ,
-147  ,
-122  ,
-105  ,
-82 ,
-58 ,
-34 ,
-7  ,
10  ,
21  ,
31  ,
29  ,
35  ,
19  ,
13  ,
-8  ,
-20 ,
-44 ,
-71 ,
-93 ,
-119  ,
-134  ,
-149  ,
-152  ,
-150  ,
-144  ,
-139  ,
-137  ,
-134  ,
-135  ,
-124  ,
-119  ,
-116  ,
-119  ,
-133  ,
-144  ,
-164  ,
-179  ,
-188  ,
-188  ,
-182  ,
-164  ,
-150  ,
-127  ,
-107  ,
-89 ,
-52 ,
-22 ,
30  ,
70  ,
112 ,
144 ,
168 ,
189 ,
195 ,
207 ,
207 ,
207 ,
208 ,
198 ,
195 ,
182 ,
172 ,
155 ,
144 ,
135 ,
125 ,
123 ,
107 ,
101 ,
83  ,
84  ,
75  ,
82  ,
78  ,
85  ,
80  ,
84  ,
75  ,
76  ,
63  ,
60  ,
62  ,
73  ,
86  ,
95  ,
96  ,
103 ,
106 ,
115 ,
133 ,
149 ,
169 ,
183 ,
199 ,
217 ,
229 ,
241 ,
250 ,
270 ,
284 ,
302 ,
304 ,
297 ,
276 ,
247 ,
207 ,
178 ,
128 ,
91  ,
31  ,
-13 ,
-71 ,
-107  ,
-144  ,
-175  ,
-199  ,
-231  ,
-248  ,
-281  ,
-305  ,
-332  ,
-358  ,
-376  ,
-390  ,
-399  ,
-403  ,
-404  ,
-398  ,
-390  ,
-360  ,
-334  ,
-281  ,
-238  ,
-189  ,
-150  ,
-112  ,
-84 ,
-48 ,
-20 ,
14  ,
46  ,
72  ,
99  ,
116 ,
124 ,
132 ,
119 ,
123 ,
111 ,
108 ,
91  ,
69  ,
32  ,
7 ,
-27 ,
-52 ,
-80 ,
-114  ,
-135  ,
-159  ,
-169  ,
-175  ,
-183  ,
-188  ,
-187  ,
-182  ,
-172  ,
-164  ,
-164  ,
-165  ,
-181  ,
-197  ,
-213  ,
-237  ,
-257  ,
-280  ,
-305  ,
-324  ,
-351  ,
-365  ,
-385  ,
-385  ,
-380  ,
-355  ,
-318  ,
-279  ,
-236  ,
-206  ,
-159  ,
-115  ,
-52 ,
9 ,
61  ,
106 ,
140 ,
167 ,
193 ,
209 ,
230 ,
237 ,
245 ,
241 ,
239 ,
230 ,
222 ,
221 ,
224 ,
228 ,
224 ,
223 ,
207 ,
202 ,
188 ,
188 ,
190 ,
197 ,
204 ,
215 ,
228 ,
236 ,
260 ,
273 ,
309 ,
329 ,
364 ,
391 ,
419 ,
448 ,
474 ,
497 ,
523 ,
556 ,
597 ,
641 ,
686 ,
713 ,
744 ,
750 ,
760 ,
762 ,
761 ,
743 ,
726 ,
686 ,
658 ,
609 ,
564 ,
509 ,
461 ,
412 ,
380 ,
341 ,
308 ,
260 ,
220 ,
181 ,
153 ,
125 ,
102 ,
66  ,
39  ,
-3  ,
-27 ,
-64 ,
-89 ,
-112  ,
-133  ,
-141  ,
-153  ,
-164  ,
-187  ,
-207  ,
-229  ,
-229  ,
-233  ,
-226  ,
-231  ,
-234  ,
-241  ,
-250  ,
-244  ,
-244  ,
-238  ,
-237  ,
-235  ,
-237  ,
-243  ,
-257  ,
-272  ,
-285  ,
-306  ,
-320  ,
-346  ,
-369  ,
-403  ,
-437  ,
-468  ,
-500  ,
-526  ,
-547  ,
-564  ,
-581  ,
-591  ,
-607  ,
-623  ,
-632  ,
-651  ,
-651  ,
-665  ,
-662  ,
-665  ,
-663  ,
-673  ,
-692  ,
-703  ,
-724  ,
-721  ,
-722  ,
-710  ,
-703  ,
-697  ,
-695  ,
-673  ,
-651  ,
-595  ,
-538  ,
-464  ,
-392  ,
-326  ,
-268  ,
-219  ,
-181  ,
-137  ,
-88 ,
-41 ,
-5  ,
20  ,
28  ,
37  ,
34  ,
49  ,
60  ,
71  ,
76  ,
77  ,
79  ,
80  ,
75  ,
78  ,
86  ,
100 ,
122 ,
142 ,
164 ,
189 ,
216 ,
253 ,
290 ,
327 ,
365 ,
396 ,
430 ,
465 ,
499 ,
528 ,
555 ,
585 ,
619 ,
662 ,
697 ,
742 ,
776 ,
813 ,
846 ,
887 ,
920 ,
958 ,
984 ,
1014  ,
1034  ,
1046  ,
1050  ,
1046  ,
1037  ,
1035  ,
1017  ,
1012  ,
982 ,
952 ,
913 ,
871 ,
832 ,
793 ,
754 ,
718 ,
665 ,
616 ,
547 ,
480 ,
402 ,
329 ,
267 ,
207 ,
145 ,
76  ,
8 ,
-49 ,
-106  ,
-153  ,
-196  ,
-237  ,
-276  ,
-311  ,
-339  ,
-368  ,
-383  ,
-403  ,
-404  ,
-405  ,
-408  ,
-418  ,
-426  ,
-447  ,
-449  ,
-463  ,
-465  ,
-484  ,
-498  ,
-525  ,
-554  ,
-579  ,
-621  ,
-653  ,
-701  ,
-742  ,
-781  ,
-810  ,
-844  ,
-872  ,
-899  ,
-919  ,
-940  ,
-951  ,
-960  ,
-967  ,
-954  ,
-947  ,
-927  ,
-922  ,
-919  ,
-926  ,
-924  ,
-937  ,
-936  ,
-949  ,
-956  ,
-964  ,
-971  ,
-969  ,
-967  ,
-956  ,
-938  ,
-914  ,
-882  ,
-851  ,
-812  ,
-772  ,
-723  ,
-669  ,
-607  ,
-549  ,
-501  ,
-448  ,
-406  ,
-351  ,
-302  ,
-247  ,
-204  ,
-165  ,
-135  ,
-108  ,
-82 ,
-59 ,
-37 ,
-9  ,
25  ,
54  ,
92  ,
118 ,
150 ,
179 ,
212 ,
247 ,
277 ,
311 ,
340 ,
375 ,
410 ,
443 ,
482 ,
516 ,
554 ,
595 ,
633 ,
675 ,
715 ,
760 ,
810 ,
860 ,
917 ,
966 ,
1019  ,
1067  ,
1117  ,
1175  ,
1220  ,
1267  ,
1306  ,
1335  ,
1354  ,
1352  ,
1343  ,
1321  ,
1294  ,
1262  ,
1229  ,
1193  ,
1141  ,
1095  ,
1033  ,
987 ,
923 ,
863 ,
800 ,
737 ,
679 ,
610 ,
550 ,
480 ,
411 ,
343 ,
275 ,
213 ,
153 ,
95  ,
42  ,
-9  ,
-62 ,
-109  ,
-167  ,
-212  ,
-260  ,
-295  ,
-329  ,
-362  ,
-398  ,
-431  ,
-457  ,
-476  ,
-489  ,
-497  ,
-501  ,
-504  ,
-504  ,
-508  ,
-509  ,
-511  ,
-512  ,
-509  ,
-513  ,
-528  ,
-552  ,
-590  ,
-624  ,
-655  ,
-682  ,
-709  ,
-729  ,
-757  ,
-774  ,
-806  ,
-822  ,
-835  ,
-849  ,
-851  ,
-856  ,
-858  ,
-866  ,
-884  ,
-893  ,
-910  ,
-922  ,
-943  ,
-957  ,
-970  ,
-985  ,
-999  ,
-1007 ,
-1008 ,
-1012 ,
-1004 ,
-992  ,
-967  ,
-931  ,
-891  ,
-832  ,
-777  ,
-706  ,
-646  ,
-570  ,
-498  ,
-425  ,
-359  ,
-302  ,
-244  ,
-204  ,
-155  ,
-114  ,
-66 ,
-17 ,
28  ,
67  ,
100 ,
117 ,
148 ,
165 ,
202 ,
228 ,
258 ,
288 ,
315 ,
341 ,
373 ,
405 ,
457 ,
501 ,
562 ,
607 ,
661 ,
695 ,
730 ,
765 ,
802 ,
849 ,
887 ,
929 ,
966 ,
1000  ,
1035  ,
1069  ,
1112  ,
1144  ,
1184  ,
1222  ,
1254  ,
1285  ,
1301  ,
1315  ,
1320  ,
1314  ,
1306  ,
1287  ,
1268  ,
1238  ,
1200  ,
1166  ,
1123  ,
1079  ,
1039  ,
996 ,
955 ,
907 ,
849 ,
790 ,
717 ,
649 ,
572 ,
504 ,
427 ,
363 ,
278 ,
207 ,
124 ,
42  ,
-29 ,
-98 ,
-152  ,
-205  ,
-254  ,
-301  ,
-346  ,
-389  ,
-433  ,
-471  ,
-506  ,
-520  ,
-536  ,
-530  ,
-525  ,
-516  ,
-507  ,
-493  ,
-482  ,
-460  ,
-440  ,
-418  ,
-404  ,
-398  ,
-400  ,
-406  ,
-412  ,
-426  ,
-440  ,
-455  ,
-483  ,
-504  ,
-541  ,
-563  ,
-593  ,
-608  ,
-631  ,
-638  ,
-656  ,
-668  ,
-672  ,
-673  ,
-660  ,
-651  ,
-639  ,
-633  ,
-633  ,
-637  ,
-652  ,
-651  ,
-664  ,
-665  ,
-678  ,
-683  ,
-685  ,
-680  ,
-675  ,
-656  ,
-642  ,
-610  ,
-585  ,
-542  ,
-498  ,
-443  ,
-386  ,
-327  ,
-270  ,
-216  ,
-169  ,
-119  ,
-69 ,
-13 ,
45  ,
99  ,
155 ,
194 ,
239 ,
268 ,
303 ,
330 ,
362 ,
383 ,
411 ,
425 ,
441 ,
457 ,
467 ,
486 ,
494 ,
513 ,
523 ,
533 ,
541 ,
553 ,
563 ,
574 ,
577 ,
581 ,
577 ,
576 ,
570 ,
571 ,
583 ,
594 ,
625 ,
644 ,
684 ,
705 ,
745 ,
770 ,
816 ,
844 ,
876 ,
893 ,
903 ,
902 ,
898 ,
884 ,
869 ,
841 ,
813 ,
781 ,
745 ,
711 ,
669 ,
626 ,
581 ,
535 ,
479 ,
423 ,
364 ,
311 ,
257 ,
215 ,
161 ,
107 ,
48  ,
-11 ,
-67 ,
-110  ,
-161  ,
-203  ,
-249  ,
-296  ,
-333  ,
-372  ,
-408  ,
-440  ,
-479  ,
-507  ,
-529  ,
-555  ,
-568  ,
-586  ,
-589  ,
-592  ,
-585  ,
-583  ,
-578  ,
-576  ,
-570  ,
-556  ,
-542  ,
-528  ,
-524  ,
-528  ,
-541  ,
-559  ,
-575  ,
-593  ,
-609  ,
-626  ,
-640  ,
-651  ,
-659  ,
-662  ,
-667  ,
-658  ,
-651  ,
-637  ,
-629  ,
-608  ,
-604  ,
-578  ,
-568  ,
-548  ,
-532  ,
-527  ,
-522  ,
-530  ,
-530  ,
-539  ,
-541  ,
-541  ,
-534  ,
-523  ,
-514  ,
-491  ,
-469  ,
-432  ,
-390  ,
-333  ,
-273  ,
-207  ,
-137  ,
-65 ,
11  ,
88  ,
162 ,
235 ,
297 ,
364 ,
421 ,
479 ,
528 ,
570 ,
604 ,
628 ,
641 ,
649 ,
643 ,
643 ,
624 ,
619 ,
603 ,
593 ,
578 ,
558 ,
548 ,
529 ,
522 ,
510 ,
500 ,
490 ,
475 ,
464 ,
457 ,
448 ,
441 ,
428 ,
414 ,
412 ,
407 ,
414 ,
423 ,
436 ,
451 ,
463 ,
477 ,
492 ,
503 ,
520 ,
527 ,
543 ,
544 ,
542 ,
530 ,
508 ,
488 ,
464 ,
442 ,
419 ,
390 ,
356 ,
314 ,
278 ,
245 ,
217 ,
193 ,
161 ,
127 ,
77  ,
34  ,
-21 ,
-62 ,
-116  ,
-156  ,
-198  ,
-242  ,
-286  ,
-336  ,
-383  ,
-428  ,
-472  ,
-509  ,
-546  ,
-586  ,
-632  ,
-675  ,
-719  ,
-754  ,
-781  ,
-795  ,
-799  ,
-801  ,
-786  ,
-776  ,
-752  ,
-732  ,
-707  ,
-677  ,
-652  ,
-612  ,
-586  ,
-551  ,
-533  ,
-518  ,
-510  ,
-506  ,
-505  ,
-502  ,
-498  ,
-496  ,
-486  ,
-494  ,
-485  ,
-492  ,
-489  ,
-478  ,
-463  ,
-437  ,
-418  ,
-394  ,
-377  ,
-359  ,
-347  ,
-326  ,
-321  ,
-302  ,
-303  ,
-299  ,
-305  ,
-306  ,
-307  ,
-298  ,
-280  ,
-267  ,
-242  ,
-222  ,
-202  ,
-174  ,
-150  ,
-112  ,
-75 ,
-25 ,
19  ,
75  ,
115 ,
160 ,
197 ,
238 ,
269 ,
312 ,
341 ,
378 ,
397 ,
418 ,
425 ,
436 ,
436 ,
442 ,
443 ,
445 ,
443 ,
435 ,
421 ,
405 ,
388 ,
378 ,
368 ,
367 ,
357 ,
355 ,
340 ,
330 ,
318 ,
305 ,
296 ,
282 ,
283 ,
277 ,
281 ,
276 ,
287 ,
293 ,
319 ,
347 ,
390 ,
428 ,
465 ,
494 ,
519 ,
542 ,
557 ,
577 ,
586 ,
599 ,
594 ,
591 ,
572 ,
559 ,
529 ,
517 ,
488 ,
471 ,
442 ,
416 ,
378 ,
335 ,
285 ,
232 ,
190 ,
139 ,
105 ,
57  ,
14  ,
-40 ,
-89 ,
-137  ,
-183  ,
-222  ,
-265  ,
-300  ,
-345  ,
-388  ,
-432  ,
-479  ,
-521  ,
-560  ,
-592  ,
-615  ,
-628  ,
-645  ,
-653  ,
-668  ,
-663  ,
-657  ,
-633  ,
-607  ,
-579  ,
-541  ,
-521  ,
-484  ,
-467  ,
-437  ,
-423  ,
-398  ,
-375  ,
-354  ,
-344  ,
-341  ,
-352  ,
-347  ,
-349  ,
-331  ,
-319  ,
-297  ,
-281  ,
-255  ,
-236  ,
-211  ,
-190  ,
-162  ,
-136  ,
-103  ,
-83 ,
-68 ,
-73 ,
-89 ,
-103  ,
-125  ,
-134  ,
-153  ,
-162  ,
-177  ,
-190  ,
-203  ,
-213  ,
-223  ,
-225  ,
-218  ,
-204  ,
-178  ,
-159  ,
-125  ,
-101  ,
-63 ,
-27 ,
18  ,
70  ,
109 ,
160 ,
195 ,
229 ,
256 ,
268 ,
291 ,
302 ,
310 ,
317 ,
299 ,
295 ,
267 ,
255 ,
240 ,
226 ,
221 ,
210 ,
203 ,
199 ,
186 ,
178 ,
160 ,
149 ,
142 ,
135 ,
138 ,
126 ,
129 ,
125 ,
136 ,
154 ,
176 ,
204 ,
233 ,
268 ,
303 ,
342 ,
373 ,
411 ,
442 ,
481 ,
517 ,
546 ,
574 ,
580 ,
594 ,
592 ,
600 ,
598 ,
599 ,
590 ,
581 ,
566 ,
554 ,
535 ,
513 ,
485 ,
463 ,
438 ,
410 ,
381 ,
343 ,
313 ,
274 ,
250 ,
221 ,
193 ,
164 ,
127 ,
94  ,
54  ,
10  ,
-33 ,
-75 ,
-107  ,
-146  ,
-178  ,
-224  ,
-261  ,
-302  ,
-333  ,
-357  ,
-375  ,
-382  ,
-385  ,
-380  ,
-371  ,
-355  ,
-333  ,
-304  ,
-268  ,
-233  ,
-198  ,
-173  ,
-152  ,
-133  ,
-117  ,
-102  ,
-92 ,
-94 ,
-94 ,
-104  ,
-109  ,
-122  ,
-131  ,
-144  ,
-143  ,
-149  ,
-135  ,
-139  ,
-135  ,
-144  ,
-152  ,
-164  ,
-173  ,
-190  ,
-211  ,
-235  ,
-263  ,
-289  ,
-318  ,
-345  ,
-381  ,
-402  ,
-431  ,
-442  ,
-456  ,
-472  ,
-486  ,
-494  ,
-497  ,
-492  ,
-475  ,
-460  ,
-434  ,
-407  ,
-387  ,
-346  ,
-325  ,
-286  ,
-256  ,
-223  ,
-183  ,
-159  ,
-127  ,
-114  ,
-91 ,
-85 ,
-68 ,
-63 ,
-51 ,
-50 ,
-42 ,
-44 ,
-34 ,
-33 ,
-25 ,
-19 ,
-11 ,
-8  ,
-6  ,
-11 ,
-17 ,
-24 ,
-31 ,
-41 ,
-46 ,
-49 ,
-50 ,
-51 ,
-45 ,
-37 ,
-19 ,
9 ,
39  ,
85  ,
123 ,
166 ,
202 ,
243 ,
283 ,
327 ,
370 ,
406 ,
442 ,
470 ,
499 ,
525 ,
542 ,
568 ,
581 ,
597 ,
610 ,
617 ,
614 ,
610 ,
593 ,
589 ,
583 ,
573 ,
562 ,
548 ,
532 ,
520 ,
506 ,
491 ,
471 ,
445 ,
420 ,
397 ,
375 ,
355 ,
325 ,
302 ,
275 ,
250 ,
224 ,
198 ,
173 ,
155 ,
142 ,
127 ,
123 ,
110 ,
116 ,
113 ,
132 ,
143 ,
162 ,
172 ,
187 ,
193 ,
210 ,
215 ,
222 ,
221 ,
206 ,
186 ,
155 ,
125 ,
89  ,
57  ,
18  ,
-10 ,
-43 ,
-59 ,
-84 ,
-94 ,
-112  ,
-123  ,
-142  ,
-155  ,
-182  ,
-196  ,
-226  ,
-245  ,
-280  ,
-315  ,
-354  ,
-400  ,
-446  ,
-493  ,
-539  ,
-586  ,
-625  ,
-669  ,
-698  ,
-736  ,
-760  ,
-781  ,
-795  ,
-795  ,
-798  ,
-786  ,
-772  ,
-748  ,
-714  ,
-679  ,
-640  ,
-603  ,
-563  ,
-516  ,
-467  ,
-423  ,
-382  ,
-353  ,
-327  ,
-305  ,
-293  ,
-270  ,
-263  ,
-239  ,
-235  ,
-212  ,
-205  ,
-193  ,
-183  ,
-183  ,
-173  ,
-169  ,
-168  ,
-170  ,
-182  ,
-195  ,
-207  ,
-221  ,
-222  ,
-227  ,
-227  ,
-221  ,
-211  ,
-192  ,
-159  ,
-121  ,
-76 ,
-24 ,
28  ,
82  ,
140 ,
189 ,
242 ,
299 ,
350 ,
407 ,
453 ,
499 ,
539 ,
575 ,
612 ,
638 ,
666 ,
682 ,
694 ,
705 ,
704 ,
703 ,
697 ,
694 ,
690 ,
683 ,
674 ,
662 ,
654 ,
641 ,
635 ,
627 ,
619 ,
616 ,
604 ,
597 ,
577 ,
554 ,
522 ,
491 ,
460 ,
426 ,
391 ,
351 ,
312 ,
277 ,
237 ,
206 ,
174 ,
146 ,
123 ,
107 ,
96  ,
97  ,
89  ,
94  ,
89  ,
100 ,
103 ,
110 ,
108 ,
102 ,
85  ,
60  ,
40  ,
7 ,
-17 ,
-43 ,
-69 ,
-86 ,
-109  ,
-130  ,
-150  ,
-171  ,
-181  ,
-193  ,
-196  ,
-209  ,
-221  ,
-244  ,
-263  ,
-291  ,
-315  ,
-349  ,
-380  ,
-414  ,
-454  ,
-488  ,
-535  ,
-566  ,
-603  ,
-625  ,
-648  ,
-670  ,
-690  ,
-716  ,
-729  ,
-740  ,
-735  ,
-724  ,
-704  ,
-674  ,
-648  ,
-610  ,
-580  ,
-542  ,
-507  ,
-472  ,
-429  ,
-399  ,
-365  ,
-343  ,
-327  ,
-315  ,
-304  ,
-298  ,
-284  ,
-277  ,
-264  ,
-256  ,
-243  ,
-234  ,
-229  ,
-226  ,
-228  ,
-228  ,
-229  ,
-229  ,
-237  ,
-243  ,
-261  ,
-274  ,
-292  ,
-294  ,
-293  ,
-276  ,
-260  ,
-232  ,
-213  ,
-182  ,
-150  ,
-100  ,
-49 ,
11  ,
69  ,
128 ,
184 ,
241 ,
295 ,
359 ,
413 ,
475 ,
530 ,
580 ,
629 ,
665 ,
705 ,
735 ,
773 ,
800 ,
831 ,
846 ,
858 ,
861 ,
863 ,
856 ,
855 ,
844 ,
839 ,
823 ,
810 ,
784 ,
764 ,
731 ,
709 ,
683 ,
654 ,
624 ,
580 ,
534 ,
477 ,
415 ,
362 ,
304 ,
251 ,
205 ,
147 ,
105 ,
50  ,
7 ,
-26 ,
-57 ,
-64 ,
-77 ,
-74 ,
-90 ,
-91 ,
-117  ,
-123  ,
-144  ,
-153  ,
-168  ,
-187  ,
-211  ,
-242  ,
-272  ,
-309  ,
-336  ,
-359  ,
-378  ,
-385  ,
-396  ,
-402  ,
-408  ,
-420  ,
-424  ,
-423  ,
-418  ,
-403  ,
-395  ,
-384  ,
-392  ,
-402  ,
-424  ,
-440  ,
-460  ,
-475  ,
-489  ,
-508  ,
-526  ,
-548  ,
-580  ,
-605  ,
-635  ,
-649  ,
-653  ,
-651  ,
-647  ,
-639  ,
-634  ,
-615  ,
-596  ,
-558  ,
-517  ,
-462  ,
-415  ,
-359  ,
-319  ,
-276  ,
-238  ,
-195  ,
-154  ,
-110  ,
-80 ,
-51 ,
-33 ,
-18 ,
2 ,
18  ,
48  ,
68  ,
100 ,
109 ,
124 ,
119 ,
119 ,
113 ,
104 ,
103 ,
93  ,
88  ,
70  ,
56  ,
36  ,
25  ,
23  ,
29  ,
54  ,
81  ,
112 ,
144 ,
173 ,
207 ,
253 ,
304 ,
368 ,
435 ,
498 ,
561 ,
607 ,
654 ,
692 ,
730 ,
770 ,
806 ,
846 ,
872 ,
891 ,
895 ,
888 ,
875 ,
856 ,
842 ,
828 ,
811 ,
783 ,
753 ,
713 ,
677 ,
642 ,
613 ,
588 ,
560 ,
534 ,
498 ,
463 ,
415 ,
369 ,
318 ,
272 ,
224 ,
168 ,
112 ,
42  ,
-27 ,
-94 ,
-163  ,
-214  ,
-265  ,
-305  ,
-336  ,
-372  ,
-388  ,
-416  ,
-422  ,
-435  ,
-429  ,
-428  ,
-428  ,
-427  ,
-433  ,
-433  ,
-443  ,
-445  ,
-457  ,
-459  ,
-474  ,
-478  ,
-488  ,
-490  ,
-489  ,
-490  ,
-482  ,
-469  ,
-458  ,
-447  ,
-438  ,
-432  ,
-422  ,
-421  ,
-413  ,
-413  ,
-413  ,
-419  ,
-430  ,
-438  ,
-462  ,
-476  ,
-506  ,
-524  ,
-545  ,
-564  ,
-584  ,
-606  ,
-629  ,
-642  ,
-657  ,
-647  ,
-639  ,
-609  ,
-580  ,
-533  ,
-491  ,
-443  ,
-391  ,
-339  ,
-272  ,
-210  ,
-147  ,
-89 ,
-37 ,
6 ,
46  ,
81  ,
117 ,
157 ,
196 ,
236 ,
274 ,
304 ,
336 ,
365 ,
390 ,
414 ,
425 ,
442 ,
450 ,
460 ,
464 ,
462 ,
459 ,
454 ,
452 ,
448 ,
448 ,
451 ,
461 ,
476 ,
491 ,
505 ,
519 ,
535 ,
557 ,
580 ,
616 ,
641 ,
674 ,
698 ,
725 ,
753 ,
775 ,
800 ,
823 ,
844 ,
859 ,
868 ,
870 ,
869 ,
861 ,
850 ,
835 ,
816 ,
789 ,
761 ,
725 ,
698 ,
658 ,
624 ,
581 ,
541 ,
498 ,
455 ,
410 ,
365 ,
323 ,
278 ,
230 ,
177 ,
120 ,
57  ,
1 ,
-66 ,
-123  ,
-188  ,
-254  ,
-314  ,
-378  ,
-431  ,
-475  ,
-516  ,
-539  ,
-559  ,
-568  ,
-570  ,
-570  ,
-566  ,
-560  ,
-560  ,
-562  ,
-558  ,
-563  ,
-558  ,
-565  ,
-579  ,
-593  ,
-604  ,
-622  ,
-624  ,
-644  ,
-644  ,
-655  ,
-647  ,
-642  ,
-632  ,
-624  ,
-618  ,
-612  ,
-599  ,
-593  ,
-580  ,
-573  ,
-561  ,
-549  ,
-539  ,
-536  ,
-535  ,
-543  ,
-549  ,
-563  ,
-571  ,
-588  ,
-600  ,
-620  ,
-629  ,
-639  ,
-638  ,
-635  ,
-622  ,
-608  ,
-575  ,
-540  ,
-490  ,
-436  ,
-386  ,
-321  ,
-271  ,
-203  ,
-143  ,
-79 ,
-9  ,
49  ,
120 ,
174 ,
234 ,
279 ,
330 ,
387 ,
440 ,
501 ,
549 ,
594 ,
630 ,
656 ,
682 ,
699 ,
716 ,
721 ,
728 ,
719 ,
709 ,
689 ,
661 ,
641 ,
622 ,
600 ,
580 ,
559 ,
541 ,
532 ,
519 ,
520 ,
518 ,
524 ,
535 ,
549 ,
571 ,
586 ,
605 ,
621 ,
643 ,
669 ,
695 ,
721 ,
744 ,
762 ,
775 ,
779 ,
781 ,
768 ,
763 ,
745 ,
741 ,
722 ,
702 ,
667 ,
623 ,
581 ,
541 ,
511 ,
487 ,
463 ,
430 ,
405 ,
364 ,
342 ,
294 ,
268 ,
223 ,
190 ,
147 ,
99  ,
38  ,
-21 ,
-96 ,
-141  ,
-205  ,
-244  ,
-309  ,
-350  ,
-407  ,
-436  ,
-471  ,
-490  ,
-505  ,
-522  ,
-527  ,
-542  ,
-549  ,
-573  ,
-592  ,
-612  ,
-628  ,
-640  ,
-665  ,
-682  ,
-713  ,
-733  ,
-756  ,
-768  ,
-776  ,
-779  ,
-778  ,
-777  ,
-769  ,
-769  ,
-760  ,
-758  ,
-737  ,
-721  ,
-698  ,
-674  ,
-654  ,
-638  ,
-630  ,
-625  ,
-627  ,
-625  ,
-630  ,
-631  ,
-634  ,
-641  ,
-655  ,
-670  ,
-690  ,
-692  ,
-702  ,
-691  ,
-679  ,
-658  ,
-625  ,
-592  ,
-543  ,
-492  ,
-435  ,
-362  ,
-295  ,
-212  ,
-144  ,
-79 ,
-19 ,
31  ,
93  ,
147 ,
211 ,
263 ,
314 ,
360 ,
396 ,
435 ,
459 ,
489 ,
513 ,
539 ,
557 ,
564 ,
564 ,
541 ,
531 ,
505 ,
495 ,
471 ,
449 ,
423 ,
394 ,
365 ,
340 ,
313 ,
295 ,
278 ,
263 ,
259 ,
251 ,
255 ,
250 ,
259 ,
260 ,
278 ,
286 ,
314 ,
334 ,
360 ,
387 ,
408 ,
439 ,
457 ,
488 ,
503 ,
533 ,
550 ,
569 ,
577 ,
578 ,
580 ,
572 ,
569 ,
558 ,
551 ,
532 ,
522 ,
502 ,
484 ,
469 ,
455 ,
444 ,
437 ,
420 ,
399 ,
369 ,
338 ,
300 ,
266 ,
218 ,
169 ,
117 ,
62  ,
6 ,
-52 ,
-106  ,
-157  ,
-193  ,
-227  ,
-245  ,
-267  ,
-281  ,
-295  ,
-305  ,
-309  ,
-318  ,
-325  ,
-335  ,
-347  ,
-359  ,
-377  ,
-393  ,
-415  ,
-433  ,
-446  ,
-459  ,
-462  ,
-471  ,
-477  ,
-480  ,
-486  ,
-475  ,
-474  ,
-462  ,
-455  ,
-444  ,
-430  ,
-415  ,
-401  ,
-385  ,
-369  ,
-360  ,
-347  ,
-343  ,
-338  ,
-339  ,
-350  ,
-353  ,
-375  ,
-381  ,
-402  ,
-418  ,
-436  ,
-452  ,
-466  ,
-468  ,
-467  ,
-456  ,
-439  ,
-419  ,
-395  ,
-365  ,
-334  ,
-300  ,
-265  ,
-225  ,
-193  ,
-146  ,
-114  ,
-79 ,
-46 ,
-23 ,
19  ,
46  ,
94  ,
124 ,
166 ,
192 ,
222 ,
243 ,
260 ,
274 ,
279 ,
278 ,
271 ,
253 ,
233 ,
204 ,
180 ,
148 ,
125 ,
97  ,
73  ,
49  ,
24  ,
-2  ,
-19 ,
-40 ,
-46 ,
-48 ,
-44 ,
-35 ,
-20 ,
-7  ,
19  ,
45  ,
83  ,
123 ,
168 ,
206 ,
252 ,
288 ,
331 ,
359 ,
392 ,
418 ,
445 ,
468 ,
484 ,
492 ,
491 ,
493 ,
486 ,
489 ,
475 ,
465 ,
455 ,
433 ,
433 ,
414 ,
411 ,
393 ,
382 ,
369 ,
354 ,
333 ,
308 ,
274 ,
244 ,
205 ,
171 ,
133 ,
88  ,
42  ,
-6  ,
-46 ,
-79 ,
-108  ,
-123  ,
-133  ,
-131  ,
-136  ,
-133  ,
-133  ,
-133  ,
-130  ,
-129  ,
-126  ,
-129  ,
-130  ,
-140  ,
-143  ,
-153  ,
-157  ,
-165  ,
-171  ,
-177  ,
-176  ,
-178  ,
-170  ,
-158  ,
-142  ,
-120  ,
-106  ,
-85 ,
-69 ,
-43 ,
-21 ,
10  ,
27  ,
48  ,
52  ,
62  ,
61  ,
53  ,
37  ,
11  ,
-26 ,
-61 ,
-108  ,
-141  ,
-189  ,
-230  ,
-271  ,
-311  ,
-341  ,
-368  ,
-386  ,
-396  ,
-399  ,
-392  ,
-381  ,
-369  ,
-360  ,
-350  ,
-338  ,
-312  ,
-284  ,
-251  ,
-222  ,
-201  ,
-178  ,
-156  ,
-127  ,
-102  ,
-73 ,
-56 ,
-35 ,
-22 ,
-10 ,
1 ,
-1  ,
-1  ,
-7  ,
-15 ,
-24 ,
-40 ,
-57 ,
-75 ,
-97 ,
-117  ,
-139  ,
-162  ,
-179  ,
-198  ,
-211  ,
-220  ,
-231  ,
-236  ,
-239  ,
-238  ,
-224  ,
-213  ,
-189  ,
-168  ,
-146  ,
-114  ,
-88 ,
-50 ,
-10 ,
31  ,
70  ,
109 ,
138 ,
172 ,
198 ,
227 ,
248 ,
270 ,
283 ,
295 ,
303 ,
311 ,
314 ,
314 ,
315 ,
317 ,
315 ,
326 ,
322 ,
336 ,
334 ,
345 ,
343 ,
344 ,
331 ,
319 ,
301 ,
282 ,
262 ,
236 ,
207 ,
174 ,
139 ,
107 ,
80  ,
59  ,
41  ,
32  ,
24  ,
24  ,
27  ,
35  ,
41  ,
49  ,
57  ,
68  ,
81  ,
92  ,
100 ,
102 ,
98  ,
90  ,
89  ,
80  ,
83  ,
73  ,
73  ,
70  ,
60  ,
64  ,
52  ,
53  ,
49  ,
55  ,
59  ,
69  ,
64  ,
72  ,
68  ,
71  ,
66  ,
62  ,
50  ,
30  ,
5 ,
-25 ,
-57 ,
-97 ,
-131  ,
-182  ,
-220  ,
-269  ,
-307  ,
-342  ,
-372  ,
-398  ,
-415  ,
-430  ,
-437  ,
-433  ,
-434  ,
-421  ,
-413  ,
-403  ,
-384  ,
-372  ,
-347  ,
-328  ,
-301  ,
-273  ,
-236  ,
-206  ,
-172  ,
-142  ,
-114  ,
-75 ,
-39 ,
-6  ,
24  ,
39  ,
55  ,
60  ,
75  ,
77  ,
88  ,
75  ,
72  ,
51  ,
34  ,
20  ,
-3  ,
-18 ,
-49 ,
-67 ,
-101  ,
-119  ,
-144  ,
-160  ,
-174  ,
-182  ,
-188  ,
-183  ,
-184  ,
-175  ,
-168  ,
-149  ,
-126  ,
-93 ,
-61 ,
-19 ,
16  ,
57  ,
96  ,
135 ,
172 ,
200 ,
234 ,
255 ,
283 ,
305 ,
317 ,
339 ,
340 ,
355 ,
366 ,
374 ,
392 ,
400 ,
416 ,
424 ,
433 ,
440 ,
441 ,
439 ,
438 ,
423 ,
418 ,
393 ,
375 ,
344 ,
312 ,
288 ,
259 ,
249 ,
225 ,
212 ,
192 ,
178 ,
171 ,
169 ,
165 ,
172 ,
166 ,
175 ,
175 ,
177 ,
168 ,
160 ,
140 ,
133 ,
112 ,
101 ,
78  ,
58  ,
30  ,
3 ,
-19 ,
-43 ,
-58 ,
-76 ,
-92 ,
-99 ,
-106  ,
-103  ,
-102  ,
-96 ,
-89 ,
-78 ,
-67 ,
-61 ,
-52 ,
-61 ,
-63 ,
-80 ,
-96 ,
-118  ,
-148  ,
-186  ,
-217  ,
-264  ,
-294  ,
-344  ,
-376  ,
-419  ,
-445  ,
-475  ,
-489  ,
-510  ,
-509  ,
-519  ,
-507  ,
-504  ,
-486  ,
-472  ,
-450  ,
-432  ,
-408  ,
-380  ,
-349  ,
-313  ,
-267  ,
-225  ,
-179  ,
-148  ,
-112  ,
-82 ,
-45 ,
-14 ,
21  ,
44  ,
67  ,
77  ,
90  ,
89  ,
90  ,
86  ,
83  ,
76  ,
71  ,
50  ,
37  ,
9 ,
-12 ,
-31 ,
-49 ,
-58 ,
-77 ,
-89 ,
-101  ,
-111  ,
-111  ,
-113  ,
-102  ,
-90 ,
-66 ,
-41 ,
-9  ,
23  ,
59  ,
97  ,
144 ,
188 ,
235 ,
276 ,
308 ,
344 ,
373 ,
400 ,
427 ,
445 ,
465 ,
481 ,
493 ,
509 ,
515 ,
529 ,
539 ,
552 ,
572 ,
584 ,
604 ,
604 ,
610 ,
598 ,
591 ,
575 ,
557 ,
530 ,
506 ,
466 ,
432 ,
387 ,
343 ,
306 ,
261 ,
230 ,
195 ,
165 ,
134 ,
104 ,
74  ,
50  ,
29  ,
15  ,
4 ,
-9  ,
-23 ,
-47 ,
-67 ,
-94 ,
-108  ,
-136  ,
-143  ,
-179  ,
-192  ,
-232  ,
-256  ,
-293  ,
-322  ,
-344  ,
-364  ,
-367  ,
-377  ,
-375  ,
-384  ,
-387  ,
-385  ,
-382  ,
-367  ,
-360  ,
-353  ,
-355  ,
-359  ,
-365  ,
-384  ,
-393  ,
-427  ,
-444  ,
-477  ,
-497  ,
-526  ,
-552  ,
-582  ,
-607  ,
-631  ,
-637  ,
-652  ,
-652  ,
-656  ,
-655  ,
-652  ,
-641  ,
-638  ,
-619  ,
-604  ,
-582  ,
-548  ,
-517  ,
-480  ,
-442  ,
-407  ,
-359  ,
-318  ,
-261  ,
-218  ,
-166  ,
-128  ,
-92 ,
-55 ,
-21 ,
12  ,
47  ,
69  ,
98  ,
108 ,
125 ,
128 ,
137 ,
140 ,
148 ,
149 ,
152 ,
146 ,
139 ,
120 ,
111 ,
95  ,
92  ,
90  ,
89  ,
95  ,
94  ,
97  ,
105 ,
120 ,
149 ,
176 ,
216 ,
251 ,
291 ,
333 ,
374 ,
419 ,
466 ,
509 ,
556 ,
594 ,
626 ,
655 ,
667 ,
686 ,
696 ,
714 ,
730 ,
746 ,
759 ,
771 ,
780 ,
786 ,
788 ,
787 ,
778 ,
768 ,
747 ,
731 ,
705 ,
670 ,
629 ,
578 ,
531 ,
479 ,
435 ,
383 ,
340 ,
290 ,
248 ,
205 ,
169 ,
133 ,
106 ,
79  ,
62  ,
36  ,
17  ,
-10 ,
-34 ,
-54 ,
-80 ,
-99 ,
-130  ,
-156  ,
-198  ,
-232  ,
-276  ,
-308  ,
-346  ,
-381  ,
-416  ,
-456  ,
-486  ,
-517  ,
-529  ,
-540  ,
-540  ,
-540  ,
-538  ,
-529  ,
-519  ,
-500  ,
-486  ,
-463  ,
-456  ,
-446  ,
-451  ,
-452  ,
-471  ,
-480  ,
-504  ,
-519  ,
-539  ,
-560  ,
-589  ,
-615  ,
-643  ,
-661  ,
-673  ,
-688  ,
-691  ,
-701  ,
-700  ,
-699  ,
-690  ,
-685  ,
-673  ,
-667  ,
-643  ,
-618  ,
-571  ,
-529  ,
-482  ,
-439  ,
-398  ,
-352  ,
-303  ,
-249  ,
-189  ,
-135  ,
-74 ,
-22 ,
28  ,
67  ,
98  ,
130 ,
159 ,
194 ,
217 ,
243 ,
250 ,
256 ,
253 ,
253 ,
253 ,
257 ,
255 ,
256 ,
246 ,
245 ,
231 ,
226 ,
219 ,
220 ,
224 ,
240 ,
254 ,
283 ,
305 ,
334 ,
364 ,
403 ,
445 ,
492 ,
538 ,
581 ,
620 ,
649 ,
679 ,
705 ,
726 ,
747 ,
755 ,
765 ,
771 ,
773 ,
777 ,
778 ,
788 ,
793 ,
803 ,
810 ,
807 ,
811 ,
801 ,
800 ,
791 ,
783 ,
761 ,
732 ,
695 ,
654 ,
616 ,
567 ,
524 ,
471 ,
430 ,
384 ,
349 ,
306 ,
268 ,
222 ,
184 ,
146 ,
120 ,
94  ,
71  ,
49  ,
19  ,
-9  ,
-39 ,
-67 ,
-95 ,
-120  ,
-147  ,
-176  ,
-209  ,
-246  ,
-291  ,
-330  ,
-372  ,
-397  ,
-426  ,
-448  ,
-475  ,
-490  ,
-511  ,
-507  ,
-514  ,
-499  ,
-494  ,
-488  ,
-482  ,
-483  ,
-484  ,
-491  ,
-498  ,
-508  ,
-520  ,
-537  ,
-557  ,
-583  ,
-606  ,
-630  ,
-658  ,
-673  ,
-703  ,
-715  ,
-734  ,
-748  ,
-753  ,
-763  ,
-757  ,
-757  ,
-748  ,
-739  ,
-723  ,
-705  ,
-673  ,
-646  ,
-606  ,
-577  ,
-532  ,
-494  ,
-439  ,
-390  ,
-335  ,
-286  ,
-235  ,
-187  ,
-133  ,
-80 ,
-31 ,
19  ,
52  ,
91  ,
114 ,
145 ,
170 ,
195 ,
217 ,
241 ,
249 ,
265 ,
255 ,
263 ,
251 ,
257 ,
249 ,
246 ,
238 ,
219 ,
205 ,
188 ,
181 ,
174 ,
175 ,
181 ,
187 ,
203 ,
213 ,
234 ,
254 ,
278 ,
308 ,
336 ,
365 ,
385 ,
406 ,
420 ,
431 ,
447 ,
454 ,
470 ,
478 ,
494 ,
504 ,
514 ,
524 ,
532 ,
545 ,
558 ,
567 ,
577 ,
578 ,
575 ,
566 ,
551 ,
530 ,
506 ,
473 ,
445 ,
406 ,
369 ,
322 ,
281 ,
233 ,
195 ,
155 ,
118 ,
89  ,
55  ,
32  ,
6 ,
-9  ,
-29 ,
-41 ,
-50 ,
-61 ,
-62 ,
-81 ,
-91 ,
-113  ,
-136  ,
-155  ,
-186  ,
-206  ,
-239  ,
-270  ,
-307  ,
-339  ,
-374  ,
-402  ,
-424  ,
-440  ,
-444  ,
-447  ,
-444  ,
-446  ,
-440  ,
-442  ,
-428  ,
-415  ,
-399  ,
-386  ,
-382  ,
-381  ,
-384  ,
-393  ,
-398  ,
-407  ,
-415  ,
-423  ,
-434  ,
-443  ,
-460  ,
-477  ,
-489  ,
-504  ,
-502  ,
-517  ,
-507  ,
-517  ,
-506  ,
-511  ,
-504  ,
-498  ,
-488  ,
-472  ,
-451  ,
-421  ,
-391  ,
-359  ,
-330  ,
-293  ,
-259  ,
-217  ,
-175  ,
-127  ,
-78 ,
-33 ,
7 ,
50  ,
75  ,
115 ,
137 ,
176 ,
199 ,
222 ,
233 ,
239 ,
235 ,
237 ,
232 ,
236 ,
233 ,
222 ,
206 ,
181 ,
157 ,
132 ,
112 ,
87  ,
70  ,
49  ,
33  ,
24  ,
14  ,
19  ,
24  ,
44  ,
64  ,
90  ,
111 ,
138 ,
158 ,
186 ,
200 ,
220 ,
235 ,
248 ,
263 ,
274 ,
281 ,
287 ,
289 ,
298 ,
304 ,
317 ,
333 ,
345 ,
368 ,
374 ,
390 ,
394 ,
398 ,
400 ,
398 ,
400 ,
390 ,
381 ,
359 ,
335 ,
307 ,
277 ,
248 ,
219 ,
187 ,
160 ,
130 ,
106 ,
75  ,
53  ,
32  ,
22  ,
17  ,
17  ,
14  ,
10  ,
-1  ,
-11 ,
-22 ,
-24 ,
-37 ,
-45 ,
-62 ,
-83 ,
-105  ,
-134  ,
-159  ,
-187  ,
-202  ,
-222  ,
-228  ,
-241  ,
-246  ,
-247  ,
-244  ,
-225  ,
-216  ,
-193  ,
-187  ,
-166  ,
-155  ,
-137  ,
-123  ,
-114  ,
-103  ,
-97 ,
-99 ,
-95 ,
-99 ,
-100  ,
-102  ,
-106  ,
-111  ,
-113  ,
-124  ,
-130  ,
-141  ,
-145  ,
-147  ,
-151  ,
-144  ,
-148  ,
-132  ,
-130  ,
-113  ,
-103  ,
-85 ,
-73 ,
-50 ,
-29 ,
-4  ,
28  ,
53  ,
83  ,
108 ,
135 ,
157 ,
185 ,
210 ,
237 ,
266 ,
285 ,
299 ,
305 ,
310 ,
310 ,
324 ,
323 ,
329 ,
322 ,
310 ,
296 ,
279 ,
258 ,
235 ,
207 ,
180 ,
140 ,
111 ,
62  ,
27  ,
-11 ,
-43 ,
-65 ,
-85 ,
-101  ,
-113  ,
-119  ,
-120  ,
-115  ,
-112  ,
-103  ,
-96 ,
-84 ,
-80 ,
-73 ,
-68 ,
-67 ,
-62 ,
-57 ,
-52 ,
-41 ,
-38 ,
-30 ,
-18 ,
-8  ,
8 ,
20  ,
35  ,
49  ,
61  ,
74  ,
79  ,
85  ,
84  ,
77  ,
72  ,
59  ,
46  ,
26  ,
7 ,
-19 ,
-41 ,
-65 ,
-91 ,
-113  ,
-137  ,
-162  ,
-170  ,
-192  ,
-191  ,
-203  ,
-200  ,
-200  ,
-198  ,
-193  ,
-191  ,
-188  ,
-183  ,
-183  ,
-183  ,
-191  ,
-199  ,
-215  ,
-223  ,
-243  ,
-260  ,
-283  ,
-300  ,
-315  ,
-318  ,
-327  ,
-323  ,
-329  ,
-326  ,
-322  ,
-313  ,
-296  ,
-281  ,
-261  ,
-241  ,
-224  ,
-209  ,
-202  ,
-193  ,
-182  ,
-178  ,
-159  ,
-154  ,
-143  ,
-141  ,
-146  ,
-146  ,
-148  ,
-153  ,
-150  ,
-160  ,
-157  ,
-173  ,
-170  ,
-184  ,
-184  ,
-185  ,
-186  ,
-177  ,
-175  ,
-159  ,
-155  ,
-140  ,
-126  ,
-112  ,
-89 ,
-69 ,
-46 ,
-14 ,
9 ,
47  ,
71  ,
108 ,
135 ,
162 ,
192 ,
217 ,
240 ,
261 ,
272 ,
286 ,
288 ,
294 ,
294 ,
298 ,
296 ,
288 ,
270 ,
241 ,
210 ,
176 ,
143 ,
113 ,
82  ,
49  ,
20  ,
-10 ,
-34 ,
-52 ,
-63 ,
-70 ,
-62 ,
-57 ,
-40 ,
-32 ,
-17 ,
-9  ,
8 ,
17  ,
34  ,
41  ,
53  ,
60  ,
69  ,
76  ,
88  ,
97  ,
107 ,
123 ,
138 ,
161 ,
177 ,
192 ,
206 ,
215 ,
228 ,
239 ,
251 ,
259 ,
265 ,
258 ,
257 ,
242 ,
234 ,
217 ,
208 ,
193 ,
178 ,
158 ,
138 ,
119 ,
101 ,
94  ,
83  ,
84  ,
83  ,
87  ,
87  ,
93  ,
92  ,
99  ,
99  ,
103 ,
101 ,
99  ,
84  ,
71  ,
50  ,
29  ,
9 ,
-10 ,
-24 ,
-36 ,
-47 ,
-60 ,
-64 ,
-75 ,
-66 ,
-64 ,
-52 ,
-41 ,
-35 ,
-16 ,
-15 ,
2 ,
1 ,
15  ,
16  ,
32  ,
28  ,
39  ,
30  ,
30  ,
21  ,
16  ,
7 ,
-4  ,
-13 ,
-30 ,
-42 ,
-58 ,
-79 ,
-90 ,
-110  ,
-118  ,
-128  ,
-137  ,
-146  ,
-152  ,
-163  ,
-156  ,
-161  ,
-142  ,
-137  ,
-112  ,
-99 ,
-82 ,
-61 ,
-53 ,
-27 ,
-14 ,
7 ,
30  ,
48  ,
69  ,
80  ,
99  ,
104 ,
126 ,
133 ,
154 ,
164 ,
176 ,
178 ,
180 ,
175 ,
164 ,
156 ,
143 ,
129 ,
112 ,
92  ,
63  ,
40  ,
8 ,
-9  ,
-25 ,
-36 ,
-38 ,
-46 ,
-40 ,
-38 ,
-39 ,
-23 ,
-19 ,
5 ,
18  ,
36  ,
50  ,
59  ,
69  ,
76  ,
91  ,
101 ,
117 ,
130 ,
143 ,
159 ,
173 ,
189 ,
209 ,
231 ,
250 ,
282 ,
293 ,
315 ,
326 ,
335 ,
353 ,
355 ,
369 ,
367 ,
373 ,
361 ,
359 ,
336 ,
322 ,
300 ,
276 ,
263 ,
242 ,
227 ,
206 ,
187 ,
166 ,
155 ,
147 ,
148 ,
152 ,
156 ,
158 ,
156 ,
153 ,
145 ,
142 ,
131 ,
121 ,
109 ,
90  ,
76  ,
54  ,
32  ,
10  ,
-7  ,
-25 ,
-34 ,
-50 ,
-59 ,
-68 ,
-78 ,
-81 ,
-90 ,
-91 ,
-94 ,
-99 ,
-103  ,
-108  ,
-116  ,
-126  ,
-135  ,
-143  ,
-153  ,
-161  ,
-168  ,
-182  ,
-195  ,
-212  ,
-233  ,
-245  ,
-265  ,
-279  ,
-295  ,
-317  ,
-340  ,
-361  ,
-387  ,
-403  ,
-424  ,
-438  ,
-451  ,
-461  ,
-472  ,
-477  ,
-486  ,
-482  ,
-482  ,
-471  ,
-461  ,
-449  ,
-434  ,
-421  ,
-407  ,
-391  ,
-375  ,
-351  ,
-330  ,
-307  ,
-285  ,
-262  ,
-240  ,
-218  ,
-198  ,
-178  ,
-161  ,
-142  ,
-136  ,
-126  ,
-132  ,
-140  ,
-155  ,
-170  ,
-186  ,
-195  ,
-213  ,
-229  ,
-248  ,
-265  ,
-275  ,
-285  ,
-280  ,
-281  ,
-258  ,
-253  ,
-230  ,
-221  ,
-204  ,
-189  ,
-167  ,
-142  ,
-119  ,
-91 ,
-73 ,
-47 ,
-31 ,
-11 ,
15  ,
35  ,
69  ,
96  ,
128 ,
162 ,
189 ,
222 ,
251 ,
277 ,
307 ,
335 ,
360 ,
383 ,
395 ,
408 ,
413 ,
421 ,
422 ,
429 ,
429 ,
429 ,
420 ,
407 ,
394 ,
378 ,
369 ,
361 ,
360 ,
360 ,
363 ,
363 ,
364 ,
361 ,
366 ,
362 ,
368 ,
366 ,
360 ,
353 ,
332 ,
320 ,
301 ,
282 ,
265 ,
238 ,
216 ,
182 ,
159 ,
129 ,
109 ,
91  ,
68  ,
56  ,
35  ,
20  ,
0 ,
-15 ,
-32 ,
-44 ,
-55 ,
-69 ,
-81 ,
-96 ,
-115  ,
-132  ,
-153  ,
-171  ,
-190  ,
-212  ,
-234  ,
-256  ,
-280  ,
-306  ,
-331  ,
-364  ,
-389  ,
-420  ,
-446  ,
-466  ,
-492  ,
-512  ,
-533  ,
-555  ,
-564  ,
-581  ,
-577  ,
-580  ,
-570  ,
-561  ,
-552  ,
-537  ,
-523  ,
-504  ,
-483  ,
-457  ,
-435  ,
-406  ,
-390  ,
-362  ,
-339  ,
-309  ,
-277  ,
-244  ,
-211  ,
-180  ,
-149  ,
-130  ,
-100  ,
-88 ,
-67 ,
-59 ,
-54 ,
-54 ,
-57 ,
-68 ,
-76 ,
-88 ,
-104  ,
-112  ,
-126  ,
-124  ,
-132  ,
-124  ,
-125  ,
-118  ,
-107  ,
-97 ,
-82 ,
-59 ,
-47 ,
-18 ,
-1  ,
24  ,
45  ,
63  ,
83  ,
102 ,
122 ,
146 ,
165 ,
195 ,
215 ,
253 ,
275 ,
313 ,
338 ,
369 ,
401 ,
433 ,
465 ,
499 ,
531 ,
556 ,
583 ,
600 ,
622 ,
633 ,
640 ,
642 ,
640 ,
635 ,
631 ,
619 ,
610 ,
596 ,
580 ,
565 ,
555 ,
545 ,
540 ,
539 ,
535 ,
537 ,
529 ,
525 ,
521 ,
512 ,
513 ,
500 ,
494 ,
479 ,
464 ,
443 ,
422 ,
399 ,
374 ,
351 ,
328 ,
297 ,
282 ,
247 ,
236 ,
209 ,
191 ,
173 ,
146 ,
130 ,
104 ,
87  ,
69  ,
54  ,
38  ,
20  ,
6 ,
-17 ,
-34 ,
-57 ,
-78 ,
-94 ,
-116  ,
-126  ,
-150  ,
-163  ,
-190  ,
-211  ,
-233  ,
-259  ,
-274  ,
-301  ,
-317  ,
-340  ,
-357  ,
-376  ,
-395  ,
-410  ,
-425  ,
-431  ,
-432  ,
-435  ,
-429  ,
-430  ,
-424  ,
-419  ,
-409  ,
-404  ,
-389  ,
-383  ,
-369  ,
-352  ,
-340  ,
-318  ,
-303  ,
-281  ,
-256  ,
-233  ,
-201  ,
-182  ,
-155  ,
-144  ,
-133  ,
-126  ,
-118  ,
-116  ,
-112  ,
-119  ,
-129  ,
-144  ,
-159  ,
-176  ,
-179  ,
-189  ,
-182  ,
-186  ,
-181  ,
-180  ,
-180  ,
-171  ,
-166  ,
-148  ,
-133  ,
-118  ,
-102  ,
-92 ,
-72 ,
-59 ,
-37 ,
-16 ,
4 ,
29  ,
58  ,
78  ,
114 ,
133 ,
171 ,
197 ,
231 ,
262 ,
291 ,
329 ,
357 ,
387 ,
416 ,
431 ,
447 ,
458 ,
461 ,
466 ,
462 ,
461 ,
452 ,
438 ,
421 ,
399 ,
381 ,
366 ,
355 ,
339 ,
335 ,
315 ,
312 ,
303 ,
296 ,
296 ,
287 ,
287 ,
274 ,
267 ,
250 ,
240 ,
223 ,
210 ,
192 ,
171 ,
154 ,
126 ,
108 ,
80  ,
65  ,
39  ,
26  ,
3 ,
-15 ,
-29 ,
-45 ,
-48 ,
-59 ,
-61 ,
-72 ,
-73 ,
-78 ,
-81 ,
-85 ,
-92 ,
-96 ,
-103  ,
-107  ,
-110  ,
-117  ,
-123  ,
-132  ,
-137  ,
-142  ,
-152  ,
-160  ,
-177  ,
-186  ,
-201  ,
-215  ,
-237  ,
-252  ,
-271  ,
-284  ,
-295  ,
-306  ,
-315  ,
-320  ,
-326  ,
-323  ,
-326  ,
-320  ,
-321  ,
-310  ,
-305  ,
-291  ,
-284  ,
-270  ,
-258  ,
-241  ,
-221  ,
-199  ,
-174  ,
-148  ,
-118  ,
-91 ,
-65 ,
-39 ,
-19 ,
8 ,
27  ,
49  ,
66  ,
73  ,
74  ,
67  ,
57  ,
47  ,
37  ,
33  ,
20  ,
12  ,
-2  ,
-11 ,
-15 ,
-21 ,
-16 ,
-16 ,
-7  ,
1 ,
9 ,
15  ,
27  ,
29  ,
47  ,
46  ,
60  ,
59  ,
69  ,
75  ,
84  ,
94  ,
101 ,
107 ,
117 ,
120 ,
138 ,
144 ,
167 ,
179 ,
197 ,
213 ,
228 ,
242 ,
259 ,
268 ,
277 ,
276 ,
274 ,
261 ,
253 ,
238 ,
228 ,
212 ,
194 ,
171 ,
147 ,
125 ,
101 ,
85  ,
69  ,
63  ,
48  ,
40  ,
18  ,
10  ,
-10 ,
-13 ,
-23 ,
-29 ,
-35 ,
-47 ,
-61 ,
-73 ,
-91 ,
-99 ,
-109  ,
-115  ,
-127  ,
-134  ,
-152  ,
-160  ,
-176  ,
-181  ,
-188  ,
-191  ,
-193  ,
-193  ,
-199  ,
-204  ,
-211  ,
-218  ,
-218  ,
-219  ,
-221  ,
-218  ,
-223  ,
-228  ,
-233  ,
-245  ,
-246  ,
-254  ,
-255  ,
-256  ,
-262  ,
-266  ,
-277  ,
-286  ,
-299  ,
-305  ,
-321  ,
-320  ,
-333  ,
-332  ,
-342  ,
-341  ,
-347  ,
-343  ,
-338  ,
-332  ,
-316  ,
-308  ,
-288  ,
-283  ,
-266  ,
-259  ,
-240  ,
-222  ,
-195  ,
-171  ,
-142  ,
-120  ,
-97 ,
-73 ,
-41 ,
-5  ,
37  ,
77  ,
115 ,
150 ,
173 ,
195 ,
214 ,
233 ,
253 ,
269 ,
271 ,
275 ,
259 ,
248 ,
227 ,
221 ,
211 ,
205 ,
204 ,
186 ,
180 ,
155 ,
145 ,
130 ,
125 ,
120 ,
114 ,
113 ,
101 ,
95  ,
82  ,
71  ,
68  ,
60  ,
66  ,
67  ,
71  ,
71  ,
69  ,
68  ,
69  ,
72  ,
86  ,
96  ,
119 ,
127 ,
137 ,
137 ,
131 ,
135 ,
130 ,
140 ,
137 ,
137 ,
119 ,
104 ,
76  ,
55  ,
32  ,
17  ,
2 ,
-8  ,
-25 ,
-36 ,
-55 ,
-64 ,
-71 ,
-70 ,
-67 ,
-61 ,
-63 ,
-59 ,
-67 ,
-69 ,
-70 ,
-71 ,
-71 ,
-73 ,
-79 ,
-86 ,
-97 ,
-113  ,
-127  ,
-140  ,
-151  ,
-151  ,
-165  ,
-171  ,
-188  ,
-203  ,
-215  ,
-226  ,
-235  ,
-236  ,
-243  ,
-243  ,
-248  ,
-257  ,
-264  ,
-271  ,
-272  ,
-267  ,
-263  ,
-262  ,
-262  ,
-266  ,
-273  ,
-274  ,
-276  ,
-275  ,
-274  ,
-275  ,
-276  ,
-272  ,
-280  ,
-282  ,
-285  ,
-287  ,
-279  ,
-273  ,
-264  ,
-258  ,
-249  ,
-248  ,
-235  ,
-225  ,
-209  ,
-184  ,
-165  ,
-141  ,
-118  ,
-99 ,
-77 ,
-49 ,
-19 ,
28  ,
63  ,
105 ,
138 ,
170 ,
202 ,
233 ,
272 ,
308 ,
350 ,
374 ,
396 ,
407 ,
407 ,
408 ,
403 ,
403 ,
399 ,
394 ,
376 ,
363 ,
339 ,
324 ,
310 ,
296 ,
289 ,
275 ,
270 ,
256 ,
250 ,
235 ,
228 ,
220 ,
217 ,
212 ,
206 ,
192 ,
181 ,
168 ,
152 ,
154 ,
142 ,
153 ,
143 ,
151 ,
141 ,
143 ,
143 ,
146 ,
158 ,
175 ,
193 ,
209 ,
219 ,
219 ,
226 ,
221 ,
228 ,
224 ,
229 ,
221 ,
214 ,
198 ,
179 ,
162 ,
143 ,
135 ,
124 ,
113 ,
104 ,
90  ,
70  ,
19  ,
10  ,
19  ,
8 ,
-11 ,
-14 ,
-15 ,
-20 ,
-25 ,
-34 ,
-32 ,
-16 ,
-31 ,
-62 ,
-101  ,
-119  ,
-150  ,
-161  ,
-160  ,
-153  ,
-181  ,
-218  ,
-232  ,
-236  ,
-248  ,
-286  ,
-277  ,
-257  ,
-276  ,
-309  ,
-302  ,
-282  ,
-282  ,
-287  ,
-274  ,
-261  ,
-287  ,
-297  ,
-280  ,
-266  ,
-272  ,
-274  ,
-269  ,
-276  ,
-292  ,
-299  ,
-272  ,
-269  ,
-250  ,
-235  ,
-228  ,
-239  ,
-241  ,
-218  ,
-198  ,
-174  ,
-153  ,
-143  ,
-142  ,
-139  ,
-127  ,
-107  ,
-90 ,
-56 ,
-30 ,
-35 ,
-49 ,
-43 ,
-7  ,
25  ,
64  ,
96  ,
113 ,
112 ,
126 ,
155 ,
183 ,
197 ,
229 ,
248 ,
249 ,
231 ,
223 ,
233 ,
232 ,
239 ,
224 ,
206 ,
172 ,
146 ,
143 ,
140 ,
123 ,
106 ,
86  ,
73  ,
50  ,
36  ,
20  ,
27  ,
29  ,
28  ,
3 ,
-27 ,
-44 ,
-39 ,
-30 ,
-8  ,
-2  ,
-2  ,
-12 ,
-12 ,
0 ,
20  ,
48  ,
94  ,
135 ,
152 ,
161 ,
176 ,
206 ,
237 ,
280 ,
308 ,
326 ,
325 ,
329 ,
345 ,
341 ,
347 ,
353 ,
355 ,
351 ,
317 ,
295 ,
272 ,
272 ,
276 ,
285 ,
261 ,
240 ,
214 ,
211 ,
197 ,
201 ,
201 ,
199 ,
184 ,
163 ,
136 ,
108 ,
95  ,
97  ,
105 ,
88  ,
68  ,
39  ,
29  ,
9 ,
7 ,
3 ,
-11 ,
-30 ,
-51 ,
-66 ,
-89 ,
-101  ,
-102  ,
-99 ,
-105  ,
-117  ,
-132  ,
-149  ,
-145  ,
-139  ,
-116  ,
-115  ,
-118  ,
-128  ,
-142  ,
-151  ,
-154  ,
-141  ,
-130  ,
-128  ,
-136  ,
-154  ,
-174  ,
-182  ,
-177  ,
-159  ,
-155  ,
-167  ,
-182  ,
-208  ,
-221  ,
-224  ,
-217  ,
-207  ,
-212  ,
-228  ,
-247  ,
-273  ,
-279  ,
-273  ,
-259  ,
-242  ,
-246  ,
-247  ,
-258  ,
-255  ,
-238  ,
-203  ,
-174  ,
-155  ,
-144  ,
-144  ,
-153  ,
-141  ,
-116  ,
-94 ,
-80 ,
-89 ,
-99 ,
-117  ,
-141  ,
-147  ,
-149  ,
-146  ,
-157  ,
-171  ,
-193  ,
-213  ,
-225  ,
-218  ,
-210  ,
-193  ,
-200  ,
-199  ,
-211  ,
-201  ,
-190  ,
-168  ,
-162  ,
-145  ,
-146  ,
-151  ,
-156  ,
-145  ,
-124  ,
-100  ,
-82 ,
-57 ,
-52 ,
-44 ,
-33 ,
8 ,
39  ,
81  ,
101 ,
133 ,
139 ,
146 ,
164 ,
182 ,
206 ,
225 ,
235 ,
235 ,
216 ,
211 ,
202 ,
210 ,
209 ,
205 ,
196 ,
181 ,
172 ,
173 ,
171 ,
178 ,
190 ,
198 ,
201 ,
191 ,
189 ,
190 ,
193 ,
212 ,
218 ,
216 ,
198 ,
189 ,
181 ,
187 ,
181 ,
201 ,
197 ,
203 ,
194 ,
196 ,
198 ,
212 ,
222 ,
244 ,
248 ,
243 ,
230 ,
229 ,
236 ,
244 ,
255 ,
258 ,
260 ,
257 ,
255 ,
254 ,
256 ,
257 ,
252 ,
242 ,
218 ,
189 ,
163 ,
145 ,
135 ,
124 ,
103 ,
71  ,
37  ,
9 ,
-13 ,
-22 ,
-36 ,
-37 ,
-60 ,
-80 ,
-115  ,
-141  ,
-166  ,
-179  ,
-192  ,
-208  ,
-230  ,
-261  ,
-285  ,
-297  ,
-300  ,
-299  ,
-291  ,
-291  ,
-288  ,
-290  ,
-286  ,
-276  ,
-263  ,
-244  ,
-226  ,
-214  ,
-209  ,
-208  ,
-205  ,
-194  ,
-179  ,
-165  ,
-161  ,
-163  ,
-170  ,
-173  ,
-175  ,
-171  ,
-169  ,
-163  ,
-169  ,
-167  ,
-174  ,
-174  ,
-177  ,
-161  ,
-153  ,
-140  ,
-142  ,
-142  ,
-144  ,
-143  ,
-143  ,
-136  ,
-132  ,
-135  ,
-136  ,
-141  ,
-139  ,
-142  ,
-129  ,
-117  ,
-98 ,
-82 ,
-72 ,
-54 ,
-35 ,
-11 ,
17  ,
39  ,
68  ,
77  ,
89  ,
99  ,
108 ,
129 ,
139 ,
157 ,
167 ,
167 ,
162 ,
157 ,
165 ,
175 ,
187 ,
197 ,
205 ,
209 ,
209 ,
222 ,
235 ,
251 ,
271 ,
282 ,
301 ,
302 ,
310 ,
317 ,
331 ,
349 ,
364 ,
376 ,
381 ,
383 ,
385 ,
398 ,
406 ,
418 ,
415 ,
413 ,
409 ,
399 ,
396 ,
389 ,
388 ,
380 ,
371 ,
345 ,
330 ,
311 ,
300 ,
305 ,
295 ,
290 ,
264 ,
243 ,
222 ,
204 ,
186 ,
166 ,
143 ,
115 ,
81  ,
49  ,
14  ,
-10 ,
-37 ,
-46 ,
-68 ,
-92 ,
-117  ,
-142  ,
-152  ,
-168  ,
-176  ,
-195  ,
-222  ,
-243  ,
-270  ,
-281  ,
-291  ,
-303  ,
-301  ,
-308  ,
-304  ,
-309  ,
-296  ,
-287  ,
-257  ,
-235  ,
-208  ,
-190  ,
-176  ,
-156  ,
-136  ,
-113  ,
-96 ,
-78 ,
-70 ,
-63 ,
-61 ,
-60 ,
-59 ,
-57 ,
-59 ,
-59 ,
-70 ,
-86 ,
-103  ,
-117  ,
-134  ,
-143  ,
-159  ,
-174  ,
-184  ,
-207  ,
-211  ,
-230  ,
-236  ,
-250  ,
-256  ,
-271  ,
-281  ,
-299  ,
-308  ,
-321  ,
-322  ,
-333  ,
-328  ,
-334  ,
-322  ,
-322  ,
-296  ,
-292  ,
-262  ,
-244  ,
-220  ,
-216  ,
-235  ,
-260  ,
-280  ,
-297  ,
-331  ,
-352  ,
-366  ,
-349  ,
-316  ,
-260  ,
-204  ,
-132  ,
-46 ,
59  ,
163 ,
238 ,
320 ,
400 ,
484 ,
557 ,
619 ,
660 ,
699 ,
733 ,
741 ,
703 ,
666 ,
624 ,
584 ,
528 ,
491 ,
465 ,
446 ,
412 ,
391 ,
365 ,
355 ,
331 ,
326 ,
316 ,
322 ,
330 ,
355 ,
379 ,
407 ,
431 ,
457 ,
477 ,
451 ,
385 ,
300 ,
234 ,
168 ,
99  ,
24  ,
-27 ,
-46 ,
-27 ,
-29 ,
-47 ,
-68 ,
-72 ,
-87 ,
-141  ,
-222  ,
-303  ,
-353  ,
-377  ,
-381  ,
-367  ,
-342  ,
-292  ,
-222  ,
-162  ,
-117  ,
-114  ,
-131  ,
-166  ,
-221  ,
-282  ,
-342  ,
-386  ,
-429  ,
-462  ,
-469  ,
-441  ,
-400  ,
-352  ,
-303  ,
-256  ,
-226  ,
-228  ,
-276  ,
-349  ,
-404  ,
-413  ,
-401  ,
-381  ,
-360  ,
-313  ,
-250  ,
-184  ,
-142  ,
-97 ,
-74 ,
-45 ,
-55 ,
-90 ,
-166  ,
-228  ,
-269  ,
-270  ,
-266  ,
-239  ,
-227  ,
-192  ,
-177  ,
-165  ,
-182  ,
-191  ,
-210  ,
-222  ,
-244  ,
-268  ,
-273  ,
-283  ,
-258  ,
-231  ,
-193  ,
-159  ,
-131  ,
-111  ,
-96 ,
-92 ,
-84 ,
-97 ,
-128  ,
-159  ,
-177  ,
-170  ,
-162  ,
-148  ,
-133  ,
-110  ,
-57 ,
-6  ,
64  ,
121 ,
201 ,
281 ,
348 ,
392 ,
408 ,
434 ,
463 ,
502 ,
520 ,
530 ,
524 ,
511 ,
493 ,
484 ,
473 ,
475 ,
489 ,
499 ,
495 ,
473 ,
444 ,
415 ,
384 ,
349 ,
331 ,
294 ,
260 ,
211 ,
188 ,
166 ,
162 ,
157 ,
155 ,
146 ,
135 ,
129 ,
115 ,
99  ,
93  ,
99  ,
124 ,
143 ,
162 ,
172 ,
186 ,
197 ,
195 ,
167 ,
121 ,
71  ,
34  ,
-14 ,
-61 ,
-121  ,
-175  ,
-233  ,
-288  ,
-337  ,
-384  ,
-425  ,
-458  ,
-501  ,
-533  ,
-577  ,
-596  ,
-582  ,
-556  ,
-506  ,
-460  ,
-406  ,
-365  ,
-339  ,
-307  ,
-284  ,
-245  ,
-240  ,
-235  ,
-251  ,
-270  ,
-283  ,
-298  ,
-295  ,
-292  ,
-278  ,
-271  ,
-288  ,
-317  ,
-356  ,
-385  ,
-415  ,
-443  ,
-473  ,
-501  ,
-518  ,
-521  ,
-505  ,
-464  ,
-407  ,
-332  ,
-258  ,
-185  ,
-139  ,
-91 ,
-54 ,
-7  ,
37  ,
76  ,
122 ,
162 ,
195 ,
224 ,
244 ,
276 ,
299 ,
317 ,
321 ,
312 ,
312 ,
306 ,
301 ,
294 ,
287 ,
287 ,
284 ,
286 ,
292 ,
305 ,
332 ,
353 ,
369 ,
379 ,
396 ,
424 ,
466 ,
516 ,
556 ,
605 ,
635 ,
675 ,
690 ,
700 ,
711 ,
719 ,
729 ,
711 ,
682 ,
640 ,
616 ,
588 ,
574 ,
550 ,
524 ,
484 ,
439 ,
381 ,
330 ,
285 ,
250 ,
230 ,
212 ,
211 ,
203 ,
219 ,
233 ,
273 ,
303 ,
340 ,
355 ,
345 ,
320 ,
288 ,
266 ,
256 ,
248 ,
247 ,
251 ,
263 ,
272 ,
287 ,
280 ,
275 ,
239 ,
204 ,
130 ,
61  ,
-24 ,
-79 ,
-121  ,
-147  ,
-167  ,
-170  ,
-175  ,
-166  ,
-152  ,
-154  ,
-163  ,
-197  ,
-239  ,
-287  ,
-333  ,
-363  ,
-380  ,
-373  ,
-371  ,
-354  ,
-344  ,
-339  ,
-341  ,
-350  ,
-364  ,
-381  ,
-417  ,
-465  ,
-516  ,
-555  ,
-579  ,
-576  ,
-567  ,
-545  ,
-527  ,
-505  ,
-495  ,
-488  ,
-491  ,
-488  ,
-489  ,
-479  ,
-485  ,
-489  ,
-503  ,
-495  ,
-482  ,
-455  ,
-437  ,
-417  ,
-406  ,
-405  ,
-407  ,
-413  ,
-404  ,
-401  ,
-382  ,
-364  ,
-345  ,
-318  ,
-303  ,
-267  ,
-244  ,
-198  ,
-176  ,
-143  ,
-127  ,
-108  ,
-82 ,
-60 ,
-28 ,
-13 ,
14  ,
38  ,
62  ,
83  ,
100 ,
114 ,
140 ,
159 ,
198 ,
226 ,
278 ,
333 ,
404 ,
465 ,
505 ,
523 ,
523 ,
505 ,
487 ,
456 ,
427 ,
402 ,
377 ,
362 ,
357 ,
354 ,
380 ,
382 ,
407 ,
398 ,
385 ,
353 ,
310 ,
276 ,
252 ,
247 ,
249 ,
264 ,
276 ,
294 ,
298 ,
297 ,
266 ,
222 ,
155 ,
85  ,
3 ,
-66 ,
-136  ,
-176  ,
-199  ,
-201  ,
-191  ,
-174  ,
-141  ,
-115  ,
-81 ,
-75 ,
-69 ,
-80 ,
-78 ,
-78 ,
-66 ,
-46 ,
-12 ,
22  ,
61  ,
90  ,
109 ,
114 ,
109 ,
87  ,
57  ,
-5  ,
-69 ,
-149  ,
-227  ,
-302  ,
-366  ,
-413  ,
-448  ,
-473  ,
-495  ,
-510  ,
-534  ,
-547  ,
-571  ,
-578  ,
-584  ,
-584  ,
-573  ,
-562  ,
-533  ,
-500  ,
-451  ,
-392  ,
-340  ,
-285  ,
-248  ,
-207  ,
-188  ,
-163  ,
-148  ,
-125  ,
-91 ,
-65 ,
-32 ,
-7  ,
14  ,
29  ,
39  ,
37  ,
30  ,
14  ,
1 ,
-15 ,
-24 ,
-38 ,
-42 ,
-49 ,
-47 ,
-53 ,
-50 ,
-45 ,
-41 ,
-22 ,
-9  ,
19  ,
48  ,
89  ,
125 ,
175 ,
209 ,
238 ,
252 ,
233 ,
203 ,
154 ,
94  ,
40  ,
-25 ,
-74 ,
-123  ,
-163  ,
-189  ,
-211  ,
-228  ,
-232  ,
-249  ,
-259  ,
-285  ,
-307  ,
-321  ,
-317  ,
-306  ,
-266  ,
-215  ,
-150  ,
-77 ,
-8  ,
54  ,
103 ,
134 ,
151 ,
146 ,
133 ,
111 ,
92  ,
80  ,
80  ,
97  ,
130 ,
170 ,
207 ,
243 ,
252 ,
258 ,
234 ,
205 ,
158 ,
105 ,
59  ,
35  ,
17  ,
23  ,
39  ,
80  ,
119 ,
162 ,
189 ,
210 ,
214 ,
203 ,
189 ,
170 ,
161 ,
169 ,
186 ,
226 ,
258 ,
311 ,
348 ,
385 ,
396 ,
397 ,
374 ,
343 ,
302 ,
261 ,
218 ,
175 ,
140 ,
108 ,
85  ,
68  ,
56  ,
47  ,
22  ,
6 ,
-27 ,
-49 ,
-76 ,
-87 ,
-95 ,
-85 ,
-85 ,
-71 ,
-79 ,
-79 ,
-83 ,
-89 ,
-90 ,
-106  ,
-124  ,
-143  ,
-162  ,
-167  ,
-172  ,
-170  ,
-175  ,
-169  ,
-166  ,
-167  ,
-158  ,
-158  ,
-133  ,
-105  ,
-65 ,
-11 ,
43  ,
105 ,
162 ,
226 ,
267 ,
308 ,
323 ,
337 ,
329 ,
317 ,
295 ,
278 ,
255 ,
242 ,
233 ,
227 ,
220 ,
208 ,
182 ,
149 ,
94  ,
41  ,
-25 ,
-82 ,
-132  ,
-158  ,
-174  ,
-162  ,
-141  ,
-103  ,
-69 ,
-38 ,
-23 ,
-30 ,
-53 ,
-86 ,
-119  ,
-155  ,
-180  ,
-192  ,
-185  ,
-165  ,
-136  ,
-102  ,
-65 ,
-49 ,
-41 ,
-64 ,
-96 ,
-149  ,
-204  ,
-257  ,
-296  ,
-321  ,
-323  ,
-317  ,
-286  ,
-254  ,
-209  ,
-165  ,
-126  ,
-103  ,
-85 ,
-74 ,
-64 ,
-40 ,
-24 ,
16  ,
48  ,
92  ,
125 ,
154 ,
174 ,
188 ,
181 ,
158 ,
114 ,
54  ,
-21 ,
-94 ,
-164  ,
-214  ,
-268  ,
-293  ,
-319  ,
-327  ,
-328  ,
-320  ,
-296  ,
-267  ,
-230  ,
-181  ,
-127  ,
-48 ,
23  ,
126 ,
217 ,
328 ,
428 ,
528 ,
616 ,
688 ,
751 ,
798 ,
834 ,
859 ,
878 ,
886 ,
887 ,
884 ,
871 ,
856 ,
820 ,
794 ,
743 ,
710 ,
665 ,
638 ,
611 ,
601 ,
600 ,
611 ,
618 ,
632 ,
626 ,
630 ,
614 ,
608 ,
597 ,
583 ,
577 ,
575 ,
586 ,
591 ,
616 ,
620 ,
634 ,
617 ,
587 ,
534 ,
456 ,
373 ,
270 ,
184 ,
85  ,
2 ,
-85 ,
-160  ,
-234  ,
-306  ,
-379  ,
-453  ,
-536  ,
-626  ,
-720  ,
-805  ,
-879  ,
-929  ,
-957  ,
-952  ,
-933  ,
-894  ,
-852  ,
-806  ,
-768  ,
-742  ,
-739  ,
-751  ,
-785  ,
-831  ,
-885  ,
-936  ,
-977  ,
-1002 ,
-1020 ,
-1025 ,
-1022 ,
-1010 ,
-998  ,
-987  ,
-982  ,
-991  ,
-1002 ,
-1019 ,
-1014 ,
-1000 ,
-950  ,
-886  ,
-790  ,
-690  ,
-580  ,
-471  ,
-369  ,
-269  ,
-182  ,
-104  ,
-40 ,
13  ,
66  ,
121 ,
184 ,
253 ,
322 ,
389 ,
447 ,
500 ,
538 ,
569 ,
582 ,
596 ,
588 ,
584 ,
567 ,
554 ,
546 ,
539 ,
541 ,
535 ,
522 ,
513 ,
494 ,
488 ,
474 ,
468 ,
468 ,
454 ,
459 ,
448 ,
457 ,
456 ,
458 ,
461 ,
457 ,
446 ,
431 ,
420 ,
414 ,
411 ,
418 ,
414 ,
407 ,
386 ,
353 ,
321 ,
271 ,
227 ,
171 ,
112 ,
57  ,
1 ,
-39 ,
-61 ,
-78 ,
-71 ,
-76 ,
-77 ,
-92 ,
-114  ,
-152  ,
-192  ,
-241  ,
-285  ,
-333  ,
-384  ,
-417  ,
-453  ,
-471  ,
-479  ,
-481  ,
-477  ,
-485  ,
-500  ,
-523  ,
-561  ,
-589  ,
-623  ,
-630  ,
-634  ,
-612  ,
-578  ,
-528  ,
-463  ,
-397  ,
-325  ,
-271  ,
-232  ,
-212  ,
-217  ,
-230  ,
-256  ,
-262  ,
-270  ,
-259  ,
-246  ,
-228  ,
-199  ,
-176  ,
-150  ,
-133  ,
-131  ,
-145  ,
-174  ,
-219  ,
-260  ,
-290  ,
-305  ,
-303  ,
-287  ,
-261  ,
-233  ,
-212  ,
-193  ,
-182  ,
-169  ,
-170  ,
-178  ,
-194  ,
-209  ,
-230  ,
-238  ,
-230  ,
-221  ,
-197  ,
-187  ,
-176  ,
-173  ,
-186  ,
-194  ,
-208  ,
-223  ,
-247  ,
-277  ,
-313  ,
-340  ,
-362  ,
-369  ,
-365  ,
-359  ,
-345  ,
-338  ,
-327  ,
-308  ,
-282  ,
-246  ,
-198  ,
-147  ,
-94 ,
-44 ,
12  ,
64  ,
125 ,
180 ,
235 ,
273 ,
294 ,
311 ,
316 ,
328 ,
335 ,
342 ,
347 ,
337 ,
330 ,
312 ,
303 ,
297 ,
288 ,
291 ,
283 ,
294 ,
297 ,
333 ,
382 ,
451 ,
531 ,
601 ,
662 ,
713 ,
741 ,
777 ,
802 ,
836 ,
860 ,
888 ,
906 ,
919 ,
939 ,
950 ,
966 ,
963 ,
945 ,
893 ,
830 ,
728 ,
636 ,
514 ,
419 ,
318 ,
243 ,
165 ,
100 ,
30  ,
-31 ,
-99 ,
-156  ,
-224  ,
-294  ,
-377  ,
-450  ,
-523  ,
-572  ,
-611  ,
-619  ,
-618  ,
-601  ,
-588  ,
-565  ,
-557  ,
-546  ,
-548  ,
-556  ,
-588  ,
-623  ,
-681  ,
-724  ,
-771  ,
-798  ,
-820  ,
-833  ,
-846  ,
-854  ,
-870  ,
-879  ,
-894  ,
-904  ,
-918  ,
-931  ,
-945  ,
-943  ,
-937  ,
-897  ,
-843  ,
-772  ,
-699  ,
-634  ,
-569  ,
-520  ,
-474  ,
-431  ,
-397  ,
-365  ,
-351  ,
-337  ,
-330  ,
-312  ,
-283  ,
-248  ,
-204  ,
-171  ,
-134  ,
-112  ,
-88 ,
-68 ,
-36 ,
1 ,
47  ,
97  ,
145 ,
188 ,
228 ,
278 ,
334 ,
395 ,
462 ,
537 ,
611 ,
689 ,
769 ,
853 ,
943 ,
1028  ,
1108  ,
1177  ,
1235  ,
1277  ,
1315  ,
1345  ,
1376  ,
1411  ,
1434  ,
1461  ,
1478  ,
1491  ,
1498  ,
1493  ,
1473  ,
1442  ,
1389  ,
1328  ,
1262  ,
1192  ,
1129  ,
1063  ,
1008  ,
955 ,
906 ,
867 ,
838 ,
812 ,
780 ,
737 ,
686 ,
626 ,
557 ,
492 ,
438 ,
388 ,
349 ,
305 ,
270 ,
224 ,
182 ,
140 ,
100 ,
50  ,
-1  ,
-77 ,
-157  ,
-247  ,
-337  ,
-412  ,
-469  ,
-512  ,
-531  ,
-552  ,
-567  ,
-585  ,
-611  ,
-644  ,
-686  ,
-731  ,
-782  ,
-838  ,
-891  ,
-941  ,
-977  ,
-1010 ,
-1015 ,
-1018 ,
-998  ,
-980  ,
-959  ,
-939  ,
-928  ,
-914  ,
-892  ,
-864  ,
-822  ,
-767  ,
-707  ,
-633  ,
-564  ,
-489  ,
-423  ,
-349  ,
-289  ,
-225  ,
-172  ,
-135  ,
-93 ,
-67 ,
-41 ,
-21 ,
5 ,
30  ,
58  ,
87  ,
109 ,
129 ,
143 ,
155 ,
174 ,
183 ,
194 ,
206 ,
216 ,
215 ,
221 ,
216 ,
221 ,
217 ,
219 ,
223 ,
220 ,
225 ,
225 ,
228 ,
221 ,
220 ,
211 ,
213 ,
211 ,
217 ,
221 ,
222 ,
210 ,
207 ,
194 ,
192 ,
194 ,
206 ,
212 ,
215 ,
217 ,
211 ,
208 ,
207 ,
211 ,
218 ,
221 ,
217 ,
222 ,
223 ,
245 ,
276 ,
329 ,
385 ,
445 ,
505 ,
542 ,
571 ,
582 ,
588 ,
583 ,
576 ,
558 ,
544 ,
519 ,
496 ,
472 ,
452 ,
421 ,
394 ,
362 ,
318 ,
265 ,
202 ,
137 ,
87  ,
38  ,
17  ,
0 ,
-5  ,
2 ,
13  ,
32  ,
45  ,
59  ,
74  ,
84  ,
98  ,
103 ,
116 ,
118 ,
126 ,
135 ,
152 ,
171 ,
185 ,
204 ,
215 ,
219 ,
208 ,
188 ,
158 ,
122 ,
92  ,
49  ,
17  ,
-41 ,
-77 ,
-138  ,
-169  ,
-206  ,
-223  ,
-251  ,
-279  ,
-320  ,
-358  ,
-416  ,
-461  ,
-500  ,
-518  ,
-533  ,
-542  ,
-546  ,
-546  ,
-553  ,
-553  ,
-558  ,
-560  ,
-576  ,
-594  ,
-618  ,
-657  ,
-698  ,
-742  ,
-779  ,
-817  ,
-859  ,
-901  ,
-942  ,
-982  ,
-1016 ,
-1043 ,
-1059 ,
-1076 ,
-1088 ,
-1091 ,
-1082 ,
-1072 ,
-1056 ,
-1050 ,
-1031 ,
-1026 ,
-1010 ,
-988  ,
-957  ,
-921  ,
-885  ,
-846  ,
-818  ,
-788  ,
-766  ,
-733  ,
-701  ,
-666  ,
-630  ,
-592  ,
-554  ,
-515  ,
-464  ,
-407  ,
-328  ,
-247  ,
-157  ,
-76 ,
-11 ,
54  ,
107 ,
170 ,
232 ,
299 ,
362 ,
423 ,
487 ,
547 ,
612 ,
672 ,
749 ,
824 ,
902 ,
974 ,
1036  ,
1084  ,
1123  ,
1158  ,
1192  ,
1225  ,
1257  ,
1288  ,
1319  ,
1338  ,
1352  ,
1363  ,
1374  ,
1372  ,
1366  ,
1344  ,
1316  ,
1263  ,
1208  ,
1133  ,
1062  ,
990 ,
927 ,
864 ,
816 ,
764 ,
715 ,
662 ,
605 ,
543 ,
472 ,
405 ,
329 ,
267 ,
200 ,
145 ,
93  ,
46  ,
-4  ,
-44 ,
-89 ,
-124  ,
-168  ,
-201  ,
-243  ,
-283  ,
-327  ,
-360  ,
-392  ,
-414  ,
-433  ,
-451  ,
-470  ,
-499  ,
-531  ,
-568  ,
-612  ,
-643  ,
-681  ,
-712  ,
-753  ,
-807  ,
-867  ,
-928  ,
-980  ,
-1019 ,
-1053 ,
-1077 ,
-1098 ,
-1111 ,
-1122 ,
-1117 ,
-1103 ,
-1058 ,
-1015 ,
-948  ,
-892  ,
-836  ,
-783  ,
-732  ,
-673  ,
-612  ,
-550  ,
-496  ,
-434  ,
-388  ,
-340  ,
-305  ,
-256  ,
-214  ,
-166  ,
-125  ,
-91 ,
-58 ,
-32 ,
-4  ,
24  ,
56  ,
77  ,
106 ,
142 ,
179 ,
223 ,
261 ,
296 ,
339 ,
364 ,
396 ,
423 ,
441 ,
463 ,
463 ,
483 ,
486 ,
503 ,
519 ,
554 ,
585 ,
618 ,
635 ,
647 ,
649 ,
634 ,
614 ,
599 ,
563 ,
551 ,
513 ,
495 ,
453 ,
417 ,
376 ,
340 ,
302 ,
262 ,
217 ,
171 ,
117 ,
80  ,
38  ,
18  ,
7 ,
15  ,
32  ,
43  ,
52  ,
61  ,
72  ,
89  ,
104 ,
120 ,
121 ,
117 ,
103 ,
87  ,
70  ,
49  ,
35  ,
15  ,
-3  ,
-31 ,
-59 ,
-95 ,
-121  ,
-147  ,
-153  ,
-166  ,
-175  ,
-169  ,
-157  ,
-134  ,
-107  ,
-68 ,
-34 ,
11  ,
58  ,
108 ,
165 ,
213 ,
269 ,
314 ,
356 ,
382 ,
414 ,
450 ,
495 ,
536 ,
570 ,
589 ,
596 ,
595 ,
593 ,
589 ,
586 ,
589 ,
583 ,
568 ,
546 ,
508 ,
486 ,
458 ,
441 ,
417 ,
382 ,
338 ,
297 ,
254 ,
220 ,
197 ,
177 ,
162 ,
139 ,
114 ,
87  ,
62  ,
48  ,
39  ,
44  ,
35  ,
29  ,
18  ,
-3  ,
-16 ,
-46 ,
-69 ,
-93 ,
-134  ,
-165  ,
-213  ,
-251  ,
-284  ,
-312  ,
-325  ,
-336  ,
-339  ,
-336  ,
-331  ,
-322  ,
-310  ,
-304  ,
-297  ,
-302  ,
-299  ,
-304  ,
-309  ,
-302  ,
-304  ,
-297  ,
-305  ,
-312  ,
-314  ,
-323  ,
-322  ,
-329  ,
-320  ,
-333  ,
-333  ,
-352  ,
-345  ,
-344  ,
-322  ,
-299  ,
-257  ,
-231  ,
-197  ,
-174  ,
-150  ,
-121  ,
-95 ,
-67 ,
-45 ,
-36 ,
-29 ,
-31 ,
-23 ,
-17 ,
4 ,
32  ,
61  ,
87  ,
104 ,
116 ,
118 ,
125 ,
133 ,
147 ,
162 ,
172 ,
192 ,
206 ,
226 ,
255 ,
280 ,
312 ,
336 ,
355 ,
367 ,
372 ,
374 ,
377 ,
377 ,
365 ,
354 ,
333 ,
316 ,
293 ,
279 ,
263 ,
245 ,
225 ,
196 ,
173 ,
136 ,
109 ,
77  ,
45  ,
9 ,
-36 ,
-76 ,
-119  ,
-148  ,
-176  ,
-192  ,
-211  ,
-222  ,
-234  ,
-235  ,
-237  ,
-223  ,
-210  ,
-199  ,
-189  ,
-195  ,
-198  ,
-216  ,
-221  ,
-224  ,
-232  ,
-240  ,
-262  ,
-287  ,
-326  ,
-367  ,
-400  ,
-436  ,
-470  ,
-506  ,
-546  ,
-586  ,
-623  ,
-643  ,
-645  ,
-627  ,
-601  ,
-560  ,
-510  ,
-459  ,
-401  ,
-335  ,
-271  ,
-203  ,
-145  ,
-87 ,
-33 ,
11  ,
63  ,
113 ,
171 ,
222 ,
271 ,
307 ,
343 ,
364 ,
385 ,
386 ,
394 ,
383 ,
374 ,
362 ,
352 ,
351 ,
347 ,
341 ,
343 ,
325 ,
323 ,
299 ,
292 ,
273 ,
250 ,
229 ,
198 ,
176 ,
146 ,
126 ,
111 ,
98  ,
94  ,
79  ,
66  ,
46  ,
22  ,
-3  ,
-30 ,
-62 ,
-96 ,
-140  ,
-188  ,
-242  ,
-297  ,
-360  ,
-411  ,
-472  ,
-523  ,
-573  ,
-624  ,
-661  ,
-710  ,
-739  ,
-767  ,
-782  ,
-791  ,
-787  ,
-769  ,
-749  ,
-722  ,
-685  ,
-649  ,
-603  ,
-554  ,
-506  ,
-460  ,
-425  ,
-397  ,
-372  ,
-358  ,
-345  ,
-335  ,
-330  ,
-321  ,
-325  ,
-321  ,
-332  ,
-335  ,
-338  ,
-335  ,
-325  ,
-308  ,
-286  ,
-261  ,
-235  ,
-209  ,
-174  ,
-138  ,
-95 ,
-49 ,
8 ,
52  ,
113 ,
166 ,
230 ,
296 ,
348 ,
409 ,
454 ,
499 ,
534 ,
560 ,
587 ,
608 ,
631 ,
645 ,
667 ,
677 ,
701 ,
704 ,
720 ,
716 ,
713 ,
706 ,
687 ,
683 ,
657 ,
644 ,
616 ,
596 ,
571 ,
551 ,
530 ,
512 ,
496 ,
479 ,
465 ,
445 ,
419 ,
396 ,
369 ,
343 ,
318 ,
283 ,
259 ,
222 ,
185 ,
141 ,
95  ,
39  ,
-15 ,
-72 ,
-129  ,
-195  ,
-261  ,
-328  ,
-380  ,
-432  ,
-466  ,
-502  ,
-521  ,
-545  ,
-564  ,
-581  ,
-601  ,
-609  ,
-629  ,
-654  ,
-677  ,
-722  ,
-752  ,
-797  ,
-826  ,
-847  ,
-870  ,
-897  ,
-925  ,
-962  ,
-990  ,
-1026 ,
-1036 ,
-1052 ,
-1053 ,
-1060 ,
-1048 ,
-1029 ,
-994  ,
-946  ,
-893  ,
-826  ,
-773  ,
-702  ,
-644  ,
-572  ,
-503  ,
-429  ,
-356  ,
-291  ,
-231  ,
-178  ,
-126  ,
-64 ,
-5  ,
56  ,
102 ,
141 ,
179 ,
212 ,
252 ,
295 ,
339 ,
385 ,
422 ,
460 ,
492 ,
527 ,
569 ,
616 ,
667 ,
711 ,
750 ,
781 ,
815 ,
843 ,
879 ,
903 ,
927 ,
928 ,
935 ,
920 ,
912 ,
895 ,
884 ,
862 ,
843 ,
802 ,
767 ,
710 ,
666 ,
613 ,
571 ,
521 ,
468 ,
404 ,
340 ,
294 ,
253 ,
213 ,
184 ,
156 ,
145 ,
127 ,
128 ,
137 ,
158 ,
183 ,
198 ,
210 ,
217 ,
216 ,
227 ,
235 ,
236 ,
225 ,
203 ,
172 ,
137 ,
96  ,
48  ,
-3  ,
-55 ,
-107  ,
-174  ,
-238  ,
-299  ,
-348  ,
-386  ,
-407  ,
-420  ,
-426  ,
-431  ,
-426  ,
-412  ,
-390  ,
-377  ,
-354  ,
-335  ,
-304  ,
-287  ,
-247  ,
-224  ,
-186  ,
-158  ,
-126  ,
-96 ,
-77 ,
-57 ,
-44 ,
-34 ,
-32 ,
-40 ,
-43 ,
-58 ,
-65 ,
-80 ,
-88 ,
-95 ,
-99 ,
-108  ,
-103  ,
-113  ,
-111  ,
-110  ,
-103  ,
-94 ,
-85 ,
-77 ,
-68 ,
-58 ,
-38 ,
-13 ,
21  ,
54  ,
88  ,
110 ,
141 ,
150 ,
177 ,
179 ,
190 ,
189 ,
187 ,
172 ,
147 ,
123 ,
90  ,
60  ,
18  ,
-26 ,
-74 ,
-124  ,
-179  ,
-210  ,
-246  ,
-263  ,
-282  ,
-287  ,
-284  ,
-277  ,
-268  ,
-246  ,
-217  ,
-179  ,
-145  ,
-101  ,
-67 ,
-27 ,
4 ,
47  ,
72  ,
105 ,
119 ,
128 ,
130 ,
123 ,
119 ,
108 ,
114 ,
120 ,
126 ,
138 ,
148 ,
174 ,
198 ,
233 ,
263 ,
309 ,
337 ,
383 ,
431 ,
487 ,
551 ,
613 ,
682 ,
749 ,
807 ,
870 ,
932 ,
992 ,
1047  ,
1090  ,
1128  ,
1150  ,
1169  ,
1186  ,
1205  ,
1223  ,
1238  ,
1247  ,
1239  ,
1238  ,
1217  ,
1201  ,
1172  ,
1133  ,
1093  ,
1030  ,
970 ,
899 ,
836 ,
770 ,
711 ,
646 ,
590 ,
523 ,
468 ,
411 ,
351 ,
287 ,
213 ,
147 ,
69  ,
-6  ,
-82 ,
-163  ,
-234  ,
-313  ,
-389  ,
-468  ,
-552  ,
-638  ,
-730  ,
-814  ,
-901  ,
-974  ,
-1050 ,
-1115 ,
-1166 ,
-1197 ,
-1230 ,
-1244 ,
-1258 ,
-1264 ,
-1254 ,
-1249 ,
-1229 ,
-1210 ,
-1190 ,
-1170 ,
-1153 ,
-1137 ,
-1128 ,
-1115 ,
-1105 ,
-1098 ,
-1100 ,
-1104 ,
-1106 ,
-1117 ,
-1112 ,
-1114 ,
-1089 ,
-1079 ,
-1047 ,
-1026 ,
-988  ,
-951  ,
-900  ,
-856  ,
-787  ,
-735  ,
-665  ,
-606  ,
-523  ,
-437  ,
-340  ,
-256  ,
-172  ,
-90 ,
-19 ,
50  ,
117 ,
182 ,
237 ,
278 ,
315 ,
340 ,
365 ,
391 ,
426 ,
466 ,
501 ,
536 ,
568 ,
600 ,
630 ,
660 ,
694 ,
726 ,
762 ,
796 ,
836 ,
877 ,
923 ,
978 ,
1031  ,
1081  ,
1128  ,
1160  ,
1190  ,
1213  ,
1231  ,
1234  ,
1225  ,
1215  ,
1194  ,
1172  ,
1134  ,
1106  ,
1063  ,
1022  ,
965 ,
909 ,
831 ,
747 ,
660 ,
580 ,
499 ,
419 ,
348 ,
290 ,
233 ,
190 ,
143 ,
117 ,
89  ,
67  ,
50  ,
25  ,
5 ,
-24 ,
-44 ,
-68 ,
-97 ,
-133  ,
-189  ,
-238  ,
-311  ,
-370  ,
-455  ,
-529  ,
-613  ,
-700  ,
-782  ,
-874  ,
-948  ,
-1022 ,
-1075 ,
-1124 ,
-1158 ,
-1197 ,
-1221 ,
-1240 ,
-1241 ,
-1236 ,
-1220 ,
-1188 ,
-1154 ,
-1111 ,
-1068 ,
-1012 ,
-954  ,
-891  ,
-828  ,
-763  ,
-699  ,
-652  ,
-596  ,
-548  ,
-500  ,
-462  ,
-434  ,
-409  ,
-386  ,
-367  ,
-343  ,
-329  ,
-314  ,
-311  ,
-308  ,
-312  ,
-321  ,
-321  ,
-323  ,
-315  ,
-296  ,
-275  ,
-258  ,
-238  ,
-211  ,
-177  ,
-143  ,
-110  ,
-77 ,
-44 ,
-11 ,
21  ,
49  ,
87  ,
107 ,
142 ,
161 ,
178 ,
172 ,
161 ,
136 ,
104 ,
72  ,
35  ,
-2  ,
-41 ,
-81 ,
-110  ,
-137  ,
-157  ,
-159  ,
-160  ,
-144  ,
-127  ,
-107  ,
-75 ,
-40 ,
9 ,
70  ,
129 ,
194 ,
258 ,
310 ,
366 ,
412 ,
463 ,
498 ,
536 ,
565 ,
586 ,
588 ,
587 ,
585 ,
593 ,
600 ,
604 ,
607 ,
603 ,
585 ,
582 ,
571 ,
576 ,
570 ,
569 ,
574 ,
573 ,
578 ,
576 ,
603 ,
620 ,
652 ,
671 ,
688 ,
693 ,
699 ,
702 ,
710 ,
710 ,
699 ,
686 ,
674 ,
656 ,
643 ,
621 ,
608 ,
589 ,
563 ,
521 ,
473 ,
427 ,
382 ,
340 ,
300 ,
252 ,
205 ,
150 ,
114 ,
76  ,
47  ,
19  ,
-6  ,
-23 ,
-49 ,
-72 ,
-89 ,
-99 ,
-109  ,
-114  ,
-127  ,
-148  ,
-180  ,
-219  ,
-252  ,
-293  ,
-337  ,
-398  ,
-454  ,
-517  ,
-573  ,
-622  ,
-667  ,
-702  ,
-734  ,
-768  ,
-790  ,
-818  ,
-825  ,
-832  ,
-818  ,
-807  ,
-785  ,
-770  ,
-741  ,
-708  ,
-666  ,
-637  ,
-609  ,
-593  ,
-587  ,
-583  ,
-590  ,
-589  ,
-609  ,
-615  ,
-630  ,
-636  ,
-645  ,
-649  ,
-647  ,
-634  ,
-618  ,
-601  ,
-580  ,
-556  ,
-532  ,
-489  ,
-447  ,
-384  ,
-324  ,
-241  ,
-159  ,
-69 ,
17  ,
110 ,
190 ,
282 ,
357 ,
433 ,
485 ,
536 ,
577 ,
620 ,
654 ,
687 ,
723 ,
748 ,
778 ,
794 ,
816 ,
822 ,
834 ,
843 ,
857 ,
852 ,
852 ,
841 ,
845 ,
854 ,
877 ,
897 ,
914 ,
921 ,
924 ,
929 ,
935 ,
942 ,
957 ,
959 ,
954 ,
934 ,
906 ,
864 ,
837 ,
794 ,
762 ,
701 ,
637 ,
555 ,
469 ,
382 ,
287 ,
204 ,
109 ,
23  ,
-68 ,
-151  ,
-228  ,
-289  ,
-337  ,
-368  ,
-390  ,
-411  ,
-420  ,
-426  ,
-415  ,
-394  ,
-374  ,
-346  ,
-333  ,
-320  ,
-319  ,
-328  ,
-336  ,
-361  ,
-373  ,
-409  ,
-439  ,
-489  ,
-538  ,
-588  ,
-630  ,
-662  ,
-698  ,
-741  ,
-788  ,
-834  ,
-883  ,
-910  ,
-938  ,
-942  ,
-943  ,
-939  ,
-915  ,
-897  ,
-862  ,
-814  ,
-764  ,
-706  ,
-657  ,
-615  ,
-569  ,
-530  ,
-481  ,
-428  ,
-376  ,
-323  ,
-275  ,
-236  ,
-199  ,
-176  ,
-148  ,
-127  ,
-113  ,
-110  ,
-116  ,
-131  ,
-144  ,
-150  ,
-142  ,
-127  ,
-112  ,
-90 ,
-76 ,
-58 ,
-35 ,
-8  ,
21  ,
54  ,
90  ,
126 ,
172 ,
204 ,
253 ,
305 ,
350 ,
409 ,
448 ,
488 ,
506 ,
513 ,
515 ,
500 ,
484 ,
440 ,
406 ,
352 ,
301 ,
241 ,
186 ,
135 ,
90  ,
51  ,
17  ,
-18 ,
-43 ,
-66 ,
-72 ,
-73 ,
-62 ,
-61 ,
-52 ,
-43 ,
-27 ,
-13 ,
0 ,
10  ,
16  ,
9 ,
-6  ,
-27 ,
-41 ,
-64 ,
-75 ,
-101  ,
-118  ,
-157  ,
-185  ,
-215  ,
-237  ,
-263  ,
-287  ,
-312  ,
-335  ,
-351  ,
-355  ,
-354  ,
-336  ,
-325  ,
-300  ,
-284  ,
-266  ,
-242  ,
-215  ,
-177  ,
-147  ,
-106  ,
-76 ,
-43 ,
-3  ,
37  ,
76  ,
117 ,
146 ,
175 ,
192 ,
201 ,
213 ,
212 ,
218 ,
208 ,
205 ,
186 ,
177 ,
163 ,
157 ,
146 ,
130 ,
108 ,
89  ,
68  ,
61  ,
56  ,
58  ,
51  ,
60  ,
62  ,
79  ,
87  ,
102 ,
111 ,
117 ,
111 ,
95  ,
69  ,
31  ,
-12 ,
-53 ,
-102  ,
-148  ,
-199  ,
-249  ,
-293  ,
-335  ,
-368  ,
-395  ,
-417  ,
-435  ,
-438  ,
-443  ,
-430  ,
-416  ,
-381  ,
-345  ,
-296  ,
-251  ,
-203  ,
-161  ,
-121  ,
-88 ,
-63 ,
-51 ,
-49 ,
-42 ,
-47 ,
-46 ,
-47 ,
-54 ,
-55 ,
-66 ,
-74 ,
-80 ,
-96 ,
-105  ,
-113  ,
-120  ,
-118  ,
-116  ,
-104  ,
-86 ,
-60 ,
-17 ,
20  ,
60  ,
102 ,
141 ,
184 ,
218 ,
257 ,
294 ,
326 ,
354 ,
380 ,
396 ,
407 ,
411 ,
413 ,
415 ,
406 ,
399 ,
391 ,
381 ,
368 ,
353 ,
332 ,
318 ,
305 ,
298 ,
292 ,
279 ,
274 ,
266 ,
267 ,
277 ,
295 ,
322 ,
348 ,
379 ,
412 ,
441 ,
474 ,
511 ,
547 ,
581 ,
594 ,
608 ,
600 ,
584 ,
561 ,
530 ,
495 ,
443 ,
387 ,
326 ,
263 ,
196 ,
132 ,
76  ,
17  ,
-36 ,
-91 ,
-135  ,
-163  ,
-183  ,
-174  ,
-164  ,
-137  ,
-120  ,
-90 ,
-70 ,
-37 ,
-12 ,
10  ,
13  ,
12  ,
-5  ,
-11 ,
-26 ,
-35 ,
-45 ,
-67 ,
-94 ,
-130  ,
-178  ,
-226  ,
-270  ,
-315  ,
-356  ,
-408  ,
-454  ,
-489  ,
-516  ,
-518  ,
-508  ,
-485  ,
-461  ,
-435  ,
-399  ,
-363  ,
-317  ,
-263  ,
-205  ,
-135  ,
-77 ,
-14 ,
40  ,
105 ,
167 ,
231 ,
295 ,
338 ,
386 ,
411 ,
442 ,
459 ,
474 ,
485 ,
478 ,
482 ,
462 ,
449 ,
421 ,
411 ,
393 ,
387 ,
367 ,
356 ,
341 ,
333 ,
326 ,
332 ,
344 ,
361 ,
373 ,
392 ,
406 ,
421 ,
433 ,
446 ,
453 ,
450 ,
431 ,
399 ,
366 ,
319 ,
275 ,
223 ,
163 ,
103 ,
33  ,
-38 ,
-113  ,
-187  ,
-257  ,
-308  ,
-356  ,
-389  ,
-421  ,
-444  ,
-452  ,
-453  ,
-445  ,
-432  ,
-421  ,
-410  ,
-398  ,
-392  ,
-370  ,
-358  ,
-327  ,
-307  ,
-284  ,
-273  ,
-266  ,
-253  ,
-244  ,
-231  ,
-221  ,
-227  ,
-231  ,
-251  ,
-256  ,
-267  ,
-261  ,
-246  ,
-230  ,
-206  ,
-201  ,
-189  ,
-176  ,
-162  ,
-127  ,
-96 ,
-57 ,
-21 ,
6 ,
50  ,
83  ,
136 ,
187 ,
244 ,
299 ,
339 ,
381 ,
413 ,
450 ,
485 ,
515 ,
535 ,
542 ,
542 ,
545 ,
534 ,
538 ,
532 ,
529 ,
512 ,
496 ,
467 ,
446 ,
423 ,
404 ,
402 ,
390 ,
385 ,
383 ,
391 ,
404 ,
423 ,
438 ,
451 ,
462 ,
457 ,
452 ,
435 ,
412 ,
381 ,
344 ,
298 ,
245 ,
182 ,
115 ,
47  ,
-27 ,
-88 ,
-158  ,
-216  ,
-270  ,
-320  ,
-359  ,
-390  ,
-413  ,
-430  ,
-439  ,
-452  ,
-458  ,
-472  ,
-480  ,
-490  ,
-494  ,
-508  ,
-520  ,
-534  ,
-550  ,
-570  ,
-603  ,
-638  ,
-675  ,
-716  ,
-756  ,
-802  ,
-846  ,
-903  ,
-941  ,
-987  ,
-1006 ,
-1027 ,
-1038 ,
-1045 ,
-1049 ,
-1046 ,
-1039 ,
-1026 ,
-1001 ,
-967  ,
-922  ,
-881  ,
-832  ,
-784  ,
-727  ,
-670  ,
-606  ,
-544  ,
-482  ,
-430  ,
-377  ,
-331  ,
-284  ,
-248  ,
-204  ,
-171  ,
-140  ,
-116  ,
-98 ,
-71 ,
-48 ,
-20 ,
0 ,
15  ,
22  ,
30  ,
33  ,
52  ,
56  ,
91  ,
110 ,
159 ,
199 ,
250 ,
307 ,
368 ,
439 ,
507 ,
568 ,
624 ,
669 ,
698 ,
730 ,
741 ,
755 ,
748 ,
732 ,
706 ,
668 ,
625 ,
566 ,
517 ,
452 ,
401 ,
329 ,
279 ,
218 ,
184 ,
150 ,
136 ,
123 ,
119 ,
116 ,
123 ,
134 ,
154 ,
173 ,
194 ,
213 ,
228 ,
238 ,
244 ,
253 ,
253 ,
250 ,
233 ,
209 ,
178 ,
138 ,
97  ,
58  ,
13  ,
-35 ,
-89 ,
-144  ,
-195  ,
-246  ,
-289  ,
-326  ,
-349  ,
-382  ,
-397  ,
-414  ,
-418  ,
-415  ,
-406  ,
-388  ,
-370  ,
-347  ,
-325  ,
-294  ,
-269  ,
-239  ,
-213  ,
-179  ,
-156  ,
-129  ,
-120  ,
-107  ,
-107  ,
-105  ,
-110  ,
-108  ,
-115  ,
-123  ,
-150  ,
-177  ,
-216  ,
-251  ,
-291  ,
-318  ,
-348  ,
-370  ,
-395  ,
-407  ,
-415  ,
-410  ,
-399  ,
-371  ,
-344  ,
-314  ,
-288  ,
-262  ,
-226  ,
-195  ,
-152  ,
-116  ,
-85 ,
-72 ,
-63 ,
-66 ,
-68 ,
-83 ,
-103  ,
-138  ,
-173  ,
-222  ,
-268  ,
-311  ,
-344  ,
-373  ,
-383  ,
-404  ,
-409  ,
-417  ,
-417  ,
-408  ,
-398  ,
-374  ,
-357  ,
-326  ,
-300  ,
-264  ,
-229  ,
-192  ,
-147  ,
-108  ,
-76 ,
-52 ,
-32 ,
-12 ,
17  ,
39  ,
64  ,
76  ,
81  ,
83  ,
93  ,
97  ,
113 ,
128 ,
152 ,
179 ,
202 ,
232 ,
255 ,
291 ,
334 ,
374 ,
424 ,
463 ,
515 ,
563 ,
621 ,
681 ,
744 ,
806 ,
862 ,
925 ,
978 ,
1028  ,
1073  ,
1125  ,
1170  ,
1202  ,
1226  ,
1240  ,
1251  ,
1254  ,
1249  ,
1240  ,
1217  ,
1185  ,
1155  ,
1126  ,
1096  ,
1069  ,
1035  ,
1017  ,
982 ,
961 ,
925 ,
909 ,
879 ,
867 ,
836 ,
814 ,
780 ,
749 ,
716 ,
676 ,
634 ,
579 ,
511 ,
432 ,
339 ,
241 ,
129 ,
27  ,
-75 ,
-171  ,
-271  ,
-361  ,
-443  ,
-517  ,
-584  ,
-643  ,
-692  ,
-741  ,
-783  ,
-817  ,
-842  ,
-866  ,
-883  ,
-887  ,
-885  ,
-884  ,
-887  ,
-889  ,
-898  ,
-905  ,
-911  ,
-914  ,
-921  ,
-934  ,
-954  ,
-978  ,
-1008 ,
-1033 ,
-1055 ,
-1067 ,
-1075 ,
-1076 ,
-1078 ,
-1080 ,
-1065 ,
-1051 ,
-1022 ,
-1002 ,
-964  ,
-932  ,
-887  ,
-852  ,
-791  ,
-732  ,
-654  ,
-584  ,
-503  ,
-431  ,
-364  ,
-292  ,
-211  ,
-136  ,
-58 ,
4 ,
68  ,
121 ,
172 ,
221 ,
272 ,
312 ,
348 ,
367 ,
384 ,
388 ,
398 ,
407 ,
431 ,
438 ,
470 ,
474 ,
506 ,
529 ,
574 ,
617 ,
675 ,
731 ,
800 ,
859 ,
933 ,
1000  ,
1080  ,
1144  ,
1202  ,
1238  ,
1261  ,
1257  ,
1250  ,
1236  ,
1207  ,
1176  ,
1125  ,
1081  ,
1018  ,
966 ,
900 ,
848 ,
789 ,
731 ,
679 ,
631 ,
590 ,
555 ,
524 ,
507 ,
488 ,
483 ,
476 ,
469 ,
465 ,
454 ,
440 ,
432 ,
414 ,
391 ,
361 ,
319 ,
280 ,
225 ,
173 ,
109 ,
39  ,
-31 ,
-113  ,
-180  ,
-253  ,
-318  ,
-389  ,
-454  ,
-518  ,
-587  ,
-643  ,
-697  ,
-735  ,
-768  ,
-787  ,
-801  ,
-808  ,
-808  ,
-803  ,
-788  ,
-772  ,
-749  ,
-722  ,
-690  ,
-662  ,
-633  ,
-602  ,
-563  ,
-528  ,
-483  ,
-453  ,
-423  ,
-397  ,
-383  ,
-370  ,
-370  ,
-372  ,
-377  ,
-392  ,
-398  ,
-418  ,
-426  ,
-443  ,
-445  ,
-443  ,
-442  ,
-432  ,
-423  ,
-403  ,
-371  ,
-333  ,
-284  ,
-236  ,
-186  ,
-144  ,
-103  ,
-66 ,
-40 ,
-16 ,
-4  ,
8 ,
11  ,
3 ,
-9  ,
-25 ,
-39 ,
-64 ,
-96 ,
-130  ,
-165  ,
-204  ,
-230  ,
-259  ,
-275  ,
-292  ,
-296  ,
-300  ,
-292  ,
-282  ,
-269  ,
-237  ,
-218  ,
-179  ,
-159  ,
-130  ,
-105  ,
-69 ,
-37 ,
-1  ,
30  ,
51  ,
79  ,
94  ,
116 ,
128 ,
144 ,
155 ,
174 ,
176 ,
187 ,
189 ,
204 ,
209 ,
220 ,
223 ,
233 ,
241 ,
257 ,
282 ,
309 ,
337 ,
360 ,
381 ,
403 ,
423 ,
440 ,
468 ,
492 ,
523 ,
549 ,
572 ,
597 ,
616 ,
638 ,
648 ,
647 ,
638 ,
616 ,
587 ,
565 ,
525 ,
499 ,
454 ,
422 ,
375 ,
332 ,
286 ,
243 ,
209 ,
168 ,
143 ,
111 ,
93  ,
78  ,
63  ,
64  ,
55  ,
52  ,
41  ,
26  ,
3 ,
-25 ,
-59 ,
-97 ,
-139  ,
-186  ,
-243  ,
-302  ,
-368  ,
-434  ,
-497  ,
-560  ,
-622  ,
-677  ,
-731  ,
-779  ,
-814  ,
-843  ,
-858  ,
-866  ,
-872  ,
-870  ,
-870  ,
-858  ,
-849  ,
-825  ,
-806  ,
-770  ,
-745  ,
-706  ,
-689  ,
-666  ,
-656  ,
-644  ,
-636  ,
-630  ,
-637  ,
-637  ,
-651  ,
-659  ,
-671  ,
-676  ,
-683  ,
-677  ,
-681  ,
-668  ,
-669  ,
-661  ,
-646  ,
-625  ,
-589  ,
-553  ,
-510  ,
-467  ,
-422  ,
-377  ,
-321  ,
-268  ,
-198  ,
-135  ,
-57 ,
13  ,
87  ,
162 ,
233 ,
307 ,
362 ,
418 ,
465 ,
499 ,
539 ,
566 ,
589 ,
610 ,
621 ,
629 ,
634 ,
631 ,
629 ,
627 ,
627 ,
634 ,
639 ,
648 ,
669 ,
701 ,
748 ,
797 ,
852 ,
901 ,
947 ,
983 ,
1019  ,
1050  ,
1065  ,
1077  ,
1070  ,
1051  ,
1017  ,
962 ,
916 ,
854 ,
794 ,
722 ,
642 ,
562 ,
477 ,
398 ,
324 ,
255 ,
186 ,
121 ,
55  ,
-4  ,
-53 ,
-97 ,
-131  ,
-158  ,
-177  ,
-192  ,
-208  ,
-213  ,
-220  ,
-214  ,
-228  ,
-230  ,
-250  ,
-274  ,
-301  ,
-331  ,
-356  ,
-389  ,
-424  ,
-463  ,
-507  ,
-547  ,
-590  ,
-630  ,
-660  ,
-692  ,
-720  ,
-742  ,
-770  ,
-784  ,
-800  ,
-807  ,
-810  ,
-802  ,
-798  ,
-784  ,
-762  ,
-731  ,
-690  ,
-642  ,
-591  ,
-531  ,
-477  ,
-422  ,
-363  ,
-314  ,
-253  ,
-209  ,
-157  ,
-117  ,
-80 ,
-46 ,
-16 ,
9 ,
23  ,
34  ,
36  ,
36  ,
25  ,
22  ,
14  ,
15  ,
25  ,
41  ,
72  ,
101 ,
149 ,
192 ,
248 ,
301 ,
355 ,
406 ,
455 ,
502 ,
553 ,
594 ,
625 ,
649 ,
659 ,
665 ,
654 ,
648 ,
631 ,
611 ,
585 ,
556 ,
525 ,
494 ,
459 ,
429 ,
400 ,
366 ,
342 ,
318 ,
298 ,
286 ,
274 ,
272 ,
269 ,
268 ,
273 ,
276 ,
279 ,
274 ,
262 ,
244 ,
228 ,
211 ,
194 ,
175 ,
152 ,
128 ,
95  ,
63  ,
24  ,
-2  ,
-36 ,
-65 ,
-85 ,
-118  ,
-135  ,
-160  ,
-170  ,
-182  ,
-191  ,
-196  ,
-203  ,
-195  ,
-199  ,
-183  ,
-175  ,
-154  ,
-139  ,
-107  ,
-82 ,
-47 ,
-25 ,
8 ,
33  ,
64  ,
82  ,
111 ,
130 ,
158 ,
172 ,
191 ,
197 ,
200 ,
192 ,
178 ,
164 ,
144 ,
128 ,
108 ,
101 ,
92  ,
89  ,
86  ,
98  ,
111 ,
132 ,
151 ,
172 ,
189 ,
206 ,
217 ,
234 ,
241 ,
239 ,
234 ,
220 ,
201 ,
167 ,
133 ,
86  ,
44  ,
-10 ,
-58 ,
-114  ,
-158  ,
-218  ,
-261  ,
-314  ,
-361  ,
-397  ,
-436  ,
-451  ,
-468  ,
-479  ,
-485  ,
-490  ,
-478  ,
-467  ,
-450  ,
-430  ,
-410  ,
-393  ,
-383  ,
-370  ,
-360  ,
-350  ,
-338  ,
-327  ,
-317  ,
-327  ,
-335  ,
-357  ,
-362  ,
-384  ,
-383  ,
-398  ,
-397  ,
-409  ,
-400  ,
-396  ,
-383  ,
-370  ,
-362  ,
-345  ,
-336  ,
-321  ,
-304  ,
-273  ,
-231  ,
-188  ,
-138  ,
-101  ,
-53 ,
-16 ,
34  ,
76  ,
134 ,
170 ,
214 ,
237 ,
276 ,
295 ,
321 ,
332 ,
341 ,
333 ,
311 ,
280 ,
247 ,
217 ,
186 ,
168 ,
150 ,
130 ,
122 ,
109 ,
117 ,
126 ,
152 ,
180 ,
220 ,
253 ,
300 ,
337 ,
387 ,
424 ,
468 ,
501 ,
523 ,
528 ,
527 ,
510 ,
499 ,
477 ,
451 ,
424 ,
386 ,
345 ,
295 ,
239 ,
190 ,
141 ,
101 ,
59  ,
29  ,
-8  ,
-35 ,
-68 ,
-81 ,
-96 ,
-105  ,
-105  ,
-113  ,
-105  ,
-114  ,
-110  ,
-102  ,
-99 ,
-91 ,
-101  ,
-109  ,
-136  ,
-162  ,
-196  ,
-225  ,
-254  ,
-293  ,
-327  ,
-368  ,
-397  ,
-432  ,
-456  ,
-487  ,
-508  ,
-546  ,
-575  ,
-613  ,
-637  ,
-652  ,
-663  ,
-656  ,
-646  ,
-631  ,
-616  ,
-590  ,
-551  ,
-506  ,
-453  ,
-404  ,
-347  ,
-297  ,
-237  ,
-178  ,
-109  ,
-41 ,
18  ,
74  ,
113 ,
143 ,
156 ,
170 ,
186 ,
196 ,
210 ,
210 ,
206 ,
203 ,
197 ,
207 ,
221 ,
243 ,
271 ,
294 ,
325 ,
358 ,
391 ,
433 ,
472 ,
515 ,
545 ,
558 ,
563 ,
558 ,
558 ,
544 ,
525 ,
501 ,
460 ,
412 ,
365 ,
310 ,
258 ,
198 ,
137 ,
83  ,
19  ,
-31 ,
-88 ,
-122  ,
-164  ,
-191  ,
-226  ,
-259  ,
-289  ,
-313  ,
-332  ,
-342  ,
-350  ,
-354  ,
-356  ,
-358  ,
-366  ,
-370  ,
-380  ,
-393  ,
-403  ,
-416  ,
-433  ,
-439  ,
-445  ,
-439  ,
-436  ,
-421  ,
-414  ,
-397  ,
-392  ,
-377  ,
-366  ,
-356  ,
-336  ,
-318  ,
-284  ,
-256  ,
-222  ,
-184  ,
-143  ,
-99 ,
-52 ,
-2  ,
45  ,
97  ,
136 ,
189 ,
233 ,
285 ,
342 ,
402 ,
457 ,
506 ,
537 ,
562 ,
581 ,
597 ,
606 ,
615 ,
610 ,
607 ,
592 ,
582 ,
571 ,
563 ,
560 ,
555 ,
561 ,
566 ,
577 ,
594 ,
614 ,
639 ,
662 ,
678 ,
693 ,
702 ,
708 ,
714 ,
719 ,
719 ,
710 ,
692 ,
666 ,
637 ,
600 ,
563 ,
517 ,
474 ,
416 ,
364 ,
305 ,
261 ,
216 ,
184 ,
151 ,
122 ,
89  ,
60  ,
32  ,
23  ,
10  ,
13  ,
5 ,
1 ,
-4  ,
-13 ,
-17 ,
-24 ,
-38 ,
-57 ,
-89 ,
-126  ,
-169  ,
-216  ,
-255  ,
-292  ,
-323  ,
-363  ,
-411  ,
-457  ,
-508  ,
-551  ,
-597  ,
-635  ,
-677  ,
-720  ,
-754  ,
-778  ,
-789  ,
-791  ,
-793  ,
-782  ,
-781  ,
-775  ,
-771  ,
-749  ,
-715  ,
-670  ,
-620  ,
-569  ,
-520  ,
-467  ,
-412  ,
-345  ,
-288  ,
-231  ,
-195  ,
-160  ,
-140  ,
-127  ,
-117  ,
-109  ,
-95 ,
-84 ,
-77 ,
-76 ,
-71 ,
-67 ,
-46 ,
-22 ,
19  ,
59  ,
112 ,
163 ,
227 ,
279 ,
342 ,
398 ,
462 ,
524 ,
576 ,
623 ,
665 ,
696 ,
724 ,
738 ,
747 ,
738 ,
728 ,
701 ,
676 ,
639 ,
605 ,
571 ,
539 ,
507 ,
469 ,
429 ,
388 ,
348 ,
312 ,
282 ,
250 ,
228 ,
207 ,
203 ,
198 ,
207 ,
213 ,
221 ,
222 ,
219 ,
210 ,
199 ,
192 ,
183 ,
175 ,
158 ,
143 ,
127 ,
111 ,
100 ,
79  ,
58  ,
29  ,
-6  ,
-39 ,
-70 ,
-103  ,
-125  ,
-142  ,
-159  ,
-172  ,
-194  ,
-216  ,
-237  ,
-251  ,
-257  ,
-248  ,
-239  ,
-218  ,
-203  ,
-181  ,
-157  ,
-123  ,
-93 ,
-53 ,
-27 ,
-6  ,
7 ,
7 ,
5 ,
-6  ,
-19 ,
-35 ,
-63 ,
-93 ,
-138  ,
-178  ,
-225  ,
-263  ,
-297  ,
-328  ,
-347  ,
-372  ,
-378  ,
-384  ,
-386  ,
-372  ,
-374  ,
-350  ,
-347  ,
-321  ,
-311  ,
-286  ,
-273  ,
-260  ,
-254  ,
-260  ,
-275  ,
-295  ,
-322  ,
-341  ,
-365  ,
-391  ,
-413  ,
-446  ,
-464  ,
-499  ,
-521  ,
-544  ,
-563  ,
-588  ,
-604  ,
-630  ,
-633  ,
-644  ,
-635  ,
-614  ,
-597  ,
-571  ,
-560  ,
-544  ,
-536  ,
-534  ,
-531  ,
-523  ,
-522  ,
-515  ,
-517  ,
-513  ,
-510  ,
-505  ,
-490  ,
-481  ,
-471  ,
-472  ,
-474  ,
-474  ,
-471  ,
-464  ,
-445  ,
-424  ,
-397  ,
-374  ,
-344  ,
-326  ,
-294  ,
-271  ,
-236  ,
-195  ,
-156  ,
-109  ,
-61 ,
-5  ,
54  ,
119 ,
183 ,
249 ,
317 ,
379 ,
441 ,
495 ,
547 ,
595 ,
641 ,
674 ,
705 ,
715 ,
726 ,
729 ,
738 ,
740 ,
749 ,
754 ,
760 ,
771 ,
781 ,
802 ,
817 ,
842 ,
850 ,
873 ,
881 ,
897 ,
909 ,
917 ,
929 ,
926 ,
920 ,
898 ,
858 ,
813 ,
754 ,
700 ,
637 ,
569 ,
498 ,
420 ,
339 ,
257 ,
169 ,
88  ,
3 ,
-80 ,
-166  ,
-246  ,
-322  ,
-381  ,
-429  ,
-466  ,
-493  ,
-521  ,
-544  ,
-569  ,
-593  ,
-619  ,
-650  ,
-678  ,
-704  ,
-728  ,
-747  ,
-766  ,
-782  ,
-798  ,
-816  ,
-840  ,
-857  ,
-891  ,
-902  ,
-934  ,
-939  ,
-956  ,
-966  ,
-971  ,
-977  ,
-969  ,
-964  ,
-951  ,
-945  ,
-929  ,
-923  ,
-900  ,
-882  ,
-840  ,
-803  ,
-750  ,
-706  ,
-645  ,
-595  ,
-535  ,
-471  ,
-403  ,
-327  ,
-255  ,
-190  ,
-127  ,
-82 ,
-35 ,
-5  ,
32  ,
49  ,
73  ,
77  ,
89  ,
94  ,
104 ,
114 ,
136 ,
155 ,
180 ,
204 ,
235 ,
266 ,
308 ,
352 ,
411 ,
470 ,
532 ,
604 ,
668 ,
738 ,
793 ,
848 ,
895 ,
934 ,
968 ,
995 ,
1016  ,
1032  ,
1042  ,
1050  ,
1054  ,
1044  ,
1030  ,
1004  ,
972 ,
937 ,
902 ,
864 ,
839 ,
813 ,
794 ,
782 ,
767 ,
761 ,
753 ,
740 ,
732 ,
709 ,
692 ,
665 ,
650 ,
626 ,
611 ,
583 ,
563 ,
526 ,
487 ,
436 ,
382 ,
337 ,
277 ,
225 ,
159 ,
98  ,
33  ,
-26 ,
-77 ,
-128  ,
-183  ,
-243  ,
-306  ,
-366  ,
-422  ,
-467  ,
-507  ,
-532  ,
-563  ,
-577  ,
-597  ,
-605  ,
-605  ,
-590  ,
-564  ,
-527  ,
-494  ,
-462  ,
-433  ,
-404  ,
-368  ,
-342  ,
-312  ,
-293  ,
-281  ,
-276  ,
-278  ,
-270  ,
-266  ,
-256  ,
-246  ,
-236  ,
-231  ,
-221  ,
-213  ,
-192  ,
-171  ,
-148  ,
-112  ,
-77 ,
-32 ,
16  ,
64  ,
116 ,
157 ,
194 ,
228 ,
245 ,
267 ,
275 ,
286 ,
296 ,
298 ,
299 ,
286 ,
267 ,
245 ,
216 ,
186 ,
148 ,
113 ,
78  ,
46  ,
22  ,
4 ,
-6  ,
-14 ,
-12 ,
-25 ,
-22 ,
-44 ,
-39 ,
-51 ,
-48 ,
-48 ,
-35 ,
-30 ,
-17 ,
-22 ,
-11 ,
-15 ,
-6  ,
-11 ,
0 ,
-2  ,
2 ,
0 ,
10  ,
17  ,
33  ,
45  ,
68  ,
88  ,
101 ,
121 ,
136 ,
153 ,
172 ,
191 ,
217 ,
242 ,
270 ,
295 ,
325 ,
359 ,
391 ,
432 ,
468 ,
512 ,
548 ,
589 ,
622 ,
656 ,
675 ,
686 ,
691 ,
685 ,
675 ,
655 ,
638 ,
610 ,
586 ,
548 ,
519 ,
486 ,
443 ,
408 ,
365 ,
341 ,
301 ,
285 ,
260 ,
261 ,
258 ,
266 ,
268 ,
277 ,
273 ,
269 ,
254 ,
241 ,
225 ,
210 ,
193 ,
175 ,
145 ,
113 ,
66  ,
24  ,
-27 ,
-85 ,
-150  ,
-213  ,
-281  ,
-337  ,
-396  ,
-439  ,
-476  ,
-511  ,
-531  ,
-555  ,
-570  ,
-598  ,
-616  ,
-630  ,
-638  ,
-645  ,
-647  ,
-652  ,
-646  ,
-653  ,
-651  ,
-666  ,
-670  ,
-693  ,
-704  ,
-720  ,
-737  ,
-753  ,
-776  ,
-787  ,
-805  ,
-812  ,
-835  ,
-837  ,
-854  ,
-854  ,
-867  ,
-868  ,
-871  ,
-869  ,
-864  ,
-859  ,
-849  ,
-836  ,
-818  ,
-790  ,
-749  ,
-714  ,
-656  ,
-602  ,
-526  ,
-451  ,
-372  ,
-292  ,
-218  ,
-150  ,
-88 ,
-36 ,
23  ,
69  ,
119 ,
162 ,
201 ,
238 ,
260 ,
286 ,
305 ,
329 ,
348 ,
367 ,
390 ,
421 ,
451 ,
498 ,
542 ,
601 ,
659 ,
711 ,
764 ,
800 ,
836 ,
870 ,
906 ,
943 ,
978 ,
999 ,
1026  ,
1025  ,
1028  ,
1009  ,
985 ,
951 ,
906 ,
850 ,
789 ,
718 ,
653 ,
585 ,
523 ,
464 ,
398 ,
342 ,
275 ,
217 ,
159 ,
100 ,
55  ,
7 ,
-30 ,
-67 ,
-99 ,
-132  ,
-162  ,
-196  ,
-221  ,
-259  ,
-284  ,
-326  ,
-355  ,
-390  ,
-417  ,
-447  ,
-476  ,
-505  ,
-539  ,
-571  ,
-604  ,
-630  ,
-656  ,
-676  ,
-700  ,
-720  ,
-745  ,
-766  ,
-788  ,
-801  ,
-813  ,
-820  ,
-819  ,
-823  ,
-813  ,
-796  ,
-769  ,
-726  ,
-686  ,
-636  ,
-593  ,
-552  ,
-513  ,
-480  ,
-445  ,
-410  ,
-377  ,
-340  ,
-317  ,
-298  ,
-291  ,
-284  ,
-281  ,
-281  ,
-278  ,
-284  ,
-282  ,
-278  ,
-268  ,
-248  ,
-222  ,
-191  ,
-153  ,
-124  ,
-87 ,
-62 ,
-27 ,
9 ,
49  ,
98  ,
142 ,
192 ,
232 ,
270 ,
302 ,
328 ,
343 ,
349 ,
348 ,
336 ,
324 ,
303 ,
290 ,
282 ,
271 ,
266 ,
248 ,
238 ,
225 ,
213 ,
205 ,
195 ,
189 ,
187 ,
179 ,
180 ,
169 ,
179 ,
170 ,
183 ,
178 ,
172 ,
155 ,
138 ,
118 ,
111 ,
92  ,
81  ,
62  ,
38  ,
8 ,
-20 ,
-47 ,
-67 ,
-81 ,
-92 ,
-107  ,
-122  ,
-149  ,
-167  ,
-182  ,
-203  ,
-209  ,
-233  ,
-239  ,
-254  ,
-248  ,
-238  ,
-217  ,
-183  ,
-147  ,
-109  ,
-71 ,
-36 ,
-2  ,
44  ,
78  ,
120 ,
154 ,
180 ,
211 ,
235 ,
260 ,
276 ,
283 ,
281 ,
274 ,
262 ,
258 ,
249 ,
256 ,
265 ,
280 ,
300 ,
309 ,
333 ,
346 ,
377 ,
394 ,
426 ,
443 ,
466 ,
486 ,
503 ,
528 ,
542 ,
553 ,
552 ,
538 ,
509 ,
471 ,
425 ,
378 ,
332 ,
282 ,
235 ,
177 ,
119 ,
59  ,
2 ,
-57 ,
-102  ,
-151  ,
-189  ,
-229  ,
-262  ,
-290  ,
-314  ,
-331  ,
-344  ,
-349  ,
-360  ,
-366  ,
-379  ,
-389  ,
-401  ,
-410  ,
-414  ,
-422  ,
-425  ,
-436  ,
-444  ,
-453  ,
-456  ,
-458  ,
-451  ,
-450  ,
-436  ,
-432  ,
-418  ,
-410  ,
-406  ,
-397  ,
-399  ,
-393  ,
-394  ,
-388  ,
-376  ,
-358  ,
-324  ,
-292  ,
-249  ,
-209  ,
-160  ,
-113  ,
-59 ,
-6  ,
51  ,
101 ,
148 ,
193 ,
235 ,
289 ,
325 ,
373 ,
393 ,
406 ,
399 ,
383 ,
369 ,
349 ,
340 ,
328 ,
321 ,
310 ,
303 ,
287 ,
290 ,
278 ,
290 ,
292 ,
302 ,
308 ,
325 ,
342 ,
372 ,
404 ,
440 ,
476 ,
502 ,
521 ,
533 ,
537 ,
538 ,
537 ,
527 ,
522 ,
497 ,
476 ,
442 ,
411 ,
375 ,
339 ,
299 ,
255 ,
215 ,
179 ,
153 ,
128 ,
109 ,
91  ,
76  ,
61  ,
49  ,
34  ,
28  ,
13  ,
11  ,
-6  ,
-14 ,
-35 ,
-51 ,
-69 ,
-83 ,
-104  ,
-127  ,
-150  ,
-180  ,
-196  ,
-222  ,
-237  ,
-256  ,
-274  ,
-301  ,
-327  ,
-371  ,
-406  ,
-452  ,
-482  ,
-513  ,
-532  ,
-546  ,
-558  ,
-556  ,
-561  ,
-544  ,
-533  ,
-507  ,
-482  ,
-449  ,
-411  ,
-374  ,
-328  ,
-281  ,
-219  ,
-163  ,
-110  ,
-63 ,
-32 ,
-8  ,
15  ,
31  ,
54  ,
73  ,
97  ,
121 ,
146 ,
171 ,
190 ,
215 ,
238 ,
260 ,
284 ,
311 ,
339 ,
379 ,
418 ,
467 ,
510 ,
552 ,
587 ,
619 ,
647 ,
665 ,
680 ,
677 ,
677 ,
654 ,
636 ,
607 ,
579 ,
546 ,
514 ,
466 ,
415 ,
353 ,
285 ,
231 ,
168 ,
126 ,
67  ,
27  ,
-33 ,
-80 ,
-134  ,
-174  ,
-215  ,
-244  ,
-271  ,
-303  ,
-329  ,
-363  ,
-389  ,
-413  ,
-434  ,
-457  ,
-478  ,
-512  ,
-538  ,
-565  ,
-579  ,
-588  ,
-587  ,
-583  ,
-583  ,
-588  ,
-600  ,
-614  ,
-624  ,
-635  ,
-635  ,
-636  ,
-630  ,
-624  ,
-607  ,
-579  ,
-550  ,
-511  ,
-481  ,
-438  ,
-404  ,
-358  ,
-314  ,
-259  ,
-194  ,
-134  ,
-62 ,
-5  ,
50  ,
98  ,
134 ,
170 ,
193 ,
209 ,
220 ,
223 ,
232 ,
234 ,
238 ,
242 ,
240 ,
240 ,
233 ,
225 ,
220 ,
217 ,
225 ,
241 ,
268 ,
295 ,
327 ,
351 ,
385 ,
413 ,
444 ,
472 ,
496 ,
513 ,
516 ,
521 ,
515 ,
522 ,
509 ,
507 ,
480 ,
455 ,
413 ,
371 ,
334 ,
298 ,
269 ,
237 ,
210 ,
179 ,
152 ,
122 ,
99  ,
84  ,
66  ,
59  ,
46  ,
36  ,
29  ,
20  ,
22  ,
17  ,
14  ,
-5  ,
-29 ,
-59 ,
-87 ,
-114  ,
-133  ,
-151  ,
-169  ,
-189  ,
-218  ,
-245  ,
-280  ,
-318  ,
-358  ,
-407  ,
-455  ,
-516  ,
-564  ,
-608  ,
-644  ,
-672  ,
-702  ,
-726  ,
-758  ,
-775  ,
-798  ,
-792  ,
-786  ,
-761  ,
-733  ,
-698  ,
-661  ,
-623  ,
-576  ,
-533  ,
-485  ,
-455  ,
-427  ,
-412  ,
-390  ,
-378  ,
-348  ,
-328  ,
-298  ,
-282  ,
-266  ,
-264  ,
-251  ,
-250  ,
-234  ,
-222  ,
-202  ,
-183  ,
-155  ,
-124  ,
-74 ,
-24 ,
34  ,
88  ,
141 ,
189 ,
237 ,
283 ,
334 ,
379 ,
421 ,
448 ,
475 ,
478 ,
493 ,
485 ,
495 ,
478 ,
470 ,
436 ,
417 ,
380 ,
360 ,
329 ,
313 ,
282 ,
258 ,
226 ,
204 ,
185 ,
180 ,
174 ,
183 ,
180 ,
183 ,
168 ,
162 ,
143 ,
139 ,
117 ,
115 ,
95  ,
88  ,
76  ,
76  ,
76  ,
84  ,
81  ,
83  ,
73  ,
59  ,
39  ,
26  ,
12  ,
2 ,
-8  ,
-17 ,
-24 ,
-38 ,
-49 ,
-62 ,
-71 ,
-77 ,
-78 ,
-74 ,
-60 ,
-43 ,
-13 ,
17  ,
59  ,
94  ,
130 ,
160 ,
177 ,
199 ,
208 ,
219 ,
230 ,
233 ,
237 ,
234 ,
226 ,
217 ,
200 ,
184 ,
160 ,
143 ,
110 ,
93  ,
64  ,
58  ,
50  ,
57  ,
67  ,
74  ,
87  ,
92  ,
114 ,
123 ,
147 ,
160 ,
184 ,
200 ,
209 ,
217 ,
216 ,
210 ,
199 ,
182 ,
166 ,
143 ,
119 ,
92  ,
71  ,
45  ,
23  ,
-8  ,
-38 ,
-71 ,
-104  ,
-131  ,
-156  ,
-161  ,
-169  ,
-161  ,
-161  ,
-158  ,
-165  ,
-173  ,
-179  ,
-192  ,
-195  ,
-217  ,
-221  ,
-242  ,
-249  ,
-258  ,
-260  ,
-253  ,
-260  ,
-265  ,
-279  ,
-298  ,
-312  ,
-333  ,
-337  ,
-351  ,
-354  ,
-367  ,
-373  ,
-377  ,
-384  ,
-383  ,
-392  ,
-384  ,
-387  ,
-371  ,
-352  ,
-321  ,
-270  ,
-225  ,
-156  ,
-101  ,
-38 ,
14  ,
64  ,
120 ,
166 ,
216 ,
259 ,
305 ,
343 ,
388 ,
420 ,
465 ,
489 ,
515 ,
529 ,
540 ,
549 ,
554 ,
570 ,
588 ,
613 ,
638 ,
667 ,
699 ,
735 ,
765 ,
807 ,
844 ,
887 ,
926 ,
961 ,
991 ,
1016  ,
1028  ,
1037  ,
1039  ,
1032  ,
1019  ,
993 ,
955 ,
918 ,
868 ,
822 ,
773 ,
712 ,
652 ,
574 ,
496 ,
419 ,
345 ,
278 ,
222 ,
166 ,
118 ,
68  ,
21  ,
-22 ,
-65 ,
-112  ,
-154  ,
-204  ,
-249  ,
-295  ,
-335  ,
-362  ,
-400  ,
-416  ,
-444  ,
-466  ,
-492  ,
-528  ,
-558  ,
-592  ,
-618  ,
-648  ,
-668  ,
-693  ,
-713  ,
-734  ,
-755  ,
-779  ,
-803  ,
-832  ,
-855  ,
-879  ,
-891  ,
-900  ,
-897  ,
-878  ,
-856  ,
-819  ,
-784  ,
-742  ,
-697  ,
-660  ,
-613  ,
-576  ,
-529  ,
-494  ,
-453  ,
-413  ,
-378  ,
-340  ,
-315  ,
-286  ,
-270  ,
-256  ,
-256  ,
-245  ,
-251  ,
-233  ,
-233  ,
-215  ,
-202  ,
-192  ,
-168  ,
-153  ,
-118  ,
-86 ,
-41 ,
5 ,
57  ,
113 ,
166 ,
224 ,
280 ,
337 ,
380 ,
424 ,
458 ,
491 ,
524 ,
547 ,
581 ,
593 ,
609 ,
612 ,
608 ,
603 ,
584 ,
572 ,
560 ,
550 ,
547 ,
539 ,
541 ,
540 ,
546 ,
550 ,
550 ,
543 ,
531 ,
513 ,
494 ,
479 ,
465 ,
458 ,
449 ,
436 ,
421 ,
393 ,
365 ,
333 ,
301 ,
264 ,
230 ,
190 ,
155 ,
113 ,
77  ,
40  ,
-4  ,
-50 ,
-110  ,
-164  ,
-236  ,
-296  ,
-360  ,
-409  ,
-455  ,
-494  ,
-528  ,
-552  ,
-578  ,
-592  ,
-600  ,
-608  ,
-606  ,
-615  ,
-610  ,
-612  ,
-602  ,
-591  ,
-572  ,
-552  ,
-544  ,
-536  ,
-539  ,
-540  ,
-539  ,
-541  ,
-538  ,
-540  ,
-539  ,
-543  ,
-547  ,
-547  ,
-542  ,
-531  ,
-511  ,
-492  ,
-468  ,
-446  ,
-415  ,
-374  ,
-327  ,
-281  ,
-228  ,
-192  ,
-151  ,
-129  ,
-98 ,
-75 ,
-40 ,
-20 ,
6 ,
18  ,
15  ,
11  ,
-6  ,
-17 ,
-39 ,
-64 ,
-92 ,
-124  ,
-151  ,
-174  ,
-190  ,
-203  ,
-210  ,
-219  ,
-227  ,
-245  ,
-256  ,
-272  ,
-278  ,
-277  ,
-280  ,
-270  ,
-276  ,
-267  ,
-270  ,
-267  ,
-267  ,
-270  ,
-274  ,
-278  ,
-289  ,
-289  ,
-289  ,
-275  ,
-260  ,
-242  ,
-232  ,
-228  ,
-228  ,
-232  ,
-233  ,
-237  ,
-229  ,
-226  ,
-212  ,
-199  ,
-176  ,
-149  ,
-113  ,
-74 ,
-26 ,
18  ,
63  ,
108 ,
156 ,
210 ,
267 ,
324 ,
379 ,
425 ,
464 ,
498 ,
527 ,
549 ,
574 ,
591 ,
601 ,
608 ,
601 ,
595 ,
590 ,
577 ,
574 ,
561 ,
552 ,
535 ,
530 ,
521 ,
528 ,
538 ,
555 ,
570 ,
585 ,
591 ,
603 ,
607 ,
617 ,
625 ,
632 ,
634 ,
630 ,
622 ,
611 ,
588 ,
566 ,
530 ,
485 ,
432 ,
375 ,
321 ,
274 ,
234 ,
200 ,
171 ,
133 ,
102 ,
60  ,
23  ,
-13 ,
-46 ,
-75 ,
-102  ,
-126  ,
-147  ,
-167  ,
-182  ,
-197  ,
-209  ,
-227  ,
-244  ,
-278  ,
-298  ,
-332  ,
-342  ,
-359  ,
-367  ,
-377  ,
-395  ,
-409  ,
-437  ,
-461  ,
-487  ,
-514  ,
-543  ,
-576  ,
-610  ,
-643  ,
-666  ,
-685  ,
-688  ,
-691  ,
-685  ,
-683  ,
-675  ,
-663  ,
-644  ,
-610  ,
-575  ,
-532  ,
-490  ,
-452  ,
-409  ,
-375  ,
-329  ,
-292  ,
-247  ,
-213  ,
-180  ,
-151  ,
-125  ,
-103  ,
-69 ,
-52 ,
-17 ,
-6  ,
13  ,
26  ,
43  ,
72  ,
103 ,
144 ,
184 ,
227 ,
266 ,
316 ,
361 ,
416 ,
470 ,
522 ,
573 ,
625 ,
667 ,
726 ,
765 ,
820 ,
850 ,
874 ,
881 ,
872 ,
861 ,
849 ,
839 ,
832 ,
821 ,
812 ,
793 ,
777 ,
752 ,
730 ,
711 ,
679 ,
657 ,
611 ,
578 ,
535 ,
502 ,
474 ,
454 ,
428 ,
402 ,
361 ,
319 ,
279 ,
236 ,
207 ,
177 ,
151 ,
122 ,
93  ,
56  ,
32  ,
-1  ,
-24 ,
-51 ,
-86 ,
-128  ,
-175  ,
-223  ,
-263  ,
-305  ,
-336  ,
-372  ,
-403  ,
-437  ,
-469  ,
-493  ,
-516  ,
-521  ,
-529  ,
-516  ,
-517  ,
-498  ,
-493  ,
-467  ,
-453  ,
-425  ,
-408  ,
-385  ,
-373  ,
-352  ,
-343  ,
-326  ,
-317  ,
-307  ,
-300  ,
-300  ,
-310  ,
-316  ,
-328  ,
-328  ,
-327  ,
-318  ,
-310  ,
-296  ,
-288  ,
-267  ,
-254  ,
-227  ,
-208  ,
-176  ,
-152  ,
-119  ,
-88 ,
-48 ,
-7  ,
48  ,
88  ,
130 ,
152 ,
166 ,
174 ,
175 ,
178 ,
180 ,
176 ,
170 ,
166 ,
154 ,
150 ,
139 ,
137 ,
129 ,
120 ,
105 ,
94  ,
80  ,
75  ,
76  ,
81  ,
87  ,
82  ,
83  ,
70  ,
68  ,
54  ,
55  ,
47  ,
45  ,
37  ,
33  ,
31  ,
32  ,
29  ,
32  ,
15  ,
3 ,
-22 ,
-49 ,
-71 ,
-94 ,
-119  ,
-137  ,
-166  ,
-188  ,
-216  ,
-242  ,
-261  ,
-272  ,
-284  ,
-281  ,
-291  ,
-277  ,
-276  ,
-253  ,
-229  ,
-199  ,
-163  ,
-136  ,
-107  ,
-83 ,
-56 ,
-29 ,
7 ,
34  ,
65  ,
76  ,
90  ,
84  ,
91  ,
81  ,
81  ,
77  ,
71  ,
74  ,
75  ,
81  ,
89  ,
97  ,
108 ,
117 ,
125 ,
131 ,
141 ,
156 ,
181 ,
213 ,
248 ,
283 ,
310 ,
335 ,
346 ,
361 ,
362 ,
364 ,
353 ,
337 ,
319 ,
291 ,
274 ,
245 ,
224 ,
192 ,
161 ,
121 ,
85  ,
46  ,
10  ,
-19 ,
-45 ,
-72 ,
-89 ,
-113  ,
-135  ,
-156  ,
-178  ,
-198  ,
-217  ,
-241  ,
-262  ,
-282  ,
-296  ,
-303  ,
-301  ,
-301  ,
-294  ,
-301  ,
-303  ,
-322  ,
-328  ,
-347  ,
-354  ,
-370  ,
-384  ,
-401  ,
-420  ,
-436  ,
-454  ,
-461  ,
-477  ,
-479  ,
-487  ,
-487  ,
-484  ,
-475  ,
-456  ,
-429  ,
-400  ,
-368  ,
-338  ,
-314  ,
-276  ,
-245  ,
-199  ,
-158  ,
-114  ,
-78 ,
-42 ,
-16 ,
12  ,
24  ,
40  ,
39  ,
39  ,
34  ,
28  ,
28  ,
30  ,
31  ,
37  ,
38  ,
38  ,
34  ,
34  ,
31  ,
45  ,
48  ,
78  ,
91  ,
128 ,
154 ,
186 ,
224 ,
252 ,
285 ,
301 ,
313 ,
315 ,
318 ,
321 ,
329 ,
328 ,
335 ,
323 ,
319 ,
300 ,
294 ,
275 ,
273 ,
258 ,
255 ,
246 ,
240 ,
238 ,
237 ,
238 ,
234 ,
228 ,
212 ,
191 ,
171 ,
150 ,
133 ,
119 ,
108 ,
92  ,
86  ,
70  ,
65  ,
51  ,
39  ,
16  ,
0 ,
-34 ,
-54 ,
-87 ,
-108  ,
-141  ,
-167  ,
-203  ,
-232  ,
-271  ,
-300  ,
-336  ,
-358  ,
-381  ,
-397  ,
-402  ,
-413  ,
-416  ,
-419  ,
-417  ,
-403  ,
-391  ,
-362  ,
-344  ,
-305  ,
-277  ,
-235  ,
-199  ,
-160  ,
-127  ,
-102  ,
-85 ,
-71 ,
-64 ,
-53 ,
-44 ,
-26 ,
-12 ,
11  ,
17  ,
38  ,
43  ,
58  ,
75  ,
90  ,
115 ,
135 ,
165 ,
199 ,
236 ,
290 ,
331 ,
394 ,
427 ,
472 ,
501 ,
527 ,
555 ,
572 ,
592 ,
597 ,
604 ,
601 ,
593 ,
587 ,
564 ,
551 ,
517 ,
487 ,
450 ,
418 ,
388 ,
368 ,
348 ,
330 ,
312 ,
280 ,
250 ,
210 ,
170 ,
138 ,
98  ,
70  ,
32  ,
0 ,
-31 ,
-59 ,
-77 ,
-91 ,
-105  ,
-120  ,
-139  ,
-163  ,
-180  ,
-200  ,
-213  ,
-232  ,
-252  ,
-277  ,
-309  ,
-337  ,
-365  ,
-387  ,
-403  ,
-420  ,
-434  ,
-445  ,
-457  ,
-461  ,
-464  ,
-458  ,
-447  ,
-436  ,
-422  ,
-401  ,
-375  ,
-335  ,
-289  ,
-235  ,
-181  ,
-128  ,
-87 ,
-47 ,
-21 ,
12  ,
32  ,
56  ,
69  ,
77  ,
83  ,
86  ,
92  ,
100 ,
103 ,
105 ,
97  ,
91  ,
79  ,
79  ,
84  ,
103 ,
122 ,
149 ,
174 ,
196 ,
227 ,
253 ,
285 ,
312 ,
338 ,
357 ,
379 ,
386 ,
404 ,
410 ,
423 ,
426 ,
424 ,
416 ,
399 ,
377 ,
357 ,
336 ,
326 ,
311 ,
310 ,
295 ,
294 ,
277 ,
268 ,
252 ,
237 ,
220 ,
204 ,
185 ,
172 ,
158 ,
148 ,
141 ,
130 ,
121 ,
109 ,
96  ,
90  ,
79  ,
73  ,
63  ,
45  ,
31  ,
3 ,
-21 ,
-49 ,
-84 ,
-114  ,
-155  ,
-189  ,
-232  ,
-265  ,
-299  ,
-325  ,
-347  ,
-374  ,
-396  ,
-422  ,
-447  ,
-463  ,
-479  ,
-482  ,
-476  ,
-470  ,
-447  ,
-434  ,
-407  ,
-390  ,
-367  ,
-348  ,
-329  ,
-312  ,
-294  ,
-288  ,
-271  ,
-266  ,
-257  ,
-247  ,
-242  ,
-229  ,
-229  ,
-228  ,
-232  ,
-235  ,
-237  ,
-225  ,
-215  ,
-186  ,
-160  ,
-127  ,
-91 ,
-58 ,
-19 ,
14  ,
54  ,
85  ,
127 ,
158 ,
198 ,
231 ,
267 ,
295 ,
316 ,
328 ,
333 ,
335 ,
337 ,
334 ,
335 ,
328 ,
331 ,
327 ,
336 ,
333 ,
338 ,
337 ,
338 ,
327 ,
320 ,
302 ,
290 ,
278 ,
265 ,
253 ,
239 ,
224 ,
210 ,
204 ,
193 ,
195 ,
191 ,
191 ,
191 ,
186 ,
185 ,
172 ,
162 ,
151 ,
128 ,
112 ,
80  ,
60  ,
35  ,
18  ,
0 ,
-17 ,
-33 ,
-55 ,
-72 ,
-88 ,
-109  ,
-115  ,
-126  ,
-120  ,
-115  ,
-99 ,
-77 ,
-49 ,
-21 ,
4 ,
33  ,
53  ,
79  ,
98  ,
120 ,
139 ,
159 ,
170 ,
186 ,
190 ,
192 ,
191 ,
179 ,
174 ,
150 ,
133 ,
105 ,
88  ,
76  ,
63  ,
66  ,
56  ,
60  ,
55  ,
57  ,
63  ,
70  ,
79  ,
93  ,
104 ,
117 ,
130 ,
131 ,
149 ,
144 ,
151 ,
139 ,
131 ,
110 ,
93  ,
70  ,
49  ,
36  ,
9 ,
0 ,
-21 ,
-33 ,
-46 ,
-61 ,
-74 ,
-86 ,
-109  ,
-125  ,
-147  ,
-160  ,
-175  ,
-189  ,
-202  ,
-215  ,
-228  ,
-239  ,
-245  ,
-243  ,
-241  ,
-232  ,
-227  ,
-226  ,
-222  ,
-231  ,
-233  ,
-239  ,
-251  ,
-263  ,
-281  ,
-299  ,
-315  ,
-333  ,
-344  ,
-356  ,
-367  ,
-382  ,
-397  ,
-413  ,
-427  ,
-434  ,
-429  ,
-417  ,
-395  ,
-371  ,
-347  ,
-313  ,
-287  ,
-247  ,
-210  ,
-170  ,
-126  ,
-88 ,
-42 ,
-5  ,
39  ,
78  ,
118 ,
153 ,
176 ,
193 ,
200 ,
204 ,
204 ,
207 ,
212 ,
214 ,
228 ,
234 ,
256 ,
269 ,
295 ,
312 ,
337 ,
357 ,
380 ,
406 ,
438 ,
469 ,
503 ,
534 ,
554 ,
577 ,
589 ,
597 ,
605 ,
599 ,
598 ,
582 ,
569 ,
545 ,
528 ,
504 ,
487 ,
465 ,
442 ,
413 ,
381 ,
347 ,
316 ,
283 ,
253 ,
225 ,
195 ,
160 ,
127 ,
81  ,
51  ,
7 ,
-16 ,
-48 ,
-62 ,
-87 ,
-106  ,
-130  ,
-150  ,
-176  ,
-199  ,
-232  ,
-255  ,
-292  ,
-322  ,
-355  ,
-383  ,
-407  ,
-434  ,
-459  ,
-490  ,
-524  ,
-557  ,
-591  ,
-617  ,
-641  ,
-659  ,
-670  ,
-678  ,
-680  ,
-676  ,
-670  ,
-659  ,
-645  ,
-631  ,
-612  ,
-596  ,
-567  ,
-545  ,
-511  ,
-483  ,
-450  ,
-422  ,
-403  ,
-380  ,
-371  ,
-354  ,
-351  ,
-351  ,
-350  ,
-359  ,
-362  ,
-362  ,
-357  ,
-343  ,
-336  ,
-318  ,
-314  ,
-293  ,
-283  ,
-254  ,
-227  ,
-188  ,
-151  ,
-113  ,
-73 ,
-39 ,
1 ,
37  ,
72  ,
109 ,
132 ,
159 ,
177 ,
199 ,
216 ,
236 ,
251 ,
266 ,
279 ,
288 ,
299 ,
307 ,
319 ,
329 ,
344 ,
357 ,
369 ,
378 ,
393 ,
392 ,
404 ,
397 ,
405 ,
402 ,
416 ,
418 ,
435 ,
444 ,
459 ,
466 ,
470 ,
466 ,
460 ,
456 ,
444 ,
440 ,
425 ,
405 ,
386 ,
357 ,
334 ,
303 ,
272 ,
240 ,
198 ,
153 ,
106 ,
64  ,
36  ,
7 ,
-7  ,
-26 ,
-42 ,
-58 ,
-77 ,
-90 ,
-100  ,
-104  ,
-106  ,
-99 ,
-101  ,
-94 ,
-94 ,
-86 ,
-82 ,
-73 ,
-73 ,
-75 ,
-85 ,
-104  ,
-123  ,
-145  ,
-161  ,
-175  ,
-188  ,
-199  ,
-211  ,
-227  ,
-239  ,
-250  ,
-249  ,
-250  ,
-238  ,
-234  ,
-213  ,
-198  ,
-172  ,
-150  ,
-121  ,
-102  ,
-86 ,
-72 ,
-65 ,
-54 ,
-48 ,
-33 ,
-28 ,
-24 ,
-23 ,
-34 ,
-34 ,
-49 ,
-59 ,
-63 ,
-75 ,
-79 ,
-95 ,
-106  ,
-117  ,
-129  ,
-132  ,
-148  ,
-155  ,
-179  ,
-196  ,
-217  ,
-228  ,
-234  ,
-232  ,
-230  ,
-227  ,
-225  ,
-238  ,
-236  ,
-247  ,
-236  ,
-227  ,
-217  ,
-203  ,
-202  ,
-200  ,
-200  ,
-197  ,
-197  ,
-192  ,
-198  ,
-203  ,
-219  ,
-234  ,
-245  ,
-252  ,
-244  ,
-238  ,
-221  ,
-208  ,
-199  ,
-182  ,
-167  ,
-144  ,
-115  ,
-84 ,
-50 ,
-11 ,
28  ,
73  ,
119 ,
167 ,
216 ,
254 ,
291 ,
314 ,
336 ,
351 ,
366 ,
377 ,
384 ,
385 ,
381 ,
372 ,
366 ,
354 ,
345 ,
341 ,
328 ,
326 ,
318 ,
325 ,
332 ,
344 ,
357 ,
369 ,
372 ,
380 ,
377 ,
386 ,
388 ,
397 ,
395 ,
396 ,
388 ,
376 ,
365 ,
350 ,
339 ,
331 ,
312 ,
302 ,
280 ,
260 ,
242 ,
221 ,
212 ,
189 ,
172 ,
135 ,
104 ,
71  ,
38  ,
20  ,
6 ,
-10 ,
-20 ,
-43 ,
-61 ,
-85 ,
-104  ,
-122  ,
-135  ,
-152  ,
-166  ,
-189  ,
-205  ,
-221  ,
-232  ,
-240  ,
-254  ,
-275  ,
-303  ,
-338  ,
-372  ,
-405  ,
-433  ,
-456  ,
-480  ,
-496  ,
-523  ,
-542  ,
-564  ,
-579  ,
-587  ,
-592  ,
-605  ,
-604  ,
-617  ,
-603  ,
-589  ,
-562  ,
-531  ,
-503  ,
-480  ,
-453  ,
-441  ,
-417  ,
-389  ,
-365  ,
-331  ,
-313  ,
-297  ,
-291  ,
-282  ,
-272  ,
-257  ,
-240  ,
-233  ,
-219  ,
-216  ,
-195  ,
-178  ,
-136  ,
-97 ,
-48 ,
-6  ,
32  ,
68  ,
103 ,
145 ,
192 ,
242 ,
288 ,
326 ,
352 ,
379 ,
399 ,
425 ,
446 ,
470 ,
485 ,
496 ,
505 ,
507 ,
518 ,
529 ,
542 ,
553 ,
550 ,
543 ,
522 ,
511 ,
494 ,
488 ,
486 ,
475 ,
472 ,
450 ,
441 ,
423 ,
412 ,
402 ,
380 ,
363 ,
332 ,
306 ,
280 ,
265 ,
251 ,
241 ,
228 ,
199 ,
173 ,
127 ,
93  ,
50  ,
19  ,
-20 ,
-53 ,
-97 ,
-127  ,
-175  ,
-196  ,
-230  ,
-248  ,
-271  ,
-299  ,
-327  ,
-352  ,
-370  ,
-369  ,
-364  ,
-350  ,
-340  ,
-332  ,
-328  ,
-321  ,
-315  ,
-298  ,
-284  ,
-267  ,
-260  ,
-264  ,
-260  ,
-276  ,
-262  ,
-274  ,
-264  ,
-278  ,
-295  ,
-311  ,
-337  ,
-339  ,
-355  ,
-340  ,
-342  ,
-328  ,
-327  ,
-323  ,
-312  ,
-298  ,
-268  ,
-241  ,
-208  ,
-184  ,
-168  ,
-148  ,
-130  ,
-108  ,
-84 ,
-67 ,
-54 ,
-47 ,
-44 ,
-35 ,
-22 ,
-1  ,
22  ,
37  ,
48  ,
40  ,
36  ,
22  ,
26  ,
22  ,
25  ,
20  ,
14  ,
9 ,
6 ,
11  ,
18  ,
26  ,
21  ,
22  ,
6 ,
2 ,
-1  ,
12  ,
30  ,
44  ,
61  ,
63  ,
69  ,
68  ,
69  ,
78  ,
73  ,
67  ,
52  ,
28  ,
13  ,
-7  ,
-19 ,
-26 ,
-44 ,
-58 ,
-88 ,
-115  ,
-136  ,
-153  ,
-152  ,
-153  ,
-141  ,
-139  ,
-130  ,
-121  ,
-103  ,
-82 ,
-53 ,
-33 ,
-4  ,
14  ,
32  ,
54  ,
73  ,
103 ,
123 ,
135 ,
142 ,
131 ,
132 ,
118 ,
122 ,
119 ,
125 ,
125 ,
125 ,
121 ,
120 ,
124 ,
132 ,
149 ,
160 ,
176 ,
185 ,
199 ,
208 ,
228 ,
241 ,
256 ,
265 ,
261 ,
263 ,
256 ,
260 ,
258 ,
270 ,
270 ,
279 ,
266 ,
266 ,
254 ,
245 ,
231 ,
213 ,
195 ,
171 ,
143 ,
121 ,
98  ,
97  ,
64  ,
21  ,
-11 ,
-27 ,
-60 ,
-92 ,
-114  ,
-125  ,
-125  ,
-119  ,
-129  ,
-129  ,
-107  ,
-98 ,
-117  ,
-136  ,
-159  ,
-176  ,
-193  ,
-186  ,
-181  ,
-193  ,
-210  ,
-222  ,
-215  ,
-242  ,
-291  ,
-310  ,
-307  ,
-325  ,
-354  ,
-354  ,
-336  ,
-336  ,
-325  ,
-313  ,
-289  ,
-296  ,
-289  ,
-258  ,
-227  ,
-209  ,
-183  ,
-148  ,
-113  ,
-104  ,
-77 ,
-59 ,
-43 ,
-13 ,
15  ,
35  ,
28  ,
26  ,
26  ,
21  ,
20  ,
20  ,
22  ,
27  ,
28  ,
44  ,
50  ,
64  ,
89  ,
127 ,
141 ,
150 ,
168 ,
208 ,
238 ,
266 ,
278 ,
276 ,
258 ,
257 ,
282 ,
291 ,
312 ,
327 ,
354 ,
356 ,
351 ,
346 ,
352 ,
351 ,
352 ,
341 ,
330 ,
306 ,
302 ,
300 ,
311 ,
301 ,
282 ,
277 ,
260 ,
254 ,
241 ,
229 ,
225 ,
233 ,
230 ,
213 ,
187 ,
171 ,
169 ,
177 ,
183 ,
178 ,
153 ,
130 ,
113 ,
104 ,
85  ,
70  ,
62  ,
53  ,
20  ,
-28 ,
-75 ,
-110  ,
-140  ,
-152  ,
-171  ,
-190  ,
-209  ,
-217  ,
-207  ,
-209  ,
-211  ,
-209  ,
-198  ,
-194  ,
-183  ,
-186  ,
-173  ,
-155  ,
-123  ,
-95 ,
-89 ,
-89 ,
-92 ,
-77 ,
-71 ,
-51 ,
-54 ,
-45 ,
-57 ,
-67 ,
-83 ,
-108  ,
-114  ,
-104  ,
-88 ,
-76 ,
-76 ,
-67 ,
-52 ,
-22 ,
6 ,
47  ,
60  ,
78  ,
89  ,
104 ,
107 ,
114 ,
132 ,
156 ,
177 ,
185 ,
192 ,
198 ,
209 ,
232 ,
251 ,
253 ,
247 ,
228 ,
221 ,
205 ,
200 ,
202 ,
204 ,
202 ,
184 ,
154 ,
121 ,
87  ,
78  ,
66  ,
62  ,
41  ,
19  ,
-7  ,
-27 ,
-31 ,
-35 ,
-37 ,
-44 ,
-58 ,
-70 ,
-89 ,
-100  ,
-97 ,
-91 ,
-93 ,
-104  ,
-126  ,
-153  ,
-182  ,
-198  ,
-213  ,
-225  ,
-254  ,
-276  ,
-310  ,
-334  ,
-349  ,
-345  ,
-333  ,
-328  ,
-327  ,
-331  ,
-329  ,
-326  ,
-305  ,
-271  ,
-232  ,
-207  ,
-183  ,
-169  ,
-158  ,
-138  ,
-115  ,
-77 ,
-47 ,
-25 ,
-12 ,
-7  ,
7 ,
7 ,
17  ,
16  ,
17  ,
17  ,
5 ,
7 ,
13  ,
39  ,
67  ,
94  ,
120 ,
133 ,
131 ,
140 ,
155 ,
173 ,
185 ,
199 ,
202 ,
203 ,
205 ,
206 ,
228 ,
242 ,
262 ,
276 ,
280 ,
274 ,
266 ,
266 ,
274 ,
275 ,
287 ,
271 ,
267 ,
248 ,
232 ,
214 ,
197 ,
185 ,
174 ,
158 ,
143 ,
124 ,
112 ,
109 ,
112 ,
106 ,
96  ,
67  ,
53  ,
33  ,
28  ,
24  ,
24  ,
24  ,
17  ,
8 ,
-10 ,
-33 ,
-42 ,
-55 ,
-60 ,
-85 ,
-118  ,
-160  ,
-191  ,
-222  ,
-234  ,
-254  ,
-268  ,
-286  ,
-308  ,
-319  ,
-332  ,
-324  ,
-315  ,
-298  ,
-288  ,
-285  ,
-298  ,
-299  ,
-300  ,
-288  ,
-268  ,
-260  ,
-255  ,
-261  ,
-268  ,
-269  ,
-264  ,
-265  ,
-265  ,
-269  ,
-290  ,
-304  ,
-330  ,
-331  ,
-328  ,
-310  ,
-285  ,
-270  ,
-253  ,
-249  ,
-229  ,
-207  ,
-183  ,
-162  ,
-139  ,
-130  ,
-110  ,
-103  ,
-79 ,
-57 ,
-32 ,
-5  ,
9 ,
21  ,
26  ,
36  ,
63  ,
87  ,
117 ,
130 ,
142 ,
143 ,
148 ,
152 ,
160 ,
168 ,
172 ,
170 ,
166 ,
161 ,
159 ,
165 ,
178 ,
200 ,
203 ,
210 ,
200 ,
201 ,
195 ,
200 ,
197 ,
209 ,
205 ,
204 ,
203 ,
201 ,
188 ,
173 ,
121 ,
77  ,
10  ,
-57 ,
-146  ,
-219  ,
-269  ,
-298  ,
-301  ,
-291  ,
-279  ,
-251  ,
-201  ,
-124  ,
-44 ,
21  ,
95  ,
175 ,
245 ,
307 ,
343 ,
386 ,
420 ,
467 ,
481 ,
451 ,
406 ,
371 ,
331 ,
299 ,
271 ,
259 ,
244 ,
210 ,
183 ,
152 ,
143 ,
130 ,
141 ,
147 ,
163 ,
177 ,
206 ,
247 ,
300 ,
360 ,
416 ,
454 ,
441 ,
383 ,
319 ,
280 ,
244 ,
210 ,
163 ,
122 ,
116 ,
132 ,
152 ,
153 ,
167 ,
196 ,
208 ,
169 ,
100 ,
33  ,
-1  ,
-10 ,
-6  ,
-5  ,
-2  ,
17  ,
56  ,
93  ,
117 ,
109 ,
80  ,
24  ,
-57 ,
-155  ,
-236  ,
-302  ,
-341  ,
-384  ,
-394  ,
-392  ,
-373  ,
-352  ,
-322  ,
-293  ,
-271  ,
-292  ,
-355  ,
-458  ,
-543  ,
-587  ,
-598  ,
-597  ,
-582  ,
-555  ,
-508  ,
-473  ,
-441  ,
-421  ,
-395  ,
-376  ,
-382  ,
-417  ,
-488  ,
-539  ,
-559  ,
-544  ,
-498  ,
-449  ,
-394  ,
-343  ,
-300  ,
-269  ,
-252  ,
-221  ,
-191  ,
-168  ,
-163  ,
-161  ,
-161  ,
-143  ,
-109  ,
-52 ,
10  ,
69  ,
115 ,
151 ,
156 ,
162 ,
166 ,
161 ,
132 ,
97  ,
64  ,
55  ,
40  ,
40  ,
50  ,
79  ,
130 ,
188 ,
248 ,
308 ,
374 ,
450 ,
520 ,
575 ,
604 ,
634 ,
670 ,
715 ,
740 ,
770 ,
780 ,
792 ,
784 ,
771 ,
753 ,
747 ,
747 ,
755 ,
751 ,
735 ,
705 ,
658 ,
617 ,
564 ,
540 ,
498 ,
462 ,
417 ,
371 ,
345 ,
326 ,
326 ,
317 ,
298 ,
278 ,
250 ,
217 ,
179 ,
159 ,
158 ,
176 ,
187 ,
192 ,
173 ,
155 ,
128 ,
95  ,
48  ,
-31 ,
-99 ,
-183  ,
-259  ,
-340  ,
-417  ,
-486  ,
-538  ,
-587  ,
-633  ,
-675  ,
-724  ,
-760  ,
-798  ,
-813  ,
-829  ,
-822  ,
-806  ,
-767  ,
-726  ,
-675  ,
-625  ,
-580  ,
-537  ,
-506  ,
-457  ,
-429  ,
-402  ,
-397  ,
-398  ,
-396  ,
-400  ,
-396  ,
-407  ,
-400  ,
-393  ,
-383  ,
-387  ,
-411  ,
-437  ,
-462  ,
-482  ,
-509  ,
-528  ,
-554  ,
-548  ,
-546  ,
-507  ,
-466  ,
-402  ,
-323  ,
-235  ,
-147  ,
-72 ,
-12 ,
41  ,
95  ,
145 ,
186 ,
231 ,
265 ,
293 ,
311 ,
330 ,
350 ,
370 ,
378 ,
386 ,
383 ,
385 ,
374 ,
361 ,
352 ,
343 ,
351 ,
350 ,
352 ,
345 ,
351 ,
349 ,
359 ,
351 ,
352 ,
361 ,
380 ,
417 ,
436 ,
463 ,
478 ,
503 ,
524 ,
533 ,
527 ,
519 ,
504 ,
493 ,
460 ,
428 ,
388 ,
364 ,
350 ,
338 ,
322 ,
295 ,
279 ,
248 ,
237 ,
205 ,
190 ,
167 ,
148 ,
135 ,
130 ,
123 ,
127 ,
131 ,
147 ,
156 ,
170 ,
157 ,
147 ,
108 ,
80  ,
44  ,
20  ,
-2  ,
-15 ,
-16 ,
-16 ,
-2  ,
-6  ,
-15 ,
-35 ,
-60 ,
-96 ,
-148  ,
-217  ,
-278  ,
-327  ,
-351  ,
-362  ,
-349  ,
-323  ,
-286  ,
-256  ,
-222  ,
-209  ,
-202  ,
-217  ,
-227  ,
-246  ,
-259  ,
-261  ,
-250  ,
-224  ,
-199  ,
-165  ,
-140  ,
-114  ,
-109  ,
-110  ,
-133  ,
-164  ,
-211  ,
-268  ,
-325  ,
-368  ,
-400  ,
-407  ,
-414  ,
-409  ,
-410  ,
-406  ,
-411  ,
-424  ,
-448  ,
-468  ,
-497  ,
-519  ,
-545  ,
-577  ,
-608  ,
-628  ,
-636  ,
-640  ,
-630  ,
-632  ,
-620  ,
-629  ,
-634  ,
-639  ,
-646  ,
-630  ,
-627  ,
-599  ,
-583  ,
-546  ,
-520  ,
-478  ,
-431  ,
-369  ,
-303  ,
-249  ,
-199  ,
-157  ,
-115  ,
-74 ,
-22 ,
21  ,
88  ,
142 ,
209 ,
261 ,
316 ,
362 ,
421 ,
483 ,
561 ,
636 ,
707 ,
782 ,
855 ,
922 ,
971 ,
1006  ,
1029  ,
1035  ,
1025  ,
996 ,
971 ,
939 ,
916 ,
910 ,
908 ,
931 ,
944 ,
953 ,
954 ,
940 ,
923 ,
882 ,
848 ,
807 ,
769 ,
744 ,
730 ,
732 ,
734 ,
743 ,
748 ,
744 ,
715 ,
672 ,
613 ,
549 ,
479 ,
409 ,
342 ,
292 ,
268 ,
261 ,
276 ,
298 ,
326 ,
351 ,
362 ,
363 ,
329 ,
294 ,
250 ,
210 ,
173 ,
143 ,
115 ,
107 ,
101 ,
104 ,
108 ,
101 ,
86  ,
47  ,
-6  ,
-84 ,
-165  ,
-264  ,
-354  ,
-441  ,
-531  ,
-605  ,
-676  ,
-736  ,
-793  ,
-833  ,
-878  ,
-921  ,
-979  ,
-1043 ,
-1106 ,
-1170 ,
-1211 ,
-1249 ,
-1266 ,
-1268 ,
-1268 ,
-1253 ,
-1253 ,
-1242 ,
-1231 ,
-1209 ,
-1187 ,
-1161 ,
-1140 ,
-1109 ,
-1070 ,
-1018 ,
-965  ,
-906  ,
-864  ,
-814  ,
-786  ,
-760  ,
-743  ,
-731  ,
-714  ,
-695  ,
-678  ,
-651  ,
-628  ,
-592  ,
-551  ,
-498  ,
-446  ,
-388  ,
-338  ,
-282  ,
-230  ,
-163  ,
-102  ,
-29 ,
37  ,
102 ,
166 ,
215 ,
262 ,
293 ,
324 ,
354 ,
395 ,
428 ,
469 ,
516 ,
570 ,
639 ,
706 ,
769 ,
825 ,
872 ,
909 ,
932 ,
935 ,
933 ,
924 ,
916 ,
914 ,
909 ,
927 ,
943 ,
975 ,
1006  ,
1027  ,
1034  ,
1022  ,
973 ,
912 ,
819 ,
724 ,
623 ,
531 ,
458 ,
398 ,
361 ,
336 ,
322 ,
315 ,
296 ,
272 ,
222 ,
156 ,
71  ,
-13 ,
-96 ,
-159  ,
-206  ,
-230  ,
-229  ,
-216  ,
-191  ,
-171  ,
-152  ,
-143  ,
-134  ,
-146  ,
-156  ,
-176  ,
-199  ,
-194  ,
-192  ,
-157  ,
-129  ,
-86 ,
-55 ,
-30 ,
-26 ,
-30 ,
-62 ,
-93 ,
-146  ,
-199  ,
-255  ,
-310  ,
-343  ,
-375  ,
-386  ,
-395  ,
-408  ,
-422  ,
-465  ,
-505  ,
-559  ,
-609  ,
-661  ,
-707  ,
-747  ,
-783  ,
-796  ,
-808  ,
-794  ,
-788  ,
-759  ,
-741  ,
-717  ,
-697  ,
-680  ,
-656  ,
-623  ,
-592  ,
-557  ,
-530  ,
-511  ,
-489  ,
-472  ,
-463  ,
-446  ,
-446  ,
-436  ,
-428  ,
-420  ,
-402  ,
-382  ,
-351  ,
-316  ,
-281  ,
-250  ,
-228  ,
-204  ,
-194  ,
-182  ,
-174  ,
-160  ,
-147  ,
-120  ,
-89 ,
-40 ,
5 ,
57  ,
92  ,
111 ,
110 ,
85  ,
43  ,
1 ,
-58 ,
-88 ,
-120  ,
-109  ,
-90 ,
-50 ,
6 ,
67  ,
142 ,
197 ,
252 ,
279 ,
304 ,
307 ,
309 ,
322 ,
332 ,
367 ,
397 ,
441 ,
475 ,
504 ,
531 ,
525 ,
521 ,
476 ,
436 ,
371 ,
314 ,
264 ,
228 ,
211 ,
214 ,
220 ,
239 ,
257 ,
269 ,
273 ,
264 ,
237 ,
203 ,
158 ,
114 ,
81  ,
59  ,
62  ,
91  ,
136 ,
185 ,
232 ,
269 ,
295 ,
308 ,
302 ,
291 ,
255 ,
223 ,
194 ,
163 ,
147 ,
138 ,
139 ,
139 ,
135 ,
125 ,
112 ,
87  ,
67  ,
44  ,
31  ,
25  ,
21  ,
27  ,
46  ,
69  ,
104 ,
139 ,
185 ,
213 ,
239 ,
240 ,
238 ,
229 ,
220 ,
216 ,
200 ,
187 ,
158 ,
125 ,
80  ,
49  ,
4 ,
-21 ,
-52 ,
-77 ,
-95 ,
-105  ,
-102  ,
-80 ,
-48 ,
-14 ,
21  ,
43  ,
65  ,
81  ,
108 ,
134 ,
177 ,
221 ,
272 ,
329 ,
381 ,
438 ,
494 ,
535 ,
570 ,
572 ,
564 ,
528 ,
490 ,
451 ,
414 ,
395 ,
371 ,
357 ,
344 ,
328 ,
314 ,
292 ,
257 ,
207 ,
152 ,
82  ,
12  ,
-49 ,
-97 ,
-126  ,
-135  ,
-144  ,
-136  ,
-137  ,
-143  ,
-152  ,
-181  ,
-201  ,
-250  ,
-278  ,
-316  ,
-318  ,
-323  ,
-296  ,
-250  ,
-193  ,
-117  ,
-58 ,
0 ,
22  ,
34  ,
22  ,
3 ,
-30 ,
-58 ,
-85 ,
-96 ,
-99 ,
-85 ,
-61 ,
-25 ,
26  ,
66  ,
106 ,
116 ,
116 ,
106 ,
105 ,
103 ,
105 ,
110 ,
118 ,
123 ,
133 ,
140 ,
139 ,
133 ,
110 ,
79  ,
28  ,
-27 ,
-93 ,
-148  ,
-203  ,
-242  ,
-290  ,
-325  ,
-366  ,
-392  ,
-408  ,
-411  ,
-414  ,
-399  ,
-391  ,
-362  ,
-345  ,
-304  ,
-260  ,
-207  ,
-145  ,
-92 ,
-46 ,
-1  ,
43  ,
100 ,
167 ,
239 ,
312 ,
381 ,
442 ,
493 ,
540 ,
569 ,
590 ,
590 ,
577 ,
545 ,
497 ,
455 ,
414 ,
381 ,
356 ,
331 ,
316 ,
288 ,
264 ,
240 ,
208 ,
186 ,
158 ,
137 ,
120 ,
107 ,
103 ,
126 ,
158 ,
208 ,
260 ,
311 ,
337 ,
353 ,
342 ,
317 ,
277 ,
233 ,
194 ,
148 ,
123 ,
98  ,
100 ,
102 ,
122 ,
130 ,
135 ,
114 ,
82  ,
24  ,
-45 ,
-121  ,
-207  ,
-270  ,
-333  ,
-372  ,
-392  ,
-407  ,
-399  ,
-407  ,
-410  ,
-448  ,
-494  ,
-566  ,
-646  ,
-721  ,
-791  ,
-846  ,
-879  ,
-892  ,
-880  ,
-842  ,
-787  ,
-704  ,
-622  ,
-539  ,
-463  ,
-409  ,
-354  ,
-313  ,
-263  ,
-211  ,
-143  ,
-77 ,
0 ,
76  ,
149 ,
217 ,
282 ,
337 ,
390 ,
411 ,
422 ,
403 ,
386 ,
357 ,
329 ,
296 ,
260 ,
208 ,
157 ,
96  ,
39  ,
-24 ,
-77 ,
-124  ,
-179  ,
-242  ,
-308  ,
-370  ,
-420  ,
-462  ,
-488  ,
-522  ,
-541  ,
-576  ,
-586  ,
-610  ,
-601  ,
-598  ,
-577  ,
-546  ,
-520  ,
-486  ,
-451  ,
-414  ,
-369  ,
-335  ,
-307  ,
-281  ,
-269  ,
-241  ,
-212  ,
-161  ,
-111  ,
-55 ,
-2  ,
47  ,
92  ,
142 ,
177 ,
227 ,
264 ,
302 ,
327 ,
349 ,
371 ,
404 ,
447 ,
496 ,
538 ,
561 ,
562 ,
541 ,
504 ,
446 ,
379 ,
300 ,
220 ,
146 ,
82  ,
31  ,
12  ,
7 ,
25  ,
36  ,
37  ,
27  ,
3 ,
-30 ,
-70 ,
-113  ,
-154  ,
-201  ,
-222  ,
-246  ,
-231  ,
-209  ,
-149  ,
-94 ,
-29 ,
3 ,
32  ,
32  ,
33  ,
14  ,
1 ,
-19 ,
-27 ,
-35 ,
-26 ,
-4  ,
29  ,
68  ,
110 ,
148 ,
173 ,
177 ,
171 ,
146 ,
125 ,
87  ,
59  ,
33  ,
16  ,
14  ,
25  ,
55  ,
94  ,
144 ,
192 ,
250 ,
301 ,
360 ,
424 ,
497 ,
580 ,
653 ,
733 ,
785 ,
837 ,
851 ,
867 ,
848 ,
833 ,
780 ,
722 ,
640 ,
550 ,
451 ,
354 ,
259 ,
174 ,
76  ,
-16 ,
-122  ,
-217  ,
-317  ,
-409  ,
-493  ,
-568  ,
-640  ,
-705  ,
-765  ,
-819  ,
-869  ,
-904  ,
-936  ,
-960  ,
-990  ,
-1010 ,
-1032 ,
-1040 ,
-1037 ,
-1034 ,
-1013 ,
-1003 ,
-992  ,
-987  ,
-991  ,
-992  ,
-986  ,
-972  ,
-951  ,
-928  ,
-897  ,
-865  ,
-818  ,
-763  ,
-697  ,
-620  ,
-535  ,
-454  ,
-378  ,
-301  ,
-238  ,
-172  ,
-99 ,
-35 ,
42  ,
115 ,
202 ,
298 ,
399 ,
508 ,
608 ,
692 ,
761 ,
804 ,
831 ,
838 ,
837 ,
825 ,
809 ,
784 ,
749 ,
726 ,
690 ,
680 ,
669 ,
667 ,
652 ,
632 ,
596 ,
563 ,
523 ,
495 ,
469 ,
457 ,
450 ,
451 ,
450 ,
448 ,
446 ,
445 ,
446 ,
434 ,
418 ,
394 ,
372 ,
347 ,
341 ,
336 ,
346 ,
353 ,
360 ,
366 ,
365 ,
363 ,
359 ,
351 ,
341 ,
324 ,
308 ,
289 ,
288 ,
294 ,
312 ,
337 ,
347 ,
355 ,
340 ,
317 ,
275 ,
232 ,
175 ,
114 ,
49  ,
-25 ,
-90 ,
-157  ,
-201  ,
-240  ,
-256  ,
-268  ,
-276  ,
-282  ,
-285  ,
-291  ,
-297  ,
-311  ,
-333  ,
-359  ,
-397  ,
-424  ,
-451  ,
-460  ,
-467  ,
-467  ,
-460  ,
-465  ,
-463  ,
-469  ,
-457  ,
-450  ,
-427  ,
-419  ,
-404  ,
-404  ,
-409  ,
-419  ,
-432  ,
-440  ,
-455  ,
-456  ,
-462  ,
-452  ,
-440  ,
-429  ,
-395  ,
-372  ,
-339  ,
-320  ,
-309  ,
-303  ,
-287  ,
-275  ,
-245  ,
-213  ,
-173  ,
-124  ,
-64 ,
7 ,
89  ,
157 ,
234 ,
285 ,
324 ,
340 ,
354 ,
360 ,
383 ,
393 ,
426 ,
448 ,
479 ,
515 ,
553 ,
591 ,
625 ,
649 ,
668 ,
671 ,
662 ,
655 ,
637 ,
639 ,
626 ,
632 ,
616 ,
606 ,
578 ,
549 ,
499 ,
445 ,
371 ,
288 ,
192 ,
95  ,
-2  ,
-85 ,
-152  ,
-204  ,
-244  ,
-278  ,
-310  ,
-338  ,
-366  ,
-394  ,
-421  ,
-451  ,
-498  ,
-535  ,
-579  ,
-605  ,
-624  ,
-621  ,
-604  ,
-568  ,
-526  ,
-465  ,
-404  ,
-339  ,
-272  ,
-209  ,
-148  ,
-98 ,
-52 ,
-5  ,
42  ,
93  ,
139 ,
176 ,
213 ,
227 ,
240 ,
236 ,
230 ,
201 ,
175 ,
116 ,
54  ,
-27 ,
-118  ,
-212  ,
-317  ,
-419  ,
-511  ,
-597  ,
-667  ,
-711  ,
-735  ,
-722  ,
-696  ,
-644  ,
-585  ,
-519  ,
-452  ,
-380  ,
-310  ,
-236  ,
-165  ,
-94 ,
-19 ,
59  ,
137 ,
224 ,
299 ,
381 ,
440 ,
500 ,
536 ,
564 ,
576 ,
575 ,
565 ,
547 ,
528 ,
508 ,
491 ,
492 ,
490 ,
500 ,
503 ,
511 ,
508 ,
503 ,
483 ,
464 ,
433 ,
409 ,
384 ,
373 ,
356 ,
362 ,
369 ,
389 ,
410 ,
430 ,
440 ,
432 ,
419 ,
387 ,
355 ,
314 ,
277 ,
247 ,
220 ,
192 ,
171 ,
154 ,
137 ,
117 ,
97  ,
61  ,
20  ,
-34 ,
-78 ,
-119  ,
-156  ,
-170  ,
-181  ,
-172  ,
-160  ,
-133  ,
-113  ,
-82 ,
-63 ,
-39 ,
-36 ,
-41 ,
-61 ,
-85 ,
-119  ,
-159  ,
-195  ,
-228  ,
-263  ,
-301  ,
-333  ,
-371  ,
-403  ,
-431  ,
-447  ,
-465  ,
-463  ,
-459  ,
-450  ,
-440  ,
-433  ,
-423  ,
-409  ,
-393  ,
-374  ,
-357  ,
-333  ,
-315  ,
-288  ,
-259  ,
-239  ,
-216  ,
-202  ,
-193  ,
-187  ,
-184  ,
-188  ,
-195  ,
-209  ,
-222  ,
-232  ,
-249  ,
-264  ,
-283  ,
-288  ,
-299  ,
-299  ,
-306  ,
-308  ,
-313  ,
-332  ,
-353  ,
-391  ,
-427  ,
-461  ,
-489  ,
-501  ,
-511  ,
-509  ,
-497  ,
-469  ,
-433  ,
-383  ,
-334  ,
-266  ,
-204  ,
-132  ,
-65 ,
5 ,
77  ,
156 ,
234 ,
319 ,
394 ,
479 ,
554 ,
632 ,
697 ,
755 ,
797 ,
839 ,
871 ,
906 ,
940 ,
972 ,
1008  ,
1038  ,
1058  ,
1072  ,
1078  ,
1079  ,
1078  ,
1067  ,
1051  ,
1022  ,
984 ,
941 ,
890 ,
844 ,
793 ,
757 ,
717 ,
679 ,
635 ,
579 ,
530 ,
465 ,
410 ,
346 ,
291 ,
243 ,
194 ,
158 ,
122 ,
85  ,
51  ,
7 ,
-31 ,
-83 ,
-122  ,
-172  ,
-217  ,
-253  ,
-301  ,
-333  ,
-374  ,
-413  ,
-441  ,
-470  ,
-483  ,
-494  ,
-486  ,
-477  ,
-462  ,
-445  ,
-433  ,
-425  ,
-415  ,
-402  ,
-388  ,
-365  ,
-351  ,
-326  ,
-308  ,
-284  ,
-276  ,
-261  ,
-258  ,
-250  ,
-249  ,
-245  ,
-240  ,
-235  ,
-241  ,
-247  ,
-264  ,
-283  ,
-314  ,
-343  ,
-379  ,
-418  ,
-459  ,
-507  ,
-550  ,
-602  ,
-648  ,
-694  ,
-743  ,
-775  ,
-816  ,
-838  ,
-860  ,
-872  ,
-871  ,
-866  ,
-846  ,
-823  ,
-787  ,
-749  ,
-701  ,
-659  ,
-607  ,
-559  ,
-499  ,
-431  ,
-355  ,
-278  ,
-191  ,
-116  ,
-34 ,
31  ,
88  ,
132 ,
152 ,
168 ,
159 ,
149 ,
135 ,
114 ,
108 ,
92  ,
98  ,
104 ,
130 ,
173 ,
232 ,
295 ,
364 ,
428 ,
497 ,
557 ,
622 ,
685 ,
750 ,
817 ,
877 ,
939 ,
999 ,
1055  ,
1116  ,
1167  ,
1213  ,
1250  ,
1276  ,
1290  ,
1285  ,
1269  ,
1240  ,
1189  ,
1139  ,
1066  ,
1002  ,
934 ,
876 ,
803 ,
747 ,
674 ,
602 ,
514 ,
423 ,
333 ,
233 ,
150 ,
64  ,
-6  ,
-70 ,
-124  ,
-165  ,
-203  ,
-232  ,
-262  ,
-273  ,
-292  ,
-295  ,
-306  ,
-310  ,
-325  ,
-335  ,
-353  ,
-371  ,
-394  ,
-420  ,
-442  ,
-461  ,
-476  ,
-485  ,
-495  ,
-501  ,
-496  ,
-471  ,
-449  ,
-410  ,
-370  ,
-316  ,
-272  ,
-221  ,
-177  ,
-124  ,
-79 ,
-33 ,
6 ,
33  ,
45  ,
45  ,
47  ,
26  ,
-5  ,
-55 ,
-114  ,
-179  ,
-251  ,
-316  ,
-384  ,
-453  ,
-518  ,
-580  ,
-650  ,
-706  ,
-771  ,
-815  ,
-863  ,
-910  ,
-959  ,
-1005 ,
-1047 ,
-1077 ,
-1095 ,
-1091 ,
-1086 ,
-1054 ,
-1017 ,
-971  ,
-914  ,
-858  ,
-790  ,
-726  ,
-660  ,
-604  ,
-547  ,
-498  ,
-441  ,
-380  ,
-312  ,
-240  ,
-168  ,
-89 ,
-22 ,
50  ,
100 ,
150 ,
168 ,
179 ,
160 ,
137 ,
92  ,
59  ,
29  ,
9 ,
6 ,
4 ,
11  ,
19  ,
29  ,
46  ,
67  ,
91  ,
124 ,
150 ,
195 ,
229 ,
267 ,
321 ,
363 ,
431 ,
474 ,
528 ,
565 ,
596 ,
629 ,
648 ,
673 ,
684 ,
692 ,
698 ,
692 ,
693 ,
690 ,
695 ,
687 ,
677 ,
653 ,
617 ,
582 ,
545 ,
510 ,
487 ,
444 ,
418 ,
378 ,
342 ,
306 ,
277 ,
245 ,
229 ,
200 ,
181 ,
144 ,
113 ,
81  ,
57  ,
46  ,
36  ,
46  ,
47  ,
59  ,
68  ,
90  ,
112 ,
139 ,
167 ,
181 ,
187 ,
170 ,
169 ,
152 ,
149 ,
128 ,
107 ,
74  ,
27  ,
-17 ,
-58 ,
-95 ,
-123  ,
-149  ,
-180  ,
-212  ,
-258  ,
-299  ,
-347  ,
-382  ,
-431  ,
-477  ,
-547  ,
-613  ,
-690  ,
-747  ,
-805  ,
-843  ,
-878  ,
-901  ,
-927  ,
-955  ,
-974  ,
-994  ,
-1004 ,
-1006 ,
-1015 ,
-1025 ,
-1034 ,
-1040 ,
-1023 ,
-1010 ,
-965  ,
-941  ,
-899  ,
-872  ,
-839  ,
-810  ,
-775  ,
-740  ,
-697  ,
-678  ,
-651  ,
-643  ,
-615  ,
-590  ,
-544  ,
-484  ,
-412  ,
-336  ,
-262  ,
-175  ,
-88 ,
1 ,
97  ,
183 ,
277 ,
351 ,
417 ,
476 ,
526 ,
566 ,
593 ,
610 ,
608 ,
586 ,
556 ,
511 ,
475 ,
430 ,
395 ,
349 ,
323 ,
289 ,
265 ,
246 ,
245 ,
253 ,
272 ,
279 ,
292 ,
290 ,
288 ,
292 ,
301 ,
323 ,
349 ,
385 ,
415 ,
452 ,
487 ,
525 ,
563 ,
598 ,
631 ,
657 ,
668 ,
671 ,
666 ,
650 ,
636 ,
605 ,
572 ,
519 ,
459 ,
401 ,
340 ,
300 ,
265 ,
238 ,
211 ,
183 ,
153 ,
130 ,
101 ,
88  ,
74  ,
72  ,
56  ,
49  ,
40  ,
36  ,
33  ,
38  ,
37  ,
37  ,
23  ,
4 ,
-28 ,
-66 ,
-111  ,
-155  ,
-212  ,
-275  ,
-343  ,
-417  ,
-483  ,
-537  ,
-587  ,
-623  ,
-656  ,
-684  ,
-703  ,
-717  ,
-722  ,
-705  ,
-693  ,
-666  ,
-640  ,
-605  ,
-573  ,
-537  ,
-493  ,
-444  ,
-385  ,
-333  ,
-287  ,
-237  ,
-195  ,
-147  ,
-114  ,
-67 ,
-41 ,
-1  ,
12  ,
40  ,
45  ,
64  ,
74  ,
81  ,
92  ,
93  ,
94  ,
94  ,
102 ,
117 ,
140 ,
168 ,
207 ,
247 ,
293 ,
338 ,
377 ,
420 ,
453 ,
496 ,
532 ,
566 ,
606 ,
644 ,
697 ,
750 ,
807 ,
860 ,
910 ,
952 ,
987 ,
1007  ,
1014  ,
1007  ,
998 ,
960 ,
919 ,
847 ,
775 ,
689 ,
607 ,
520 ,
439 ,
354 ,
283 ,
214 ,
154 ,
107 ,
61  ,
37  ,
16  ,
6 ,
-2  ,
-7  ,
-8  ,
10  ,
30  ,
65  ,
93  ,
119 ,
150 ,
172 ,
209 ,
232 ,
273 ,
304 ,
340 ,
365 ,
395 ,
420 ,
459 ,
495 ,
534 ,
565 ,
589 ,
603 ,
610 ,
614 ,
610 ,
610 ,
589 ,
560 ,
516 ,
458 ,
398 ,
335 ,
269 ,
212 ,
141 ,
82  ,
16  ,
-35 ,
-87 ,
-131  ,
-170  ,
-211  ,
-254  ,
-306  ,
-344  ,
-385  ,
-405  ,
-427  ,
-437  ,
-447  ,
-456  ,
-468  ,
-475  ,
-479  ,
-475  ,
-473  ,
-470  ,
-462  ,
-458  ,
-446  ,
-411  ,
-371  ,
-305  ,
-237  ,
-168  ,
-99 ,
-37 ,
17  ,
72  ,
117 ,
158 ,
184 ,
191 ,
187 ,
185 ,
180 ,
180 ,
186 ,
204 ,
214 ,
222 ,
237 ,
248 ,
269 ,
283 ,
297 ,
300 ,
297 ,
282 ,
275 ,
268 ,
262 ,
258 ,
252 ,
247 ,
243 ,
240 ,
231 ,
223 ,
213 ,
197 ,
177 ,
145 ,
119 ,
86  ,
58  ,
27  ,
17  ,
-5  ,
-12 ,
-16 ,
-5  ,
3 ,
24  ,
30  ,
54  ,
67  ,
76  ,
85  ,
83  ,
79  ,
61  ,
33  ,
-6  ,
-57 ,
-109  ,
-158  ,
-208  ,
-258  ,
-309  ,
-353  ,
-400  ,
-439  ,
-481  ,
-522  ,
-547  ,
-572  ,
-581  ,
-582  ,
-568  ,
-543  ,
-508  ,
-454  ,
-398  ,
-328  ,
-267  ,
-195  ,
-140  ,
-71 ,
-12 ,
57  ,
119 ,
174 ,
228 ,
267 ,
311 ,
344 ,
372 ,
395 ,
404 ,
407 ,
397 ,
372 ,
330 ,
290 ,
229 ,
162 ,
88  ,
9 ,
-73 ,
-165  ,
-242  ,
-323  ,
-396  ,
-477  ,
-540  ,
-602  ,
-654  ,
-701  ,
-733  ,
-755  ,
-758  ,
-759  ,
-743  ,
-716  ,
-674  ,
-624  ,
-564  ,
-499  ,
-432  ,
-371  ,
-325  ,
-288  ,
-268  ,
-250  ,
-244  ,
-229  ,
-221  ,
-216  ,
-200  ,
-191  ,
-161  ,
-139  ,
-105  ,
-66 ,
-30 ,
5 ,
35  ,
70  ,
113 ,
156 ,
204 ,
249 ,
292 ,
324 ,
371 ,
409 ,
453 ,
492 ,
519 ,
541 ,
548 ,
543 ,
538 ,
523 ,
508 ,
491 ,
460 ,
421 ,
375 ,
323 ,
278 ,
226 ,
176 ,
122 ,
59  ,
-7  ,
-77 ,
-144  ,
-208  ,
-274  ,
-320  ,
-375  ,
-419  ,
-456  ,
-489  ,
-504  ,
-521  ,
-527  ,
-534  ,
-528  ,
-521  ,
-498  ,
-473  ,
-434  ,
-398  ,
-362  ,
-331  ,
-311  ,
-291  ,
-284  ,
-285  ,
-286  ,
-306  ,
-321  ,
-360  ,
-380  ,
-401  ,
-417  ,
-423  ,
-433  ,
-431  ,
-440  ,
-434  ,
-430  ,
-419  ,
-407  ,
-395  ,
-376  ,
-369  ,
-353  ,
-341  ,
-307  ,
-283  ,
-251  ,
-224  ,
-207  ,
-188  ,
-178  ,
-151  ,
-133  ,
-108  ,
-89 ,
-76 ,
-74 ,
-75 ,
-80 ,
-89 ,
-91 ,
-102  ,
-112  ,
-133  ,
-146  ,
-148  ,
-148  ,
-155  ,
-151  ,
-160  ,
-160  ,
-176  ,
-177  ,
-178  ,
-182  ,
-175  ,
-175  ,
-168  ,
-159  ,
-153  ,
-123  ,
-97 ,
-56 ,
-16 ,
22  ,
58  ,
86  ,
109 ,
133 ,
144 ,
168 ,
176 ,
192 ,
199 ,
207 ,
211 ,
231 ,
242 ,
276 ,
286 ,
312 ,
335 ,
360 ,
385 ,
403 ,
427 ,
453 ,
472 ,
488 ,
508 ,
521 ,
537 ,
554 ,
559 ,
567 ,
538 ,
516 ,
475 ,
442 ,
390 ,
354 ,
306 ,
273 ,
220 ,
173 ,
117 ,
61  ,
12  ,
-32 ,
-75 ,
-127  ,
-171  ,
-228  ,
-267  ,
-311  ,
-345  ,
-373  ,
-404  ,
-428  ,
-458  ,
-487  ,
-522  ,
-544  ,
-567  ,
-585  ,
-609  ,
-628  ,
-656  ,
-663  ,
-675  ,
-659  ,
-643  ,
-605  ,
-560  ,
-491  ,
-412  ,
-322  ,
-218  ,
-112  ,
-11 ,
79  ,
155 ,
208 ,
253 ,
279 ,
302 ,
312 ,
314 ,
305 ,
289 ,
270 ,
245 ,
221 ,
194 ,
168 ,
137 ,
99  ,
49  ,
3 ,
-52 ,
-91 ,
-136  ,
-175  ,
-209  ,
-236  ,
-252  ,
-261  ,
-253  ,
-243  ,
-227  ,
-207  ,
-183  ,
-155  ,
-137  ,
-99 ,
-72 ,
-22 ,
18  ,
71  ,
122 ,
182 ,
242 ,
306 ,
371 ,
423 ,
464 ,
492 ,
503 ,
509 ,
492 ,
471 ,
449 ,
418 ,
382 ,
341 ,
290 ,
248 ,
198 ,
162 ,
119 ,
90  ,
62  ,
43  ,
42  ,
43  ,
64  ,
95  ,
138 ,
177 ,
215 ,
253 ,
286 ,
325 ,
359 ,
392 ,
420 ,
436 ,
426 ,
420 ,
404 ,
399 ,
398 ,
407 ,
400 ,
399 ,
384 ,
372 ,
361 ,
349 ,
351 ,
337 ,
332 ,
309 ,
288 ,
264 ,
249 ,
236 ,
230 ,
211 ,
199 ,
173 ,
163 ,
152 ,
150 ,
152 ,
147 ,
139 ,
119 ,
91  ,
63  ,
35  ,
20  ,
6 ,
-12 ,
-33 ,
-61 ,
-79 ,
-91 ,
-92 ,
-90 ,
-82 ,
-93 ,
-101  ,
-129  ,
-146  ,
-175  ,
-187  ,
-203  ,
-206  ,
-210  ,
-208  ,
-196  ,
-165  ,
-120  ,
-66 ,
-8  ,
39  ,
79  ,
112 ,
131 ,
140 ,
137 ,
124 ,
105 ,
73  ,
30  ,
-23 ,
-85 ,
-148  ,
-220  ,
-294  ,
-379  ,
-466  ,
-557  ,
-643  ,
-715  ,
-782  ,
-832  ,
-873  ,
-896  ,
-914  ,
-924  ,
-925  ,
-913  ,
-887  ,
-850  ,
-803  ,
-748  ,
-694  ,
-634  ,
-560  ,
-480  ,
-390  ,
-299  ,
-210  ,
-126  ,
-49 ,
21  ,
88  ,
141 ,
195 ,
239 ,
288 ,
328 ,
368 ,
417 ,
455 ,
510 ,
547 ,
584 ,
607 ,
620 ,
630 ,
634 ,
634 ,
629 ,
628 ,
620 ,
610 ,
603 ,
589 ,
593 ,
593 ,
599 ,
609 ,
612 ,
617 ,
619 ,
622 ,
622 ,
606 ,
591 ,
565 ,
534 ,
506 ,
475 ,
452 ,
420 ,
393 ,
357 ,
316 ,
278 ,
243 ,
219 ,
197 ,
184 ,
166 ,
153 ,
131 ,
118 ,
105 ,
91  ,
75  ,
60  ,
44  ,
27  ,
12  ,
-6  ,
-10 ,
-17 ,
-17 ,
-34 ,
-45 ,
-77 ,
-97 ,
-114  ,
-125  ,
-126  ,
-130  ,
-127  ,
-134  ,
-134  ,
-151  ,
-151  ,
-161  ,
-169  ,
-173  ,
-186  ,
-204  ,
-228  ,
-246  ,
-273  ,
-297  ,
-338  ,
-385  ,
-438  ,
-496  ,
-556  ,
-607  ,
-665  ,
-703  ,
-748  ,
-776  ,
-816  ,
-840  ,
-851  ,
-847  ,
-826  ,
-795  ,
-763  ,
-729  ,
-713  ,
-686  ,
-679  ,
-655  ,
-649  ,
-637  ,
-632  ,
-627  ,
-618  ,
-600  ,
-579  ,
-534  ,
-493  ,
-443  ,
-399  ,
-366  ,
-331  ,
-301  ,
-267  ,
-245  ,
-213  ,
-203  ,
-181  ,
-174  ,
-149  ,
-125  ,
-83 ,
-33 ,
30  ,
90  ,
151 ,
212 ,
272 ,
345 ,
420 ,
495 ,
563 ,
627 ,
693 ,
752 ,
820 ,
894 ,
969 ,
1043  ,
1101  ,
1149  ,
1177  ,
1179  ,
1185  ,
1162  ,
1141  ,
1089  ,
1028  ,
953 ,
874 ,
796 ,
722 ,
653 ,
586 ,
518 ,
449 ,
387 ,
326 ,
273 ,
217 ,
168 ,
121 ,
71  ,
26  ,
-8  ,
-37 ,
-49 ,
-68 ,
-84 ,
-116  ,
-141  ,
-178  ,
-207  ,
-240  ,
-268  ,
-291  ,
-324  ,
-342  ,
-369  ,
-383  ,
-398  ,
-394  ,
-389  ,
-364  ,
-353  ,
-325  ,
-313  ,
-285  ,
-275  ,
-253  ,
-250  ,
-238  ,
-237  ,
-236  ,
-235  ,
-233  ,
-225  ,
-207  ,
-194  ,
-174  ,
-166  ,
-166  ,
-168  ,
-172  ,
-173  ,
-171  ,
-184  ,
-193  ,
-219  ,
-250  ,
-283  ,
-315  ,
-344  ,
-371  ,
-408  ,
-447  ,
-503  ,
-558  ,
-619  ,
-667  ,
-720  ,
-758  ,
-799  ,
-831  ,
-854  ,
-854  ,
-834  ,
-796  ,
-735  ,
-670  ,
-590  ,
-512  ,
-431  ,
-344  ,
-259  ,
-164  ,
-79 ,
0 ,
57  ,
111 ,
152 ,
196 ,
238 ,
264 ,
287 ,
288 ,
283 ,
272 ,
257 ,
250 ,
240 ,
236 ,
229 ,
215 ,
205 ,
207 ,
220 ,
244 ,
278 ,
308 ,
349 ,
369 ,
411 ,
456 ,
510 ,
571 ,
628 ,
681 ,
727 ,
764 ,
796 ,
833 ,
861 ,
889 ,
901 ,
908 ,
902 ,
900 ,
893 ,
890 ,
885 ,
866 ,
834 ,
789 ,
738 ,
675 ,
612 ,
551 ,
480 ,
417 ,
336 ,
258 ,
187 ,
112 ,
54  ,
-2  ,
-59 ,
-115  ,
-173  ,
-222  ,
-260  ,
-289  ,
-312  ,
-329  ,
-347  ,
-354  ,
-364  ,
-366  ,
-361  ,
-353  ,
-338  ,
-322  ,
-314  ,
-298  ,
-292  ,
-273  ,
-252  ,
-228  ,
-205  ,
-180  ,
-148  ,
-121  ,
-89 ,
-63 ,
-31 ,
-12 ,
12  ,
19  ,
38  ,
38  ,
44  ,
50  ,
55  ,
64  ,
52  ,
40  ,
17  ,
-13 ,
-55 ,
-92 ,
-144  ,
-185  ,
-238  ,
-275  ,
-317  ,
-341  ,
-364  ,
-371  ,
-377  ,
-381  ,
-392  ,
-406  ,
-417  ,
-437  ,
-450  ,
-458  ,
-468  ,
-469  ,
-475  ,
-474  ,
-477  ,
-463  ,
-448  ,
-430  ,
-401  ,
-385  ,
-357  ,
-341  ,
-303  ,
-268  ,
-208  ,
-157  ,
-91 ,
-41 ,
12  ,
51  ,
93  ,
142 ,
182 ,
223 ,
251 ,
269 ,
281 ,
279 ,
293 ,
305 ,
324 ,
346 ,
357 ,
370 ,
380 ,
390 ,
397 ,
403 ,
400 ,
380 ,
364 ,
323 ,
301 ,
263 ,
240 ,
219 ,
209 ,
185 ,
171 ,
147 ,
145 ,
135 ,
146 ,
152 ,
171 ,
183 ,
191 ,
211 ,
218 ,
239 ,
255 ,
278 ,
286 ,
299 ,
294 ,
295 ,
296 ,
294 ,
284 ,
271 ,
239 ,
209 ,
171 ,
133 ,
90  ,
49  ,
3 ,
-40 ,
-75 ,
-108  ,
-135  ,
-150  ,
-161  ,
-157  ,
-163  ,
-161  ,
-174  ,
-187  ,
-200  ,
-212  ,
-215  ,
-223  ,
-215  ,
-218  ,
-209  ,
-201  ,
-198  ,
-175  ,
-170  ,
-154  ,
-148  ,
-157  ,
-164  ,
-189  ,
-206  ,
-232  ,
-254  ,
-279  ,
-303  ,
-325  ,
-347  ,
-369  ,
-391  ,
-416  ,
-439  ,
-459  ,
-489  ,
-515  ,
-546  ,
-569  ,
-580  ,
-589  ,
-586  ,
-579  ,
-568  ,
-548  ,
-527  ,
-495  ,
-464  ,
-429  ,
-388  ,
-361  ,
-329  ,
-303  ,
-270  ,
-244  ,
-212  ,
-193  ,
-178  ,
-184  ,
-189  ,
-214  ,
-233  ,
-274  ,
-310  ,
-350  ,
-386  ,
-416  ,
-440  ,
-443  ,
-438  ,
-413  ,
-380  ,
-334  ,
-282  ,
-221  ,
-157  ,
-83 ,
-11 ,
61  ,
131 ,
185 ,
242 ,
276 ,
313 ,
330 ,
349 ,
356 ,
354 ,
345 ,
328 ,
317 ,
284 ,
269 ,
232 ,
207 ,
168 ,
133 ,
101 ,
63  ,
32  ,
-1  ,
-30 ,
-51 ,
-67 ,
-74 ,
-73 ,
-72 ,
-73 ,
-65 ,
-60 ,
-54 ,
-45 ,
-27 ,
-9  ,
17  ,
47  ,
83  ,
131 ,
183 ,
244 ,
299 ,
357 ,
408 ,
453 ,
490 ,
519 ,
543 ,
557 ,
563 ,
557 ,
545 ,
530 ,
505 ,
493 ,
480 ,
457 ,
442 ,
416 ,
382 ,
348 ,
310 ,
274 ,
242 ,
200 ,
167 ,
129 ,
92  ,
56  ,
20  ,
-19 ,
-56 ,
-105  ,
-154  ,
-213  ,
-275  ,
-339  ,
-397  ,
-466  ,
-508  ,
-559  ,
-594  ,
-630  ,
-661  ,
-674  ,
-693  ,
-690  ,
-700  ,
-688  ,
-688  ,
-676  ,
-664  ,
-654  ,
-629  ,
-611  ,
-574  ,
-542  ,
-506  ,
-467  ,
-435  ,
-401  ,
-367  ,
-341  ,
-317  ,
-298  ,
-281  ,
-266  ,
-259  ,
-244  ,
-240  ,
-216  ,
-210  ,
-187  ,
-166  ,
-140  ,
-102  ,
-64 ,
-23 ,
6 ,
32  ,
45  ,
58  ,
60  ,
64  ,
61  ,
60  ,
62  ,
68  ,
70  ,
88  ,
99  ,
129 ,
157 ,
194 ,
224 ,
261 ,
285 ,
322 ,
338 ,
361 ,
377 ,
393 ,
402 ,
420 ,
425 ,
442 ,
455 ,
469 ,
477 ,
467 ,
448 ,
417 ,
388 ,
354 ,
319 ,
281 ,
239 ,
206 ,
173 ,
154 ,
137 ,
131 ,
123 ,
122 ,
106 ,
101 ,
83  ,
88  ,
87  ,
111 ,
127 ,
157 ,
183 ,
227 ,
271 ,
320 ,
371 ,
417 ,
467 ,
510 ,
549 ,
586 ,
618 ,
651 ,
687 ,
717 ,
732 ,
752 ,
755 ,
768 ,
760 ,
748 ,
720 ,
676 ,
620 ,
551 ,
477 ,
395 ,
316 ,
233 ,
160 ,
66  ,
-14 ,
-111  ,
-188  ,
-264  ,
-327  ,
-393  ,
-456  ,
-508  ,
-559  ,
-600  ,
-638  ,
-661  ,
-681  ,
-687  ,
-697  ,
-693  ,
-694  ,
-669  ,
-635  ,
-590  ,
-534  ,
-494  ,
-434  ,
-384  ,
-329  ,
-273  ,
-215  ,
-158  ,
-103  ,
-55 ,
-19 ,
14  ,
36  ,
63  ,
88  ,
113 ,
138 ,
155 ,
175 ,
200 ,
225 ,
261 ,
290 ,
324 ,
363 ,
397 ,
439 ,
480 ,
536 ,
587 ,
645 ,
683 ,
723 ,
742 ,
758 ,
766 ,
768 ,
754 ,
728 ,
692 ,
645 ,
590 ,
531 ,
471 ,
417 ,
362 ,
311 ,
252 ,
211 ,
166 ,
144 ,
122 ,
109 ,
96  ,
88  ,
82  ,
80  ,
84  ,
83  ,
93  ,
97  ,
103 ,
99  ,
88  ,
79  ,
72  ,
60  ,
41  ,
14  ,
-5  ,
-35 ,
-51 ,
-77 ,
-86 ,
-103  ,
-120  ,
-145  ,
-169  ,
-205  ,
-230  ,
-258  ,
-269  ,
-289  ,
-299  ,
-320  ,
-330  ,
-336  ,
-336  ,
-329  ,
-323  ,
-308  ,
-291  ,
-275  ,
-250  ,
-233  ,
-207  ,
-172  ,
-139  ,
-100  ,
-76 ,
-53 ,
-37 ,
-18 ,
-14 ,
-12 ,
-25 ,
-34 ,
-67 ,
-84 ,
-113  ,
-137  ,
-158  ,
-184  ,
-201  ,
-230  ,
-250  ,
-280  ,
-292  ,
-308  ,
-318  ,
-337  ,
-344  ,
-355  ,
-359  ,
-350  ,
-338  ,
-314  ,
-280  ,
-242  ,
-202  ,
-164  ,
-133  ,
-103  ,
-77 ,
-52 ,
-42 ,
-26 ,
-26 ,
-16 ,
-7  ,
6 ,
18  ,
41  ,
64  ,
101 ,
141 ,
185 ,
229 ,
276 ,
316 ,
360 ,
388 ,
420 ,
438 ,
468 ,
494 ,
521 ,
546 ,
563 ,
574 ,
580 ,
572 ,
563 ,
540 ,
519 ,
493 ,
467 ,
438 ,
406 ,
375 ,
352 ,
323 ,
304 ,
279 ,
252 ,
223 ,
183 ,
135 ,
87  ,
20  ,
-46 ,
-123  ,
-199  ,
-281  ,
-361  ,
-432  ,
-499  ,
-548  ,
-596  ,
-624  ,
-652  ,
-661  ,
-672  ,
-655  ,
-648  ,
-619  ,
-599  ,
-566  ,
-550  ,
-512  ,
-484  ,
-445  ,
-408  ,
-373  ,
-331  ,
-303  ,
-271  ,
-247  ,
-226  ,
-208  ,
-193  ,
-187  ,
-190  ,
-195  ,
-208  ,
-211  ,
-216  ,
-209  ,
-208  ,
-197  ,
-203  ,
-198  ,
-209  ,
-213  ,
-229  ,
-250  ,
-275  ,
-310  ,
-350  ,
-381  ,
-411  ,
-424  ,
-432  ,
-424  ,
-419  ,
-398  ,
-378  ,
-343  ,
-307  ,
-269  ,
-224  ,
-193  ,
-164  ,
-141  ,
-121  ,
-100  ,
-71 ,
-49 ,
-1  ,
30  ,
72  ,
114 ,
150 ,
194 ,
219 ,
243 ,
249 ,
251 ,
240 ,
235 ,
216 ,
197 ,
190 ,
174 ,
167 ,
152 ,
143 ,
134 ,
141 ,
144 ,
149 ,
149 ,
143 ,
135 ,
123 ,
115 ,
107 ,
107 ,
117 ,
128 ,
154 ,
171 ,
204 ,
233 ,
268 ,
293 ,
322 ,
327 ,
342 ,
333 ,
331 ,
320 ,
304 ,
289 ,
268 ,
251 ,
233 ,
203 ,
182 ,
151 ,
125 ,
91  ,
57  ,
12  ,
-28 ,
-69 ,
-100  ,
-124  ,
-136  ,
-142  ,
-144  ,
-145  ,
-150  ,
-159  ,
-169  ,
-175  ,
-187  ,
-199  ,
-232  ,
-260  ,
-298  ,
-329  ,
-360  ,
-376  ,
-397  ,
-404  ,
-418  ,
-421  ,
-423  ,
-419  ,
-410  ,
-388  ,
-372  ,
-344  ,
-325  ,
-299  ,
-263  ,
-229  ,
-185  ,
-141  ,
-100  ,
-56 ,
-21 ,
25  ,
52  ,
91  ,
104 ,
127 ,
118 ,
123 ,
106 ,
89  ,
71  ,
42  ,
19  ,
-29 ,
-66 ,
-119  ,
-167  ,
-214  ,
-258  ,
-290  ,
-326  ,
-360  ,
-385  ,
-420  ,
-437  ,
-465  ,
-479  ,
-491  ,
-489  ,
-480  ,
-464  ,
-433  ,
-388  ,
-327  ,
-258  ,
-183  ,
-108  ,
-30 ,
46  ,
115 ,
177 ,
235 ,
282 ,
330 ,
366 ,
399 ,
416 ,
442 ,
454 ,
472 ,
475 ,
481 ,
474 ,
466 ,
450 ,
441 ,
427 ,
416 ,
406 ,
391 ,
382 ,
364 ,
353 ,
346 ,
339 ,
346 ,
347 ,
355 ,
351 ,
349 ,
342 ,
331 ,
317 ,
294 ,
273 ,
244 ,
222 ,
199 ,
182 ,
174 ,
174 ,
168 ,
175 ,
166 ,
177 ,
178 ,
193 ,
214 ,
229 ,
241 ,
237 ,
231 ,
217 ,
197 ,
178 ,
159 ,
145 ,
123 ,
110 ,
93  ,
83  ,
77  ,
79  ,
89  ,
95  ,
108 ,
119 ,
136 ,
161 ,
192 ,
227 ,
255 ,
276 ,
292 ,
294 ,
295 ,
296 ,
287 ,
280 ,
250 ,
220 ,
177 ,
133 ,
89  ,
55  ,
25  ,
-2  ,
-29 ,
-48 ,
-66 ,
-66 ,
-62 ,
-46 ,
-36 ,
-23 ,
-26 ,
-27 ,
-35 ,
-49 ,
-54 ,
-69 ,
-75 ,
-101  ,
-119  ,
-154  ,
-181  ,
-217  ,
-249  ,
-286  ,
-324  ,
-362  ,
-398  ,
-428  ,
-456  ,
-475  ,
-505  ,
-522  ,
-542  ,
-560  ,
-571  ,
-577  ,
-568  ,
-561  ,
-546  ,
-543  ,
-538  ,
-540  ,
-537  ,
-529  ,
-515  ,
-497  ,
-470  ,
-434  ,
-393  ,
-351  ,
-297  ,
-249  ,
-179  ,
-125  ,
-56 ,
-8  ,
51  ,
94  ,
156 ,
206 ,
263 ,
304 ,
351 ,
393 ,
435 ,
481 ,
521 ,
566 ,
600 ,
631 ,
652 ,
653 ,
652 ,
635 ,
623 ,
601 ,
571 ,
541 ,
498 ,
464 ,
432 ,
403 ,
383 ,
360 ,
337 ,
317 ,
286 ,
250 ,
211 ,
170 ,
136 ,
94  ,
63  ,
24  ,
-1  ,
-31 ,
-43 ,
-52 ,
-49 ,
-52 ,
-44 ,
-40 ,
-29 ,
-17 ,
-8  ,
13  ,
20  ,
41  ,
48  ,
50  ,
61  ,
59  ,
77  ,
76  ,
81  ,
74  ,
62  ,
59  ,
51  ,
61  ,
59  ,
79  ,
90  ,
112 ,
126 ,
136 ,
148 ,
154 ,
151 ,
146 ,
130 ,
102 ,
65  ,
19  ,
-37 ,
-100  ,
-172  ,
-251  ,
-325  ,
-402  ,
-473  ,
-541  ,
-596  ,
-652  ,
-699  ,
-748  ,
-789  ,
-832  ,
-866  ,
-890  ,
-904  ,
-912  ,
-910  ,
-905  ,
-889  ,
-856  ,
-829  ,
-786  ,
-757  ,
-719  ,
-693  ,
-664  ,
-646  ,
-617  ,
-601  ,
-574  ,
-560  ,
-537  ,
-529  ,
-506  ,
-486  ,
-459  ,
-437  ,
-422  ,
-408  ,
-402  ,
-394  ,
-393  ,
-387  ,
-391  ,
-384  ,
-380  ,
-360  ,
-341  ,
-299  ,
-259  ,
-193  ,
-123  ,
-56 ,
18  ,
84  ,
164 ,
237 ,
318 ,
392 ,
466 ,
530 ,
599 ,
658 ,
718 ,
761 ,
803 ,
837 ,
866 ,
884 ,
882 ,
888 ,
874 ,
869 ,
849 ,
828 ,
797 ,
759 ,
724 ,
680 ,
653 ,
606 ,
570 ,
526 ,
483 ,
429 ,
377 ,
324 ,
278 ,
240 ,
191 ,
159 ,
114 ,
79  ,
48  ,
19  ,
0 ,
-25 ,
-40 ,
-62 ,
-70 ,
-82 ,
-83 ,
-78 ,
-69 ,
-56 ,
-49 ,
-39 ,
-33 ,
-23 ,
-8  ,
10  ,
27  ,
36  ,
46  ,
41  ,
40  ,
19  ,
10  ,
-11 ,
-27 ,
-42 ,
-66 ,
-83 ,
-110  ,
-121  ,
-134  ,
-140  ,
-136  ,
-146  ,
-162  ,
-180  ,
-209  ,
-233  ,
-267  ,
-296  ,
-337  ,
-378  ,
-430  ,
-480  ,
-532  ,
-571  ,
-608  ,
-641  ,
-664  ,
-698  ,
-727  ,
-746  ,
-760  ,
-748  ,
-733  ,
-707  ,
-681  ,
-648  ,
-607  ,
-556  ,
-492  ,
-435  ,
-361  ,
-315  ,
-255  ,
-219  ,
-172  ,
-132  ,
-88 ,
-42 ,
-6  ,
21  ,
35  ,
50  ,
68  ,
95  ,
131 ,
163 ,
198 ,
219 ,
240 ,
261 ,
278 ,
301 ,
322 ,
343 ,
356 ,
358 ,
368 ,
369 ,
400 ,
414 ,
441 ,
447 ,
453 ,
452 ,
465 ,
480 ,
510 ,
538 ,
565 ,
593 ,
617 ,
630 ,
655 ,
671 ,
706 ,
725 ,
741 ,
735 ,
729 ,
714 ,
701 ,
680 ,
651 ,
621 ,
579 ,
539 ,
504 ,
462 ,
429 ,
396 ,
365 ,
329 ,
282 ,
229 ,
187 ,
151 ,
125 ,
95  ,
75  ,
42  ,
18  ,
-14 ,
-41 ,
-73 ,
-98 ,
-125  ,
-151  ,
-184  ,
-214  ,
-245  ,
-263  ,
-271  ,
-263  ,
-255  ,
-246  ,
-237  ,
-216  ,
-197  ,
-168  ,
-137  ,
-113  ,
-85 ,
-73 ,
-59 ,
-59 ,
-52 ,
-50 ,
-41 ,
-43 ,
-54 ,
-80 ,
-103  ,
-136  ,
-164  ,
-184  ,
-205  ,
-221  ,
-237  ,
-249  ,
-257  ,
-249  ,
-241  ,
-218  ,
-192  ,
-166  ,
-147  ,
-136  ,
-121  ,
-103  ,
-87 ,
-67 ,
-59 ,
-45 ,
-56 ,
-55 ,
-67 ,
-74 ,
-86 ,
-100  ,
-121  ,
-125  ,
-140  ,
-133  ,
-124  ,
-100  ,
-80 ,
-51 ,
-27 ,
5 ,
42  ,
85  ,
136 ,
185 ,
228 ,
260 ,
289 ,
317 ,
352 ,
389 ,
428 ,
470 ,
495 ,
523 ,
531 ,
539 ,
544 ,
541 ,
533 ,
522 ,
499 ,
465 ,
436 ,
402 ,
380 ,
343 ,
309 ,
255 ,
205 ,
151 ,
105 ,
63  ,
29  ,
-5  ,
-36 ,
-65 ,
-98 ,
-120  ,
-133  ,
-144  ,
-134  ,
-138  ,
-135  ,
-143  ,
-130  ,
-129  ,
-105  ,
-91 ,
-67 ,
-55 ,
-29 ,
-15 ,
22  ,
37  ,
73  ,
88  ,
103 ,
98  ,
86  ,
80  ,
74  ,
81  ,
82  ,
82  ,
79  ,
73  ,
76  ,
85  ,
97  ,
108 ,
112 ,
109 ,
92  ,
68  ,
36  ,
5 ,
-21 ,
-50 ,
-78 ,
-115  ,
-141  ,
-174  ,
-187  ,
-209  ,
-222  ,
-247  ,
-259  ,
-282  ,
-293  ,
-312  ,
-326  ,
-339  ,
-346  ,
-349  ,
-363  ,
-367  ,
-383  ,
-379  ,
-384  ,
-373  ,
-379  ,
-373  ,
-380  ,
-375  ,
-371  ,
-365  ,
-347  ,
-322  ,
-290  ,
-252  ,
-219  ,
-184  ,
-152  ,
-115  ,
-83 ,
-52 ,
-30 ,
-16 ,
-3  ,
0 ,
5 ,
6 ,
6 ,
6 ,
-1  ,
-11 ,
-27 ,
-43 ,
-64 ,
-74 ,
-88 ,
-103  ,
-114  ,
-121  ,
-118  ,
-105  ,
-84 ,
-53 ,
-20 ,
16  ,
51  ,
89  ,
122 ,
162 ,
193 ,
225 ,
240 ,
246 ,
242 ,
232 ,
232 ,
219 ,
224 ,
224 ,
221 ,
215 ,
202 ,
188 ,
170 ,
147 ,
119 ,
78  ,
29  ,
-28 ,
-85 ,
-137  ,
-190  ,
-229  ,
-269  ,
-301  ,
-332  ,
-357  ,
-373  ,
-377  ,
-379  ,
-363  ,
-359  ,
-346  ,
-330  ,
-311  ,
-266  ,
-234  ,
-172  ,
-134  ,
-73 ,
-30 ,
20  ,
72  ,
128 ,
195 ,
251 ,
312 ,
358 ,
396 ,
425 ,
447 ,
464 ,
469 ,
473 ,
457 ,
453 ,
434 ,
424 ,
405 ,
391 ,
378 ,
364 ,
346 ,
316 ,
282 ,
242 ,
198 ,
151 ,
104 ,
39  ,
-18 ,
-95 ,
-155  ,
-233  ,
-295  ,
-360  ,
-409  ,
-453  ,
-498  ,
-526  ,
-558  ,
-578  ,
-575  ,
-572  ,
-550  ,
-538  ,
-516  ,
-494  ,
-466  ,
-440  ,
-412  ,
-393  ,
-378  ,
-376  ,
-381  ,
-395  ,
-412  ,
-414  ,
-415  ,
-401  ,
-391  ,
-375  ,
-357  ,
-332  ,
-301  ,
-274  ,
-233  ,
-202  ,
-167  ,
-143  ,
-121  ,
-102  ,
-73 ,
-43 ,
-9  ,
28  ,
57  ,
87  ,
104 ,
124 ,
137 ,
147 ,
150 ,
149 ,
136 ,
119 ,
106 ,
92  ,
101 ,
109 ,
126 ,
145 ,
164 ,
185 ,
206 ,
236 ,
258 ,
288 ,
304 ,
310 ,
320 ,
314 ,
322 ,
319 ,
323 ,
326 ,
318 ,
320 ,
313 ,
310 ,
311 ,
307 ,
306 ,
295 ,
279 ,
260 ,
238 ,
216 ,
197 ,
175 ,
156 ,
135 ,
110 ,
95  ,
81  ,
79  ,
66  ,
65  ,
48  ,
55  ,
54  ,
67  ,
84  ,
103 ,
135 ,
159 ,
195 ,
223 ,
268 ,
307 ,
351 ,
395 ,
428 ,
456 ,
477 ,
499 ,
515 ,
524 ,
530 ,
521 ,
504 ,
475 ,
435 ,
393 ,
344 ,
294 ,
236 ,
178 ,
115 ,
53  ,
-7  ,
-66 ,
-113  ,
-168  ,
-217  ,
-264  ,
-313  ,
-354  ,
-394  ,
-437  ,
-468  ,
-518  ,
-551  ,
-602  ,
-633  ,
-678  ,
-699  ,
-725  ,
-739  ,
-749  ,
-756  ,
-753  ,
-740  ,
-717  ,
-690  ,
-656  ,
-616  ,
-577  ,
-527  ,
-484  ,
-431  ,
-380  ,
-329  ,
-281  ,
-234  ,
-202  ,
-161  ,
-138  ,
-94 ,
-52 ,
1 ,
56  ,
113 ,
164 ,
220 ,
271 ,
319 ,
379 ,
430 ,
486 ,
527 ,
574 ,
612 ,
650 ,
684 ,
718 ,
740 ,
749 ,
742 ,
717 ,
688 ,
648 ,
608 ,
573 ,
534 ,
495 ,
452 ,
404 ,
364 ,
320 ,
293 ,
271 ,
255 ,
239 ,
228 ,
220 ,
216 ,
223 ,
229 ,
249 ,
251 ,
261 ,
263 ,
274 ,
281 ,
301 ,
315 ,
330 ,
345 ,
347 ,
364 ,
361 ,
378 ,
376 ,
383 ,
375 ,
360 ,
338 ,
307 ,
280 ,
244 ,
206 ,
165 ,
119 ,
71  ,
30  ,
-11 ,
-36 ,
-56 ,
-70 ,
-90 ,
-102  ,
-129  ,
-152  ,
-173  ,
-197  ,
-210  ,
-233  ,
-247  ,
-270  ,
-273  ,
-291  ,
-284  ,
-287  ,
-281  ,
-274  ,
-279  ,
-288  ,
-305  ,
-322  ,
-338  ,
-348  ,
-359  ,
-364  ,
-378  ,
-377  ,
-386  ,
-376  ,
-373  ,
-348  ,
-340  ,
-311  ,
-310  ,
-294  ,
-298  ,
-296  ,
-294  ,
-296  ,
-295  ,
-301  ,
-309  ,
-319  ,
-330  ,
-343  ,
-345  ,
-359  ,
-355  ,
-362  ,
-361  ,
-349  ,
-341  ,
-306  ,
-277  ,
-240  ,
-199  ,
-159  ,
-109  ,
-57 ,
-1  ,
52  ,
109 ,
144 ,
185 ,
209 ,
232 ,
256 ,
279 ,
302 ,
322 ,
345 ,
353 ,
371 ,
383 ,
399 ,
415 ,
422 ,
435 ,
436 ,
440 ,
436 ,
436 ,
432 ,
427 ,
405 ,
386 ,
344 ,
298 ,
252 ,
196 ,
145 ,
89  ,
24  ,
-36 ,
-97 ,
-160  ,
-221  ,
-272  ,
-323  ,
-360  ,
-398  ,
-423  ,
-441  ,
-439  ,
-436  ,
-420  ,
-403  ,
-378  ,
-360  ,
-331  ,
-311  ,
-283  ,
-263  ,
-244  ,
-220  ,
-195  ,
-175  ,
-143  ,
-112  ,
-74 ,
-42 ,
-7  ,
16  ,
45  ,
55  ,
73  ,
75  ,
71  ,
52  ,
26  ,
-12 ,
-53 ,
-101  ,
-146  ,
-185  ,
-217  ,
-251  ,
-282  ,
-307  ,
-342  ,
-367  ,
-400  ,
-418  ,
-448  ,
-468  ,
-486  ,
-494  ,
-497  ,
-491  ,
-467  ,
-440  ,
-388  ,
-342  ,
-289  ,
-241  ,
-191  ,
-143  ,
-104  ,
-65 ,
-29 ,
-4  ,
22  ,
32  ,
53  ,
62  ,
80  ,
97  ,
118 ,
139 ,
156 ,
174 ,
188 ,
208 ,
221 ,
241 ,
257 ,
273 ,
289 ,
297 ,
311 ,
312 ,
315 ,
315 ,
308 ,
298 ,
276 ,
260 ,
243 ,
231 ,
225 ,
216 ,
223 ,
222 ,
239 ,
250 ,
276 ,
292 ,
319 ,
328 ,
344 ,
342 ,
334 ,
321 ,
305 ,
281 ,
257 ,
225 ,
198 ,
163 ,
129 ,
101 ,
64  ,
30  ,
-7  ,
-49 ,
-88 ,
-130  ,
-162  ,
-184  ,
-199  ,
-204  ,
-206  ,
-210  ,
-212  ,
-220  ,
-226  ,
-239  ,
-244  ,
-258  ,
-269  ,
-291  ,
-314  ,
-334  ,
-359  ,
-373  ,
-391  ,
-402  ,
-414  ,
-420  ,
-416  ,
-408  ,
-391  ,
-364  ,
-339  ,
-306  ,
-278  ,
-245  ,
-219  ,
-180  ,
-152  ,
-118  ,
-83 ,
-61 ,
-37 ,
-17 ,
0 ,
26  ,
46  ,
68  ,
92  ,
105 ,
113 ,
115 ,
109 ,
108 ,
86  ,
69  ,
30  ,
-6  ,
-52 ,
-92 ,
-136  ,
-184  ,
-220  ,
-257  ,
-287  ,
-317  ,
-341  ,
-367  ,
-379  ,
-402  ,
-406  ,
-420  ,
-425  ,
-422  ,
-414  ,
-392  ,
-374  ,
-345  ,
-316  ,
-276  ,
-238  ,
-194  ,
-146  ,
-92 ,
-36 ,
21  ,
84  ,
145 ,
204 ,
258 ,
305 ,
351 ,
384 ,
413 ,
431 ,
448 ,
457 ,
463 ,
482 ,
488 ,
516 ,
533 ,
567 ,
583 ,
611 ,
625 ,
640 ,
649 ,
651 ,
648 ,
640 ,
622 ,
596 ,
558 ,
518 ,
469 ,
426 ,
369 ,
324 ,
272 ,
225 ,
185 ,
142 ,
116 ,
79  ,
50  ,
17  ,
-22 ,
-48 ,
-89 ,
-101  ,
-132  ,
-134  ,
-160  ,
-161  ,
-181  ,
-191  ,
-208  ,
-218  ,
-234  ,
-246  ,
-260  ,
-257  ,
-260  ,
-245  ,
-226  ,
-198  ,
-162  ,
-126  ,
-84 ,
-53 ,
-4  ,
26  ,
68  ,
90  ,
117 ,
129 ,
140 ,
142 ,
140 ,
132 ,
129 ,
106 ,
92  ,
60  ,
37  ,
4 ,
-17 ,
-42 ,
-61 ,
-81 ,
-98 ,
-117  ,
-135  ,
-148  ,
-161  ,
-169  ,
-176  ,
-187  ,
-196  ,
-216  ,
-236  ,
-257  ,
-279  ,
-293  ,
-307  ,
-312  ,
-313  ,
-301  ,
-294  ,
-274  ,
-260  ,
-242  ,
-232  ,
-224  ,
-223  ,
-229  ,
-243  ,
-247  ,
-266  ,
-275  ,
-290  ,
-303  ,
-314  ,
-337  ,
-346  ,
-376  ,
-385  ,
-400  ,
-406  ,
-413  ,
-409  ,
-407  ,
-397  ,
-381  ,
-363  ,
-326  ,
-300  ,
-253  ,
-214  ,
-155  ,
-109  ,
-41 ,
14  ,
78  ,
138 ,
197 ,
250 ,
308 ,
351 ,
405 ,
445 ,
485 ,
522 ,
554 ,
588 ,
621 ,
644 ,
672 ,
691 ,
702 ,
709 ,
713 ,
706 ,
704 ,
687 ,
671 ,
642 ,
609 ,
560 ,
514 ,
456 ,
406 ,
354 ,
301 ,
252 ,
203 ,
151 ,
101 ,
49  ,
-6  ,
-51 ,
-95 ,
-128  ,
-151  ,
-161  ,
-173  ,
-166  ,
-160  ,
-149  ,
-133  ,
-120  ,
-103  ,
-85 ,
-71 ,
-63 ,
-49 ,
-38 ,
-17 ,
-1  ,
22  ,
45  ,
68  ,
93  ,
121 ,
151 ,
179 ,
210 ,
237 ,
260 ,
277 ,
290 ,
311 ,
320 ,
341 ,
343 ,
346 ,
341 ,
312 ,
288 ,
236 ,
192 ,
123 ,
61  ,
-14 ,
-82 ,
-158  ,
-230  ,
-302  ,
-362  ,
-420  ,
-470  ,
-511  ,
-542  ,
-562  ,
-580  ,
-587  ,
-609  ,
-607  ,
-621  ,
-621  ,
-625  ,
-618  ,
-611  ,
-591  ,
-573  ,
-549  ,
-524  ,
-499  ,
-468  ,
-437  ,
-409  ,
-379  ,
-357  ,
-344  ,
-331  ,
-311  ,
-293  ,
-271  ,
-244  ,
-224  ,
-200  ,
-181  ,
-170  ,
-153  ,
-143  ,
-131  ,
-114  ,
-99 ,
-95 ,
-83 ,
-75 ,
-66 ,
-45 ,
-30 ,
5 ,
35  ,
83  ,
131 ,
194 ,
254 ,
326 ,
394 ,
465 ,
530 ,
582 ,
628 ,
669 ,
700 ,
724 ,
742 ,
750 ,
751 ,
737 ,
722 ,
703 ,
688 ,
667 ,
658 ,
645 ,
624 ,
611 ,
579 ,
552 ,
525 ,
488 ,
457 ,
416 ,
371 ,
335 ,
294 ,
252 ,
217 ,
171 ,
131 ,
92  ,
53  ,
26  ,
-5  ,
-17 ,
-35 ,
-46 ,
-55 ,
-75 ,
-74 ,
-95 ,
-85 ,
-92 ,
-78 ,
-73 ,
-63 ,
-54 ,
-53 ,
-51 ,
-43 ,
-46 ,
-31 ,
-33 ,
-29 ,
-33 ,
-34 ,
-41 ,
-39 ,
-49 ,
-58 ,
-77 ,
-97 ,
-118  ,
-135  ,
-152  ,
-164  ,
-178  ,
-199  ,
-215  ,
-250  ,
-274  ,
-301  ,
-328  ,
-354  ,
-387  ,
-420  ,
-457  ,
-497  ,
-531  ,
-568  ,
-598  ,
-627  ,
-658  ,
-682  ,
-707  ,
-721  ,
-735  ,
-737  ,
-735  ,
-724  ,
-715  ,
-697  ,
-678  ,
-658  ,
-628  ,
-595  ,
-559  ,
-508  ,
-462  ,
-402  ,
-339  ,
-268  ,
-191  ,
-122  ,
-45 ,
10  ,
78  ,
123 ,
178 ,
218 ,
267 ,
296 ,
331 ,
354 ,
380 ,
400 ,
427 ,
447 ,
472 ,
493 ,
502 ,
516 ,
520 ,
530 ,
529 ,
533 ,
526 ,
526 ,
506 ,
488 ,
454 ,
437 ,
409 ,
397 ,
388 ,
380 ,
388 ,
390 ,
408 ,
422 ,
443 ,
448 ,
458 ,
450 ,
437 ,
418 ,
395 ,
374 ,
354 ,
332 ,
312 ,
288 ,
271 ,
253 ,
250 ,
242 ,
250 ,
254 ,
250 ,
259 ,
242 ,
246 ,
227 ,
224 ,
201 ,
181 ,
150 ,
120 ,
89  ,
63  ,
33  ,
11  ,
-19 ,
-52 ,
-78 ,
-110  ,
-130  ,
-148  ,
-158  ,
-168  ,
-181  ,
-197  ,
-210  ,
-226  ,
-238  ,
-250  ,
-269  ,
-293  ,
-320  ,
-356  ,
-385  ,
-418  ,
-441  ,
-477  ,
-504  ,
-536  ,
-565  ,
-589  ,
-590  ,
-590  ,
-558  ,
-536  ,
-505  ,
-479  ,
-455  ,
-423  ,
-398  ,
-369  ,
-343  ,
-325  ,
-307  ,
-299  ,
-287  ,
-283  ,
-275  ,
-274  ,
-268  ,
-278  ,
-284  ,
-301  ,
-303  ,
-304  ,
-290  ,
-280  ,
-262  ,
-252  ,
-241  ,
-225  ,
-196  ,
-162  ,
-118  ,
-79 ,
-45 ,
-4  ,
15  ,
59  ,
95  ,
142 ,
186 ,
236 ,
285 ,
334 ,
392 ,
454 ,
525 ,
592 ,
665 ,
723 ,
777 ,
815 ,
841 ,
861 ,
866 ,
861 ,
844 ,
811 ,
775 ,
726 ,
686 ,
642 ,
605 ,
554 ,
500 ,
435 ,
356 ,
292 ,
210 ,
152 ,
78  ,
24  ,
-43 ,
-102  ,
-154  ,
-190  ,
-219  ,
-223  ,
-229  ,
-221  ,
-218  ,
-206  ,
-195  ,
-171  ,
-149  ,
-124  ,
-105  ,
-93 ,
-84 ,
-85 ,
-73 ,
-73 ,
-52 ,
-34 ,
-6  ,
19  ,
46  ,
78  ,
108 ,
148 ,
171 ,
203 ,
217 ,
232 ,
232 ,
232 ,
234 ,
232 ,
224 ,
208 ,
179 ,
144 ,
96  ,
51  ,
3 ,
-45 ,
-91 ,
-146  ,
-196  ,
-250  ,
-296  ,
-335  ,
-368  ,
-394  ,
-416  ,
-441  ,
-455  ,
-477  ,
-481  ,
-483  ,
-485  ,
-485  ,
-494  ,
-505  ,
-520  ,
-531  ,
-537  ,
-537  ,
-537  ,
-530  ,
-527  ,
-521  ,
-513  ,
-489  ,
-454  ,
-410  ,
-360  ,
-308  ,
-255  ,
-207  ,
-154  ,
-102  ,
-49 ,
-1  ,
44  ,
75  ,
98  ,
111 ,
125 ,
131 ,
145 ,
142 ,
139 ,
123 ,
107 ,
92  ,
83  ,
87  ,
90  ,
104 ,
114 ,
124 ,
139 ,
164 ,
194 ,
234 ,
259 ,
291 ,
305 ,
323 ,
335 ,
349 ,
366 ,
372 ,
386 ,
382 ,
384 ,
373 ,
367 ,
363 ,
352 ,
350 ,
330 ,
310 ,
271 ,
237 ,
187 ,
151 ,
110 ,
71  ,
32  ,
-3  ,
-40 ,
-74 ,
-103  ,
-130  ,
-156  ,
-190  ,
-223  ,
-256  ,
-284  ,
-303  ,
-308  ,
-309  ,
-295  ,
-290  ,
-261  ,
-246  ,
-207  ,
-172  ,
-115  ,
-63 ,
1 ,
59  ,
105 ,
158 ,
198 ,
244 ,
277 ,
301 ,
326 ,
334 ,
353 ,
360 ,
378 ,
386 ,
399 ,
400 ,
402 ,
388 ,
382 ,
362 ,
354 ,
332 ,
305 ,
271 ,
220 ,
166 ,
100 ,
40  ,
-31 ,
-87 ,
-145  ,
-190  ,
-235  ,
-273  ,
-313  ,
-342  ,
-374  ,
-403  ,
-439  ,
-469  ,
-509  ,
-540  ,
-570  ,
-591  ,
-601  ,
-607  ,
-610  ,
-607  ,
-612  ,
-602  ,
-606  ,
-593  ,
-586  ,
-576  ,
-578  ,
-567  ,
-564  ,
-549  ,
-533  ,
-505  ,
-479  ,
-432  ,
-404  ,
-355  ,
-313  ,
-261  ,
-211  ,
-158  ,
-112  ,
-71 ,
-45 ,
-19 ,
2 ,
27  ,
49  ,
70  ,
91  ,
107 ,
119 ,
136 ,
143 ,
161 ,
165 ,
173 ,
172 ,
160 ,
148 ,
127 ,
120 ,
102 ,
86  ,
65  ,
41  ,
21  ,
2 ,
-5  ,
-11 ,
-6  ,
-7  ,
-3  ,
-3  ,
1 ,
8 ,
24  ,
48  ,
65  ,
91  ,
104 ,
125 ,
141 ,
153 ,
172 ,
176 ,
187 ,
184 ,
185 ,
188 ,
187 ,
193 ,
193 ,
198 ,
194 ,
197 ,
188 ,
186 ,
181 ,
171 ,
159 ,
146 ,
123 ,
111 ,
90  ,
75  ,
71  ,
60  ,
66  ,
76  ,
93  ,
113 ,
141 ,
167 ,
201 ,
218 ,
224 ,
218 ,
203 ,
174 ,
144 ,
111 ,
83  ,
52  ,
34  ,
8 ,
0 ,
-15 ,
-12 ,
-11 ,
-6  ,
-4  ,
-5  ,
-8  ,
-19 ,
-29 ,
-46 ,
-74 ,
-108  ,
-156  ,
-200  ,
-249  ,
-298  ,
-333  ,
-378  ,
-397  ,
-432  ,
-449  ,
-481  ,
-500  ,
-517  ,
-519  ,
-522  ,
-507  ,
-500  ,
-477  ,
-464  ,
-435  ,
-416  ,
-379  ,
-354  ,
-323  ,
-297  ,
-277  ,
-265  ,
-244  ,
-238  ,
-225  ,
-212  ,
-197  ,
-181  ,
-152  ,
-121  ,
-74 ,
-33 ,
24  ,
83  ,
146 ,
209 ,
273 ,
332 ,
383 ,
426 ,
457 ,
482 ,
493 ,
499 ,
497 ,
490 ,
473 ,
450 ,
413 ,
379 ,
324 ,
281 ,
233 ,
190 ,
150 ,
110 ,
75  ,
46  ,
12  ,
-12 ,
-40 ,
-60 ,
-87 ,
-106  ,
-124  ,
-140  ,
-150  ,
-150  ,
-145  ,
-130  ,
-107  ,
-76 ,
-45 ,
1 ,
44  ,
98  ,
141 ,
194 ,
231 ,
266 ,
295 ,
318 ,
339 ,
352 ,
360 ,
369 ,
368 ,
367 ,
354 ,
351 ,
338 ,
325 ,
310 ,
290 ,
264 ,
232 ,
188 ,
141 ,
78  ,
20  ,
-41 ,
-103  ,
-155  ,
-202  ,
-244  ,
-272  ,
-300  ,
-322  ,
-338  ,
-352  ,
-351  ,
-352  ,
-337  ,
-336  ,
-323  ,
-323  ,
-316  ,
-323  ,
-329  ,
-335  ,
-339  ,
-342  ,
-341  ,
-333  ,
-324  ,
-308  ,
-291  ,
-270  ,
-248  ,
-224  ,
-196  ,
-167  ,
-131  ,
-99 ,
-72 ,
-52 ,
-36 ,
-26 ,
-19 ,
-16 ,
-14 ,
-14 ,
-11 ,
-12 ,
-11 ,
-11 ,
-13 ,
-6  ,
1 ,
17  ,
25  ,
45  ,
61  ,
85  ,
111 ,
136 ,
171 ,
197 ,
228 ,
262 ,
284 ,
306 ,
324 ,
334 ,
349 ,
349 ,
351 ,
343 ,
336 ,
329 ,
318 ,
312 ,
313 ,
316 ,
322 ,
329 ,
341 ,
351 ,
370 ,
372 ,
387 ,
378 ,
373 ,
359 ,
332 ,
315 ,
281 ,
259 ,
226 ,
202 ,
166 ,
142 ,
106 ,
80  ,
50  ,
33  ,
13  ,
-5  ,
-15 ,
-28 ,
-31 ,
-34 ,
-36 ,
-32 ,
-36 ,
-23 ,
-16 ,
1 ,
18  ,
37  ,
56  ,
76  ,
92  ,
110 ,
125 ,
144 ,
167 ,
187 ,
203 ,
211 ,
205 ,
201 ,
186 ,
175 ,
157 ,
140 ,
116 ,
79  ,
45  ,
1 ,
-43 ,
-80 ,
-132  ,
-173  ,
-227  ,
-279  ,
-330  ,
-384  ,
-425  ,
-471  ,
-511  ,
-553  ,
-589  ,
-622  ,
-643  ,
-659  ,
-657  ,
-663  ,
-649  ,
-647  ,
-629  ,
-626  ,
-601  ,
-585  ,
-543  ,
-518  ,
-478  ,
-445  ,
-403  ,
-366  ,
-318  ,
-269  ,
-215  ,
-159  ,
-107  ,
-56 ,
-10 ,
34  ,
83  ,
132 ,
185 ,
229 ,
269 ,
301 ,
330 ,
352 ,
379 ,
398 ,
421 ,
432 ,
449 ,
451 ,
459 ,
462 ,
469 ,
478 ,
487 ,
493 ,
500 ,
496 ,
498 ,
499 ,
494 ,
500 ,
488 ,
487 ,
462 ,
449 ,
420 ,
395 ,
370 ,
327 ,
299 ,
238 ,
191 ,
128 ,
77  ,
19  ,
-21 ,
-64 ,
-95 ,
-116  ,
-137  ,
-140  ,
-151  ,
-146  ,
-143  ,
-136  ,
-129  ,
-121  ,
-116  ,
-111  ,
-103  ,
-105  ,
-95 ,
-98 ,
-97 ,
-99 ,
-99 ,
-101  ,
-99 ,
-104  ,
-105  ,
-121  ,
-136  ,
-151  ,
-160  ,
-167  ,
-174  ,
-180  ,
-189  ,
-196  ,
-212  ,
-218  ,
-236  ,
-232  ,
-243  ,
-241  ,
-249  ,
-255  ,
-255  ,
-250  ,
-238  ,
-229  ,
-217  ,
-208  ,
-199  ,
-186  ,
-176  ,
-165  ,
-148  ,
-141  ,
-128  ,
-126  ,
-130  ,
-132  ,
-140  ,
-136  ,
-134  ,
-132  ,
-137  ,
-152  ,
-167  ,
-192  ,
-212  ,
-247  ,
-274  ,
-315  ,
-347  ,
-377  ,
-406  ,
-415  ,
-422  ,
-408  ,
-389  ,
-364  ,
-329  ,
-304  ,
-253  ,
-221  ,
-172  ,
-142  ,
-120  ,
-93 ,
-77 ,
-48 ,
-19 ,
22  ,
60  ,
107 ,
144 ,
187 ,
222 ,
261 ,
305 ,
348 ,
388 ,
421 ,
446 ,
467 ,
485 ,
504 ,
521 ,
541 ,
560 ,
572 ,
578 ,
578 ,
566 ,
548 ,
531 ,
499 ,
464 ,
413 ,
359 ,
305 ,
249 ,
197 ,
148 ,
103 ,
53  ,
3 ,
-40 ,
-89 ,
-122  ,
-157  ,
-188  ,
-215  ,
-244  ,
-277  ,
-305  ,
-327  ,
-356  ,
-368  ,
-393  ,
-402  ,
-425  ,
-432  ,
-441  ,
-429  ,
-416  ,
-385  ,
-358  ,
-326  ,
-288  ,
-249  ,
-199  ,
-146  ,
-82 ,
-21 ,
40  ,
94  ,
143 ,
178 ,
217 ,
245 ,
262 ,
275 ,
268 ,
258 ,
238 ,
228 ,
210 ,
200 ,
191 ,
167 ,
148 ,
116 ,
90  ,
58  ,
36  ,
7 ,
-20 ,
-56 ,
-94 ,
-135  ,
-162  ,
-195  ,
-208  ,
-215  ,
-222  ,
-214  ,
-211  ,
-193  ,
-169  ,
-148  ,
-116  ,
-99 ,
-80 ,
-81 ,
-76 ,
-76 ,
-71 ,
-61 ,
-55 ,
-44 ,
-41 ,
-26 ,
-20 ,
0 ,
19  ,
45  ,
59  ,
66  ,
56  ,
38  ,
12  ,
-7  ,
-24 ,
-41 ,
-50 ,
-71 ,
-76 ,
-80 ,
-77 ,
-57 ,
-39 ,
-12 ,
2 ,
17  ,
23  ,
29  ,
43  ,
52  ,
76  ,
87  ,
105 ,
114 ,
126 ,
143 ,
163 ,
197 ,
223 ,
254 ,
268 ,
281 ,
293 ,
298 ,
310 ,
309 ,
309 ,
294 ,
273 ,
242 ,
216 ,
189 ,
174 ,
153 ,
130 ,
100 ,
71  ,
33  ,
7 ,
-19 ,
-37 ,
-55 ,
-76 ,
-93 ,
-114  ,
-126  ,
-130  ,
-131  ,
-115  ,
-117  ,
-104  ,
-107  ,
-106  ,
-98 ,
-85 ,
-64 ,
-42 ,
-23 ,
-7  ,
4 ,
20  ,
33  ,
59  ,
79  ,
102 ,
112 ,
122 ,
128 ,
137 ,
149 ,
168 ,
181 ,
197 ,
209 ,
215 ,
228 ,
238 ,
256 ,
267 ,
275 ,
271 ,
253 ,
229 ,
195 ,
168 ,
143 ,
111 ,
86  ,
43  ,
3 ,
-38 ,
-69 ,
-93 ,
-112  ,
-132  ,
-157  ,
-196  ,
-230  ,
-281  ,
-309  ,
-344  ,
-368  ,
-394  ,
-416  ,
-444  ,
-464  ,
-469  ,
-474  ,
-451  ,
-433  ,
-409  ,
-382  ,
-358  ,
-322  ,
-286  ,
-248  ,
-204  ,
-164  ,
-131  ,
-101  ,
-77 ,
-50 ,
-23 ,
3 ,
31  ,
46  ,
62  ,
67  ,
76  ,
88  ,
101 ,
113 ,
125 ,
124 ,
126 ,
115 ,
109 ,
105 ,
109 ,
117 ,
124 ,
130 ,
146 ,
158 ,
188 ,
208 ,
232 ,
243 ,
250 ,
245 ,
253 ,
239 ,
246 ,
242 ,
246 ,
240 ,
231 ,
219 ,
215 ,
217 ,
226 ,
239 ,
250 ,
255 ,
266 ,
271 ,
280 ,
292 ,
299 ,
312 ,
311 ,
310 ,
302 ,
300 ,
297 ,
305 ,
310 ,
310 ,
311 ,
305 ,
296 ,
295 ,
284 ,
293 ,
291 ,
310 ,
316 ,
336 ,
348 ,
364 ,
380 ,
381 ,
383 ,
367 ,
346 ,
321 ,
288 ,
272 ,
237 ,
208 ,
172 ,
134 ,
100 ,
59  ,
29  ,
-3  ,
-23 ,
-54 ,
-83 ,
-129  ,
-162  ,
-201  ,
-223  ,
-238  ,
-247  ,
-253  ,
-258  ,
-260  ,
-256  ,
-253  ,
-249  ,
-249  ,
-259  ,
-273  ,
-305  ,
-336  ,
-373  ,
-402  ,
-431  ,
-461  ,
-488  ,
-519  ,
-543  ,
-555  ,
-561  ,
-558  ,
-544  ,
-538  ,
-524  ,
-516  ,
-507  ,
-493  ,
-479  ,
-451  ,
-430  ,
-406  ,
-387  ,
-366  ,
-333  ,
-301  ,
-255  ,
-212  ,
-165  ,
-123  ,
-78 ,
-26 ,
24  ,
85  ,
148 ,
209 ,
264 ,
313 ,
352 ,
405 ,
442 ,
491 ,
525 ,
549 ,
565 ,
562 ,
569 ,
558 ,
552 ,
538 ,
516 ,
487 ,
450 ,
414 ,
386 ,
358 ,
342 ,
311 ,
288 ,
255 ,
220 ,
195 ,
167 ,
149 ,
127 ,
106 ,
88  ,
66  ,
50  ,
35  ,
31  ,
28  ,
36  ,
41  ,
52  ,
59  ,
75  ,
87  ,
104 ,
119 ,
133 ,
156 ,
165 ,
193 ,
212 ,
242 ,
276 ,
303 ,
329 ,
345 ,
355 ,
349 ,
350 ,
333 ,
321 ,
294 ,
272 ,
244 ,
212 ,
189 ,
155 ,
135 ,
110 ,
88  ,
59  ,
36  ,
1 ,
-16 ,
-55 ,
-87 ,
-137  ,
-183  ,
-245  ,
-295  ,
-352  ,
-396  ,
-434  ,
-461  ,
-484  ,
-501  ,
-520  ,
-536  ,
-551  ,
-562  ,
-579  ,
-593  ,
-607  ,
-617  ,
-623  ,
-632  ,
-631  ,
-626  ,
-613  ,
-586  ,
-563  ,
-535  ,
-506  ,
-480  ,
-441  ,
-409  ,
-370  ,
-338  ,
-309  ,
-286  ,
-273  ,
-257  ,
-249  ,
-238  ,
-231  ,
-225  ,
-221  ,
-225  ,
-222  ,
-219  ,
-208  ,
-187  ,
-171  ,
-152  ,
-134  ,
-109  ,
-90 ,
-64 ,
-38 ,
-10 ,
19  ,
45  ,
75  ,
98  ,
131 ,
167 ,
207 ,
239 ,
280 ,
302 ,
340 ,
360 ,
397 ,
416 ,
445 ,
458 ,
469 ,
467 ,
460 ,
433 ,
407 ,
372 ,
336 ,
292 ,
249 ,
207 ,
163 ,
128 ,
97  ,
63  ,
43  ,
13  ,
-6  ,
-24 ,
-42 ,
-55 ,
-67 ,
-72 ,
-83 ,
-96 ,
-107  ,
-122  ,
-135  ,
-142  ,
-150  ,
-136  ,
-133  ,
-109  ,
-96 ,
-65 ,
-40 ,
-12 ,
16  ,
42  ,
61  ,
83  ,
95  ,
109 ,
121 ,
132 ,
143 ,
140 ,
146 ,
132 ,
126 ,
114 ,
102 ,
86  ,
68  ,
42  ,
15  ,
-21 ,
-60 ,
-96 ,
-136  ,
-168  ,
-204  ,
-227  ,
-253  ,
-263  ,
-273  ,
-279  ,
-274  ,
-281  ,
-287  ,
-303  ,
-322  ,
-344  ,
-367  ,
-387  ,
-408  ,
-423  ,
-449  ,
-467  ,
-489  ,
-497  ,
-505  ,
-505  ,
-499  ,
-490  ,
-474  ,
-448  ,
-413  ,
-369  ,
-323  ,
-280  ,
-240  ,
-213  ,
-189  ,
-163  ,
-134  ,
-102  ,
-68 ,
-35 ,
0 ,
25  ,
55  ,
81  ,
118 ,
147 ,
182 ,
201 ,
218 ,
231 ,
237 ,
243 ,
247 ,
253 ,
255 ,
252 ,
247 ,
238 ,
236 ,
235 ,
242 ,
249 ,
251 ,
247 ,
239 ,
232 ,
217 ,
209 ,
197 ,
188 ,
175 ,
159 ,
146 ,
134 ,
130 ,
122 ,
122 ,
115 ,
104 ,
100 ,
97  ,
102 ,
108 ,
117 ,
124 ,
123 ,
109 ,
96  ,
70  ,
43  ,
20  ,
-15 ,
-37 ,
-69 ,
-91 ,
-109  ,
-116  ,
-111  ,
-97 ,
-76 ,
-58 ,
-41 ,
-32 ,
-20 ,
-11 ,
1 ,
15  ,
19  ,
24  ,
26  ,
19  ,
24  ,
24  ,
33  ,
37  ,
35  ,
37  ,
24  ,
23  ,
12  ,
14  ,
12  ,
15  ,
7 ,
5 ,
-4  ,
-6  ,
-2  ,
2 ,
4 ,
10  ,
-1  ,
-1  ,
-17 ,
-29 ,
-40 ,
-49 ,
-61 ,
-80 ,
-105  ,
-130  ,
-158  ,
-171  ,
-188  ,
-196  ,
-200  ,
-197  ,
-198  ,
-192  ,
-188  ,
-175  ,
-159  ,
-138  ,
-118  ,
-105  ,
-89 ,
-87 ,
-80 ,
-78 ,
-78 ,
-80 ,
-87 ,
-91 ,
-98 ,
-96 ,
-90 ,
-78 ,
-59 ,
-38 ,
-16 ,
5 ,
28  ,
49  ,
77  ,
107 ,
131 ,
162 ,
175 ,
205 ,
219 ,
239 ,
254 ,
267 ,
282 ,
285 ,
289 ,
290 ,
289 ,
287 ,
284 ,
267 ,
250 ,
215 ,
189 ,
142 ,
118 ,
75  ,
52  ,
7 ,
-19 ,
-61 ,
-88 ,
-115  ,
-131  ,
-142  ,
-141  ,
-141  ,
-140  ,
-141  ,
-143  ,
-141  ,
-138  ,
-137  ,
-133  ,
-134  ,
-123  ,
-116  ,
-93 ,
-63 ,
-26 ,
26  ,
72  ,
122 ,
163 ,
209 ,
248 ,
283 ,
317 ,
336 ,
352 ,
356 ,
348 ,
340 ,
333 ,
320 ,
316 ,
309 ,
304 ,
300 ,
288 ,
286 ,
278 ,
279 ,
264 ,
247 ,
220 ,
195 ,
163 ,
140 ,
115 ,
104 ,
83  ,
67  ,
43  ,
29  ,
10  ,
3 ,
5 ,
0 ,
8 ,
-6  ,
-7  ,
-19 ,
-19 ,
-25 ,
-18 ,
-27 ,
-25 ,
-43 ,
-57 ,
-75 ,
-87 ,
-95 ,
-102  ,
-113  ,
-127  ,
-142  ,
-159  ,
-163  ,
-161  ,
-155  ,
-141  ,
-142  ,
-141  ,
-149  ,
-156  ,
-157  ,
-155  ,
-150  ,
-151  ,
-152  ,
-162  ,
-160  ,
-166  ,
-152  ,
-145  ,
-135  ,
-131  ,
-133  ,
-139  ,
-148  ,
-154  ,
-156  ,
-157  ,
-158  ,
-162  ,
-166  ,
-169  ,
-164  ,
-149  ,
-132  ,
-111  ,
-93 ,
-82 ,
-70 ,
-58 ,
-47 ,
-26 ,
-11 ,
5 ,
9 ,
11  ,
-1  ,
-6  ,
-17 ,
-19 ,
-27 ,
-28 ,
-40 ,
-49 ,
-59 ,
-56 ,
-54 ,
-44 ,
-45 ,
-46 ,
-59 ,
-74 ,
-82 ,
-94 ,
-86 ,
-92 ,
-85 ,
-83 ,
-83 ,
-73 ,
-66 ,
-44 ,
-22 ,
2 ,
25  ,
50  ,
69  ,
103 ,
133 ,
176 ,
218 ,
260 ,
289 ,
313 ,
333 ,
355 ,
377 ,
408 ,
421 ,
432 ,
429 ,
416 ,
397 ,
371 ,
349 ,
316 ,
283 ,
241 ,
193 ,
146 ,
100 ,
68  ,
36  ,
4 ,
-26 ,
-67 ,
-103  ,
-136  ,
-169  ,
-181  ,
-212  ,
-229  ,
-253  ,
-287  ,
-307  ,
-345  ,
-362  ,
-388  ,
-404  ,
-425  ,
-443  ,
-463  ,
-467  ,
-470  ,
-459  ,
-447  ,
-425  ,
-413  ,
-396  ,
-378  ,
-354  ,
-326  ,
-298  ,
-267  ,
-248  ,
-232  ,
-225  ,
-222  ,
-215  ,
-206  ,
-194  ,
-185  ,
-174  ,
-167  ,
-160  ,
-140  ,
-120  ,
-82 ,
-58 ,
-25 ,
-6  ,
11  ,
32  ,
50  ,
80  ,
104 ,
124 ,
138 ,
142 ,
144 ,
146 ,
152 ,
163 ,
171 ,
174 ,
175 ,
165 ,
158 ,
147 ,
136 ,
132 ,
116 ,
96  ,
68  ,
45  ,
23  ,
14  ,
3 ,
9 ,
4 ,
8 ,
11  ,
11  ,
29  ,
35  ,
61  ,
63  ,
79  ,
63  ,
63  ,
48  ,
49  ,
58  ,
35  ,
17  ,
26  ,
29  ,
30  ,
34  ,
48  ,
75  ,
107 ,
128 ,
134 ,
161 ,
186 ,
191 ,
176 ,
151 ,
138 ,
128 ,
124 ,
141 ,
137 ,
129 ,
119 ,
128 ,
136 ,
99  ,
66  ,
65  ,
71  ,
57  ,
46  ,
50  ,
66  ,
60  ,
58  ,
49  ,
20  ,
-10 ,
-23 ,
-22 ,
-36 ,
-71 ,
-91 ,
-119  ,
-138  ,
-184  ,
-195  ,
-225  ,
-235  ,
-236  ,
-237  ,
-253  ,
-279  ,
-287  ,
-288  ,
-298  ,
-304  ,
-304  ,
-302  ,
-282  ,
-261  ,
-238  ,
-226  ,
-221  ,
-193  ,
-177  ,
-163  ,
-156  ,
-117  ,
-72 ,
-18 ,
23  ,
51  ,
54  ,
72  ,
114 ,
168 ,
213 ,
259 ,
312 ,
357 ,
384 ,
398 ,
398 ,
417 ,
428 ,
448 ,
453 ,
435 ,
431 ,
433 ,
449 ,
450 ,
444 ,
435 ,
440 ,
436 ,
445 ,
432 ,
431 ,
426 ,
434 ,
413 ,
373 ,
321 ,
285 ,
262 ,
244 ,
222 ,
191 ,
155 ,
118 ,
95  ,
71  ,
51  ,
36  ,
28  ,
19  ,
-21 ,
-58 ,
-101  ,
-119  ,
-136  ,
-132  ,
-144  ,
-156  ,
-162  ,
-150  ,
-133  ,
-115  ,
-101  ,
-77 ,
-51 ,
-29 ,
-16 ,
1 ,
8 ,
34  ,
56  ,
67  ,
55  ,
36  ,
36  ,
29  ,
36  ,
28  ,
25  ,
-3  ,
-32 ,
-67 ,
-109  ,
-143  ,
-169  ,
-169  ,
-178  ,
-194  ,
-227  ,
-247  ,
-266  ,
-277  ,
-290  ,
-304  ,
-325  ,
-346  ,
-348  ,
-358  ,
-365  ,
-355  ,
-339  ,
-317  ,
-299  ,
-292  ,
-280  ,
-257  ,
-226  ,
-193  ,
-170  ,
-167  ,
-162  ,
-169  ,
-171  ,
-181  ,
-176  ,
-157  ,
-143  ,
-127  ,
-135  ,
-143  ,
-154  ,
-140  ,
-115  ,
-92 ,
-70 ,
-66 ,
-63 ,
-60 ,
-60 ,
-46 ,
-33 ,
-12 ,
2 ,
14  ,
21  ,
28  ,
48  ,
67  ,
97  ,
110 ,
128 ,
142 ,
158 ,
184 ,
218 ,
256 ,
283 ,
303 ,
318 ,
314 ,
325 ,
329 ,
364 ,
377 ,
393 ,
378 ,
361 ,
331 ,
308 ,
296 ,
284 ,
266 ,
245 ,
219 ,
194 ,
160 ,
144 ,
141 ,
144 ,
154 ,
142 ,
128 ,
109 ,
96  ,
91  ,
76  ,
60  ,
43  ,
16  ,
-7  ,
-33 ,
-47 ,
-48 ,
-51 ,
-46 ,
-46 ,
-60 ,
-77 ,
-69 ,
-52 ,
-30 ,
-10 ,
-5  ,
2 ,
-5  ,
-4  ,
3 ,
13  ,
22  ,
38  ,
43  ,
40  ,
27  ,
24  ,
25  ,
37  ,
42  ,
45  ,
29  ,
22  ,
14  ,
13  ,
3 ,
-4  ,
-19 ,
-38 ,
-75 ,
-108  ,
-146  ,
-172  ,
-190  ,
-200  ,
-219  ,
-261  ,
-311  ,
-386  ,
-447  ,
-502  ,
-556  ,
-617  ,
-688  ,
-735  ,
-762  ,
-761  ,
-737  ,
-692  ,
-634  ,
-544  ,
-451  ,
-361  ,
-282  ,
-200  ,
-92 ,
16  ,
107 ,
185 ,
239 ,
302 ,
370 ,
409 ,
401 ,
385 ,
364 ,
327 ,
279 ,
228 ,
209 ,
191 ,
180 ,
173 ,
163 ,
158 ,
153 ,
163 ,
196 ,
231 ,
284 ,
331 ,
389 ,
433 ,
479 ,
519 ,
552 ,
536 ,
478 ,
402 ,
341 ,
276 ,
211 ,
148 ,
101 ,
95  ,
114 ,
120 ,
112 ,
110 ,
128 ,
142 ,
114 ,
55  ,
2 ,
-36 ,
-40 ,
-36 ,
-18 ,
15  ,
64  ,
134 ,
182 ,
204 ,
191 ,
159 ,
105 ,
42  ,
-27 ,
-93 ,
-137  ,
-179  ,
-203  ,
-203  ,
-172  ,
-116  ,
-59 ,
-8  ,
40  ,
59  ,
53  ,
-10 ,
-87 ,
-152  ,
-171  ,
-165  ,
-149  ,
-123  ,
-69 ,
-1  ,
66  ,
115 ,
149 ,
168 ,
181 ,
155 ,
115 ,
36  ,
-27 ,
-75 ,
-85 ,
-90 ,
-72 ,
-51 ,
-22 ,
2 ,
-2  ,
-18 ,
-40 ,
-63 ,
-89 ,
-122  ,
-144  ,
-158  ,
-161  ,
-140  ,
-112  ,
-78 ,
-61 ,
-35 ,
-35 ,
-50 ,
-79 ,
-111  ,
-153  ,
-222  ,
-292  ,
-358  ,
-401  ,
-446  ,
-479  ,
-508  ,
-518  ,
-494  ,
-452  ,
-393  ,
-333  ,
-257  ,
-183  ,
-117  ,
-72 ,
-48 ,
-18 ,
24  ,
71  ,
118 ,
144 ,
175 ,
198 ,
217 ,
242 ,
275 ,
314 ,
367 ,
406 ,
432 ,
440 ,
437 ,
415 ,
388 ,
357 ,
333 ,
297 ,
255 ,
209 ,
177 ,
159 ,
168 ,
179 ,
188 ,
182 ,
167 ,
157 ,
141 ,
118 ,
107 ,
109 ,
131 ,
153 ,
167 ,
172 ,
174 ,
187 ,
178 ,
151 ,
93  ,
49  ,
-3  ,
-37 ,
-82 ,
-113  ,
-150  ,
-179  ,
-204  ,
-219  ,
-247  ,
-263  ,
-288  ,
-296  ,
-313  ,
-323  ,
-325  ,
-305  ,
-262  ,
-211  ,
-155  ,
-97 ,
-45 ,
-2  ,
57  ,
112 ,
179 ,
213 ,
240 ,
242 ,
248 ,
229 ,
226 ,
208 ,
206 ,
200 ,
181 ,
148 ,
85  ,
22  ,
-43 ,
-97 ,
-159  ,
-213  ,
-275  ,
-315  ,
-351  ,
-368  ,
-364  ,
-351  ,
-311  ,
-279  ,
-234  ,
-223  ,
-202  ,
-190  ,
-165  ,
-142  ,
-118  ,
-91 ,
-71 ,
-56 ,
-47 ,
-46 ,
-38 ,
-30 ,
-40 ,
-48 ,
-72 ,
-87 ,
-99 ,
-120  ,
-134  ,
-143  ,
-148  ,
-158  ,
-174  ,
-196  ,
-202  ,
-205  ,
-197  ,
-205  ,
-197  ,
-209  ,
-179  ,
-156  ,
-123  ,
-91 ,
-59 ,
-16 ,
31  ,
65  ,
95  ,
117 ,
152 ,
177 ,
198 ,
211 ,
213 ,
224 ,
245 ,
267 ,
293 ,
308 ,
314 ,
318 ,
305 ,
293 ,
275 ,
265 ,
257 ,
257 ,
256 ,
256 ,
256 ,
264 ,
276 ,
295 ,
307 ,
305 ,
284 ,
249 ,
214 ,
187 ,
170 ,
158 ,
158 ,
164 ,
179 ,
198 ,
199 ,
193 ,
174 ,
143 ,
101 ,
31  ,
-45 ,
-125  ,
-185  ,
-223  ,
-242  ,
-248  ,
-227  ,
-205  ,
-163  ,
-119  ,
-84 ,
-49 ,
-27 ,
-4  ,
9 ,
23  ,
38  ,
73  ,
109 ,
154 ,
188 ,
215 ,
230 ,
222 ,
200 ,
169 ,
125 ,
81  ,
27  ,
-18 ,
-61 ,
-78 ,
-90 ,
-80 ,
-78 ,
-64 ,
-68 ,
-84 ,
-108  ,
-144  ,
-186  ,
-225  ,
-272  ,
-321  ,
-367  ,
-413  ,
-439  ,
-447  ,
-450  ,
-433  ,
-422  ,
-406  ,
-401  ,
-407  ,
-412  ,
-420  ,
-421  ,
-420  ,
-415  ,
-395  ,
-373  ,
-356  ,
-330  ,
-310  ,
-284  ,
-261  ,
-237  ,
-222  ,
-200  ,
-183  ,
-157  ,
-123  ,
-93 ,
-58 ,
-15 ,
19  ,
54  ,
62  ,
85  ,
89  ,
120 ,
148 ,
183 ,
225 ,
261 ,
310 ,
338 ,
365 ,
369 ,
367 ,
358 ,
331 ,
306 ,
280 ,
259 ,
256 ,
266 ,
292 ,
324 ,
359 ,
379 ,
391 ,
385 ,
369 ,
351 ,
331 ,
314 ,
307 ,
314 ,
333 ,
364 ,
402 ,
438 ,
480 ,
501 ,
510 ,
491 ,
451 ,
402 ,
340 ,
275 ,
209 ,
151 ,
113 ,
91  ,
77  ,
66  ,
63  ,
51  ,
35  ,
12  ,
-34 ,
-64 ,
-104  ,
-123  ,
-137  ,
-133  ,
-113  ,
-87 ,
-39 ,
-1  ,
38  ,
52  ,
62  ,
45  ,
15  ,
-41 ,
-105  ,
-177  ,
-247  ,
-306  ,
-358  ,
-384  ,
-401  ,
-410  ,
-414  ,
-415  ,
-416  ,
-433  ,
-458  ,
-484  ,
-517  ,
-539  ,
-559  ,
-566  ,
-566  ,
-558  ,
-537  ,
-510  ,
-488  ,
-468  ,
-452  ,
-424  ,
-399  ,
-365  ,
-334  ,
-288  ,
-236  ,
-179  ,
-122  ,
-72 ,
-27 ,
5 ,
28  ,
38  ,
41  ,
20  ,
16  ,
-9  ,
-10 ,
-23 ,
-28 ,
-32 ,
-38 ,
-43 ,
-43 ,
-41 ,
-36 ,
-19 ,
-2  ,
32  ,
67  ,
110 ,
152 ,
198 ,
246 ,
286 ,
329 ,
343 ,
357 ,
354 ,
358 ,
357 ,
356 ,
360 ,
372 ,
382 ,
403 ,
413 ,
427 ,
428 ,
431 ,
403 ,
364 ,
304 ,
242 ,
186 ,
147 ,
122 ,
123 ,
133 ,
156 ,
185 ,
208 ,
229 ,
224 ,
212 ,
183 ,
144 ,
110 ,
85  ,
66  ,
78  ,
94  ,
133 ,
172 ,
202 ,
221 ,
227 ,
205 ,
167 ,
96  ,
8 ,
-91 ,
-185  ,
-263  ,
-327  ,
-365  ,
-389  ,
-386  ,
-386  ,
-376  ,
-389  ,
-402  ,
-432  ,
-467  ,
-499  ,
-536  ,
-557  ,
-565  ,
-555  ,
-528  ,
-493  ,
-450  ,
-401  ,
-362  ,
-327  ,
-319  ,
-308  ,
-327  ,
-333  ,
-353  ,
-365  ,
-375  ,
-384  ,
-376  ,
-379  ,
-362  ,
-353  ,
-347  ,
-340  ,
-342  ,
-341  ,
-337  ,
-335  ,
-323  ,
-309  ,
-284  ,
-254  ,
-225  ,
-190  ,
-162  ,
-125  ,
-94 ,
-60 ,
-45 ,
-31 ,
-36 ,
-38 ,
-42 ,
-35 ,
-32 ,
-18 ,
-4  ,
10  ,
24  ,
28  ,
50  ,
62  ,
88  ,
124 ,
153 ,
201 ,
243 ,
292 ,
340 ,
372 ,
387 ,
391 ,
380 ,
367 ,
347 ,
337 ,
340 ,
357 ,
378 ,
403 ,
418 ,
430 ,
420 ,
401 ,
357 ,
301 ,
232 ,
153 ,
78  ,
9 ,
-38 ,
-67 ,
-80 ,
-81 ,
-79 ,
-68 ,
-74 ,
-77 ,
-109  ,
-139  ,
-185  ,
-226  ,
-262  ,
-284  ,
-285  ,
-264  ,
-231  ,
-182  ,
-134  ,
-94 ,
-68 ,
-62 ,
-81 ,
-125  ,
-184  ,
-257  ,
-327  ,
-398  ,
-441  ,
-471  ,
-468  ,
-452  ,
-420  ,
-379  ,
-334  ,
-295  ,
-253  ,
-226  ,
-189  ,
-161  ,
-133  ,
-95 ,
-53 ,
3 ,
62  ,
128 ,
182 ,
229 ,
258 ,
272 ,
271 ,
256 ,
220 ,
184 ,
140 ,
96  ,
58  ,
35  ,
13  ,
10  ,
-1  ,
4 ,
-6  ,
-4  ,
-19 ,
-29 ,
-35 ,
-27 ,
-8  ,
26  ,
63  ,
108 ,
154 ,
196 ,
234 ,
257 ,
276 ,
285 ,
293 ,
301 ,
306 ,
321 ,
331 ,
347 ,
355 ,
351 ,
348 ,
334 ,
312 ,
303 ,
277 ,
263 ,
237 ,
213 ,
187 ,
159 ,
132 ,
98  ,
66  ,
21  ,
-16 ,
-62 ,
-87 ,
-109  ,
-111  ,
-94 ,
-61 ,
-12 ,
49  ,
125 ,
201 ,
281 ,
350 ,
403 ,
434 ,
445 ,
435 ,
418 ,
391 ,
365 ,
343 ,
324 ,
307 ,
286 ,
257 ,
217 ,
172 ,
111 ,
46  ,
-33 ,
-109  ,
-188  ,
-242  ,
-295  ,
-318  ,
-330  ,
-329  ,
-309  ,
-298  ,
-288  ,
-293  ,
-307  ,
-330  ,
-360  ,
-391  ,
-424  ,
-445  ,
-449  ,
-447  ,
-423  ,
-397  ,
-361  ,
-322  ,
-298  ,
-294  ,
-307  ,
-340  ,
-377  ,
-406  ,
-439  ,
-440  ,
-433  ,
-405  ,
-362  ,
-314  ,
-259  ,
-200  ,
-147  ,
-89 ,
-48 ,
-10 ,
21  ,
52  ,
96  ,
149 ,
216 ,
295 ,
370 ,
453 ,
529 ,
597 ,
650 ,
692 ,
719 ,
740 ,
733 ,
715 ,
686 ,
653 ,
617 ,
590 ,
552 ,
531 ,
497 ,
480 ,
458 ,
447 ,
435 ,
436 ,
435 ,
441 ,
436 ,
442 ,
452 ,
471 ,
490 ,
511 ,
531 ,
549 ,
564 ,
577 ,
594 ,
609 ,
623 ,
635 ,
636 ,
630 ,
605 ,
573 ,
523 ,
473 ,
406 ,
338 ,
261 ,
202 ,
142 ,
108 ,
86  ,
71  ,
56  ,
42  ,
8 ,
-21 ,
-69 ,
-114  ,
-161  ,
-209  ,
-258  ,
-307  ,
-351  ,
-380  ,
-397  ,
-399  ,
-393  ,
-392  ,
-385  ,
-389  ,
-386  ,
-389  ,
-393  ,
-393  ,
-391  ,
-382  ,
-361  ,
-337  ,
-293  ,
-254  ,
-207  ,
-180  ,
-163  ,
-173  ,
-189  ,
-226  ,
-251  ,
-288  ,
-307  ,
-318  ,
-316  ,
-298  ,
-272  ,
-241  ,
-206  ,
-176  ,
-163  ,
-166  ,
-193  ,
-237  ,
-292  ,
-347  ,
-405  ,
-454  ,
-496  ,
-523  ,
-537  ,
-546  ,
-542  ,
-539  ,
-536  ,
-530  ,
-528  ,
-532  ,
-538  ,
-539  ,
-523  ,
-486  ,
-440  ,
-376  ,
-308  ,
-231  ,
-161  ,
-94 ,
-35 ,
14  ,
55  ,
90  ,
104 ,
118 ,
110 ,
101 ,
94  ,
83  ,
90  ,
99  ,
117 ,
138 ,
166 ,
192 ,
225 ,
254 ,
289 ,
319 ,
339 ,
358 ,
357 ,
359 ,
351 ,
347 ,
335 ,
311 ,
279 ,
250 ,
212 ,
178 ,
158 ,
132 ,
128 ,
102 ,
90  ,
63  ,
42  ,
12  ,
-11 ,
-38 ,
-68 ,
-95 ,
-120  ,
-126  ,
-137  ,
-133  ,
-132  ,
-128  ,
-129  ,
-121  ,
-122  ,
-115  ,
-103  ,
-83 ,
-57 ,
-35 ,
2 ,
38  ,
96  ,
141 ,
200 ,
241 ,
270 ,
280 ,
282 ,
261 ,
237 ,
206 ,
181 ,
151 ,
123 ,
94  ,
65  ,
28  ,
-10 ,
-65 ,
-126  ,
-192  ,
-274  ,
-346  ,
-422  ,
-482  ,
-518  ,
-527  ,
-497  ,
-449  ,
-373  ,
-286  ,
-186  ,
-92 ,
1 ,
70  ,
118 ,
155 ,
167 ,
165 ,
152 ,
138 ,
126 ,
118 ,
98  ,
91  ,
63  ,
26  ,
-15 ,
-73 ,
-131  ,
-203  ,
-280  ,
-358  ,
-429  ,
-488  ,
-530  ,
-552  ,
-561  ,
-563  ,
-557  ,
-557  ,
-561  ,
-565  ,
-569  ,
-578  ,
-578  ,
-594  ,
-597  ,
-607  ,
-604  ,
-592  ,
-568  ,
-549  ,
-525  ,
-518  ,
-517  ,
-528  ,
-535  ,
-548  ,
-544  ,
-541  ,
-535  ,
-526  ,
-532  ,
-522  ,
-517  ,
-499  ,
-477  ,
-460  ,
-438  ,
-422  ,
-410  ,
-382  ,
-360  ,
-307  ,
-252  ,
-171  ,
-101  ,
-18 ,
60  ,
146 ,
226 ,
302 ,
372 ,
421 ,
453 ,
472 ,
478 ,
470 ,
467 ,
440 ,
421 ,
359 ,
312 ,
244 ,
200 ,
164 ,
161 ,
164 ,
180 ,
194 ,
219 ,
250 ,
281 ,
322 ,
343 ,
371 ,
374 ,
379 ,
384 ,
393 ,
428 ,
473 ,
536 ,
593 ,
649 ,
693 ,
742 ,
788 ,
823 ,
853 ,
860 ,
848 ,
821 ,
786 ,
759 ,
738 ,
743 ,
747 ,
764 ,
759 ,
757 ,
744 ,
721 ,
686 ,
633 ,
560 ,
474 ,
385 ,
302 ,
236 ,
195 ,
172 ,
176 ,
175 ,
182 ,
177 ,
174 ,
168 ,
171 ,
168 ,
168 ,
165 ,
164 ,
157 ,
148 ,
144 ,
136 ,
123 ,
99  ,
64  ,
18  ,
-45 ,
-103  ,
-169  ,
-227  ,
-286  ,
-350  ,
-402  ,
-454  ,
-487  ,
-523  ,
-538  ,
-570  ,
-586  ,
-626  ,
-668  ,
-724  ,
-782  ,
-834  ,
-883  ,
-930  ,
-972  ,
-1013 ,
-1049 ,
-1078 ,
-1096 ,
-1111 ,
-1116 ,
-1116 ,
-1116 ,
-1117 ,
-1113 ,
-1106 ,
-1090 ,
-1061 ,
-1026 ,
-989  ,
-952  ,
-917  ,
-875  ,
-825  ,
-768  ,
-699  ,
-630  ,
-563  ,
-484  ,
-431  ,
-365  ,
-306  ,
-249  ,
-181  ,
-134  ,
-82 ,
-46 ,
0 ,
51  ,
117 ,
195 ,
276 ,
363 ,
445 ,
529 ,
603 ,
670 ,
734 ,
781 ,
826 ,
839 ,
845 ,
838 ,
844 ,
858 ,
891 ,
930 ,
974 ,
1009  ,
1047  ,
1081  ,
1108  ,
1122  ,
1130  ,
1124  ,
1106  ,
1082  ,
1046  ,
1015  ,
988 ,
975 ,
960 ,
948 ,
922 ,
900 ,
871 ,
838 ,
816 ,
781 ,
760 ,
729 ,
711 ,
698 ,
694 ,
707 ,
727 ,
753 ,
779 ,
783 ,
792 ,
776 ,
765 ,
737 ,
694 ,
643 ,
575 ,
501 ,
418 ,
324 ,
233 ,
132 ,
34  ,
-72 ,
-181  ,
-286  ,
-391  ,
-471  ,
-542  ,
-582  ,
-607  ,
-618  ,
-605  ,
-590  ,
-546  ,
-506  ,
-441  ,
-397  ,
-339  ,
-304  ,
-281  ,
-267  ,
-263  ,
-255  ,
-246  ,
-245  ,
-242  ,
-251  ,
-271  ,
-292  ,
-318  ,
-347  ,
-373  ,
-403  ,
-440  ,
-487  ,
-533  ,
-587  ,
-627  ,
-674  ,
-717  ,
-761  ,
-814  ,
-858  ,
-900  ,
-927  ,
-935  ,
-935  ,
-918  ,
-905  ,
-888  ,
-873  ,
-852  ,
-815  ,
-772  ,
-722  ,
-667  ,
-617  ,
-558  ,
-499  ,
-430  ,
-353  ,
-284  ,
-215  ,
-166  ,
-135  ,
-121  ,
-107  ,
-108  ,
-99 ,
-99 ,
-96 ,
-101  ,
-101  ,
-92 ,
-64 ,
-19 ,
38  ,
108 ,
172 ,
243 ,
299 ,
373 ,
436 ,
514 ,
573 ,
637 ,
678 ,
720 ,
748 ,
774 ,
800 ,
807 ,
807 ,
781 ,
745 ,
696 ,
647 ,
586 ,
544 ,
492 ,
457 ,
408 ,
374 ,
336 ,
299 ,
267 ,
227 ,
190 ,
128 ,
80  ,
25  ,
-16 ,
-51 ,
-63 ,
-72 ,
-59 ,
-50 ,
-33 ,
-14 ,
4 ,
22  ,
36  ,
53  ,
52  ,
55  ,
42  ,
42  ,
48  ,
58  ,
79  ,
108 ,
125 ,
149 ,
149 ,
144 ,
130 ,
105 ,
72  ,
26  ,
-36 ,
-106  ,
-192  ,
-256  ,
-333  ,
-374  ,
-424  ,
-446  ,
-458  ,
-460  ,
-444  ,
-414  ,
-371  ,
-313  ,
-258  ,
-197  ,
-146  ,
-97 ,
-53 ,
-8  ,
29  ,
64  ,
86  ,
103 ,
100 ,
98  ,
89  ,
80  ,
77  ,
74  ,
79  ,
69  ,
52  ,
38  ,
10  ,
-9  ,
-32 ,
-59 ,
-81 ,
-115  ,
-134  ,
-159  ,
-168  ,
-188  ,
-189  ,
-211  ,
-236  ,
-273  ,
-311  ,
-351  ,
-381  ,
-419  ,
-448  ,
-488  ,
-512  ,
-528  ,
-534  ,
-522  ,
-506  ,
-481  ,
-464  ,
-446  ,
-439  ,
-426  ,
-420  ,
-402  ,
-386  ,
-365  ,
-351  ,
-327  ,
-305  ,
-283  ,
-259  ,
-246  ,
-227  ,
-227  ,
-224  ,
-226  ,
-221  ,
-207  ,
-186  ,
-151  ,
-106  ,
-60 ,
-7  ,
39  ,
80  ,
112 ,
139 ,
151 ,
149 ,
127 ,
103 ,
76  ,
49  ,
25  ,
9 ,
5 ,
1 ,
10  ,
11  ,
29  ,
39  ,
63  ,
64  ,
66  ,
36  ,
9 ,
-34 ,
-63 ,
-89 ,
-97 ,
-109  ,
-111  ,
-114  ,
-116  ,
-117  ,
-111  ,
-95 ,
-75 ,
-49 ,
-34 ,
-8  ,
15  ,
49  ,
97  ,
151 ,
215 ,
275 ,
343 ,
403 ,
473 ,
537 ,
600 ,
666 ,
697 ,
724 ,
715 ,
714 ,
688 ,
680 ,
650 ,
625 ,
576 ,
516 ,
455 ,
395 ,
349 ,
312 ,
293 ,
282 ,
281 ,
277 ,
287 ,
311 ,
337 ,
386 ,
423 ,
468 ,
505 ,
538 ,
572 ,
603 ,
633 ,
658 ,
680 ,
685 ,
691 ,
684 ,
676 ,
672 ,
663 ,
650 ,
624 ,
580 ,
539 ,
487 ,
440 ,
395 ,
345 ,
285 ,
207 ,
119 ,
24  ,
-75 ,
-168  ,
-243  ,
-322  ,
-391  ,
-457  ,
-515  ,
-557  ,
-587  ,
-607  ,
-603  ,
-604  ,
-594  ,
-585  ,
-573  ,
-565  ,
-551  ,
-527  ,
-504  ,
-481  ,
-467  ,
-462  ,
-455  ,
-455  ,
-459  ,
-463  ,
-487  ,
-513  ,
-558  ,
-599  ,
-637  ,
-663  ,
-671  ,
-671  ,
-660  ,
-642  ,
-623  ,
-590  ,
-560  ,
-510  ,
-467  ,
-417  ,
-372  ,
-331  ,
-294  ,
-257  ,
-225  ,
-192  ,
-152  ,
-116  ,
-77 ,
-62 ,
-42 ,
-32 ,
-23 ,
-15 ,
-9  ,
-4  ,
-1  ,
-6  ,
-11 ,
-25 ,
-29 ,
-44 ,
-40 ,
-53 ,
-62 ,
-79 ,
-89 ,
-92 ,
-83 ,
-65 ,
-45 ,
-17 ,
8 ,
51  ,
87  ,
144 ,
196 ,
260 ,
324 ,
382 ,
446 ,
498 ,
561 ,
626 ,
689 ,
754 ,
798 ,
834 ,
857 ,
876 ,
882 ,
883 ,
867 ,
844 ,
795 ,
740 ,
671 ,
605 ,
541 ,
471 ,
415 ,
344 ,
284 ,
223 ,
194 ,
172 ,
183 ,
197 ,
235 ,
272 ,
315 ,
369 ,
411 ,
469 ,
504 ,
536 ,
552 ,
550 ,
542 ,
529 ,
521 ,
505 ,
491 ,
462 ,
423 ,
389 ,
335 ,
296 ,
243 ,
198 ,
152 ,
109 ,
73  ,
40  ,
5 ,
-9  ,
-36 ,
-47 ,
-70 ,
-105  ,
-150  ,
-200  ,
-260  ,
-315  ,
-380  ,
-439  ,
-502  ,
-562  ,
-613  ,
-650  ,
-668  ,
-668  ,
-654  ,
-635  ,
-628  ,
-622  ,
-621  ,
-615  ,
-619  ,
-617  ,
-619  ,
-628  ,
-637  ,
-649  ,
-660  ,
-656  ,
-660  ,
-648  ,
-643  ,
-631  ,
-627  ,
-616  ,
-604  ,
-574  ,
-553  ,
-511  ,
-479  ,
-434  ,
-388  ,
-352  ,
-302  ,
-264  ,
-228  ,
-205  ,
-190  ,
-185  ,
-181  ,
-191  ,
-187  ,
-194  ,
-188  ,
-187  ,
-179  ,
-171  ,
-158  ,
-151  ,
-138  ,
-121  ,
-99 ,
-85 ,
-68 ,
-63 ,
-49 ,
-42 ,
-25 ,
-8  ,
5 ,
7 ,
16  ,
2 ,
12  ,
0 ,
17  ,
37  ,
58  ,
85  ,
106 ,
128 ,
168 ,
201 ,
258 ,
302 ,
354 ,
400 ,
449 ,
495 ,
543 ,
579 ,
622 ,
659 ,
687 ,
697 ,
694 ,
682 ,
661 ,
635 ,
597 ,
555 ,
509 ,
457 ,
414 ,
368 ,
336 ,
299 ,
266 ,
235 ,
203 ,
171 ,
141 ,
118 ,
108 ,
104 ,
107 ,
118 ,
135 ,
160 ,
197 ,
238 ,
288 ,
334 ,
369 ,
409 ,
430 ,
455 ,
459 ,
470 ,
479 ,
476 ,
470 ,
439 ,
419 ,
378 ,
348 ,
305 ,
263 ,
206 ,
146 ,
80  ,
11  ,
-60 ,
-128  ,
-195  ,
-258  ,
-320  ,
-390  ,
-457  ,
-538  ,
-605  ,
-672  ,
-728  ,
-768  ,
-804  ,
-819  ,
-824  ,
-817  ,
-802  ,
-781  ,
-757  ,
-730  ,
-702  ,
-686  ,
-676  ,
-686  ,
-688  ,
-710  ,
-725  ,
-757  ,
-781  ,
-817  ,
-836  ,
-857  ,
-862  ,
-864  ,
-857  ,
-833  ,
-823  ,
-797  ,
-781  ,
-754  ,
-726  ,
-688  ,
-659  ,
-622  ,
-596  ,
-562  ,
-523  ,
-487  ,
-447  ,
-401  ,
-361  ,
-311  ,
-272  ,
-224  ,
-182  ,
-139  ,
-101  ,
-70 ,
-56 ,
-53 ,
-59 ,
-58 ,
-66 ,
-55 ,
-45 ,
-29 ,
-14 ,
-2  ,
11  ,
20  ,
24  ,
28  ,
24  ,
11  ,
-4  ,
-7  ,
-3  ,
24  ,
60  ,
115 ,
178 ,
250 ,
333 ,
426 ,
522 ,
621 ,
715 ,
807 ,
882 ,
936 ,
973 ,
992 ,
993 ,
988 ,
951 ,
916 ,
857 ,
809 ,
744 ,
689 ,
626 ,
565 ,
504 ,
441 ,
378 ,
335 ,
293 ,
285 ,
273 ,
290 ,
310 ,
337 ,
368 ,
395 ,
421 ,
439 ,
452 ,
457 ,
459 ,
461 ,
465 ,
475 ,
482 ,
482 ,
480 ,
469 ,
452 ,
429 ,
395 ,
351 ,
300 ,
236 ,
177 ,
107 ,
36  ,
-30 ,
-100  ,
-160  ,
-227  ,
-284  ,
-347  ,
-400  ,
-458  ,
-506  ,
-567  ,
-620  ,
-689  ,
-745  ,
-805  ,
-856  ,
-910  ,
-956  ,
-992  ,
-1011 ,
-1016 ,
-1005 ,
-979  ,
-952  ,
-912  ,
-893  ,
-863  ,
-859  ,
-857  ,
-866  ,
-874  ,
-884  ,
-899  ,
-903  ,
-904  ,
-886  ,
-864  ,
-829  ,
-785  ,
-728  ,
-666  ,
-597  ,
-533  ,
-466  ,
-403  ,
-342  ,
-284  ,
-239  ,
-201  ,
-171  ,
-139  ,
-104  ,
-70 ,
-32 ,
5 ,
49  ,
90  ,
132 ,
168 ,
195 ,
229 ,
252 ,
280 ,
302 ,
323 ,
345 ,
362 ,
384 ,
401 ,
425 ,
451 ,
476 ,
511 ,
535 ,
567 ,
591 ,
625 ,
656 ,
694 ,
722 ,
742 ,
760 ,
771 ,
776 ,
793 ,
791 ,
806 ,
815 ,
838 ,
860 ,
892 ,
931 ,
976 ,
1028  ,
1080  ,
1127  ,
1172  ,
1206  ,
1236  ,
1255  ,
1253  ,
1242  ,
1208  ,
1163  ,
1103  ,
1032  ,
959 ,
875 ,
809 ,
723 ,
651 ,
565 ,
494 ,
425 ,
367 ,
314 ,
268 ,
224 ,
178 ,
147 ,
108 ,
83  ,
55  ,
37  ,
15  ,
-7  ,
-32 ,
-47 ,
-60 ,
-66 ,
-76 ,
-83 ,
-93 ,
-111  ,
-122  ,
-142  ,
-166  ,
-198  ,
-235  ,
-279  ,
-321  ,
-370  ,
-413  ,
-461  ,
-504  ,
-554  ,
-602  ,
-655  ,
-699  ,
-752  ,
-800  ,
-853  ,
-910  ,
-968  ,
-1030 ,
-1083 ,
-1132 ,
-1174 ,
-1213 ,
-1226 ,
-1233 ,
-1208 ,
-1175 ,
-1112 ,
-1040 ,
-965  ,
-885  ,
-816  ,
-756  ,
-697  ,
-657  ,
-607  ,
-572  ,
-540  ,
-506  ,
-474  ,
-440  ,
-396  ,
-367  ,
-319  ,
-280  ,
-223  ,
-166  ,
-107  ,
-53 ,
-3  ,
43  ,
77  ,
112 ,
136 ,
147 ,
175 ,
203 ,
235 ,
256 ,
281 ,
316 ,
349 ,
395 ,
436 ,
490 ,
544 ,
585 ,
634 ,
663 ,
696 ,
717 ,
740 ,
755 ,
755 ,
740 ,
717 ,
701 ,
688 ,
679 ,
662 ,
644 ,
628 ,
609 ,
586 ,
567 ,
548 ,
541 ,
531 ,
528 ,
537 ,
551 ,
588 ,
648 ,
725 ,
797 ,
864 ,
914 ,
966 ,
995 ,
1027  ,
1045  ,
1052  ,
1045  ,
1016  ,
972 ,
913 ,
832 ,
762 ,
680 ,
598 ,
506 ,
409 ,
307 ,
210 ,
109 ,
19  ,
-69 ,
-157  ,
-234  ,
-307  ,
-361  ,
-408  ,
-427  ,
-438  ,
-439  ,
-441  ,
-445  ,
-455  ,
-463  ,
-462  ,
-449  ,
-437  ,
-415  ,
-401  ,
-394  ,
-385  ,
-383  ,
-357  ,
-337  ,
-312  ,
-299  ,
-295  ,
-307  ,
-337  ,
-372  ,
-410  ,
-448  ,
-489  ,
-530  ,
-575  ,
-615  ,
-654  ,
-685  ,
-707  ,
-724  ,
-746  ,
-762  ,
-787  ,
-804  ,
-822  ,
-832  ,
-835  ,
-837  ,
-840  ,
-850  ,
-851  ,
-850  ,
-827  ,
-791  ,
-739  ,
-684  ,
-630  ,
-595  ,
-562  ,
-543  ,
-524  ,
-508  ,
-494  ,
-476  ,
-467  ,
-457  ,
-445  ,
-422  ,
-380  ,
-330  ,
-268  ,
-207  ,
-149  ,
-94 ,
-38 ,
26  ,
93  ,
152 ,
207 ,
242 ,
279 ,
310 ,
350 ,
394 ,
439 ,
472 ,
493 ,
498 ,
487 ,
481 ,
471 ,
476 ,
471 ,
474 ,
450 ,
441 ,
426 ,
435 ,
452 ,
484 ,
517 ,
546 ,
553 ,
554 ,
544 ,
532 ,
523 ,
506 ,
488 ,
451 ,
419 ,
382 ,
360 ,
338 ,
324 ,
305 ,
290 ,
278 ,
275 ,
292 ,
319 ,
358 ,
396 ,
424 ,
440 ,
446 ,
441 ,
440 ,
439 ,
431 ,
410 ,
370 ,
313 ,
256 ,
187 ,
123 ,
65  ,
6 ,
-50 ,
-108  ,
-162  ,
-206  ,
-242  ,
-262  ,
-284  ,
-299  ,
-326  ,
-349  ,
-361  ,
-357  ,
-354  ,
-336  ,
-332  ,
-323  ,
-331  ,
-332  ,
-334  ,
-319  ,
-309  ,
-277  ,
-256  ,
-231  ,
-213  ,
-189  ,
-162  ,
-129  ,
-92 ,
-70 ,
-51 ,
-45 ,
-40 ,
-48 ,
-61 ,
-75 ,
-91 ,
-110  ,
-145  ,
-181  ,
-224  ,
-277  ,
-326  ,
-376  ,
-423  ,
-467  ,
-500  ,
-525  ,
-525  ,
-538  ,
-528  ,
-531  ,
-528  ,
-528  ,
-530  ,
-527  ,
-523  ,
-509  ,
-494  ,
-475  ,
-464  ,
-446  ,
-431  ,
-402  ,
-362  ,
-312  ,
-256  ,
-197  ,
-139  ,
-93 ,
-61 ,
-39 ,
-22 ,
-4  ,
6 ,
23  ,
29  ,
39  ,
45  ,
56  ,
77  ,
95  ,
110 ,
132 ,
144 ,
162 ,
176 ,
199 ,
228 ,
257 ,
285 ,
302 ,
323 ,
335 ,
361 ,
387 ,
414 ,
422 ,
427 ,
420 ,
410 ,
403 ,
395 ,
399 ,
399 ,
397 ,
394 ,
368 ,
346 ,
313 ,
286 ,
250 ,
215 ,
171 ,
134 ,
98  ,
74  ,
68  ,
58  ,
74  ,
96  ,
125 ,
170 ,
209 ,
268 ,
327 ,
383 ,
437 ,
477 ,
521 ,
541 ,
563 ,
572 ,
567 ,
549 ,
516 ,
479 ,
432 ,
374 ,
322 ,
258 ,
214 ,
152 ,
100 ,
41  ,
-20 ,
-68 ,
-124  ,
-154  ,
-184  ,
-193  ,
-193  ,
-185  ,
-156  ,
-130  ,
-90 ,
-54 ,
-16 ,
26  ,
46  ,
80  ,
102 ,
122 ,
137 ,
143 ,
146 ,
141 ,
134 ,
127 ,
132 ,
126 ,
138 ,
131 ,
134 ,
107 ,
84  ,
35  ,
-24 ,
-94 ,
-165  ,
-239  ,
-322  ,
-391  ,
-462  ,
-522  ,
-566  ,
-605  ,
-618  ,
-628  ,
-629  ,
-623  ,
-613  ,
-605  ,
-593  ,
-581  ,
-571  ,
-559  ,
-544  ,
-535  ,
-514  ,
-500  ,
-471  ,
-468  ,
-455  ,
-466  ,
-456  ,
-456  ,
-432  ,
-411  ,
-363  ,
-327  ,
-281  ,
-228  ,
-174  ,
-126  ,
-71 ,
-21 ,
41  ,
87  ,
126 ,
155 ,
183 ,
202 ,
227 ,
253 ,
275 ,
292 ,
300 ,
315 ,
319 ,
329 ,
328 ,
325 ,
316 ,
302 ,
291 ,
274 ,
271 ,
271 ,
270 ,
262 ,
254 ,
232 ,
217 ,
197 ,
186 ,
178 ,
154 ,
140 ,
107 ,
87  ,
45  ,
19  ,
-9  ,
-31 ,
-41 ,
-55 ,
-51 ,
-42 ,
-23 ,
11  ,
48  ,
91  ,
133 ,
180 ,
224 ,
266 ,
296 ,
325 ,
342 ,
350 ,
349 ,
345 ,
332 ,
312 ,
292 ,
265 ,
238 ,
212 ,
185 ,
150 ,
118 ,
79  ,
44  ,
6 ,
-20 ,
-54 ,
-76 ,
-106  ,
-122  ,
-140  ,
-156  ,
-161  ,
-168  ,
-170  ,
-170  ,
-159  ,
-142  ,
-105  ,
-73 ,
-28 ,
3 ,
46  ,
69  ,
93  ,
102 ,
107 ,
113 ,
122 ,
129 ,
142 ,
157 ,
173 ,
196 ,
210 ,
223 ,
226 ,
219 ,
198 ,
178 ,
145 ,
109 ,
60  ,
17  ,
-53 ,
-106  ,
-176  ,
-230  ,
-280  ,
-322  ,
-345  ,
-369  ,
-382  ,
-384  ,
-389  ,
-377  ,
-383  ,
-377  ,
-386  ,
-391  ,
-393  ,
-392  ,
-380  ,
-372  ,
-357  ,
-339  ,
-319  ,
-300  ,
-273  ,
-245  ,
-219  ,
-193  ,
-183  ,
-178  ,
-184  ,
-190  ,
-197  ,
-194  ,
-191  ,
-189  ,
-182  ,
-181  ,
-174  ,
-178  ,
-178  ,
-182  ,
-191  ,
-205  ,
-230  ,
-257  ,
-296  ,
-329  ,
-350  ,
-363  ,
-379  ,
-377  ,
-388  ,
-375  ,
-379  ,
-364  ,
-358  ,
-334  ,
-325  ,
-297  ,
-286  ,
-271  ,
-258  ,
-253  ,
-251  ,
-263  ,
-271  ,
-295  ,
-317  ,
-339  ,
-357  ,
-373  ,
-386  ,
-398  ,
-404  ,
-404  ,
-401  ,
-373  ,
-339  ,
-277  ,
-208  ,
-120  ,
-29 ,
61  ,
142 ,
218 ,
275 ,
335 ,
378 ,
418 ,
443 ,
458 ,
469 ,
469 ,
467 ,
458 ,
441 ,
427 ,
407 ,
395 ,
379 ,
370 ,
363 ,
352 ,
335 ,
306 ,
280 ,
242 ,
218 ,
200 ,
193 ,
203 ,
220 ,
251 ,
288 ,
335 ,
380 ,
434 ,
483 ,
527 ,
565 ,
598 ,
624 ,
644 ,
660 ,
682 ,
690 ,
705 ,
702 ,
706 ,
689 ,
669 ,
632 ,
592 ,
532 ,
467 ,
385 ,
302 ,
217 ,
134 ,
66  ,
0 ,
-55 ,
-98 ,
-135  ,
-158  ,
-171  ,
-191  ,
-212  ,
-241  ,
-264  ,
-291  ,
-323  ,
-353  ,
-379  ,
-410  ,
-441  ,
-477  ,
-515  ,
-549  ,
-581  ,
-609  ,
-621  ,
-643  ,
-651  ,
-654  ,
-653  ,
-638  ,
-636  ,
-622  ,
-621  ,
-609  ,
-609  ,
-594  ,
-599  ,
-590  ,
-590  ,
-580  ,
-578  ,
-576  ,
-577  ,
-557  ,
-553  ,
-531  ,
-528  ,
-507  ,
-498  ,
-480  ,
-467  ,
-450  ,
-434  ,
-418  ,
-390  ,
-368  ,
-331  ,
-305  ,
-267  ,
-242  ,
-223  ,
-204  ,
-197  ,
-178  ,
-169  ,
-147  ,
-127  ,
-100  ,
-69 ,
-40 ,
2 ,
28  ,
59  ,
72  ,
94  ,
108 ,
143 ,
178 ,
238 ,
305 ,
383 ,
466 ,
546 ,
630 ,
708 ,
782 ,
855 ,
915 ,
976 ,
1014  ,
1048  ,
1074  ,
1086  ,
1092  ,
1090  ,
1083  ,
1066  ,
1052  ,
1028  ,
1004  ,
977 ,
946 ,
914 ,
873 ,
832 ,
790 ,
750 ,
723 ,
696 ,
684 ,
676 ,
673 ,
672 ,
665 ,
661 ,
650 ,
647 ,
632 ,
633 ,
622 ,
625 ,
624 ,
628 ,
629 ,
639 ,
630 ,
641 ,
628 ,
627 ,
618 ,
606 ,
599 ,
580 ,
559 ,
524 ,
486 ,
432 ,
381 ,
315 ,
250 ,
161 ,
75  ,
-23 ,
-119  ,
-218  ,
-316  ,
-403  ,
-490  ,
-571  ,
-643  ,
-694  ,
-746  ,
-777  ,
-818  ,
-849  ,
-889  ,
-932  ,
-979  ,
-1024 ,
-1077 ,
-1113 ,
-1145 ,
-1169 ,
-1180 ,
-1181 ,
-1185 ,
-1181 ,
-1172 ,
-1157 ,
-1132 ,
-1096 ,
-1049 ,
-999  ,
-948  ,
-897  ,
-853  ,
-803  ,
-772  ,
-731  ,
-700  ,
-668  ,
-640  ,
-603  ,
-575  ,
-536  ,
-513  ,
-487  ,
-469  ,
-460  ,
-462  ,
-459  ,
-447  ,
-434  ,
-404  ,
-371  ,
-323  ,
-281  ,
-232  ,
-187  ,
-133  ,
-83 ,
-22 ,
24  ,
74  ,
102 ,
130 ,
157 ,
171 ,
193 ,
199 ,
206 ,
210 ,
211 ,
228 ,
245 ,
282 ,
318 ,
357 ,
391 ,
421 ,
457 ,
503 ,
553 ,
618 ,
672 ,
739 ,
781 ,
841 ,
890 ,
935 ,
975 ,
995 ,
1004  ,
992 ,
975 ,
950 ,
937 ,
927 ,
914 ,
897 ,
871 ,
843 ,
801 ,
768 ,
723 ,
675 ,
623 ,
567 ,
507 ,
448 ,
388 ,
344 ,
311 ,
289 ,
268 ,
249 ,
237 ,
225 ,
228 ,
233 ,
249 ,
264 ,
273 ,
279 ,
279 ,
288 ,
283 ,
292 ,
293 ,
295 ,
283 ,
260 ,
227 ,
204 ,
166 ,
132 ,
94  ,
33  ,
-23 ,
-106  ,
-180  ,
-269  ,
-356  ,
-443  ,
-534  ,
-623  ,
-714  ,
-795  ,
-867  ,
-924  ,
-971  ,
-1005 ,
-1035 ,
-1061 ,
-1080 ,
-1101 ,
-1113 ,
-1126 ,
-1136 ,
-1138 ,
-1141 ,
-1148 ,
-1152 ,
-1153 ,
-1144 ,
-1121 ,
-1096 ,
-1064 ,
-1038 ,
-1014 ,
-988  ,
-965  ,
-940  ,
-915  ,
-885  ,
-858  ,
-829  ,
-795  ,
-763  ,
-716  ,
-677  ,
-619  ,
-580  ,
-535  ,
-507  ,
-475  ,
-447  ,
-418  ,
-383  ,
-348  ,
-312  ,
-277  ,
-244  ,
-218  ,
-190  ,
-160  ,
-125  ,
-94 ,
-63 ,
-41 ,
-15 ,
9 ,
32  ,
64  ,
87  ,
112 ,
127 ,
142 ,
148 ,
150 ,
142 ,
129 ,
120 ,
96  ,
83  ,
68  ,
74  ,
81  ,
114 ,
140 ,
191 ,
243 ,
308 ,
383 ,
455 ,
535 ,
604 ,
663 ,
715 ,
754 ,
778 ,
800 ,
803 ,
815 ,
808 ,
810 ,
798 ,
797 ,
794 ,
792 ,
790 ,
785 ,
775 ,
771 ,
757 ,
750 ,
728 ,
704 ,
676 ,
637 ,
605 ,
565 ,
546 ,
525 ,
513 ,
499 ,
488 ,
469 ,
457 ,
445 ,
436 ,
433 ,
424 ,
419 ,
417 ,
428 ,
427 ,
433 ,
428 ,
419 ,
397 ,
370 ,
322 ,
288 ,
232 ,
193 ,
130 ,
83  ,
13  ,
-39 ,
-104  ,
-161  ,
-210  ,
-278  ,
-330  ,
-400  ,
-455  ,
-521  ,
-582  ,
-642  ,
-697  ,
-749  ,
-796  ,
-829  ,
-866  ,
-883  ,
-906  ,
-915  ,
-937  ,
-944  ,
-971  ,
-987  ,
-1011 ,
-1043 ,
-1064 ,
-1096 ,
-1110 ,
-1127 ,
-1126 ,
-1116 ,
-1080 ,
-1033 ,
-977  ,
-907  ,
-842  ,
-776  ,
-715  ,
-658  ,
-609  ,
-559  ,
-521  ,
-485  ,
-449  ,
-431  ,
-399  ,
-383  ,
-355  ,
-328  ,
-303  ,
-273  ,
-245  ,
-209  ,
-181  ,
-146  ,
-118  ,
-89 ,
-68 ,
-47 ,
-23 ,
1 ,
31  ,
63  ,
102 ,
150 ,
181 ,
229 ,
250 ,
288 ,
301 ,
314 ,
322 ,
329 ,
338 ,
345 ,
351 ,
363 ,
374 ,
400 ,
427 ,
470 ,
518 ,
573 ,
631 ,
701 ,
760 ,
828 ,
882 ,
946 ,
1000  ,
1054  ,
1101  ,
1141  ,
1172  ,
1195  ,
1207  ,
1205  ,
1196  ,
1173  ,
1149  ,
1121  ,
1090  ,
1055  ,
1013  ,
976 ,
927 ,
883 ,
831 ,
781 ,
732 ,
676 ,
623 ,
560 ,
504 ,
435 ,
380 ,
325 ,
278 ,
233 ,
186 ,
154 ,
128 ,
117 ,
104 ,
110 ,
112 ,
119 ,
123 ,
131 ,
135 ,
137 ,
147 ,
144 ,
140 ,
123 ,
107 ,
79  ,
42  ,
2 ,
-39 ,
-85 ,
-129  ,
-186  ,
-236  ,
-303  ,
-360  ,
-427  ,
-489  ,
-560  ,
-641  ,
-720  ,
-793  ,
-857  ,
-904  ,
-947  ,
-969  ,
-993  ,
-987  ,
-992  ,
-981  ,
-968  ,
-954  ,
-938  ,
-927  ,
-921  ,
-909  ,
-898  ,
-881  ,
-862  ,
-837  ,
-820  ,
-796  ,
-767  ,
-724  ,
-680  ,
-617  ,
-555  ,
-481  ,
-407  ,
-331  ,
-259  ,
-187  ,
-123  ,
-71 ,
-35 ,
-11 ,
5 ,
20  ,
33  ,
49  ,
64  ,
79  ,
101 ,
123 ,
172 ,
203 ,
262 ,
299 ,
361 ,
402 ,
447 ,
483 ,
516 ,
541 ,
552 ,
564 ,
557 ,
561 ,
549 ,
552 ,
541 ,
538 ,
520 ,
517 ,
502 ,
498 ,
493 ,
498 ,
508 ,
526 ,
548 ,
572 ,
598 ,
633 ,
676 ,
717 ,
763 ,
800 ,
842 ,
859 ,
883 ,
883 ,
882 ,
870 ,
862 ,
840 ,
816 ,
774 ,
733 ,
688 ,
628 ,
578 ,
508 ,
452 ,
386 ,
323 ,
254 ,
189 ,
123 ,
63  ,
6 ,
-43 ,
-105  ,
-156  ,
-215  ,
-257  ,
-298  ,
-322  ,
-337  ,
-338  ,
-341  ,
-339  ,
-344  ,
-352  ,
-349  ,
-342  ,
-324  ,
-305  ,
-280  ,
-258  ,
-229  ,
-200  ,
-173  ,
-159  ,
-138  ,
-140  ,
-141  ,
-157  ,
-179  ,
-200  ,
-223  ,
-246  ,
-264  ,
-281  ,
-299  ,
-320  ,
-327  ,
-338  ,
-344  ,
-364  ,
-376  ,
-393  ,
-410  ,
-432  ,
-448  ,
-470  ,
-489  ,
-504  ,
-520  ,
-533  ,
-537  ,
-535  ,
-514  ,
-493  ,
-478  ,
-457  ,
-459  ,
-447  ,
-450  ,
-450  ,
-462  ,
-467  ,
-470  ,
-459  ,
-435  ,
-397  ,
-345  ,
-284  ,
-227  ,
-167  ,
-118  ,
-70 ,
-28 ,
11  ,
54  ,
83  ,
112 ,
133 ,
150 ,
169 ,
179 ,
188 ,
194 ,
206 ,
207 ,
211 ,
205 ,
207 ,
206 ,
209 ,
215 ,
210 ,
220 ,
216 ,
229 ,
229 ,
246 ,
251 ,
259 ,
256 ,
247 ,
227 ,
195 ,
159 ,
125 ,
82  ,
49  ,
3 ,
-25 ,
-56 ,
-69 ,
-66 ,
-49 ,
-19 ,
16  ,
47  ,
84  ,
107 ,
139 ,
161 ,
190 ,
207 ,
217 ,
220 ,
219 ,
215 ,
219 ,
215 ,
215 ,
213 ,
199 ,
191 ,
169 ,
149 ,
124 ,
105 ,
80  ,
60  ,
35  ,
14  ,
-4  ,
-15 ,
-34 ,
-51 ,
-73 ,
-103  ,
-121  ,
-151  ,
-166  ,
-186  ,
-198  ,
-206  ,
-213  ,
-208  ,
-211  ,
-185  ,
-160  ,
-113  ,
-64 ,
-12 ,
41  ,
89  ,
127 ,
171 ,
205 ,
239 ,
267 ,
287 ,
301 ,
307 ,
298 ,
289 ,
263 ,
232 ,
178 ,
133 ,
71  ,
30  ,
-18 ,
-49 ,
-85 ,
-114  ,
-151  ,
-190  ,
-223  ,
-262  ,
-293  ,
-334  ,
-361  ,
-404  ,
-437  ,
-471  ,
-493  ,
-509  ,
-521  ,
-527  ,
-535  ,
-539  ,
-544  ,
-538  ,
-531  ,
-520  ,
-501  ,
-488  ,
-472  ,
-453  ,
-428  ,
-389  ,
-344  ,
-295  ,
-250  ,
-204  ,
-180  ,
-151  ,
-135  ,
-110  ,
-90 ,
-66 ,
-58 ,
-46 ,
-54 ,
-50 ,
-49 ,
-38 ,
-15 ,
-3  ,
28  ,
35  ,
54  ,
54  ,
63  ,
53  ,
51  ,
41  ,
26  ,
15  ,
-2  ,
-12 ,
-30 ,
-38 ,
-49 ,
-70 ,
-88 ,
-126  ,
-141  ,
-171  ,
-185  ,
-200  ,
-214  ,
-216  ,
-223  ,
-215  ,
-199  ,
-176  ,
-139  ,
-91 ,
-33 ,
24  ,
90  ,
159 ,
233 ,
308 ,
369 ,
425 ,
461 ,
485 ,
491 ,
497 ,
488 ,
495 ,
482 ,
484 ,
463 ,
451 ,
422 ,
407 ,
381 ,
367 ,
338 ,
313 ,
277 ,
244 ,
200 ,
170 ,
136 ,
117 ,
92  ,
79  ,
60  ,
55  ,
57  ,
76  ,
102 ,
140 ,
176 ,
206 ,
238 ,
256 ,
285 ,
305 ,
328 ,
350 ,
368 ,
381 ,
389 ,
400 ,
400 ,
415 ,
412 ,
410 ,
390 ,
363 ,
321 ,
281 ,
233 ,
182 ,
132 ,
68  ,
26  ,
-30 ,
-77 ,
-110  ,
-139  ,
-165  ,
-194  ,
-234  ,
-271  ,
-315  ,
-353  ,
-380  ,
-414  ,
-433  ,
-455  ,
-478  ,
-492  ,
-518  ,
-531  ,
-545  ,
-556  ,
-564  ,
-582  ,
-585  ,
-599  ,
-593  ,
-586  ,
-559  ,
-527  ,
-481  ,
-432  ,
-373  ,
-315  ,
-246  ,
-190  ,
-125  ,
-87 ,
-54 ,
-40 ,
-34 ,
-42 ,
-48 ,
-66 ,
-65 ,
-82 ,
-81 ,
-93 ,
-94 ,
-88 ,
-85 ,
-73 ,
-67 ,
-56 ,
-52 ,
-52 ,
-59 ,
-65 ,
-70 ,
-76 ,
-86 ,
-95 ,
-109  ,
-123  ,
-135  ,
-150  ,
-150  ,
-162  ,
-160  ,
-161  ,
-160  ,
-155  ,
-144  ,
-120  ,
-88 ,
-51 ,
-5  ,
44  ,
100 ,
169 ,
237 ,
313 ,
380 ,
439 ,
481 ,
508 ,
533 ,
539 ,
550 ,
552 ,
561 ,
561 ,
556 ,
549 ,
538 ,
527 ,
523 ,
508 ,
506 ,
484 ,
477 ,
450 ,
433 ,
412 ,
386 ,
364 ,
316 ,
275 ,
218 ,
170 ,
117 ,
75  ,
34  ,
6 ,
-23 ,
-38 ,
-43 ,
-35 ,
-22 ,
4 ,
29  ,
54  ,
77  ,
107 ,
127 ,
159 ,
176 ,
204 ,
220 ,
237 ,
245 ,
255 ,
254 ,
261 ,
269 ,
274 ,
277 ,
265 ,
256 ,
235 ,
210 ,
179 ,
144 ,
102 ,
60  ,
12  ,
-37 ,
-81 ,
-117  ,
-156  ,
-196  ,
-232  ,
-275  ,
-309  ,
-345  ,
-367  ,
-385  ,
-402  ,
-410  ,
-420  ,
-432  ,
-441  ,
-458  ,
-464  ,
-477  ,
-485  ,
-498  ,
-505  ,
-515  ,
-513  ,
-511  ,
-499  ,
-485  ,
-473  ,
-461  ,
-444  ,
-432  ,
-408  ,
-399  ,
-372  ,
-359  ,
-333  ,
-331  ,
-320  ,
-324  ,
-320  ,
-324  ,
-318  ,
-325  ,
-312  ,
-310  ,
-289  ,
-273  ,
-241  ,
-217  ,
-188  ,
-162  ,
-145  ,
-126  ,
-119  ,
-104  ,
-90 ,
-84 ,
-80 ,
-91 ,
-112  ,
-139  ,
-171  ,
-197  ,
-230  ,
-254  ,
-275  ,
-287  ,
-292  ,
-294  ,
-276  ,
-258  ,
-219  ,
-176  ,
-136  ,
-86 ,
-41 ,
13  ,
77  ,
146 ,
218 ,
290 ,
350 ,
399 ,
437 ,
459 ,
470 ,
467 ,
458 ,
446 ,
421 ,
404 ,
383 ,
369 ,
363 ,
350 ,
353 ,
340 ,
330 ,
322 ,
303 ,
294 ,
276 ,
259 ,
239 ,
211 ,
183 ,
165 ,
157 ,
153 ,
171 ,
184 ,
218 ,
236 ,
272 ,
313 ,
360 ,
420 ,
467 ,
525 ,
558 ,
601 ,
626 ,
665 ,
689 ,
722 ,
743 ,
757 ,
758 ,
750 ,
726 ,
698 ,
669 ,
630 ,
600 ,
550 ,
507 ,
459 ,
416 ,
379 ,
349 ,
317 ,
279 ,
246 ,
192 ,
146 ,
82  ,
18  ,
-44 ,
-122  ,
-198  ,
-286  ,
-359  ,
-431  ,
-489  ,
-543  ,
-585  ,
-623  ,
-663  ,
-694  ,
-728  ,
-750  ,
-773  ,
-780  ,
-794  ,
-794  ,
-804  ,
-800  ,
-800  ,
-785  ,
-768  ,
-742  ,
-711  ,
-686  ,
-653  ,
-630  ,
-596  ,
-569  ,
-538  ,
-510  ,
-487  ,
-466  ,
-457  ,
-437  ,
-421  ,
-405  ,
-376  ,
-351  ,
-323  ,
-294  ,
-281  ,
-261  ,
-252  ,
-250  ,
-240  ,
-253  ,
-247  ,
-260  ,
-271  ,
-273  ,
-276  ,
-271  ,
-267  ,
-268  ,
-269  ,
-272  ,
-268  ,
-261  ,
-238  ,
-208  ,
-168  ,
-124  ,
-82 ,
-37 ,
9 ,
76  ,
138 ,
214 ,
282 ,
343 ,
405 ,
460 ,
518 ,
569 ,
615 ,
658 ,
688 ,
711 ,
721 ,
743 ,
756 ,
788 ,
812 ,
835 ,
846 ,
847 ,
842 ,
836 ,
826 ,
813 ,
800 ,
786 ,
762 ,
740 ,
721 ,
712 ,
706 ,
703 ,
689 ,
678 ,
654 ,
645 ,
637 ,
646 ,
654 ,
668 ,
670 ,
678 ,
673 ,
680 ,
685 ,
701 ,
729 ,
743 ,
765 ,
770 ,
781 ,
782 ,
771 ,
765 ,
725 ,
686 ,
617 ,
560 ,
474 ,
405 ,
315 ,
243 ,
157 ,
73  ,
-20 ,
-104  ,
-189  ,
-253  ,
-324  ,
-390  ,
-461  ,
-539  ,
-612  ,
-690  ,
-758  ,
-831  ,
-891  ,
-958  ,
-1016 ,
-1073 ,
-1128 ,
-1173 ,
-1200 ,
-1213 ,
-1209 ,
-1209 ,
-1187 ,
-1171 ,
-1129 ,
-1103 ,
-1054 ,
-1013 ,
-971  ,
-931  ,
-896  ,
-850  ,
-818  ,
-775  ,
-732  ,
-693  ,
-659  ,
-640  ,
-607  ,
-585  ,
-552  ,
-518  ,
-486  ,
-458  ,
-432  ,
-409  ,
-384  ,
-360  ,
-323  ,
-287  ,
-237  ,
-199  ,
-158  ,
-119  ,
-92 ,
-64 ,
-42 ,
-30 ,
-17 ,
-17 ,
-18 ,
-27 ,
-35 ,
-49 ,
-62 ,
-74 ,
-88 ,
-97 ,
-99 ,
-84 ,
-57 ,
-8  ,
39  ,
93  ,
148 ,
204 ,
267 ,
326 ,
390 ,
461 ,
526 ,
595 ,
651 ,
711 ,
755 ,
806 ,
850 ,
886 ,
920 ,
934 ,
951 ,
957 ,
965 ,
972 ,
974 ,
979 ,
971 ,
952 ,
922 ,
887 ,
847 ,
808 ,
756 ,
704 ,
639 ,
577 ,
524 ,
474 ,
440 ,
395 ,
363 ,
327 ,
291 ,
265 ,
242 ,
231 ,
224 ,
224 ,
221 ,
203 ,
193 ,
175 ,
166 ,
152 ,
145 ,
124 ,
110 ,
89  ,
65  ,
42  ,
9 ,
-13 ,
-49 ,
-85 ,
-132  ,
-188  ,
-238  ,
-293  ,
-344  ,
-398  ,
-456  ,
-508  ,
-558  ,
-588  ,
-613  ,
-616  ,
-621  ,
-621  ,
-634  ,
-648  ,
-670  ,
-705  ,
-731  ,
-765  ,
-789  ,
-820  ,
-844  ,
-869  ,
-876  ,
-883  ,
-877  ,
-867  ,
-859  ,
-841  ,
-837  ,
-820  ,
-812  ,
-790  ,
-768  ,
-740  ,
-709  ,
-684  ,
-662  ,
-634  ,
-609  ,
-574  ,
-541  ,
-506  ,
-469  ,
-438  ,
-406  ,
-385  ,
-357  ,
-335  ,
-306  ,
-278  ,
-252  ,
-223  ,
-194  ,
-163  ,
-128  ,
-90 ,
-56 ,
-25 ,
-6  ,
9 ,
18  ,
21  ,
19  ,
14  ,
1 ,
-18 ,
-39 ,
-58 ,
-74 ,
-88 ,
-97 ,
-99 ,
-105  ,
-100  ,
-89 ,
-62 ,
-35 ,
14  ,
61  ,
121 ,
181 ,
237 ,
305 ,
362 ,
426 ,
488 ,
542 ,
594 ,
630 ,
661 ,
680 ,
699 ,
714 ,
731 ,
746 ,
754 ,
760 ,
765 ,
770 ,
776 ,
781 ,
772 ,
760 ,
733 ,
696 ,
658 ,
612 ,
564 ,
510 ,
460 ,
414 ,
365 ,
323 ,
277 ,
244 ,
204 ,
177 ,
139 ,
110 ,
77  ,
60  ,
45  ,
51  ,
50  ,
65  ,
73  ,
93  ,
106 ,
130 ,
152 ,
179 ,
207 ,
226 ,
238 ,
248 ,
253 ,
258 ,
257 ,
243 ,
232 ,
197 ,
174 ,
141 ,
108 ,
79  ,
50  ,
25  ,
4 ,
-21 ,
-39 ,
-69 ,
-94 ,
-126  ,
-157  ,
-202  ,
-249  ,
-306  ,
-360  ,
-421  ,
-473  ,
-529  ,
-577  ,
-628  ,
-670  ,
-715  ,
-741  ,
-761  ,
-762  ,
-757  ,
-746  ,
-728  ,
-718  ,
-706  ,
-703  ,
-693  ,
-699  ,
-694  ,
-698  ,
-693  ,
-684  ,
-669  ,
-651  ,
-637  ,
-618  ,
-599  ,
-579  ,
-552  ,
-530  ,
-500  ,
-469  ,
-435  ,
-404  ,
-369  ,
-338  ,
-312  ,
-277  ,
-246  ,
-207  ,
-169  ,
-126  ,
-88 ,
-53 ,
-24 ,
-3  ,
13  ,
19  ,
24  ,
21  ,
20  ,
16  ,
16  ,
23  ,
28  ,
51  ,
70  ,
100 ,
138 ,
183 ,
239 ,
296 ,
361 ,
426 ,
490 ,
549 ,
600 ,
655 ,
708 ,
760 ,
813 ,
858 ,
899 ,
926 ,
948 ,
966 ,
978 ,
993 ,
999 ,
1005  ,
999 ,
982 ,
960 ,
924 ,
891 ,
842 ,
800 ,
745 ,
693 ,
647 ,
595 ,
560 ,
517 ,
477 ,
422 ,
378 ,
323 ,
280 ,
236 ,
205 ,
188 ,
180 ,
182 ,
192 ,
206 ,
229 ,
254 ,
290 ,
319 ,
356 ,
376 ,
402 ,
421 ,
448 ,
464 ,
485 ,
490 ,
488 ,
476 ,
452 ,
431 ,
404 ,
367 ,
328 ,
274 ,
211 ,
138 ,
64  ,
-9  ,
-82 ,
-143  ,
-207  ,
-259  ,
-306  ,
-344  ,
-379  ,
-410  ,
-447  ,
-499  ,
-564  ,
-644  ,
-733  ,
-817  ,
-898  ,
-963  ,
-1011 ,
-1055 ,
-1081 ,
-1106 ,
-1110 ,
-1108 ,
-1090 ,
-1068 ,
-1038 ,
-1015 ,
-992  ,
-973  ,
-944  ,
-922  ,
-888  ,
-859  ,
-818  ,
-786  ,
-743  ,
-699  ,
-647  ,
-580  ,
-518  ,
-441  ,
-369  ,
-305  ,
-242  ,
-184  ,
-118  ,
-59 ,
5 ,
62  ,
114 ,
164 ,
206 ,
258 ,
303 ,
360 ,
405 ,
440 ,
453 ,
453 ,
442 ,
422 ,
405 ,
377 ,
356 ,
323 ,
304 ,
278 ,
265 ,
253 ,
250 ,
272 ,
287 ,
321 ,
345 ,
385 ,
421 ,
469 ,
512 ,
560 ,
596 ,
628 ,
653 ,
677 ,
695 ,
717 ,
731 ,
737 ,
747 ,
736 ,
729 ,
718 ,
709 ,
705 ,
696 ,
688 ,
672 ,
652 ,
630 ,
603 ,
583 ,
552 ,
527 ,
486 ,
453 ,
403 ,
357 ,
312 ,
269 ,
237 ,
202 ,
172 ,
143 ,
120 ,
105 ,
96  ,
86  ,
86  ,
76  ,
75  ,
64  ,
59  ,
57  ,
58  ,
60  ,
68  ,
71  ,
64  ,
53  ,
43  ,
27  ,
15  ,
-8  ,
-27 ,
-55 ,
-84 ,
-116  ,
-149  ,
-193  ,
-223  ,
-263  ,
-292  ,
-331  ,
-361  ,
-396  ,
-423  ,
-446  ,
-461  ,
-480  ,
-493  ,
-508  ,
-531  ,
-555  ,
-593  ,
-631  ,
-674  ,
-713  ,
-758  ,
-796  ,
-824  ,
-854  ,
-858  ,
-858  ,
-835  ,
-812  ,
-771  ,
-721  ,
-660  ,
-603  ,
-546  ,
-502  ,
-451  ,
-412  ,
-377  ,
-340  ,
-320  ,
-291  ,
-263  ,
-232  ,
-197  ,
-156  ,
-121  ,
-75 ,
-35 ,
3 ,
41  ,
70  ,
108 ,
144 ,
176 ,
202 ,
232 ,
250 ,
276 ,
282 ,
301 ,
297 ,
301 ,
285 ,
273 ,
241 ,
209 ,
164 ,
121 ,
67  ,
12  ,
-49 ,
-103  ,
-148  ,
-183  ,
-215  ,
-236  ,
-253  ,
-261  ,
-268  ,
-268  ,
-255  ,
-235  ,
-212  ,
-187  ,
-165  ,
-142  ,
-113  ,
-77 ,
-32 ,
29  ,
81  ,
140 ,
190 ,
240 ,
278 ,
314 ,
342 ,
359 ,
369 ,
375 ,
374 ,
379 ,
383 ,
385 ,
394 ,
384 ,
378 ,
359 ,
348 ,
334 ,
318 ,
304 ,
283 ,
261 ,
232 ,
207 ,
175 ,
142 ,
110 ,
79  ,
56  ,
43  ,
34  ,
44  ,
55  ,
78  ,
101 ,
114 ,
130 ,
136 ,
156 ,
158 ,
174 ,
175 ,
189 ,
193 ,
199 ,
198 ,
199 ,
190 ,
188 ,
173 ,
158 ,
133 ,
109 ,
79  ,
48  ,
12  ,
-18 ,
-53 ,
-75 ,
-101  ,
-106  ,
-126  ,
-113  ,
-120  ,
-101  ,
-103  ,
-95 ,
-109  ,
-118  ,
-147  ,
-177  ,
-210  ,
-249  ,
-284  ,
-303  ,
-327  ,
-326  ,
-331  ,
-314  ,
-300  ,
-277  ,
-253  ,
-233  ,
-209  ,
-195  ,
-176  ,
-172  ,
-165  ,
-176  ,
-172  ,
-185  ,
-189  ,
-197  ,
-195  ,
-197  ,
-193  ,
-198  ,
-198  ,
-207  ,
-209  ,
-206  ,
-195  ,
-174  ,
-160  ,
-150  ,
-137  ,
-138  ,
-129  ,
-141  ,
-144  ,
-163  ,
-189  ,
-229  ,
-287  ,
-347  ,
-411  ,
-463  ,
-513  ,
-549  ,
-579  ,
-601  ,
-601  ,
-600  ,
-586  ,
-559  ,
-543  ,
-498  ,
-473  ,
-424  ,
-378  ,
-321  ,
-253  ,
-181  ,
-116  ,
-47 ,
14  ,
83  ,
143 ,
210 ,
278 ,
344 ,
405 ,
464 ,
509 ,
556 ,
592 ,
614 ,
633 ,
636 ,
634 ,
617 ,
593 ,
575 ,
554 ,
538 ,
526 ,
507 ,
493 ,
458 ,
424 ,
384 ,
346 ,
313 ,
285 ,
264 ,
235 ,
222 ,
201 ,
202 ,
205 ,
217 ,
238 ,
260 ,
273 ,
293 ,
310 ,
328 ,
352 ,
374 ,
392 ,
408 ,
412 ,
411 ,
409 ,
397 ,
400 ,
386 ,
388 ,
379 ,
378 ,
374 ,
372 ,
377 ,
382 ,
384 ,
379 ,
375 ,
352 ,
340 ,
299 ,
279 ,
239 ,
205 ,
167 ,
122 ,
77  ,
30  ,
-18 ,
-68 ,
-113  ,
-173  ,
-223  ,
-282  ,
-326  ,
-372  ,
-398  ,
-426  ,
-450  ,
-476  ,
-507  ,
-530  ,
-556  ,
-564  ,
-571  ,
-569  ,
-574  ,
-573  ,
-582  ,
-580  ,
-589  ,
-590  ,
-599  ,
-610  ,
-628  ,
-635  ,
-646  ,
-635  ,
-629  ,
-603  ,
-592  ,
-572  ,
-561  ,
-539  ,
-519  ,
-477  ,
-436  ,
-388  ,
-349  ,
-319  ,
-298  ,
-286  ,
-275  ,
-275  ,
-260  ,
-269  ,
-267  ,
-281  ,
-289  ,
-295  ,
-292  ,
-285  ,
-267  ,
-253  ,
-237  ,
-222  ,
-206  ,
-184  ,
-156  ,
-125  ,
-93 ,
-63 ,
-29 ,
2 ,
33  ,
71  ,
100 ,
141 ,
170 ,
208 ,
239 ,
279 ,
314 ,
359 ,
400 ,
427 ,
454 ,
460 ,
471 ,
463 ,
468 ,
452 ,
442 ,
408 ,
378 ,
340 ,
310 ,
277 ,
259 ,
237 ,
227 ,
216 ,
204 ,
192 ,
177 ,
152 ,
129 ,
97  ,
67  ,
41  ,
14  ,
2 ,
6 ,
13  ,
38  ,
70  ,
100 ,
141 ,
171 ,
208 ,
246 ,
283 ,
320 ,
351 ,
370 ,
373 ,
377 ,
371 ,
371 ,
375 ,
375 ,
382 ,
379 ,
371 ,
354 ,
348 ,
333 ,
324 ,
311 ,
294 ,
276 ,
246 ,
220 ,
185 ,
153 ,
110 ,
76  ,
25  ,
-21 ,
-76 ,
-122  ,
-166  ,
-210  ,
-257  ,
-304  ,
-354  ,
-400  ,
-446  ,
-477  ,
-507  ,
-521  ,
-543  ,
-558  ,
-578  ,
-596  ,
-610  ,
-624  ,
-630  ,
-644  ,
-654  ,
-667  ,
-676  ,
-675  ,
-663  ,
-644  ,
-612  ,
-591  ,
-557  ,
-536  ,
-506  ,
-471  ,
-425  ,
-379  ,
-324  ,
-273  ,
-215  ,
-166  ,
-102  ,
-48 ,
5 ,
44  ,
71  ,
82  ,
75  ,
57  ,
39  ,
8 ,
-16 ,
-53 ,
-93 ,
-135  ,
-184  ,
-218  ,
-252  ,
-269  ,
-279  ,
-281  ,
-284  ,
-289  ,
-291  ,
-299  ,
-303  ,
-309  ,
-312  ,
-308  ,
-305  ,
-292  ,
-274  ,
-246  ,
-208  ,
-175  ,
-124  ,
-93 ,
-38 ,
3 ,
54  ,
106 ,
145 ,
182 ,
195 ,
209 ,
204 ,
200 ,
195 ,
201 ,
199 ,
207 ,
207 ,
209 ,
218 ,
222 ,
236 ,
250 ,
255 ,
262 ,
269 ,
274 ,
278 ,
291 ,
304 ,
336 ,
366 ,
405 ,
444 ,
479 ,
520 ,
563 ,
603 ,
644 ,
677 ,
700 ,
721 ,
738 ,
758 ,
783 ,
799 ,
811 ,
816 ,
800 ,
793 ,
772 ,
758 ,
749 ,
731 ,
710 ,
680 ,
642 ,
606 ,
578 ,
545 ,
513 ,
475 ,
430 ,
381 ,
321 ,
260 ,
195 ,
134 ,
73  ,
14  ,
-48 ,
-115  ,
-170  ,
-234  ,
-269  ,
-322  ,
-351  ,
-400  ,
-429  ,
-461  ,
-484  ,
-500  ,
-516  ,
-526  ,
-542  ,
-558  ,
-579  ,
-585  ,
-592  ,
-571  ,
-555  ,
-525  ,
-505  ,
-481  ,
-455  ,
-435  ,
-411  ,
-403  ,
-384  ,
-373  ,
-354  ,
-339  ,
-321  ,
-299  ,
-276  ,
-253  ,
-230  ,
-218  ,
-202  ,
-200  ,
-193  ,
-192  ,
-194  ,
-206  ,
-230  ,
-266  ,
-312  ,
-366  ,
-419  ,
-470  ,
-515  ,
-554  ,
-585  ,
-612  ,
-632  ,
-643  ,
-642  ,
-639  ,
-626  ,
-612  ,
-593  ,
-573  ,
-547  ,
-519  ,
-480  ,
-440  ,
-386  ,
-336  ,
-274  ,
-208  ,
-137  ,
-62 ,
14  ,
95  ,
170 ,
247 ,
320 ,
390 ,
458 ,
524 ,
573 ,
616 ,
651 ,
676 ,
699 ,
715 ,
727 ,
739 ,
759 ,
774 ,
793 ,
808 ,
818 ,
827 ,
832 ,
829 ,
829 ,
821 ,
812 ,
799 ,
787 ,
779 ,
771 ,
773 ,
778 ,
777 ,
796 ,
791 ,
811 ,
810 ,
825 ,
831 ,
827 ,
824 ,
809 ,
791 ,
768 ,
734 ,
693 ,
646 ,
593 ,
539 ,
492 ,
445 ,
405 ,
369 ,
336 ,
293 ,
254 ,
198 ,
151 ,
87  ,
41  ,
-19 ,
-69 ,
-135  ,
-194  ,
-253  ,
-314  ,
-371  ,
-428  ,
-484  ,
-534  ,
-578  ,
-614  ,
-633  ,
-645  ,
-647  ,
-654  ,
-665  ,
-679  ,
-698  ,
-704  ,
-707  ,
-696  ,
-697  ,
-683  ,
-684  ,
-679  ,
-688  ,
-692  ,
-702  ,
-721  ,
-733  ,
-758  ,
-758  ,
-765  ,
-747  ,
-717  ,
-684  ,
-640  ,
-604  ,
-576  ,
-539  ,
-520  ,
-488  ,
-464  ,
-444  ,
-420  ,
-399  ,
-380  ,
-361  ,
-352  ,
-338  ,
-342  ,
-344  ,
-364  ,
-381  ,
-404  ,
-419  ,
-438  ,
-445  ,
-455  ,
-457  ,
-462  ,
-460  ,
-451  ,
-433  ,
-401  ,
-364  ,
-314  ,
-265  ,
-214  ,
-166  ,
-113  ,
-62 ,
-7  ,
53  ,
108 ,
173 ,
235 ,
318 ,
389 ,
475 ,
552 ,
631 ,
700 ,
760 ,
809 ,
857 ,
888 ,
919 ,
938 ,
945 ,
951 ,
934 ,
918 ,
892 ,
864 ,
842 ,
814 ,
785 ,
743 ,
704 ,
654 ,
616 ,
573 ,
542 ,
512 ,
484 ,
459 ,
425 ,
400 ,
375 ,
355 ,
335 ,
309 ,
287 ,
249 ,
231 ,
194 ,
176 ,
145 ,
113 ,
80  ,
39  ,
8 ,
-14 ,
-30 ,
-32 ,
-35 ,
-41 ,
-53 ,
-69 ,
-86 ,
-99 ,
-116  ,
-119  ,
-134  ,
-130  ,
-139  ,
-134  ,
-140  ,
-132  ,
-136  ,
-136  ,
-149  ,
-166  ,
-191  ,
-219  ,
-242  ,
-264  ,
-280  ,
-309  ,
-335  ,
-369  ,
-402  ,
-430  ,
-457  ,
-465  ,
-476  ,
-480  ,
-487  ,
-498  ,
-505  ,
-513  ,
-523  ,
-533  ,
-548  ,
-572  ,
-594  ,
-624  ,
-638  ,
-661  ,
-677  ,
-686  ,
-706  ,
-712  ,
-721  ,
-723  ,
-695  ,
-671  ,
-627  ,
-583  ,
-533  ,
-485  ,
-437  ,
-393  ,
-344  ,
-299  ,
-256  ,
-221  ,
-197  ,
-179  ,
-169  ,
-150  ,
-140  ,
-118  ,
-121  ,
-117  ,
-130  ,
-133  ,
-136  ,
-129  ,
-116  ,
-104  ,
-88 ,
-84 ,
-75 ,
-70 ,
-52 ,
-31 ,
2 ,
39  ,
76  ,
117 ,
157 ,
209 ,
252 ,
303 ,
352 ,
398 ,
428 ,
460 ,
480 ,
509 ,
534 ,
572 ,
597 ,
623 ,
636 ,
651 ,
650 ,
662 ,
661 ,
668 ,
660 ,
644 ,
621 ,
586 ,
543 ,
501 ,
448 ,
397 ,
341 ,
293 ,
244 ,
217 ,
188 ,
177 ,
159 ,
152 ,
149 ,
144 ,
152 ,
160 ,
175 ,
195 ,
216 ,
230 ,
241 ,
248 ,
257 ,
257 ,
274 ,
270 ,
292 ,
289 ,
299 ,
312 ,
322 ,
336 ,
341 ,
348 ,
348 ,
347 ,
352 ,
348 ,
363 ,
363 ,
369 ,
357 ,
342 ,
308 ,
271 ,
226 ,
182 ,
134 ,
89  ,
40  ,
7 ,
-38 ,
-72 ,
-110  ,
-153  ,
-195  ,
-244  ,
-297  ,
-342  ,
-387  ,
-431  ,
-462  ,
-497  ,
-523  ,
-553  ,
-579  ,
-599  ,
-618  ,
-633  ,
-645  ,
-654  ,
-663  ,
-682  ,
-695  ,
-714  ,
-719  ,
-725  ,
-732  ,
-721  ,
-715  ,
-692  ,
-656  ,
-615  ,
-556  ,
-494  ,
-429  ,
-368  ,
-319  ,
-271  ,
-236  ,
-198  ,
-167  ,
-130  ,
-107  ,
-79 ,
-66 ,
-56 ,
-50 ,
-40 ,
-39 ,
-33 ,
-36 ,
-28 ,
-34 ,
-29 ,
-35 ,
-27 ,
-27 ,
-29 ,
-36 ,
-38 ,
-52 ,
-50 ,
-58 ,
-40 ,
-23 ,
6 ,
42  ,
79  ,
131 ,
173 ,
234 ,
289 ,
354 ,
404 ,
447 ,
476 ,
495 ,
499 ,
498 ,
492 ,
486 ,
481 ,
468 ,
466 ,
456 ,
457 ,
453 ,
453 ,
450 ,
442 ,
427 ,
413 ,
392 ,
374 ,
345 ,
329 ,
303 ,
281 ,
269 ,
255 ,
261 ,
267 ,
283 ,
309 ,
332 ,
356 ,
376 ,
406 ,
422 ,
456 ,
478 ,
493 ,
508 ,
506 ,
501 ,
491 ,
476 ,
457 ,
436 ,
411 ,
384 ,
371 ,
346 ,
344 ,
335 ,
320 ,
313 ,
282 ,
257 ,
218 ,
179 ,
126 ,
77  ,
10  ,
-46 ,
-116  ,
-178  ,
-242  ,
-302  ,
-358  ,
-412  ,
-460  ,
-511  ,
-554  ,
-602  ,
-629  ,
-671  ,
-692  ,
-730  ,
-750  ,
-776  ,
-793  ,
-804  ,
-804  ,
-792  ,
-785  ,
-770  ,
-762  ,
-750  ,
-747  ,
-733  ,
-730  ,
-720  ,
-714  ,
-706  ,
-692  ,
-672  ,
-644  ,
-607  ,
-561  ,
-519  ,
-476  ,
-432  ,
-389  ,
-330  ,
-273  ,
-212  ,
-142  ,
-81 ,
-19 ,
34  ,
82  ,
123 ,
159 ,
177 ,
200 ,
193 ,
194 ,
178 ,
167 ,
156 ,
149 ,
147 ,
143 ,
140 ,
133 ,
129 ,
123 ,
115 ,
110 ,
98  ,
85  ,
71  ,
43  ,
31  ,
11  ,
11  ,
14  ,
23  ,
39  ,
57  ,
99  ,
135 ,
194 ,
242 ,
297 ,
341 ,
375 ,
400 ,
420 ,
440 ,
453 ,
475 ,
484 ,
496 ,
495 ,
501 ,
495 ,
490 ,
479 ,
453 ,
437 ,
400 ,
381 ,
358 ,
339 ,
325 ,
304 ,
289 ,
263 ,
247 ,
222 ,
211 ,
199 ,
199 ,
198 ,
202 ,
197 ,
194 ,
179 ,
169 ,
145 ,
118 ,
93  ,
54  ,
27  ,
-13 ,
-36 ,
-69 ,
-84 ,
-108  ,
-119  ,
-142  ,
-153  ,
-169  ,
-170  ,
-182  ,
-184  ,
-199  ,
-214  ,
-229  ,
-253  ,
-277  ,
-300  ,
-332  ,
-351  ,
-383  ,
-397  ,
-425  ,
-433  ,
-443  ,
-441  ,
-428  ,
-419  ,
-403  ,
-395  ,
-381  ,
-368  ,
-352  ,
-336  ,
-321  ,
-309  ,
-313  ,
-307  ,
-307  ,
-291  ,
-276  ,
-249  ,
-227  ,
-208  ,
-189  ,
-172  ,
-157  ,
-142  ,
-127  ,
-116  ,
-102  ,
-97 ,
-91 ,
-82 ,
-71 ,
-46 ,
-18 ,
8 ,
38  ,
60  ,
94  ,
121 ,
158 ,
193 ,
223 ,
247 ,
254 ,
262 ,
251 ,
253 ,
237 ,
231 ,
224 ,
204 ,
184 ,
152 ,
116 ,
80  ,
36  ,
-5  ,
-50 ,
-94 ,
-132  ,
-171  ,
-200  ,
-220  ,
-225  ,
-227  ,
-221  ,
-219  ,
-204  ,
-190  ,
-161  ,
-137  ,
-107  ,
-78 ,
-51 ,
-27 ,
5 ,
39  ,
70  ,
109 ,
138 ,
179 ,
203 ,
240 ,
267 ,
312 ,
338 ,
362 ,
364 ,
368 ,
347 ,
324 ,
297 ,
254 ,
225 ,
170 ,
132 ,
80  ,
39  ,
0 ,
-32 ,
-49 ,
-63 ,
-73 ,
-79 ,
-87 ,
-92 ,
-91 ,
-93 ,
-87 ,
-78 ,
-70 ,
-60 ,
-56 ,
-50 ,
-54 ,
-59 ,
-67 ,
-69 ,
-82 ,
-92 ,
-98 ,
-98 ,
-86 ,
-66 ,
-45 ,
-17 ,
6 ,
31  ,
57  ,
90  ,
105 ,
133 ,
139 ,
150 ,
152 ,
143 ,
141 ,
135 ,
129 ,
129 ,
121 ,
113 ,
102 ,
88  ,
86  ,
81  ,
87  ,
93  ,
97  ,
108 ,
110 ,
125 ,
132 ,
142 ,
145 ,
143 ,
128 ,
115 ,
85  ,
57  ,
28  ,
2 ,
-13 ,
-51 ,
-77 ,
-122  ,
-145  ,
-171  ,
-181  ,
-185  ,
-186  ,
-195  ,
-195  ,
-203  ,
-198  ,
-200  ,
-202  ,
-204  ,
-215  ,
-220  ,
-242  ,
-252  ,
-268  ,
-277  ,
-277  ,
-279  ,
-282  ,
-287  ,
-293  ,
-298  ,
-296  ,
-289  ,
-287  ,
-279  ,
-279  ,
-274  ,
-268  ,
-261  ,
-259  ,
-263  ,
-272  ,
-294  ,
-308  ,
-336  ,
-350  ,
-359  ,
-346  ,
-335  ,
-304  ,
-269  ,
-233  ,
-185  ,
-143  ,
-86 ,
-38 ,
10  ,
44  ,
81  ,
111 ,
144 ,
170 ,
206 ,
225 ,
254 ,
265 ,
280 ,
287 ,
295 ,
300 ,
304 ,
305 ,
298 ,
274 ,
246 ,
215 ,
177 ,
151 ,
110 ,
77  ,
35  ,
7 ,
-26 ,
-31 ,
-36 ,
-16 ,
-2  ,
13  ,
32  ,
44  ,
59  ,
75  ,
98  ,
117 ,
130 ,
145 ,
148 ,
153 ,
164 ,
170 ,
194 ,
210 ,
238 ,
259 ,
287 ,
305 ,
329 ,
345 ,
366 ,
373 ,
385 ,
384 ,
388 ,
385 ,
383 ,
378 ,
372 ,
353 ,
332 ,
305 ,
282 ,
256 ,
236 ,
209 ,
186 ,
147 ,
110 ,
71  ,
40  ,
17  ,
-6  ,
-29 ,
-49 ,
-73 ,
-91 ,
-114  ,
-123  ,
-138  ,
-155  ,
-181  ,
-212  ,
-246  ,
-285  ,
-328  ,
-362  ,
-395  ,
-424  ,
-455  ,
-484  ,
-499  ,
-515  ,
-512  ,
-507  ,
-490  ,
-469  ,
-446  ,
-422  ,
-387  ,
-356  ,
-314  ,
-270  ,
-216  ,
-178  ,
-134  ,
-107  ,
-62 ,
-39 ,
-9  ,
4 ,
9 ,
8 ,
7 ,
1 ,
13  ,
4 ,
19  ,
18  ,
30  ,
32  ,
41  ,
46  ,
53  ,
52  ,
37  ,
23  ,
4 ,
-20 ,
-42 ,
-57 ,
-68 ,
-77 ,
-78 ,
-86 ,
-80 ,
-69 ,
-55 ,
-32 ,
4 ,
29  ,
65  ,
76  ,
98  ,
113 ,
131 ,
158 ,
181 ,
195 ,
217 ,
220 ,
227 ,
224 ,
219 ,
215 ,
195 ,
173 ,
142 ,
102 ,
81  ,
52  ,
49  ,
40  ,
45  ,
43  ,
50  ,
46  ,
63  ,
80  ,
102 ,
137 ,
160 ,
197 ,
213 ,
238 ,
247 ,
271 ,
290 ,
300 ,
310 ,
310 ,
318 ,
318 ,
322 ,
328 ,
336 ,
340 ,
354 ,
350 ,
355 ,
350 ,
356 ,
361 ,
353 ,
349 ,
328 ,
312 ,
287 ,
267 ,
245 ,
212 ,
184 ,
143 ,
100 ,
64  ,
23  ,
0 ,
-21 ,
-33 ,
-46 ,
-66 ,
-80 ,
-108  ,
-123  ,
-141  ,
-149  ,
-155  ,
-164  ,
-171  ,
-174  ,
-177  ,
-172  ,
-175  ,
-176  ,
-181  ,
-197  ,
-208  ,
-229  ,
-233  ,
-238  ,
-226  ,
-218  ,
-208  ,
-196  ,
-192  ,
-171  ,
-164  ,
-137  ,
-120  ,
-96 ,
-77 ,
-52 ,
-31 ,
0 ,
21  ,
45  ,
66  ,
74  ,
83  ,
94  ,
101 ,
115 ,
120 ,
122 ,
121 ,
97  ,
77  ,
43  ,
12  ,
-21 ,
-44 ,
-74 ,
-97 ,
-118  ,
-147  ,
-168  ,
-188  ,
-211  ,
-223  ,
-259  ,
-278  ,
-307  ,
-323  ,
-331  ,
-339  ,
-337  ,
-340  ,
-340  ,
-342  ,
-335  ,
-331  ,
-312  ,
-295  ,
-267  ,
-234  ,
-210  ,
-172  ,
-144  ,
-105  ,
-66 ,
-24 ,
13  ,
48  ,
76  ,
99  ,
121 ,
136 ,
149 ,
156 ,
166 ,
170 ,
165 ,
152 ,
147 ,
142 ,
151 ,
159 ,
179 ,
203 ,
227 ,
261 ,
289 ,
316 ,
339 ,
356 ,
371 ,
373 ,
382 ,
377 ,
379 ,
374 ,
368 ,
356 ,
345 ,
328 ,
316 ,
309 ,
296 ,
299 ,
297 ,
302 ,
310 ,
304 ,
312 ,
297 ,
303 ,
282 ,
273 ,
246 ,
220 ,
182 ,
150 ,
119 ,
89  ,
71  ,
53  ,
29  ,
12  ,
-20 ,
-30 ,
-54 ,
-63 ,
-74 ,
-77 ,
-75 ,
-72 ,
-64 ,
-55 ,
-49 ,
-38 ,
-32 ,
-26 ,
-29 ,
-39 ,
-57 ,
-72 ,
-91 ,
-113  ,
-140  ,
-159  ,
-177  ,
-192  ,
-200  ,
-211  ,
-217  ,
-228  ,
-229  ,
-231  ,
-219  ,
-208  ,
-195  ,
-185  ,
-172  ,
-177  ,
-163  ,
-176  ,
-175  ,
-190  ,
-205  ,
-232  ,
-257  ,
-280  ,
-303  ,
-322  ,
-335  ,
-360  ,
-375  ,
-402  ,
-421  ,
-444  ,
-464  ,
-486  ,
-502  ,
-519  ,
-531  ,
-543  ,
-551  ,
-561  ,
-561  ,
-566  ,
-562  ,
-563  ,
-552  ,
-540  ,
-520  ,
-485  ,
-456  ,
-416  ,
-376  ,
-337  ,
-293  ,
-246  ,
-200  ,
-142  ,
-87 ,
-32 ,
22  ,
74  ,
128 ,
186 ,
242 ,
293 ,
334 ,
369 ,
397 ,
416 ,
428 ,
431 ,
438 ,
442 ,
441 ,
443 ,
428 ,
429 ,
415 ,
420 ,
412 ,
406 ,
390 ,
389 ,
377 ,
385 ,
377 ,
388 ,
381 ,
379 ,
378 ,
370 ,
371 ,
361 ,
364 ,
358 ,
344 ,
330 ,
306 ,
288 ,
255 ,
240 ,
220 ,
221 ,
218 ,
230 ,
229 ,
235 ,
226 ,
211 ,
198 ,
181 ,
169 ,
157 ,
148 ,
138 ,
115 ,
94  ,
64  ,
30  ,
3 ,
-32 ,
-57 ,
-85 ,
-110  ,
-134  ,
-150  ,
-164  ,
-176  ,
-189  ,
-205  ,
-215  ,
-230  ,
-245  ,
-255  ,
-263  ,
-267  ,
-272  ,
-279  ,
-292  ,
-308  ,
-331  ,
-357  ,
-380  ,
-414  ,
-441  ,
-469  ,
-495  ,
-516  ,
-531  ,
-541  ,
-550  ,
-551  ,
-559  ,
-555  ,
-554  ,
-535  ,
-519  ,
-497  ,
-468  ,
-452  ,
-430  ,
-411  ,
-396  ,
-375  ,
-371  ,
-359  ,
-357  ,
-357  ,
-351  ,
-347  ,
-326  ,
-300  ,
-266  ,
-246  ,
-220  ,
-209  ,
-192  ,
-177  ,
-163  ,
-147  ,
-127  ,
-113  ,
-90 ,
-67 ,
-40 ,
-5  ,
29  ,
68  ,
105 ,
135 ,
177 ,
210 ,
253 ,
293 ,
336 ,
371 ,
408 ,
437 ,
469 ,
491 ,
528 ,
544 ,
576 ,
591 ,
609 ,
620 ,
623 ,
628 ,
620 ,
613 ,
583 ,
561 ,
528 ,
495 ,
463 ,
429 ,
412 ,
386 ,
370 ,
342 ,
321 ,
295 ,
268 ,
250 ,
225 ,
216 ,
198 ,
197 ,
186 ,
179 ,
164 ,
152 ,
130 ,
114 ,
79  ,
66  ,
37  ,
28  ,
17  ,
18  ,
22  ,
26  ,
34  ,
36  ,
40  ,
43  ,
53  ,
66  ,
73  ,
84  ,
82  ,
79  ,
66  ,
50  ,
29  ,
3 ,
-30 ,
-57 ,
-87 ,
-114  ,
-139  ,
-154  ,
-170  ,
-179  ,
-188  ,
-205  ,
-208  ,
-216  ,
-211  ,
-203  ,
-191  ,
-180  ,
-177  ,
-190  ,
-209  ,
-240  ,
-270  ,
-291  ,
-314  ,
-324  ,
-341  ,
-350  ,
-360  ,
-361  ,
-365  ,
-361  ,
-362  ,
-357  ,
-365  ,
-360  ,
-360  ,
-347  ,
-339  ,
-324  ,
-310  ,
-289  ,
-258  ,
-226  ,
-181  ,
-146  ,
-101  ,
-74 ,
-37 ,
-17 ,
13  ,
37  ,
61  ,
83  ,
104 ,
125 ,
146 ,
168 ,
194 ,
216 ,
235 ,
256 ,
257 ,
268 ,
264 ,
267 ,
266 ,
269 ,
271 ,
270 ,
263 ,
254 ,
244 ,
238 ,
235 ,
244 ,
247 ,
259 ,
262 ,
281 ,
292 ,
309 ,
325 ,
337 ,
337 ,
325 ,
312 ,
294 ,
289 ,
280 ,
280 ,
288 ,
289 ,
287 ,
274 ,
263 ,
246 ,
231 ,
210 ,
192 ,
172 ,
151 ,
132 ,
113 ,
91  ,
75  ,
50  ,
37  ,
20  ,
15  ,
14  ,
21  ,
41  ,
63  ,
81  ,
93  ,
96  ,
94  ,
91  ,
97  ,
109 ,
122 ,
144 ,
151 ,
156 ,
151 ,
153 ,
155 ,
150 ,
155 ,
154 ,
160 ,
166 ,
177 ,
191 ,
206 ,
206 ,
201 ,
188 ,
169 ,
145 ,
111 ,
87  ,
45  ,
16  ,
-34 ,
-78 ,
-128  ,
-169  ,
-216  ,
-244  ,
-271  ,
-283  ,
-291  ,
-299  ,
-304  ,
-302  ,
-302  ,
-286  ,
-288  ,
-281  ,
-293  ,
-309  ,
-331  ,
-348  ,
-359  ,
-361  ,
-363  ,
-355  ,
-355  ,
-336  ,
-329  ,
-315  ,
-305  ,
-296  ,
-284  ,
-275  ,
-265  ,
-245  ,
-216  ,
-193  ,
-160  ,
-138  ,
-106  ,
-87 ,
-45 ,
-14 ,
27  ,
61  ,
95  ,
120 ,
130 ,
135 ,
123 ,
115 ,
104 ,
88  ,
83  ,
61  ,
53  ,
39  ,
34  ,
33  ,
41  ,
37  ,
46  ,
35  ,
18  ,
-7  ,
-26 ,
-47 ,
-56 ,
-69 ,
-81 ,
-86 ,
-93 ,
-92 ,
-95 ,
-86 ,
-77 ,
-63 ,
-40 ,
-12 ,
22  ,
65  ,
106 ,
154 ,
189 ,
222 ,
245 ,
265 ,
276 ,
284 ,
287 ,
289 ,
285 ,
274 ,
261 ,
241 ,
219 ,
208 ,
192 ,
186 ,
185 ,
187 ,
194 ,
202 ,
212 ,
218 ,
222 ,
222 ,
219 ,
217 ,
209 ,
216 ,
217 ,
224 ,
232 ,
240 ,
241 ,
241 ,
233 ,
230 ,
221 ,
216 ,
200 ,
191 ,
173 ,
161 ,
143 ,
132 ,
115 ,
100 ,
76  ,
54  ,
23  ,
-1  ,
-31 ,
-48 ,
-82 ,
-105  ,
-140  ,
-175  ,
-209  ,
-251  ,
-283  ,
-307  ,
-340  ,
-360  ,
-396  ,
-412  ,
-435  ,
-441  ,
-445  ,
-440  ,
-440  ,
-439  ,
-450  ,
-456  ,
-463  ,
-463  ,
-462  ,
-452  ,
-453  ,
-451  ,
-450  ,
-448  ,
-440  ,
-422  ,
-395  ,
-366  ,
-334  ,
-311  ,
-287  ,
-267  ,
-251  ,
-228  ,
-215  ,
-187  ,
-187  ,
-164  ,
-167  ,
-151  ,
-142  ,
-124  ,
-97 ,
-78 ,
-49 ,
-32 ,
-11 ,
10  ,
33  ,
46  ,
63  ,
59  ,
50  ,
34  ,
16  ,
11  ,
9 ,
7 ,
0 ,
-9  ,
-24 ,
-38 ,
-44 ,
-54 ,
-49 ,
-44 ,
-30 ,
-22 ,
-18 ,
-13 ,
-12 ,
-9  ,
-11 ,
-16 ,
-27 ,
-32 ,
-37 ,
-32 ,
-20 ,
10  ,
40  ,
85  ,
121 ,
165 ,
205 ,
245 ,
283 ,
318 ,
343 ,
356 ,
358 ,
356 ,
355 ,
348 ,
345 ,
321 ,
316 ,
283 ,
260 ,
232 ,
214 ,
199 ,
190 ,
182 ,
160 ,
144 ,
118 ,
99  ,
80  ,
65  ,
43  ,
23  ,
-4  ,
-29 ,
-60 ,
-84 ,
-101  ,
-115  ,
-130  ,
-150  ,
-172  ,
-184  ,
-199  ,
-197  ,
-195  ,
-182  ,
-178  ,
-174  ,
-177  ,
-178  ,
-181  ,
-169  ,
-166  ,
-151  ,
-147  ,
-144  ,
-141  ,
-150  ,
-150  ,
-166  ,
-175  ,
-204  ,
-223  ,
-253  ,
-270  ,
-284  ,
-290  ,
-291  ,
-301  ,
-300  ,
-303  ,
-297  ,
-283  ,
-255  ,
-225  ,
-191  ,
-165  ,
-145  ,
-133  ,
-124  ,
-119  ,
-112  ,
-117  ,
-115  ,
-130  ,
-138  ,
-152  ,
-156  ,
-154  ,
-136  ,
-122  ,
-99 ,
-86 ,
-64 ,
-44 ,
-27 ,
-8  ,
1 ,
14  ,
18  ,
18  ,
20  ,
30  ,
45  ,
66  ,
81  ,
91  ,
93  ,
94  ,
95  ,
99  ,
100 ,
103 ,
98  ,
98  ,
85  ,
82  ,
75  ,
69  ,
69  ,
65  ,
69  ,
62  ,
56  ,
41  ,
28  ,
13  ,
1 ,
-12 ,
-17 ,
-25 ,
-19 ,
-15 ,
6 ,
24  ,
48  ,
64  ,
77  ,
89  ,
88  ,
107 ,
118 ,
139 ,
173 ,
195 ,
229 ,
250 ,
274 ,
295 ,
305 ,
317 ,
311 ,
301 ,
275 ,
244 ,
203 ,
173 ,
138 ,
110 ,
69  ,
43  ,
-1  ,
-20 ,
-60 ,
-69 ,
-100  ,
-112  ,
-135  ,
-158  ,
-180  ,
-205  ,
-227  ,
-234  ,
-241  ,
-239  ,
-232  ,
-230  ,
-207  ,
-197  ,
-167  ,
-148  ,
-123  ,
-98 ,
-74 ,
-48 ,
-23 ,
8 ,
44  ,
71  ,
107 ,
121 ,
131 ,
136 ,
137 ,
142 ,
154 ,
167 ,
179 ,
201 ,
222 ,
234 ,
250 ,
246 ,
244 ,
228 ,
215 ,
200 ,
183 ,
170 ,
164 ,
156 ,
154 ,
132 ,
121 ,
99  ,
92  ,
86  ,
94  ,
106 ,
114 ,
116 ,
112 ,
102 ,
81  ,
62  ,
35  ,
14  ,
-10 ,
-34 ,
-50 ,
-63 ,
-65 ,
-66 ,
-65 ,
-51 ,
-46 ,
-31 ,
-26 ,
-13 ,
-2  ,
-1  ,
3 ,
3 ,
2 ,
-1  ,
-4  ,
-4  ,
-6  ,
-4  ,
-7  ,
-4  ,
-8  ,
-12 ,
-17 ,
-23 ,
-32 ,
-37 ,
-41 ,
-47 ,
-51 ,
-56 ,
-62 ,
-58 ,
-67 ,
-74 ,
-85 ,
-96 ,
-106  ,
-117  ,
-126  ,
-123  ,
-123  ,
-112  ,
-111  ,
-104  ,
-99 ,
-100  ,
-100  ,
-103  ,
-109  ,
-116  ,
-125  ,
-121  ,
-112  ,
-93 ,
-70 ,
-50 ,
-24 ,
-7  ,
16  ,
36  ,
49  ,
63  ,
54  ,
48  ,
30  ,
12  ,
5 ,
-1  ,
-3  ,
-7  ,
-16 ,
-24 ,
-32 ,
-40 ,
-46 ,
-48 ,
-41 ,
-35 ,
-23 ,
-10 ,
1 ,
16  ,
27  ,
32  ,
43  ,
45  ,
51  ,
61  ,
80  ,
104 ,
129 ,
157 ,
184 ,
206 ,
238 ,
261 ,
295 ,
335 ,
369 ,
413 ,
445 ,
468 ,
487 ,
489 ,
487 ,
471 ,
451 ,
430 ,
408 ,
390 ,
366 ,
346 ,
318 ,
296 ,
263 ,
231 ,
189 ,
149 ,
102 ,
69  ,
31  ,
-3  ,
-36 ,
-63 ,
-83 ,
-101  ,
-120  ,
-132  ,
-146  ,
-154  ,
-180  ,
-185  ,
-209  ,
-219  ,
-247  ,
-258  ,
-281  ,
-297  ,
-314  ,
-322  ,
-327  ,
-325  ,
-317  ,
-304  ,
-285  ,
-270  ,
-244  ,
-228  ,
-212  ,
-196  ,
-175  ,
-155  ,
-134  ,
-118  ,
-100  ,
-86 ,
-66 ,
-49 ,
-27 ,
-8  ,
13  ,
34  ,
54  ,
72  ,
88  ,
103 ,
119 ,
124 ,
129 ,
124 ,
115 ,
105 ,
90  ,
80  ,
57  ,
40  ,
10  ,
-15 ,
-43 ,
-66 ,
-87 ,
-107  ,
-123  ,
-141  ,
-147  ,
-159  ,
-152  ,
-154  ,
-148  ,
-142  ,
-143  ,
-141  ,
-143  ,
-135  ,
-126  ,
-111  ,
-92 ,
-69 ,
-37 ,
-8  ,
24  ,
56  ,
84  ,
117 ,
138 ,
156 ,
165 ,
158 ,
147 ,
130 ,
110 ,
95  ,
79  ,
67  ,
56  ,
53  ,
46  ,
44  ,
48  ,
51  ,
64  ,
66  ,
82  ,
97  ,
117 ,
134 ,
153 ,
161 ,
172 ,
176 ,
180 ,
187 ,
194 ,
207 ,
210 ,
222 ,
225 ,
234 ,
248 ,
266 ,
289 ,
304 ,
313 ,
318 ,
314 ,
306 ,
289 ,
271 ,
243 ,
209 ,
171 ,
128 ,
94  ,
52  ,
29  ,
-9  ,
-33 ,
-63 ,
-85 ,
-101  ,
-114  ,
-119  ,
-128  ,
-133  ,
-144  ,
-149  ,
-161  ,
-168  ,
-179  ,
-184  ,
-196  ,
-200  ,
-218  ,
-219  ,
-227  ,
-228  ,
-221  ,
-219  ,
-201  ,
-195  ,
-175  ,
-166  ,
-143  ,
-131  ,
-112  ,
-92 ,
-80 ,
-59 ,
-41 ,
-20 ,
5 ,
28  ,
54  ,
72  ,
90  ,
104 ,
114 ,
123 ,
124 ,
128 ,
125 ,
120 ,
105 ,
93  ,
75  ,
61  ,
40  ,
30  ,
15  ,
3 ,
-9  ,
-24 ,
-48 ,
-61 ,
-85 ,
-103  ,
-125  ,
-148  ,
-170  ,
-199  ,
-219  ,
-248  ,
-255  ,
-266  ,
-267  ,
-262  ,
-253  ,
-223  ,
-199  ,
-160  ,
-128  ,
-94 ,
-66 ,
-45 ,
-31 ,
-14 ,
-15 ,
6 ,
4 ,
21  ,
22  ,
39  ,
56  ,
80  ,
104 ,
135 ,
158 ,
181 ,
199 ,
209 ,
222 ,
220 ,
230 ,
221 ,
220 ,
201 ,
178 ,
154 ,
135 ,
116 ,
103 ,
91  ,
93  ,
88  ,
92  ,
101 ,
109 ,
125 ,
136 ,
147 ,
145 ,
140 ,
132 ,
126 ,
119 ,
119 ,
117 ,
122 ,
125 ,
132 ,
146 ,
159 ,
185 ,
202 ,
229 ,
239 ,
254 ,
250 ,
244 ,
237 ,
208 ,
184 ,
136 ,
98  ,
56  ,
19  ,
-6  ,
-31 ,
-44 ,
-64 ,
-71 ,
-84 ,
-97 ,
-108  ,
-119  ,
-126  ,
-128  ,
-132  ,
-126  ,
-131  ,
-126  ,
-134  ,
-131  ,
-134  ,
-138  ,
-142  ,
-152  ,
-163  ,
-167  ,
-171  ,
-168  ,
-167  ,
-170  ,
-173  ,
-185  ,
-192  ,
-196  ,
-196  ,
-187  ,
-187  ,
-182  ,
-179  ,
-172  ,
-172  ,
-166  ,
-164  ,
-166  ,
-160  ,
-171  ,
-172  ,
-177  ,
-185  ,
-182  ,
-194  ,
-191  ,
-192  ,
-194  ,
-192  ,
-195  ,
-185  ,
-180  ,
-166  ,
-154  ,
-143  ,
-135  ,
-128  ,
-123  ,
-119  ,
-118  ,
-124  ,
-129  ,
-137  ,
-146  ,
-149  ,
-155  ,
-153  ,
-153  ,
-135  ,
-121  ,
-91 ,
-63 ,
-24 ,
13  ,
60  ,
89  ,
132 ,
158 ,
192 ,
214 ,
246 ,
270 ,
295 ,
315 ,
330 ,
342 ,
354 ,
353 ,
359 ,
363 ,
370 ,
377 ,
388 ,
387 ,
395 ,
387 ,
377 ,
360 ,
332 ,
305 ,
271 ,
233 ,
197 ,
153 ,
135 ,
103 ,
96  ,
84  ,
78  ,
75  ,
71  ,
77  ,
74  ,
81  ,
86  ,
82  ,
83  ,
74  ,
67  ,
64  ,
61  ,
68  ,
71  ,
77  ,
75  ,
82  ,
84  ,
94  ,
92  ,
88  ,
78  ,
60  ,
43  ,
20  ,
2 ,
-18 ,
-32 ,
-57 ,
-65 ,
-89 ,
-94 ,
-108  ,
-105  ,
-118  ,
-127  ,
-147  ,
-165  ,
-199  ,
-224  ,
-251  ,
-273  ,
-294  ,
-321  ,
-350  ,
-376  ,
-409  ,
-433  ,
-450  ,
-469  ,
-479  ,
-494  ,
-499  ,
-506  ,
-507  ,
-513  ,
-517  ,
-531  ,
-539  ,
-548  ,
-544  ,
-536  ,
-515  ,
-488  ,
-451  ,
-415  ,
-389  ,
-357  ,
-330  ,
-294  ,
-266  ,
-225  ,
-195  ,
-162  ,
-143  ,
-117  ,
-103  ,
-89 ,
-68 ,
-51 ,
-35 ,
-18 ,
-11 ,
11  ,
19  ,
48  ,
57  ,
79  ,
85  ,
86  ,
89  ,
77  ,
82  ,
78  ,
85  ,
100 ,
121 ,
147 ,
171 ,
196 ,
214 ,
229 ,
239 ,
252 ,
254 ,
268 ,
272 ,
293 ,
305 ,
322 ,
343 ,
347 ,
360 ,
355 ,
360 ,
357 ,
363 ,
360 ,
356 ,
353 ,
338 ,
337 ,
321 ,
304 ,
292 ,
272 ,
267 ,
253 ,
248 ,
237 ,
231 ,
219 ,
206 ,
191 ,
169 ,
140 ,
120 ,
95  ,
76  ,
62  ,
40  ,
30  ,
11  ,
4 ,
-11 ,
-23 ,
-34 ,
-42 ,
-44 ,
-42 ,
-40 ,
-16 ,
-4  ,
24  ,
46  ,
68  ,
94  ,
98  ,
110 ,
104 ,
102 ,
92  ,
72  ,
53  ,
30  ,
9 ,
-13 ,
-36 ,
-61 ,
-87 ,
-116  ,
-149  ,
-173  ,
-204  ,
-227  ,
-252  ,
-278  ,
-306  ,
-341  ,
-379  ,
-412  ,
-440  ,
-457  ,
-469  ,
-466  ,
-477  ,
-481  ,
-498  ,
-504  ,
-518  ,
-523  ,
-529  ,
-529  ,
-527  ,
-512  ,
-494  ,
-467  ,
-436  ,
-405  ,
-369  ,
-349  ,
-320  ,
-294  ,
-261  ,
-222  ,
-187  ,
-147  ,
-118  ,
-90 ,
-65 ,
-37 ,
-3  ,
30  ,
64  ,
95  ,
123 ,
145 ,
163 ,
180 ,
204 ,
232 ,
268 ,
301 ,
329 ,
358 ,
375 ,
390 ,
396 ,
384 ,
381 ,
356 ,
335 ,
315 ,
290 ,
275 ,
260 ,
254 ,
254 ,
251 ,
260 ,
263 ,
273 ,
281 ,
289 ,
296 ,
293 ,
289 ,
279 ,
275 ,
267 ,
262 ,
261 ,
249 ,
245 ,
232 ,
220 ,
212 ,
211 ,
219 ,
221 ,
219 ,
219 ,
205 ,
201 ,
187 ,
179 ,
171 ,
166 ,
150 ,
137 ,
118 ,
101 ,
88  ,
73  ,
62  ,
53  ,
48  ,
42  ,
37  ,
41  ,
51  ,
59  ,
63  ,
58  ,
51  ,
39  ,
32  ,
29  ,
38  ,
48  ,
66  ,
82  ,
97  ,
115 ,
121 ,
131 ,
127 ,
122 ,
111 ,
91  ,
68  ,
40  ,
15  ,
-11 ,
-39 ,
-65 ,
-97 ,
-120  ,
-152  ,
-167  ,
-194  ,
-207  ,
-236  ,
-253  ,
-282  ,
-301  ,
-325  ,
-342  ,
-355  ,
-368  ,
-380  ,
-394  ,
-400  ,
-408  ,
-398  ,
-387  ,
-362  ,
-351  ,
-333  ,
-329  ,
-324  ,
-324  ,
-317  ,
-314  ,
-307  ,
-303  ,
-299  ,
-292  ,
-280  ,
-269  ,
-244  ,
-229  ,
-198  ,
-178  ,
-144  ,
-111  ,
-71 ,
-23 ,
19  ,
60  ,
99  ,
116 ,
139 ,
143 ,
159 ,
165 ,
176 ,
179 ,
186 ,
188 ,
194 ,
202 ,
217 ,
228 ,
251 ,
258 ,
276 ,
273 ,
267 ,
250 ,
231 ,
205 ,
182 ,
145 ,
111 ,
70  ,
36  ,
7 ,
-6  ,
-17 ,
-15 ,
-5  ,
10  ,
22  ,
34  ,
52  ,
59  ,
71  ,
71  ,
63  ,
55  ,
42  ,
34  ,
25  ,
21  ,
11  ,
10  ,
4 ,
3 ,
7 ,
11  ,
34  ,
56  ,
80  ,
111 ,
128 ,
155 ,
173 ,
193 ,
200 ,
214 ,
205 ,
206 ,
182 ,
170 ,
145 ,
131 ,
121 ,
112 ,
115 ,
107 ,
101 ,
88  ,
70  ,
58  ,
25  ,
8 ,
-33 ,
-51 ,
-81 ,
-88 ,
-102  ,
-95 ,
-92 ,
-83 ,
-73 ,
-73 ,
-66 ,
-69 ,
-62 ,
-65 ,
-65 ,
-68 ,
-80 ,
-88 ,
-103  ,
-114  ,
-126  ,
-144  ,
-151  ,
-158  ,
-167  ,
-169  ,
-169  ,
-165  ,
-156  ,
-156  ,
-157  ,
-167  ,
-184  ,
-208  ,
-227  ,
-247  ,
-265  ,
-279  ,
-289  ,
-295  ,
-296  ,
-295  ,
-286  ,
-270  ,
-259  ,
-250  ,
-237  ,
-233  ,
-218  ,
-214  ,
-201  ,
-189  ,
-181  ,
-173  ,
-164  ,
-157  ,
-141  ,
-124  ,
-98 ,
-70 ,
-43 ,
-21 ,
4 ,
23  ,
51  ,
66  ,
92  ,
105 ,
121 ,
130 ,
139 ,
145 ,
153 ,
161 ,
166 ,
172 ,
174 ,
189 ,
196 ,
216 ,
234 ,
250 ,
261 ,
260 ,
253 ,
235 ,
209 ,
188 ,
154 ,
126 ,
85  ,
46  ,
14  ,
-16 ,
-22 ,
-26 ,
-6  ,
6 ,
32  ,
45  ,
60  ,
67  ,
79  ,
86  ,
105 ,
119 ,
134 ,
145 ,
149 ,
155 ,
154 ,
160 ,
159 ,
158 ,
156 ,
155 ,
160 ,
170 ,
185 ,
203 ,
212 ,
220 ,
207 ,
196 ,
168 ,
150 ,
124 ,
100 ,
73  ,
50  ,
14  ,
-9  ,
-35 ,
-46 ,
-55 ,
-66 ,
-69 ,
-81 ,
-84 ,
-96 ,
-93 ,
-101  ,
-107  ,
-117  ,
-133  ,
-151  ,
-163  ,
-169  ,
-156  ,
-134  ,
-105  ,
-73 ,
-47 ,
-16 ,
1 ,
17  ,
24  ,
20  ,
12  ,
-2  ,
-15 ,
-26 ,
-31 ,
-37 ,
-39 ,
-46 ,
-52 ,
-63 ,
-65 ,
-63 ,
-54 ,
-42 ,
-28 ,
-21 ,
-14 ,
-13 ,
-17 ,
-19 ,
-27 ,
-36 ,
-46 ,
-54 ,
-69 ,
-71 ,
-81 ,
-72 ,
-73 ,
-67 ,
-62 ,
-61 ,
-49 ,
-47 ,
-30 ,
-29 ,
-17 ,
-26 ,
-33 ,
-49 ,
-62 ,
-68 ,
-63 ,
-54 ,
-40 ,
-23 ,
-18 ,
-1  ,
3 ,
24  ,
36  ,
60  ,
76  ,
92  ,
99  ,
98  ,
93  ,
83  ,
74  ,
76  ,
70  ,
78  ,
68  ,
80  ,
82  ,
96  ,
101 ,
109 ,
101 ,
87  ,
63  ,
43  ,
19  ,
13  ,
-1  ,
0 ,
-11 ,
-11 ,
-8  ,
-3  ,
12  ,
24  ,
35  ,
44  ,
46  ,
64  ,
60  ,
79  ,
78  ,
79  ,
74  ,
56  ,
42  ,
14  ,
-3  ,
-19 ,
-28 ,
-31 ,
-40 ,
-49 ,
-69 ,
-84 ,
-104  ,
-113  ,
-114  ,
-111  ,
-108  ,
-101  ,
-104  ,
-92 ,
-101  ,
-94 ,
-109  ,
-119  ,
-142  ,
-158  ,
-167  ,
-156  ,
-142  ,
-107  ,
-84 ,
-51 ,
-37 ,
-14 ,
-8  ,
10  ,
11  ,
26  ,
25  ,
33  ,
27  ,
31  ,
36  ,
52  ,
69  ,
99  ,
128 ,
162 ,
195 ,
218 ,
242 ,
261 ,
271 ,
280 ,
279 ,
271 ,
262 ,
242 ,
221 ,
206 ,
189 ,
173 ,
160 ,
141 ,
131 ,
123 ,
118 ,
110 ,
106 ,
89  ,
81  ,
57  ,
33  ,
-1  ,
-35 ,
-65 ,
-100  ,
-128  ,
-152  ,
-177  ,
-194  ,
-209  ,
-225  ,
-230  ,
-239  ,
-238  ,
-234  ,
-229  ,
-211  ,
-212  ,
-199  ,
-210  ,
-211  ,
-225  ,
-234  ,
-237  ,
-234  ,
-227  ,
-215  ,
-202  ,
-183  ,
-170  ,
-144  ,
-119  ,
-94 ,
-67 ,
-63 ,
-45 ,
-45 ,
-30 ,
-24 ,
-9  ,
10  ,
22  ,
35  ,
41  ,
41  ,
45  ,
43  ,
48  ,
54  ,
56  ,
63  ,
61  ,
52  ,
37  ,
14  ,
-10 ,
-49 ,
-72 ,
-98 ,
-111  ,
-117  ,
-114  ,
-114  ,
-111  ,
-114  ,
-129  ,
-140  ,
-148  ,
-150  ,
-143  ,
-131  ,
-117  ,
-104  ,
-94 ,
-79 ,
-74 ,
-55 ,
-52 ,
-35 ,
-35 ,
-18 ,
-16 ,
3 ,
16  ,
37  ,
60  ,
70  ,
85  ,
86  ,
89  ,
81  ,
77  ,
61  ,
50  ,
34  ,
21  ,
16  ,
18  ,
37  ,
67  ,
91  ,
126 ,
155 ,
175 ,
193 ,
201 ,
217 ,
231 ,
242 ,
256 ,
266 ,
276 ,
287 ,
300 ,
306 ,
321 ,
317 ,
335 ,
333 ,
336 ,
338 ,
335 ,
327 ,
318 ,
295 ,
273 ,
241 ,
210 ,
178 ,
148 ,
125 ,
95  ,
72  ,
40  ,
16  ,
-17 ,
-45 ,
-74 ,
-95 ,
-121  ,
-142  ,
-165  ,
-186  ,
-206  ,
-239  ,
-260  ,
-300  ,
-325  ,
-363  ,
-380  ,
-398  ,
-407  ,
-405  ,
-405  ,
-391  ,
-388  ,
-372  ,
-369  ,
-352  ,
-344  ,
-324  ,
-315  ,
-295  ,
-290  ,
-272  ,
-265  ,
-238  ,
-225  ,
-201  ,
-183  ,
-157  ,
-125  ,
-92 ,
-50 ,
-6  ,
29  ,
70  ,
93  ,
120 ,
128 ,
127 ,
122 ,
108 ,
93  ,
72  ,
55  ,
40  ,
28  ,
19  ,
20  ,
15  ,
17  ,
22  ,
9 ,
13  ,
3 ,
2 ,
-1  ,
-3  ,
-4  ,
-19 ,
-22 ,
-39 ,
-41 ,
-52 ,
-44 ,
-36 ,
-29 ,
-5  ,
5 ,
37  ,
54  ,
81  ,
90  ,
105 ,
106 ,
106 ,
108 ,
102 ,
110 ,
112 ,
127 ,
134 ,
153 ,
166 ,
182 ,
196 ,
216 ,
237 ,
268 ,
286 ,
310 ,
320 ,
339 ,
341 ,
344 ,
343 ,
338 ,
335 ,
325 ,
326 ,
322 ,
336 ,
342 ,
359 ,
363 ,
368 ,
366 ,
361 ,
356 ,
353 ,
346 ,
339 ,
326 ,
310 ,
285 ,
266 ,
237 ,
213 ,
190 ,
165 ,
139 ,
116 ,
88  ,
72  ,
46  ,
33  ,
14  ,
-7  ,
-30 ,
-65 ,
-82 ,
-109  ,
-123  ,
-140  ,
-158  ,
-169  ,
-193  ,
-203  ,
-226  ,
-236  ,
-259  ,
-273  ,
-298  ,
-316  ,
-335  ,
-350  ,
-359  ,
-373  ,
-379  ,
-391  ,
-393  ,
-402  ,
-393  ,
-382  ,
-362  ,
-338  ,
-313  ,
-290  ,
-266  ,
-249  ,
-238  ,
-227  ,
-222  ,
-216  ,
-220  ,
-216  ,
-225  ,
-222  ,
-233  ,
-223  ,
-229  ,
-218  ,
-208  ,
-191  ,
-169  ,
-138  ,
-107  ,
-75 ,
-53 ,
-36 ,
-36 ,
-40 ,
-57 ,
-68 ,
-78 ,
-90 ,
-94 ,
-99 ,
-105  ,
-100  ,
-98 ,
-84 ,
-67 ,
-52 ,
-34 ,
-15 ,
1 ,
26  ,
41  ,
55  ,
61  ,
48  ,
34  ,
16  ,
1 ,
-18 ,
-23 ,
-25 ,
-16 ,
8 ,
33  ,
62  ,
100 ,
133 ,
176 ,
216 ,
260 ,
293 ,
332 ,
352 ,
376 ,
378 ,
384 ,
383 ,
380 ,
380 ,
373 ,
375 ,
374 ,
376 ,
377 ,
382 ,
374 ,
365 ,
345 ,
329 ,
310 ,
298 ,
286 ,
280 ,
272 ,
256 ,
239 ,
217 ,
196 ,
175 ,
152 ,
136 ,
113 ,
106 ,
102 ,
103 ,
100 ,
100 ,
91  ,
80  ,
67  ,
51  ,
51  ,
43  ,
50  ,
41  ,
35  ,
13  ,
-9  ,
-44 ,
-73 ,
-103  ,
-133  ,
-143  ,
-155  ,
-159  ,
-164  ,
-170  ,
-181  ,
-198  ,
-213  ,
-232  ,
-242  ,
-256  ,
-252  ,
-253  ,
-245  ,
-242  ,
-248  ,
-254  ,
-277  ,
-295  ,
-325  ,
-344  ,
-361  ,
-373  ,
-378  ,
-383  ,
-381  ,
-379  ,
-386  ,
-384  ,
-391  ,
-381  ,
-384  ,
-370  ,
-362  ,
-346  ,
-333  ,
-325  ,
-323  ,
-326  ,
-337  ,
-345  ,
-353  ,
-355  ,
-346  ,
-329  ,
-304  ,
-275  ,
-245  ,
-210  ,
-178  ,
-146  ,
-119  ,
-97 ,
-77 ,
-71 ,
-60 ,
-54 ,
-53 ,
-52 ,
-60 ,
-72 ,
-77 ,
-80 ,
-72 ,
-66 ,
-44 ,
-21 ,
15  ,
48  ,
89  ,
125 ,
155 ,
178 ,
201 ,
224 ,
240 ,
260 ,
264 ,
267 ,
262 ,
265 ,
268 ,
281 ,
301 ,
322 ,
347 ,
370 ,
399 ,
422 ,
448 ,
464 ,
476 ,
475 ,
471 ,
462 ,
446 ,
437 ,
416 ,
402 ,
376 ,
356 ,
323 ,
291 ,
261 ,
225 ,
199 ,
174 ,
159 ,
153 ,
150 ,
152 ,
157 ,
160 ,
163 ,
157 ,
145 ,
135 ,
110 ,
101 ,
76  ,
68  ,
50  ,
40  ,
23  ,
11  ,
0 ,
-12 ,
-5  ,
-4  ,
18  ,
27  ,
39  ,
42  ,
28  ,
19  ,
-1  ,
-16 ,
-31 ,
-53 ,
-61 ,
-83 ,
-93 ,
-105  ,
-112  ,
-123  ,
-137  ,
-157  ,
-174  ,
-193  ,
-203  ,
-215  ,
-224  ,
-243  ,
-261  ,
-297  ,
-318  ,
-356  ,
-370  ,
-396  ,
-404  ,
-419  ,
-438  ,
-455  ,
-472  ,
-480  ,
-488  ,
-490  ,
-500  ,
-501  ,
-513  ,
-510  ,
-503  ,
-486  ,
-454  ,
-428  ,
-390  ,
-366  ,
-338  ,
-320  ,
-300  ,
-281  ,
-265  ,
-250  ,
-237  ,
-222  ,
-201  ,
-180  ,
-139  ,
-114  ,
-75 ,
-50 ,
-22 ,
5 ,
35  ,
73  ,
117 ,
162 ,
203 ,
236 ,
267 ,
294 ,
310 ,
336 ,
359 ,
377 ,
398 ,
404 ,
423 ,
430 ,
450 ,
460 ,
482 ,
494 ,
504 ,
509 ,
505 ,
503 ,
493 ,
491 ,
474 ,
458 ,
437 ,
402 ,
382 ,
350 ,
339 ,
324 ,
316 ,
306 ,
296 ,
285 ,
278 ,
273 ,
268 ,
273 ,
262 ,
257 ,
237 ,
225 ,
210 ,
191 ,
173 ,
157 ,
140 ,
121 ,
93  ,
70  ,
46  ,
27  ,
15  ,
4 ,
1 ,
-7  ,
-2  ,
-6  ,
2 ,
0 ,
2 ,
-2  ,
-9  ,
-24 ,
-30 ,
-41 ,
-37 ,
-35 ,
-30 ,
-24 ,
-26 ,
-27 ,
-37 ,
-34 ,
-38 ,
-35 ,
-39 ,
-43 ,
-53 ,
-69 ,
-92 ,
-113  ,
-141  ,
-163  ,
-188  ,
-210  ,
-234  ,
-248  ,
-259  ,
-267  ,
-274  ,
-286  ,
-297  ,
-325  ,
-339  ,
-371  ,
-391  ,
-421  ,
-445  ,
-462  ,
-475  ,
-482  ,
-487  ,
-486  ,
-487  ,
-486  ,
-486  ,
-484  ,
-488  ,
-482  ,
-470  ,
-454  ,
-434  ,
-418  ,
-401  ,
-394  ,
-376  ,
-374  ,
-347  ,
-328  ,
-293  ,
-266  ,
-229  ,
-206  ,
-167  ,
-133  ,
-90 ,
-50 ,
-10 ,
36  ,
78  ,
131 ,
179 ,
234 ,
277 ,
317 ,
345 ,
360 ,
372 ,
379 ,
386 ,
389 ,
398 ,
398 ,
396 ,
393 ,
387 ,
381 ,
377 ,
370 ,
368 ,
351 ,
339 ,
322 ,
306 ,
293 ,
281 ,
269 ,
258 ,
245 ,
225 ,
203 ,
178 ,
160 ,
140 ,
126 ,
116 ,
101 ,
94  ,
89  ,
87  ,
99  ,
99  ,
106 ,
107 ,
109 ,
106 ,
102 ,
88  ,
78  ,
67  ,
55  ,
49  ,
38  ,
26  ,
15  ,
4 ,
0 ,
-4  ,
-14 ,
-19 ,
-31 ,
-36 ,
-37 ,
-35 ,
-28 ,
-20 ,
-14 ,
-22 ,
-20 ,
-34 ,
-40 ,
-49 ,
-60 ,
-61 ,
-61 ,
-59 ,
-54 ,
-50 ,
-46 ,
-48 ,
-52 ,
-52 ,
-58 ,
-54 ,
-55 ,
-44 ,
-37 ,
-35 ,
-36 ,
-45 ,
-70 ,
-94 ,
-135  ,
-160  ,
-197  ,
-206  ,
-223  ,
-218  ,
-226  ,
-214  ,
-217  ,
-202  ,
-206  ,
-209  ,
-218  ,
-236  ,
-245  ,
-267  ,
-272  ,
-289  ,
-301  ,
-313  ,
-337  ,
-347  ,
-368  ,
-370  ,
-373  ,
-355  ,
-338  ,
-303  ,
-268  ,
-230  ,
-191  ,
-160  ,
-130  ,
-106  ,
-81 ,
-57 ,
-30 ,
-1  ,
33  ,
56  ,
80  ,
92  ,
99  ,
94  ,
102 ,
100 ,
116 ,
126 ,
146 ,
169 ,
188 ,
211 ,
226 ,
234 ,
244 ,
237 ,
231 ,
213 ,
190 ,
177 ,
156 ,
144 ,
128 ,
105 ,
95  ,
72  ,
57  ,
44  ,
36  ,
37  ,
44  ,
64  ,
79  ,
99  ,
106 ,
113 ,
118 ,
116 ,
115 ,
105 ,
101 ,
92  ,
90  ,
85  ,
88  ,
92  ,
86  ,
93  ,
95  ,
102 ,
106 ,
117 ,
138 ,
158 ,
178 ,
193 ,
201 ,
203 ,
206 ,
193 ,
186 ,
171 ,
164 ,
153 ,
141 ,
125 ,
112 ,
94  ,
89  ,
70  ,
64  ,
53  ,
41  ,
37  ,
26  ,
13  ,
-1  ,
-20 ,
-31 ,
-47 ,
-49 ,
-65 ,
-68 ,
-77 ,
-91 ,
-101  ,
-120  ,
-132  ,
-140  ,
-148  ,
-143  ,
-138  ,
-120  ,
-114  ,
-90 ,
-88 ,
-74 ,
-75 ,
-71 ,
-78 ,
-80 ,
-91 ,
-94 ,
-96 ,
-97 ,
-86 ,
-83 ,
-79 ,
-79 ,
-84 ,
-87 ,
-88 ,
-84 ,
-74 ,
-62 ,
-45 ,
-29 ,
-13 ,
-1  ,
9 ,
14  ,
16  ,
25  ,
24  ,
26  ,
21  ,
14  ,
5 ,
-6  ,
-14 ,
-25 ,
-23 ,
-29 ,
-25 ,
-37 ,
-39 ,
-45 ,
-48 ,
-49 ,
-46 ,
-59 ,
-64 ,
-85 ,
-105  ,
-116  ,
-137  ,
-138  ,
-138  ,
-130  ,
-117  ,
-107  ,
-94 ,
-80 ,
-71 ,
-54 ,
-38 ,
-32 ,
-9  ,
-10 ,
8 ,
5 ,
17  ,
13  ,
19  ,
14  ,
20  ,
16  ,
20  ,
20  ,
31  ,
33  ,
44  ,
51  ,
67  ,
76  ,
99  ,
104 ,
123 ,
123 ,
131 ,
136 ,
134 ,
148 ,
152 ,
166 ,
176 ,
183 ,
191 ,
188 ,
201 ,
199 ,
212 ,
218 ,
234 ,
243 ,
255 ,
265 ,
270 ,
270 ,
255 ,
246 ,
223 ,
211 ,
193 ,
173 ,
161 ,
138 ,
128 ,
106 ,
89  ,
60  ,
29  ,
-4  ,
-36 ,
-56 ,
-76 ,
-84 ,
-96 ,
-99 ,
-105  ,
-104  ,
-108  ,
-110  ,
-107  ,
-105  ,
-104  ,
-97 ,
-92 ,
-91 ,
-87 ,
-87 ,
-81 ,
-74 ,
-63 ,
-50 ,
-29 ,
4 ,
35  ,
68  ,
106 ,
127 ,
152 ,
171 ,
181 ,
197 ,
202 ,
213 ,
217 ,
226 ,
219 ,
231 ,
226 ,
239 ,
241 ,
241 ,
231 ,
217 ,
201 ,
184 ,
161 ,
145 ,
103 ,
78  ,
17  ,
-27 ,
-82 ,
-119  ,
-156  ,
-178  ,
-208  ,
-216  ,
-242  ,
-247  ,
-264  ,
-267  ,
-270  ,
-275  ,
-280  ,
-291  ,
-298  ,
-306  ,
-309  ,
-311  ,
-307  ,
-300  ,
-292  ,
-274  ,
-256  ,
-236  ,
-207  ,
-180  ,
-152  ,
-124  ,
-103  ,
-83 ,
-64 ,
-50 ,
-39 ,
-30 ,
-28 ,
-18 ,
-20 ,
-13 ,
-16 ,
1 ,
6 ,
20  ,
31  ,
44  ,
57  ,
67  ,
76  ,
84  ,
95  ,
95  ,
120 ,
131 ,
154 ,
168 ,
175 ,
182 ,
170 ,
163 ,
148 ,
138 ,
123 ,
116 ,
111 ,
112 ,
112 ,
116 ,
121 ,
123 ,
121 ,
120 ,
117 ,
116 ,
104 ,
91  ,
59  ,
38  ,
5 ,
-17 ,
-46 ,
-57 ,
-85 ,
-94 ,
-113  ,
-125  ,
-131  ,
-138  ,
-136  ,
-140  ,
-133  ,
-136  ,
-130  ,
-125  ,
-119  ,
-108  ,
-98 ,
-78 ,
-64 ,
-42 ,
-15 ,
9 ,
40  ,
68  ,
94  ,
116 ,
137 ,
162 ,
176 ,
198 ,
215 ,
241 ,
260 ,
288 ,
309 ,
337 ,
359 ,
376 ,
393 ,
389 ,
384 ,
367 ,
341 ,
318 ,
281 ,
250 ,
205 ,
172 ,
132 ,
100 ,
72  ,
48  ,
20  ,
-10 ,
-44 ,
-79 ,
-111  ,
-140  ,
-156  ,
-181  ,
-196  ,
-222  ,
-260  ,
-295  ,
-334  ,
-372  ,
-393  ,
-416  ,
-422  ,
-432  ,
-436  ,
-436  ,
-433  ,
-426  ,
-426  ,
-414  ,
-411  ,
-399  ,
-404  ,
-396  ,
-398  ,
-393  ,
-392  ,
-387  ,
-378  ,
-367  ,
-348  ,
-322  ,
-288  ,
-242  ,
-208  ,
-170  ,
-146  ,
-121  ,
-112  ,
-95 ,
-83 ,
-65 ,
-48 ,
-37 ,
-29 ,
-28 ,
-29 ,
-33 ,
-42 ,
-41 ,
-50 ,
-47 ,
-52 ,
-50 ,
-49 ,
-42 ,
-39 ,
-30 ,
-31 ,
-28 ,
-30 ,
-32 ,
-39 ,
-51 ,
-64 ,
-83 ,
-102  ,
-117  ,
-131  ,
-133  ,
-125  ,
-113  ,
-86 ,
-73 ,
-48 ,
-41 ,
-29 ,
-16 ,
-3  ,
14  ,
25  ,
35  ,
33  ,
32  ,
22  ,
25  ,
32  ,
53  ,
86  ,
114 ,
149 ,
167 ,
185 ,
196 ,
199 ,
206 ,
214 ,
218 ,
229 ,
234 ,
251 ,
270 ,
294 ,
318 ,
345 ,
366 ,
384 ,
397 ,
414 ,
422 ,
432 ,
424 ,
407 ,
374 ,
341 ,
299 ,
259 ,
227 ,
191 ,
166 ,
146 ,
122 ,
117 ,
103 ,
102 ,
94  ,
88  ,
79  ,
72  ,
58  ,
39  ,
17  ,
-8  ,
-40 ,
-74 ,
-108  ,
-139  ,
-166  ,
-189  ,
-202  ,
-217  ,
-228  ,
-241  ,
-260  ,
-266  ,
-292  ,
-300  ,
-321  ,
-336  ,
-349  ,
-368  ,
-381  ,
-395  ,
-406  ,
-419  ,
-424  ,
-421  ,
-419  ,
-408  ,
-405  ,
-392  ,
-387  ,
-372  ,
-355  ,
-335  ,
-311  ,
-285  ,
-261  ,
-241  ,
-217  ,
-200  ,
-173  ,
-156  ,
-136  ,
-115  ,
-95 ,
-78 ,
-58 ,
-43 ,
-19 ,
-9  ,
4 ,
11  ,
9 ,
6 ,
-2  ,
-11 ,
-20 ,
-34 ,
-49 ,
-55 ,
-62 ,
-65 ,
-71 ,
-64 ,
-61 ,
-49 ,
-44 ,
-31 ,
-28 ,
-19 ,
-15 ,
-6  ,
-3  ,
-2  ,
-2  ,
-4  ,
3 ,
5 ,
19  ,
44  ,
70  ,
109 ,
141 ,
192 ,
236 ,
288 ,
330 ,
363 ,
390 ,
398 ,
406 ,
402 ,
399 ,
403 ,
406 ,
420 ,
426 ,
457 ,
472 ,
508 ,
531 ,
559 ,
574 ,
580 ,
571 ,
556 ,
521 ,
494 ,
444 ,
407 ,
363 ,
322 ,
280 ,
244 ,
207 ,
183 ,
164 ,
151 ,
145 ,
135 ,
127 ,
115 ,
111 ,
98  ,
87  ,
73  ,
55  ,
41  ,
24  ,
6 ,
-11 ,
-29 ,
-46 ,
-60 ,
-78 ,
-98 ,
-106  ,
-118  ,
-112  ,
-111  ,
-94 ,
-94 ,
-79 ,
-79 ,
-69 ,
-77 ,
-80 ,
-91 ,
-104  ,
-117  ,
-136  ,
-140  ,
-154  ,
-152  ,
-158  ,
-164  ,
-165  ,
-164  ,
-160  ,
-163  ,
-154  ,
-166  ,
-157  ,
-171  ,
-164  ,
-169  ,
-177  ,
-178  ,
-179  ,
-179  ,
-179  ,
-183  ,
-182  ,
-181  ,
-184  ,
-172  ,
-170  ,
-157  ,
-157  ,
-154  ,
-153  ,
-159  ,
-160  ,
-173  ,
-182  ,
-191  ,
-200  ,
-191  ,
-189  ,
-169  ,
-156  ,
-137  ,
-122  ,
-110  ,
-99 ,
-95 ,
-97 ,
-106  ,
-112  ,
-118  ,
-120  ,
-121  ,
-123  ,
-122  ,
-108  ,
-90 ,
-49 ,
-9  ,
44  ,
90  ,
139 ,
177 ,
207 ,
233 ,
246 ,
254 ,
256 ,
260 ,
264 ,
276 ,
302 ,
330 ,
370 ,
409 ,
451 ,
489 ,
522 ,
549 ,
577 ,
601 ,
616 ,
624 ,
616 ,
592 ,
566 ,
530 ,
488 ,
448 ,
408 ,
367 ,
337 ,
307 ,
279 ,
255 ,
232 ,
210 ,
193 ,
174 ,
152 ,
134 ,
116 ,
101 ,
85  ,
68  ,
47  ,
24  ,
-9  ,
-37 ,
-73 ,
-101  ,
-134  ,
-154  ,
-181  ,
-188  ,
-194  ,
-188  ,
-176  ,
-155  ,
-131  ,
-117  ,
-106  ,
-102  ,
-107  ,
-108  ,
-128  ,
-133  ,
-152  ,
-157  ,
-174  ,
-172  ,
-177  ,
-165  ,
-152  ,
-139  ,
-123  ,
-112  ,
-104  ,
-101  ,
-95 ,
-98 ,
-105  ,
-123  ,
-142  ,
-176  ,
-206  ,
-244  ,
-268  ,
-289  ,
-302  ,
-315  ,
-328  ,
-341  ,
-350  ,
-364  ,
-374  ,
-385  ,
-400  ,
-413  ,
-426  ,
-434  ,
-449  ,
-453  ,
-461  ,
-458  ,
-459  ,
-448  ,
-433  ,
-415  ,
-383  ,
-363  ,
-330  ,
-315  ,
-301  ,
-303  ,
-299  ,
-309  ,
-306  ,
-317  ,
-305  ,
-302  ,
-280  ,
-261  ,
-222  ,
-175  ,
-135  ,
-73 ,
-30 ,
25  ,
64  ,
107 ,
141 ,
170 ,
191 ,
198 ,
199 ,
192 ,
193 ,
194 ,
215 ,
238 ,
271 ,
305 ,
337 ,
363 ,
385 ,
404 ,
424 ,
437 ,
448 ,
450 ,
446 ,
430 ,
416 ,
390 ,
381 ,
362 ,
366 ,
357 ,
356 ,
346 ,
341 ,
328 ,
314 ,
300 ,
289 ,
267 ,
254 ,
235 ,
216 ,
201 ,
182 ,
162 ,
134 ,
105 ,
65  ,
33  ,
-4  ,
-29 ,
-56 ,
-69 ,
-85 ,
-85 ,
-83 ,
-78 ,
-70 ,
-69 ,
-68 ,
-81 ,
-89 ,
-103  ,
-111  ,
-114  ,
-121  ,
-119  ,
-121  ,
-124  ,
-122  ,
-114  ,
-102  ,
-77 ,
-54 ,
-24 ,
5 ,
23  ,
37  ,
39  ,
29  ,
13  ,
-15 ,
-41 ,
-70 ,
-94 ,
-113  ,
-125  ,
-126  ,
-130  ,
-126  ,
-133  ,
-145  ,
-170  ,
-194  ,
-229  ,
-253  ,
-284  ,
-304  ,
-331  ,
-350  ,
-373  ,
-391  ,
-408  ,
-416  ,
-426  ,
-427  ,
-426  ,
-426  ,
-429  ,
-430  ,
-437  ,
-440  ,
-449  ,
-458  ,
-468  ,
-471  ,
-480  ,
-473  ,
-460  ,
-437  ,
-405  ,
-368  ,
-312  ,
-260  ,
-204  ,
-151  ,
-102  ,
-49 ,
-6  ,
33  ,
57  ,
83  ,
88  ,
96  ,
92  ,
99  ,
107 ,
122 ,
155 ,
188 ,
231 ,
273 ,
321 ,
352 ,
383 ,
395 ,
411 ,
412 ,
416 ,
412 ,
409 ,
391 ,
371 ,
346 ,
323 ,
302 ,
288 ,
267 ,
258 ,
235 ,
230 ,
222 ,
225 ,
236 ,
247 ,
257 ,
266 ,
265 ,
266 ,
267 ,
267 ,
281 ,
276 ,
278 ,
263 ,
246 ,
225 ,
197 ,
182 ,
170 ,
163 ,
170 ,
162 ,
173 ,
170 ,
177 ,
184 ,
187 ,
192 ,
190 ,
183 ,
176 ,
169 ,
158 ,
157 ,
153 ,
156 ,
168 ,
182 ,
196 ,
214 ,
228 ,
233 ,
234 ,
218 ,
205 ,
176 ,
143 ,
109 ,
76  ,
51  ,
30  ,
17  ,
10  ,
18  ,
20  ,
26  ,
22  ,
9 ,
-10 ,
-44 ,
-79 ,
-117  ,
-144  ,
-170  ,
-192  ,
-212  ,
-235  ,
-244  ,
-264  ,
-266  ,
-271  ,
-272  ,
-270  ,
-275  ,
-287  ,
-303  ,
-324  ,
-346  ,
-364  ,
-382  ,
-403  ,
-425  ,
-440  ,
-455  ,
-452  ,
-446  ,
-427  ,
-410  ,
-380  ,
-365  ,
-338  ,
-323  ,
-295  ,
-277  ,
-248  ,
-230  ,
-206  ,
-191  ,
-172  ,
-157  ,
-143  ,
-115  ,
-96 ,
-59 ,
-20 ,
21  ,
78  ,
121 ,
166 ,
196 ,
218 ,
228 ,
236 ,
235 ,
242 ,
237 ,
232 ,
219 ,
199 ,
186 ,
174 ,
166 ,
171 ,
177 ,
181 ,
187 ,
183 ,
176 ,
161 ,
151 ,
129 ,
125 ,
112 ,
114 ,
109 ,
113 ,
113 ,
110 ,
103 ,
88  ,
71  ,
47  ,
27  ,
14  ,
11  ,
18  ,
36  ,
67  ,
101 ,
138 ,
171 ,
203 ,
231 ,
253 ,
269 ,
276 ,
279 ,
279 ,
280 ,
282 ,
288 ,
298 ,
306 ,
317 ,
318 ,
318 ,
315 ,
304 ,
295 ,
278 ,
256 ,
233 ,
198 ,
169 ,
140 ,
113 ,
93  ,
71  ,
56  ,
40  ,
36  ,
21  ,
14  ,
-6  ,
-29 ,
-65 ,
-99 ,
-142  ,
-179  ,
-209  ,
-229  ,
-239  ,
-246  ,
-244  ,
-248  ,
-245  ,
-247  ,
-243  ,
-239  ,
-237  ,
-230  ,
-233  ,
-234  ,
-246  ,
-263  ,
-280  ,
-300  ,
-318  ,
-333  ,
-342  ,
-347  ,
-343  ,
-334  ,
-311  ,
-290  ,
-258  ,
-242  ,
-214  ,
-209  ,
-200  ,
-204  ,
-203  ,
-211  ,
-213  ,
-216  ,
-219  ,
-215  ,
-211  ,
-205  ,
-181  ,
-171  ,
-140  ,
-123  ,
-98 ,
-77 ,
-54 ,
-35 ,
-14 ,
2 ,
12  ,
27  ,
21  ,
38  ,
30  ,
46  ,
44  ,
59  ,
62  ,
63  ,
62  ,
57  ,
54  ,
46  ,
39  ,
33  ,
21  ,
12  ,
-6  ,
-13 ,
-20 ,
-22 ,
-16 ,
-22 ,
-22 ,
-33 ,
-39 ,
-53 ,
-60 ,
-77 ,
-84 ,
-105  ,
-110  ,
-122  ,
-114  ,
-106  ,
-86 ,
-63 ,
-40 ,
-21 ,
-2  ,
9 ,
31  ,
49  ,
79  ,
110 ,
139 ,
177 ,
212 ,
247 ,
272 ,
303 ,
318 ,
340 ,
340 ,
351 ,
354 ,
359 ,
357 ,
351 ,
339 ,
315 ,
297 ,
271 ,
254 ,
232 ,
221 ,
202 ,
192 ,
167 ,
149 ,
121 ,
95  ,
55  ,
28  ,
-10 ,
-44 ,
-81 ,
-113  ,
-136  ,
-154  ,
-168  ,
-168  ,
-179  ,
-181  ,
-190  ,
-194  ,
-197  ,
-196  ,
-197  ,
-201  ,
-209  ,
-213  ,
-227  ,
-237  ,
-247  ,
-252  ,
-258  ,
-250  ,
-247  ,
-218  ,
-192  ,
-150  ,
-118  ,
-78 ,
-57 ,
-36 ,
-33 ,
-29 ,
-32 ,
-28 ,
-34 ,
-22 ,
-26 ,
-15 ,
-23 ,
-18 ,
-16 ,
-11 ,
0 ,
3 ,
8 ,
10  ,
9 ,
10  ,
7 ,
-4  ,
-15 ,
-32 ,
-41 ,
-61 ,
-63 ,
-73 ,
-77 ,
-79 ,
-94 ,
-94 ,
-113  ,
-118  ,
-124  ,
-132  ,
-129  ,
-137  ,
-132  ,
-136  ,
-136  ,
-134  ,
-121  ,
-115  ,
-106  ,
-97 ,
-91 ,
-86 ,
-84 ,
-84 ,
-86 ,
-96 ,
-105  ,
-125  ,
-148  ,
-169  ,
-178  ,
-182  ,
-170  ,
-154  ,
-121  ,
-88 ,
-48 ,
-8  ,
20  ,
66  ,
87  ,
119 ,
134 ,
150 ,
160 ,
173 ,
177 ,
196 ,
201 ,
203 ,
211 ,
205 ,
216 ,
214 ,
219 ,
227 ,
229 ,
230 ,
237 ,
234 ,
247 ,
245 ,
261 ,
268 ,
277 ,
281 ,
275 ,
266 ,
245 ,
226 ,
195 ,
179 ,
149 ,
134 ,
110 ,
96  ,
82  ,
71  ,
63  ,
52  ,
50  ,
42  ,
42  ,
38  ,
29  ,
27  ,
14  ,
2 ,
-12 ,
-38 ,
-48 ,
-70 ,
-76 ,
-90 ,
-86 ,
-84 ,
-60 ,
-49 ,
-17 ,
7 ,
22  ,
39  ,
34  ,
37  ,
27  ,
28  ,
26  ,
36  ,
38  ,
51  ,
60  ,
70  ,
90  ,
97  ,
121 ,
133 ,
152 ,
162 ,
172 ,
171 ,
169 ,
154 ,
142 ,
129 ,
121 ,
102 ,
95  ,
66  ,
55  ,
33  ,
21  ,
13  ,
-3  ,
-11 ,
-35 ,
-51 ,
-78 ,
-96 ,
-126  ,
-142  ,
-166  ,
-191  ,
-211  ,
-229  ,
-249  ,
-262  ,
-278  ,
-285  ,
-288  ,
-288  ,
-286  ,
-282  ,
-275  ,
-279  ,
-273  ,
-276  ,
-268  ,
-257  ,
-244  ,
-210  ,
-179  ,
-125  ,
-81 ,
-22 ,
23  ,
62  ,
97  ,
124 ,
148 ,
159 ,
162 ,
153 ,
143 ,
133 ,
131 ,
124 ,
132 ,
131 ,
143 ,
142 ,
159 ,
162 ,
164 ,
159 ,
138 ,
123 ,
101 ,
78  ,
58  ,
46  ,
34  ,
32  ,
24  ,
9 ,
-10 ,
-32 ,
-50 ,
-60 ,
-60 ,
-51 ,
-34 ,
-15 ,
4 ,
22  ,
39  ,
61  ,
86  ,
113 ,
136 ,
151 ,
166 ,
160 ,
155 ,
137 ,
130 ,
116 ,
109 ,
97  ,
87  ,
84  ,
84  ,
87  ,
105 ,
115 ,
139 ,
153 ,
163 ,
169 ,
163 ,
165 ,
152 ,
145 ,
129 ,
118 ,
103 ,
92  ,
87  ,
87  ,
89  ,
96  ,
108 ,
127 ,
145 ,
165 ,
181 ,
192 ,
197 ,
189 ,
173 ,
157 ,
134 ,
121 ,
109 ,
106 ,
99  ,
93  ,
82  ,
71  ,
59  ,
51  ,
43  ,
37  ,
23  ,
14  ,
-5  ,
-22 ,
-50 ,
-90 ,
-127  ,
-171  ,
-214  ,
-255  ,
-289  ,
-320  ,
-342  ,
-360  ,
-384  ,
-407  ,
-434  ,
-460  ,
-473  ,
-493  ,
-499  ,
-514  ,
-513  ,
-511  ,
-500  ,
-477  ,
-448  ,
-400  ,
-360  ,
-311  ,
-262  ,
-214  ,
-164  ,
-124  ,
-91 ,
-57 ,
-33 ,
-15 ,
3 ,
20  ,
39  ,
60  ,
82  ,
101 ,
110 ,
115 ,
114 ,
103 ,
86  ,
70  ,
52  ,
26  ,
14  ,
-12 ,
-13 ,
-29 ,
-34 ,
-48 ,
-59 ,
-81 ,
-95 ,
-118  ,
-123  ,
-144  ,
-138  ,
-155  ,
-148  ,
-162  ,
-165  ,
-174  ,
-168  ,
-172  ,
-158  ,
-150  ,
-133  ,
-112  ,
-97 ,
-72 ,
-45 ,
-14 ,
15  ,
42  ,
73  ,
96  ,
122 ,
145 ,
169 ,
193 ,
213 ,
236 ,
253 ,
268 ,
273 ,
272 ,
263 ,
249 ,
245 ,
242 ,
240 ,
249 ,
256 ,
264 ,
271 ,
275 ,
282 ,
284 ,
283 ,
281 ,
268 ,
259 ,
237 ,
213 ,
199 ,
175 ,
168 ,
153 ,
149 ,
146 ,
138 ,
137 ,
126 ,
125 ,
116 ,
113 ,
112 ,
94  ,
89  ,
69  ,
52  ,
30  ,
2 ,
-28 ,
-60 ,
-95 ,
-117  ,
-146  ,
-151  ,
-166  ,
-179  ,
-191  ,
-209  ,
-218  ,
-233  ,
-236  ,
-249  ,
-249  ,
-266  ,
-268  ,
-280  ,
-287  ,
-297  ,
-299  ,
-300  ,
-284  ,
-265  ,
-238  ,
-211  ,
-185  ,
-164  ,
-143  ,
-138  ,
-136  ,
-144  ,
-152  ,
-159  ,
-162  ,
-164  ,
-161  ,
-158  ,
-156  ,
-144  ,
-136  ,
-114  ,
-97 ,
-74 ,
-61 ,
-49 ,
-44 ,
-42 ,
-44 ,
-42 ,
-50 ,
-48 ,
-62 ,
-69 ,
-90 ,
-107  ,
-124  ,
-142  ,
-149  ,
-165  ,
-161  ,
-166  ,
-162  ,
-164  ,
-160  ,
-162  ,
-156  ,
-153  ,
-147  ,
-135  ,
-126  ,
-112  ,
-107  ,
-101  ,
-95 ,
-100  ,
-96 ,
-98 ,
-97 ,
-96 ,
-100  ,
-100  ,
-88 ,
-81 ,
-52 ,
-29 ,
11  ,
38  ,
78  ,
98  ,
125 ,
147 ,
163 ,
180 ,
197 ,
208 ,
227 ,
239 ,
258 ,
283 ,
301 ,
322 ,
345 ,
362 ,
381 ,
397 ,
410 ,
420 ,
427 ,
423 ,
424 ,
420 ,
415 ,
409 ,
410 ,
398 ,
392 ,
371 ,
352 ,
332 ,
309 ,
284 ,
266 ,
243 ,
229 ,
201 ,
187 ,
153 ,
129 ,
100 ,
75  ,
45  ,
19  ,
2 ,
-20 ,
-34 ,
-57 ,
-73 ,
-95 ,
-113  ,
-126  ,
-142  ,
-147  ,
-151  ,
-142  ,
-131  ,
-109  ,
-90 ,
-56 ,
-29 ,
17  ,
48  ,
82  ,
111 ,
117 ,
131 ,
113 ,
100 ,
72  ,
47  ,
30  ,
1 ,
-21 ,
-47 ,
-77 ,
-102  ,
-129  ,
-144  ,
-160  ,
-183  ,
-192  ,
-213  ,
-233  ,
-258  ,
-285  ,
-316  ,
-341  ,
-370  ,
-390  ,
-411  ,
-428  ,
-441  ,
-446  ,
-441  ,
-427  ,
-410  ,
-373  ,
-348  ,
-312  ,
-296  ,
-276  ,
-268  ,
-252  ,
-251  ,
-239  ,
-238  ,
-229  ,
-222  ,
-210  ,
-208  ,
-205  ,
-212  ,
-209  ,
-211  ,
-201  ,
-189  ,
-172  ,
-150  ,
-124  ,
-92 ,
-63 ,
-37 ,
-15 ,
6 ,
11  ,
18  ,
16  ,
11  ,
4 ,
-3  ,
-13 ,
-14 ,
-20 ,
-5  ,
2 ,
25  ,
56  ,
93  ,
149 ,
207 ,
267 ,
330 ,
377 ,
416 ,
443 ,
457 ,
469 ,
484 ,
494 ,
501 ,
509 ,
507 ,
509 ,
499 ,
499 ,
489 ,
499 ,
494 ,
501 ,
496 ,
491 ,
485 ,
473 ,
463 ,
435 ,
408 ,
362 ,
319 ,
269 ,
225 ,
187 ,
153 ,
121 ,
96  ,
70  ,
59  ,
44  ,
40  ,
29  ,
29  ,
19  ,
24  ,
23  ,
33  ,
46  ,
64  ,
84  ,
106 ,
118 ,
137 ,
149 ,
157 ,
161 ,
156 ,
141 ,
126 ,
108 ,
99  ,
88  ,
87  ,
79  ,
74  ,
63  ,
55  ,
36  ,
28  ,
8 ,
0 ,
-20 ,
-40 ,
-73 ,
-110  ,
-155  ,
-203  ,
-247  ,
-303  ,
-345  ,
-394  ,
-428  ,
-464  ,
-487  ,
-504  ,
-514  ,
-510  ,
-511  ,
-500  ,
-509  ,
-500  ,
-513  ,
-522  ,
-533  ,
-537  ,
-539  ,
-530  ,
-513  ,
-490  ,
-456  ,
-426  ,
-392  ,
-353  ,
-317  ,
-278  ,
-243  ,
-208  ,
-178  ,
-161  ,
-139  ,
-137  ,
-124  ,
-127  ,
-121  ,
-119  ,
-105  ,
-90 ,
-80 ,
-60 ,
-49 ,
-33 ,
-20 ,
-6  ,
12  ,
29  ,
46  ,
68  ,
90  ,
114 ,
137 ,
158 ,
174 ,
181 ,
173 ,
167 ,
143 ,
136 ,
126 ,
131 ,
149 ,
176 ,
207 ,
241 ,
281 ,
321 ,
358 ,
382 ,
408 ,
416 ,
419 ,
408 ,
401 ,
379 ,
362 ,
343 ,
318 ,
296 ,
266 ,
245 ,
222 ,
212 ,
211 ,
214 ,
223 ,
230 ,
240 ,
242 ,
243 ,
243 ,
237 ,
231 ,
216 ,
211 ,
190 ,
186 ,
182 ,
183 ,
193 ,
200 ,
220 ,
234 ,
247 ,
248 ,
240 ,
224 ,
208 ,
182 ,
165 ,
144 ,
130 ,
112 ,
100 ,
83  ,
67  ,
51  ,
33  ,
10  ,
-9  ,
-27 ,
-44 ,
-53 ,
-69 ,
-80 ,
-95 ,
-117  ,
-135  ,
-158  ,
-183  ,
-202  ,
-222  ,
-225  ,
-236  ,
-235  ,
-231  ,
-237  ,
-238  ,
-259  ,
-282  ,
-314  ,
-358  ,
-393  ,
-424  ,
-448  ,
-463  ,
-471  ,
-474  ,
-480  ,
-493  ,
-495  ,
-504  ,
-495  ,
-494  ,
-480  ,
-468  ,
-458  ,
-446  ,
-445  ,
-438  ,
-433  ,
-422  ,
-401  ,
-367  ,
-328  ,
-281  ,
-233  ,
-191  ,
-154  ,
-129  ,
-109  ,
-100  ,
-92 ,
-92 ,
-85 ,
-74 ,
-53 ,
-32 ,
-15 ,
13  ,
29  ,
55  ,
73  ,
98  ,
121 ,
146 ,
166 ,
196 ,
215 ,
237 ,
244 ,
246 ,
241 ,
228 ,
211 ,
186 ,
154 ,
125 ,
90  ,
63  ,
33  ,
11  ,
-1  ,
-11 ,
-1  ,
1 ,
23  ,
33  ,
52  ,
68  ,
89  ,
114 ,
128 ,
151 ,
155 ,
162 ,
161 ,
161 ,
163 ,
166 ,
176 ,
191 ,
220 ,
250 ,
285 ,
323 ,
364 ,
406 ,
448 ,
482 ,
502 ,
512 ,
497 ,
478 ,
443 ,
395 ,
357 ,
307 ,
272 ,
229 ,
203 ,
173 ,
149 ,
123 ,
101 ,
84  ,
77  ,
69  ,
62  ,
59  ,
41  ,
25  ,
-12 ,
-41 ,
-80 ,
-120  ,
-155  ,
-187  ,
-211  ,
-220  ,
-225  ,
-222  ,
-206  ,
-204  ,
-184  ,
-174  ,
-154  ,
-146  ,
-134  ,
-127  ,
-123  ,
-126  ,
-129  ,
-134  ,
-145  ,
-156  ,
-174  ,
-195  ,
-212  ,
-232  ,
-251  ,
-269  ,
-284  ,
-310  ,
-328  ,
-357  ,
-379  ,
-406  ,
-423  ,
-437  ,
-432  ,
-429  ,
-412  ,
-402  ,
-384  ,
-368  ,
-359  ,
-347  ,
-347  ,
-340  ,
-336  ,
-330  ,
-312  ,
-288  ,
-256  ,
-216  ,
-177  ,
-130  ,
-86 ,
-41 ,
1 ,
46  ,
81  ,
116 ,
143 ,
167 ,
181 ,
198 ,
192 ,
195 ,
187 ,
181 ,
168 ,
149 ,
140 ,
118 ,
113 ,
101 ,
95  ,
92  ,
84  ,
87  ,
84  ,
85  ,
70  ,
58  ,
28  ,
1 ,
-25 ,
-48 ,
-55 ,
-59 ,
-42 ,
-31 ,
-1  ,
25  ,
59  ,
96  ,
134 ,
180 ,
232 ,
286 ,
336 ,
386 ,
430 ,
471 ,
497 ,
523 ,
522 ,
519 ,
503 ,
480 ,
459 ,
431 ,
413 ,
406 ,
396 ,
399 ,
398 ,
394 ,
391 ,
372 ,
359 ,
338 ,
315 ,
287 ,
251 ,
216 ,
172 ,
119 ,
73  ,
32  ,
2 ,
-20 ,
-33 ,
-36 ,
-27 ,
-20 ,
-10 ,
-7  ,
-6  ,
-9  ,
-23 ,
-39 ,
-64 ,
-89 ,
-113  ,
-137  ,
-151  ,
-171  ,
-181  ,
-201  ,
-215  ,
-234  ,
-240  ,
-245  ,
-239  ,
-233  ,
-217  ,
-207  ,
-189  ,
-183  ,
-186  ,
-191  ,
-214  ,
-227  ,
-247  ,
-259  ,
-263  ,
-265  ,
-265  ,
-265  ,
-267  ,
-270  ,
-283  ,
-295  ,
-320  ,
-338  ,
-365  ,
-378  ,
-393  ,
-391  ,
-390  ,
-371  ,
-357  ,
-322  ,
-300  ,
-264  ,
-240  ,
-212  ,
-181  ,
-161  ,
-135  ,
-111  ,
-86 ,
-67 ,
-44 ,
-30 ,
-17 ,
-12 ,
-7  ,
-4  ,
-4  ,
-5  ,
-5  ,
-7  ,
-3  ,
-6  ,
5 ,
18  ,
24  ,
31  ,
33  ,
25  ,
26  ,
24  ,
33  ,
42  ,
66  ,
85  ,
107 ,
131 ,
152 ,
170 ,
193 ,
211 ,
236 ,
260 ,
281 ,
310 ,
327 ,
348 ,
360 ,
365 ,
365 ,
363 ,
350 ,
343 ,
335 ,
330 ,
323 ,
319 ,
309 ,
303 ,
293 ,
284 ,
270 ,
255 ,
246 ,
238 ,
239 ,
233 ,
225 ,
212 ,
194 ,
177 ,
152 ,
141 ,
127 ,
127 ,
128 ,
126 ,
133 ,
140 ,
145 ,
154 ,
142 ,
137 ,
109 ,
80  ,
41  ,
-1  ,
-32 ,
-59 ,
-81 ,
-89 ,
-103  ,
-106  ,
-119  ,
-119  ,
-138  ,
-142  ,
-162  ,
-180  ,
-195  ,
-217  ,
-227  ,
-243  ,
-247  ,
-254  ,
-256  ,
-263  ,
-262  ,
-260  ,
-257  ,
-249  ,
-233  ,
-217  ,
-197  ,
-177  ,
-155  ,
-137  ,
-127  ,
-116  ,
-106  ,
-101  ,
-90 ,
-88 ,
-76 ,
-75 ,
-68 ,
-64 ,
-57 ,
-47 ,
-51 ,
-33 ,
-33 ,
-18 ,
-17 ,
-18 ,
-24 ,
-46 ,
-57 ,
-82 ,
-101  ,
-128  ,
-154  ,
-180  ,
-202  ,
-226  ,
-240  ,
-254  ,
-255  ,
-254  ,
-245  ,
-228  ,
-210  ,
-185  ,
-170  ,
-150  ,
-136  ,
-118  ,
-110  ,
-97 ,
-101  ,
-94 ,
-95 ,
-82 ,
-68 ,
-39 ,
-2  ,
37  ,
81  ,
122 ,
171 ,
215 ,
267 ,
320 ,
360 ,
400 ,
417 ,
432 ,
426 ,
420 ,
395 ,
373 ,
340 ,
301 ,
265 ,
225 ,
204 ,
171 ,
147 ,
116 ,
96  ,
63  ,
40  ,
16  ,
9 ,
3 ,
8 ,
3 ,
7 ,
1 ,
-2  ,
-10 ,
-8  ,
-8  ,
3 ,
15  ,
39  ,
59  ,
83  ,
102 ,
116 ,
118 ,
114 ,
112 ,
108 ,
118 ,
123 ,
146 ,
162 ,
175 ,
184 ,
177 ,
165 ,
142 ,
115 ,
75  ,
44  ,
-3  ,
-37 ,
-68 ,
-97 ,
-111  ,
-121  ,
-123  ,
-111  ,
-108  ,
-91 ,
-86 ,
-74 ,
-59 ,
-56 ,
-46 ,
-55 ,
-57 ,
-78 ,
-91 ,
-108  ,
-118  ,
-123  ,
-132  ,
-138  ,
-134  ,
-123  ,
-98 ,
-67 ,
-30 ,
15  ,
56  ,
99  ,
132 ,
160 ,
181 ,
189 ,
200 ,
193 ,
182 ,
157 ,
127 ,
92  ,
46  ,
-3  ,
-50 ,
-94 ,
-134  ,
-169  ,
-201  ,
-221  ,
-243  ,
-259  ,
-280  ,
-298  ,
-318  ,
-329  ,
-346  ,
-354  ,
-367  ,
-368  ,
-374  ,
-371  ,
-371  ,
-359  ,
-342  ,
-317  ,
-285  ,
-254  ,
-220  ,
-182  ,
-140  ,
-92 ,
-39 ,
17  ,
62  ,
102 ,
120 ,
134 ,
134 ,
127 ,
120 ,
104 ,
97  ,
88  ,
92  ,
89  ,
100 ,
91  ,
98  ,
81  ,
87  ,
71  ,
68  ,
58  ,
58  ,
60  ,
69  ,
65  ,
51  ,
20  ,
-5  ,
-30 ,
-40 ,
-53 ,
-39 ,
-37 ,
-18 ,
-14 ,
-4  ,
-5  ,
7 ,
2 ,
14  ,
16  ,
26  ,
37  ,
51  ,
63  ,
68  ,
83  ,
87  ,
96  ,
99  ,
93  ,
94  ,
91  ,
91  ,
96  ,
113 ,
122 ,
146 ,
163 ,
186 ,
199 ,
208 ,
208 ,
209 ,
204 ,
199 ,
194 ,
189 ,
182 ,
172 ,
152 ,
137 ,
107 ,
89  ,
67  ,
59  ,
55  ,
61  ,
65  ,
78  ,
92  ,
98  ,
113 ,
118 ,
127 ,
137 ,
140 ,
143 ,
146 ,
136 ,
134 ,
119 ,
108 ,
93  ,
76  ,
63  ,
47  ,
34  ,
10  ,
0 ,
-21 ,
-18 ,
-33 ,
-24 ,
-25 ,
-10 ,
-17 ,
-15 ,
-30 ,
-40 ,
-63 ,
-90 ,
-124  ,
-158  ,
-188  ,
-218  ,
-236  ,
-254  ,
-259  ,
-257  ,
-251  ,
-242  ,
-226  ,
-206  ,
-176  ,
-149  ,
-121  ,
-107  ,
-98 ,
-101  ,
-108  ,
-129  ,
-145  ,
-162  ,
-170  ,
-173  ,
-163  ,
-156  ,
-147  ,
-148  ,
-153  ,
-158  ,
-175  ,
-185  ,
-203  ,
-207  ,
-210  ,
-200  ,
-188  ,
-172  ,
-150  ,
-130  ,
-112  ,
-96 ,
-89 ,
-86 ,
-82 ,
-74 ,
-52 ,
-19 ,
9 ,
45  ,
65  ,
76  ,
75  ,
62  ,
40  ,
26  ,
1 ,
-11 ,
-25 ,
-38 ,
-41 ,
-57 ,
-53 ,
-70 ,
-69 ,
-82 ,
-82 ,
-89 ,
-78 ,
-65 ,
-49 ,
-22 ,
-6  ,
2 ,
13  ,
19  ,
33  ,
49  ,
68  ,
93  ,
118 ,
148 ,
171 ,
200 ,
224 ,
245 ,
263 ,
271 ,
277 ,
286 ,
291 ,
304 ,
313 ,
314 ,
313 ,
298 ,
288 ,
266 ,
260 ,
249 ,
246 ,
239 ,
244 ,
246 ,
250 ,
259 ,
260 ,
264 ,
267 ,
251 ,
240 ,
197 ,
164 ,
114 ,
76  ,
39  ,
8 ,
-11 ,
-36 ,
-51 ,
-71 ,
-87 ,
-99 ,
-113  ,
-113  ,
-118  ,
-110  ,
-107  ,
-98 ,
-86 ,
-73 ,
-62 ,
-41 ,
-24 ,
6 ,
32  ,
57  ,
79  ,
90  ,
98  ,
88  ,
86  ,
72  ,
61  ,
45  ,
23  ,
-2  ,
-33 ,
-59 ,
-80 ,
-95 ,
-114  ,
-126  ,
-150  ,
-183  ,
-218  ,
-265  ,
-303  ,
-346  ,
-379  ,
-400  ,
-413  ,
-421  ,
-424  ,
-417  ,
-407  ,
-387  ,
-373  ,
-354  ,
-348  ,
-335  ,
-321  ,
-304  ,
-280  ,
-269  ,
-250  ,
-243  ,
-237  ,
-229  ,
-216  ,
-207  ,
-181  ,
-166  ,
-142  ,
-125  ,
-112  ,
-99 ,
-92 ,
-85 ,
-72 ,
-77 ,
-74 ,
-88 ,
-99 ,
-107  ,
-121  ,
-122  ,
-131  ,
-138  ,
-141  ,
-152  ,
-153  ,
-152  ,
-140  ,
-126  ,
-101  ,
-84 ,
-57 ,
-40 ,
-22 ,
-11 ,
-4  ,
2 ,
-1  ,
1 ,
3 ,
5 ,
26  ,
46  ,
81  ,
114 ,
154 ,
190 ,
222 ,
256 ,
287 ,
319 ,
352 ,
384 ,
408 ,
436 ,
448 ,
457 ,
454 ,
452 ,
441 ,
428 ,
406 ,
383 ,
343 ,
309 ,
267 ,
238 ,
212 ,
192 ,
182 ,
172 ,
167 ,
155 ,
150 ,
138 ,
139 ,
131 ,
131 ,
122 ,
114 ,
101 ,
84  ,
75  ,
77  ,
81  ,
92  ,
109 ,
117 ,
133 ,
139 ,
149 ,
151 ,
161 ,
167 ,
188 ,
198 ,
217 ,
229 ,
240 ,
252 ,
256 ,
258 ,
236 ,
217 ,
167 ,
125 ,
67  ,
17  ,
-35 ,
-87 ,
-131  ,
-173  ,
-206  ,
-240  ,
-259  ,
-280  ,
-291  ,
-304  ,
-311  ,
-318  ,
-318  ,
-323  ,
-330  ,
-344  ,
-354  ,
-371  ,
-381  ,
-397  ,
-404  ,
-411  ,
-419  ,
-413  ,
-428  ,
-425  ,
-436  ,
-425  ,
-423  ,
-407  ,
-392  ,
-385  ,
-376  ,
-376  ,
-371  ,
-367  ,
-355  ,
-341  ,
-330  ,
-305  ,
-286  ,
-261  ,
-240  ,
-217  ,
-188  ,
-155  ,
-120  ,
-91 ,
-55 ,
-35 ,
-5  ,
-5  ,
5 ,
-4  ,
-11 ,
-21 ,
-24 ,
-24 ,
-15 ,
-5  ,
10  ,
21  ,
40  ,
58  ,
83  ,
116 ,
144 ,
183 ,
200 ,
224 ,
231 ,
242 ,
251 ,
258 ,
264 ,
280 ,
298 ,
325 ,
346 ,
371 ,
385 ,
400 ,
403 ,
401 ,
389 ,
382 ,
370 ,
366 ,
372 ,
378 ,
387 ,
391 ,
382 ,
377 ,
358 ,
355 ,
345 ,
342 ,
330 ,
320 ,
313 ,
303 ,
305 ,
303 ,
314 ,
327 ,
336 ,
344 ,
344 ,
338 ,
332 ,
315 ,
308 ,
286 ,
274 ,
250 ,
231 ,
219 ,
194 ,
184 ,
153 ,
132 ,
90  ,
62  ,
25  ,
-9  ,
-46 ,
-82 ,
-116  ,
-141  ,
-148  ,
-147  ,
-127  ,
-108  ,
-84 ,
-73 ,
-67 ,
-78 ,
-86 ,
-109  ,
-125  ,
-154  ,
-177  ,
-205  ,
-234  ,
-262  ,
-288  ,
-315  ,
-340  ,
-368  ,
-391  ,
-413  ,
-430  ,
-440  ,
-451  ,
-458  ,
-478  ,
-494  ,
-516  ,
-538  ,
-551  ,
-565  ,
-572  ,
-572  ,
-574  ,
-569  ,
-571  ,
-564  ,
-559  ,
-541  ,
-520  ,
-490  ,
-453  ,
-421  ,
-388  ,
-355  ,
-329  ,
-298  ,
-277  ,
-256  ,
-230  ,
-209  ,
-180  ,
-152  ,
-122  ,
-89 ,
-63 ,
-32 ,
-13 ,
25  ,
58  ,
102 ,
143 ,
177 ,
205 ,
218 ,
222 ,
222 ,
219 ,
214 ,
213 ,
210 ,
210 ,
217 ,
219 ,
230 ,
229 ,
241 ,
230 ,
229 ,
214 ,
195 ,
180 ,
165 ,
159 ,
159 ,
163 ,
174 ,
182 ,
197 ,
208 ,
232 ,
254 ,
277 ,
307 ,
330 ,
358 ,
374 ,
402 ,
415 ,
434 ,
442 ,
454 ,
452 ,
446 ,
436 ,
422 ,
417 ,
405 ,
403 ,
404 ,
404 ,
399 ,
396 ,
386 ,
373 ,
353 ,
328 ,
295 ,
261 ,
218 ,
174 ,
123 ,
71  ,
20  ,
-23 ,
-60 ,
-85 ,
-104  ,
-97 ,
-93 ,
-70 ,
-57 ,
-45 ,
-40 ,
-42 ,
-58 ,
-73 ,
-96 ,
-114  ,
-140  ,
-146  ,
-165  ,
-165  ,
-171  ,
-170  ,
-166  ,
-176  ,
-177  ,
-183  ,
-186  ,
-189  ,
-199  ,
-209  ,
-223  ,
-246  ,
-275  ,
-301  ,
-336  ,
-360  ,
-390  ,
-413  ,
-433  ,
-448  ,
-460  ,
-451  ,
-453  ,
-442  ,
-438  ,
-431  ,
-419  ,
-418  ,
-404  ,
-403  ,
-398  ,
-396  ,
-399  ,
-406  ,
-417  ,
-429  ,
-433  ,
-428  ,
-409  ,
-382  ,
-352  ,
-314  ,
-276  ,
-231  ,
-192  ,
-149  ,
-108  ,
-80 ,
-50 ,
-40 ,
-21 ,
-2  ,
15  ,
42  ,
60  ,
82  ,
99  ,
120 ,
141 ,
168 ,
184 ,
201 ,
209 ,
201 ,
191 ,
165 ,
144 ,
121 ,
108 ,
95  ,
97  ,
95  ,
104 ,
112 ,
128 ,
142 ,
152 ,
169 ,
180 ,
199 ,
205 ,
221 ,
229 ,
247 ,
264 ,
291 ,
314 ,
342 ,
361 ,
381 ,
400 ,
416 ,
438 ,
456 ,
479 ,
498 ,
512 ,
517 ,
520 ,
510 ,
503 ,
484 ,
459 ,
435 ,
394 ,
373 ,
334 ,
312 ,
274 ,
262 ,
251 ,
251 ,
257 ,
263 ,
275 ,
284 ,
285 ,
277 ,
254 ,
221 ,
179 ,
129 ,
82  ,
34  ,
-2  ,
-36 ,
-58 ,
-80 ,
-89 ,
-108  ,
-121  ,
-138  ,
-160  ,
-179  ,
-196  ,
-213  ,
-223  ,
-224  ,
-229  ,
-231  ,
-243  ,
-253  ,
-269  ,
-275  ,
-280  ,
-280  ,
-276  ,
-266  ,
-257  ,
-242  ,
-241  ,
-227  ,
-229  ,
-220  ,
-233  ,
-240  ,
-266  ,
-281  ,
-314  ,
-330  ,
-359  ,
-368  ,
-380  ,
-387  ,
-384  ,
-385  ,
-365  ,
-354  ,
-333  ,
-317  ,
-293  ,
-282  ,
-272  ,
-266  ,
-270  ,
-279  ,
-295  ,
-311  ,
-328  ,
-330  ,
-336  ,
-321  ,
-302  ,
-267  ,
-229  ,
-182  ,
-146  ,
-114  ,
-92 ,
-78 ,
-66 ,
-68 ,
-72 ,
-78 ,
-79 ,
-66 ,
-62 ,
-38 ,
-26 ,
1 ,
17  ,
46  ,
62  ,
82  ,
101 ,
118 ,
139 ,
148 ,
162 ,
164 ,
174 ,
181 ,
190 ,
206 ,
221 ,
235 ,
245 ,
261 ,
271 ,
288 ,
299 ,
309 ,
319 ,
332 ,
331 ,
339 ,
341 ,
351 ,
355 ,
365 ,
377 ,
387 ,
401 ,
402 ,
408 ,
404 ,
407 ,
414 ,
422 ,
444 ,
459 ,
485 ,
496 ,
510 ,
498 ,
482 ,
445 ,
409 ,
368 ,
340 ,
310 ,
294 ,
276 ,
260 ,
244 ,
225 ,
199 ,
171 ,
136 ,
102 ,
76  ,
37  ,
17  ,
-15 ,
-36 ,
-78 ,
-111  ,
-151  ,
-188  ,
-229  ,
-255  ,
-272  ,
-279  ,
-276  ,
-267  ,
-257  ,
-240  ,
-242  ,
-228  ,
-235  ,
-228  ,
-231  ,
-235  ,
-242  ,
-250  ,
-261  ,
-266  ,
-268  ,
-270  ,
-262  ,
-257  ,
-238  ,
-223  ,
-197  ,
-168  ,
-143  ,
-115  ,
-109  ,
-110  ,
-130  ,
-158  ,
-198  ,
-235  ,
-262  ,
-275  ,
-278  ,
-282  ,
-270  ,
-272  ,
-252  ,
-246  ,
-223  ,
-219  ,
-211  ,
-215  ,
-233  ,
-249  ,
-276  ,
-310  ,
-348  ,
-370  ,
-394  ,
-389  ,
-384  ,
-359  ,
-334  ,
-299  ,
-269  ,
-228  ,
-198  ,
-149  ,
-111  ,
-68 ,
-30 ,
6 ,
32  ,
48  ,
62  ,
76  ,
89  ,
117 ,
137 ,
155 ,
167 ,
179 ,
195 ,
215 ,
241 ,
263 ,
282 ,
292 ,
300 ,
294 ,
293 ,
279 ,
266 ,
246 ,
227 ,
205 ,
194 ,
185 ,
177 ,
182 ,
182 ,
197 ,
217 ,
240 ,
269 ,
289 ,
318 ,
321 ,
334 ,
319 ,
314 ,
295 ,
283 ,
279 ,
271 ,
271 ,
261 ,
259 ,
262 ,
264 ,
274 ,
278 ,
278 ,
275 ,
259 ,
253 ,
232 ,
212 ,
184 ,
161 ,
130 ,
105 ,
76  ,
56  ,
33  ,
19  ,
12  ,
7 ,
7 ,
2 ,
-9  ,
-14 ,
-29 ,
-44 ,
-61 ,
-88 ,
-117  ,
-150  ,
-189  ,
-209  ,
-229  ,
-231  ,
-227  ,
-214  ,
-202  ,
-174  ,
-155  ,
-126  ,
-102  ,
-72 ,
-52 ,
-24 ,
-16 ,
-4  ,
-14 ,
-17 ,
-32 ,
-51 ,
-57 ,
-72 ,
-74 ,
-68 ,
-58 ,
-35 ,
-18 ,
-6  ,
-1  ,
-10 ,
-34 ,
-66 ,
-106  ,
-148  ,
-192  ,
-229  ,
-261  ,
-283  ,
-302  ,
-308  ,
-313  ,
-305  ,
-303  ,
-292  ,
-291  ,
-285  ,
-278  ,
-269  ,
-256  ,
-250  ,
-250  ,
-252  ,
-266  ,
-275  ,
-272  ,
-268  ,
-251  ,
-233  ,
-208  ,
-185  ,
-164  ,
-137  ,
-109  ,
-74 ,
-43 ,
-12 ,
12  ,
30  ,
47  ,
52  ,
62  ,
65  ,
69  ,
64  ,
69  ,
65  ,
76  ,
85  ,
110 ,
129 ,
153 ,
162 ,
168 ,
159 ,
151 ,
132 ,
115 ,
96  ,
75  ,
65  ,
56  ,
48  ,
42  ,
35  ,
27  ,
25  ,
22  ,
24  ,
33  ,
39  ,
46  ,
57  ,
58  ,
69  ,
76  ,
83  ,
88  ,
91  ,
85  ,
97  ,
102 ,
112 ,
126 ,
142 ,
158 ,
183 ,
201 ,
215 ,
231 ,
240 ,
244 ,
245 ,
239 ,
227 ,
205 ,
184 ,
161 ,
142 ,
138 ,
122 ,
126 ,
119 ,
131 ,
130 ,
140 ,
136 ,
141 ,
140 ,
135 ,
132 ,
120 ,
118 ,
99  ,
80  ,
56  ,
30  ,
6 ,
-19 ,
-39 ,
-55 ,
-64 ,
-62 ,
-54 ,
-35 ,
-13 ,
6 ,
14  ,
14  ,
-8  ,
-26 ,
-60 ,
-94 ,
-120  ,
-142  ,
-147  ,
-163  ,
-170  ,
-180  ,
-183  ,
-174  ,
-175  ,
-156  ,
-150  ,
-144  ,
-148  ,
-155  ,
-174  ,
-183  ,
-201  ,
-211  ,
-231  ,
-246  ,
-252  ,
-259  ,
-254  ,
-257  ,
-256  ,
-262  ,
-271  ,
-287  ,
-306  ,
-317  ,
-335  ,
-332  ,
-338  ,
-334  ,
-333  ,
-339  ,
-341  ,
-344  ,
-340  ,
-338  ,
-324  ,
-306  ,
-275  ,
-245  ,
-208  ,
-169  ,
-137  ,
-106  ,
-89 ,
-75 ,
-75 ,
-65 ,
-66 ,
-58 ,
-58 ,
-51 ,
-51 ,
-40 ,
-41 ,
-36 ,
-35 ,
-31 ,
-33 ,
-41 ,
-51 ,
-70 ,
-87 ,
-102  ,
-113  ,
-118  ,
-117  ,
-118  ,
-119  ,
-120  ,
-122  ,
-111  ,
-89 ,
-64 ,
-29 ,
-3  ,
27  ,
50  ,
73  ,
90  ,
107 ,
119 ,
128 ,
142 ,
157 ,
170 ,
187 ,
199 ,
218 ,
233 ,
246 ,
265 ,
285 ,
310 ,
337 ,
359 ,
388 ,
404 ,
424 ,
426 ,
431 ,
418 ,
404 ,
374 ,
348 ,
305 ,
274 ,
229 ,
203 ,
170 ,
146 ,
123 ,
102 ,
94  ,
83  ,
82  ,
74  ,
62  ,
42  ,
9 ,
-31 ,
-77 ,
-121  ,
-167  ,
-204  ,
-229  ,
-245  ,
-256  ,
-246  ,
-242  ,
-215  ,
-192  ,
-162  ,
-127  ,
-105  ,
-81 ,
-77 ,
-76 ,
-75 ,
-83 ,
-88 ,
-95 ,
-111  ,
-120  ,
-130  ,
-139  ,
-127  ,
-120  ,
-105  ,
-87 ,
-82 ,
-72 ,
-76 ,
-73 ,
-70 ,
-78 ,
-85 ,
-106  ,
-123  ,
-150  ,
-172  ,
-193  ,
-205  ,
-218  ,
-218  ,
-221  ,
-216  ,
-216  ,
-207  ,
-206  ,
-198  ,
-196  ,
-200  ,
-207  ,
-213  ,
-223  ,
-228  ,
-223  ,
-232  ,
-227  ,
-232  ,
-218  ,
-205  ,
-184  ,
-164  ,
-138  ,
-112  ,
-88 ,
-68 ,
-55 ,
-33 ,
-21 ,
5 ,
15  ,
45  ,
58  ,
67  ,
74  ,
72  ,
68  ,
60  ,
54  ,
37  ,
30  ,
20  ,
25  ,
38  ,
53  ,
72  ,
89  ,
105 ,
113 ,
123 ,
136 ,
153 ,
171 ,
189 ,
209 ,
236 ,
252 ,
281 ,
297 ,
330 ,
355 ,
390 ,
408 ,
437 ,
452 ,
471 ,
488 ,
496 ,
508 ,
515 ,
511 ,
511 ,
501 ,
482 ,
483 ,
465 ,
466 ,
456 ,
448 ,
434 ,
414 ,
394 ,
373 ,
343 ,
323 ,
288 ,
261 ,
227 ,
196 ,
168 ,
148 ,
130 ,
114 ,
94  ,
85  ,
76  ,
81  ,
91  ,
106 ,
122 ,
120 ,
124 ,
105 ,
93  ,
68  ,
57  ,
34  ,
29  ,
11  ,
12  ,
12  ,
21  ,
35  ,
53  ,
72  ,
82  ,
88  ,
84  ,
82  ,
73  ,
65  ,
52  ,
40  ,
20  ,
10  ,
9 ,
12  ,
30  ,
54  ,
73  ,
86  ,
82  ,
63  ,
34  ,
-4  ,
-48 ,
-84 ,
-116  ,
-144  ,
-165  ,
-195  ,
-223  ,
-254  ,
-286  ,
-308  ,
-338  ,
-360  ,
-385  ,
-407  ,
-421  ,
-434  ,
-442  ,
-448  ,
-455  ,
-458  ,
-452  ,
-444  ,
-426  ,
-403  ,
-381  ,
-350  ,
-329  ,
-302  ,
-284  ,
-263  ,
-243  ,
-227  ,
-209  ,
-186  ,
-170  ,
-134  ,
-110  ,
-66 ,
-46 ,
-15 ,
-5  ,
8 ,
6 ,
18  ,
20  ,
40  ,
52  ,
70  ,
82  ,
89  ,
101 ,
102 ,
114 ,
120 ,
132 ,
146 ,
165 ,
182 ,
201 ,
217 ,
230 ,
239 ,
247 ,
249 ,
252 ,
251 ,
253 ,
253 ,
253 ,
245 ,
245 ,
231 ,
233 ,
235 ,
244 ,
262 ,
278 ,
290 ,
296 ,
287 ,
275 ,
260 ,
242 ,
237 ,
236 ,
247 ,
254 ,
265 ,
269 ,
265 ,
261 ,
252 ,
245 ,
234 ,
226 ,
219 ,
199 ,
181 ,
149 ,
125 ,
90  ,
65  ,
36  ,
12  ,
0 ,
-12 ,
-14 ,
-23 ,
-27 ,
-37 ,
-49 ,
-60 ,
-71 ,
-74 ,
-72 ,
-63 ,
-65 ,
-56 ,
-62 ,
-61 ,
-62 ,
-72 ,
-81 ,
-97 ,
-119  ,
-143  ,
-168  ,
-194  ,
-213  ,
-229  ,
-251  ,
-264  ,
-289  ,
-302  ,
-322  ,
-327  ,
-338  ,
-340  ,
-347  ,
-356  ,
-379  ,
-396  ,
-421  ,
-434  ,
-456  ,
-470  ,
-478  ,
-491  ,
-496  ,
-509  ,
-513  ,
-519  ,
-524  ,
-524  ,
-528  ,
-523  ,
-534  ,
-525  ,
-529  ,
-514  ,
-507  ,
-491  ,
-483  ,
-469  ,
-449  ,
-426  ,
-391  ,
-356  ,
-316  ,
-286  ,
-243  ,
-224  ,
-178  ,
-155  ,
-110  ,
-77 ,
-38 ,
0 ,
39  ,
76  ,
117 ,
139 ,
157 ,
165 ,
162 ,
157 ,
149 ,
153 ,
159 ,
169 ,
183 ,
189 ,
200 ,
193 ,
189 ,
175 ,
157 ,
134 ,
118 ,
107 ,
104 ,
111 ,
122 ,
140 ,
157 ,
170 ,
196 ,
219 ,
248 ,
273 ,
292 ,
314 ,
321 ,
331 ,
330 ,
333 ,
343 ,
350 ,
371 ,
399 ,
423 ,
455 ,
480 ,
501 ,
519 ,
516 ,
506 ,
475 ,
442 ,
407 ,
370 ,
347 ,
319 ,
303 ,
289 ,
274 ,
263 ,
245 ,
231 ,
218 ,
193 ,
178 ,
150 ,
136 ,
118 ,
102 ,
89  ,
72  ,
51  ,
30  ,
-2  ,
-26 ,
-60 ,
-88 ,
-117  ,
-129  ,
-142  ,
-153  ,
-165  ,
-183  ,
-203  ,
-226  ,
-259  ,
-280  ,
-302  ,
-320  ,
-331  ,
-336  ,
-346  ,
-342  ,
-339  ,
-337  ,
-339  ,
-346  ,
-357  ,
-372  ,
-387  ,
-394  ,
-391  ,
-391  ,
-381  ,
-375  ,
-365  ,
-361  ,
-362  ,
-363  ,
-366  ,
-368  ,
-367  ,
-356  ,
-350  ,
-333  ,
-329  ,
-313  ,
-315  ,
-308  ,
-315  ,
-317  ,
-324  ,
-328  ,
-323  ,
-320  ,
-299  ,
-284  ,
-256  ,
-238  ,
-212  ,
-186  ,
-151  ,
-116  ,
-79 ,
-45 ,
-8  ,
23  ,
60  ,
88  ,
116 ,
134 ,
147 ,
147 ,
145 ,
138 ,
128 ,
119 ,
106 ,
95  ,
91  ,
93  ,
102 ,
112 ,
134 ,
152 ,
174 ,
198 ,
214 ,
239 ,
245 ,
255 ,
250 ,
240 ,
228 ,
211 ,
211 ,
219 ,
246 ,
274 ,
315 ,
358 ,
402 ,
444 ,
485 ,
510 ,
530 ,
526 ,
520 ,
502 ,
482 ,
466 ,
453 ,
448 ,
450 ,
460 ,
474 ,
491 ,
508 ,
528 ,
542 ,
556 ,
550 ,
541 ,
509 ,
478 ,
436 ,
397 ,
352 ,
317 ,
277 ,
247 ,
220 ,
193 ,
163 ,
131 ,
93  ,
54  ,
16  ,
-23 ,
-48 ,
-79 ,
-103  ,
-127  ,
-154  ,
-173  ,
-200  ,
-216  ,
-238  ,
-250  ,
-261  ,
-263  ,
-256  ,
-251  ,
-239  ,
-244  ,
-241  ,
-260  ,
-261  ,
-277  ,
-280  ,
-278  ,
-275  ,
-266  ,
-259  ,
-254  ,
-254  ,
-257  ,
-257  ,
-252  ,
-244  ,
-234  ,
-214  ,
-202  ,
-185  ,
-184  ,
-173  ,
-186  ,
-189  ,
-203  ,
-210  ,
-213  ,
-210  ,
-198  ,
-180  ,
-169  ,
-144  ,
-143  ,
-133  ,
-138  ,
-136  ,
-132  ,
-130  ,
-123  ,
-113  ,
-110  ,
-102  ,
-111  ,
-117  ,
-137  ,
-156  ,
-178  ,
-196  ,
-212  ,
-219  ,
-223  ,
-214  ,
-204  ,
-181  ,
-158  ,
-131  ,
-101  ,
-64 ,
-35 ,
10  ,
43  ,
83  ,
107 ,
113 ,
102 ,
83  ,
54  ,
33  ,
11  ,
7 ,
6 ,
26  ,
55  ,
91  ,
141 ,
185 ,
221 ,
244 ,
245 ,
238 ,
216 ,
198 ,
176 ,
174 ,
176 ,
189 ,
203 ,
227 ,
258 ,
289 ,
331 ,
368 ,
413 ,
445 ,
467 ,
480 ,
477 ,
467 ,
448 ,
418 ,
398 ,
375 ,
360 ,
350 ,
334 ,
327 ,
307 ,
289 ,
266 ,
237 ,
213 ,
178 ,
151 ,
122 ,
97  ,
70  ,
56  ,
28  ,
19  ,
-1  ,
-20 ,
-37 ,
-58 ,
-82 ,
-93 ,
-115  ,
-117  ,
-130  ,
-140  ,
-151  ,
-168  ,
-176  ,
-195  ,
-208  ,
-222  ,
-234  ,
-242  ,
-248  ,
-248  ,
-243  ,
-227  ,
-215  ,
-192  ,
-182  ,
-162  ,
-164  ,
-157  ,
-164  ,
-165  ,
-164  ,
-169  ,
-171  ,
-174  ,
-178  ,
-175  ,
-188  ,
-191  ,
-201  ,
-213  ,
-218  ,
-223  ,
-218  ,
-206  ,
-194  ,
-172  ,
-155  ,
-130  ,
-124  ,
-116  ,
-129  ,
-138  ,
-161  ,
-191  ,
-212  ,
-241  ,
-267  ,
-287  ,
-304  ,
-308  ,
-318  ,
-324  ,
-321  ,
-319  ,
-308  ,
-298  ,
-283  ,
-263  ,
-245  ,
-233  ,
-226  ,
-215  ,
-212  ,
-206  ,
-204  ,
-189  ,
-172  ,
-148  ,
-124  ,
-95 ,
-57 ,
-19 ,
29  ,
66  ,
106 ,
120 ,
131 ,
124 ,
114 ,
94  ,
80  ,
70  ,
58  ,
66  ,
78  ,
105 ,
143 ,
181 ,
221 ,
260 ,
288 ,
314 ,
321 ,
323 ,
323 ,
308 ,
301 ,
288 ,
279 ,
275 ,
266 ,
273 ,
277 ,
297 ,
308 ,
325 ,
335 ,
342 ,
340 ,
337 ,
317 ,
302 ,
270 ,
252 ,
232 ,
228 ,
233 ,
232 ,
237 ,
238 ,
233 ,
227 ,
223 ,
212 ,
210 ,
194 ,
190 ,
178 ,
167 ,
148 ,
133 ,
112 ,
92  ,
69  ,
47  ,
35  ,
14  ,
5 ,
2 ,
0 ,
8 ,
11  ,
16  ,
14  ,
3 ,
-24 ,
-48 ,
-83 ,
-109  ,
-143  ,
-155  ,
-166  ,
-168  ,
-166  ,
-160  ,
-150  ,
-142  ,
-133  ,
-120  ,
-96 ,
-80 ,
-51 ,
-37 ,
-17 ,
-20 ,
-25 ,
-52 ,
-80 ,
-123  ,
-163  ,
-206  ,
-237  ,
-268  ,
-295  ,
-309  ,
-321  ,
-323  ,
-318  ,
-313  ,
-294  ,
-287  ,
-261  ,
-252  ,
-238  ,
-228  ,
-222  ,
-212  ,
-212  ,
-209  ,
-203  ,
-209  ,
-203  ,
-202  ,
-198  ,
-192  ,
-187  ,
-185  ,
-173  ,
-176  ,
-160  ,
-152  ,
-135  ,
-121  ,
-111  ,
-106  ,
-109  ,
-116  ,
-119  ,
-118  ,
-102  ,
-84 ,
-43 ,
-5  ,
40  ,
83  ,
114 ,
139 ,
149 ,
154 ,
151 ,
136 ,
115 ,
97  ,
71  ,
51  ,
37  ,
23  ,
23  ,
8 ,
15  ,
14  ,
28  ,
34  ,
34  ,
28  ,
9 ,
-10 ,
-34 ,
-57 ,
-70 ,
-82 ,
-75 ,
-68 ,
-38 ,
-13 ,
32  ,
65  ,
103 ,
134 ,
163 ,
189 ,
204 ,
220 ,
224 ,
235 ,
235 ,
239 ,
228 ,
225 ,
216 ,
210 ,
213 ,
205 ,
215 ,
210 ,
218 ,
221 ,
233 ,
248 ,
253 ,
256 ,
243 ,
227 ,
195 ,
170 ,
133 ,
110 ,
82  ,
71  ,
54  ,
43  ,
33  ,
32  ,
33  ,
37  ,
47  ,
55  ,
66  ,
74  ,
70  ,
63  ,
43  ,
19  ,
-6  ,
-32 ,
-60 ,
-84 ,
-98 ,
-109  ,
-105  ,
-104  ,
-95 ,
-94 ,
-82 ,
-82 ,
-73 ,
-69 ,
-72 ,
-71 ,
-75 ,
-80 ,
-88 ,
-107  ,
-125  ,
-143  ,
-164  ,
-183  ,
-199  ,
-203  ,
-211  ,
-208  ,
-214  ,
-210  ,
-212  ,
-208  ,
-205  ,
-202  ,
-186  ,
-180  ,
-166  ,
-159  ,
-162  ,
-166  ,
-170  ,
-177  ,
-175  ,
-177  ,
-170  ,
-161  ,
-150  ,
-142  ,
-124  ,
-108  ,
-94 ,
-76 ,
-70 ,
-55 ,
-56 ,
-47 ,
-50 ,
-52 ,
-50 ,
-57 ,
-51 ,
-55 ,
-51 ,
-53 ,
-55 ,
-62 ,
-76 ,
-94 ,
-116  ,
-139  ,
-169  ,
-194  ,
-225  ,
-235  ,
-250  ,
-231  ,
-220  ,
-194  ,
-168  ,
-150  ,
-123  ,
-107  ,
-85 ,
-69 ,
-50 ,
-32 ,
-14 ,
10  ,
30  ,
46  ,
56  ,
70  ,
73  ,
87  ,
104 ,
134 ,
167 ,
205 ,
244 ,
289 ,
334 ,
388 ,
430 ,
474 ,
504 ,
521 ,
523 ,
520 ,
505 ,
485 ,
460 ,
433 ,
409 ,
380 ,
358 ,
338 ,
322 ,
315 ,
322 ,
332 ,
352 ,
358 ,
364 ,
347 ,
318 ,
270 ,
215 ,
162 ,
104 ,
65  ,
32  ,
14  ,
3 ,
-2  ,
-13 ,
-22 ,
-34 ,
-43 ,
-51 ,
-53 ,
-60 ,
-60 ,
-67 ,
-74 ,
-82 ,
-93 ,
-104  ,
-113  ,
-109  ,
-115  ,
-95 ,
-91 ,
-67 ,
-57 ,
-56 ,
-64 ,
-86 ,
-116  ,
-142  ,
-169  ,
-178  ,
-198  ,
-204  ,
-227  ,
-244  ,
-271  ,
-295  ,
-313  ,
-322  ,
-320  ,
-308  ,
-292  ,
-277  ,
-258  ,
-245  ,
-232  ,
-216  ,
-209  ,
-195  ,
-192  ,
-188  ,
-185  ,
-182  ,
-178  ,
-174  ,
-174  ,
-182  ,
-189  ,
-207  ,
-213  ,
-229  ,
-235  ,
-244  ,
-257  ,
-267  ,
-285  ,
-301  ,
-316  ,
-327  ,
-339  ,
-339  ,
-329  ,
-309  ,
-278  ,
-254  ,
-218  ,
-205  ,
-184  ,
-174  ,
-168  ,
-173  ,
-172  ,
-188  ,
-189  ,
-200  ,
-203  ,
-197  ,
-191  ,
-174  ,
-158  ,
-131  ,
-101  ,
-66 ,
-34 ,
4 ,
43  ,
74  ,
111 ,
141 ,
174 ,
202 ,
228 ,
247 ,
255 ,
262 ,
264 ,
273 ,
271 ,
283 ,
290 ,
320 ,
347 ,
389 ,
441 ,
495 ,
550 ,
583 ,
607 ,
614 ,
604 ,
587 ,
547 ,
511 ,
467 ,
417 ,
384 ,
341 ,
324 ,
295 ,
290 ,
278 ,
285 ,
285 ,
295 ,
287 ,
278 ,
261 ,
242 ,
218 ,
184 ,
155 ,
127 ,
103 ,
90  ,
88  ,
80  ,
82  ,
74  ,
70  ,
62  ,
57  ,
49  ,
45  ,
32  ,
27  ,
14  ,
6 ,
-6  ,
-23 ,
-43 ,
-79 ,
-100  ,
-123  ,
-135  ,
-135  ,
-132  ,
-117  ,
-101  ,
-81 ,
-67 ,
-51 ,
-48 ,
-48 ,
-61 ,
-76 ,
-101  ,
-127  ,
-168  ,
-206  ,
-240  ,
-271  ,
-290  ,
-308  ,
-310  ,
-319  ,
-327  ,
-335  ,
-331  ,
-335  ,
-356  ,
-390  ,
-394  ,
-398  ,
-427  ,
-439  ,
-415  ,
-418  ,
-426  ,
-421  ,
-378  ,
-360  ,
-349  ,
-312  ,
-252  ,
-246  ,
-240  ,
-216  ,
-208  ,
-225  ,
-225  ,
-207  ,
-214  ,
-226  ,
-232  ,
-206  ,
-205  ,
-182  ,
-166  ,
-122  ,
-96 ,
-57 ,
-10 ,
13  ,
13  ,
2 ,
14  ,
19  ,
16  ,
29  ,
27  ,
23  ,
-1  ,
7 ,
8 ,
4 ,
10  ,
38  ,
78  ,
112 ,
155 ,
199 ,
241 ,
277 ,
307 ,
350 ,
351 ,
340 ,
323 ,
317 ,
302 ,
295 ,
301 ,
319 ,
333 ,
352 ,
400 ,
426 ,
439 ,
450 ,
475 ,
490 ,
490 ,
499 ,
514 ,
503 ,
478 ,
457 ,
433 ,
406 ,
391 ,
405 ,
418 ,
414 ,
413 ,
408 ,
404 ,
384 ,
352 ,
324 ,
284 ,
245 ,
218 ,
186 ,
153 ,
109 ,
78  ,
57  ,
39  ,
9 ,
-13 ,
-40 ,
-59 ,
-60 ,
-54 ,
-31 ,
-23 ,
10  ,
31  ,
39  ,
27  ,
-36 ,
-122  ,
-215  ,
-305  ,
-374  ,
-443  ,
-478  ,
-490  ,
-475  ,
-438  ,
-405  ,
-345  ,
-275  ,
-199  ,
-139  ,
-103  ,
-80 ,
-70 ,
-70 ,
-73 ,
-79 ,
-98 ,
-100  ,
-89 ,
-94 ,
-151  ,
-188  ,
-196  ,
-201  ,
-205  ,
-207  ,
-197  ,
-202  ,
-218  ,
-232  ,
-230  ,
-238  ,
-229  ,
-219  ,
-194  ,
-166  ,
-139  ,
-93 ,
-43 ,
18  ,
87  ,
167 ,
236 ,
259 ,
225 ,
184 ,
149 ,
118 ,
92  ,
54  ,
30  ,
35  ,
59  ,
67  ,
47  ,
38  ,
34  ,
34  ,
-14 ,
-62 ,
-111  ,
-136  ,
-130  ,
-117  ,
-97 ,
-63 ,
6 ,
84  ,
144 ,
169 ,
157 ,
130 ,
79  ,
-3  ,
-80 ,
-145  ,
-179  ,
-203  ,
-198  ,
-168  ,
-125  ,
-80 ,
-20 ,
34  ,
97  ,
133 ,
142 ,
102 ,
33  ,
-15 ,
-10 ,
21  ,
58  ,
106 ,
189 ,
286 ,
371 ,
426 ,
472 ,
516 ,
541 ,
552 ,
522 ,
466 ,
394 ,
334 ,
303 ,
280 ,
274 ,
260 ,
274 ,
276 ,
274 ,
245 ,
224 ,
211 ,
187 ,
161 ,
136 ,
120 ,
107 ,
105 ,
112 ,
113 ,
97  ,
72  ,
59  ,
33  ,
5 ,
-5  ,
-34 ,
-83 ,
-137  ,
-184  ,
-227  ,
-271  ,
-337  ,
-387  ,
-433  ,
-468  ,
-494  ,
-500  ,
-492  ,
-434  ,
-372  ,
-279  ,
-228  ,
-193  ,
-178  ,
-140  ,
-97 ,
-63 ,
-57 ,
-41 ,
-56 ,
-72 ,
-113  ,
-151  ,
-184  ,
-210  ,
-215  ,
-219  ,
-236  ,
-248  ,
-277  ,
-295  ,
-290  ,
-280  ,
-261  ,
-252  ,
-248  ,
-232  ,
-213  ,
-169  ,
-132  ,
-100  ,
-94 ,
-81 ,
-68 ,
-51 ,
-39 ,
-22 ,
19  ,
69  ,
113 ,
153 ,
192 ,
231 ,
271 ,
291 ,
302 ,
276 ,
248 ,
213 ,
173 ,
115 ,
48  ,
-24 ,
-89 ,
-169  ,
-247  ,
-321  ,
-380  ,
-418  ,
-447  ,
-469  ,
-477  ,
-482  ,
-458  ,
-414  ,
-348  ,
-281  ,
-217  ,
-160  ,
-115  ,
-69 ,
-26 ,
25  ,
53  ,
70  ,
76  ,
84  ,
104 ,
127 ,
146 ,
178 ,
209 ,
240 ,
248 ,
219 ,
178 ,
122 ,
68  ,
24  ,
-30 ,
-58 ,
-88 ,
-91 ,
-68 ,
-17 ,
49  ,
118 ,
192 ,
254 ,
305 ,
345 ,
387 ,
411 ,
424 ,
419 ,
419 ,
405 ,
389 ,
365 ,
332 ,
311 ,
282 ,
269 ,
229 ,
198 ,
147 ,
103 ,
43  ,
-12 ,
-75 ,
-134  ,
-197  ,
-265  ,
-321  ,
-352  ,
-362  ,
-357  ,
-348  ,
-341  ,
-315  ,
-287  ,
-245  ,
-200  ,
-151  ,
-97 ,
-36 ,
23  ,
67  ,
72  ,
67  ,
57  ,
55  ,
41  ,
28  ,
21  ,
23  ,
37  ,
51  ,
71  ,
72  ,
71  ,
50  ,
25  ,
-12 ,
-44 ,
-81 ,
-95 ,
-116  ,
-122  ,
-134  ,
-132  ,
-121  ,
-100  ,
-70 ,
-48 ,
-28 ,
-30 ,
-26 ,
-16 ,
5 ,
28  ,
57  ,
92  ,
133 ,
175 ,
216 ,
236 ,
246 ,
219 ,
187 ,
112 ,
29  ,
-79 ,
-167  ,
-222  ,
-240  ,
-235  ,
-209  ,
-191  ,
-152  ,
-122  ,
-82 ,
-57 ,
-48 ,
-52 ,
-79 ,
-103  ,
-133  ,
-156  ,
-162  ,
-157  ,
-131  ,
-103  ,
-67 ,
-39 ,
-11 ,
4 ,
17  ,
21  ,
11  ,
-22 ,
-60 ,
-108  ,
-126  ,
-150  ,
-152  ,
-148  ,
-133  ,
-101  ,
-82 ,
-49 ,
-31 ,
-10 ,
10  ,
14  ,
34  ,
31  ,
48  ,
65  ,
97  ,
119 ,
139 ,
150 ,
165 ,
181 ,
187 ,
200 ,
207 ,
220 ,
233 ,
245 ,
267 ,
273 ,
279 ,
262 ,
253 ,
236 ,
211 ,
165 ,
124 ,
90  ,
59  ,
47  ,
39  ,
24  ,
14  ,
-1  ,
-10 ,
-18 ,
-29 ,
-33 ,
-26 ,
-15 ,
-3  ,
3 ,
0 ,
3 ,
4 ,
13  ,
12  ,
3 ,
-16 ,
-44 ,
-72 ,
-98 ,
-116  ,
-120  ,
-120  ,
-90 ,
-71 ,
-23 ,
10  ,
42  ,
56  ,
49  ,
29  ,
8 ,
-26 ,
-50 ,
-78 ,
-82 ,
-84 ,
-60 ,
-28 ,
13  ,
61  ,
89  ,
116 ,
116 ,
91  ,
49  ,
-13 ,
-73 ,
-138  ,
-187  ,
-228  ,
-256  ,
-277  ,
-288  ,
-283  ,
-259  ,
-230  ,
-207  ,
-182  ,
-169  ,
-154  ,
-144  ,
-121  ,
-87 ,
-48 ,
9 ,
51  ,
102 ,
129 ,
149 ,
157 ,
161 ,
149 ,
131 ,
106 ,
85  ,
63  ,
46  ,
42  ,
40  ,
38  ,
36  ,
23  ,
11  ,
-25 ,
-59 ,
-105  ,
-140  ,
-172  ,
-194  ,
-204  ,
-195  ,
-178  ,
-150  ,
-116  ,
-92 ,
-70 ,
-58 ,
-38 ,
-23 ,
4 ,
19  ,
34  ,
49  ,
72  ,
100 ,
126 ,
151 ,
167 ,
191 ,
192 ,
192 ,
161 ,
134 ,
102 ,
68  ,
40  ,
12  ,
-14 ,
-38 ,
-54 ,
-67 ,
-63 ,
-56 ,
-40 ,
-12 ,
18  ,
52  ,
103 ,
150 ,
215 ,
267 ,
326 ,
362 ,
393 ,
395 ,
381 ,
352 ,
305 ,
244 ,
186 ,
123 ,
79  ,
50  ,
28  ,
18  ,
3 ,
6 ,
-7  ,
-4  ,
-36 ,
-67 ,
-121  ,
-172  ,
-221  ,
-262  ,
-288  ,
-294  ,
-280  ,
-254  ,
-222  ,
-192  ,
-174  ,
-166  ,
-154  ,
-163  ,
-153  ,
-154  ,
-133  ,
-106  ,
-57 ,
0 ,
60  ,
111 ,
135 ,
143 ,
118 ,
74  ,
8 ,
-76 ,
-151  ,
-216  ,
-257  ,
-264  ,
-266  ,
-240  ,
-219  ,
-191  ,
-184  ,
-186  ,
-201  ,
-221  ,
-239  ,
-261  ,
-271  ,
-270  ,
-266  ,
-231  ,
-196  ,
-126  ,
-63 ,
22  ,
83  ,
153 ,
190 ,
228 ,
243 ,
238 ,
227 ,
206 ,
182 ,
162 ,
152 ,
149 ,
161 ,
177 ,
186 ,
193 ,
182 ,
169 ,
151 ,
126 ,
113 ,
92  ,
90  ,
94  ,
99  ,
110 ,
109 ,
116 ,
109 ,
106 ,
97  ,
92  ,
83  ,
88  ,
90  ,
93  ,
88  ,
77  ,
64  ,
34  ,
-2  ,
-42 ,
-101  ,
-145  ,
-194  ,
-218  ,
-227  ,
-216  ,
-188  ,
-148  ,
-100  ,
-67 ,
-40 ,
-22 ,
-11 ,
4 ,
21  ,
45  ,
76  ,
116 ,
161 ,
203 ,
244 ,
268 ,
268 ,
264 ,
225 ,
201 ,
150 ,
113 ,
71  ,
45  ,
33  ,
44  ,
59  ,
84  ,
106 ,
119 ,
131 ,
110 ,
72  ,
25  ,
-40 ,
-95 ,
-155  ,
-188  ,
-206  ,
-197  ,
-174  ,
-125  ,
-81 ,
-35 ,
-2  ,
18  ,
9 ,
-19 ,
-69 ,
-127  ,
-189  ,
-245  ,
-282  ,
-309  ,
-308  ,
-304  ,
-275  ,
-239  ,
-193  ,
-141  ,
-95 ,
-60 ,
-34 ,
-35 ,
-28 ,
-35 ,
-23 ,
-14 ,
24  ,
64  ,
122 ,
168 ,
207 ,
236 ,
248 ,
242 ,
228 ,
194 ,
170 ,
141 ,
125 ,
112 ,
111 ,
111 ,
115 ,
116 ,
117 ,
110 ,
103 ,
97  ,
101 ,
127 ,
154 ,
200 ,
241 ,
287 ,
332 ,
369 ,
398 ,
426 ,
436 ,
451 ,
466 ,
479 ,
497 ,
512 ,
526 ,
530 ,
533 ,
520 ,
501 ,
476 ,
440 ,
402 ,
351 ,
301 ,
236 ,
174 ,
112 ,
49  ,
-6  ,
-70 ,
-118  ,
-165  ,
-212  ,
-243  ,
-265  ,
-273  ,
-267  ,
-254  ,
-233  ,
-207  ,
-167  ,
-132  ,
-89 ,
-55 ,
-30 ,
-16 ,
-26 ,
-50 ,
-90 ,
-146  ,
-205  ,
-258  ,
-306  ,
-327  ,
-346  ,
-352  ,
-361  ,
-374  ,
-387  ,
-412  ,
-444  ,
-478  ,
-514  ,
-545  ,
-562  ,
-567  ,
-544  ,
-511  ,
-455  ,
-404  ,
-339  ,
-288  ,
-237  ,
-210  ,
-189  ,
-190  ,
-182  ,
-197  ,
-196  ,
-203  ,
-194  ,
-180  ,
-174  ,
-161  ,
-169  ,
-188  ,
-228  ,
-276  ,
-341  ,
-407  ,
-475  ,
-535  ,
-586  ,
-610  ,
-614  ,
-605  ,
-583  ,
-563  ,
-539  ,
-526  ,
-512  ,
-498  ,
-479  ,
-444  ,
-398  ,
-329  ,
-250  ,
-150  ,
-46 ,
69  ,
180 ,
283 ,
372 ,
445 ,
496 ,
526 ,
544 ,
549 ,
541 ,
529 ,
511 ,
494 ,
483 ,
470 ,
453 ,
442 ,
429 ,
425 ,
419 ,
412 ,
394 ,
385 ,
366 ,
349 ,
345 ,
329 ,
329 ,
325 ,
324 ,
332 ,
334 ,
352 ,
358 ,
379 ,
399 ,
427 ,
442 ,
465 ,
468 ,
473 ,
459 ,
435 ,
390 ,
333 ,
269 ,
200 ,
142 ,
93  ,
73  ,
52  ,
62  ,
64  ,
70  ,
74  ,
55  ,
36  ,
-3  ,
-33 ,
-72 ,
-98 ,
-114  ,
-120  ,
-108  ,
-94 ,
-71 ,
-58 ,
-55 ,
-75 ,
-101  ,
-145  ,
-190  ,
-242  ,
-301  ,
-357  ,
-416  ,
-460  ,
-494  ,
-508  ,
-509  ,
-508  ,
-496  ,
-515  ,
-527  ,
-565  ,
-609  ,
-650  ,
-688  ,
-705  ,
-710  ,
-685  ,
-637  ,
-570  ,
-488  ,
-407  ,
-322  ,
-257  ,
-208  ,
-179  ,
-170  ,
-171  ,
-185  ,
-195  ,
-204  ,
-204  ,
-191  ,
-181  ,
-151  ,
-129  ,
-98 ,
-83 ,
-68 ,
-67 ,
-77 ,
-102  ,
-139  ,
-175  ,
-209  ,
-228  ,
-240  ,
-228  ,
-208  ,
-190  ,
-163  ,
-149  ,
-140  ,
-148  ,
-172  ,
-192  ,
-221  ,
-242  ,
-257  ,
-254  ,
-246  ,
-220  ,
-194  ,
-144  ,
-99 ,
-37 ,
24  ,
100 ,
170 ,
251 ,
331 ,
410 ,
482 ,
551 ,
608 ,
661 ,
695 ,
717 ,
728 ,
725 ,
724 ,
736 ,
742 ,
765 ,
773 ,
790 ,
796 ,
787 ,
776 ,
733 ,
688 ,
618 ,
551 ,
478 ,
407 ,
346 ,
277 ,
221 ,
159 ,
114 ,
56  ,
15  ,
-22 ,
-31 ,
-24 ,
-1  ,
45  ,
92  ,
142 ,
186 ,
230 ,
269 ,
308 ,
348 ,
388 ,
418 ,
445 ,
452 ,
454 ,
427 ,
382 ,
332 ,
281 ,
240 ,
204 ,
181 ,
167 ,
158 ,
141 ,
121 ,
81  ,
22  ,
-52 ,
-130  ,
-205  ,
-261  ,
-297  ,
-316  ,
-308  ,
-294  ,
-271  ,
-242  ,
-216  ,
-194  ,
-176  ,
-171  ,
-163  ,
-171  ,
-178  ,
-190  ,
-204  ,
-222  ,
-232  ,
-239  ,
-234  ,
-236  ,
-237  ,
-255  ,
-278  ,
-302  ,
-337  ,
-365  ,
-386  ,
-392  ,
-370  ,
-340  ,
-273  ,
-227  ,
-182  ,
-150  ,
-131  ,
-101  ,
-81 ,
-42 ,
-17 ,
16  ,
45  ,
88  ,
137 ,
185 ,
233 ,
263 ,
278 ,
272 ,
248 ,
219 ,
179 ,
144 ,
105 ,
68  ,
23  ,
-31 ,
-84 ,
-142  ,
-195  ,
-234  ,
-269  ,
-282  ,
-301  ,
-300  ,
-304  ,
-287  ,
-261  ,
-226  ,
-173  ,
-120  ,
-53 ,
14  ,
90  ,
172 ,
253 ,
337 ,
417 ,
496 ,
565 ,
634 ,
673 ,
697 ,
695 ,
678 ,
648 ,
613 ,
563 ,
508 ,
444 ,
371 ,
302 ,
242 ,
187 ,
150 ,
138 ,
141 ,
152 ,
161 ,
164 ,
143 ,
92  ,
27  ,
-53 ,
-122  ,
-192  ,
-231  ,
-251  ,
-250  ,
-229  ,
-202  ,
-156  ,
-125  ,
-86 ,
-54 ,
-27 ,
-13 ,
-8  ,
-21 ,
-30 ,
-57 ,
-74 ,
-96 ,
-101  ,
-106  ,
-108  ,
-108  ,
-108  ,
-124  ,
-135  ,
-171  ,
-200  ,
-241  ,
-266  ,
-286  ,
-290  ,
-268  ,
-244  ,
-193  ,
-165  ,
-130  ,
-127  ,
-141  ,
-173  ,
-215  ,
-256  ,
-303  ,
-341  ,
-388  ,
-422  ,
-457  ,
-470  ,
-490  ,
-496  ,
-505  ,
-501  ,
-505  ,
-490  ,
-478  ,
-470  ,
-465  ,
-466  ,
-469  ,
-470  ,
-477  ,
-466  ,
-456  ,
-422  ,
-378  ,
-307  ,
-242  ,
-177  ,
-126  ,
-89 ,
-62 ,
-53 ,
-30 ,
-13 ,
18  ,
61  ,
113 ,
166 ,
218 ,
267 ,
314 ,
363 ,
401 ,
431 ,
456 ,
459 ,
463 ,
448 ,
429 ,
394 ,
351 ,
294 ,
235 ,
161 ,
99  ,
36  ,
2 ,
-27 ,
-31 ,
-37 ,
-28 ,
-21 ,
-12 ,
5 ,
19  ,
39  ,
62  ,
91  ,
123 ,
158 ,
198 ,
226 ,
259 ,
277 ,
304 ,
320 ,
330 ,
347 ,
361 ,
374 ,
387 ,
397 ,
406 ,
394 ,
379 ,
351 ,
320 ,
290 ,
252 ,
218 ,
170 ,
130 ,
71  ,
21  ,
-35 ,
-95 ,
-144  ,
-203  ,
-248  ,
-298  ,
-340  ,
-390  ,
-436  ,
-489  ,
-534  ,
-588  ,
-629  ,
-672  ,
-694  ,
-709  ,
-696  ,
-677  ,
-630  ,
-582  ,
-513  ,
-438  ,
-360  ,
-287  ,
-224  ,
-172  ,
-129  ,
-114  ,
-99 ,
-97 ,
-105  ,
-103  ,
-109  ,
-113  ,
-123  ,
-141  ,
-160  ,
-197  ,
-230  ,
-268  ,
-296  ,
-325  ,
-339  ,
-351  ,
-345  ,
-347  ,
-343  ,
-343  ,
-344  ,
-351  ,
-354  ,
-350  ,
-358  ,
-352  ,
-355  ,
-338  ,
-325  ,
-305  ,
-289  ,
-267  ,
-241  ,
-220  ,
-194  ,
-164  ,
-130  ,
-101  ,
-67 ,
-51 ,
-36 ,
-22 ,
-7  ,
21  ,
50  ,
80  ,
110 ,
136 ,
155 ,
182 ,
202 ,
226 ,
248 ,
280 ,
317 ,
355 ,
396 ,
443 ,
496 ,
551 ,
610 ,
678 ,
740 ,
793 ,
825 ,
847 ,
854 ,
847 ,
831 ,
804 ,
770 ,
718 ,
660 ,
581 ,
495 ,
390 ,
289 ,
201 ,
112 ,
59  ,
16  ,
12  ,
32  ,
85  ,
160 ,
243 ,
336 ,
404 ,
478 ,
509 ,
531 ,
532 ,
530 ,
526 ,
521 ,
520 ,
520 ,
526 ,
525 ,
526 ,
509 ,
492 ,
462 ,
424 ,
362 ,
296 ,
211 ,
132 ,
41  ,
-43 ,
-120  ,
-191  ,
-263  ,
-332  ,
-406  ,
-477  ,
-554  ,
-636  ,
-706  ,
-766  ,
-808  ,
-828  ,
-840  ,
-830  ,
-821  ,
-810  ,
-791  ,
-772  ,
-746  ,
-736  ,
-722  ,
-724  ,
-714  ,
-711  ,
-697  ,
-670  ,
-643  ,
-606  ,
-575  ,
-551  ,
-524  ,
-514  ,
-495  ,
-488  ,
-473  ,
-475  ,
-469  ,
-470  ,
-474  ,
-471  ,
-479  ,
-469  ,
-460  ,
-430  ,
-398  ,
-355  ,
-316  ,
-282  ,
-255  ,
-237  ,
-223  ,
-212  ,
-209  ,
-205  ,
-217  ,
-223  ,
-222  ,
-213  ,
-186  ,
-144  ,
-94 ,
-51 ,
-10 ,
12  ,
38  ,
52  ,
71  ,
89  ,
117 ,
141 ,
170 ,
191 ,
204 ,
209 ,
213 ,
228 ,
263 ,
309 ,
364 ,
426 ,
474 ,
517 ,
548 ,
567 ,
601 ,
622 ,
663 ,
702 ,
749 ,
798 ,
841 ,
879 ,
913 ,
944 ,
970 ,
989 ,
996 ,
982 ,
951 ,
904 ,
864 ,
816 ,
765 ,
708 ,
637 ,
564 ,
490 ,
418 ,
356 ,
304 ,
265 ,
234 ,
210 ,
191 ,
179 ,
171 ,
171 ,
193 ,
225 ,
272 ,
325 ,
366 ,
395 ,
393 ,
378 ,
348 ,
306 ,
269 ,
228 ,
197 ,
167 ,
143 ,
116 ,
95  ,
67  ,
53  ,
26  ,
18  ,
-9  ,
-33 ,
-66 ,
-108  ,
-149  ,
-194  ,
-243  ,
-305  ,
-380  ,
-479  ,
-569  ,
-667  ,
-746  ,
-810  ,
-857  ,
-883  ,
-909  ,
-925  ,
-943  ,
-951  ,
-951  ,
-937  ,
-910  ,
-875  ,
-825  ,
-787  ,
-747  ,
-710  ,
-672  ,
-618  ,
-565  ,
-500  ,
-439  ,
-374  ,
-314  ,
-265  ,
-236  ,
-210  ,
-200  ,
-186  ,
-178  ,
-172  ,
-170  ,
-179  ,
-182  ,
-179  ,
-159  ,
-126  ,
-86 ,
-40 ,
-5  ,
30  ,
44  ,
45  ,
34  ,
13  ,
2 ,
-17 ,
-10 ,
-15 ,
-9  ,
-5  ,
-1  ,
16  ,
30  ,
69  ,
102 ,
138 ,
161 ,
178 ,
193 ,
204 ,
211 ,
228 ,
248 ,
268 ,
295 ,
304 ,
320 ,
317 ,
318 ,
307 ,
309 ,
314 ,
324 ,
333 ,
343 ,
366 ,
397 ,
442 ,
503 ,
574 ,
656 ,
726 ,
791 ,
839 ,
872 ,
892 ,
902 ,
906 ,
903 ,
887 ,
858 ,
813 ,
750 ,
680 ,
606 ,
533 ,
461 ,
382 ,
298 ,
215 ,
149 ,
91  ,
51  ,
30  ,
13  ,
20  ,
25  ,
52  ,
70  ,
103 ,
129 ,
162 ,
193 ,
223 ,
259 ,
280 ,
312 ,
332 ,
368 ,
393 ,
421 ,
429 ,
424 ,
398 ,
354 ,
301 ,
228 ,
161 ,
86  ,
15  ,
-50 ,
-114  ,
-168  ,
-236  ,
-295  ,
-377  ,
-441  ,
-508  ,
-562  ,
-626  ,
-677  ,
-740  ,
-786  ,
-826  ,
-853  ,
-854  ,
-852  ,
-831  ,
-805  ,
-767  ,
-729  ,
-683  ,
-652  ,
-604  ,
-578  ,
-535  ,
-512  ,
-481  ,
-465  ,
-444  ,
-414  ,
-384  ,
-357  ,
-318  ,
-285  ,
-250  ,
-214  ,
-191  ,
-171  ,
-164  ,
-158  ,
-152  ,
-143  ,
-134  ,
-129  ,
-125  ,
-125  ,
-134  ,
-130  ,
-136  ,
-124  ,
-121  ,
-98 ,
-80 ,
-60 ,
-47 ,
-28 ,
-28 ,
-21 ,
-34 ,
-47 ,
-63 ,
-83 ,
-91 ,
-90 ,
-87 ,
-84 ,
-82 ,
-92 ,
-96 ,
-111  ,
-114  ,
-111  ,
-97 ,
-71 ,
-32 ,
7 ,
45  ,
81  ,
106 ,
126 ,
142 ,
163 ,
180 ,
186 ,
198 ,
197 ,
224 ,
232 ,
272 ,
315 ,
383 ,
457 ,
530 ,
604 ,
650 ,
677 ,
684 ,
680 ,
661 ,
632 ,
594 ,
538 ,
489 ,
432 ,
391 ,
346 ,
309 ,
287 ,
274 ,
272 ,
263 ,
267 ,
278 ,
291 ,
315 ,
345 ,
371 ,
388 ,
396 ,
397 ,
395 ,
389 ,
384 ,
375 ,
369 ,
355 ,
357 ,
350 ,
351 ,
339 ,
337 ,
338 ,
339 ,
337 ,
325 ,
306 ,
276 ,
256 ,
224 ,
199 ,
167 ,
137 ,
116 ,
77  ,
36  ,
-28 ,
-102  ,
-183  ,
-262  ,
-336  ,
-404  ,
-469  ,
-528  ,
-570  ,
-596  ,
-600  ,
-589  ,
-567  ,
-534  ,
-504  ,
-472  ,
-469  ,
-470  ,
-485  ,
-483  ,
-471  ,
-448  ,
-414  ,
-382  ,
-342  ,
-311  ,
-271  ,
-233  ,
-207  ,
-178  ,
-166  ,
-155  ,
-150  ,
-150  ,
-144  ,
-139  ,
-125  ,
-103  ,
-78 ,
-70 ,
-69 ,
-85 ,
-114  ,
-152  ,
-203  ,
-248  ,
-292  ,
-320  ,
-343  ,
-343  ,
-338  ,
-329  ,
-324  ,
-314  ,
-303  ,
-281  ,
-266  ,
-258  ,
-257  ,
-271  ,
-280  ,
-300  ,
-321  ,
-349  ,
-369  ,
-382  ,
-388  ,
-386  ,
-376  ,
-364  ,
-348  ,
-324  ,
-295  ,
-276  ,
-257  ,
-254  ,
-249  ,
-250  ,
-245  ,
-227  ,
-206  ,
-162  ,
-118  ,
-60 ,
5 ,
76  ,
152 ,
227 ,
316 ,
401 ,
482 ,
554 ,
607 ,
652 ,
684 ,
697 ,
698 ,
679 ,
644 ,
590 ,
524 ,
453 ,
368 ,
295 ,
220 ,
180 ,
139 ,
121 ,
103 ,
92  ,
94  ,
97  ,
117 ,
140 ,
176 ,
216 ,
257 ,
299 ,
330 ,
365 ,
398 ,
437 ,
486 ,
523 ,
562 ,
592 ,
602 ,
614 ,
624 ,
629 ,
619 ,
601 ,
582 ,
565 ,
542 ,
504 ,
460 ,
394 ,
332 ,
267 ,
207 ,
147 ,
73  ,
-7  ,
-87 ,
-160  ,
-215  ,
-267  ,
-296  ,
-320  ,
-321  ,
-326  ,
-329  ,
-338  ,
-354  ,
-363  ,
-369  ,
-354  ,
-346  ,
-321  ,
-301  ,
-275  ,
-241  ,
-217  ,
-193  ,
-185  ,
-181  ,
-184  ,
-194  ,
-201  ,
-208  ,
-207  ,
-201  ,
-190  ,
-179  ,
-188  ,
-185  ,
-198  ,
-201  ,
-219  ,
-235  ,
-259  ,
-287  ,
-316  ,
-336  ,
-360  ,
-392  ,
-434  ,
-466  ,
-502  ,
-522  ,
-536  ,
-538  ,
-541  ,
-550  ,
-548  ,
-563  ,
-562  ,
-571  ,
-579  ,
-584  ,
-603  ,
-623  ,
-647  ,
-675  ,
-683  ,
-684  ,
-654  ,
-629  ,
-597  ,
-579  ,
-548  ,
-517  ,
-470  ,
-419  ,
-367  ,
-323  ,
-294  ,
-259  ,
-233  ,
-201  ,
-164  ,
-116  ,
-60 ,
8 ,
77  ,
142 ,
195 ,
237 ,
273 ,
316 ,
345 ,
369 ,
380 ,
382 ,
369 ,
352 ,
317 ,
270 ,
218 ,
165 ,
132 ,
98  ,
68  ,
38  ,
16  ,
4 ,
3 ,
24  ,
58  ,
107 ,
145 ,
192 ,
230 ,
274 ,
313 ,
349 ,
375 ,
396 ,
398 ,
399 ,
383 ,
397 ,
402 ,
446 ,
479 ,
520 ,
554 ,
574 ,
592 ,
594 ,
599 ,
606 ,
610 ,
627 ,
630 ,
639 ,
622 ,
606 ,
564 ,
505 ,
434 ,
355 ,
283 ,
212 ,
143 ,
85  ,
24  ,
-30 ,
-72 ,
-94 ,
-104  ,
-90 ,
-93 ,
-99 ,
-128  ,
-147  ,
-177  ,
-184  ,
-196  ,
-198  ,
-203  ,
-206  ,
-209  ,
-218  ,
-212  ,
-217  ,
-194  ,
-175  ,
-134  ,
-123  ,
-115  ,
-127  ,
-140  ,
-164  ,
-176  ,
-186  ,
-189  ,
-204  ,
-213  ,
-240  ,
-258  ,
-301  ,
-343  ,
-390  ,
-441  ,
-491  ,
-557  ,
-615  ,
-685  ,
-733  ,
-763  ,
-759  ,
-734  ,
-694  ,
-653  ,
-611  ,
-582  ,
-562  ,
-555  ,
-549  ,
-554  ,
-551  ,
-559  ,
-564  ,
-581  ,
-590  ,
-592  ,
-577  ,
-550  ,
-512  ,
-477  ,
-451  ,
-434  ,
-431  ,
-426  ,
-417  ,
-405  ,
-400  ,
-392  ,
-397  ,
-395  ,
-393  ,
-385  ,
-360  ,
-307  ,
-240  ,
-150  ,
-52 ,
49  ,
130 ,
206 ,
253 ,
313 ,
351 ,
401 ,
436 ,
466 ,
465 ,
453 ,
425 ,
391 ,
350 ,
313 ,
277 ,
242 ,
214 ,
197 ,
185 ,
186 ,
201 ,
226 ,
259 ,
306 ,
353 ,
404 ,
441 ,
482 ,
517 ,
560 ,
608 ,
658 ,
710 ,
754 ,
795 ,
823 ,
857 ,
875 ,
915 ,
945 ,
992 ,
1031  ,
1069  ,
1095  ,
1105  ,
1101  ,
1094  ,
1081  ,
1043  ,
997 ,
922 ,
837 ,
731 ,
630 ,
520 ,
424 ,
325 ,
248 ,
173 ,
115 ,
56  ,
12  ,
-21 ,
-45 ,
-47 ,
-40 ,
-29 ,
-29 ,
-38 ,
-65 ,
-93 ,
-136  ,
-165  ,
-188  ,
-198  ,
-212  ,
-212  ,
-219  ,
-215  ,
-218  ,
-229  ,
-237  ,
-254  ,
-258  ,
-271  ,
-278  ,
-293  ,
-293  ,
-281  ,
-259  ,
-228  ,
-202  ,
-189  ,
-192  ,
-200  ,
-226  ,
-254  ,
-304  ,
-342  ,
-379  ,
-412  ,
-444  ,
-483  ,
-517  ,
-559  ,
-577  ,
-588  ,
-576  ,
-560  ,
-553  ,
-554  ,
-561  ,
-581  ,
-604  ,
-645  ,
-685  ,
-714  ,
-740  ,
-743  ,
-747  ,
-737  ,
-722  ,
-703  ,
-687  ,
-655  ,
-629  ,
-581  ,
-543  ,
-484  ,
-425  ,
-348  ,
-268  ,
-185  ,
-106  ,
-22 ,
51  ,
130 ,
206 ,
282 ,
355 ,
423 ,
473 ,
523 ,
548 ,
572 ,
575 ,
584 ,
573 ,
573 ,
567 ,
563 ,
545 ,
524 ,
491 ,
455 ,
426 ,
403 ,
404 ,
415 ,
443 ,
482 ,
515 ,
558 ,
589 ,
627 ,
654 ,
686 ,
730 ,
773 ,
814 ,
850 ,
892 ,
927 ,
970 ,
999 ,
1018  ,
1034  ,
1031  ,
1025  ,
1021  ,
1002  ,
997 ,
978 ,
971 ,
967 ,
961 ,
946 ,
915 ,
871 ,
823 ,
775 ,
722 ,
657 ,
583 ,
477 ,
367 ,
250 ,
143 ,
37  ,
-56 ,
-142  ,
-202  ,
-258  ,
-298  ,
-334  ,
-364  ,
-407  ,
-440  ,
-475  ,
-497  ,
-521  ,
-528  ,
-547  ,
-549  ,
-552  ,
-548  ,
-527  ,
-497  ,
-455  ,
-398  ,
-346  ,
-305  ,
-277  ,
-276  ,
-275  ,
-281  ,
-288  ,
-275  ,
-265  ,
-250  ,
-249  ,
-250  ,
-259  ,
-281  ,
-295  ,
-317  ,
-322  ,
-345  ,
-369  ,
-423  ,
-485  ,
-572  ,
-654  ,
-734  ,
-792  ,
-823  ,
-844  ,
-850  ,
-847  ,
-832  ,
-828  ,
-798  ,
-771  ,
-736  ,
-695  ,
-672  ,
-640  ,
-619  ,
-609  ,
-590  ,
-585  ,
-554  ,
-522  ,
-482  ,
-441  ,
-417  ,
-388  ,
-370  ,
-331  ,
-283  ,
-223  ,
-165  ,
-108  ,
-64 ,
-26 ,
11  ,
63  ,
124 ,
199 ,
286 ,
381 ,
466 ,
534 ,
574 ,
602 ,
621 ,
637 ,
660 ,
677 ,
699 ,
711 ,
715 ,
716 ,
707 ,
701 ,
689 ,
683 ,
670 ,
652 ,
628 ,
591 ,
557 ,
523 ,
512 ,
503 ,
512 ,
514 ,
515 ,
522 ,
515 ,
538 ,
552 ,
584 ,
617 ,
642 ,
663 ,
670 ,
675 ,
676 ,
692 ,
697 ,
709 ,
713 ,
709 ,
696 ,
673 ,
642 ,
608 ,
573 ,
545 ,
512 ,
473 ,
422 ,
335 ,
238 ,
124 ,
16  ,
-85 ,
-176  ,
-249  ,
-318  ,
-362  ,
-400  ,
-424  ,
-445  ,
-448  ,
-442  ,
-419  ,
-406  ,
-409  ,
-437  ,
-477  ,
-516  ,
-533  ,
-541  ,
-536  ,
-524  ,
-526  ,
-523  ,
-531  ,
-524  ,
-509  ,
-481  ,
-449  ,
-408  ,
-391  ,
-389  ,
-421  ,
-460  ,
-501  ,
-521  ,
-530  ,
-520  ,
-511  ,
-497  ,
-497  ,
-493  ,
-510  ,
-517  ,
-533  ,
-532  ,
-544  ,
-540  ,
-551  ,
-559  ,
-573  ,
-594  ,
-601  ,
-594  ,
-569  ,
-539  ,
-515  ,
-505  ,
-503  ,
-509  ,
-510  ,
-516  ,
-510  ,
-519  ,
-526  ,
-551  ,
-567  ,
-598  ,
-616  ,
-621  ,
-607  ,
-576  ,
-529  ,
-479  ,
-416  ,
-358  ,
-280  ,
-201  ,
-98 ,
8 ,
111 ,
218 ,
300 ,
379 ,
443 ,
502 ,
567 ,
612 ,
655 ,
676 ,
677 ,
666 ,
638 ,
620 ,
614 ,
614 ,
628 ,
626 ,
610 ,
560 ,
497 ,
432 ,
379 ,
347 ,
328 ,
331 ,
332 ,
329 ,
326 ,
316 ,
316 ,
315 ,
314 ,
321 ,
327 ,
324 ,
333 ,
341 ,
353 ,
368 ,
389 ,
419 ,
439 ,
463 ,
464 ,
464 ,
445 ,
442 ,
429 ,
435 ,
433 ,
440 ,
441 ,
444 ,
441 ,
441 ,
430 ,
406 ,
370 ,
316 ,
251 ,
156 ,
56  ,
-36 ,
-117  ,
-169  ,
-213  ,
-245  ,
-288  ,
-342  ,
-390  ,
-441  ,
-489  ,
-524  ,
-550  ,
-573  ,
-595  ,
-623  ,
-651  ,
-697  ,
-740  ,
-782  ,
-803  ,
-807  ,
-801  ,
-781  ,
-760  ,
-729  ,
-689  ,
-649  ,
-606  ,
-571  ,
-534  ,
-505  ,
-479  ,
-459  ,
-450  ,
-433  ,
-415  ,
-377  ,
-334  ,
-288  ,
-249  ,
-239  ,
-226  ,
-250  ,
-259  ,
-293  ,
-318  ,
-368  ,
-421  ,
-489  ,
-558  ,
-617  ,
-649  ,
-658  ,
-634  ,
-598  ,
-541  ,
-484  ,
-425  ,
-383  ,
-338  ,
-307  ,
-281  ,
-264  ,
-251  ,
-238  ,
-238  ,
-242  ,
-242  ,
-240  ,
-219  ,
-194  ,
-147  ,
-109  ,
-72 ,
-33 ,
4 ,
54  ,
104 ,
165 ,
231 ,
297 ,
347 ,
397 ,
416 ,
446 ,
454 ,
482 ,
504 ,
537 ,
549 ,
559 ,
546 ,
536 ,
518 ,
493 ,
471 ,
454 ,
442 ,
437 ,
430 ,
416 ,
388 ,
366 ,
340 ,
331 ,
324 ,
314 ,
297 ,
271 ,
255 ,
250 ,
254 ,
281 ,
304 ,
350 ,
392 ,
430 ,
480 ,
512 ,
564 ,
608 ,
655 ,
696 ,
728 ,
747 ,
741 ,
732 ,
712 ,
696 ,
679 ,
673 ,
662 ,
623 ,
575 ,
505 ,
423 ,
338 ,
243 ,
163 ,
82  ,
10  ,
-66 ,
-145  ,
-226  ,
-315  ,
-389  ,
-452  ,
-501  ,
-540  ,
-569  ,
-596  ,
-616  ,
-642  ,
-665  ,
-679  ,
-693  ,
-697  ,
-708  ,
-706  ,
-703  ,
-694  ,
-671  ,
-649  ,
-607  ,
-561  ,
-516  ,
-486  ,
-455  ,
-437  ,
-407  ,
-384  ,
-349  ,
-328  ,
-313  ,
-308  ,
-328  ,
-339  ,
-363  ,
-361  ,
-355  ,
-329  ,
-300  ,
-263  ,
-225  ,
-194  ,
-179  ,
-176  ,
-164  ,
-170  ,
-156  ,
-161  ,
-151  ,
-153  ,
-164  ,
-156  ,
-149  ,
-124  ,
-95 ,
-65 ,
-37 ,
-23 ,
-15 ,
-8  ,
-6  ,
-12 ,
-27 ,
-50 ,
-74 ,
-102  ,
-120  ,
-131  ,
-132  ,
-122  ,
-102  ,
-60 ,
-19 ,
31  ,
77  ,
120 ,
161 ,
200 ,
234 ,
268 ,
297 ,
333 ,
369 ,
395 ,
423 ,
438 ,
446 ,
434 ,
424 ,
408 ,
386 ,
351 ,
317 ,
279 ,
261 ,
250 ,
253 ,
260 ,
273 ,
275 ,
292 ,
297 ,
302 ,
302 ,
304 ,
318 ,
331 ,
351 ,
360 ,
371 ,
375 ,
391 ,
415 ,
441 ,
449 ,
471 ,
470 ,
478 ,
465 ,
467 ,
455 ,
460 ,
466 ,
481 ,
503 ,
515 ,
524 ,
517 ,
507 ,
484 ,
448 ,
407 ,
355 ,
295 ,
236 ,
169 ,
111 ,
51  ,
-5  ,
-47 ,
-100  ,
-125  ,
-164  ,
-195  ,
-231  ,
-274  ,
-297  ,
-333  ,
-340  ,
-356  ,
-358  ,
-357  ,
-363  ,
-360  ,
-365  ,
-377  ,
-397  ,
-426  ,
-468  ,
-509  ,
-543  ,
-566  ,
-568  ,
-556  ,
-512  ,
-461  ,
-386  ,
-325  ,
-252  ,
-205  ,
-158  ,
-123  ,
-90 ,
-56 ,
-22 ,
11  ,
28  ,
39  ,
46  ,
57  ,
64  ,
74  ,
75  ,
72  ,
53  ,
37  ,
2 ,
-32 ,
-84 ,
-121  ,
-163  ,
-188  ,
-217  ,
-233  ,
-252  ,
-256  ,
-256  ,
-250  ,
-226  ,
-227  ,
-218  ,
-239  ,
-259  ,
-294  ,
-328  ,
-360  ,
-378  ,
-389  ,
-381  ,
-363  ,
-340  ,
-308  ,
-281  ,
-249  ,
-212  ,
-181  ,
-138  ,
-105  ,
-74 ,
-49 ,
-23 ,
14  ,
57  ,
109 ,
176 ,
230 ,
290 ,
330 ,
353 ,
362 ,
342 ,
318 ,
285 ,
256 ,
234 ,
205 ,
186 ,
168 ,
158 ,
156 ,
148 ,
141 ,
120 ,
101 ,
77  ,
57  ,
32  ,
17  ,
10  ,
16  ,
40  ,
71  ,
100 ,
120 ,
138 ,
164 ,
185 ,
208 ,
226 ,
249 ,
277 ,
312 ,
355 ,
407 ,
450 ,
487 ,
518 ,
551 ,
575 ,
596 ,
608 ,
609 ,
599 ,
579 ,
548 ,
511 ,
472 ,
422 ,
375 ,
315 ,
263 ,
203 ,
149 ,
89  ,
26  ,
-46 ,
-109  ,
-190  ,
-246  ,
-304  ,
-340  ,
-370  ,
-370  ,
-368  ,
-342  ,
-323  ,
-294  ,
-276  ,
-249  ,
-222  ,
-188  ,
-157  ,
-132  ,
-107  ,
-89 ,
-66 ,
-44 ,
-18 ,
11  ,
36  ,
57  ,
63  ,
60  ,
47  ,
34  ,
15  ,
14  ,
14  ,
16  ,
25  ,
9 ,
7 ,
-16 ,
-28 ,
-55 ,
-92 ,
-125  ,
-178  ,
-223  ,
-283  ,
-329  ,
-378  ,
-415  ,
-445  ,
-447  ,
-442  ,
-410  ,
-383  ,
-353  ,
-333  ,
-322  ,
-340  ,
-364  ,
-411  ,
-456  ,
-497  ,
-529  ,
-551  ,
-550  ,
-547  ,
-515  ,
-473  ,
-411  ,
-341  ,
-271  ,
-192  ,
-123  ,
-41 ,
21  ,
91  ,
141 ,
170 ,
184 ,
189 ,
196 ,
206 ,
220 ,
244 ,
244 ,
250 ,
229 ,
197 ,
163 ,
121 ,
104 ,
91  ,
95  ,
101 ,
111 ,
110 ,
100 ,
92  ,
82  ,
64  ,
48  ,
39  ,
44  ,
63  ,
89  ,
138 ,
185 ,
234 ,
279 ,
313 ,
347 ,
369 ,
397 ,
433 ,
473 ,
525 ,
574 ,
638 ,
694 ,
749 ,
791 ,
834 ,
860 ,
885 ,
895 ,
895 ,
872 ,
827 ,
769 ,
696 ,
620 ,
536 ,
467 ,
404 ,
364 ,
339 ,
325 ,
311 ,
287 ,
259 ,
228 ,
204 ,
176 ,
152 ,
110 ,
68  ,
24  ,
-13 ,
-44 ,
-73 ,
-91 ,
-106  ,
-124  ,
-137  ,
-170  ,
-204  ,
-252  ,
-285  ,
-302  ,
-304  ,
-293  ,
-275  ,
-253  ,
-236  ,
-231  ,
-218  ,
-213  ,
-208  ,
-211  ,
-220  ,
-239  ,
-261  ,
-288  ,
-308  ,
-321  ,
-333  ,
-332  ,
-331  ,
-336  ,
-352  ,
-362  ,
-376  ,
-393  ,
-416  ,
-440  ,
-474  ,
-508  ,
-551  ,
-586  ,
-618  ,
-634  ,
-636  ,
-615  ,
-582  ,
-539  ,
-495  ,
-469  ,
-448  ,
-449  ,
-445  ,
-454  ,
-465  ,
-477  ,
-506  ,
-525  ,
-562  ,
-581  ,
-595  ,
-578  ,
-556  ,
-497  ,
-447  ,
-374  ,
-317  ,
-260  ,
-198  ,
-158  ,
-115  ,
-75 ,
-53 ,
-36 ,
-28 ,
-21 ,
-9  ,
4 ,
18  ,
39  ,
38  ,
31  ,
19  ,
3 ,
-12 ,
-20 ,
-18 ,
6 ,
27  ,
58  ,
84  ,
116 ,
142 ,
170 ,
197 ,
228 ,
252 ,
285 ,
314 ,
355 ,
388 ,
423 ,
446 ,
468 ,
492 ,
515 ,
545 ,
571 ,
582 ,
598 ,
599 ,
618 ,
633 ,
661 ,
683 ,
718 ,
761 ,
798 ,
832 ,
850 ,
856 ,
864 ,
848 ,
840 ,
805 ,
776 ,
737 ,
708 ,
678 ,
648 ,
594 ,
539 ,
469 ,
394 ,
319 ,
243 ,
170 ,
107 ,
49  ,
9 ,
-32 ,
-84 ,
-134  ,
-190  ,
-223  ,
-256  ,
-275  ,
-298  ,
-325  ,
-368  ,
-411  ,
-460  ,
-497  ,
-539  ,
-550  ,
-544  ,
-519  ,
-477  ,
-447  ,
-402  ,
-382  ,
-355  ,
-350  ,
-352  ,
-378  ,
-395  ,
-430  ,
-455  ,
-481  ,
-500  ,
-507  ,
-521  ,
-508  ,
-509  ,
-484  ,
-481  ,
-463  ,
-451  ,
-442  ,
-447  ,
-458  ,
-487  ,
-512  ,
-539  ,
-557  ,
-585  ,
-605  ,
-629  ,
-646  ,
-660  ,
-681  ,
-700  ,
-720  ,
-740  ,
-750  ,
-760  ,
-768  ,
-783  ,
-795  ,
-800  ,
-796  ,
-775  ,
-753  ,
-708  ,
-670  ,
-608  ,
-542  ,
-479  ,
-411  ,
-358  ,
-286  ,
-219  ,
-146  ,
-81 ,
-24 ,
23  ,
62  ,
101 ,
145 ,
179 ,
204 ,
217 ,
219 ,
221 ,
219 ,
219 ,
221 ,
225 ,
241 ,
259 ,
288 ,
301 ,
309 ,
311 ,
305 ,
302 ,
290 ,
283 ,
277 ,
282 ,
299 ,
322 ,
370 ,
417 ,
491 ,
565 ,
652 ,
733 ,
814 ,
879 ,
936 ,
985 ,
1022  ,
1061  ,
1086  ,
1120  ,
1142  ,
1154  ,
1157  ,
1147  ,
1126  ,
1108  ,
1069  ,
1034  ,
980 ,
937 ,
887 ,
845 ,
797 ,
744 ,
684 ,
619 ,
534 ,
446 ,
333 ,
226 ,
116 ,
20  ,
-61 ,
-122  ,
-181  ,
-230  ,
-282  ,
-322  ,
-364  ,
-391  ,
-419  ,
-445  ,
-471  ,
-498  ,
-534  ,
-580  ,
-639  ,
-692  ,
-740  ,
-759  ,
-750  ,
-713  ,
-668  ,
-611  ,
-561  ,
-508  ,
-469  ,
-440  ,
-414  ,
-395  ,
-384  ,
-381  ,
-389  ,
-409  ,
-445  ,
-482  ,
-515  ,
-540  ,
-574  ,
-596  ,
-624  ,
-643  ,
-662  ,
-685  ,
-702  ,
-718  ,
-733  ,
-737  ,
-746  ,
-763  ,
-783  ,
-798  ,
-797  ,
-796  ,
-790  ,
-781  ,
-772  ,
-764  ,
-757  ,
-753  ,
-751  ,
-746  ,
-732  ,
-703  ,
-661  ,
-602  ,
-537  ,
-455  ,
-372  ,
-280  ,
-189  ,
-100  ,
-18 ,
55  ,
122 ,
191 ,
231 ,
271 ,
289 ,
320 ,
340 ,
375 ,
406 ,
431 ,
449 ,
446 ,
436 ,
419 ,
392 ,
363 ,
329 ,
303 ,
286 ,
290 ,
312 ,
346 ,
402 ,
465 ,
531 ,
586 ,
631 ,
650 ,
672 ,
676 ,
697 ,
715 ,
743 ,
778 ,
815 ,
858 ,
898 ,
945 ,
987 ,
1028  ,
1059  ,
1104  ,
1136  ,
1175  ,
1190  ,
1205  ,
1204  ,
1196  ,
1178  ,
1148  ,
1102  ,
1041  ,
976 ,
907 ,
843 ,
795 ,
756 ,
736 ,
715 ,
681 ,
644 ,
574 ,
495 ,
394 ,
291 ,
183 ,
84  ,
-10 ,
-97 ,
-185  ,
-272  ,
-343  ,
-401  ,
-444  ,
-472  ,
-490  ,
-509  ,
-519  ,
-547  ,
-556  ,
-586  ,
-607  ,
-642  ,
-671  ,
-699  ,
-725  ,
-746  ,
-752  ,
-748  ,
-728  ,
-700  ,
-667  ,
-629  ,
-608  ,
-602  ,
-612  ,
-624  ,
-635  ,
-652  ,
-652  ,
-667  ,
-667  ,
-682  ,
-707  ,
-719  ,
-747  ,
-753  ,
-766  ,
-761  ,
-753  ,
-734  ,
-720  ,
-693  ,
-685  ,
-664  ,
-660  ,
-640  ,
-628  ,
-610  ,
-598  ,
-578  ,
-557  ,
-543  ,
-527  ,
-504  ,
-477  ,
-455  ,
-427  ,
-410  ,
-372  ,
-350  ,
-305  ,
-261  ,
-209  ,
-151  ,
-90 ,
-30 ,
33  ,
87  ,
146 ,
193 ,
243 ,
278 ,
319 ,
349 ,
373 ,
408 ,
450 ,
497 ,
547 ,
594 ,
634 ,
662 ,
680 ,
681 ,
686 ,
667 ,
650 ,
624 ,
596 ,
588 ,
570 ,
576 ,
577 ,
585 ,
587 ,
585 ,
574 ,
562 ,
539 ,
531 ,
526 ,
526 ,
538 ,
544 ,
574 ,
589 ,
618 ,
635 ,
663 ,
683 ,
721 ,
757 ,
800 ,
828 ,
849 ,
853 ,
850 ,
837 ,
816 ,
781 ,
738 ,
689 ,
645 ,
599 ,
559 ,
532 ,
504 ,
482 ,
453 ,
419 ,
384 ,
329 ,
277 ,
219 ,
148 ,
78  ,
-11 ,
-92 ,
-181  ,
-264  ,
-340  ,
-420  ,
-483  ,
-550  ,
-589  ,
-619  ,
-635  ,
-651  ,
-670  ,
-689  ,
-710  ,
-738  ,
-770  ,
-806  ,
-842  ,
-859  ,
-872  ,
-862  ,
-846  ,
-823  ,
-780  ,
-742  ,
-692  ,
-653  ,
-614  ,
-594  ,
-576  ,
-560  ,
-538  ,
-520  ,
-512  ,
-504  ,
-508  ,
-509  ,
-525  ,
-526  ,
-527  ,
-514  ,
-486  ,
-452  ,
-414  ,
-382  ,
-364  ,
-352  ,
-348  ,
-348  ,
-350  ,
-359  ,
-363  ,
-377  ,
-384  ,
-388  ,
-404  ,
-408  ,
-423  ,
-429  ,
-437  ,
-435  ,
-425  ,
-406  ,
-381  ,
-333  ,
-276  ,
-206  ,
-132  ,
-54 ,
25  ,
95  ,
179 ,
244 ,
322 ,
377 ,
438 ,
484 ,
519 ,
550 ,
580 ,
616 ,
644 ,
667 ,
676 ,
688 ,
689 ,
673 ,
653 ,
606 ,
568 ,
509 ,
468 ,
428 ,
400 ,
382 ,
365 ,
354 ,
339 ,
320 ,
298 ,
277 ,
258 ,
242 ,
229 ,
228 ,
235 ,
239 ,
261 ,
270 ,
300 ,
319 ,
343 ,
372 ,
415 ,
471 ,
523 ,
584 ,
622 ,
661 ,
674 ,
677 ,
674 ,
660 ,
647 ,
618 ,
603 ,
572 ,
541 ,
501 ,
457 ,
411 ,
376 ,
339 ,
313 ,
286 ,
253 ,
220 ,
166 ,
103 ,
14  ,
-76 ,
-179  ,
-275  ,
-367  ,
-452  ,
-520  ,
-586  ,
-643  ,
-675  ,
-712  ,
-732  ,
-753  ,
-761  ,
-763  ,
-764  ,
-762  ,
-756  ,
-765  ,
-758  ,
-753  ,
-735  ,
-717  ,
-696  ,
-664  ,
-632  ,
-581  ,
-523  ,
-458  ,
-391  ,
-336  ,
-290  ,
-261  ,
-231  ,
-214  ,
-197  ,
-182  ,
-177  ,
-180  ,
-195  ,
-217  ,
-249  ,
-274  ,
-295  ,
-304  ,
-312  ,
-325  ,
-320  ,
-335  ,
-330  ,
-337  ,
-337  ,
-336  ,
-332  ,
-317  ,
-310  ,
-302  ,
-292  ,
-281  ,
-281  ,
-273  ,
-272  ,
-254  ,
-246  ,
-212  ,
-181  ,
-127  ,
-80 ,
-20 ,
41  ,
101 ,
165 ,
218 ,
270 ,
325 ,
371 ,
429 ,
475 ,
520 ,
550 ,
567 ,
576 ,
585 ,
587 ,
581 ,
572 ,
561 ,
542 ,
516 ,
479 ,
419 ,
365 ,
298 ,
254 ,
212 ,
183 ,
163 ,
145 ,
135 ,
122 ,
117 ,
102 ,
89  ,
80  ,
79  ,
85  ,
98  ,
122 ,
143 ,
167 ,
191 ,
217 ,
246 ,
282 ,
318 ,
361 ,
404 ,
454 ,
495 ,
546 ,
578 ,
616 ,
627 ,
638 ,
617 ,
606 ,
572 ,
552 ,
512 ,
477 ,
431 ,
375 ,
305 ,
237 ,
171 ,
114 ,
70  ,
35  ,
14  ,
-12 ,
-36 ,
-77 ,
-111  ,
-151  ,
-202  ,
-249  ,
-303  ,
-345  ,
-401  ,
-445  ,
-484  ,
-518  ,
-542  ,
-552  ,
-552  ,
-530  ,
-513  ,
-490  ,
-470  ,
-453  ,
-429  ,
-399  ,
-373  ,
-342  ,
-321  ,
-289  ,
-273  ,
-257  ,
-251  ,
-243  ,
-231  ,
-219  ,
-189  ,
-174  ,
-147  ,
-135  ,
-117  ,
-105  ,
-96 ,
-96 ,
-102  ,
-110  ,
-113  ,
-118  ,
-121  ,
-125  ,
-132  ,
-127  ,
-127  ,
-110  ,
-101  ,
-91 ,
-82 ,
-80 ,
-63 ,
-63 ,
-39 ,
-37 ,
-28 ,
-30 ,
-47 ,
-61 ,
-90 ,
-114  ,
-133  ,
-128  ,
-103  ,
-57 ,
-14 ,
42  ,
84  ,
124 ,
148 ,
178 ,
199 ,
226 ,
253 ,
284 ,
307 ,
327 ,
342 ,
348 ,
361 ,
368 ,
370 ,
367 ,
354 ,
343 ,
319 ,
295 ,
266 ,
240 ,
214 ,
192 ,
172 ,
138 ,
98  ,
51  ,
2 ,
-32 ,
-63 ,
-92 ,
-118  ,
-157  ,
-173  ,
-201  ,
-200  ,
-197  ,
-164  ,
-128  ,
-65 ,
-24 ,
24  ,
51  ,
80  ,
93  ,
121 ,
136 ,
167 ,
175 ,
189 ,
191 ,
201 ,
208 ,
225 ,
244 ,
269 ,
304 ,
330 ,
364 ,
372 ,
379 ,
364 ,
354 ,
325 ,
293 ,
251 ,
203 ,
151 ,
98  ,
54  ,
17  ,
0 ,
-20 ,
-20 ,
-24 ,
-26 ,
-34 ,
-57 ,
-82 ,
-118  ,
-160  ,
-213  ,
-269  ,
-336  ,
-396  ,
-452  ,
-481  ,
-495  ,
-487  ,
-469  ,
-440  ,
-403  ,
-370  ,
-327  ,
-287  ,
-239  ,
-196  ,
-164  ,
-135  ,
-120  ,
-100  ,
-95 ,
-78 ,
-64 ,
-54 ,
-30 ,
-9  ,
15  ,
33  ,
49  ,
69  ,
85  ,
102 ,
120 ,
131 ,
134 ,
114 ,
101 ,
72  ,
44  ,
-7  ,
-42 ,
-94 ,
-122  ,
-152  ,
-167  ,
-192  ,
-218  ,
-247  ,
-279  ,
-319  ,
-364  ,
-407  ,
-450  ,
-472  ,
-483  ,
-468  ,
-437  ,
-388  ,
-334  ,
-282  ,
-235  ,
-194  ,
-151  ,
-108  ,
-61 ,
-13 ,
42  ,
81  ,
115 ,
129 ,
139 ,
134 ,
127 ,
115 ,
102 ,
93  ,
87  ,
79  ,
79  ,
67  ,
56  ,
33  ,
6 ,
-15 ,
-42 ,
-69 ,
-94 ,
-136  ,
-165  ,
-211  ,
-256  ,
-308  ,
-359  ,
-402  ,
-441  ,
-454  ,
-451  ,
-419  ,
-371  ,
-294  ,
-210  ,
-122  ,
-38 ,
43  ,
116 ,
192 ,
262 ,
317 ,
368 ,
398 ,
426 ,
431 ,
439 ,
448 ,
458 ,
488 ,
531 ,
586 ,
638 ,
683 ,
719 ,
748 ,
753 ,
747 ,
727 ,
686 ,
643 ,
583 ,
515 ,
441 ,
359 ,
285 ,
216 ,
166 ,
141 ,
120 ,
113 ,
102 ,
84  ,
60  ,
20  ,
-32 ,
-88 ,
-145  ,
-193  ,
-235  ,
-276  ,
-302  ,
-328  ,
-328  ,
-318  ,
-280  ,
-233  ,
-172  ,
-103  ,
-33 ,
34  ,
96  ,
147 ,
180 ,
201 ,
197 ,
188 ,
161 ,
126 ,
89  ,
57  ,
34  ,
18  ,
18  ,
23  ,
35  ,
33  ,
24  ,
-2  ,
-38 ,
-84 ,
-133  ,
-178  ,
-231  ,
-280  ,
-331  ,
-373  ,
-416  ,
-450  ,
-475  ,
-500  ,
-515  ,
-536  ,
-557  ,
-581  ,
-604  ,
-619  ,
-629  ,
-629  ,
-626  ,
-618  ,
-610  ,
-602  ,
-584  ,
-556  ,
-515  ,
-462  ,
-407  ,
-346  ,
-282  ,
-222  ,
-171  ,
-122  ,
-96 ,
-70 ,
-54 ,
-31 ,
-22 ,
-9  ,
-9  ,
-17 ,
-27 ,
-38 ,
-49 ,
-59 ,
-78 ,
-90 ,
-119  ,
-136  ,
-162  ,
-169  ,
-169  ,
-161  ,
-146  ,
-129  ,
-135  ,
-139  ,
-165  ,
-189  ,
-208  ,
-219  ,
-209  ,
-183  ,
-133  ,
-73 ,
8 ,
101 ,
206 ,
314 ,
424 ,
526 ,
617 ,
695 ,
760 ,
810 ,
841 ,
859 ,
870 ,
865 ,
853 ,
828 ,
806 ,
781 ,
769 ,
769 ,
778 ,
796 ,
820 ,
828 ,
829 ,
807 ,
776 ,
722 ,
649 ,
575 ,
489 ,
411 ,
329 ,
246 ,
173 ,
116 ,
70  ,
46  ,
27  ,
11  ,
-5  ,
-20 ,
-44 ,
-61 ,
-80 ,
-97 ,
-114  ,
-138  ,
-166  ,
-198  ,
-230  ,
-260  ,
-287  ,
-298  ,
-294  ,
-282  ,
-250  ,
-233  ,
-210  ,
-206  ,
-219  ,
-221  ,
-247  ,
-264  ,
-283  ,
-299  ,
-309  ,
-323  ,
-327  ,
-337  ,
-341  ,
-337  ,
-319  ,
-302  ,
-283  ,
-276  ,
-276  ,
-288  ,
-299  ,
-320  ,
-338  ,
-367  ,
-393  ,
-428  ,
-469  ,
-514  ,
-555  ,
-591  ,
-610  ,
-627  ,
-637  ,
-636  ,
-652  ,
-655  ,
-671  ,
-669  ,
-661  ,
-638  ,
-604  ,
-559  ,
-531  ,
-489  ,
-461  ,
-430  ,
-386  ,
-332  ,
-276  ,
-212  ,
-163  ,
-109  ,
-68 ,
-24 ,
15  ,
64  ,
110 ,
163 ,
203 ,
244 ,
264 ,
275 ,
268 ,
240 ,
212 ,
167 ,
138 ,
101 ,
82  ,
64  ,
59  ,
68  ,
83  ,
114 ,
126 ,
150 ,
148 ,
155 ,
154 ,
163 ,
188 ,
221 ,
265 ,
307 ,
352 ,
395 ,
432 ,
473 ,
520 ,
572 ,
630 ,
692 ,
755 ,
799 ,
836 ,
848 ,
856 ,
845 ,
836 ,
827 ,
818 ,
806 ,
814 ,
814 ,
834 ,
843 ,
857 ,
865 ,
869 ,
860 ,
836 ,
803 ,
756 ,
711 ,
651 ,
592 ,
529 ,
455 ,
378 ,
300 ,
212 ,
126 ,
40  ,
-40 ,
-107  ,
-166  ,
-222  ,
-266  ,
-304  ,
-352  ,
-381  ,
-424  ,
-438  ,
-466  ,
-481  ,
-505  ,
-510  ,
-517  ,
-505  ,
-489  ,
-460  ,
-442  ,
-412  ,
-397  ,
-376  ,
-365  ,
-343  ,
-336  ,
-314  ,
-317  ,
-312  ,
-329  ,
-352  ,
-376  ,
-400  ,
-404  ,
-397  ,
-389  ,
-375  ,
-373  ,
-375  ,
-387  ,
-406  ,
-427  ,
-464  ,
-495  ,
-531  ,
-561  ,
-598  ,
-635  ,
-680  ,
-720  ,
-754  ,
-788  ,
-798  ,
-813  ,
-816  ,
-824  ,
-811  ,
-787  ,
-738  ,
-667  ,
-591  ,
-488  ,
-412  ,
-322  ,
-260  ,
-207  ,
-156  ,
-116  ,
-65 ,
-25 ,
20  ,
57  ,
93  ,
133 ,
177 ,
236 ,
303 ,
374 ,
436 ,
481 ,
514 ,
531 ,
532 ,
513 ,
485 ,
449 ,
416 ,
380 ,
344 ,
312 ,
279 ,
264 ,
254 ,
251 ,
262 ,
255 ,
254 ,
239 ,
232 ,
224 ,
229 ,
256 ,
287 ,
346 ,
405 ,
472 ,
530 ,
587 ,
638 ,
710 ,
763 ,
834 ,
900 ,
954 ,
1013  ,
1042  ,
1070  ,
1087  ,
1102  ,
1110  ,
1116  ,
1105  ,
1087  ,
1054  ,
1014  ,
968 ,
924 ,
874 ,
832 ,
775 ,
719 ,
651 ,
568 ,
478 ,
392 ,
304 ,
228 ,
140 ,
52  ,
-38 ,
-131  ,
-206  ,
-275  ,
-328  ,
-365  ,
-397  ,
-414  ,
-435  ,
-452  ,
-471  ,
-497  ,
-522  ,
-556  ,
-585  ,
-618  ,
-641  ,
-671  ,
-684  ,
-691  ,
-687  ,
-667  ,
-647  ,
-627  ,
-608  ,
-594  ,
-579  ,
-559  ,
-556  ,
-548  ,
-550  ,
-550  ,
-558  ,
-555  ,
-561  ,
-560  ,
-560  ,
-561  ,
-559  ,
-563  ,
-574  ,
-587  ,
-599  ,
-612  ,
-621  ,
-625  ,
-626  ,
-625  ,
-626  ,
-626  ,
-634  ,
-637  ,
-654  ,
-669  ,
-690  ,
-717  ,
-735  ,
-747  ,
-740  ,
-712  ,
-665  ,
-598  ,
-521  ,
-422  ,
-322  ,
-210  ,
-108  ,
-8  ,
87  ,
172 ,
246 ,
315 ,
376 ,
427 ,
479 ,
527 ,
567 ,
602 ,
631 ,
651 ,
662 ,
663 ,
653 ,
649 ,
630 ,
611 ,
581 ,
548 ,
504 ,
466 ,
421 ,
394 ,
371 ,
363 ,
358 ,
358 ,
366 ,
369 ,
368 ,
383 ,
378 ,
406 ,
429 ,
474 ,
527 ,
574 ,
633 ,
682 ,
725 ,
762 ,
789 ,
815 ,
831 ,
846 ,
851 ,
859 ,
850 ,
833 ,
813 ,
777 ,
747 ,
709 ,
685 ,
659 ,
635 ,
605 ,
583 ,
554 ,
528 ,
496 ,
453 ,
408 ,
355 ,
294 ,
234 ,
162 ,
94  ,
8 ,
-82 ,
-176  ,
-278  ,
-376  ,
-472  ,
-552  ,
-614  ,
-658  ,
-689  ,
-706  ,
-707  ,
-709  ,
-705  ,
-712  ,
-710  ,
-727  ,
-732  ,
-760  ,
-783  ,
-811  ,
-844  ,
-860  ,
-883  ,
-882  ,
-872  ,
-848  ,
-816  ,
-781  ,
-746  ,
-719  ,
-698  ,
-678  ,
-663  ,
-635  ,
-613  ,
-573  ,
-547  ,
-509  ,
-484  ,
-453  ,
-433  ,
-408  ,
-390  ,
-379  ,
-377  ,
-382  ,
-390  ,
-394  ,
-406  ,
-418  ,
-427  ,
-426  ,
-426  ,
-406  ,
-388  ,
-357  ,
-332  ,
-301  ,
-267  ,
-229  ,
-187  ,
-155  ,
-115  ,
-73 ,
-34 ,
11  ,
53  ,
90  ,
129 ,
158 ,
204 ,
254 ,
307 ,
356 ,
395 ,
446 ,
485 ,
532 ,
567 ,
607 ,
642 ,
674 ,
706 ,
745 ,
769 ,
803 ,
802 ,
817 ,
795 ,
780 ,
738 ,
701 ,
667 ,
637 ,
630 ,
609 ,
603 ,
575 ,
552 ,
523 ,
492 ,
457 ,
419 ,
388 ,
359 ,
332 ,
316 ,
299 ,
296 ,
295 ,
308 ,
321 ,
338 ,
362 ,
380 ,
396 ,
418 ,
420 ,
430 ,
420 ,
418 ,
408 ,
391 ,
376 ,
351 ,
326 ,
306 ,
294 ,
287 ,
274 ,
254 ,
245 ,
214 ,
203 ,
173 ,
150 ,
117 ,
75  ,
28  ,
-46 ,
-122  ,
-220  ,
-313  ,
-402  ,
-481  ,
-553  ,
-626  ,
-685  ,
-739  ,
-771  ,
-788  ,
-786  ,
-773  ,
-758  ,
-748  ,
-738  ,
-733  ,
-752  ,
-768  ,
-798  ,
-818  ,
-830  ,
-841  ,
-838  ,
-836  ,
-824  ,
-798  ,
-762  ,
-717  ,
-669  ,
-627  ,
-601  ,
-576  ,
-565  ,
-551  ,
-538  ,
-505  ,
-464  ,
-413  ,
-348  ,
-289  ,
-225  ,
-170  ,
-119  ,
-70 ,
-28 ,
7 ,
33  ,
48  ,
49  ,
45  ,
10  ,
-20 ,
-61 ,
-101  ,
-125  ,
-155  ,
-182  ,
-203  ,
-234  ,
-246  ,
-256  ,
-258  ,
-239  ,
-214  ,
-166  ,
-119  ,
-55 ,
12  ,
77  ,
151 ,
216 ,
282 ,
336 ,
376 ,
418 ,
462 ,
519 ,
576 ,
637 ,
693 ,
744 ,
792 ,
830 ,
851 ,
861 ,
852 ,
842 ,
825 ,
803 ,
770 ,
716 ,
642 ,
563 ,
476 ,
397 ,
329 ,
275 ,
236 ,
204 ,
191 ,
175 ,
159 ,
139 ,
123 ,
107 ,
99  ,
80  ,
81  ,
67  ,
72  ,
79  ,
89  ,
105 ,
121 ,
145 ,
164 ,
187 ,
208 ,
218 ,
233 ,
238 ,
252 ,
259 ,
265 ,
259 ,
248 ,
232 ,
217 ,
207 ,
190 ,
173 ,
153 ,
139 ,
118 ,
106 ,
84  ,
67  ,
45  ,
24  ,
-11 ,
-63 ,
-128  ,
-200  ,
-281  ,
-365  ,
-444  ,
-513  ,
-568  ,
-607  ,
-628  ,
-644  ,
-641  ,
-633  ,
-601  ,
-571  ,
-538  ,
-522  ,
-519  ,
-532  ,
-558  ,
-589  ,
-615  ,
-632  ,
-632  ,
-618  ,
-575  ,
-522  ,
-450  ,
-382  ,
-303  ,
-232  ,
-152  ,
-92 ,
-33 ,
11  ,
46  ,
76  ,
95  ,
115 ,
122 ,
131 ,
125 ,
118 ,
107 ,
85  ,
70  ,
41  ,
37  ,
20  ,
14  ,
2 ,
-25 ,
-49 ,
-80 ,
-103  ,
-132  ,
-148  ,
-162  ,
-174  ,
-183  ,
-199  ,
-200  ,
-207  ,
-195  ,
-190  ,
-151  ,
-113  ,
-50 ,
4 ,
65  ,
128 ,
179 ,
227 ,
257 ,
290 ,
307 ,
333 ,
339 ,
364 ,
367 ,
380 ,
384 ,
391 ,
402 ,
414 ,
425 ,
435 ,
436 ,
430 ,
413 ,
391 ,
352 ,
316 ,
265 ,
207 ,
150 ,
82  ,
19  ,
-32 ,
-74 ,
-102  ,
-125  ,
-143  ,
-154  ,
-152  ,
-144  ,
-111  ,
-82 ,
-28 ,
6 ,
54  ,
77  ,
111 ,
122 ,
139 ,
146 ,
163 ,
177 ,
200 ,
214 ,
237 ,
255 ,
284 ,
319 ,
339 ,
360 ,
372 ,
381 ,
379 ,
365 ,
342 ,
313 ,
280 ,
254 ,
237 ,
213 ,
193 ,
159 ,
120 ,
81  ,
34  ,
-13 ,
-70 ,
-129  ,
-202  ,
-275  ,
-348  ,
-416  ,
-468  ,
-507  ,
-525  ,
-521  ,
-508  ,
-468  ,
-429  ,
-367  ,
-320  ,
-264  ,
-226  ,
-193  ,
-177  ,
-171  ,
-179  ,
-178  ,
-206  ,
-223  ,
-254  ,
-263  ,
-277  ,
-269  ,
-270  ,
-249  ,
-236  ,
-211  ,
-186  ,
-154  ,
-122  ,
-85 ,
-42 ,
-9  ,
24  ,
47  ,
67  ,
91  ,
102 ,
110 ,
112 ,
99  ,
88  ,
74  ,
64  ,
63  ,
50  ,
41  ,
16  ,
-11 ,
-48 ,
-75 ,
-107  ,
-140  ,
-176  ,
-203  ,
-224  ,
-246  ,
-255  ,
-266  ,
-260  ,
-255  ,
-232  ,
-217  ,
-181  ,
-155  ,
-118  ,
-83 ,
-54 ,
-27 ,
-4  ,
9 ,
32  ,
36  ,
50  ,
58  ,
58  ,
69  ,
66  ,
67  ,
65  ,
63  ,
62  ,
54  ,
50  ,
45  ,
40  ,
31  ,
6 ,
-10 ,
-49 ,
-74 ,
-121  ,
-146  ,
-188  ,
-213  ,
-234  ,
-235  ,
-235  ,
-216  ,
-202  ,
-172  ,
-142  ,
-99 ,
-58 ,
-13 ,
41  ,
78  ,
119 ,
143 ,
167 ,
175 ,
189 ,
192 ,
197 ,
208 ,
206 ,
224 ,
221 ,
233 ,
235 ,
245 ,
260 ,
267 ,
283 ,
284 ,
285 ,
270 ,
254 ,
238 ,
233 ,
227 ,
236 ,
237 ,
248 ,
241 ,
240 ,
223 ,
213 ,
182 ,
166 ,
129 ,
104 ,
77  ,
59  ,
35  ,
18  ,
-8  ,
-32 ,
-59 ,
-89 ,
-114  ,
-124  ,
-139  ,
-145  ,
-159  ,
-167  ,
-190  ,
-191  ,
-211  ,
-206  ,
-213  ,
-201  ,
-190  ,
-178  ,
-159  ,
-152  ,
-136  ,
-115  ,
-90 ,
-48 ,
1 ,
51  ,
108 ,
148 ,
190 ,
212 ,
223 ,
229 ,
216 ,
201 ,
178 ,
157 ,
146 ,
117 ,
96  ,
48  ,
-4  ,
-65 ,
-131  ,
-197  ,
-250  ,
-300  ,
-345  ,
-393  ,
-438  ,
-481  ,
-515  ,
-555  ,
-574  ,
-587  ,
-590  ,
-575  ,
-562  ,
-534  ,
-524  ,
-497  ,
-485  ,
-460  ,
-439  ,
-405  ,
-380  ,
-340  ,
-308  ,
-269  ,
-245  ,
-213  ,
-190  ,
-162  ,
-136  ,
-116  ,
-99 ,
-82 ,
-64 ,
-43 ,
-16 ,
10  ,
26  ,
44  ,
48  ,
44  ,
42  ,
29  ,
21  ,
0 ,
-11 ,
-30 ,
-48 ,
-62 ,
-76 ,
-80 ,
-83 ,
-73 ,
-54 ,
-33 ,
-14 ,
6 ,
34  ,
63  ,
108 ,
148 ,
189 ,
229 ,
261 ,
288 ,
309 ,
334 ,
351 ,
392 ,
432 ,
486 ,
536 ,
588 ,
644 ,
695 ,
749 ,
797 ,
841 ,
869 ,
891 ,
894 ,
890 ,
867 ,
837 ,
792 ,
742 ,
684 ,
626 ,
559 ,
493 ,
425 ,
364 ,
307 ,
267 ,
225 ,
207 ,
181 ,
153 ,
127 ,
94  ,
64  ,
41  ,
12  ,
-7  ,
-26 ,
-37 ,
-33 ,
-28 ,
-14 ,
-5  ,
1 ,
-5  ,
-26 ,
-48 ,
-74 ,
-92 ,
-111  ,
-112  ,
-114  ,
-92 ,
-89 ,
-58 ,
-42 ,
-8  ,
2 ,
23  ,
27  ,
30  ,
28  ,
6 ,
-18 ,
-58 ,
-104  ,
-155  ,
-197  ,
-251  ,
-288  ,
-334  ,
-372  ,
-403  ,
-447  ,
-481  ,
-531  ,
-574  ,
-624  ,
-661  ,
-699  ,
-729  ,
-745  ,
-768  ,
-771  ,
-779  ,
-769  ,
-754  ,
-728  ,
-694  ,
-648  ,
-609  ,
-562  ,
-526  ,
-470  ,
-419  ,
-350  ,
-282  ,
-218  ,
-161  ,
-113  ,
-72 ,
-36 ,
-8  ,
14  ,
44  ,
65  ,
87  ,
110 ,
113 ,
120 ,
107 ,
103 ,
87  ,
75  ,
55  ,
33  ,
1 ,
-24 ,
-49 ,
-50 ,
-57 ,
-51 ,
-44 ,
-28 ,
-6  ,
24  ,
62  ,
110 ,
163 ,
226 ,
289 ,
362 ,
425 ,
488 ,
544 ,
593 ,
656 ,
707 ,
765 ,
814 ,
850 ,
879 ,
893 ,
898 ,
897 ,
884 ,
878 ,
871 ,
870 ,
875 ,
866 ,
869 ,
855 ,
854 ,
835 ,
812 ,
784 ,
734 ,
688 ,
631 ,
574 ,
523 ,
475 ,
433 ,
386 ,
337 ,
293 ,
246 ,
205 ,
160 ,
124 ,
87  ,
51  ,
23  ,
-13 ,
-50 ,
-88 ,
-131  ,
-153  ,
-172  ,
-180  ,
-181  ,
-191  ,
-193  ,
-217  ,
-250  ,
-298  ,
-358  ,
-413  ,
-473  ,
-512  ,
-550  ,
-574  ,
-597  ,
-607  ,
-607  ,
-591  ,
-566  ,
-542  ,
-516  ,
-502  ,
-482  ,
-478  ,
-476  ,
-488  ,
-504  ,
-522  ,
-545  ,
-566  ,
-592  ,
-619  ,
-639  ,
-660  ,
-659  ,
-651  ,
-643  ,
-628  ,
-623  ,
-622  ,
-630  ,
-641  ,
-648  ,
-650  ,
-644  ,
-625  ,
-596  ,
-557  ,
-522  ,
-488  ,
-443  ,
-400  ,
-351  ,
-301  ,
-260  ,
-217  ,
-192  ,
-173  ,
-156  ,
-139  ,
-133  ,
-120  ,
-119  ,
-112  ,
-115  ,
-116  ,
-101  ,
-81 ,
-52 ,
-1  ,
35  ,
87  ,
118 ,
153 ,
172 ,
195 ,
213 ,
236 ,
261 ,
288 ,
302 ,
325 ,
345 ,
372 ,
409 ,
451 ,
491 ,
528 ,
556 ,
584 ,
601 ,
624 ,
637 ,
651 ,
665 ,
666 ,
668 ,
647 ,
629 ,
619 ,
616 ,
634 ,
661 ,
695 ,
724 ,
743 ,
760 ,
760 ,
755 ,
744 ,
735 ,
726 ,
731 ,
718 ,
723 ,
689 ,
677 ,
632 ,
605 ,
561 ,
522 ,
476 ,
440 ,
396 ,
372 ,
338 ,
322 ,
291 ,
256 ,
213 ,
163 ,
108 ,
44  ,
-27 ,
-102  ,
-180  ,
-255  ,
-336  ,
-399  ,
-479  ,
-540  ,
-594  ,
-624  ,
-638  ,
-626  ,
-624  ,
-619  ,
-634  ,
-672  ,
-711  ,
-770  ,
-813  ,
-857  ,
-886  ,
-907  ,
-916  ,
-915  ,
-906  ,
-892  ,
-859  ,
-824  ,
-770  ,
-717  ,
-668  ,
-610  ,
-568  ,
-521  ,
-479  ,
-446  ,
-414  ,
-397  ,
-382  ,
-383  ,
-378  ,
-385  ,
-386  ,
-385  ,
-384  ,
-381  ,
-373  ,
-374  ,
-382  ,
-397  ,
-435  ,
-461  ,
-497  ,
-503  ,
-515  ,
-509  ,
-501  ,
-493  ,
-471  ,
-446  ,
-408  ,
-359  ,
-308  ,
-249  ,
-192  ,
-133  ,
-80 ,
-33 ,
10  ,
52  ,
105 ,
142 ,
183 ,
215 ,
243 ,
278 ,
327 ,
377 ,
440 ,
498 ,
556 ,
600 ,
632 ,
645 ,
639 ,
621 ,
589 ,
564 ,
532 ,
521 ,
499 ,
498 ,
484 ,
480 ,
481 ,
491 ,
509 ,
529 ,
557 ,
582 ,
603 ,
613 ,
629 ,
634 ,
650 ,
654 ,
662 ,
664 ,
663 ,
669 ,
672 ,
677 ,
695 ,
713 ,
732 ,
738 ,
748 ,
750 ,
751 ,
751 ,
753 ,
741 ,
718 ,
668 ,
616 ,
558 ,
484 ,
424 ,
352 ,
282 ,
225 ,
154 ,
96  ,
36  ,
-22 ,
-74 ,
-117  ,
-150  ,
-182  ,
-212  ,
-245  ,
-292  ,
-339  ,
-408  ,
-474  ,
-542  ,
-604  ,
-657  ,
-696  ,
-735  ,
-761  ,
-799  ,
-831  ,
-858  ,
-874  ,
-886  ,
-894  ,
-900  ,
-899  ,
-886  ,
-866  ,
-825  ,
-784  ,
-733  ,
-695  ,
-651  ,
-622  ,
-581  ,
-550  ,
-507  ,
-471  ,
-431  ,
-407  ,
-380  ,
-382  ,
-376  ,
-389  ,
-396  ,
-407  ,
-420  ,
-425  ,
-437  ,
-443  ,
-451  ,
-455  ,
-454  ,
-451  ,
-436  ,
-418  ,
-391  ,
-364  ,
-336  ,
-309  ,
-290  ,
-274  ,
-266  ,
-248  ,
-229  ,
-192  ,
-148  ,
-92 ,
-29 ,
42  ,
113 ,
196 ,
266 ,
329 ,
378 ,
410 ,
429 ,
441 ,
448 ,
449 ,
450 ,
447 ,
446 ,
448 ,
442 ,
445 ,
441 ,
457 ,
476 ,
502 ,
539 ,
565 ,
589 ,
594 ,
601 ,
582 ,
567 ,
546 ,
523 ,
510 ,
496 ,
500 ,
494 ,
512 ,
514 ,
545 ,
561 ,
587 ,
602 ,
619 ,
633 ,
648 ,
658 ,
662 ,
656 ,
638 ,
612 ,
580 ,
540 ,
499 ,
463 ,
436 ,
419 ,
413 ,
411 ,
398 ,
394 ,
370 ,
353 ,
321 ,
286 ,
257 ,
224 ,
192 ,
149 ,
97  ,
34  ,
-32 ,
-107  ,
-169  ,
-242  ,
-291  ,
-356  ,
-394  ,
-440  ,
-472  ,
-509  ,
-543  ,
-578  ,
-599  ,
-630  ,
-646  ,
-664  ,
-666  ,
-664  ,
-656  ,
-644  ,
-633  ,
-634  ,
-643  ,
-656  ,
-681  ,
-707  ,
-733  ,
-751  ,
-767  ,
-774  ,
-793  ,
-800  ,
-817  ,
-819  ,
-822  ,
-805  ,
-770  ,
-736  ,
-689  ,
-653  ,
-611  ,
-590  ,
-567  ,
-555  ,
-535  ,
-517  ,
-476  ,
-442  ,
-389  ,
-350  ,
-311  ,
-276  ,
-246  ,
-211  ,
-177  ,
-140  ,
-104  ,
-56 ,
-13 ,
39  ,
98  ,
147 ,
202 ,
237 ,
258 ,
263 ,
242 ,
228 ,
208 ,
210 ,
220 ,
244 ,
284 ,
320 ,
360 ,
389 ,
420 ,
444 ,
471 ,
503 ,
534 ,
559 ,
575 ,
578 ,
577 ,
562 ,
547 ,
522 ,
500 ,
481 ,
471 ,
466 ,
480 ,
492 ,
524 ,
543 ,
565 ,
566 ,
562 ,
551 ,
534 ,
522 ,
495 ,
487 ,
460 ,
451 ,
412 ,
391 ,
348 ,
326 ,
290 ,
279 ,
254 ,
252 ,
238 ,
232 ,
218 ,
191 ,
160 ,
134 ,
104 ,
86  ,
66  ,
58  ,
50  ,
39  ,
24  ,
3 ,
-20 ,
-48 ,
-65 ,
-79 ,
-95 ,
-104  ,
-123  ,
-135  ,
-156  ,
-181  ,
-201  ,
-225  ,
-239  ,
-254  ,
-258  ,
-261  ,
-245  ,
-241  ,
-218  ,
-203  ,
-184  ,
-177  ,
-180  ,
-195  ,
-217  ,
-243  ,
-271  ,
-290  ,
-307  ,
-321  ,
-334  ,
-341  ,
-354  ,
-374  ,
-406  ,
-438  ,
-482  ,
-512  ,
-535  ,
-552  ,
-559  ,
-565  ,
-571  ,
-567  ,
-561  ,
-540  ,
-510  ,
-475  ,
-432  ,
-389  ,
-349  ,
-312  ,
-260  ,
-213  ,
-145  ,
-95 ,
-36 ,
4 ,
43  ,
72  ,
94  ,
117 ,
132 ,
149 ,
159 ,
173 ,
176 ,
185 ,
191 ,
192 ,
204 ,
211 ,
221 ,
235 ,
247 ,
254 ,
264 ,
268 ,
267 ,
270 ,
264 ,
263 ,
249 ,
239 ,
226 ,
218 ,
216 ,
221 ,
244 ,
267 ,
291 ,
309 ,
317 ,
316 ,
312 ,
302 ,
282 ,
269 ,
245 ,
222 ,
197 ,
160 ,
118 ,
74  ,
27  ,
-13 ,
-57 ,
-92 ,
-128  ,
-148  ,
-166  ,
-175  ,
-184  ,
-186  ,
-191  ,
-191  ,
-195  ,
-193  ,
-202  ,
-198  ,
-209  ,
-214  ,
-224  ,
-228  ,
-235  ,
-238  ,
-248  ,
-260  ,
-270  ,
-273  ,
-286  ,
-289  ,
-301  ,
-308  ,
-313  ,
-317  ,
-312  ,
-298  ,
-282  ,
-257  ,
-232  ,
-200  ,
-172  ,
-147  ,
-116  ,
-87 ,
-63 ,
-38 ,
-37 ,
-39 ,
-45 ,
-68 ,
-87 ,
-125  ,
-141  ,
-162  ,
-170  ,
-177  ,
-175  ,
-178  ,
-175  ,
-172  ,
-172  ,
-166  ,
-176  ,
-174  ,
-187  ,
-192  ,
-201  ,
-215  ,
-223  ,
-232  ,
-230  ,
-224  ,
-227  ,
-222  ,
-227  ,
-224  ,
-222  ,
-207  ,
-199  ,
-175  ,
-168  ,
-157  ,
-157  ,
-156  ,
-149  ,
-141  ,
-121  ,
-91 ,
-61 ,
-21 ,
6 ,
39  ,
55  ,
71  ,
78  ,
85  ,
89  ,
95  ,
92  ,
109 ,
113 ,
139 ,
149 ,
170 ,
180 ,
197 ,
208 ,
217 ,
228 ,
218 ,
230 ,
222 ,
238 ,
251 ,
269 ,
285 ,
297 ,
301 ,
302 ,
303 ,
297 ,
294 ,
282 ,
276 ,
263 ,
258 ,
245 ,
238 ,
220 ,
205 ,
185 ,
164 ,
142 ,
103 ,
74  ,
34  ,
-4  ,
-38 ,
-76 ,
-106  ,
-135  ,
-172  ,
-202  ,
-232  ,
-260  ,
-284  ,
-302  ,
-309  ,
-311  ,
-307  ,
-302  ,
-291  ,
-288  ,
-280  ,
-271  ,
-259  ,
-245  ,
-237  ,
-224  ,
-218  ,
-198  ,
-184  ,
-166  ,
-142  ,
-115  ,
-81 ,
-40 ,
6 ,
52  ,
95  ,
146 ,
191 ,
242 ,
273 ,
296 ,
299 ,
280 ,
256 ,
221 ,
198 ,
185 ,
178 ,
187 ,
203 ,
219 ,
230 ,
237 ,
242 ,
245 ,
244 ,
239 ,
233 ,
231 ,
235 ,
245 ,
256 ,
268 ,
281 ,
299 ,
314 ,
330 ,
350 ,
360 ,
382 ,
402 ,
429 ,
449 ,
457 ,
458 ,
443 ,
430 ,
405 ,
393 ,
374 ,
368 ,
356 ,
351 ,
337 ,
312 ,
287 ,
259 ,
232 ,
212 ,
191 ,
178 ,
162 ,
154 ,
149 ,
150 ,
152 ,
159 ,
172 ,
183 ,
197 ,
206 ,
224 ,
238 ,
242 ,
248 ,
237 ,
232 ,
214 ,
206 ,
188 ,
183 ,
181 ,
184 ,
188 ,
197 ,
196 ,
197 ,
186 ,
172 ,
151 ,
117 ,
85  ,
41  ,
15  ,
-29 ,
-50 ,
-86 ,
-103  ,
-123  ,
-131  ,
-137  ,
-132  ,
-136  ,
-139  ,
-149  ,
-161  ,
-176  ,
-189  ,
-201  ,
-211  ,
-223  ,
-247  ,
-268  ,
-310  ,
-353  ,
-405  ,
-452  ,
-494  ,
-533  ,
-567  ,
-593  ,
-609  ,
-630  ,
-630  ,
-626  ,
-600  ,
-565  ,
-517  ,
-468  ,
-405  ,
-356  ,
-301  ,
-250  ,
-204  ,
-162  ,
-123  ,
-102  ,
-97 ,
-109  ,
-129  ,
-144  ,
-148  ,
-138  ,
-116  ,
-89 ,
-59 ,
-36 ,
-13 ,
12  ,
33  ,
56  ,
80  ,
92  ,
108 ,
109 ,
115 ,
122 ,
127 ,
145 ,
160 ,
194 ,
214 ,
246 ,
270 ,
296 ,
317 ,
336 ,
348 ,
362 ,
377 ,
389 ,
406 ,
418 ,
424 ,
439 ,
447 ,
461 ,
483 ,
489 ,
506 ,
511 ,
510 ,
500 ,
483 ,
464 ,
430 ,
401 ,
368 ,
342 ,
318 ,
285 ,
261 ,
236 ,
213 ,
204 ,
184 ,
179 ,
167 ,
157 ,
151 ,
141 ,
125 ,
106 ,
82  ,
63  ,
40  ,
21  ,
3 ,
-2  ,
0 ,
8 ,
22  ,
41  ,
44  ,
49  ,
35  ,
12  ,
-19 ,
-54 ,
-97 ,
-130  ,
-175  ,
-212  ,
-250  ,
-289  ,
-318  ,
-344  ,
-356  ,
-366  ,
-365  ,
-362  ,
-364  ,
-368  ,
-378  ,
-401  ,
-418  ,
-451  ,
-466  ,
-491  ,
-503  ,
-519  ,
-528  ,
-533  ,
-540  ,
-542  ,
-549  ,
-556  ,
-562  ,
-565  ,
-555  ,
-539  ,
-529  ,
-507  ,
-500  ,
-483  ,
-487  ,
-486  ,
-502  ,
-516  ,
-531  ,
-539  ,
-542  ,
-544  ,
-542  ,
-544  ,
-540  ,
-531  ,
-515  ,
-498  ,
-483  ,
-463  ,
-443  ,
-418  ,
-396  ,
-373  ,
-348  ,
-327  ,
-300  ,
-278  ,
-253  ,
-223  ,
-199  ,
-152  ,
-112  ,
-58 ,
-8  ,
40  ,
82  ,
127 ,
175 ,
217 ,
269 ,
315 ,
370 ,
412 ,
460 ,
485 ,
500 ,
504 ,
499 ,
503 ,
515 ,
537 ,
573 ,
610 ,
649 ,
666 ,
670 ,
658 ,
633 ,
607 ,
579 ,
565 ,
559 ,
571 ,
588 ,
612 ,
627 ,
635 ,
639 ,
641 ,
638 ,
636 ,
622 ,
620 ,
605 ,
605 ,
589 ,
569 ,
532 ,
494 ,
440 ,
386 ,
334 ,
285 ,
251 ,
220 ,
194 ,
175 ,
149 ,
123 ,
97  ,
59  ,
33  ,
-6  ,
-36 ,
-75 ,
-111  ,
-151  ,
-187  ,
-215  ,
-245  ,
-271  ,
-296  ,
-318  ,
-334  ,
-349  ,
-360  ,
-378  ,
-393  ,
-418  ,
-435  ,
-462  ,
-478  ,
-506  ,
-529  ,
-557  ,
-588  ,
-612  ,
-633  ,
-649  ,
-647  ,
-647  ,
-636  ,
-625  ,
-618  ,
-611  ,
-610  ,
-608  ,
-594  ,
-582  ,
-553  ,
-526  ,
-488  ,
-448  ,
-405  ,
-363  ,
-322  ,
-276  ,
-245  ,
-206  ,
-187  ,
-166  ,
-166  ,
-169  ,
-195  ,
-219  ,
-263  ,
-293  ,
-330  ,
-348  ,
-364  ,
-369  ,
-370  ,
-356  ,
-338  ,
-309  ,
-284  ,
-253  ,
-228  ,
-196  ,
-161  ,
-119  ,
-73 ,
-19 ,
37  ,
94  ,
147 ,
202 ,
246 ,
291 ,
339 ,
382 ,
424 ,
457 ,
493 ,
528 ,
562 ,
604 ,
643 ,
688 ,
724 ,
758 ,
780 ,
801 ,
810 ,
815 ,
809 ,
807 ,
793 ,
792 ,
780 ,
783 ,
776 ,
785 ,
784 ,
781 ,
772 ,
758 ,
737 ,
725 ,
707 ,
707 ,
698 ,
701 ,
687 ,
687 ,
673 ,
656 ,
629 ,
589 ,
556 ,
507 ,
477 ,
445 ,
427 ,
401 ,
380 ,
355 ,
321 ,
282 ,
239 ,
183 ,
123 ,
57  ,
-9  ,
-74 ,
-136  ,
-189  ,
-244  ,
-283  ,
-314  ,
-342  ,
-365  ,
-396  ,
-420  ,
-452  ,
-475  ,
-506  ,
-526  ,
-558  ,
-581  ,
-602  ,
-624  ,
-642  ,
-664  ,
-693  ,
-723  ,
-749  ,
-762  ,
-765  ,
-756  ,
-751  ,
-726  ,
-713  ,
-695  ,
-683  ,
-672  ,
-658  ,
-637  ,
-615  ,
-582  ,
-553  ,
-528  ,
-501  ,
-491  ,
-475  ,
-471  ,
-463  ,
-461  ,
-460  ,
-465  ,
-454  ,
-441  ,
-425  ,
-400  ,
-368  ,
-321  ,
-279  ,
-229  ,
-184  ,
-153  ,
-127  ,
-121  ,
-110  ,
-117  ,
-119  ,
-117  ,
-119  ,
-102  ,
-107  ,
-82 ,
-82 ,
-58 ,
-51 ,
-30 ,
-16 ,
6 ,
34  ,
60  ,
88  ,
111 ,
138 ,
168 ,
197 ,
220 ,
245 ,
262 ,
282 ,
301 ,
331 ,
359 ,
396 ,
427 ,
463 ,
495 ,
524 ,
548 ,
570 ,
589 ,
602 ,
620 ,
629 ,
643 ,
652 ,
664 ,
678 ,
683 ,
692 ,
681 ,
669 ,
644 ,
620 ,
594 ,
570 ,
544 ,
516 ,
489 ,
457 ,
435 ,
403 ,
373 ,
344 ,
324 ,
307 ,
304 ,
286 ,
280 ,
264 ,
254 ,
235 ,
212 ,
185 ,
157 ,
131 ,
105 ,
75  ,
41  ,
10  ,
-39 ,
-78 ,
-138  ,
-187  ,
-240  ,
-293  ,
-345  ,
-400  ,
-447  ,
-490  ,
-517  ,
-549  ,
-564  ,
-576  ,
-589  ,
-591  ,
-600  ,
-594  ,
-597  ,
-598  ,
-598  ,
-592  ,
-594  ,
-576  ,
-568  ,
-545  ,
-534  ,
-513  ,
-500  ,
-485  ,
-468  ,
-452  ,
-429  ,
-411  ,
-383  ,
-365  ,
-349  ,
-345  ,
-339  ,
-342  ,
-339  ,
-345  ,
-335  ,
-327  ,
-309  ,
-283  ,
-255  ,
-230  ,
-208  ,
-202  ,
-202  ,
-213  ,
-214  ,
-208  ,
-186  ,
-152  ,
-99 ,
-41 ,
26  ,
93  ,
157 ,
214 ,
251 ,
287 ,
298 ,
312 ,
302 ,
304 ,
299 ,
301 ,
291 ,
273 ,
252 ,
222 ,
197 ,
184 ,
179 ,
198 ,
209 ,
234 ,
251 ,
270 ,
281 ,
290 ,
290 ,
295 ,
304 ,
316 ,
335 ,
354 ,
375 ,
397 ,
412 ,
434 ,
446 ,
461 ,
466 ,
466 ,
479 ,
488 ,
502 ,
505 ,
504 ,
484 ,
467 ,
440 ,
425 ,
409 ,
399 ,
398 ,
399 ,
408 ,
406 ,
400 ,
387 ,
365 ,
339 ,
296 ,
267 ,
219 ,
189 ,
161 ,
140 ,
125 ,
101 ,
79  ,
47  ,
19  ,
-19 ,
-46 ,
-81 ,
-101  ,
-127  ,
-144  ,
-165  ,
-180  ,
-185  ,
-201  ,
-208  ,
-223  ,
-239  ,
-253  ,
-274  ,
-290  ,
-322  ,
-351  ,
-398  ,
-428  ,
-464  ,
-489  ,
-499  ,
-501  ,
-490  ,
-477  ,
-462  ,
-446  ,
-430  ,
-422  ,
-409  ,
-399  ,
-379  ,
-362  ,
-341  ,
-326  ,
-308  ,
-308  ,
-297  ,
-306  ,
-310  ,
-324  ,
-331  ,
-335  ,
-322  ,
-304  ,
-278  ,
-253  ,
-240  ,
-226  ,
-217  ,
-217  ,
-199  ,
-184  ,
-141  ,
-101  ,
-41 ,
5 ,
53  ,
80  ,
101 ,
103 ,
100 ,
90  ,
82  ,
84  ,
95  ,
118 ,
140 ,
169 ,
192 ,
221 ,
253 ,
282 ,
309 ,
331 ,
354 ,
372 ,
385 ,
391 ,
393 ,
380 ,
362 ,
337 ,
314 ,
290 ,
278 ,
270 ,
273 ,
284 ,
284 ,
285 ,
272 ,
255 ,
239 ,
219 ,
209 ,
202 ,
199 ,
189 ,
176 ,
149 ,
110 ,
76  ,
40  ,
19  ,
5 ,
10  ,
29  ,
68  ,
107 ,
158 ,
201 ,
226 ,
245 ,
243 ,
238 ,
227 ,
196 ,
184 ,
150 ,
135 ,
110 ,
90  ,
64  ,
25  ,
-18 ,
-62 ,
-107  ,
-157  ,
-195  ,
-243  ,
-268  ,
-305  ,
-320  ,
-336  ,
-347  ,
-343  ,
-340  ,
-326  ,
-323  ,
-326  ,
-336  ,
-350  ,
-358  ,
-369  ,
-366  ,
-380  ,
-371  ,
-376  ,
-358  ,
-343  ,
-309  ,
-282  ,
-248  ,
-228  ,
-213  ,
-211  ,
-216  ,
-232  ,
-247  ,
-270  ,
-291  ,
-324  ,
-337  ,
-358  ,
-364  ,
-363  ,
-366  ,
-354  ,
-351  ,
-332  ,
-316  ,
-289  ,
-267  ,
-245  ,
-226  ,
-215  ,
-192  ,
-178  ,
-158  ,
-137  ,
-118  ,
-101  ,
-80 ,
-75 ,
-55 ,
-57 ,
-38 ,
-20 ,
3 ,
29  ,
48  ,
73  ,
84  ,
100 ,
108 ,
119 ,
126 ,
134 ,
153 ,
168 ,
193 ,
208 ,
216 ,
236 ,
250 ,
267 ,
279 ,
281 ,
288 ,
300 ,
312 ,
341 ,
374 ,
403 ,
430 ,
444 ,
445 ,
433 ,
401 ,
363 ,
327 ,
279 ,
250 ,
205 ,
174 ,
135 ,
101 ,
69  ,
34  ,
2 ,
-19 ,
-34 ,
-29 ,
-14 ,
4 ,
25  ,
41  ,
56  ,
58  ,
56  ,
35  ,
14  ,
-18 ,
-48 ,
-64 ,
-86 ,
-91 ,
-101  ,
-106  ,
-108  ,
-116  ,
-131  ,
-148  ,
-163  ,
-188  ,
-197  ,
-214  ,
-226  ,
-239  ,
-255  ,
-261  ,
-269  ,
-268  ,
-260  ,
-253  ,
-250  ,
-255  ,
-262  ,
-280  ,
-297  ,
-314  ,
-322  ,
-319  ,
-310  ,
-301  ,
-273  ,
-265  ,
-266  ,
-241  ,
-194  ,
-178  ,
-181  ,
-157  ,
-145  ,
-128  ,
-117  ,
-117  ,
-93 ,
-63 ,
-44 ,
-46 ,
-42 ,
-18 ,
1 ,
29  ,
80  ,
118 ,
116 ,
94  ,
85  ,
94  ,
79  ,
46  ,
54  ,
79  ,
65  ,
41  ,
64  ,
92  ,
98  ,
95  ,
123 ,
151 ,
151 ,
156 ,
193 ,
226 ,
235 ,
239 ,
251 ,
240 ,
206 ,
191 ,
196 ,
199 ,
217 ,
236 ,
251 ,
247 ,
260 ,
287 ,
319 ,
341 ,
358 ,
369 ,
360 ,
365 ,
369 ,
389 ,
400 ,
427 ,
442 ,
425 ,
389 ,
368 ,
366 ,
353 ,
334 ,
307 ,
265 ,
220 ,
192 ,
196 ,
195 ,
188 ,
185 ,
179 ,
139 ,
85  ,
43  ,
31  ,
23  ,
25  ,
16  ,
-3  ,
-45 ,
-75 ,
-99 ,
-117  ,
-145  ,
-182  ,
-197  ,
-224  ,
-238  ,
-262  ,
-281  ,
-293  ,
-307  ,
-337  ,
-402  ,
-471  ,
-530  ,
-572  ,
-591  ,
-600  ,
-599  ,
-598  ,
-593  ,
-574  ,
-546  ,
-509  ,
-470  ,
-402  ,
-357  ,
-333  ,
-340  ,
-331  ,
-328  ,
-320  ,
-317  ,
-322  ,
-339  ,
-358  ,
-348  ,
-312  ,
-267  ,
-222  ,
-172  ,
-131  ,
-114  ,
-116  ,
-122  ,
-137  ,
-119  ,
-110  ,
-83 ,
-82 ,
-80 ,
-66 ,
-40 ,
-9  ,
20  ,
53  ,
77  ,
85  ,
103 ,
106 ,
119 ,
138 ,
181 ,
222 ,
244 ,
252 ,
253 ,
266 ,
277 ,
301 ,
322 ,
336 ,
337 ,
335 ,
336 ,
321 ,
314 ,
310 ,
323 ,
313 ,
298 ,
276 ,
248 ,
237 ,
234 ,
242 ,
246 ,
245 ,
252 ,
260 ,
274 ,
299 ,
325 ,
350 ,
370 ,
368 ,
366 ,
350 ,
348 ,
360 ,
376 ,
382 ,
368 ,
341 ,
304 ,
270 ,
247 ,
231 ,
217 ,
193 ,
160 ,
122 ,
80  ,
51  ,
38  ,
36  ,
25  ,
6 ,
-14 ,
-38 ,
-37 ,
-23 ,
10  ,
35  ,
45  ,
35  ,
6 ,
-38 ,
-72 ,
-100  ,
-118  ,
-155  ,
-186  ,
-242  ,
-293  ,
-367  ,
-417  ,
-477  ,
-532  ,
-590  ,
-655  ,
-704  ,
-749  ,
-772  ,
-755  ,
-729  ,
-688  ,
-665  ,
-627  ,
-604  ,
-565  ,
-533  ,
-507  ,
-496  ,
-496  ,
-513  ,
-535  ,
-564  ,
-572  ,
-561  ,
-542  ,
-498  ,
-457  ,
-401  ,
-352  ,
-274  ,
-185  ,
-110  ,
-52 ,
-23 ,
-8  ,
-19 ,
-39 ,
-48 ,
-51 ,
-38 ,
-24 ,
-7  ,
1 ,
6 ,
13  ,
36  ,
67  ,
102 ,
134 ,
158 ,
178 ,
202 ,
225 ,
260 ,
283 ,
322 ,
335 ,
345 ,
336 ,
326 ,
318 ,
320 ,
338 ,
361 ,
373 ,
378 ,
389 ,
409 ,
423 ,
445 ,
464 ,
482 ,
500 ,
499 ,
497 ,
494 ,
500 ,
507 ,
523 ,
535 ,
534 ,
545 ,
547 ,
568 ,
582 ,
591 ,
599 ,
593 ,
590 ,
580 ,
573 ,
566 ,
567 ,
557 ,
543 ,
516 ,
489 ,
457 ,
427 ,
402 ,
360 ,
317 ,
255 ,
202 ,
161 ,
130 ,
115 ,
106 ,
107 ,
90  ,
67  ,
38  ,
15  ,
2 ,
-14 ,
-20 ,
-45 ,
-72 ,
-112  ,
-145  ,
-166  ,
-176  ,
-176  ,
-176  ,
-185  ,
-214  ,
-236  ,
-284  ,
-316  ,
-362  ,
-386  ,
-417  ,
-449  ,
-489  ,
-525  ,
-556  ,
-572  ,
-572  ,
-562  ,
-556  ,
-559  ,
-568  ,
-578  ,
-593  ,
-602  ,
-615  ,
-627  ,
-643  ,
-659  ,
-663  ,
-665  ,
-648  ,
-618  ,
-571  ,
-531  ,
-491  ,
-458  ,
-425  ,
-400  ,
-384  ,
-372  ,
-363  ,
-365  ,
-359  ,
-342  ,
-313  ,
-268  ,
-217  ,
-158  ,
-113  ,
-61 ,
-20 ,
35  ,
85  ,
149 ,
203 ,
247 ,
268 ,
278 ,
265 ,
255 ,
238 ,
237 ,
222 ,
218 ,
209 ,
211 ,
210 ,
224 ,
250 ,
291 ,
331 ,
375 ,
399 ,
419 ,
420 ,
428 ,
436 ,
448 ,
449 ,
454 ,
441 ,
423 ,
407 ,
403 ,
411 ,
431 ,
452 ,
484 ,
521 ,
562 ,
611 ,
651 ,
688 ,
704 ,
710 ,
704 ,
686 ,
668 ,
642 ,
631 ,
610 ,
598 ,
564 ,
526 ,
479 ,
427 ,
396 ,
359 ,
336 ,
305 ,
268 ,
240 ,
212 ,
205 ,
184 ,
168 ,
152 ,
120 ,
95  ,
66  ,
51  ,
20  ,
2 ,
-25 ,
-51 ,
-96 ,
-130  ,
-172  ,
-195  ,
-235  ,
-264  ,
-318  ,
-373  ,
-433  ,
-485  ,
-520  ,
-551  ,
-573  ,
-590  ,
-606  ,
-605  ,
-606  ,
-581  ,
-554  ,
-507  ,
-477  ,
-444  ,
-430  ,
-427  ,
-425  ,
-428  ,
-434  ,
-447  ,
-467  ,
-489  ,
-513  ,
-530  ,
-553  ,
-569  ,
-578  ,
-582  ,
-580  ,
-584  ,
-584  ,
-592  ,
-582  ,
-592  ,
-570  ,
-572  ,
-551  ,
-547  ,
-521  ,
-496  ,
-462  ,
-428  ,
-387  ,
-342  ,
-305  ,
-262  ,
-222  ,
-167  ,
-124  ,
-80 ,
-45 ,
-17 ,
0 ,
10  ,
33  ,
49  ,
80  ,
114 ,
160 ,
199 ,
220 ,
213 ,
198 ,
182 ,
165 ,
125 ,
94  ,
60  ,
48  ,
48  ,
64  ,
83  ,
112 ,
169 ,
246 ,
343 ,
412 ,
499 ,
593 ,
697 ,
799 ,
879 ,
954 ,
996 ,
1055  ,
1061  ,
1039  ,
993 ,
949 ,
885 ,
804 ,
731 ,
679 ,
640 ,
590 ,
558 ,
525 ,
511 ,
491 ,
489 ,
483 ,
489 ,
504 ,
514 ,
539 ,
551 ,
570 ,
591 ,
606 ,
592 ,
523 ,
453 ,
383 ,
318 ,
248 ,
166 ,
100 ,
72  ,
66  ,
49  ,
9 ,
-18 ,
-44 ,
-69 ,
-155  ,
-270  ,
-387  ,
-485  ,
-543  ,
-589  ,
-595  ,
-589  ,
-544  ,
-484  ,
-422  ,
-381  ,
-394  ,
-421  ,
-488  ,
-549  ,
-635  ,
-693  ,
-745  ,
-793  ,
-826  ,
-832  ,
-800  ,
-761  ,
-702  ,
-660  ,
-606  ,
-573  ,
-573  ,
-610  ,
-680  ,
-725  ,
-738  ,
-719  ,
-705  ,
-686  ,
-646  ,
-595  ,
-538  ,
-495  ,
-462  ,
-425  ,
-391  ,
-388  ,
-407  ,
-476  ,
-529  ,
-561  ,
-555  ,
-527  ,
-488  ,
-447  ,
-406  ,
-371  ,
-356  ,
-353  ,
-357  ,
-351  ,
-342  ,
-330  ,
-314  ,
-295  ,
-250  ,
-193  ,
-108  ,
-31 ,
44  ,
102 ,
151 ,
181 ,
210 ,
215 ,
214 ,
175 ,
145 ,
117 ,
116 ,
114 ,
128 ,
145 ,
178 ,
242 ,
314 ,
394 ,
473 ,
556 ,
633 ,
680 ,
681 ,
654 ,
617 ,
603 ,
587 ,
571 ,
547 ,
526 ,
511 ,
501 ,
499 ,
508 ,
518 ,
548 ,
566 ,
573 ,
547 ,
514 ,
465 ,
409 ,
343 ,
283 ,
214 ,
143 ,
80  ,
56  ,
48  ,
72  ,
105 ,
143 ,
177 ,
198 ,
219 ,
224 ,
219 ,
211 ,
218 ,
214 ,
216 ,
186 ,
156 ,
121 ,
84  ,
40  ,
-27 ,
-97 ,
-165  ,
-219  ,
-271  ,
-335  ,
-388  ,
-461  ,
-514  ,
-574  ,
-625  ,
-675  ,
-729  ,
-790  ,
-836  ,
-893  ,
-935  ,
-967  ,
-951  ,
-921  ,
-871  ,
-820  ,
-766  ,
-728  ,
-698  ,
-659  ,
-619  ,
-570  ,
-546  ,
-521  ,
-524  ,
-523  ,
-527  ,
-525  ,
-516  ,
-490  ,
-463  ,
-435  ,
-441  ,
-448  ,
-480  ,
-490  ,
-504  ,
-510  ,
-524  ,
-533  ,
-547  ,
-544  ,
-538  ,
-504  ,
-458  ,
-391  ,
-330  ,
-278  ,
-240  ,
-210  ,
-194  ,
-159  ,
-136  ,
-93 ,
-57 ,
-12 ,
23  ,
52  ,
73  ,
97  ,
125 ,
138 ,
152 ,
156 ,
191 ,
223 ,
264 ,
302 ,
348 ,
392 ,
426 ,
462 ,
489 ,
533 ,
570 ,
610 ,
640 ,
664 ,
682 ,
723 ,
761 ,
803 ,
831 ,
854 ,
870 ,
888 ,
889 ,
898 ,
892 ,
896 ,
868 ,
823 ,
745 ,
662 ,
584 ,
522 ,
476 ,
443 ,
417 ,
385 ,
364 ,
325 ,
305 ,
282 ,
278 ,
271 ,
275 ,
274 ,
281 ,
292 ,
309 ,
327 ,
343 ,
350 ,
325 ,
288 ,
220 ,
164 ,
125 ,
114 ,
126 ,
165 ,
207 ,
271 ,
323 ,
363 ,
380 ,
360 ,
323 ,
262 ,
175 ,
89  ,
5 ,
-54 ,
-80 ,
-93 ,
-74 ,
-63 ,
-27 ,
-1  ,
26  ,
44  ,
32  ,
9 ,
-26 ,
-64 ,
-98 ,
-119  ,
-113  ,
-102  ,
-71 ,
-45 ,
-19 ,
-3  ,
4 ,
2 ,
9 ,
0 ,
-10 ,
-44 ,
-63 ,
-77 ,
-67 ,
-39 ,
-6  ,
37  ,
72  ,
121 ,
148 ,
171 ,
183 ,
193 ,
207 ,
224 ,
232 ,
233 ,
231 ,
243 ,
267 ,
306 ,
340 ,
372 ,
396 ,
394 ,
395 ,
366 ,
356 ,
318 ,
298 ,
261 ,
229 ,
197 ,
156 ,
135 ,
99  ,
85  ,
41  ,
4 ,
-45 ,
-80 ,
-107  ,
-115  ,
-122  ,
-135  ,
-149  ,
-166  ,
-181  ,
-207  ,
-233  ,
-257  ,
-269  ,
-280  ,
-266  ,
-255  ,
-218  ,
-183  ,
-130  ,
-92 ,
-70 ,
-71 ,
-90 ,
-113  ,
-147  ,
-175  ,
-208  ,
-224  ,
-238  ,
-247  ,
-251  ,
-240  ,
-232  ,
-218  ,
-219  ,
-232  ,
-263  ,
-305  ,
-361  ,
-405  ,
-436  ,
-442  ,
-423  ,
-394  ,
-347  ,
-313  ,
-271  ,
-246  ,
-230  ,
-231  ,
-244  ,
-271  ,
-310  ,
-356  ,
-406  ,
-448  ,
-469  ,
-484  ,
-484  ,
-479  ,
-453  ,
-415  ,
-370  ,
-320  ,
-282  ,
-235  ,
-194  ,
-145  ,
-106  ,
-58 ,
-18 ,
40  ,
78  ,
128 ,
154 ,
175 ,
176 ,
181 ,
164 ,
140 ,
106 ,
64  ,
27  ,
-7  ,
-33 ,
-37 ,
-53 ,
-50 ,
-75 ,
-94 ,
-141  ,
-190  ,
-260  ,
-330  ,
-409  ,
-490  ,
-566  ,
-634  ,
-674  ,
-690  ,
-672  ,
-636  ,
-592  ,
-556  ,
-516  ,
-478  ,
-440  ,
-399  ,
-356  ,
-307  ,
-247  ,
-191  ,
-129  ,
-82 ,
-47 ,
-18 ,
-8  ,
6 ,
17  ,
35  ,
68  ,
107 ,
156 ,
201 ,
246 ,
290 ,
324 ,
343 ,
358 ,
366 ,
361 ,
354 ,
341 ,
339 ,
323 ,
315 ,
297 ,
274 ,
243 ,
201 ,
158 ,
114 ,
72  ,
34  ,
9 ,
-13 ,
-14 ,
-12 ,
-4  ,
16  ,
33  ,
62  ,
95  ,
134 ,
170 ,
201 ,
209 ,
205 ,
193 ,
180 ,
187 ,
200 ,
234 ,
283 ,
340 ,
394 ,
437 ,
457 ,
462 ,
444 ,
406 ,
359 ,
294 ,
241 ,
191 ,
137 ,
117 ,
82  ,
76  ,
40  ,
11  ,
-49 ,
-112  ,
-202  ,
-292  ,
-404  ,
-495  ,
-578  ,
-631  ,
-666  ,
-691  ,
-697  ,
-697  ,
-693  ,
-690  ,
-697  ,
-709  ,
-737  ,
-770  ,
-800  ,
-840  ,
-850  ,
-856  ,
-825  ,
-789  ,
-733  ,
-661  ,
-579  ,
-499  ,
-416  ,
-350  ,
-286  ,
-247  ,
-206  ,
-195  ,
-193  ,
-208  ,
-219  ,
-227  ,
-230  ,
-223  ,
-209  ,
-188  ,
-174  ,
-145  ,
-119  ,
-94 ,
-66 ,
-36 ,
0 ,
54  ,
119 ,
185 ,
252 ,
294 ,
349 ,
367 ,
391 ,
389 ,
400 ,
414 ,
449 ,
509 ,
568 ,
631 ,
673 ,
721 ,
747 ,
771 ,
774 ,
790 ,
793 ,
811 ,
810 ,
827 ,
823 ,
838 ,
847 ,
864 ,
867 ,
860 ,
860 ,
852 ,
843 ,
808 ,
774 ,
725 ,
685 ,
651 ,
630 ,
618 ,
604 ,
602 ,
565 ,
527 ,
441 ,
349 ,
227 ,
113 ,
-2  ,
-98 ,
-188  ,
-264  ,
-325  ,
-377  ,
-418  ,
-464  ,
-504  ,
-562  ,
-618  ,
-671  ,
-707  ,
-730  ,
-738  ,
-718  ,
-687  ,
-640  ,
-589  ,
-547  ,
-502  ,
-467  ,
-440  ,
-429  ,
-434  ,
-443  ,
-451  ,
-456  ,
-446  ,
-420  ,
-381  ,
-331  ,
-266  ,
-189  ,
-83 ,
22  ,
136 ,
232 ,
309 ,
358 ,
390 ,
406 ,
410 ,
411 ,
416 ,
433 ,
460 ,
479 ,
498 ,
515 ,
520 ,
520 ,
496 ,
471 ,
437 ,
403 ,
403 ,
415 ,
459 ,
506 ,
560 ,
592 ,
616 ,
619 ,
626 ,
629 ,
646 ,
669 ,
720 ,
783 ,
857 ,
921 ,
994 ,
1055  ,
1113  ,
1145  ,
1166  ,
1165  ,
1163  ,
1150  ,
1135  ,
1115  ,
1088  ,
1056  ,
1006  ,
957 ,
889 ,
834 ,
760 ,
705 ,
662 ,
616 ,
582 ,
529 ,
477 ,
406 ,
324 ,
227 ,
111 ,
-19 ,
-160  ,
-292  ,
-413  ,
-515  ,
-591  ,
-639  ,
-665  ,
-666  ,
-657  ,
-628  ,
-588  ,
-539  ,
-487  ,
-449  ,
-433  ,
-445  ,
-487  ,
-550  ,
-617  ,
-689  ,
-750  ,
-818  ,
-864  ,
-899  ,
-910  ,
-913  ,
-909  ,
-911  ,
-940  ,
-987  ,
-1051 ,
-1121 ,
-1186 ,
-1234 ,
-1249 ,
-1230 ,
-1189 ,
-1133 ,
-1069 ,
-998  ,
-945  ,
-900  ,
-872  ,
-855  ,
-847  ,
-855  ,
-845  ,
-844  ,
-813  ,
-785  ,
-736  ,
-695  ,
-645  ,
-604  ,
-559  ,
-524  ,
-502  ,
-492  ,
-503  ,
-510  ,
-526  ,
-521  ,
-490  ,
-443  ,
-360  ,
-259  ,
-148  ,
-40 ,
51  ,
132 ,
192 ,
247 ,
278 ,
308 ,
332 ,
364 ,
400 ,
427 ,
457 ,
474 ,
493 ,
498 ,
497 ,
486 ,
476 ,
450 ,
415 ,
372 ,
319 ,
259 ,
203 ,
151 ,
95  ,
41  ,
-22 ,
-59 ,
-93 ,
-112  ,
-119  ,
-121  ,
-121  ,
-110  ,
-108  ,
-95 ,
-87 ,
-64 ,
-44 ,
-2  ,
26  ,
65  ,
90  ,
122 ,
170 ,
236 ,
327 ,
428 ,
532 ,
627 ,
702 ,
763 ,
809 ,
832 ,
834 ,
826 ,
792 ,
762 ,
714 ,
688 ,
664 ,
664 ,
669 ,
670 ,
653 ,
637 ,
594 ,
551 ,
485 ,
428 ,
352 ,
276 ,
195 ,
121 ,
52  ,
-14 ,
-68 ,
-113  ,
-158  ,
-194  ,
-241  ,
-262  ,
-285  ,
-272  ,
-259  ,
-215  ,
-172  ,
-124  ,
-81 ,
-53 ,
-49 ,
-72 ,
-114  ,
-179  ,
-243  ,
-332  ,
-416  ,
-499  ,
-571  ,
-616  ,
-660  ,
-670  ,
-662  ,
-628  ,
-579  ,
-527  ,
-479  ,
-446  ,
-454  ,
-499  ,
-580  ,
-684  ,
-805  ,
-909  ,
-1003 ,
-1072 ,
-1127 ,
-1168 ,
-1193 ,
-1216 ,
-1235 ,
-1250 ,
-1269 ,
-1289 ,
-1308 ,
-1334 ,
-1359 ,
-1375 ,
-1382 ,
-1362 ,
-1337 ,
-1289 ,
-1244 ,
-1191 ,
-1149 ,
-1104 ,
-1063 ,
-1014 ,
-970  ,
-913  ,
-847  ,
-781  ,
-697  ,
-620  ,
-533  ,
-463  ,
-398  ,
-349  ,
-312  ,
-287  ,
-253  ,
-216  ,
-173  ,
-113  ,
-46 ,
18  ,
78  ,
124 ,
169 ,
220 ,
272 ,
340 ,
408 ,
480 ,
555 ,
632 ,
721 ,
793 ,
870 ,
918 ,
957 ,
985 ,
1011  ,
1044  ,
1087  ,
1128  ,
1190  ,
1225  ,
1272  ,
1305  ,
1347  ,
1384  ,
1422  ,
1453  ,
1479  ,
1491  ,
1496  ,
1499  ,
1515  ,
1522  ,
1549  ,
1574  ,
1599  ,
1607  ,
1602  ,
1599  ,
1581  ,
1559  ,
1518  ,
1452  ,
1367  ,
1255  ,
1142  ,
1015  ,
887 ,
781 ,
673 ,
599 ,
517 ,
464 ,
384 ,
305 ,
194 ,
69  ,
-97 ,
-276  ,
-469  ,
-650  ,
-811  ,
-928  ,
-998  ,
-1028 ,
-1030 ,
-1007 ,
-972  ,
-936  ,
-892  ,
-850  ,
-813  ,
-794  ,
-790  ,
-803  ,
-818  ,
-838  ,
-855  ,
-861  ,
-882  ,
-892  ,
-906  ,
-923  ,
-930  ,
-937  ,
-927  ,
-907  ,
-878  ,
-836  ,
-783  ,
-716  ,
-633  ,
-549  ,
-466  ,
-410  ,
-373  ,
-371  ,
-377  ,
-393  ,
-398  ,
-401  ,
-398  ,
-391  ,
-378  ,
-367  ,
-334  ,
-293  ,
-225  ,
-159  ,
-88 ,
-19 ,
38  ,
95  ,
132 ,
170 ,
194 ,
219 ,
235 ,
250 ,
254 ,
259 ,
273 ,
310 ,
362 ,
427 ,
488 ,
556 ,
621 ,
702 ,
788 ,
886 ,
980 ,
1057  ,
1123  ,
1183  ,
1231  ,
1281  ,
1304  ,
1323  ,
1322  ,
1310  ,
1298  ,
1279  ,
1276  ,
1276  ,
1285  ,
1289  ,
1283  ,
1252  ,
1202  ,
1122  ,
1038  ,
941 ,
855 ,
770 ,
697 ,
633 ,
584 ,
554 ,
539 ,
535 ,
526 ,
510 ,
478 ,
449 ,
416 ,
394 ,
387 ,
386 ,
396 ,
397 ,
396 ,
385 ,
378 ,
359 ,
347 ,
311 ,
255 ,
184 ,
93  ,
3 ,
-92 ,
-167  ,
-239  ,
-291  ,
-353  ,
-397  ,
-435  ,
-471  ,
-494  ,
-525  ,
-540  ,
-573  ,
-605  ,
-629  ,
-662  ,
-675  ,
-681  ,
-686  ,
-683  ,
-693  ,
-698  ,
-710  ,
-725  ,
-752  ,
-778  ,
-808  ,
-832  ,
-845  ,
-838  ,
-808  ,
-758  ,
-674  ,
-595  ,
-505  ,
-438  ,
-383  ,
-336  ,
-314  ,
-300  ,
-304  ,
-325  ,
-352  ,
-389  ,
-403  ,
-411  ,
-402  ,
-393  ,
-378  ,
-365  ,
-355  ,
-340  ,
-321  ,
-297  ,
-270  ,
-254  ,
-236  ,
-244  ,
-273  ,
-316  ,
-375  ,
-439  ,
-504  ,
-567  ,
-618  ,
-666  ,
-687  ,
-703  ,
-690  ,
-679  ,
-647  ,
-614  ,
-572  ,
-542  ,
-515  ,
-504  ,
-495  ,
-497  ,
-495  ,
-496  ,
-490  ,
-476  ,
-452  ,
-420  ,
-379  ,
-327  ,
-255  ,
-167  ,
-47 ,
82  ,
227 ,
363 ,
503 ,
628 ,
731 ,
815 ,
869 ,
906 ,
915 ,
925 ,
910 ,
897 ,
856 ,
838 ,
808 ,
796 ,
788 ,
790 ,
803 ,
823 ,
852 ,
886 ,
910 ,
922 ,
922 ,
904 ,
877 ,
830 ,
788 ,
744 ,
715 ,
692 ,
688 ,
688 ,
699 ,
715 ,
726 ,
735 ,
732 ,
725 ,
712 ,
685 ,
651 ,
605 ,
562 ,
513 ,
485 ,
467 ,
456 ,
455 ,
450 ,
441 ,
418 ,
383 ,
335 ,
276 ,
228 ,
173 ,
125 ,
62  ,
-18 ,
-101  ,
-203  ,
-306  ,
-420  ,
-536  ,
-644  ,
-748  ,
-844  ,
-940  ,
-1018 ,
-1102 ,
-1165 ,
-1224 ,
-1275 ,
-1322 ,
-1359 ,
-1387 ,
-1404 ,
-1401 ,
-1380 ,
-1359 ,
-1328 ,
-1293 ,
-1258 ,
-1216 ,
-1188 ,
-1159 ,
-1132 ,
-1122 ,
-1117 ,
-1121 ,
-1118 ,
-1124 ,
-1127 ,
-1137 ,
-1157 ,
-1179 ,
-1207 ,
-1218 ,
-1218 ,
-1198 ,
-1184 ,
-1152 ,
-1118 ,
-1065 ,
-1001 ,
-920  ,
-833  ,
-745  ,
-666  ,
-589  ,
-531  ,
-481  ,
-431  ,
-375  ,
-298  ,
-221  ,
-137  ,
-62 ,
19  ,
96  ,
195 ,
305 ,
434 ,
569 ,
695 ,
809 ,
907 ,
981 ,
1036  ,
1061  ,
1066  ,
1048  ,
1012  ,
980 ,
953 ,
953 ,
967 ,
1011  ,
1074  ,
1160  ,
1243  ,
1323  ,
1391  ,
1442  ,
1470  ,
1490  ,
1482  ,
1467  ,
1430  ,
1390  ,
1341  ,
1291  ,
1229  ,
1163  ,
1084  ,
1005  ,
915 ,
830 ,
746 ,
667 ,
587 ,
511 ,
442 ,
379 ,
324 ,
254 ,
189 ,
116 ,
41  ,
-42 ,
-135  ,
-223  ,
-318  ,
-395  ,
-463  ,
-504  ,
-529  ,
-537  ,
-524  ,
-498  ,
-456  ,
-398  ,
-339  ,
-277  ,
-229  ,
-197  ,
-178  ,
-181  ,
-175  ,
-177  ,
-165  ,
-165  ,
-148  ,
-149  ,
-142  ,
-138  ,
-146  ,
-151  ,
-167  ,
-182  ,
-209  ,
-253  ,
-292  ,
-352  ,
-404  ,
-450  ,
-477  ,
-485  ,
-498  ,
-497  ,
-496  ,
-482  ,
-460  ,
-433  ,
-391  ,
-343  ,
-288  ,
-230  ,
-182  ,
-143  ,
-116  ,
-106  ,
-96 ,
-88 ,
-73 ,
-58 ,
-31 ,
-5  ,
22  ,
55  ,
84  ,
120 ,
152 ,
186 ,
222 ,
259 ,
291 ,
317 ,
336 ,
345 ,
350 ,
344 ,
348 ,
351 ,
362 ,
364 ,
379 ,
383 ,
392 ,
397 ,
407 ,
401 ,
385 ,
345 ,
298 ,
231 ,
178 ,
123 ,
89  ,
57  ,
34  ,
14  ,
0 ,
-1  ,
-1  ,
16  ,
32  ,
43  ,
56  ,
52  ,
45  ,
25  ,
6 ,
-21 ,
-49 ,
-76 ,
-114  ,
-157  ,
-211  ,
-260  ,
-309  ,
-348  ,
-369  ,
-369  ,
-355  ,
-334  ,
-317  ,
-297  ,
-284  ,
-278  ,
-274  ,
-284  ,
-298  ,
-304  ,
-317  ,
-313  ,
-314  ,
-294  ,
-282  ,
-263  ,
-241  ,
-212  ,
-183  ,
-158  ,
-137  ,
-120  ,
-110  ,
-94 ,
-75 ,
-61 ,
-50 ,
-44 ,
-43 ,
-48 ,
-39 ,
-24 ,
19  ,
71  ,
142 ,
211 ,
293 ,
365 ,
432 ,
487 ,
529 ,
561 ,
586 ,
613 ,
622 ,
636 ,
633 ,
635 ,
641 ,
648 ,
646 ,
646 ,
629 ,
604 ,
561 ,
516 ,
463 ,
411 ,
352 ,
300 ,
226 ,
147 ,
55  ,
-35 ,
-125  ,
-204  ,
-264  ,
-314  ,
-348  ,
-385  ,
-407  ,
-443  ,
-465  ,
-497  ,
-508  ,
-516  ,
-525  ,
-528  ,
-541  ,
-548  ,
-564  ,
-569  ,
-564  ,
-554  ,
-538  ,
-520  ,
-506  ,
-472  ,
-437  ,
-389  ,
-326  ,
-253  ,
-169  ,
-94 ,
-26 ,
28  ,
64  ,
74  ,
73  ,
53  ,
16  ,
-18 ,
-57 ,
-81 ,
-99 ,
-111  ,
-109  ,
-103  ,
-91 ,
-71 ,
-43 ,
-17 ,
6 ,
30  ,
38  ,
37  ,
27  ,
30  ,
37  ,
69  ,
110 ,
155 ,
189 ,
215 ,
235 ,
252 ,
266 ,
274 ,
287 ,
274 ,
259 ,
236 ,
214 ,
201 ,
197 ,
202 ,
220 ,
235 ,
246 ,
258 ,
259 ,
257 ,
269 ,
279 ,
292 ,
292 ,
294 ,
291 ,
288 ,
280 ,
279 ,
266 ,
248 ,
221 ,
186 ,
145 ,
93  ,
48  ,
9 ,
-25 ,
-58 ,
-90 ,
-135  ,
-181  ,
-238  ,
-280  ,
-335  ,
-376  ,
-407  ,
-428  ,
-436  ,
-442  ,
-434  ,
-425  ,
-412  ,
-394  ,
-375  ,
-367  ,
-350  ,
-332  ,
-312  ,
-294  ,
-281  ,
-278  ,
-280  ,
-295  ,
-298  ,
-312  ,
-313  ,
-323  ,
-314  ,
-314  ,
-322  ,
-319  ,
-319  ,
-302  ,
-299  ,
-289  ,
-290  ,
-293  ,
-293  ,
-291  ,
-279  ,
-270  ,
-250  ,
-245  ,
-237  ,
-238  ,
-225  ,
-198  ,
-140  ,
-72 ,
15  ,
112 ,
211 ,
315 ,
409 ,
494 ,
553 ,
599 ,
628 ,
640 ,
644 ,
648 ,
653 ,
672 ,
678 ,
691 ,
701 ,
708 ,
722 ,
734 ,
752 ,
766 ,
789 ,
805 ,
812 ,
814 ,
797 ,
768 ,
721 ,
663 ,
582 ,
494 ,
406 ,
314 ,
231 ,
149 ,
64  ,
6 ,
-65 ,
-114  ,
-158  ,
-194  ,
-222  ,
-277  ,
-338  ,
-424  ,
-513  ,
-611  ,
-696  ,
-776  ,
-847  ,
-919  ,
-985  ,
-1036 ,
-1081 ,
-1110 ,
-1137 ,
-1142 ,
-1152 ,
-1138 ,
-1133 ,
-1105 ,
-1096 ,
-1078 ,
-1064 ,
-1047 ,
-1033 ,
-1015 ,
-995  ,
-963  ,
-927  ,
-879  ,
-823  ,
-763  ,
-705  ,
-645  ,
-590  ,
-537  ,
-499  ,
-463  ,
-442  ,
-435  ,
-427  ,
-420  ,
-402  ,
-376  ,
-337  ,
-301  ,
-252  ,
-215  ,
-163  ,
-124  ,
-79 ,
-42 ,
-2  ,
33  ,
64  ,
84  ,
108 ,
124 ,
156 ,
186 ,
245 ,
298 ,
368 ,
429 ,
496 ,
554 ,
613 ,
671 ,
717 ,
757 ,
784 ,
810 ,
827 ,
857 ,
879 ,
920 ,
960 ,
1007  ,
1053  ,
1094  ,
1122  ,
1139  ,
1139  ,
1133  ,
1119  ,
1099  ,
1068  ,
1023  ,
972 ,
912 ,
848 ,
774 ,
699 ,
613 ,
528 ,
441 ,
377 ,
317 ,
277 ,
247 ,
241 ,
249 ,
264 ,
283 ,
305 ,
323 ,
328 ,
322 ,
302 ,
260 ,
218 ,
154 ,
103 ,
35  ,
-30 ,
-99 ,
-163  ,
-217  ,
-266  ,
-305  ,
-336  ,
-357  ,
-386  ,
-410  ,
-450  ,
-486  ,
-540  ,
-600  ,
-662  ,
-734  ,
-801  ,
-877  ,
-935  ,
-970  ,
-1002 ,
-1011 ,
-1012 ,
-999  ,
-983  ,
-957  ,
-916  ,
-874  ,
-830  ,
-805  ,
-777  ,
-763  ,
-765  ,
-765  ,
-767  ,
-752  ,
-728  ,
-695  ,
-639  ,
-587  ,
-521  ,
-444  ,
-376  ,
-301  ,
-234  ,
-171  ,
-107  ,
-49 ,
6 ,
50  ,
86  ,
117 ,
143 ,
168 ,
191 ,
216 ,
244 ,
264 ,
281 ,
290 ,
300 ,
304 ,
316 ,
340 ,
377 ,
406 ,
446 ,
468 ,
482 ,
483 ,
493 ,
491 ,
503 ,
501 ,
499 ,
482 ,
451 ,
409 ,
361 ,
299 ,
233 ,
167 ,
107 ,
56  ,
21  ,
-4  ,
-10 ,
-15 ,
-4  ,
-5  ,
9 ,
34  ,
69  ,
102 ,
158 ,
217 ,
301 ,
374 ,
449 ,
531 ,
594 ,
657 ,
692 ,
732 ,
747 ,
768 ,
767 ,
783 ,
779 ,
777 ,
763 ,
752 ,
740 ,
715 ,
689 ,
645 ,
607 ,
557 ,
505 ,
445 ,
395 ,
348 ,
304 ,
278 ,
265 ,
263 ,
273 ,
281 ,
307 ,
317 ,
329 ,
335 ,
336 ,
337 ,
320 ,
306 ,
279 ,
241 ,
198 ,
141 ,
88  ,
30  ,
-27 ,
-65 ,
-112  ,
-144  ,
-177  ,
-194  ,
-199  ,
-195  ,
-184  ,
-175  ,
-171  ,
-184  ,
-212  ,
-244  ,
-284  ,
-334  ,
-384  ,
-445  ,
-508  ,
-579  ,
-640  ,
-692  ,
-735  ,
-761  ,
-769  ,
-775  ,
-774  ,
-782  ,
-777  ,
-775  ,
-776  ,
-780  ,
-795  ,
-827  ,
-847  ,
-870  ,
-870  ,
-864  ,
-835  ,
-801  ,
-762  ,
-734  ,
-708  ,
-683  ,
-662  ,
-634  ,
-596  ,
-546  ,
-506  ,
-470  ,
-440  ,
-420  ,
-399  ,
-389  ,
-375  ,
-362  ,
-341  ,
-332  ,
-306  ,
-282  ,
-243  ,
-194  ,
-140  ,
-77 ,
-13 ,
51  ,
118 ,
180 ,
248 ,
290 ,
341 ,
382 ,
434 ,
481 ,
536 ,
600 ,
668 ,
729 ,
781 ,
843 ,
881 ,
932 ,
957 ,
1005  ,
1046  ,
1089  ,
1128  ,
1156  ,
1191  ,
1221  ,
1261  ,
1307  ,
1352  ,
1395  ,
1438  ,
1474  ,
1514  ,
1557  ,
1593  ,
1644  ,
1666  ,
1691  ,
1681  ,
1669  ,
1654  ,
1632  ,
1598  ,
1550  ,
1489  ,
1411  ,
1312  ,
1219  ,
1121  ,
1037  ,
952 ,
857 ,
758 ,
642 ,
524 ,
403 ,
291 ,
173 ,
46  ,
-84 ,
-216  ,
-337  ,
-447  ,
-542  ,
-633  ,
-710  ,
-805  ,
-874  ,
-950  ,
-1005 ,
-1052 ,
-1087 ,
-1112 ,
-1122 ,
-1152 ,
-1179 ,
-1221 ,
-1257 ,
-1281 ,
-1304 ,
-1308 ,
-1314 ,
-1297 ,
-1292 ,
-1261 ,
-1227 ,
-1187 ,
-1149 ,
-1120 ,
-1096 ,
-1093 ,
-1096 ,
-1104 ,
-1110 ,
-1119 ,
-1140 ,
-1160 ,
-1190 ,
-1209 ,
-1220 ,
-1206 ,
-1178 ,
-1142 ,
-1106 ,
-1062 ,
-1021 ,
-972  ,
-925  ,
-886  ,
-834  ,
-802  ,
-769  ,
-742  ,
-707  ,
-661  ,
-609  ,
-564  ,
-512  ,
-454  ,
-408  ,
-348  ,
-283  ,
-201  ,
-121  ,
-50 ,
24  ,
80  ,
137 ,
193 ,
251 ,
315 ,
356 ,
402 ,
440 ,
480 ,
517 ,
575 ,
617 ,
678 ,
728 ,
787 ,
854 ,
907 ,
970 ,
1013  ,
1057  ,
1077  ,
1086  ,
1068  ,
1045  ,
1017  ,
991 ,
954 ,
922 ,
895 ,
871 ,
855 ,
840 ,
839 ,
836 ,
847 ,
852 ,
864 ,
866 ,
844 ,
831 ,
803 ,
786 ,
758 ,
732 ,
712 ,
690 ,
669 ,
651 ,
629 ,
613 ,
583 ,
554 ,
502 ,
445 ,
371 ,
295 ,
227 ,
161 ,
107 ,
50  ,
1 ,
-56 ,
-117  ,
-184  ,
-259  ,
-329  ,
-410  ,
-492  ,
-576  ,
-652  ,
-709  ,
-750  ,
-773  ,
-783  ,
-789  ,
-792  ,
-793  ,
-808  ,
-828  ,
-845  ,
-859  ,
-872  ,
-879  ,
-881  ,
-868  ,
-845  ,
-800  ,
-752  ,
-681  ,
-603  ,
-539  ,
-467  ,
-418  ,
-363  ,
-331  ,
-317  ,
-303  ,
-299  ,
-288  ,
-294  ,
-292  ,
-310  ,
-324  ,
-353  ,
-381  ,
-410  ,
-430  ,
-437  ,
-431  ,
-401  ,
-381  ,
-350  ,
-350  ,
-343  ,
-355  ,
-381  ,
-418  ,
-449  ,
-473  ,
-493  ,
-497  ,
-513  ,
-510  ,
-525  ,
-530  ,
-540  ,
-557  ,
-573  ,
-602  ,
-613  ,
-631  ,
-627  ,
-621  ,
-606  ,
-583  ,
-555  ,
-516  ,
-461  ,
-390  ,
-298  ,
-196  ,
-83 ,
17  ,
117 ,
199 ,
279 ,
354 ,
424 ,
485 ,
537 ,
582 ,
619 ,
654 ,
692 ,
727 ,
767 ,
807 ,
856 ,
902 ,
935 ,
963 ,
986 ,
1009  ,
1028  ,
1037  ,
1050  ,
1051  ,
1041  ,
1033  ,
1034  ,
1046  ,
1048  ,
1053  ,
1055  ,
1044  ,
1029  ,
1000  ,
988 ,
972 ,
951 ,
932 ,
893 ,
850 ,
796 ,
755 ,
726 ,
699 ,
680 ,
669 ,
643 ,
623 ,
585 ,
560 ,
535 ,
526 ,
510 ,
501 ,
478 ,
465 ,
444 ,
431 ,
414 ,
387 ,
350 ,
287 ,
212 ,
119 ,
25  ,
-85 ,
-178  ,
-272  ,
-356  ,
-439  ,
-506  ,
-556  ,
-577  ,
-598  ,
-585  ,
-601  ,
-613  ,
-659  ,
-695  ,
-756  ,
-813  ,
-885  ,
-940  ,
-993  ,
-1021 ,
-1030 ,
-1026 ,
-1004 ,
-983  ,
-957  ,
-935  ,
-917  ,
-910  ,
-898  ,
-886  ,
-869  ,
-864  ,
-868  ,
-872  ,
-887  ,
-889  ,
-915  ,
-942  ,
-961  ,
-984  ,
-991  ,
-995  ,
-990  ,
-968  ,
-947  ,
-896  ,
-843  ,
-783  ,
-736  ,
-691  ,
-653  ,
-626  ,
-613  ,
-593  ,
-584  ,
-560  ,
-539  ,
-488  ,
-422  ,
-342  ,
-240  ,
-130  ,
-28 ,
74  ,
155 ,
227 ,
293 ,
346 ,
396 ,
450 ,
501 ,
564 ,
628 ,
692 ,
757 ,
821 ,
888 ,
942 ,
999 ,
1037  ,
1065  ,
1080  ,
1105  ,
1131  ,
1163  ,
1189  ,
1225  ,
1261  ,
1305  ,
1343  ,
1378  ,
1389  ,
1387  ,
1354  ,
1320  ,
1258  ,
1192  ,
1125  ,
1048  ,
968 ,
874 ,
769 ,
664 ,
561 ,
467 ,
376 ,
294 ,
212 ,
124 ,
37  ,
-54 ,
-148  ,
-226  ,
-296  ,
-354  ,
-390  ,
-420  ,
-435  ,
-435  ,
-432  ,
-408  ,
-397  ,
-380  ,
-367  ,
-367  ,
-354  ,
-351  ,
-329  ,
-301  ,
-276  ,
-252  ,
-237  ,
-232  ,
-236  ,
-241  ,
-249  ,
-262  ,
-280  ,
-312  ,
-363  ,
-415  ,
-466  ,
-510  ,
-548  ,
-582  ,
-614  ,
-644  ,
-667  ,
-692  ,
-705  ,
-710  ,
-714  ,
-709  ,
-710  ,
-715  ,
-725  ,
-734  ,
-740  ,
-736  ,
-739  ,
-714  ,
-699  ,
-668  ,
-631  ,
-588  ,
-531  ,
-482  ,
-426  ,
-380  ,
-333  ,
-289  ,
-240  ,
-184  ,
-129  ,
-73 ,
-32 ,
1 ,
12  ,
6 ,
2 ,
-17 ,
-22 ,
-25 ,
-18 ,
-9  ,
-4  ,
5 ,
6 ,
8 ,
11  ,
3 ,
-7  ,
-34 ,
-63 ,
-87 ,
-110  ,
-119  ,
-118  ,
-119  ,
-115  ,
-114  ,
-105  ,
-86 ,
-71 ,
-53 ,
-38 ,
-19 ,
-7  ,
-1  ,
-6  ,
-9  ,
-3  ,
1 ,
18  ,
23  ,
37  ,
31  ,
43  ,
41  ,
46  ,
40  ,
34  ,
25  ,
15  ,
6 ,
-7  ,
-6  ,
-3  ,
3 ,
2 ,
-8  ,
-19 ,
-37 ,
-55 ,
-62 ,
-78 ,
-99 ,
-123  ,
-151  ,
-165  ,
-184  ,
-188  ,
-186  ,
-178  ,
-161  ,
-144  ,
-137  ,
-137  ,
-136  ,
-135  ,
-129  ,
-117  ,
-100  ,
-68 ,
-36 ,
15  ,
67  ,
139 ,
206 ,
281 ,
353 ,
414 ,
465 ,
505 ,
533 ,
556 ,
564 ,
558 ,
554 ,
533 ,
523 ,
507 ,
501 ,
493 ,
487 ,
480 ,
461 ,
441 ,
415 ,
398 ,
376 ,
365 ,
337 ,
305 ,
260 ,
203 ,
165 ,
124 ,
95  ,
56  ,
26  ,
-31 ,
-82 ,
-162  ,
-233  ,
-313  ,
-390  ,
-464  ,
-527  ,
-586  ,
-631  ,
-654  ,
-648  ,
-627  ,
-572  ,
-522  ,
-458  ,
-402  ,
-352  ,
-307  ,
-265  ,
-218  ,
-168  ,
-108  ,
-56 ,
5 ,
56  ,
97  ,
126 ,
135 ,
132 ,
123 ,
106 ,
98  ,
102 ,
107 ,
126 ,
147 ,
158 ,
171 ,
172 ,
174 ,
161 ,
152 ,
145 ,
136 ,
131 ,
124 ,
124 ,
118 ,
123 ,
139 ,
157 ,
192 ,
220 ,
256 ,
298 ,
325 ,
352 ,
362 ,
354 ,
333 ,
298 ,
276 ,
246 ,
235 ,
213 ,
203 ,
186 ,
179 ,
183 ,
197 ,
216 ,
235 ,
262 ,
287 ,
325 ,
366 ,
396 ,
428 ,
446 ,
456 ,
457 ,
433 ,
413 ,
368 ,
321 ,
272 ,
219 ,
176 ,
131 ,
107 ,
98  ,
100 ,
115 ,
123 ,
142 ,
131 ,
127 ,
104 ,
88  ,
48  ,
13  ,
-30 ,
-78 ,
-133  ,
-179  ,
-210  ,
-226  ,
-230  ,
-225  ,
-195  ,
-177  ,
-139  ,
-115  ,
-83 ,
-61 ,
-52 ,
-53 ,
-62 ,
-73 ,
-79 ,
-88 ,
-84 ,
-76 ,
-73 ,
-65 ,
-72 ,
-64 ,
-67 ,
-60 ,
-57 ,
-49 ,
-48 ,
-52 ,
-50 ,
-49 ,
-46 ,
-47 ,
-39 ,
-31 ,
-14 ,
-2  ,
18  ,
28  ,
40  ,
46  ,
64  ,
94  ,
124 ,
156 ,
194 ,
233 ,
286 ,
322 ,
372 ,
409 ,
455 ,
495 ,
541 ,
592 ,
633 ,
668 ,
697 ,
709 ,
712 ,
708 ,
691 ,
686 ,
676 ,
660 ,
643 ,
632 ,
610 ,
603 ,
574 ,
563 ,
530 ,
509 ,
478 ,
453 ,
441 ,
414 ,
393 ,
356 ,
308 ,
239 ,
152 ,
55  ,
-59 ,
-173  ,
-299  ,
-413  ,
-524  ,
-624  ,
-715  ,
-785  ,
-834  ,
-874  ,
-896  ,
-918  ,
-940  ,
-956  ,
-966  ,
-970  ,
-953  ,
-943  ,
-899  ,
-881  ,
-846  ,
-835  ,
-812  ,
-799  ,
-774  ,
-739  ,
-704  ,
-665  ,
-625  ,
-577  ,
-516  ,
-447  ,
-370  ,
-294  ,
-221  ,
-161  ,
-111  ,
-84 ,
-64 ,
-65 ,
-67 ,
-81 ,
-101  ,
-121  ,
-126  ,
-124  ,
-101  ,
-72 ,
-39 ,
-9  ,
18  ,
41  ,
54  ,
65  ,
59  ,
45  ,
32  ,
11  ,
5 ,
3 ,
26  ,
58  ,
117 ,
165 ,
234 ,
297 ,
375 ,
457 ,
536 ,
611 ,
673 ,
731 ,
769 ,
797 ,
814 ,
834 ,
856 ,
875 ,
892 ,
903 ,
898 ,
883 ,
863 ,
838 ,
799 ,
746 ,
693 ,
640 ,
599 ,
553 ,
518 ,
500 ,
466 ,
440 ,
396 ,
346 ,
294 ,
235 ,
192 ,
148 ,
122 ,
93  ,
69  ,
38  ,
4 ,
-29 ,
-68 ,
-98 ,
-111  ,
-118  ,
-114  ,
-116  ,
-116  ,
-115  ,
-115  ,
-123  ,
-139  ,
-158  ,
-187  ,
-218  ,
-239  ,
-260  ,
-286  ,
-324  ,
-366  ,
-430  ,
-493  ,
-582  ,
-644  ,
-705  ,
-746  ,
-782  ,
-817  ,
-855  ,
-904  ,
-948  ,
-987  ,
-1019 ,
-1056 ,
-1081 ,
-1109 ,
-1132 ,
-1160 ,
-1182 ,
-1199 ,
-1202 ,
-1202 ,
-1195 ,
-1181 ,
-1147 ,
-1102 ,
-1027 ,
-933  ,
-832  ,
-733  ,
-654  ,
-588  ,
-535  ,
-491  ,
-451  ,
-414  ,
-378  ,
-346  ,
-319  ,
-294  ,
-276  ,
-247  ,
-235  ,
-210  ,
-205  ,
-192  ,
-194  ,
-170  ,
-146  ,
-101  ,
-49 ,
9 ,
59  ,
102 ,
129 ,
143 ,
152 ,
139 ,
128 ,
102 ,
78  ,
38  ,
8 ,
-25 ,
-36 ,
-38 ,
-38 ,
-37 ,
-41 ,
-60 ,
-84 ,
-107  ,
-122  ,
-132  ,
-146  ,
-155  ,
-168  ,
-163  ,
-147  ,
-97 ,
-35 ,
54  ,
150 ,
243 ,
338 ,
419 ,
491 ,
560 ,
606 ,
658 ,
684 ,
704 ,
722 ,
730 ,
746 ,
764 ,
781 ,
805 ,
810 ,
824 ,
814 ,
819 ,
805 ,
792 ,
773 ,
739 ,
713 ,
665 ,
639 ,
615 ,
607 ,
613 ,
613 ,
617 ,
610 ,
598 ,
572 ,
549 ,
525 ,
506 ,
486 ,
466 ,
451 ,
428 ,
411 ,
391 ,
377 ,
353 ,
341 ,
315 ,
291 ,
265 ,
230 ,
210 ,
187 ,
163 ,
137 ,
98  ,
69  ,
27  ,
-3  ,
-42 ,
-89 ,
-149  ,
-221  ,
-296  ,
-370  ,
-435  ,
-497  ,
-540  ,
-575  ,
-612  ,
-639  ,
-674  ,
-692  ,
-705  ,
-706  ,
-712  ,
-717  ,
-744  ,
-764  ,
-780  ,
-793  ,
-795  ,
-814  ,
-823  ,
-845  ,
-858  ,
-878  ,
-879  ,
-878  ,
-854  ,
-841  ,
-821  ,
-818  ,
-803  ,
-799  ,
-763  ,
-732  ,
-699  ,
-674  ,
-664  ,
-662  ,
-676  ,
-691  ,
-696  ,
-684  ,
-663  ,
-622  ,
-581  ,
-510  ,
-445  ,
-342  ,
-247  ,
-145  ,
-68 ,
-14 ,
32  ,
53  ,
82  ,
96  ,
115 ,
127 ,
148 ,
169 ,
207 ,
257 ,
319 ,
396 ,
474 ,
543 ,
604 ,
647 ,
683 ,
716 ,
759 ,
798 ,
840 ,
876 ,
929 ,
970 ,
1016  ,
1066  ,
1129  ,
1202  ,
1259  ,
1315  ,
1354  ,
1381  ,
1403  ,
1418  ,
1432  ,
1426  ,
1410  ,
1381  ,
1358  ,
1337  ,
1327  ,
1325  ,
1339  ,
1348  ,
1347  ,
1336  ,
1297  ,
1244  ,
1173  ,
1101  ,
1017  ,
936 ,
840 ,
746 ,
646 ,
548 ,
449 ,
342 ,
229 ,
106 ,
-35 ,
-173  ,
-303  ,
-418  ,
-515  ,
-602  ,
-668  ,
-713  ,
-752  ,
-771  ,
-774  ,
-765  ,
-755  ,
-757  ,
-760  ,
-789  ,
-824  ,
-856  ,
-874  ,
-870  ,
-853  ,
-834  ,
-816  ,
-798  ,
-796  ,
-772  ,
-758  ,
-735  ,
-725  ,
-722  ,
-730  ,
-747  ,
-758  ,
-763  ,
-756  ,
-745  ,
-745  ,
-744  ,
-759  ,
-762  ,
-760  ,
-757  ,
-746  ,
-736  ,
-727  ,
-739  ,
-750  ,
-774  ,
-770  ,
-775  ,
-753  ,
-735  ,
-697  ,
-666  ,
-619  ,
-565  ,
-500  ,
-443  ,
-380  ,
-327  ,
-255  ,
-191  ,
-91 ,
8 ,
123 ,
233 ,
315 ,
384 ,
410 ,
428 ,
436 ,
438 ,
445 ,
457 ,
469 ,
496 ,
530 ,
570 ,
610 ,
658 ,
706 ,
744 ,
771 ,
783 ,
787 ,
775 ,
768 ,
758 ,
757 ,
744 ,
733 ,
715 ,
708 ,
694 ,
691 ,
701 ,
703 ,
707 ,
691 ,
669 ,
641 ,
612 ,
589 ,
577 ,
572 ,
576 ,
581 ,
596 ,
622 ,
650 ,
674 ,
695 ,
707 ,
700 ,
683 ,
655 ,
626 ,
599 ,
581 ,
554 ,
531 ,
495 ,
456 ,
411 ,
362 ,
321 ,
259 ,
199 ,
116 ,
34  ,
-60 ,
-133  ,
-216  ,
-284  ,
-353  ,
-420  ,
-478  ,
-530  ,
-567  ,
-598  ,
-623  ,
-645  ,
-669  ,
-686  ,
-705  ,
-706  ,
-693  ,
-658  ,
-607  ,
-560  ,
-505  ,
-468  ,
-426  ,
-390  ,
-359  ,
-329  ,
-310  ,
-306  ,
-311  ,
-334  ,
-345  ,
-359  ,
-369  ,
-372  ,
-386  ,
-396  ,
-425  ,
-447  ,
-470  ,
-482  ,
-499  ,
-501  ,
-518  ,
-526  ,
-536  ,
-548  ,
-554  ,
-566  ,
-585  ,
-615  ,
-656  ,
-700  ,
-752  ,
-808  ,
-851  ,
-887  ,
-912  ,
-932  ,
-943  ,
-939  ,
-930  ,
-905  ,
-873  ,
-838  ,
-808  ,
-783  ,
-764  ,
-743  ,
-721  ,
-688  ,
-641  ,
-581  ,
-505  ,
-428  ,
-337  ,
-245  ,
-148  ,
-59 ,
10  ,
65  ,
103 ,
124 ,
147 ,
167 ,
198 ,
230 ,
257 ,
290 ,
321 ,
365 ,
412 ,
488 ,
552 ,
631 ,
684 ,
739 ,
773 ,
795 ,
805 ,
816 ,
810 ,
817 ,
810 ,
817 ,
818 ,
826 ,
842 ,
862 ,
887 ,
911 ,
922 ,
928 ,
933 ,
931 ,
940 ,
947 ,
960 ,
973 ,
979 ,
992 ,
993 ,
1001  ,
1004  ,
998 ,
983 ,
937 ,
887 ,
815 ,
755 ,
695 ,
648 ,
601 ,
558 ,
503 ,
437 ,
378 ,
303 ,
253 ,
198 ,
150 ,
104 ,
51  ,
7 ,
-50 ,
-81 ,
-121  ,
-143  ,
-179  ,
-210  ,
-243  ,
-276  ,
-314  ,
-352  ,
-403  ,
-455  ,
-525  ,
-591  ,
-648  ,
-682  ,
-689  ,
-682  ,
-658  ,
-647  ,
-638  ,
-655  ,
-680  ,
-723  ,
-755  ,
-798  ,
-829  ,
-869  ,
-902  ,
-929  ,
-950  ,
-948  ,
-958  ,
-946  ,
-958  ,
-953  ,
-970  ,
-975  ,
-985  ,
-972  ,
-963  ,
-940  ,
-916  ,
-888  ,
-853  ,
-818  ,
-781  ,
-747  ,
-729  ,
-723  ,
-724  ,
-730  ,
-732  ,
-718  ,
-689  ,
-642  ,
-582  ,
-520  ,
-443  ,
-365  ,
-280  ,
-182  ,
-96 ,
-7  ,
57  ,
115 ,
156 ,
196 ,
226 ,
264 ,
307 ,
361 ,
416 ,
485 ,
548 ,
623 ,
686 ,
749 ,
795 ,
829 ,
846 ,
851 ,
855 ,
858 ,
865 ,
888 ,
909 ,
940 ,
961 ,
985 ,
997 ,
1023  ,
1036  ,
1043  ,
1040  ,
1017  ,
977 ,
932 ,
872 ,
811 ,
743 ,
665 ,
594 ,
517 ,
440 ,
350 ,
275 ,
182 ,
109 ,
24  ,
-44 ,
-114  ,
-163  ,
-206  ,
-239  ,
-257  ,
-279  ,
-287  ,
-287  ,
-277  ,
-259  ,
-223  ,
-192  ,
-149  ,
-128  ,
-112  ,
-110  ,
-113  ,
-112  ,
-115  ,
-104  ,
-95 ,
-79 ,
-73 ,
-61 ,
-55 ,
-39 ,
-29 ,
-20 ,
-21 ,
-28 ,
-45 ,
-67 ,
-94 ,
-118  ,
-141  ,
-170  ,
-209  ,
-245  ,
-296  ,
-347  ,
-400  ,
-448  ,
-481  ,
-515  ,
-530  ,
-534  ,
-519  ,
-487  ,
-435  ,
-373  ,
-309  ,
-259  ,
-212  ,
-176  ,
-140  ,
-102  ,
-58 ,
2 ,
57  ,
116 ,
161 ,
194 ,
202 ,
186 ,
156 ,
105 ,
44  ,
-17 ,
-67 ,
-102  ,
-117  ,
-100  ,
-78 ,
-31 ,
6 ,
52  ,
88  ,
113 ,
129 ,
124 ,
113 ,
84  ,
46  ,
-2  ,
-44 ,
-81 ,
-100  ,
-96 ,
-84 ,
-55 ,
-17 ,
22  ,
79  ,
133 ,
183 ,
213 ,
218 ,
205 ,
175 ,
147 ,
114 ,
99  ,
92  ,
104 ,
125 ,
145 ,
174 ,
188 ,
216 ,
220 ,
243 ,
247 ,
263 ,
268 ,
278 ,
279 ,
274 ,
266 ,
246 ,
215 ,
175 ,
125 ,
78  ,
20  ,
-23 ,
-78 ,
-125  ,
-170  ,
-209  ,
-246  ,
-278  ,
-311  ,
-319  ,
-329  ,
-319  ,
-308  ,
-286  ,
-254  ,
-213  ,
-164  ,
-110  ,
-65 ,
-23 ,
13  ,
42  ,
75  ,
104 ,
135 ,
162 ,
178 ,
203 ,
226 ,
258 ,
279 ,
316 ,
337 ,
370 ,
383 ,
400 ,
403 ,
406 ,
397 ,
390 ,
370 ,
341 ,
298 ,
239 ,
179 ,
110 ,
45  ,
-6  ,
-63 ,
-107  ,
-166  ,
-215  ,
-268  ,
-303  ,
-345  ,
-385  ,
-420  ,
-468  ,
-521  ,
-578  ,
-620  ,
-650  ,
-659  ,
-661  ,
-649  ,
-637  ,
-630  ,
-621  ,
-616  ,
-606  ,
-592  ,
-579  ,
-552  ,
-506  ,
-455  ,
-391  ,
-327  ,
-267  ,
-215  ,
-184  ,
-174  ,
-166  ,
-180  ,
-179  ,
-183  ,
-184  ,
-187  ,
-201  ,
-200  ,
-203  ,
-186  ,
-158  ,
-120  ,
-70 ,
-15 ,
42  ,
94  ,
137 ,
158 ,
167 ,
159 ,
134 ,
106 ,
66  ,
46  ,
35  ,
40  ,
69  ,
97  ,
142 ,
178 ,
227 ,
281 ,
344 ,
423 ,
497 ,
564 ,
620 ,
657 ,
680 ,
688 ,
694 ,
691 ,
675 ,
644 ,
609 ,
557 ,
499 ,
439 ,
380 ,
323 ,
281 ,
239 ,
210 ,
179 ,
154 ,
138 ,
123 ,
119 ,
107 ,
102 ,
92  ,
91  ,
89  ,
97  ,
84  ,
75  ,
52  ,
26  ,
-2  ,
-17 ,
-29 ,
-39 ,
-53 ,
-74 ,
-100  ,
-123  ,
-140  ,
-140  ,
-131  ,
-121  ,
-107  ,
-114  ,
-127  ,
-156  ,
-177  ,
-197  ,
-212  ,
-224  ,
-227  ,
-238  ,
-244  ,
-252  ,
-250  ,
-238  ,
-218  ,
-200  ,
-177  ,
-172  ,
-159  ,
-164  ,
-154  ,
-151  ,
-148  ,
-158  ,
-173  ,
-194  ,
-213  ,
-221  ,
-228  ,
-214  ,
-223  ,
-226  ,
-240  ,
-254  ,
-257  ,
-261  ,
-245  ,
-225  ,
-194  ,
-156  ,
-120  ,
-58 ,
-4  ,
69  ,
120 ,
176 ,
215 ,
240 ,
266 ,
287 ,
315 ,
339 ,
369 ,
389 ,
402 ,
406 ,
410 ,
430 ,
454 ,
487 ,
503 ,
513 ,
505 ,
503 ,
502 ,
506 ,
511 ,
508 ,
500 ,
478 ,
460 ,
436 ,
409 ,
393 ,
373 ,
355 ,
322 ,
275 ,
221 ,
163 ,
104 ,
54  ,
4 ,
-52 ,
-118  ,
-177  ,
-242  ,
-302  ,
-358  ,
-412  ,
-453  ,
-492  ,
-534  ,
-560  ,
-579  ,
-591  ,
-598  ,
-606  ,
-621  ,
-626  ,
-641  ,
-646  ,
-645  ,
-636  ,
-610  ,
-587  ,
-554  ,
-515  ,
-482  ,
-442  ,
-417  ,
-380  ,
-358  ,
-331  ,
-308  ,
-274  ,
-235  ,
-192  ,
-145  ,
-103  ,
-70 ,
-51 ,
-41 ,
-24 ,
-8  ,
8 ,
28  ,
38  ,
37  ,
22  ,
-3  ,
-16 ,
-38 ,
-38 ,
-51 ,
-62 ,
-75 ,
-89 ,
-88 ,
-76 ,
-42 ,
8 ,
70  ,
139 ,
207 ,
280 ,
351 ,
422 ,
487 ,
549 ,
597 ,
656 ,
682 ,
716 ,
722 ,
730 ,
718 ,
708 ,
691 ,
678 ,
663 ,
653 ,
647 ,
644 ,
638 ,
626 ,
603 ,
585 ,
563 ,
544 ,
524 ,
498 ,
469 ,
429 ,
393 ,
361 ,
338 ,
321 ,
306 ,
294 ,
274 ,
255 ,
232 ,
213 ,
206 ,
201 ,
208 ,
212 ,
209 ,
204 ,
176 ,
156 ,
137 ,
124 ,
105 ,
76  ,
50  ,
17  ,
-3  ,
-23 ,
-33 ,
-45 ,
-59 ,
-80 ,
-99 ,
-119  ,
-145  ,
-154  ,
-174  ,
-182  ,
-211  ,
-233  ,
-263  ,
-293  ,
-323  ,
-367  ,
-411  ,
-463  ,
-527  ,
-582  ,
-641  ,
-683  ,
-740  ,
-778  ,
-823  ,
-857  ,
-887  ,
-907  ,
-893  ,
-867  ,
-814  ,
-757  ,
-690  ,
-614  ,
-540  ,
-448  ,
-361  ,
-278  ,
-210  ,
-168  ,
-130  ,
-113  ,
-103  ,
-96 ,
-89 ,
-67 ,
-54 ,
-32 ,
-15 ,
14  ,
52  ,
92  ,
144 ,
187 ,
223 ,
243 ,
257 ,
259 ,
255 ,
245 ,
228 ,
208 ,
173 ,
130 ,
74  ,
18  ,
-42 ,
-89 ,
-133  ,
-158  ,
-184  ,
-192  ,
-194  ,
-195  ,
-189  ,
-199  ,
-200  ,
-226  ,
-252  ,
-295  ,
-336  ,
-371  ,
-383  ,
-377  ,
-354  ,
-320  ,
-266  ,
-215  ,
-150  ,
-77 ,
-3  ,
67  ,
138 ,
199 ,
249 ,
299 ,
327 ,
367 ,
398 ,
420 ,
441 ,
460 ,
483 ,
499 ,
516 ,
534 ,
539 ,
553 ,
555 ,
566 ,
579 ,
595 ,
611 ,
617 ,
624 ,
611 ,
597 ,
573 ,
560 ,
535 ,
520 ,
503 ,
476 ,
456 ,
442 ,
435 ,
451 ,
471 ,
505 ,
530 ,
555 ,
561 ,
562 ,
560 ,
566 ,
575 ,
577 ,
577 ,
551 ,
522 ,
470 ,
408 ,
336 ,
253 ,
177 ,
82  ,
-13 ,
-105  ,
-191  ,
-260  ,
-332  ,
-383  ,
-446  ,
-484  ,
-524  ,
-544  ,
-556  ,
-568  ,
-578  ,
-595  ,
-620  ,
-643  ,
-682  ,
-712  ,
-761  ,
-793  ,
-832  ,
-873  ,
-897  ,
-925  ,
-935  ,
-943  ,
-951  ,
-939  ,
-937  ,
-918  ,
-915  ,
-893  ,
-879  ,
-853  ,
-827  ,
-789  ,
-772  ,
-764  ,
-774  ,
-786  ,
-789  ,
-794  ,
-792  ,
-797  ,
-797  ,
-806  ,
-797  ,
-782  ,
-750  ,
-701  ,
-643  ,
-575  ,
-513  ,
-451  ,
-394  ,
-341  ,
-300  ,
-266  ,
-250  ,
-245  ,
-263  ,
-286  ,
-309  ,
-313  ,
-305  ,
-276  ,
-227  ,
-173  ,
-109  ,
-47 ,
24  ,
88  ,
154 ,
217 ,
263 ,
311 ,
347 ,
382 ,
411 ,
434 ,
458 ,
485 ,
521 ,
562 ,
625 ,
691 ,
788 ,
879 ,
979 ,
1073  ,
1147  ,
1216  ,
1262  ,
1306  ,
1333  ,
1354  ,
1356  ,
1350  ,
1323  ,
1301  ,
1253  ,
1218  ,
1157  ,
1100  ,
1037  ,
977 ,
922 ,
873 ,
836 ,
786 ,
751 ,
689 ,
630 ,
562 ,
478 ,
397 ,
319 ,
233 ,
161 ,
71  ,
-5  ,
-84 ,
-161  ,
-220  ,
-268  ,
-306  ,
-340  ,
-382  ,
-417  ,
-456  ,
-491  ,
-523  ,
-555  ,
-594  ,
-619  ,
-654  ,
-670  ,
-695  ,
-709  ,
-728  ,
-746  ,
-755  ,
-773  ,
-776  ,
-783  ,
-780  ,
-773  ,
-764  ,
-752  ,
-753  ,
-752  ,
-753  ,
-746  ,
-724  ,
-703  ,
-686  ,
-675  ,
-684  ,
-693  ,
-726  ,
-752  ,
-790  ,
-826  ,
-875  ,
-913  ,
-951  ,
-961  ,
-958  ,
-919  ,
-864  ,
-784  ,
-701  ,
-612  ,
-527  ,
-435  ,
-349  ,
-254  ,
-177  ,
-99 ,
-54 ,
-15 ,
16  ,
48  ,
82  ,
122 ,
156 ,
190 ,
208 ,
212 ,
203 ,
205 ,
205 ,
234 ,
279 ,
326 ,
382 ,
430 ,
481 ,
519 ,
552 ,
562 ,
574 ,
559 ,
543 ,
516 ,
495 ,
480 ,
483 ,
489 ,
510 ,
523 ,
551 ,
573 ,
604 ,
627 ,
648 ,
651 ,
639 ,
619 ,
588 ,
560 ,
532 ,
515 ,
496 ,
484 ,
471 ,
466 ,
474 ,
495 ,
531 ,
583 ,
629 ,
680 ,
716 ,
750 ,
779 ,
793 ,
805 ,
796 ,
778 ,
740 ,
681 ,
615 ,
538 ,
470 ,
397 ,
340 ,
263 ,
205 ,
156 ,
125 ,
114 ,
105 ,
100 ,
91  ,
84  ,
63  ,
46  ,
12  ,
-12 ,
-29 ,
-41 ,
-42 ,
-53 ,
-55 ,
-53 ,
-40 ,
-20 ,
0 ,
26  ,
41  ,
63  ,
71  ,
86  ,
87  ,
91  ,
80  ,
70  ,
47  ,
33  ,
12  ,
4 ,
-5  ,
-22 ,
-34 ,
-63 ,
-97 ,
-143  ,
-183  ,
-220  ,
-255  ,
-279  ,
-299  ,
-305  ,
-325  ,
-342  ,
-368  ,
-404  ,
-443  ,
-499  ,
-556  ,
-630  ,
-704  ,
-769  ,
-827  ,
-869  ,
-899  ,
-914  ,
-916  ,
-901  ,
-878  ,
-847  ,
-807  ,
-778  ,
-748  ,
-726  ,
-710  ,
-688  ,
-660  ,
-613  ,
-570  ,
-508  ,
-454  ,
-390  ,
-327  ,
-268  ,
-202  ,
-135  ,
-64 ,
6 ,
73  ,
132 ,
186 ,
243 ,
302 ,
365 ,
434 ,
508 ,
576 ,
643 ,
700 ,
745 ,
775 ,
791 ,
795 ,
790 ,
781 ,
772 ,
749 ,
729 ,
702 ,
678 ,
665 ,
648 ,
650 ,
654 ,
662 ,
667 ,
672 ,
681 ,
697 ,
719 ,
747 ,
782 ,
813 ,
838 ,
853 ,
872 ,
874 ,
897 ,
910 ,
940 ,
959 ,
978 ,
988 ,
987 ,
975 ,
952 ,
919 ,
881 ,
833 ,
768 ,
694 ,
611 ,
528 ,
441 ,
370 ,
301 ,
243 ,
195 ,
154 ,
124 ,
101 ,
70  ,
52  ,
20  ,
-7  ,
-44 ,
-83 ,
-122  ,
-172  ,
-225  ,
-290  ,
-351  ,
-405  ,
-466  ,
-503  ,
-549  ,
-578  ,
-609  ,
-637  ,
-653  ,
-679  ,
-696  ,
-726  ,
-759  ,
-794  ,
-832  ,
-865  ,
-899  ,
-927  ,
-949  ,
-965  ,
-986  ,
-1003 ,
-1040 ,
-1065 ,
-1113 ,
-1145 ,
-1181 ,
-1196 ,
-1205 ,
-1183 ,
-1157 ,
-1115 ,
-1072 ,
-1022 ,
-982  ,
-937  ,
-906  ,
-871  ,
-851  ,
-831  ,
-824  ,
-817  ,
-815  ,
-805  ,
-785  ,
-742  ,
-683  ,
-615  ,
-530  ,
-448  ,
-356  ,
-279  ,
-197  ,
-122  ,
-55 ,
13  ,
66  ,
131 ,
179 ,
241 ,
299 ,
371 ,
449 ,
534 ,
628 ,
728 ,
834 ,
930 ,
1009  ,
1068  ,
1104  ,
1130  ,
1127  ,
1123  ,
1095  ,
1065  ,
1028  ,
983 ,
941 ,
881 ,
825 ,
755 ,
697 ,
627 ,
583 ,
534 ,
510 ,
456 ,
415 ,
350 ,
286 ,
209 ,
140 ,
70  ,
8 ,
-52 ,
-105  ,
-164  ,
-218  ,
-260  ,
-295  ,
-311  ,
-331  ,
-339  ,
-354  ,
-373  ,
-388  ,
-397  ,
-393  ,
-375  ,
-345  ,
-311  ,
-277  ,
-246  ,
-205  ,
-178  ,
-132  ,
-104  ,
-56 ,
-28 ,
9 ,
28  ,
44  ,
52  ,
33  ,
15  ,
-23 ,
-60 ,
-99 ,
-129  ,
-154  ,
-177  ,
-195  ,
-214  ,
-246  ,
-289  ,
-320  ,
-358  ,
-375  ,
-393  ,
-398  ,
-396  ,
-388  ,
-362  ,
-339  ,
-297  ,
-276  ,
-233  ,
-210  ,
-189  ,
-185  ,
-180  ,
-182  ,
-177  ,
-160  ,
-147  ,
-114  ,
-99 ,
-78 ,
-72 ,
-61 ,
-70 ,
-75 ,
-103  ,
-136  ,
-197  ,
-258  ,
-322  ,
-369  ,
-398  ,
-391  ,
-370  ,
-335  ,
-286  ,
-243  ,
-191  ,
-156  ,
-123  ,
-102  ,
-78 ,
-69 ,
-66 ,
-72 ,
-75 ,
-80 ,
-83 ,
-90 ,
-107  ,
-120  ,
-134  ,
-128  ,
-116  ,
-94 ,
-69 ,
-55 ,
-49 ,
-57 ,
-69 ,
-80 ,
-97 ,
-104  ,
-108  ,
-106  ,
-110  ,
-110  ,
-100  ,
-75 ,
-47 ,
-8  ,
32  ,
67  ,
95  ,
117 ,
139 ,
153 ,
171 ,
178 ,
178 ,
145 ,
98  ,
44  ,
-10 ,
-42 ,
-78 ,
-86 ,
-93 ,
-77 ,
-67 ,
-43 ,
-24 ,
-2  ,
8 ,
6 ,
-1  ,
-25 ,
-34 ,
-63 ,
-75 ,
-97 ,
-117  ,
-132  ,
-140  ,
-133  ,
-111  ,
-64 ,
-3  ,
63  ,
122 ,
182 ,
233 ,
278 ,
329 ,
376 ,
428 ,
468 ,
508 ,
535 ,
558 ,
564 ,
566 ,
555 ,
544 ,
519 ,
500 ,
481 ,
455 ,
429 ,
396 ,
351 ,
304 ,
247 ,
186 ,
121 ,
62  ,
-6  ,
-66 ,
-137  ,
-204  ,
-277  ,
-344  ,
-399  ,
-439  ,
-472  ,
-479  ,
-482  ,
-468  ,
-460  ,
-442  ,
-437  ,
-422  ,
-425  ,
-425  ,
-441  ,
-455  ,
-484  ,
-501  ,
-510  ,
-500  ,
-473  ,
-441  ,
-397  ,
-359  ,
-307  ,
-266  ,
-208  ,
-175  ,
-128  ,
-96 ,
-63 ,
-38 ,
-1  ,
34  ,
69  ,
110 ,
140 ,
174 ,
195 ,
214 ,
243 ,
265 ,
301 ,
323 ,
338 ,
340 ,
325 ,
309 ,
286 ,
270 ,
261 ,
255 ,
256 ,
243 ,
245 ,
248 ,
260 ,
279 ,
310 ,
336 ,
374 ,
396 ,
435 ,
455 ,
478 ,
481 ,
485 ,
462 ,
458 ,
429 ,
438 ,
440 ,
473 ,
503 ,
535 ,
553 ,
559 ,
558 ,
552 ,
547 ,
532 ,
511 ,
472 ,
432 ,
379 ,
325 ,
261 ,
206 ,
149 ,
116 ,
82  ,
74  ,
64  ,
74  ,
82  ,
89  ,
85  ,
49  ,
-3  ,
-85 ,
-170  ,
-270  ,
-364  ,
-457  ,
-535  ,
-607  ,
-667  ,
-709  ,
-730  ,
-741  ,
-728  ,
-713  ,
-679  ,
-635  ,
-589  ,
-536  ,
-491  ,
-451  ,
-423  ,
-409  ,
-404  ,
-409  ,
-425  ,
-437  ,
-447  ,
-458  ,
-459  ,
-458  ,
-452  ,
-438  ,
-429  ,
-400  ,
-374  ,
-342  ,
-310  ,
-284  ,
-266  ,
-254  ,
-254  ,
-254  ,
-265  ,
-274  ,
-279  ,
-280  ,
-271  ,
-245  ,
-204  ,
-155  ,
-94 ,
-33 ,
27  ,
88  ,
150 ,
221 ,
287 ,
354 ,
414 ,
472 ,
522 ,
559 ,
600 ,
626 ,
664 ,
691 ,
723 ,
754 ,
782 ,
817 ,
841 ,
863 ,
867 ,
850 ,
825 ,
779 ,
729 ,
671 ,
611 ,
554 ,
490 ,
432 ,
369 ,
316 ,
258 ,
198 ,
145 ,
88  ,
45  ,
-3  ,
-39 ,
-78 ,
-119  ,
-165  ,
-217  ,
-279  ,
-338  ,
-390  ,
-431  ,
-451  ,
-467  ,
-471  ,
-478  ,
-485  ,
-500  ,
-519  ,
-537  ,
-548  ,
-548  ,
-541  ,
-528  ,
-513  ,
-495  ,
-470  ,
-439  ,
-403  ,
-360  ,
-311  ,
-259  ,
-190  ,
-131  ,
-62 ,
-2  ,
52  ,
101 ,
124 ,
133 ,
118 ,
82  ,
45  ,
1 ,
-39 ,
-74 ,
-101  ,
-109  ,
-112  ,
-112  ,
-103  ,
-99 ,
-93 ,
-104  ,
-112  ,
-129  ,
-152  ,
-172  ,
-196  ,
-215  ,
-230  ,
-242  ,
-243  ,
-228  ,
-202  ,
-159  ,
-122  ,
-79 ,
-36 ,
16  ,
64  ,
115 ,
168 ,
215 ,
266 ,
306 ,
346 ,
380 ,
393 ,
406 ,
397 ,
391 ,
377 ,
363 ,
361 ,
365 ,
383 ,
416 ,
450 ,
499 ,
527 ,
568 ,
576 ,
587 ,
575 ,
571 ,
550 ,
532 ,
496 ,
457 ,
414 ,
380 ,
349 ,
332 ,
314 ,
310 ,
305 ,
303 ,
313 ,
318 ,
327 ,
323 ,
323 ,
307 ,
281 ,
240 ,
190 ,
141 ,
101 ,
55  ,
15  ,
-29 ,
-77 ,
-121  ,
-165  ,
-202  ,
-232  ,
-269  ,
-299  ,
-335  ,
-372  ,
-412  ,
-448  ,
-490  ,
-520  ,
-556  ,
-580  ,
-599  ,
-604  ,
-601  ,
-587  ,
-563  ,
-545  ,
-525  ,
-513  ,
-501  ,
-496  ,
-479  ,
-474  ,
-450  ,
-438  ,
-426  ,
-428  ,
-428  ,
-426  ,
-416  ,
-404  ,
-392  ,
-376  ,
-351  ,
-317  ,
-274  ,
-216  ,
-168  ,
-105  ,
-61 ,
-9  ,
22  ,
60  ,
81  ,
111 ,
134 ,
159 ,
162 ,
176 ,
174 ,
184 ,
194 ,
199 ,
209 ,
197 ,
174 ,
134 ,
91  ,
50  ,
8 ,
-20 ,
-64 ,
-94 ,
-150  ,
-189  ,
-238  ,
-268  ,
-297  ,
-322  ,
-349  ,
-387  ,
-425  ,
-472  ,
-525  ,
-566  ,
-621  ,
-649  ,
-684  ,
-696  ,
-707  ,
-706  ,
-693  ,
-668  ,
-633  ,
-595  ,
-544  ,
-485  ,
-406  ,
-304  ,
-182  ,
-63 ,
62  ,
174 ,
280 ,
370 ,
463 ,
538 ,
608 ,
670 ,
719 ,
767 ,
809 ,
848 ,
898 ,
943 ,
982 ,
1021  ,
1044  ,
1063  ,
1070  ,
1060  ,
1040  ,
1006  ,
958 ,
912 ,
846 ,
793 ,
726 ,
680 ,
635 ,
617 ,
602 ,
602 ,
607 ,
627 ,
647 ,
684 ,
712 ,
735 ,
729 ,
720 ,
681 ,
643 ,
591 ,
537 ,
481 ,
421 ,
360 ,
306 ,
249 ,
212 ,
192 ,
181 ,
191 ,
183 ,
180 ,
163 ,
133 ,
99  ,
58  ,
13  ,
-36 ,
-86 ,
-138  ,
-188  ,
-241  ,
-289  ,
-323  ,
-363  ,
-392  ,
-426  ,
-441  ,
-457  ,
-466  ,
-477  ,
-496  ,
-515  ,
-542  ,
-570  ,
-605  ,
-641  ,
-685  ,
-724  ,
-774  ,
-817  ,
-873  ,
-916  ,
-960  ,
-981  ,
-1004 ,
-998  ,
-992  ,
-973  ,
-951  ,
-928  ,
-897  ,
-867  ,
-836  ,
-818  ,
-795  ,
-786  ,
-764  ,
-747  ,
-708  ,
-676  ,
-630  ,
-588  ,
-544  ,
-503  ,
-466  ,
-434  ,
-414  ,
-384  ,
-375  ,
-356  ,
-340  ,
-325  ,
-308  ,
-289  ,
-275  ,
-259  ,
-248  ,
-246  ,
-237  ,
-231  ,
-226  ,
-203  ,
-169  ,
-130  ,
-85 ,
-38 ,
13  ,
82  ,
151 ,
236 ,
337 ,
437 ,
547 ,
643 ,
741 ,
833 ,
922 ,
1005  ,
1074  ,
1142  ,
1182  ,
1217  ,
1231  ,
1249  ,
1246  ,
1243  ,
1225  ,
1191  ,
1150  ,
1100  ,
1037  ,
977 ,
908 ,
846 ,
783 ,
716 ,
649 ,
575 ,
500 ,
425 ,
344 ,
256 ,
163 ,
66  ,
-26 ,
-100  ,
-173  ,
-230  ,
-279  ,
-318  ,
-341  ,
-359  ,
-369  ,
-374  ,
-373  ,
-368  ,
-367  ,
-365  ,
-374  ,
-378  ,
-388  ,
-405  ,
-425  ,
-461  ,
-489  ,
-524  ,
-547  ,
-562  ,
-552  ,
-533  ,
-507  ,
-484  ,
-476  ,
-475  ,
-490  ,
-505  ,
-520  ,
-531  ,
-543  ,
-554  ,
-564  ,
-573  ,
-586  ,
-598  ,
-620  ,
-649  ,
-697  ,
-734  ,
-784  ,
-798  ,
-806  ,
-780  ,
-728  ,
-669  ,
-604  ,
-553  ,
-498  ,
-451  ,
-404  ,
-362  ,
-334  ,
-307  ,
-307  ,
-293  ,
-290  ,
-273  ,
-258  ,
-230  ,
-199  ,
-163  ,
-120  ,
-81 ,
-36 ,
16  ,
66  ,
119 ,
165 ,
195 ,
224 ,
236 ,
255 ,
275 ,
307 ,
327 ,
369 ,
401 ,
446 ,
489 ,
539 ,
582 ,
636 ,
661 ,
687 ,
686 ,
687 ,
683 ,
684 ,
692 ,
694 ,
692 ,
687 ,
671 ,
646 ,
603 ,
566 ,
522 ,
488 ,
459 ,
432 ,
424 ,
418 ,
419 ,
422 ,
418 ,
417 ,
409 ,
389 ,
362 ,
341 ,
315 ,
303 ,
289 ,
285 ,
285 ,
294 ,
295 ,
302 ,
300 ,
300 ,
299 ,
297 ,
286 ,
276 ,
263 ,
260 ,
259 ,
261 ,
267 ,
266 ,
271 ,
261 ,
250 ,
232 ,
211 ,
186 ,
151 ,
116 ,
74  ,
39  ,
-2  ,
-26 ,
-54 ,
-63 ,
-70 ,
-59 ,
-40 ,
-11 ,
27  ,
58  ,
84  ,
103 ,
110 ,
110 ,
113 ,
98  ,
91  ,
70  ,
49  ,
7 ,
-25 ,
-70 ,
-107  ,
-158  ,
-208  ,
-273  ,
-338  ,
-403  ,
-466  ,
-512  ,
-555  ,
-580  ,
-606  ,
-622  ,
-646  ,
-662  ,
-689  ,
-699  ,
-715  ,
-725  ,
-744  ,
-762  ,
-791  ,
-792  ,
-801  ,
-778  ,
-760  ,
-737  ,
-723  ,
-712  ,
-714  ,
-714  ,
-713  ,
-713  ,
-714  ,
-718  ,
-707  ,
-701  ,
-665  ,
-622  ,
-559  ,
-486  ,
-405  ,
-325  ,
-245  ,
-170  ,
-87 ,
-11 ,
76  ,
153 ,
236 ,
312 ,
386 ,
466 ,
548 ,
646 ,
732 ,
821 ,
883 ,
930 ,
952 ,
958 ,
954 ,
954 ,
955 ,
964 ,
969 ,
975 ,
977 ,
972 ,
959 ,
948 ,
921 ,
891 ,
848 ,
801 ,
749 ,
696 ,
644 ,
597 ,
552 ,
522 ,
499 ,
500 ,
504 ,
518 ,
528 ,
540 ,
536 ,
532 ,
512 ,
489 ,
471 ,
466 ,
474 ,
490 ,
515 ,
541 ,
567 ,
599 ,
615 ,
636 ,
635 ,
621 ,
606 ,
568 ,
534 ,
467 ,
408 ,
334 ,
267 ,
188 ,
123 ,
49  ,
-16 ,
-72 ,
-131  ,
-177  ,
-235  ,
-288  ,
-344  ,
-395  ,
-431  ,
-467  ,
-490  ,
-524  ,
-552  ,
-596  ,
-631  ,
-682  ,
-716  ,
-762  ,
-801  ,
-849  ,
-896  ,
-935  ,
-977  ,
-1004 ,
-1033 ,
-1051 ,
-1076 ,
-1099 ,
-1119 ,
-1145 ,
-1168 ,
-1181 ,
-1187 ,
-1191 ,
-1196 ,
-1200 ,
-1187 ,
-1167 ,
-1132 ,
-1090 ,
-1040 ,
-998  ,
-962  ,
-934  ,
-919  ,
-895  ,
-879  ,
-850  ,
-832  ,
-801  ,
-768  ,
-734  ,
-687  ,
-642  ,
-582  ,
-524  ,
-464  ,
-392  ,
-328  ,
-245  ,
-170  ,
-86 ,
-18 ,
53  ,
104 ,
174 ,
233 ,
311 ,
391 ,
472 ,
559 ,
629 ,
686 ,
733 ,
755 ,
775 ,
780 ,
788 ,
795 ,
802 ,
807 ,
819 ,
818 ,
822 ,
810 ,
801 ,
786 ,
763 ,
731 ,
691 ,
650 ,
612 ,
576 ,
536 ,
494 ,
445 ,
402 ,
348 ,
303 ,
245 ,
189 ,
137 ,
88  ,
55  ,
12  ,
-23 ,
-54 ,
-86 ,
-103  ,
-123  ,
-126  ,
-129  ,
-134  ,
-121  ,
-120  ,
-105  ,
-96 ,
-98 ,
-82 ,
-80 ,
-52 ,
-36 ,
-5  ,
29  ,
53  ,
81  ,
99  ,
123 ,
141 ,
154 ,
164 ,
164 ,
158 ,
143 ,
132 ,
124 ,
108 ,
97  ,
71  ,
52  ,
6 ,
-29 ,
-79 ,
-126  ,
-174  ,
-222  ,
-264  ,
-291  ,
-319  ,
-322  ,
-316  ,
-300  ,
-278  ,
-266  ,
-244  ,
-233  ,
-217  ,
-194  ,
-171  ,
-154  ,
-137  ,
-133  ,
-133  ,
-138  ,
-137  ,
-133  ,
-123  ,
-123  ,
-126  ,
-140  ,
-161  ,
-188  ,
-211  ,
-238  ,
-252  ,
-270  ,
-277  ,
-285  ,
-289  ,
-291  ,
-283  ,
-266  ,
-241  ,
-205  ,
-182  ,
-147  ,
-118  ,
-89 ,
-65 ,
-52 ,
-37 ,
-31 ,
-23 ,
1 ,
22  ,
66  ,
96  ,
130 ,
154 ,
170 ,
187 ,
198 ,
204 ,
213 ,
207 ,
216 ,
214 ,
219 ,
220 ,
214 ,
209 ,
196 ,
184 ,
164 ,
139 ,
111 ,
78  ,
55  ,
32  ,
13  ,
5 ,
-10 ,
-16 ,
-13 ,
-3  ,
19  ,
52  ,
87  ,
131 ,
172 ,
214 ,
259 ,
286 ,
318 ,
332 ,
339 ,
340 ,
328 ,
322 ,
301 ,
294 ,
272 ,
261 ,
233 ,
210 ,
177 ,
153 ,
123 ,
105 ,
93  ,
82  ,
78  ,
70  ,
65  ,
65  ,
71  ,
80  ,
82  ,
88  ,
89  ,
94  ,
100 ,
110 ,
116 ,
136 ,
139 ,
142 ,
119 ,
88  ,
33  ,
-26 ,
-98 ,
-164  ,
-217  ,
-269  ,
-295  ,
-318  ,
-338  ,
-344  ,
-358  ,
-353  ,
-371  ,
-378  ,
-407  ,
-429  ,
-455  ,
-488  ,
-514  ,
-549  ,
-575  ,
-600  ,
-619  ,
-624  ,
-627  ,
-624  ,
-626  ,
-610  ,
-605  ,
-587  ,
-576  ,
-551  ,
-529  ,
-505  ,
-478  ,
-442  ,
-410  ,
-362  ,
-323  ,
-274  ,
-237  ,
-198  ,
-172  ,
-155  ,
-135  ,
-126  ,
-111  ,
-104  ,
-84 ,
-68 ,
-38 ,
-9  ,
21  ,
57  ,
82  ,
122 ,
157 ,
200 ,
243 ,
277 ,
296 ,
302 ,
297 ,
298 ,
294 ,
308 ,
318 ,
333 ,
348 ,
368 ,
391 ,
411 ,
430 ,
443 ,
454 ,
446 ,
437 ,
417 ,
394 ,
375 ,
356 ,
349 ,
342 ,
333 ,
326 ,
325 ,
313 ,
327 ,
330 ,
353 ,
369 ,
393 ,
406 ,
429 ,
436 ,
438 ,
415 ,
400 ,
369 ,
351 ,
337 ,
326 ,
328 ,
343 ,
343 ,
356 ,
333 ,
321 ,
288 ,
255 ,
215 ,
175 ,
146 ,
115 ,
91  ,
67  ,
47  ,
19  ,
-10 ,
-47 ,
-87 ,
-121  ,
-162  ,
-195  ,
-240  ,
-279  ,
-345  ,
-409  ,
-479  ,
-560  ,
-622  ,
-693  ,
-733  ,
-765  ,
-772  ,
-759  ,
-733  ,
-697  ,
-656  ,
-615  ,
-573  ,
-546  ,
-513  ,
-499  ,
-467  ,
-445  ,
-412  ,
-391  ,
-364  ,
-347  ,
-325  ,
-297  ,
-270  ,
-234  ,
-202  ,
-160  ,
-126  ,
-91 ,
-69 ,
-44 ,
-23 ,
4 ,
24  ,
52  ,
73  ,
108 ,
129 ,
176 ,
208 ,
265 ,
312 ,
374 ,
431 ,
491 ,
547 ,
600 ,
655 ,
700 ,
744 ,
781 ,
812 ,
831 ,
832 ,
835 ,
814 ,
784 ,
739 ,
671 ,
611 ,
534 ,
474 ,
420 ,
378 ,
346 ,
320 ,
298 ,
275 ,
250 ,
235 ,
208 ,
194 ,
164 ,
125 ,
80  ,
25  ,
-34 ,
-87 ,
-136  ,
-171  ,
-201  ,
-219  ,
-233  ,
-246  ,
-244  ,
-227  ,
-200  ,
-167  ,
-124  ,
-89 ,
-54 ,
-38 ,
-23 ,
-17 ,
-24 ,
-35 ,
-57 ,
-70 ,
-70 ,
-63 ,
-37 ,
-4  ,
25  ,
57  ,
62  ,
63  ,
52  ,
38  ,
33  ,
30  ,
29  ,
35  ,
38  ,
48  ,
63  ,
83  ,
104 ,
124 ,
147 ,
164 ,
178 ,
183 ,
186 ,
177 ,
160 ,
134 ,
102 ,
69  ,
54  ,
31  ,
38  ,
30  ,
38  ,
26  ,
25  ,
11  ,
2 ,
-7  ,
-6  ,
-10 ,
-4  ,
-9  ,
-17 ,
-24 ,
-28 ,
-30 ,
-22 ,
-19 ,
-3  ,
0 ,
20  ,
34  ,
61  ,
84  ,
119 ,
148 ,
177 ,
199 ,
206 ,
212 ,
218 ,
228 ,
241 ,
248 ,
255 ,
265 ,
268 ,
288 ,
308 ,
342 ,
369 ,
404 ,
433 ,
465 ,
493 ,
512 ,
537 ,
536 ,
536 ,
506 ,
482 ,
442 ,
413 ,
382 ,
361 ,
341 ,
330 ,
305 ,
289 ,
259 ,
237 ,
200 ,
183 ,
149 ,
127 ,
94  ,
61  ,
21  ,
-23 ,
-76 ,
-132  ,
-194  ,
-254  ,
-300  ,
-340  ,
-354  ,
-362  ,
-359  ,
-339  ,
-317  ,
-290  ,
-274  ,
-249  ,
-224  ,
-188  ,
-146  ,
-116  ,
-86 ,
-80 ,
-81 ,
-95 ,
-106  ,
-126  ,
-124  ,
-130  ,
-117  ,
-104  ,
-78 ,
-54 ,
-19 ,
15  ,
47  ,
59  ,
65  ,
58  ,
56  ,
52  ,
60  ,
63  ,
79  ,
75  ,
75  ,
50  ,
36  ,
7 ,
-9  ,
-33 ,
-70 ,
-107  ,
-164  ,
-216  ,
-273  ,
-325  ,
-366  ,
-398  ,
-430  ,
-434  ,
-446  ,
-436  ,
-441  ,
-433  ,
-436  ,
-438  ,
-448  ,
-448  ,
-444  ,
-438  ,
-434  ,
-434  ,
-438  ,
-449  ,
-461  ,
-459  ,
-464  ,
-457  ,
-460  ,
-456  ,
-465  ,
-463  ,
-459  ,
-450  ,
-422  ,
-389  ,
-343  ,
-313  ,
-279  ,
-255  ,
-226  ,
-197  ,
-167  ,
-133  ,
-105  ,
-74 ,
-40 ,
-3  ,
44  ,
87  ,
147 ,
204 ,
253 ,
297 ,
335 ,
365 ,
393 ,
411 ,
427 ,
438 ,
443 ,
463 ,
483 ,
518 ,
559 ,
602 ,
649 ,
688 ,
706 ,
721 ,
708 ,
704 ,
672 ,
636 ,
598 ,
558 ,
529 ,
500 ,
485 ,
468 ,
459 ,
437 ,
420 ,
381 ,
345 ,
286 ,
245 ,
206 ,
177 ,
151 ,
129 ,
118 ,
108 ,
96  ,
91  ,
78  ,
70  ,
44  ,
10  ,
-33 ,
-81 ,
-127  ,
-170  ,
-206  ,
-237  ,
-270  ,
-287  ,
-311  ,
-324  ,
-338  ,
-357  ,
-364  ,
-390  ,
-404  ,
-434  ,
-450  ,
-471  ,
-476  ,
-480  ,
-480  ,
-474  ,
-465  ,
-454  ,
-442  ,
-433  ,
-431  ,
-441  ,
-456  ,
-495  ,
-541  ,
-604  ,
-658  ,
-718  ,
-758  ,
-797  ,
-815  ,
-825  ,
-828  ,
-823  ,
-816  ,
-801  ,
-783  ,
-763  ,
-724  ,
-694  ,
-658  ,
-635  ,
-607  ,
-582  ,
-549  ,
-511  ,
-482  ,
-443  ,
-416  ,
-379  ,
-352  ,
-319  ,
-286  ,
-259  ,
-220  ,
-182  ,
-136  ,
-86 ,
-28 ,
25  ,
78  ,
113 ,
143 ,
164 ,
184 ,
222 ,
251 ,
303 ,
337 ,
386 ,
417 ,
464 ,
504 ,
553 ,
592 ,
624 ,
638 ,
644 ,
641 ,
634 ,
621 ,
604 ,
582 ,
556 ,
537 ,
512 ,
501 ,
485 ,
475 ,
454 ,
435 ,
401 ,
373 ,
328 ,
295 ,
261 ,
245 ,
229 ,
215 ,
198 ,
188 ,
169 ,
151 ,
125 ,
98  ,
60  ,
16  ,
-27 ,
-71 ,
-106  ,
-142  ,
-162  ,
-177  ,
-177  ,
-180  ,
-177  ,
-168  ,
-161  ,
-150  ,
-148  ,
-160  ,
-171  ,
-200  ,
-219  ,
-250  ,
-268  ,
-290  ,
-307  ,
-328  ,
-351  ,
-378  ,
-403  ,
-429  ,
-450  ,
-476  ,
-502  ,
-536  ,
-553  ,
-574  ,
-571  ,
-560  ,
-532  ,
-496  ,
-455  ,
-426  ,
-394  ,
-383  ,
-377  ,
-376  ,
-383  ,
-383  ,
-399  ,
-410  ,
-423  ,
-429  ,
-430  ,
-414  ,
-380  ,
-341  ,
-290  ,
-250  ,
-210  ,
-179  ,
-156  ,
-136  ,
-125  ,
-122  ,
-122  ,
-139  ,
-143  ,
-148  ,
-145  ,
-129  ,
-115  ,
-100  ,
-87 ,
-83 ,
-69 ,
-56 ,
-29 ,
10  ,
56  ,
90  ,
130 ,
146 ,
168 ,
171 ,
177 ,
181 ,
180 ,
186 ,
196 ,
221 ,
264 ,
311 ,
376 ,
427 ,
493 ,
543 ,
600 ,
655 ,
710 ,
760 ,
788 ,
793 ,
767 ,
727 ,
677 ,
624 ,
583 ,
543 ,
511 ,
487 ,
472 ,
474 ,
471 ,
482 ,
477 ,
470 ,
432 ,
397 ,
358 ,
323 ,
301 ,
285 ,
279 ,
274 ,
264 ,
250 ,
235 ,
216 ,
199 ,
182 ,
172 ,
160 ,
158 ,
151 ,
166 ,
181 ,
206 ,
224 ,
246 ,
254 ,
268 ,
264 ,
266 ,
254 ,
237 ,
224 ,
203 ,
191 ,
185 ,
190 ,
202 ,
216 ,
230 ,
228 ,
221 ,
199 ,
164 ,
126 ,
76  ,
31  ,
-14 ,
-60 ,
-86 ,
-106  ,
-103  ,
-101  ,
-93 ,
-93 ,
-108  ,
-148  ,
-207  ,
-279  ,
-350  ,
-417  ,
-476  ,
-524  ,
-570  ,
-600  ,
-639  ,
-661  ,
-689  ,
-692  ,
-703  ,
-703  ,
-713  ,
-719  ,
-724  ,
-733  ,
-725  ,
-719  ,
-702  ,
-684  ,
-677  ,
-658  ,
-654  ,
-639  ,
-624  ,
-595  ,
-566  ,
-522  ,
-500  ,
-461  ,
-432  ,
-390  ,
-347  ,
-303  ,
-262  ,
-216  ,
-184  ,
-146  ,
-114  ,
-80 ,
-45 ,
-13 ,
21  ,
49  ,
73  ,
104 ,
148 ,
200 ,
261 ,
311 ,
372 ,
425 ,
477 ,
523 ,
569 ,
595 ,
611 ,
610 ,
607 ,
606 ,
618 ,
643 ,
684 ,
743 ,
811 ,
868 ,
926 ,
974 ,
1015  ,
1047  ,
1055  ,
1053  ,
1031  ,
984 ,
932 ,
876 ,
835 ,
802 ,
774 ,
746 ,
721 ,
698 ,
681 ,
677 ,
676 ,
675 ,
663 ,
652 ,
624 ,
599 ,
567 ,
535 ,
497 ,
452 ,
410 ,
360 ,
310 ,
267 ,
228 ,
199 ,
185 ,
172 ,
163 ,
157 ,
146 ,
127 ,
110 ,
85  ,
54  ,
29  ,
-20 ,
-64 ,
-122  ,
-169  ,
-214  ,
-241  ,
-263  ,
-279  ,
-293  ,
-312  ,
-316  ,
-332  ,
-348  ,
-360  ,
-398  ,
-436  ,
-504  ,
-578  ,
-640  ,
-703  ,
-748  ,
-789  ,
-825  ,
-864  ,
-911  ,
-947  ,
-975  ,
-989  ,
-986  ,
-986  ,
-981  ,
-979  ,
-968  ,
-960  ,
-934  ,
-912  ,
-877  ,
-853  ,
-829  ,
-823  ,
-814  ,
-814  ,
-812  ,
-790  ,
-771  ,
-728  ,
-696  ,
-645  ,
-599  ,
-542  ,
-480  ,
-415  ,
-349  ,
-283  ,
-222  ,
-157  ,
-84 ,
-9  ,
63  ,
132 ,
190 ,
229 ,
266 ,
284 ,
307 ,
328 ,
364 ,
398 ,
431 ,
450 ,
468 ,
470 ,
475 ,
464 ,
457 ,
439 ,
417 ,
390 ,
379 ,
370 ,
377 ,
382 ,
398 ,
398 ,
407 ,
394 ,
373 ,
342 ,
309 ,
273 ,
248 ,
225 ,
214 ,
218 ,
229 ,
246 ,
274 ,
289 ,
316 ,
323 ,
335 ,
335 ,
330 ,
318 ,
293 ,
253 ,
206 ,
144 ,
85  ,
30  ,
-1  ,
-17 ,
-6  ,
13  ,
39  ,
63  ,
94  ,
112 ,
128 ,
131 ,
119 ,
98  ,
60  ,
23  ,
-16 ,
-61 ,
-101  ,
-148  ,
-199  ,
-244  ,
-290  ,
-314  ,
-320  ,
-290  ,
-256  ,
-207  ,
-165  ,
-131  ,
-106  ,
-87 ,
-80 ,
-72 ,
-66 ,
-72 ,
-82 ,
-99 ,
-116  ,
-128  ,
-137  ,
-150  ,
-161  ,
-179  ,
-198  ,
-215  ,
-230  ,
-237  ,
-239  ,
-233  ,
-237  ,
-247  ,
-267  ,
-294  ,
-317  ,
-347  ,
-362  ,
-378  ,
-391  ,
-404  ,
-414  ,
-418  ,
-417  ,
-414  ,
-399  ,
-393  ,
-376  ,
-367  ,
-348  ,
-335  ,
-312  ,
-283  ,
-251  ,
-222  ,
-194  ,
-163  ,
-133  ,
-102  ,
-71 ,
-42 ,
-26 ,
-7  ,
-5  ,
10  ,
29  ,
65  ,
97  ,
141 ,
173 ,
208 ,
235 ,
264 ,
289 ,
301 ,
313 ,
304 ,
286 ,
264 ,
239 ,
226 ,
210 ,
212 ,
209 ,
217 ,
219 ,
210 ,
203 ,
197 ,
203 ,
205 ,
218 ,
236 ,
249 ,
274 ,
300 ,
336 ,
377 ,
409 ,
436 ,
438 ,
431 ,
402 ,
374 ,
342 ,
314 ,
278 ,
255 ,
241 ,
244 ,
266 ,
298 ,
354 ,
403 ,
452 ,
493 ,
525 ,
557 ,
577 ,
591 ,
596 ,
581 ,
555 ,
512 ,
454 ,
396 ,
328 ,
276 ,
224 ,
198 ,
164 ,
158 ,
143 ,
150 ,
159 ,
172 ,
182 ,
177 ,
162 ,
127 ,
97  ,
44  ,
10  ,
-55 ,
-106  ,
-176  ,
-236  ,
-286  ,
-330  ,
-353  ,
-372  ,
-389  ,
-408  ,
-432  ,
-463  ,
-482  ,
-507  ,
-515  ,
-535  ,
-538  ,
-559  ,
-566  ,
-594  ,
-613  ,
-641  ,
-671  ,
-685  ,
-702  ,
-698  ,
-690  ,
-666  ,
-628  ,
-586  ,
-543  ,
-507  ,
-486  ,
-468  ,
-462  ,
-449  ,
-437  ,
-408  ,
-379  ,
-344  ,
-309  ,
-284  ,
-263  ,
-239  ,
-226  ,
-191  ,
-176  ,
-140  ,
-108  ,
-73 ,
-25 ,
4 ,
42  ,
62  ,
78  ,
94  ,
96  ,
123 ,
139 ,
179 ,
206 ,
241 ,
264 ,
273 ,
298 ,
311 ,
349 ,
378 ,
424 ,
460 ,
503 ,
524 ,
551 ,
564 ,
567 ,
567 ,
564 ,
554 ,
544 ,
528 ,
515 ,
512 ,
501 ,
497 ,
490 ,
468 ,
447 ,
407 ,
369 ,
310 ,
271 ,
229 ,
210 ,
197 ,
198 ,
216 ,
232 ,
258 ,
270 ,
273 ,
264 ,
241 ,
215 ,
179 ,
150 ,
116 ,
92  ,
69  ,
44  ,
22  ,
-6  ,
-36 ,
-65 ,
-77 ,
-82 ,
-78 ,
-70 ,
-62 ,
-71 ,
-90 ,
-118  ,
-155  ,
-189  ,
-221  ,
-248  ,
-267  ,
-287  ,
-308  ,
-324  ,
-345  ,
-371  ,
-393  ,
-419  ,
-435  ,
-450  ,
-458  ,
-461  ,
-465  ,
-469  ,
-470  ,
-482  ,
-499  ,
-517  ,
-525  ,
-532  ,
-530  ,
-523  ,
-511  ,
-499  ,
-489  ,
-482  ,
-473  ,
-464  ,
-452  ,
-431  ,
-403  ,
-362  ,
-310  ,
-256  ,
-201  ,
-153  ,
-107  ,
-75 ,
-49 ,
-30 ,
-11 ,
8 ,
33  ,
67  ,
107 ,
141 ,
177 ,
194 ,
215 ,
230 ,
239 ,
247 ,
241 ,
233 ,
212 ,
193 ,
169 ,
155 ,
147 ,
141 ,
141 ,
140 ,
145 ,
146 ,
155 ,
164 ,
163 ,
159 ,
142 ,
120 ,
106 ,
83  ,
78  ,
70  ,
62  ,
57  ,
44  ,
33  ,
32  ,
36  ,
47  ,
68  ,
85  ,
109 ,
122 ,
142 ,
144 ,
150 ,
133 ,
114 ,
81  ,
44  ,
11  ,
-15 ,
-36 ,
-34 ,
-39 ,
-28 ,
-24 ,
-18 ,
-17 ,
-17 ,
-15 ,
-18 ,
-16 ,
-21 ,
-20 ,
-28 ,
-26 ,
-24 ,
-19 ,
-13 ,
-7  ,
-8  ,
-14 ,
-17 ,
-17 ,
-24 ,
-20 ,
-31 ,
-29 ,
-29 ,
-16 ,
2 ,
33  ,
61  ,
100 ,
130 ,
154 ,
169 ,
163 ,
156 ,
142 ,
125 ,
109 ,
82  ,
50  ,
28  ,
-4  ,
-14 ,
-29 ,
-34 ,
-41 ,
-51 ,
-66 ,
-73 ,
-86 ,
-71 ,
-63 ,
-49 ,
-38 ,
-43 ,
-39 ,
-47 ,
-47 ,
-54 ,
-59 ,
-57 ,
-62 ,
-49 ,
-40 ,
-15 ,
6 ,
29  ,
55  ,
63  ,
81  ,
75  ,
86  ,
82  ,
94  ,
108 ,
125 ,
136 ,
147 ,
145 ,
135 ,
119 ,
96  ,
74  ,
53  ,
24  ,
2 ,
-15 ,
-27 ,
-37 ,
-41 ,
-40 ,
-36 ,
-24 ,
-11 ,
9 ,
18  ,
29  ,
38  ,
37  ,
27  ,
13  ,
-17 ,
-44 ,
-75 ,
-91 ,
-96 ,
-79 ,
-53 ,
-19 ,
14  ,
48  ,
85  ,
119 ,
139 ,
154 ,
152 ,
133 ,
99  ,
53  ,
7 ,
-38 ,
-69 ,
-84 ,
-84 ,
-77 ,
-50 ,
-21 ,
25  ,
67  ,
111 ,
148 ,
175 ,
197 ,
210 ,
227 ,
239 ,
248 ,
256 ,
249 ,
239 ,
217 ,
193 ,
156 ,
118 ,
73  ,
34  ,
-9  ,
-45 ,
-81 ,
-107  ,
-115  ,
-120  ,
-116  ,
-109  ,
-97 ,
-89 ,
-82 ,
-76 ,
-79 ,
-85 ,
-107  ,
-134  ,
-177  ,
-223  ,
-264  ,
-305  ,
-326  ,
-344  ,
-344  ,
-339  ,
-323  ,
-328  ,
-324  ,
-353  ,
-372  ,
-394  ,
-413  ,
-412  ,
-410  ,
-395  ,
-372  ,
-356  ,
-337  ,
-319  ,
-307  ,
-288  ,
-270  ,
-248  ,
-230  ,
-208  ,
-183  ,
-148  ,
-113  ,
-67 ,
-24 ,
11  ,
41  ,
60  ,
79  ,
91  ,
114 ,
128 ,
156 ,
177 ,
204 ,
218 ,
239 ,
248 ,
271 ,
274 ,
279 ,
283 ,
283 ,
286 ,
284 ,
288 ,
293 ,
313 ,
338 ,
369 ,
396 ,
413 ,
412 ,
402 ,
378 ,
350 ,
326 ,
294 ,
265 ,
229 ,
206 ,
183 ,
185 ,
191 ,
218 ,
243 ,
276 ,
306 ,
334 ,
356 ,
364 ,
355 ,
326 ,
288 ,
229 ,
169 ,
92  ,
31  ,
-33 ,
-73 ,
-101  ,
-106  ,
-95 ,
-75 ,
-42 ,
-19 ,
12  ,
25  ,
45  ,
46  ,
52  ,
50  ,
38  ,
31  ,
16  ,
8 ,
-7  ,
-18 ,
-41 ,
-54 ,
-75 ,
-79 ,
-98 ,
-105  ,
-115  ,
-123  ,
-129  ,
-128  ,
-120  ,
-120  ,
-113  ,
-127  ,
-137  ,
-161  ,
-179  ,
-213  ,
-238  ,
-280  ,
-308  ,
-337  ,
-353  ,
-355  ,
-356  ,
-333  ,
-319  ,
-301  ,
-289  ,
-290  ,
-294  ,
-305  ,
-311  ,
-312  ,
-305  ,
-295  ,
-271  ,
-247  ,
-217  ,
-185  ,
-159  ,
-137  ,
-120  ,
-102  ,
-84 ,
-60 ,
-28 ,
8 ,
55  ,
100 ,
152 ,
199 ,
244 ,
287 ,
310 ,
340 ,
355 ,
378 ,
383 ,
399 ,
395 ,
399 ,
385 ,
381 ,
371 ,
366 ,
366 ,
376 ,
388 ,
407 ,
417 ,
429 ,
432 ,
433 ,
428 ,
424 ,
419 ,
410 ,
408 ,
399 ,
401 ,
397 ,
391 ,
378 ,
336 ,
282 ,
211 ,
145 ,
89  ,
44  ,
18  ,
6 ,
-2  ,
1 ,
5 ,
19  ,
24  ,
24  ,
18  ,
-4  ,
-25 ,
-56 ,
-81 ,
-118  ,
-150  ,
-201  ,
-247  ,
-289  ,
-325  ,
-338  ,
-341  ,
-324  ,
-302  ,
-283  ,
-261  ,
-244  ,
-234  ,
-219  ,
-217  ,
-221  ,
-227  ,
-243  ,
-251  ,
-251  ,
-246  ,
-224  ,
-202  ,
-182  ,
-154  ,
-141  ,
-120  ,
-106  ,
-74 ,
-42 ,
-12 ,
5 ,
15  ,
17  ,
12  ,
3 ,
0 ,
-11 ,
-17 ,
-20 ,
-18 ,
-6  ,
11  ,
33  ,
57  ,
81  ,
97  ,
110 ,
107 ,
95  ,
71  ,
44  ,
3 ,
-44 ,
-90 ,
-143  ,
-176  ,
-211  ,
-221  ,
-229  ,
-235  ,
-233  ,
-237  ,
-238  ,
-240  ,
-232  ,
-223  ,
-204  ,
-175  ,
-143  ,
-91 ,
-50 ,
9 ,
51  ,
97  ,
123 ,
143 ,
141 ,
142 ,
131 ,
121 ,
109 ,
90  ,
69  ,
43  ,
17  ,
-4  ,
-13 ,
-9  ,
-12 ,
6 ,
12  ,
32  ,
40  ,
52  ,
51  ,
52  ,
47  ,
36  ,
32  ,
18  ,
21  ,
18  ,
44  ,
61  ,
87  ,
103 ,
104 ,
101 ,
92  ,
90  ,
86  ,
91  ,
88  ,
96  ,
99  ,
110 ,
123 ,
146 ,
157 ,
166 ,
155 ,
136 ,
105 ,
63  ,
34  ,
-7  ,
-32 ,
-67 ,
-96 ,
-132  ,
-163  ,
-200  ,
-215  ,
-248  ,
-254  ,
-275  ,
-273  ,
-276  ,
-258  ,
-243  ,
-215  ,
-200  ,
-188  ,
-189  ,
-197  ,
-200  ,
-209  ,
-213  ,
-218  ,
-220  ,
-234  ,
-250  ,
-269  ,
-283  ,
-299  ,
-311  ,
-324  ,
-345  ,
-367  ,
-392  ,
-406  ,
-422  ,
-428  ,
-441  ,
-433  ,
-435  ,
-426  ,
-420  ,
-401  ,
-388  ,
-376  ,
-364  ,
-365  ,
-370  ,
-380  ,
-402  ,
-413  ,
-441  ,
-448  ,
-467  ,
-470  ,
-471  ,
-454  ,
-434  ,
-402  ,
-369  ,
-332  ,
-298  ,
-258  ,
-218  ,
-185  ,
-146  ,
-122  ,
-90 ,
-67 ,
-56 ,
-36 ,
-32 ,
-18 ,
-8  ,
6 ,
24  ,
41  ,
56  ,
78  ,
107 ,
131 ,
164 ,
187 ,
225 ,
260 ,
310 ,
353 ,
410 ,
456 ,
514 ,
540 ,
574 ,
579 ,
584 ,
567 ,
562 ,
559 ,
561 ,
576 ,
599 ,
637 ,
675 ,
710 ,
740 ,
769 ,
784 ,
809 ,
828 ,
852 ,
872 ,
889 ,
890 ,
886 ,
870 ,
845 ,
815 ,
795 ,
768 ,
764 ,
757 ,
769 ,
781 ,
796 ,
812 ,
816 ,
814 ,
801 ,
777 ,
742 ,
690 ,
633 ,
574 ,
512 ,
466 ,
413 ,
371 ,
321 ,
267 ,
217 ,
168 ,
141 ,
113 ,
109 ,
103 ,
108 ,
95  ,
75  ,
39  ,
-7  ,
-62 ,
-133  ,
-200  ,
-264  ,
-305  ,
-330  ,
-326  ,
-303  ,
-262  ,
-231  ,
-206  ,
-195  ,
-198  ,
-196  ,
-202  ,
-194  ,
-194  ,
-178  ,
-175  ,
-158  ,
-162  ,
-162  ,
-167  ,
-186  ,
-203  ,
-232  ,
-261  ,
-286  ,
-316  ,
-335  ,
-357  ,
-374  ,
-396  ,
-415  ,
-441  ,
-458  ,
-478  ,
-497  ,
-512  ,
-529  ,
-545  ,
-565  ,
-573  ,
-584  ,
-584  ,
-589  ,
-583  ,
-579  ,
-560  ,
-536  ,
-502  ,
-456  ,
-404  ,
-353  ,
-324  ,
-300  ,
-292  ,
-279  ,
-271  ,
-269  ,
-261  ,
-270  ,
-275  ,
-290  ,
-298  ,
-301  ,
-307  ,
-300  ,
-292  ,
-266  ,
-239  ,
-210  ,
-178  ,
-138  ,
-90 ,
-33 ,
27  ,
98  ,
163 ,
217 ,
265 ,
282 ,
295 ,
290 ,
276 ,
244 ,
208 ,
167 ,
125 ,
91  ,
57  ,
28  ,
-11 ,
-46 ,
-87 ,
-119  ,
-130  ,
-128  ,
-104  ,
-76 ,
-39 ,
-3  ,
31  ,
56  ,
71  ,
78  ,
76  ,
64  ,
44  ,
28  ,
2 ,
5 ,
-4  ,
18  ,
29  ,
59  ,
81  ,
120 ,
154 ,
198 ,
234 ,
267 ,
282 ,
290 ,
261 ,
217 ,
140 ,
40  ,
-74 ,
-199  ,
-327  ,
-442  ,
-539  ,
-621  ,
-671  ,
-714  ,
-743  ,
-780  ,
-827  ,
-884  ,
-954  ,
-1029 ,
-1093 ,
-1144 ,
-1167 ,
-1176 ,
-1170 ,
-1157 ,
-1143 ,
-1123 ,
-1105 ,
-1092 ,
-1077 ,
-1066 ,
-1047 ,
-1033 ,
-1012 ,
-972  ,
-935  ,
-884  ,
-835  ,
-786  ,
-737  ,
-697  ,
-644  ,
-585  ,
-503  ,
-421  ,
-330  ,
-241  ,
-156  ,
-77 ,
4 ,
86  ,
179 ,
270 ,
362 ,
446 ,
522 ,
584 ,
632 ,
653 ,
671 ,
658 ,
653 ,
635 ,
629 ,
626 ,
647 ,
674 ,
716 ,
752 ,
785 ,
800 ,
802 ,
810 ,
816 ,
839 ,
857 ,
886 ,
911 ,
949 ,
979 ,
1024  ,
1033  ,
1048  ,
1027  ,
1017  ,
986 ,
969 ,
952 ,
930 ,
927 ,
903 ,
901 ,
882 ,
871 ,
858 ,
854 ,
857 ,
866 ,
879 ,
895 ,
910 ,
913 ,
916 ,
908 ,
893 ,
871 ,
830 ,
795 ,
737 ,
684 ,
619 ,
554 ,
485 ,
407 ,
342 ,
272 ,
229 ,
190 ,
176 ,
170 ,
174 ,
167 ,
161 ,
131 ,
103 ,
65  ,
28  ,
-5  ,
-33 ,
-57 ,
-75 ,
-100  ,
-107  ,
-121  ,
-120  ,
-123  ,
-122  ,
-125  ,
-118  ,
-126  ,
-119  ,
-136  ,
-140  ,
-163  ,
-192  ,
-223  ,
-257  ,
-292  ,
-320  ,
-354  ,
-391  ,
-436  ,
-488  ,
-550  ,
-616  ,
-677  ,
-726  ,
-769  ,
-793  ,
-816  ,
-823  ,
-829  ,
-826  ,
-824  ,
-810  ,
-804  ,
-786  ,
-772  ,
-751  ,
-731  ,
-710  ,
-682  ,
-652  ,
-617  ,
-589  ,
-554  ,
-532  ,
-509  ,
-488  ,
-473  ,
-452  ,
-440  ,
-435  ,
-425  ,
-420  ,
-401  ,
-371  ,
-327  ,
-270  ,
-210  ,
-135  ,
-63 ,
23  ,
106 ,
184 ,
264 ,
322 ,
377 ,
417 ,
450 ,
475 ,
505 ,
533 ,
583 ,
631 ,
694 ,
743 ,
793 ,
829 ,
855 ,
863 ,
851 ,
818 ,
765 ,
701 ,
630 ,
547 ,
480 ,
398 ,
322 ,
233 ,
147 ,
58  ,
-27 ,
-103  ,
-182  ,
-252  ,
-308  ,
-355  ,
-376  ,
-377  ,
-372  ,
-344  ,
-328  ,
-300  ,
-291  ,
-285  ,
-283  ,
-296  ,
-300  ,
-320  ,
-341  ,
-368  ,
-388  ,
-414  ,
-421  ,
-426  ,
-407  ,
-389  ,
-354  ,
-318  ,
-284  ,
-254  ,
-227  ,
-210  ,
-188  ,
-163  ,
-141  ,
-99 ,
-65 ,
-13 ,
42  ,
94  ,
151 ,
179 ,
206 ,
199 ,
184 ,
157 ,
132 ,
118 ,
119 ,
129 ,
148 ,
170 ,
193 ,
220 ,
225 ,
236 ,
230 ,
232 ,
228 ,
238 ,
260 ,
285 ,
310 ,
328 ,
334 ,
338 ,
321 ,
298 ,
263 ,
225 ,
178 ,
138 ,
83  ,
22  ,
-34 ,
-92 ,
-119  ,
-148  ,
-146  ,
-148  ,
-131  ,
-118  ,
-95 ,
-80 ,
-67 ,
-56 ,
-50 ,
-41 ,
-42 ,
-27 ,
-16 ,
15  ,
40  ,
74  ,
99  ,
122 ,
124 ,
118 ,
112 ,
100 ,
91  ,
73  ,
54  ,
35  ,
21  ,
13  ,
18  ,
31  ,
53  ,
77  ,
103 ,
132 ,
168 ,
201 ,
235 ,
254 ,
274 ,
274 ,
272 ,
253 ,
223 ,
192 ,
164 ,
141 ,
131 ,
126 ,
126 ,
141 ,
145 ,
165 ,
177 ,
200 ,
214 ,
215 ,
217 ,
200 ,
185 ,
161 ,
131 ,
92  ,
57  ,
5 ,
-36 ,
-89 ,
-128  ,
-173  ,
-205  ,
-237  ,
-247  ,
-236  ,
-207  ,
-155  ,
-96 ,
-34 ,
16  ,
59  ,
89  ,
116 ,
129 ,
153 ,
155 ,
161 ,
148 ,
117 ,
81  ,
17  ,
-43 ,
-112  ,
-171  ,
-232  ,
-285  ,
-317  ,
-341  ,
-337  ,
-322  ,
-294  ,
-258  ,
-227  ,
-199  ,
-197  ,
-188  ,
-190  ,
-179  ,
-173  ,
-156  ,
-131  ,
-100  ,
-56 ,
-10 ,
41  ,
86  ,
122 ,
144 ,
151 ,
151 ,
136 ,
108 ,
70  ,
10  ,
-43 ,
-118  ,
-183  ,
-264  ,
-327  ,
-395  ,
-443  ,
-509  ,
-564  ,
-641  ,
-714  ,
-803  ,
-889  ,
-975  ,
-1048 ,
-1123 ,
-1173 ,
-1215 ,
-1232 ,
-1241 ,
-1225 ,
-1199 ,
-1159 ,
-1117 ,
-1080 ,
-1032 ,
-1004 ,
-958  ,
-930  ,
-901  ,
-884  ,
-871  ,
-857  ,
-836  ,
-797  ,
-741  ,
-672  ,
-587  ,
-488  ,
-393  ,
-275  ,
-165  ,
-34 ,
93  ,
229 ,
351 ,
461 ,
545 ,
616 ,
666 ,
704 ,
723 ,
744 ,
753 ,
766 ,
775 ,
801 ,
830 ,
867 ,
897 ,
927 ,
941 ,
951 ,
939 ,
937 ,
928 ,
930 ,
928 ,
946 ,
956 ,
975 ,
997 ,
1012  ,
1038  ,
1052  ,
1069  ,
1072  ,
1080  ,
1087  ,
1099  ,
1107  ,
1120  ,
1119  ,
1106  ,
1078  ,
1039  ,
984 ,
915 ,
846 ,
766 ,
701 ,
642 ,
592 ,
550 ,
519 ,
485 ,
460 ,
430 ,
401 ,
372 ,
345 ,
331 ,
314 ,
299 ,
261 ,
222 ,
157 ,
78  ,
-6  ,
-87 ,
-146  ,
-193  ,
-226  ,
-258  ,
-297  ,
-343  ,
-393  ,
-442  ,
-490  ,
-519  ,
-546  ,
-559  ,
-559  ,
-555  ,
-540  ,
-521  ,
-501  ,
-487  ,
-476  ,
-473  ,
-467  ,
-460  ,
-449  ,
-419  ,
-390  ,
-342  ,
-314  ,
-274  ,
-249  ,
-216  ,
-185  ,
-141  ,
-94 ,
-43 ,
4 ,
69  ,
122 ,
184 ,
241 ,
283 ,
312 ,
319 ,
307 ,
271 ,
229 ,
165 ,
111 ,
48  ,
0 ,
-40 ,
-75 ,
-86 ,
-80 ,
-40 ,
22  ,
91  ,
168 ,
240 ,
302 ,
351 ,
376 ,
388 ,
365 ,
307 ,
232 ,
132 ,
31  ,
-74 ,
-172  ,
-253  ,
-324  ,
-376  ,
-403  ,
-412  ,
-400  ,
-387  ,
-360  ,
-339  ,
-311  ,
-292  ,
-280  ,
-276  ,
-273  ,
-268  ,
-253  ,
-229  ,
-195  ,
-146  ,
-94 ,
-23 ,
41  ,
106 ,
170 ,
209 ,
250 ,
255 ,
272 ,
259 ,
250 ,
222 ,
196 ,
161 ,
112 ,
57  ,
-9  ,
-73 ,
-144  ,
-211  ,
-287  ,
-360  ,
-438  ,
-510  ,
-572  ,
-629  ,
-671  ,
-706  ,
-728  ,
-738  ,
-741  ,
-740  ,
-745  ,
-752  ,
-756  ,
-756  ,
-749  ,
-740  ,
-706  ,
-677  ,
-621  ,
-583  ,
-529  ,
-503  ,
-468  ,
-450  ,
-422  ,
-381  ,
-341  ,
-284  ,
-236  ,
-183  ,
-129  ,
-81 ,
-20 ,
33  ,
104 ,
167 ,
231 ,
287 ,
332 ,
385 ,
420 ,
458 ,
478 ,
499 ,
522 ,
542 ,
569 ,
606 ,
648 ,
687 ,
723 ,
743 ,
764 ,
761 ,
760 ,
744 ,
735 ,
728 ,
710 ,
708 ,
697 ,
700 ,
703 ,
714 ,
723 ,
736 ,
744 ,
765 ,
777 ,
807 ,
830 ,
855 ,
864 ,
852 ,
826 ,
777 ,
708 ,
625 ,
531 ,
427 ,
314 ,
213 ,
120 ,
42  ,
-18 ,
-77 ,
-120  ,
-166  ,
-211  ,
-255  ,
-296  ,
-333  ,
-365  ,
-388  ,
-398  ,
-414  ,
-428  ,
-456  ,
-495  ,
-543  ,
-592  ,
-638  ,
-676  ,
-705  ,
-706  ,
-693  ,
-662  ,
-636  ,
-603  ,
-586  ,
-557  ,
-539  ,
-504  ,
-471  ,
-442  ,
-396  ,
-368  ,
-324  ,
-302  ,
-270  ,
-257  ,
-245  ,
-232  ,
-218  ,
-197  ,
-181  ,
-164  ,
-152  ,
-134  ,
-104  ,
-67 ,
-17 ,
29  ,
81  ,
124 ,
162 ,
180 ,
199 ,
200 ,
193 ,
185 ,
173 ,
166 ,
148 ,
136 ,
111 ,
77  ,
45  ,
-9  ,
-50 ,
-97 ,
-122  ,
-129  ,
-120  ,
-94 ,
-53 ,
-12 ,
32  ,
65  ,
92  ,
86  ,
86  ,
59  ,
36  ,
-8  ,
-48 ,
-98 ,
-141  ,
-186  ,
-220  ,
-261  ,
-298  ,
-328  ,
-364  ,
-393  ,
-427  ,
-458  ,
-477  ,
-502  ,
-520  ,
-525  ,
-528  ,
-525  ,
-501  ,
-472  ,
-414  ,
-360  ,
-280  ,
-199  ,
-106  ,
-13 ,
70  ,
150 ,
213 ,
272 ,
306 ,
330 ,
339 ,
329 ,
321 ,
297 ,
273 ,
236 ,
196 ,
137 ,
75  ,
-8  ,
-87 ,
-177  ,
-266  ,
-345  ,
-418  ,
-478  ,
-535  ,
-603  ,
-664  ,
-734  ,
-792  ,
-849  ,
-892  ,
-925  ,
-942  ,
-954  ,
-958  ,
-954  ,
-957  ,
-959  ,
-968  ,
-968  ,
-965  ,
-943  ,
-907  ,
-867  ,
-814  ,
-773  ,
-719  ,
-680  ,
-637  ,
-593  ,
-550  ,
-491  ,
-429  ,
-351  ,
-265  ,
-175  ,
-73 ,
25  ,
127 ,
226 ,
311 ,
394 ,
448 ,
500 ,
535 ,
575 ,
609 ,
645 ,
686 ,
726 ,
765 ,
788 ,
793 ,
778 ,
753 ,
719 ,
689 ,
661 ,
649 ,
648 ,
657 ,
676 ,
683 ,
702 ,
713 ,
739 ,
755 ,
790 ,
827 ,
871 ,
922 ,
964 ,
1002  ,
1028  ,
1036  ,
1048  ,
1033  ,
1026  ,
1005  ,
975 ,
951 ,
916 ,
886 ,
845 ,
793 ,
739 ,
683 ,
643 ,
614 ,
598 ,
599 ,
601 ,
611 ,
607 ,
609 ,
596 ,
587 ,
574 ,
573 ,
568 ,
573 ,
571 ,
571 ,
558 ,
535 ,
511 ,
469 ,
436 ,
381 ,
341 ,
296 ,
263 ,
235 ,
206 ,
175 ,
139 ,
111 ,
83  ,
65  ,
45  ,
36  ,
26  ,
19  ,
7 ,
-2  ,
-22 ,
-52 ,
-80 ,
-115  ,
-141  ,
-177  ,
-198  ,
-209  ,
-212  ,
-185  ,
-153  ,
-97 ,
-53 ,
-13 ,
6 ,
0 ,
-20 ,
-79 ,
-144  ,
-222  ,
-299  ,
-367  ,
-427  ,
-473  ,
-519  ,
-560  ,
-600  ,
-636  ,
-657  ,
-683  ,
-701  ,
-713  ,
-728  ,
-722  ,
-725  ,
-719  ,
-714  ,
-715  ,
-712  ,
-717  ,
-721  ,
-743  ,
-756  ,
-780  ,
-791  ,
-810  ,
-825  ,
-837  ,
-852  ,
-862  ,
-867  ,
-865  ,
-866  ,
-850  ,
-843  ,
-825  ,
-801  ,
-780  ,
-742  ,
-694  ,
-630  ,
-554  ,
-466  ,
-377  ,
-291  ,
-206  ,
-121  ,
-34 ,
46  ,
125 ,
199 ,
265 ,
324 ,
366 ,
408 ,
431 ,
444 ,
439 ,
424 ,
397 ,
363 ,
323 ,
279 ,
228 ,
168 ,
101 ,
20  ,
-67 ,
-144  ,
-220  ,
-262  ,
-301  ,
-300  ,
-303  ,
-279  ,
-268  ,
-241  ,
-226  ,
-208  ,
-206  ,
-204  ,
-215  ,
-223  ,
-230  ,
-221  ,
-214  ,
-192  ,
-169  ,
-135  ,
-106  ,
-78 ,
-56 ,
-42 ,
-28 ,
-21 ,
-12 ,
13  ,
40  ,
87  ,
137 ,
196 ,
247 ,
311 ,
351 ,
406 ,
434 ,
472 ,
486 ,
507 ,
514 ,
512 ,
501 ,
480 ,
461 ,
448 ,
452 ,
454 ,
481 ,
501 ,
534 ,
550 ,
560 ,
555 ,
536 ,
511 ,
485 ,
463 ,
455 ,
454 ,
478 ,
514 ,
566 ,
615 ,
673 ,
715 ,
766 ,
794 ,
827 ,
841 ,
850 ,
858 ,
854 ,
857 ,
850 ,
843 ,
816 ,
778 ,
724 ,
655 ,
583 ,
509 ,
439 ,
369 ,
307 ,
240 ,
194 ,
142 ,
103 ,
69  ,
23  ,
-17 ,
-74 ,
-132  ,
-188  ,
-240  ,
-286  ,
-326  ,
-355  ,
-393  ,
-427  ,
-477  ,
-519  ,
-557  ,
-592  ,
-619  ,
-642  ,
-662  ,
-683  ,
-694  ,
-688  ,
-675  ,
-653  ,
-621  ,
-589  ,
-569  ,
-548  ,
-541  ,
-543  ,
-552  ,
-580  ,
-596  ,
-646  ,
-670  ,
-712  ,
-727  ,
-739  ,
-718  ,
-693  ,
-642  ,
-588  ,
-537  ,
-472  ,
-424  ,
-364  ,
-323  ,
-291  ,
-278  ,
-267  ,
-267  ,
-265  ,
-253  ,
-240  ,
-209  ,
-174  ,
-142  ,
-91 ,
-58 ,
-13 ,
7 ,
37  ,
48  ,
63  ,
65  ,
66  ,
69  ,
70  ,
84  ,
101 ,
121 ,
145 ,
167 ,
179 ,
183 ,
182 ,
181 ,
160 ,
137 ,
104 ,
78  ,
60  ,
33  ,
20  ,
-5  ,
-25 ,
-52 ,
-87 ,
-122  ,
-154  ,
-176  ,
-196  ,
-199  ,
-207  ,
-196  ,
-187  ,
-164  ,
-133  ,
-92 ,
-40 ,
19  ,
79  ,
130 ,
173 ,
206 ,
232 ,
252 ,
270 ,
294 ,
307 ,
312 ,
303 ,
272 ,
226 ,
154 ,
75  ,
-20 ,
-110  ,
-200  ,
-285  ,
-364  ,
-454  ,
-527  ,
-621  ,
-704  ,
-789  ,
-871  ,
-936  ,
-995  ,
-1034 ,
-1072 ,
-1109 ,
-1141 ,
-1173 ,
-1203 ,
-1231 ,
-1266 ,
-1299 ,
-1329 ,
-1350 ,
-1365 ,
-1369 ,
-1377 ,
-1375 ,
-1384 ,
-1374 ,
-1356 ,
-1316 ,
-1251 ,
-1171 ,
-1071 ,
-966  ,
-863  ,
-762  ,
-676  ,
-595  ,
-526  ,
-459  ,
-396  ,
-332  ,
-269  ,
-208  ,
-143  ,
-65 ,
14  ,
99  ,
190 ,
269 ,
355 ,
417 ,
485 ,
519 ,
550 ,
566 ,
581 ,
610 ,
628 ,
666 ,
699 ,
730 ,
766 ,
799 ,
845 ,
887 ,
939 ,
988 ,
1041  ,
1083  ,
1113  ,
1155  ,
1179  ,
1216  ,
1233  ,
1256  ,
1271  ,
1289  ,
1301  ,
1318  ,
1323  ,
1333  ,
1319  ,
1306  ,
1263  ,
1226  ,
1165  ,
1120  ,
1071  ,
1035  ,
999 ,
967 ,
929 ,
897 ,
869 ,
833 ,
804 ,
768 ,
732 ,
698 ,
664 ,
632 ,
593 ,
550 ,
491 ,
430 ,
350 ,
261 ,
165 ,
67  ,
-21 ,
-108  ,
-190  ,
-265  ,
-328  ,
-381  ,
-410  ,
-437  ,
-445  ,
-463  ,
-484  ,
-521  ,
-558  ,
-594  ,
-623  ,
-644  ,
-650  ,
-641  ,
-627  ,
-588  ,
-554  ,
-508  ,
-461  ,
-412  ,
-369  ,
-325  ,
-293  ,
-265  ,
-248  ,
-237  ,
-230  ,
-218  ,
-204  ,
-192  ,
-170  ,
-162  ,
-161  ,
-170  ,
-183  ,
-209  ,
-227  ,
-250  ,
-258  ,
-256  ,
-239  ,
-210  ,
-172  ,
-130  ,
-85 ,
-46 ,
-12 ,
24  ,
65  ,
92  ,
122 ,
124 ,
122 ,
110 ,
89  ,
76  ,
41  ,
37  ,
18  ,
22  ,
24  ,
22  ,
27  ,
20  ,
4 ,
-10 ,
-33 ,
-39 ,
-29 ,
7 ,
62  ,
138 ,
211 ,
290 ,
354 ,
413 ,
454 ,
501 ,
547 ,
595 ,
646 ,
695 ,
742 ,
768 ,
793 ,
792 ,
784 ,
750 ,
715 ,
655 ,
607 ,
534 ,
468 ,
387 ,
309 ,
226 ,
132 ,
49  ,
-42 ,
-110  ,
-174  ,
-210  ,
-227  ,
-235  ,
-223  ,
-217  ,
-206  ,
-208  ,
-210  ,
-213  ,
-211  ,
-207  ,
-195  ,
-188  ,
-179  ,
-185  ,
-202  ,
-240  ,
-293  ,
-356  ,
-423  ,
-478  ,
-511  ,
-521  ,
-505  ,
-458  ,
-401  ,
-324  ,
-246  ,
-168  ,
-88 ,
-12 ,
50  ,
120 ,
175 ,
234 ,
287 ,
332 ,
386 ,
430 ,
487 ,
536 ,
595 ,
634 ,
665 ,
685 ,
693 ,
691 ,
681 ,
660 ,
629 ,
598 ,
568 ,
545 ,
525 ,
511 ,
502 ,
490 ,
493 ,
500 ,
519 ,
547 ,
580 ,
618 ,
655 ,
694 ,
743 ,
794 ,
848 ,
910 ,
965 ,
1009  ,
1029  ,
1025  ,
994 ,
943 ,
870 ,
794 ,
700 ,
620 ,
531 ,
459 ,
392 ,
333 ,
277 ,
216 ,
162 ,
101 ,
39  ,
-24 ,
-89 ,
-153  ,
-209  ,
-255  ,
-293  ,
-331  ,
-357  ,
-385  ,
-414  ,
-444  ,
-475  ,
-514  ,
-544  ,
-580  ,
-617  ,
-665  ,
-714  ,
-761  ,
-812  ,
-854  ,
-904  ,
-937  ,
-988  ,
-1026 ,
-1082 ,
-1131 ,
-1191 ,
-1246 ,
-1301 ,
-1328 ,
-1350 ,
-1345 ,
-1322 ,
-1283 ,
-1222 ,
-1162 ,
-1086 ,
-1015 ,
-930  ,
-845  ,
-763  ,
-695  ,
-634  ,
-585  ,
-535  ,
-489  ,
-433  ,
-384  ,
-326  ,
-286  ,
-233  ,
-206  ,
-161  ,
-139  ,
-98 ,
-83 ,
-56 ,
-34 ,
-21 ,
13  ,
39  ,
86  ,
128 ,
180 ,
233 ,
284 ,
327 ,
367 ,
387 ,
407 ,
419 ,
422 ,
430 ,
434 ,
444 ,
455 ,
465 ,
475 ,
472 ,
459 ,
441 ,
420 ,
390 ,
358 ,
316 ,
268 ,
215 ,
162 ,
114 ,
85  ,
61  ,
58  ,
65  ,
87  ,
109 ,
137 ,
162 ,
201 ,
237 ,
287 ,
333 ,
391 ,
442 ,
498 ,
548 ,
582 ,
605 ,
608 ,
596 ,
559 ,
508 ,
443 ,
369 ,
291 ,
219 ,
156 ,
101 ,
67  ,
24  ,
-4  ,
-55 ,
-106  ,
-174  ,
-247  ,
-332  ,
-420  ,
-507  ,
-583  ,
-649  ,
-694  ,
-731  ,
-752  ,
-783  ,
-802  ,
-822  ,
-846  ,
-869  ,
-894  ,
-928  ,
-946  ,
-969  ,
-982  ,
-994  ,
-1009 ,
-1027 ,
-1039 ,
-1055 ,
-1066 ,
-1079 ,
-1083 ,
-1077 ,
-1055 ,
-1019 ,
-968  ,
-906  ,
-831  ,
-762  ,
-685  ,
-601  ,
-528  ,
-445  ,
-382  ,
-304  ,
-246  ,
-183  ,
-129  ,
-80 ,
-35 ,
3 ,
34  ,
67  ,
96  ,
119 ,
157 ,
188 ,
223 ,
255 ,
280 ,
300 ,
307 ,
302 ,
287 ,
268 ,
236 ,
230 ,
227 ,
249 ,
283 ,
331 ,
386 ,
447 ,
509 ,
562 ,
615 ,
648 ,
699 ,
726 ,
780 ,
813 ,
860 ,
886 ,
910 ,
905 ,
901 ,
871 ,
856 ,
841 ,
830 ,
825 ,
820 ,
816 ,
806 ,
778 ,
753 ,
703 ,
658 ,
590 ,
530 ,
456 ,
399 ,
329 ,
280 ,
235 ,
200 ,
168 ,
142 ,
113 ,
87  ,
60  ,
40  ,
19  ,
1 ,
-32 ,
-74 ,
-119  ,
-184  ,
-237  ,
-311  ,
-360  ,
-420  ,
-457  ,
-490  ,
-491  ,
-482  ,
-453  ,
-416  ,
-374  ,
-334  ,
-314  ,
-297  ,
-298  ,
-291  ,
-288  ,
-274  ,
-247  ,
-215  ,
-182  ,
-142  ,
-99 ,
-57 ,
-12 ,
15  ,
33  ,
28  ,
7 ,
-36 ,
-84 ,
-141  ,
-199  ,
-257  ,
-318  ,
-374  ,
-415  ,
-449  ,
-462  ,
-470  ,
-468  ,
-469  ,
-464  ,
-467  ,
-480  ,
-500  ,
-514  ,
-535  ,
-547  ,
-558  ,
-564  ,
-565  ,
-561  ,
-556  ,
-547  ,
-534  ,
-518  ,
-499  ,
-484  ,
-464  ,
-436  ,
-401  ,
-362  ,
-318  ,
-274  ,
-237  ,
-202  ,
-180  ,
-160  ,
-149  ,
-130  ,
-108  ,
-78 ,
-38 ,
4 ,
58  ,
108 ,
162 ,
205 ,
251 ,
279 ,
306 ,
323 ,
339 ,
350 ,
346 ,
342 ,
312 ,
287 ,
246 ,
211 ,
166 ,
129 ,
84  ,
57  ,
14  ,
-9  ,
-38 ,
-47 ,
-62 ,
-57 ,
-55 ,
-49 ,
-44 ,
-37 ,
-38 ,
-37 ,
-49 ,
-55 ,
-69 ,
-79 ,
-86 ,
-80 ,
-76 ,
-59 ,
-39 ,
-24 ,
-18 ,
-17 ,
-32 ,
-41 ,
-46 ,
-47 ,
-30 ,
-13 ,
26  ,
66  ,
105 ,
150 ,
200 ,
244 ,
305 ,
359 ,
411 ,
452 ,
483 ,
507 ,
515 ,
522 ,
526 ,
538 ,
550 ,
570 ,
587 ,
614 ,
628 ,
647 ,
664 ,
680 ,
679 ,
683 ,
667 ,
660 ,
649 ,
639 ,
632 ,
630 ,
618 ,
611 ,
604 ,
606 ,
621 ,
645 ,
674 ,
710 ,
744 ,
784 ,
813 ,
817 ,
805 ,
759 ,
695 ,
613 ,
525 ,
448 ,
373 ,
319 ,
280 ,
246 ,
227 ,
208 ,
192 ,
181 ,
169 ,
169 ,
159 ,
150 ,
136 ,
108 ,
96  ,
56  ,
36  ,
-7  ,
-43 ,
-91 ,
-139  ,
-190  ,
-233  ,
-268  ,
-298  ,
-329  ,
-366  ,
-403  ,
-453  ,
-493  ,
-547  ,
-597  ,
-657  ,
-720  ,
-796  ,
-866  ,
-941  ,
-1003 ,
-1052 ,
-1086 ,
-1107 ,
-1119 ,
-1127 ,
-1111 ,
-1092 ,
-1052 ,
-991  ,
-935  ,
-866  ,
-811  ,
-748  ,
-705  ,
-663  ,
-640  ,
-628  ,
-625  ,
-630  ,
-627  ,
-616  ,
-597  ,
-564  ,
-519  ,
-480  ,
-424  ,
-396  ,
-350  ,
-316  ,
-272  ,
-221  ,
-162  ,
-96 ,
-35 ,
39  ,
100 ,
179 ,
251 ,
323 ,
393 ,
454 ,
513 ,
565 ,
613 ,
663 ,
694 ,
729 ,
738 ,
733 ,
715 ,
678 ,
642 ,
608 ,
576 ,
556 ,
535 ,
522 ,
506 ,
496 ,
490 ,
484 ,
473 ,
468 ,
449 ,
433 ,
422 ,
414 ,
424 ,
444 ,
472 ,
520 ,
566 ,
622 ,
660 ,
702 ,
718 ,
730 ,
725 ,
709 ,
692 ,
665 ,
642 ,
609 ,
574 ,
525 ,
473 ,
406 ,
348 ,
289 ,
244 ,
197 ,
161 ,
124 ,
87  ,
59  ,
32  ,
6 ,
-23 ,
-61 ,
-113  ,
-163  ,
-240  ,
-313  ,
-399  ,
-487  ,
-560  ,
-633  ,
-687  ,
-747  ,
-797  ,
-852  ,
-912  ,
-974  ,
-1045 ,
-1121 ,
-1201 ,
-1283 ,
-1348 ,
-1406 ,
-1431 ,
-1445 ,
-1441 ,
-1427 ,
-1401 ,
-1357 ,
-1299 ,
-1226 ,
-1139 ,
-1049 ,
-955  ,
-867  ,
-774  ,
-686  ,
-587  ,
-494  ,
-398  ,
-309  ,
-228  ,
-173  ,
-130  ,
-113  ,
-110  ,
-122  ,
-134  ,
-158  ,
-167  ,
-174  ,
-172  ,
-163  ,
-137  ,
-114  ,
-77 ,
-49 ,
-9  ,
25  ,
70  ,
106 ,
156 ,
205 ,
270 ,
333 ,
411 ,
484 ,
573 ,
647 ,
726 ,
781 ,
832 ,
859 ,
884 ,
893 ,
910 ,
929 ,
960 ,
986 ,
1015  ,
1047  ,
1072  ,
1091  ,
1099  ,
1098  ,
1098  ,
1092  ,
1080  ,
1068  ,
1050  ,
1034  ,
1001  ,
969 ,
922 ,
880 ,
823 ,
758 ,
689 ,
612 ,
533 ,
462 ,
376 ,
303 ,
225 ,
148 ,
69  ,
-16 ,
-106  ,
-201  ,
-296  ,
-399  ,
-498  ,
-593  ,
-678  ,
-755  ,
-814  ,
-869  ,
-896  ,
-916  ,
-918  ,
-921  ,
-906  ,
-891  ,
-860  ,
-821  ,
-778  ,
-719  ,
-653  ,
-569  ,
-485  ,
-393  ,
-317  ,
-248  ,
-211  ,
-186  ,
-181  ,
-170  ,
-167  ,
-166  ,
-169  ,
-173  ,
-182  ,
-191  ,
-197  ,
-213  ,
-223  ,
-261  ,
-293  ,
-339  ,
-378  ,
-409  ,
-427  ,
-435  ,
-434  ,
-419  ,
-399  ,
-376  ,
-335  ,
-309  ,
-276  ,
-254  ,
-243  ,
-237  ,
-243  ,
-240  ,
-240  ,
-223  ,
-207  ,
-189  ,
-177  ,
-180  ,
-185  ,
-206  ,
-226  ,
-243  ,
-262  ,
-253  ,
-242  ,
-196  ,
-149  ,
-80 ,
-17 ,
49  ,
107 ,
163 ,
211 ,
259 ,
307 ,
365 ,
428 ,
500 ,
560 ,
622 ,
673 ,
716 ,
740 ,
754 ,
740 ,
725 ,
689 ,
649 ,
608 ,
563 ,
519 ,
478 ,
439 ,
409 ,
374 ,
341 ,
312 ,
282 ,
261 ,
242 ,
227 ,
217 ,
199 ,
176 ,
161 ,
137 ,
130 ,
115 ,
109 ,
92  ,
75  ,
49  ,
21  ,
-17 ,
-61 ,
-105  ,
-156  ,
-197  ,
-234  ,
-256  ,
-272  ,
-273  ,
-268  ,
-259  ,
-255  ,
-264  ,
-276  ,
-286  ,
-303  ,
-290  ,
-264  ,
-217  ,
-150  ,
-90 ,
-11 ,
56  ,
122 ,
186 ,
243 ,
291 ,
338 ,
373 ,
411 ,
439 ,
472 ,
498 ,
521 ,
533 ,
546 ,
549 ,
553 ,
557 ,
570 ,
581 ,
603 ,
615 ,
637 ,
668 ,
697 ,
735 ,
769 ,
793 ,
815 ,
819 ,
826 ,
823 ,
815 ,
808 ,
788 ,
770 ,
749 ,
724 ,
701 ,
678 ,
658 ,
640 ,
618 ,
592 ,
553 ,
516 ,
465 ,
414 ,
363 ,
307 ,
252 ,
185 ,
123 ,
54  ,
-8  ,
-67 ,
-127  ,
-177  ,
-225  ,
-272  ,
-311  ,
-349  ,
-372  ,
-391  ,
-416  ,
-437  ,
-473  ,
-505  ,
-554  ,
-590  ,
-628  ,
-648  ,
-664  ,
-679  ,
-689  ,
-705  ,
-726  ,
-748  ,
-776  ,
-800  ,
-835  ,
-867  ,
-896  ,
-931  ,
-941  ,
-946  ,
-937  ,
-915  ,
-894  ,
-866  ,
-835  ,
-802  ,
-764  ,
-726  ,
-687  ,
-660  ,
-624  ,
-609  ,
-584  ,
-573  ,
-552  ,
-524  ,
-499  ,
-462  ,
-438  ,
-416  ,
-403  ,
-399  ,
-385  ,
-381  ,
-369  ,
-366  ,
-362  ,
-351  ,
-338  ,
-313  ,
-289  ,
-260  ,
-222  ,
-182  ,
-134  ,
-80 ,
-11 ,
75  ,
156 ,
237 ,
306 ,
360 ,
396 ,
409 ,
420 ,
413 ,
408 ,
392 ,
364 ,
332 ,
289 ,
249 ,
217 ,
198 ,
180 ,
183 ,
177 ,
194 ,
208 ,
243 ,
271 ,
307 ,
341 ,
366 ,
390 ,
415 ,
438 ,
468 ,
498 ,
520 ,
549 ,
564 ,
583 ,
589 ,
597 ,
607 ,
603 ,
603 ,
584 ,
567 ,
536 ,
527 ,
498 ,
480 ,
457 ,
425 ,
385 ,
326 ,
266 ,
187 ,
111 ,
32  ,
-47 ,
-122  ,
-190  ,
-254  ,
-305  ,
-361  ,
-413  ,
-470  ,
-542  ,
-626  ,
-710  ,
-793  ,
-861  ,
-915  ,
-962  ,
-985  ,
-1009 ,
-1016 ,
-1028 ,
-1035 ,
-1027 ,
-1017 ,
-995  ,
-955  ,
-911  ,
-845  ,
-787  ,
-722  ,
-662  ,
-614  ,
-556  ,
-510  ,
-454  ,
-402  ,
-337  ,
-261  ,
-186  ,
-93 ,
-14 ,
75  ,
133 ,
194 ,
218 ,
237 ,
227 ,
218 ,
188 ,
164 ,
127 ,
110 ,
100 ,
101 ,
110 ,
128 ,
144 ,
168 ,
182 ,
191 ,
186 ,
172 ,
143 ,
123 ,
103 ,
92  ,
91  ,
104 ,
117 ,
154 ,
185 ,
238 ,
291 ,
343 ,
390 ,
431 ,
455 ,
468 ,
477 ,
479 ,
481 ,
491 ,
499 ,
519 ,
545 ,
573 ,
610 ,
628 ,
656 ,
670 ,
683 ,
703 ,
718 ,
742 ,
750 ,
762 ,
741 ,
705 ,
646 ,
565 ,
473 ,
362 ,
258 ,
142 ,
47  ,
-46 ,
-128  ,
-196  ,
-257  ,
-308  ,
-356  ,
-387  ,
-423  ,
-448  ,
-482  ,
-512  ,
-555  ,
-599  ,
-640  ,
-674  ,
-683  ,
-693  ,
-667  ,
-645  ,
-610  ,
-580  ,
-548  ,
-520  ,
-483  ,
-453  ,
-402  ,
-361  ,
-304  ,
-275  ,
-240  ,
-225  ,
-214  ,
-222  ,
-240  ,
-269  ,
-302  ,
-332  ,
-354  ,
-367  ,
-369  ,
-364  ,
-335  ,
-311  ,
-266  ,
-229  ,
-173  ,
-132  ,
-91 ,
-66 ,
-55 ,
-61 ,
-80 ,
-99 ,
-113  ,
-114  ,
-106  ,
-85 ,
-79 ,
-65 ,
-67 ,
-68 ,
-69 ,
-70 ,
-59 ,
-62 ,
-66 ,
-88 ,
-118  ,
-161  ,
-198  ,
-240  ,
-259  ,
-265  ,
-247  ,
-206  ,
-145  ,
-59 ,
39  ,
146 ,
240 ,
322 ,
381 ,
416 ,
436 ,
438 ,
426 ,
411 ,
389 ,
368 ,
338 ,
316 ,
301 ,
300 ,
311 ,
320 ,
346 ,
349 ,
344 ,
322 ,
281 ,
239 ,
190 ,
158 ,
129 ,
123 ,
124 ,
131 ,
147 ,
161 ,
181 ,
192 ,
191 ,
181 ,
162 ,
140 ,
120 ,
99  ,
79  ,
47  ,
16  ,
-23 ,
-64 ,
-93 ,
-123  ,
-134  ,
-143  ,
-131  ,
-122  ,
-97 ,
-86 ,
-63 ,
-55 ,
-34 ,
-23 ,
-2  ,
20  ,
51  ,
86  ,
125 ,
165 ,
203 ,
241 ,
280 ,
304 ,
335 ,
355 ,
382 ,
396 ,
398 ,
394 ,
369 ,
347 ,
306 ,
271 ,
233 ,
197 ,
164 ,
132 ,
115 ,
102 ,
103 ,
121 ,
152 ,
203 ,
250 ,
314 ,
381 ,
454 ,
529 ,
603 ,
681 ,
747 ,
801 ,
838 ,
852 ,
855 ,
833 ,
804 ,
763 ,
724 ,
687 ,
657 ,
642 ,
631 ,
627 ,
626 ,
616 ,
611 ,
580 ,
547 ,
498 ,
448 ,
397 ,
345 ,
287 ,
240 ,
181 ,
137 ,
76  ,
27  ,
-20 ,
-53 ,
-80 ,
-101  ,
-120  ,
-141  ,
-170  ,
-207  ,
-257  ,
-327  ,
-415  ,
-510  ,
-607  ,
-702  ,
-786  ,
-861  ,
-921  ,
-973  ,
-1014 ,
-1050 ,
-1065 ,
-1075 ,
-1067 ,
-1051 ,
-1024 ,
-999  ,
-964  ,
-938  ,
-904  ,
-871  ,
-834  ,
-806  ,
-778  ,
-759  ,
-734  ,
-710  ,
-680  ,
-653  ,
-628  ,
-609  ,
-606  ,
-609  ,
-624  ,
-633  ,
-645  ,
-641  ,
-628  ,
-608  ,
-580  ,
-538  ,
-496  ,
-444  ,
-402  ,
-350  ,
-305  ,
-262  ,
-222  ,
-184  ,
-140  ,
-98 ,
-34 ,
27  ,
102 ,
171 ,
247 ,
304 ,
371 ,
417 ,
467 ,
493 ,
510 ,
508 ,
491 ,
456 ,
413 ,
356 ,
302 ,
245 ,
193 ,
150 ,
114 ,
89  ,
73  ,
74  ,
73  ,
84  ,
92  ,
113 ,
150 ,
196 ,
257 ,
315 ,
387 ,
448 ,
516 ,
576 ,
647 ,
703 ,
762 ,
798 ,
836 ,
851 ,
864 ,
859 ,
861 ,
863 ,
869 ,
883 ,
890 ,
900 ,
901 ,
899 ,
885 ,
858 ,
819 ,
776 ,
725 ,
675 ,
622 ,
564 ,
498 ,
421 ,
338 ,
254 ,
173 ,
93  ,
19  ,
-49 ,
-119  ,
-181  ,
-254  ,
-322  ,
-395  ,
-468  ,
-530  ,
-601  ,
-666  ,
-738  ,
-821  ,
-913  ,
-1005 ,
-1097 ,
-1171 ,
-1221 ,
-1260 ,
-1256 ,
-1244 ,
-1186 ,
-1122 ,
-1037 ,
-949  ,
-856  ,
-762  ,
-675  ,
-587  ,
-509  ,
-437  ,
-375  ,
-321  ,
-277  ,
-241  ,
-212  ,
-181  ,
-152  ,
-125  ,
-90 ,
-70 ,
-41 ,
-40 ,
-31 ,
-34 ,
-30 ,
-28 ,
-24 ,
-14 ,
-1  ,
18  ,
36  ,
63  ,
84  ,
109 ,
136 ,
166 ,
194 ,
231 ,
260 ,
297 ,
328 ,
382 ,
422 ,
472 ,
511 ,
541 ,
560 ,
565 ,
554 ,
533 ,
497 ,
465 ,
419 ,
381 ,
341 ,
315 ,
303 ,
297 ,
319 ,
341 ,
374 ,
405 ,
428 ,
447 ,
439 ,
427 ,
379 ,
332 ,
273 ,
215 ,
158 ,
106 ,
62  ,
24  ,
-17 ,
-57 ,
-106  ,
-147  ,
-197  ,
-248  ,
-302  ,
-369  ,
-427  ,
-494  ,
-543  ,
-594  ,
-621  ,
-651  ,
-662  ,
-666  ,
-663  ,
-654  ,
-644  ,
-625  ,
-602  ,
-569  ,
-536  ,
-494  ,
-456  ,
-416  ,
-377  ,
-345  ,
-308  ,
-285  ,
-262  ,
-246  ,
-227  ,
-216  ,
-207  ,
-204  ,
-203  ,
-197  ,
-192  ,
-182  ,
-185  ,
-200  ,
-220  ,
-255  ,
-287  ,
-331  ,
-359  ,
-380  ,
-393  ,
-394  ,
-388  ,
-367  ,
-335  ,
-302  ,
-258  ,
-226  ,
-190  ,
-177  ,
-150  ,
-159  ,
-169  ,
-200  ,
-245  ,
-279  ,
-317  ,
-346  ,
-360  ,
-361  ,
-342  ,
-319  ,
-287  ,
-258  ,
-229  ,
-207  ,
-185  ,
-165  ,
-146  ,
-131  ,
-109  ,
-80 ,
-23 ,
35  ,
125 ,
201 ,
288 ,
372 ,
443 ,
510 ,
568 ,
613 ,
660 ,
689 ,
715 ,
731 ,
735 ,
725 ,
705 ,
680 ,
633 ,
580 ,
502 ,
414 ,
329 ,
239 ,
166 ,
93  ,
44  ,
-7  ,
-35 ,
-60 ,
-72 ,
-78 ,
-81 ,
-83 ,
-90 ,
-106  ,
-129  ,
-166  ,
-200  ,
-248  ,
-283  ,
-330  ,
-365  ,
-394  ,
-411  ,
-406  ,
-398  ,
-367  ,
-339  ,
-304  ,
-274  ,
-254  ,
-228  ,
-202  ,
-166  ,
-130  ,
-87 ,
-37 ,
15  ,
74  ,
129 ,
194 ,
259 ,
328 ,
388 ,
458 ,
520 ,
577 ,
623 ,
654 ,
670 ,
674 ,
655 ,
625 ,
588 ,
552 ,
514 ,
489 ,
470 ,
459 ,
463 ,
472 ,
497 ,
524 ,
563 ,
592 ,
627 ,
661 ,
693 ,
723 ,
750 ,
773 ,
795 ,
803 ,
821 ,
821 ,
831 ,
833 ,
849 ,
867 ,
892 ,
912 ,
929 ,
929 ,
914 ,
882 ,
844 ,
797 ,
755 ,
718 ,
695 ,
672 ,
659 ,
647 ,
640 ,
621 ,
606 ,
579 ,
547 ,
508 ,
456 ,
395 ,
323 ,
236 ,
144 ,
44  ,
-54 ,
-140  ,
-223  ,
-278  ,
-334  ,
-366  ,
-404  ,
-424  ,
-463  ,
-488  ,
-527  ,
-550  ,
-587  ,
-615  ,
-642  ,
-673  ,
-697  ,
-725  ,
-743  ,
-763  ,
-776  ,
-800  ,
-815  ,
-830  ,
-841  ,
-840  ,
-838  ,
-824  ,
-803  ,
-788  ,
-759  ,
-752  ,
-728  ,
-718  ,
-705  ,
-704  ,
-707  ,
-729  ,
-759  ,
-795  ,
-821  ,
-832  ,
-822  ,
-804  ,
-758  ,
-718  ,
-664  ,
-609  ,
-553  ,
-492  ,
-445  ,
-385  ,
-337  ,
-261  ,
-196  ,
-106  ,
-29 ,
62  ,
138 ,
214 ,
286 ,
354 ,
411 ,
461 ,
503 ,
526 ,
543 ,
538 ,
534 ,
514 ,
504 ,
473 ,
461 ,
427 ,
400 ,
363 ,
320 ,
286 ,
257 ,
247 ,
249 ,
289 ,
328 ,
397 ,
447 ,
509 ,
549 ,
572 ,
591 ,
601 ,
611 ,
620 ,
626 ,
634 ,
631 ,
628 ,
610 ,
594 ,
566 ,
548 ,
525 ,
521 ,
523 ,
531 ,
541 ,
549 ,
550 ,
560 ,
556 ,
564 ,
564 ,
566 ,
564 ,
555 ,
545 ,
525 ,
499 ,
462 ,
416 ,
364 ,
302 ,
231 ,
156 ,
79  ,
1 ,
-72 ,
-149  ,
-228  ,
-306  ,
-387  ,
-458  ,
-526  ,
-577  ,
-638  ,
-682  ,
-737  ,
-775  ,
-810  ,
-844  ,
-870  ,
-895  ,
-910  ,
-908  ,
-896  ,
-869  ,
-840  ,
-806  ,
-771  ,
-746  ,
-716  ,
-686  ,
-656  ,
-616  ,
-596  ,
-566  ,
-554  ,
-555  ,
-550  ,
-552  ,
-544  ,
-522  ,
-502  ,
-466  ,
-448  ,
-419  ,
-391  ,
-371  ,
-346  ,
-321  ,
-286  ,
-256  ,
-218  ,
-201  ,
-172  ,
-161  ,
-138  ,
-129  ,
-121  ,
-113  ,
-97 ,
-88 ,
-63 ,
-46 ,
-13 ,
13  ,
51  ,
80  ,
110 ,
128 ,
150 ,
168 ,
185 ,
211 ,
234 ,
261 ,
290 ,
314 ,
337 ,
358 ,
376 ,
396 ,
407 ,
419 ,
411 ,
399 ,
374 ,
355 ,
332 ,
310 ,
300 ,
283 ,
276 ,
258 ,
238 ,
200 ,
148 ,
77  ,
-13 ,
-97 ,
-200  ,
-276  ,
-369  ,
-434  ,
-507  ,
-566  ,
-620  ,
-659  ,
-695  ,
-710  ,
-729  ,
-724  ,
-728  ,
-725  ,
-722  ,
-724  ,
-714  ,
-699  ,
-678  ,
-654  ,
-622  ,
-595  ,
-566  ,
-534  ,
-503  ,
-462  ,
-432  ,
-400  ,
-370  ,
-347  ,
-314  ,
-296  ,
-276  ,
-257  ,
-235  ,
-216  ,
-200  ,
-186  ,
-174  ,
-152  ,
-141  ,
-118  ,
-107  ,
-76 ,
-50 ,
-11 ,
27  ,
65  ,
108 ,
138 ,
181 ,
212 ,
242 ,
260 ,
254 ,
232 ,
181 ,
109 ,
27  ,
-82 ,
-180  ,
-290  ,
-381  ,
-474  ,
-544  ,
-609  ,
-649  ,
-674  ,
-677  ,
-661  ,
-620  ,
-563  ,
-483  ,
-402  ,
-312  ,
-217  ,
-127  ,
-47 ,
21  ,
78  ,
124 ,
160 ,
194 ,
220 ,
261 ,
291 ,
336 ,
378 ,
421 ,
463 ,
501 ,
528 ,
556 ,
584 ,
601 ,
625 ,
629 ,
637 ,
628 ,
614 ,
584 ,
552 ,
501 ,
452 ,
390 ,
336 ,
275 ,
220 ,
169 ,
121 ,
79  ,
33  ,
-1  ,
-42 ,
-65 ,
-85 ,
-101  ,
-101  ,
-113  ,
-117  ,
-139  ,
-162  ,
-194  ,
-234  ,
-272  ,
-311  ,
-354  ,
-378  ,
-403  ,
-411  ,
-413  ,
-409  ,
-398  ,
-362  ,
-326  ,
-261  ,
-201  ,
-125  ,
-65 ,
-13 ,
21  ,
48  ,
70  ,
95  ,
123 ,
161 ,
200 ,
241 ,
286 ,
319 ,
355 ,
382 ,
404 ,
422 ,
435 ,
432 ,
431 ,
414 ,
399 ,
379 ,
364 ,
342 ,
340 ,
317 ,
316 ,
314 ,
334 ,
363 ,
415 ,
478 ,
555 ,
634 ,
708 ,
767 ,
820 ,
862 ,
895 ,
920 ,
941 ,
958 ,
964 ,
959 ,
938 ,
903 ,
849 ,
795 ,
731 ,
678 ,
627 ,
578 ,
542 ,
500 ,
480 ,
458 ,
449 ,
443 ,
441 ,
438 ,
429 ,
408 ,
370 ,
310 ,
251 ,
166 ,
91  ,
4 ,
-74 ,
-157  ,
-241  ,
-321  ,
-399  ,
-468  ,
-518  ,
-555  ,
-564  ,
-573  ,
-557  ,
-551  ,
-536  ,
-536  ,
-530  ,
-543  ,
-558  ,
-561  ,
-587  ,
-586  ,
-580  ,
-557  ,
-519  ,
-487  ,
-444  ,
-416  ,
-379  ,
-360  ,
-335  ,
-316  ,
-302  ,
-285  ,
-271  ,
-259  ,
-256  ,
-263  ,
-274  ,
-296  ,
-324  ,
-358  ,
-390  ,
-416  ,
-443  ,
-446  ,
-451  ,
-438  ,
-417  ,
-394  ,
-354  ,
-306  ,
-243  ,
-166  ,
-92 ,
-6  ,
74  ,
152 ,
216 ,
278 ,
312 ,
341 ,
354 ,
354 ,
355 ,
351 ,
357 ,
360 ,
363 ,
368 ,
363 ,
356 ,
344 ,
344 ,
337 ,
346 ,
363 ,
393 ,
419 ,
451 ,
473 ,
498 ,
530 ,
562 ,
611 ,
658 ,
705 ,
757 ,
798 ,
845 ,
883 ,
914 ,
942 ,
955 ,
961 ,
946 ,
923 ,
893 ,
851 ,
819 ,
774 ,
741 ,
691 ,
647 ,
598 ,
553 ,
521 ,
494 ,
476 ,
456 ,
431 ,
395 ,
367 ,
322 ,
290 ,
251 ,
220 ,
192 ,
163 ,
135 ,
104 ,
87  ,
50  ,
21  ,
-31 ,
-86 ,
-152  ,
-221  ,
-302  ,
-388  ,
-481  ,
-569  ,
-644  ,
-707  ,
-740  ,
-772  ,
-785  ,
-794  ,
-803  ,
-807  ,
-826  ,
-833  ,
-852  ,
-851  ,
-845  ,
-822  ,
-786  ,
-746  ,
-701  ,
-652  ,
-592  ,
-531  ,
-460  ,
-400  ,
-338  ,
-293  ,
-251  ,
-229  ,
-217  ,
-213  ,
-226  ,
-234  ,
-257  ,
-260  ,
-270  ,
-259  ,
-250  ,
-219  ,
-200  ,
-162  ,
-136  ,
-97 ,
-65 ,
-20 ,
22  ,
63  ,
93  ,
118 ,
131 ,
151 ,
147 ,
158 ,
152 ,
155 ,
141 ,
133 ,
118 ,
112 ,
97  ,
86  ,
84  ,
76  ,
80  ,
88  ,
101 ,
125 ,
142 ,
163 ,
184 ,
211 ,
238 ,
272 ,
307 ,
349 ,
387 ,
416 ,
441 ,
455 ,
471 ,
472 ,
465 ,
448 ,
423 ,
388 ,
344 ,
286 ,
225 ,
159 ,
87  ,
8 ,
-69 ,
-139  ,
-206  ,
-254  ,
-291  ,
-317  ,
-347  ,
-372  ,
-409  ,
-445  ,
-490  ,
-535  ,
-575  ,
-610  ,
-634  ,
-662  ,
-681  ,
-706  ,
-727  ,
-752  ,
-767  ,
-785  ,
-791  ,
-794  ,
-794  ,
-788  ,
-776  ,
-764  ,
-740  ,
-713  ,
-689  ,
-658  ,
-635  ,
-611  ,
-596  ,
-590  ,
-578  ,
-562  ,
-525  ,
-482  ,
-415  ,
-335  ,
-240  ,
-140  ,
-35 ,
62  ,
154 ,
219 ,
276 ,
304 ,
326 ,
339 ,
351 ,
369 ,
379 ,
388 ,
381 ,
367 ,
324 ,
271 ,
197 ,
118 ,
22  ,
-65 ,
-158  ,
-227  ,
-281  ,
-310  ,
-312  ,
-298  ,
-264  ,
-212  ,
-146  ,
-81 ,
4 ,
78  ,
161 ,
222 ,
284 ,
321 ,
355 ,
379 ,
397 ,
421 ,
446 ,
472 ,
500 ,
521 ,
546 ,
564 ,
580 ,
594 ,
599 ,
599 ,
582 ,
562 ,
526 ,
480 ,
436 ,
389 ,
349 ,
300 ,
250 ,
207 ,
152 ,
115 ,
71  ,
34  ,
6 ,
-27 ,
-53 ,
-74 ,
-107  ,
-135  ,
-169  ,
-206  ,
-243  ,
-282  ,
-328  ,
-368  ,
-424  ,
-470  ,
-512  ,
-541  ,
-559  ,
-561  ,
-550  ,
-527  ,
-498  ,
-466  ,
-425  ,
-387  ,
-345  ,
-304  ,
-268  ,
-235  ,
-214  ,
-199  ,
-186  ,
-178  ,
-169  ,
-164  ,
-152  ,
-136  ,
-115  ,
-95 ,
-77 ,
-61 ,
-48 ,
-46 ,
-47 ,
-48 ,
-48 ,
-49 ,
-41 ,
-38 ,
-26 ,
-24 ,
-17 ,
-15 ,
-14 ,
-21 ,
-20 ,
-29 ,
-16 ,
10  ,
59  ,
124 ,
207 ,
299 ,
386 ,
470 ,
539 ,
590 ,
617 ,
639 ,
645 ,
649 ,
650 ,
648 ,
658 ,
671 ,
704 ,
737 ,
780 ,
805 ,
836 ,
849 ,
860 ,
858 ,
852 ,
836 ,
827 ,
809 ,
797 ,
779 ,
756 ,
724 ,
687 ,
649 ,
599 ,
542 ,
464 ,
378 ,
273 ,
160 ,
45  ,
-70 ,
-172  ,
-272  ,
-347  ,
-407  ,
-436  ,
-464  ,
-480  ,
-501  ,
-514  ,
-529  ,
-539  ,
-552  ,
-564  ,
-584  ,
-608  ,
-637  ,
-659  ,
-680  ,
-690  ,
-695  ,
-695  ,
-697  ,
-687  ,
-681  ,
-661  ,
-646  ,
-620  ,
-594  ,
-575  ,
-555  ,
-558  ,
-563  ,
-573  ,
-579  ,
-588  ,
-596  ,
-595  ,
-602  ,
-602  ,
-595  ,
-583  ,
-554  ,
-525  ,
-479  ,
-418  ,
-353  ,
-280  ,
-215  ,
-164  ,
-120  ,
-84 ,
-59 ,
-19 ,
8 ,
35  ,
61  ,
78  ,
91  ,
94  ,
85  ,
69  ,
43  ,
11  ,
-22 ,
-53 ,
-75 ,
-97 ,
-101  ,
-109  ,
-101  ,
-89 ,
-65 ,
-37 ,
-6  ,
34  ,
79  ,
127 ,
179 ,
230 ,
290 ,
337 ,
393 ,
443 ,
500 ,
557 ,
618 ,
683 ,
742 ,
801 ,
841 ,
859 ,
871 ,
864 ,
847 ,
824 ,
797 ,
779 ,
753 ,
738 ,
721 ,
706 ,
698 ,
691 ,
694 ,
688 ,
684 ,
664 ,
634 ,
599 ,
555 ,
518 ,
481 ,
450 ,
419 ,
386 ,
356 ,
313 ,
277 ,
234 ,
191 ,
146 ,
94  ,
35  ,
-36 ,
-118  ,
-198  ,
-283  ,
-356  ,
-414  ,
-457  ,
-476  ,
-495  ,
-486  ,
-498  ,
-492  ,
-514  ,
-523  ,
-550  ,
-573  ,
-598  ,
-626  ,
-648  ,
-668  ,
-680  ,
-693  ,
-694  ,
-689  ,
-668  ,
-643  ,
-627  ,
-599  ,
-586  ,
-566  ,
-549  ,
-524  ,
-491  ,
-449  ,
-400  ,
-354  ,
-301  ,
-253  ,
-214  ,
-179  ,
-145  ,
-115  ,
-73 ,
-42 ,
5 ,
47  ,
94  ,
137 ,
166 ,
185 ,
185 ,
179 ,
162 ,
149 ,
139 ,
132 ,
132 ,
123 ,
115 ,
106 ,
84  ,
62  ,
39  ,
11  ,
-13 ,
-37 ,
-55 ,
-68 ,
-83 ,
-82 ,
-90 ,
-65 ,
-55 ,
-24 ,
-1  ,
21  ,
31  ,
39  ,
37  ,
31  ,
21  ,
10  ,
12  ,
-3  ,
8 ,
1 ,
0 ,
-12 ,
-24 ,
-44 ,
-58 ,
-79 ,
-103  ,
-125  ,
-142  ,
-147  ,
-149  ,
-151  ,
-162  ,
-170  ,
-190  ,
-207  ,
-229  ,
-249  ,
-253  ,
-266  ,
-259  ,
-255  ,
-234  ,
-218  ,
-209  ,
-209  ,
-220  ,
-225  ,
-245  ,
-263  ,
-290  ,
-318  ,
-340  ,
-365  ,
-367  ,
-371  ,
-356  ,
-326  ,
-285  ,
-244  ,
-206  ,
-177  ,
-165  ,
-161  ,
-159  ,
-147  ,
-117  ,
-65 ,
5 ,
99  ,
192 ,
300 ,
390 ,
468 ,
534 ,
575 ,
599 ,
605 ,
591 ,
556 ,
515 ,
451 ,
388 ,
315 ,
250 ,
169 ,
96  ,
12  ,
-64 ,
-134  ,
-192  ,
-241  ,
-270  ,
-292  ,
-296  ,
-287  ,
-260  ,
-222  ,
-173  ,
-110  ,
-42 ,
38  ,
108 ,
181 ,
243 ,
303 ,
358 ,
412 ,
469 ,
520 ,
569 ,
607 ,
643 ,
660 ,
667 ,
661 ,
642 ,
615 ,
592 ,
562 ,
543 ,
509 ,
475 ,
433 ,
382 ,
326 ,
265 ,
201 ,
137 ,
81  ,
33  ,
-9  ,
-47 ,
-79 ,
-114  ,
-156  ,
-205  ,
-266  ,
-330  ,
-410  ,
-481  ,
-548  ,
-600  ,
-644  ,
-672  ,
-697  ,
-711  ,
-733  ,
-741  ,
-755  ,
-751  ,
-745  ,
-726  ,
-712  ,
-681  ,
-652  ,
-612  ,
-555  ,
-504  ,
-442  ,
-389  ,
-332  ,
-277  ,
-223  ,
-165  ,
-112  ,
-66 ,
-32 ,
0 ,
22  ,
47  ,
67  ,
84  ,
109 ,
114 ,
132 ,
128 ,
130 ,
112 ,
107 ,
95  ,
93  ,
103 ,
110 ,
141 ,
160 ,
199 ,
222 ,
253 ,
269 ,
276 ,
276 ,
273 ,
277 ,
287 ,
313 ,
352 ,
406 ,
462 ,
521 ,
577 ,
608 ,
642 ,
643 ,
639 ,
621 ,
597 ,
576 ,
557 ,
542 ,
538 ,
536 ,
546 ,
549 ,
560 ,
573 ,
585 ,
599 ,
619 ,
634 ,
660 ,
677 ,
687 ,
695 ,
688 ,
685 ,
668 ,
653 ,
616 ,
578 ,
508 ,
430 ,
338 ,
242 ,
149 ,
52  ,
-30 ,
-118  ,
-184  ,
-262  ,
-323  ,
-390  ,
-464  ,
-521  ,
-597  ,
-646  ,
-702  ,
-729  ,
-749  ,
-750  ,
-741  ,
-735  ,
-721  ,
-721  ,
-721  ,
-732  ,
-740  ,
-746  ,
-745  ,
-753  ,
-750  ,
-754  ,
-756  ,
-769  ,
-781  ,
-795  ,
-796  ,
-791  ,
-777  ,
-758  ,
-738  ,
-717  ,
-698  ,
-675  ,
-653  ,
-628  ,
-595  ,
-553  ,
-491  ,
-426  ,
-350  ,
-282  ,
-209  ,
-149  ,
-92 ,
-42 ,
-9  ,
30  ,
58  ,
87  ,
110 ,
130 ,
142 ,
148 ,
151 ,
149 ,
144 ,
151 ,
152 ,
160 ,
154 ,
159 ,
161 ,
169 ,
186 ,
209 ,
245 ,
288 ,
344 ,
397 ,
460 ,
524 ,
581 ,
639 ,
691 ,
743 ,
793 ,
824 ,
866 ,
889 ,
915 ,
938 ,
955 ,
984 ,
997 ,
1022  ,
1027  ,
1032  ,
1017  ,
988 ,
954 ,
908 ,
858 ,
810 ,
756 ,
709 ,
659 ,
625 ,
592 ,
565 ,
546 ,
528 ,
516 ,
496 ,
479 ,
457 ,
437 ,
413 ,
389 ,
372 ,
341 ,
322 ,
287 ,
256 ,
209 ,
177 ,
145 ,
120 ,
95  ,
74  ,
41  ,
15  ,
-30 ,
-78 ,
-131  ,
-191  ,
-249  ,
-309  ,
-361  ,
-409  ,
-454  ,
-501  ,
-551  ,
-601  ,
-645  ,
-688  ,
-723  ,
-761  ,
-786  ,
-809  ,
-821  ,
-836  ,
-846  ,
-852  ,
-863  ,
-873  ,
-885  ,
-886  ,
-895  ,
-895  ,
-886  ,
-875  ,
-845  ,
-809  ,
-751  ,
-684  ,
-608  ,
-526  ,
-445  ,
-350  ,
-274  ,
-175  ,
-111  ,
-34 ,
22  ,
75  ,
123 ,
145 ,
171 ,
170 ,
166 ,
157 ,
147 ,
135 ,
125 ,
121 ,
116 ,
123 ,
125 ,
136 ,
149 ,
171 ,
190 ,
212 ,
221 ,
230 ,
220 ,
219 ,
208 ,
214 ,
217 ,
240 ,
265 ,
297 ,
326 ,
353 ,
379 ,
392 ,
400 ,
407 ,
406 ,
410 ,
399 ,
396 ,
377 ,
357 ,
323 ,
282 ,
244 ,
190 ,
144 ,
101 ,
57  ,
20  ,
-17 ,
-47 ,
-77 ,
-98 ,
-118  ,
-143  ,
-160  ,
-187  ,
-218  ,
-243  ,
-275  ,
-295  ,
-324  ,
-344  ,
-376  ,
-396  ,
-418  ,
-436  ,
-442  ,
-447  ,
-435  ,
-418  ,
-393  ,
-367  ,
-347  ,
-330  ,
-317  ,
-296  ,
-272  ,
-232  ,
-191  ,
-138  ,
-84 ,
-33 ,
13  ,
47  ,
89  ,
124 ,
173 ,
217 ,
266 ,
309 ,
344 ,
367 ,
381 ,
376 ,
352 ,
315 ,
265 ,
201 ,
130 ,
62  ,
-4  ,
-73 ,
-141  ,
-210  ,
-282  ,
-345  ,
-414  ,
-457  ,
-504  ,
-523  ,
-544  ,
-550  ,
-556  ,
-550  ,
-545  ,
-520  ,
-484  ,
-435  ,
-363  ,
-280  ,
-186  ,
-89 ,
5 ,
98  ,
174 ,
241 ,
285 ,
331 ,
355 ,
375 ,
397 ,
406 ,
429 ,
452 ,
479 ,
511 ,
540 ,
565 ,
590 ,
600 ,
615 ,
608 ,
608 ,
599 ,
596 ,
582 ,
562 ,
525 ,
478 ,
404 ,
325 ,
230 ,
144 ,
51  ,
-14 ,
-73 ,
-111  ,
-154  ,
-191  ,
-245  ,
-287  ,
-343  ,
-393  ,
-443  ,
-495  ,
-539  ,
-580  ,
-609  ,
-634  ,
-640  ,
-657  ,
-650  ,
-652  ,
-633  ,
-611  ,
-584  ,
-545  ,
-515  ,
-478  ,
-461  ,
-435  ,
-433  ,
-439  ,
-441  ,
-449  ,
-450  ,
-439  ,
-433  ,
-411  ,
-395  ,
-370  ,
-338  ,
-307  ,
-263  ,
-235  ,
-201  ,
-170  ,
-137  ,
-102  ,
-63 ,
-29 ,
8 ,
33  ,
67  ,
85  ,
122 ,
150 ,
188 ,
236 ,
277 ,
329 ,
364 ,
397 ,
422 ,
431 ,
424 ,
410 ,
384 ,
346 ,
313 ,
273 ,
247 ,
218 ,
196 ,
174 ,
157 ,
145 ,
155 ,
171 ,
204 ,
234 ,
270 ,
304 ,
331 ,
365 ,
375 ,
390 ,
383 ,
367 ,
352 ,
327 ,
314 ,
301 ,
301 ,
303 ,
308 ,
312 ,
307 ,
291 ,
262 ,
216 ,
161 ,
81  ,
-4  ,
-105  ,
-204  ,
-303  ,
-386  ,
-453  ,
-506  ,
-546  ,
-576  ,
-595  ,
-607  ,
-608  ,
-600  ,
-580  ,
-559  ,
-526  ,
-495  ,
-461  ,
-428  ,
-398  ,
-378  ,
-359  ,
-358  ,
-362  ,
-376  ,
-383  ,
-386  ,
-396  ,
-399  ,
-400  ,
-405  ,
-401  ,
-397  ,
-377  ,
-347  ,
-302  ,
-260  ,
-216  ,
-176  ,
-142  ,
-114  ,
-90 ,
-72 ,
-48 ,
-26 ,
9 ,
39  ,
75  ,
103 ,
134 ,
142 ,
146 ,
127 ,
95  ,
62  ,
18  ,
-22 ,
-52 ,
-81 ,
-100  ,
-111  ,
-114  ,
-99 ,
-88 ,
-54 ,
-23 ,
27  ,
59  ,
99  ,
133 ,
161 ,
203 ,
252 ,
320 ,
406 ,
494 ,
594 ,
688 ,
778 ,
862 ,
936 ,
1000  ,
1054  ,
1095  ,
1124  ,
1141  ,
1144  ,
1134  ,
1110  ,
1078  ,
1036  ,
988 ,
934 ,
886 ,
842 ,
808 ,
780 ,
758 ,
728 ,
702 ,
666 ,
640 ,
604 ,
566 ,
531 ,
492 ,
445 ,
400 ,
335 ,
283 ,
217 ,
155 ,
93  ,
39  ,
-12 ,
-38 ,
-61 ,
-70 ,
-71 ,
-62 ,
-46 ,
-35 ,
-28 ,
-35 ,
-47 ,
-84 ,
-137  ,
-203  ,
-273  ,
-340  ,
-397  ,
-437  ,
-456  ,
-458  ,
-449  ,
-444  ,
-437  ,
-440  ,
-452  ,
-457  ,
-472  ,
-475  ,
-483  ,
-488  ,
-503  ,
-523  ,
-554  ,
-585  ,
-623  ,
-658  ,
-700  ,
-744  ,
-775  ,
-794  ,
-792  ,
-776  ,
-752  ,
-699  ,
-654  ,
-584  ,
-526  ,
-451  ,
-390  ,
-313  ,
-238  ,
-162  ,
-90 ,
-26 ,
23  ,
55  ,
74  ,
76  ,
74  ,
65  ,
58  ,
31  ,
26  ,
1 ,
-11 ,
-36 ,
-72 ,
-110  ,
-147  ,
-190  ,
-216  ,
-237  ,
-249  ,
-241  ,
-236  ,
-208  ,
-182  ,
-144  ,
-114  ,
-71 ,
-29 ,
22  ,
71  ,
119 ,
172 ,
221 ,
271 ,
317 ,
361 ,
399 ,
423 ,
434 ,
435 ,
437 ,
431 ,
417 ,
396 ,
365 ,
324 ,
277 ,
224 ,
171 ,
117 ,
68  ,
20  ,
-18 ,
-59 ,
-94 ,
-137  ,
-168  ,
-213  ,
-240  ,
-278  ,
-295  ,
-321  ,
-335  ,
-346  ,
-345  ,
-366  ,
-379  ,
-423  ,
-457  ,
-496  ,
-526  ,
-539  ,
-543  ,
-539  ,
-525  ,
-499  ,
-472  ,
-428  ,
-381  ,
-314  ,
-251  ,
-179  ,
-114  ,
-47 ,
10  ,
66  ,
127 ,
166 ,
216 ,
242 ,
280 ,
319 ,
362 ,
409 ,
456 ,
498 ,
532 ,
535 ,
532 ,
510 ,
480 ,
444 ,
392 ,
359 ,
319 ,
285 ,
248 ,
218 ,
186 ,
153 ,
113 ,
72  ,
41  ,
1 ,
-11 ,
-32 ,
-39 ,
-39 ,
-28 ,
-4  ,
19  ,
44  ,
66  ,
96  ,
117 ,
148 ,
158 ,
173 ,
171 ,
166 ,
160 ,
150 ,
149 ,
142 ,
146 ,
146 ,
154 ,
154 ,
160 ,
154 ,
152 ,
148 ,
139 ,
130 ,
113 ,
92  ,
77  ,
51  ,
40  ,
19  ,
4 ,
-5  ,
-21 ,
-28 ,
-44 ,
-59 ,
-88 ,
-114  ,
-149  ,
-183  ,
-213  ,
-248  ,
-274  ,
-312  ,
-344  ,
-389  ,
-430  ,
-470  ,
-512  ,
-538  ,
-555  ,
-557  ,
-550  ,
-538  ,
-536  ,
-533  ,
-535  ,
-529  ,
-520  ,
-498  ,
-484  ,
-459  ,
-437  ,
-409  ,
-380  ,
-354  ,
-329  ,
-303  ,
-286  ,
-269  ,
-256  ,
-254  ,
-258  ,
-275  ,
-292  ,
-313  ,
-343  ,
-358  ,
-372  ,
-359  ,
-338  ,
-294  ,
-235  ,
-175  ,
-106  ,
-49 ,
15  ,
67  ,
122 ,
174 ,
224 ,
265 ,
305 ,
335 ,
361 ,
360 ,
366 ,
350 ,
337 ,
323 ,
306 ,
300 ,
304 ,
308 ,
323 ,
332 ,
356 ,
378 ,
406 ,
448 ,
482 ,
524 ,
556 ,
585 ,
607 ,
619 ,
630 ,
648 ,
659 ,
681 ,
688 ,
700 ,
702 ,
708 ,
705 ,
699 ,
683 ,
665 ,
632 ,
600 ,
551 ,
496 ,
427 ,
351 ,
270 ,
185 ,
95  ,
1 ,
-97 ,
-189  ,
-283  ,
-364  ,
-441  ,
-506  ,
-571  ,
-622  ,
-671  ,
-714  ,
-746  ,
-775  ,
-790  ,
-807  ,
-814  ,
-819  ,
-823  ,
-815  ,
-805  ,
-789  ,
-768  ,
-736  ,
-699  ,
-652  ,
-602  ,
-550  ,
-499  ,
-460  ,
-425  ,
-404  ,
-388  ,
-379  ,
-370  ,
-363  ,
-347  ,
-326  ,
-291  ,
-250  ,
-199  ,
-149  ,
-103  ,
-56 ,
-31 ,
-12 ,
-11 ,
-17 ,
-29 ,
-50 ,
-78 ,
-108  ,
-145  ,
-176  ,
-209  ,
-216  ,
-229  ,
-218  ,
-222  ,
-209  ,
-207  ,
-206  ,
-212  ,
-221  ,
-226  ,
-232  ,
-222  ,
-204  ,
-161  ,
-99 ,
-27 ,
62  ,
154 ,
260 ,
361 ,
462 ,
551 ,
627 ,
693 ,
753 ,
796 ,
839 ,
865 ,
883 ,
893 ,
890 ,
880 ,
861 ,
835 ,
822 ,
804 ,
803 ,
789 ,
800 ,
804 ,
827 ,
851 ,
889 ,
922 ,
952 ,
974 ,
979 ,
966 ,
945 ,
904 ,
871 ,
819 ,
779 ,
745 ,
718 ,
692 ,
677 ,
659 ,
643 ,
625 ,
596 ,
566 ,
519 ,
462 ,
402 ,
331 ,
262 ,
191 ,
128 ,
72  ,
30  ,
-20 ,
-59 ,
-112  ,
-168  ,
-232  ,
-288  ,
-336  ,
-369  ,
-395  ,
-408  ,
-432  ,
-451  ,
-493  ,
-532  ,
-594  ,
-641  ,
-701  ,
-737  ,
-775  ,
-798  ,
-811  ,
-824  ,
-828  ,
-842  ,
-838  ,
-840  ,
-817  ,
-795  ,
-755  ,
-721  ,
-676  ,
-639  ,
-596  ,
-561  ,
-516  ,
-470  ,
-415  ,
-354  ,
-298  ,
-238  ,
-197  ,
-158  ,
-136  ,
-112  ,
-111  ,
-109  ,
-116  ,
-126  ,
-143  ,
-161  ,
-186  ,
-216  ,
-252  ,
-290  ,
-325  ,
-353  ,
-370  ,
-372  ,
-361  ,
-342  ,
-318  ,
-291  ,
-268  ,
-254  ,
-241  ,
-230  ,
-214  ,
-200  ,
-173  ,
-135  ,
-88 ,
-44 ,
13  ,
66  ,
122 ,
181 ,
231 ,
284 ,
324 ,
373 ,
410 ,
443 ,
476 ,
494 ,
519 ,
523 ,
531 ,
530 ,
510 ,
491 ,
453 ,
418 ,
375 ,
348 ,
321 ,
318 ,
317 ,
324 ,
338 ,
348 ,
358 ,
349 ,
342 ,
313 ,
286 ,
249 ,
225 ,
195 ,
184 ,
174 ,
178 ,
169 ,
166 ,
162 ,
155 ,
148 ,
139 ,
128 ,
120 ,
104 ,
97  ,
83  ,
86  ,
79  ,
104 ,
115 ,
163 ,
194 ,
248 ,
275 ,
307 ,
311 ,
319 ,
300 ,
290 ,
267 ,
255 ,
241 ,
221 ,
193 ,
160 ,
105 ,
52  ,
-17 ,
-87 ,
-153  ,
-212  ,
-265  ,
-291  ,
-313  ,
-296  ,
-283  ,
-253  ,
-227  ,
-202  ,
-170  ,
-136  ,
-109  ,
-70 ,
-41 ,
-4  ,
20  ,
44  ,
59  ,
72  ,
67  ,
58  ,
37  ,
24  ,
9 ,
6 ,
-3  ,
2 ,
1 ,
9 ,
14  ,
24  ,
34  ,
37  ,
39  ,
40  ,
37  ,
40  ,
42  ,
56  ,
64  ,
77  ,
82  ,
82  ,
74  ,
54  ,
29  ,
-13 ,
-59 ,
-125  ,
-186  ,
-254  ,
-309  ,
-357  ,
-393  ,
-413  ,
-422  ,
-418  ,
-420  ,
-414  ,
-420  ,
-422  ,
-429  ,
-443  ,
-451  ,
-472  ,
-482  ,
-498  ,
-507  ,
-521  ,
-526  ,
-527  ,
-518  ,
-496  ,
-462  ,
-404  ,
-340  ,
-262  ,
-191  ,
-111  ,
-51 ,
7 ,
41  ,
70  ,
76  ,
85  ,
81  ,
79  ,
76  ,
92  ,
100 ,
128 ,
150 ,
175 ,
200 ,
212 ,
232 ,
237 ,
242 ,
241 ,
219 ,
193 ,
153 ,
119 ,
88  ,
63  ,
57  ,
57  ,
71  ,
85  ,
103 ,
107 ,
103 ,
86  ,
60  ,
28  ,
-12 ,
-52 ,
-76 ,
-99 ,
-106  ,
-115  ,
-111  ,
-110  ,
-103  ,
-87 ,
-59 ,
-30 ,
8 ,
47  ,
93  ,
141 ,
204 ,
272 ,
355 ,
431 ,
503 ,
555 ,
596 ,
613 ,
613 ,
594 ,
557 ,
513 ,
479 ,
451 ,
430 ,
410 ,
387 ,
349 ,
296 ,
233 ,
153 ,
56  ,
-28 ,
-130  ,
-214  ,
-301  ,
-375  ,
-441  ,
-504  ,
-551  ,
-590  ,
-613  ,
-633  ,
-643  ,
-647  ,
-650  ,
-653  ,
-647  ,
-649  ,
-640  ,
-636  ,
-629  ,
-629  ,
-636  ,
-653  ,
-673  ,
-696  ,
-714  ,
-718  ,
-705  ,
-683  ,
-633  ,
-590  ,
-536  ,
-494  ,
-458  ,
-424  ,
-397  ,
-374  ,
-349  ,
-336  ,
-320  ,
-326  ,
-317  ,
-317  ,
-304  ,
-289  ,
-258  ,
-223  ,
-176  ,
-136  ,
-96 ,
-73 ,
-55 ,
-61 ,
-69 ,
-93 ,
-109  ,
-127  ,
-135  ,
-137  ,
-121  ,
-87 ,
-40 ,
25  ,
103 ,
189 ,
279 ,
361 ,
446 ,
523 ,
585 ,
641 ,
671 ,
694 ,
681 ,
673 ,
647 ,
627 ,
620 ,
613 ,
619 ,
627 ,
633 ,
647 ,
655 ,
659 ,
649 ,
636 ,
606 ,
576 ,
536 ,
487 ,
443 ,
386 ,
343 ,
281 ,
241 ,
198 ,
174 ,
161 ,
151 ,
156 ,
152 ,
145 ,
138 ,
124 ,
118 ,
108 ,
117 ,
123 ,
139 ,
152 ,
167 ,
168 ,
163 ,
148 ,
127 ,
101 ,
76  ,
43  ,
16  ,
-13 ,
-46 ,
-71 ,
-94 ,
-115  ,
-142  ,
-177  ,
-218  ,
-265  ,
-322  ,
-379  ,
-436  ,
-487  ,
-525  ,
-544  ,
-538  ,
-523  ,
-506  ,
-482  ,
-482  ,
-494  ,
-524  ,
-557  ,
-597  ,
-635  ,
-674  ,
-703  ,
-735  ,
-763  ,
-790  ,
-803  ,
-807  ,
-793  ,
-769  ,
-728  ,
-671  ,
-607  ,
-536  ,
-458  ,
-390  ,
-315  ,
-247  ,
-175  ,
-104  ,
-28 ,
40  ,
103 ,
146 ,
174 ,
183 ,
173 ,
154 ,
124 ,
92  ,
66  ,
45  ,
28  ,
18  ,
2 ,
-3  ,
-12 ,
-12 ,
0 ,
13  ,
40  ,
79  ,
121 ,
184 ,
245 ,
311 ,
380 ,
433 ,
491 ,
526 ,
567 ,
582 ,
601 ,
608 ,
598 ,
587 ,
560 ,
541 ,
517 ,
508 ,
509 ,
518 ,
530 ,
533 ,
526 ,
513 ,
489 ,
463 ,
434 ,
402 ,
367 ,
327 ,
290 ,
256 ,
232 ,
217 ,
210 ,
205 ,
198 ,
178 ,
167 ,
144 ,
121 ,
101 ,
72  ,
47  ,
12  ,
-18 ,
-45 ,
-70 ,
-81 ,
-94 ,
-87 ,
-86 ,
-69 ,
-68 ,
-61 ,
-59 ,
-63 ,
-57 ,
-61 ,
-55 ,
-44 ,
-34 ,
-2  ,
22  ,
67  ,
102 ,
139 ,
172 ,
194 ,
205 ,
211 ,
205 ,
195 ,
185 ,
171 ,
166 ,
158 ,
162 ,
162 ,
160 ,
152 ,
131 ,
96  ,
57  ,
12  ,
-30 ,
-65 ,
-94 ,
-116  ,
-128  ,
-131  ,
-130  ,
-120  ,
-117  ,
-113  ,
-106  ,
-102  ,
-86 ,
-62 ,
-42 ,
-12 ,
1 ,
21  ,
36  ,
50  ,
72  ,
86  ,
112 ,
131 ,
147 ,
167 ,
181 ,
202 ,
221 ,
252 ,
293 ,
340 ,
378 ,
425 ,
456 ,
491 ,
506 ,
531 ,
527 ,
534 ,
510 ,
495 ,
457 ,
424 ,
389 ,
354 ,
323 ,
289 ,
261 ,
219 ,
183 ,
134 ,
76  ,
20  ,
-52 ,
-116  ,
-193  ,
-263  ,
-339  ,
-401  ,
-460  ,
-504  ,
-546  ,
-576  ,
-604  ,
-620  ,
-626  ,
-631  ,
-627  ,
-615  ,
-601  ,
-571  ,
-539  ,
-504  ,
-468  ,
-441  ,
-413  ,
-393  ,
-383  ,
-377  ,
-373  ,
-376  ,
-365  ,
-343  ,
-318  ,
-284  ,
-250  ,
-215  ,
-171  ,
-121  ,
-65 ,
-3  ,
60  ,
123 ,
177 ,
218 ,
247 ,
277 ,
301 ,
330 ,
369 ,
409 ,
444 ,
461 ,
466 ,
451 ,
432 ,
402 ,
367 ,
319 ,
270 ,
220 ,
175 ,
130 ,
98  ,
63  ,
43  ,
21  ,
8 ,
7 ,
16  ,
39  ,
83  ,
130 ,
190 ,
240 ,
277 ,
304 ,
314 ,
327 ,
322 ,
337 ,
343 ,
363 ,
386 ,
412 ,
431 ,
445 ,
460 ,
457 ,
457 ,
451 ,
454 ,
443 ,
443 ,
434 ,
420 ,
408 ,
374 ,
342 ,
289 ,
235 ,
173 ,
109 ,
50  ,
-16 ,
-74 ,
-128  ,
-179  ,
-214  ,
-246  ,
-262  ,
-264  ,
-252  ,
-237  ,
-216  ,
-202  ,
-197  ,
-191  ,
-199  ,
-199  ,
-202  ,
-191  ,
-175  ,
-145  ,
-127  ,
-99 ,
-102  ,
-92 ,
-108  ,
-124  ,
-155  ,
-199  ,
-250  ,
-310  ,
-374  ,
-424  ,
-478  ,
-506  ,
-534  ,
-553  ,
-562  ,
-571  ,
-573  ,
-580  ,
-582  ,
-583  ,
-589  ,
-582  ,
-593  ,
-592  ,
-616  ,
-642  ,
-677  ,
-715  ,
-764  ,
-812  ,
-853  ,
-871  ,
-863  ,
-833  ,
-779  ,
-720  ,
-650  ,
-584  ,
-515  ,
-447  ,
-371  ,
-293  ,
-205  ,
-122  ,
-41 ,
38  ,
102 ,
160 ,
197 ,
241 ,
274 ,
322 ,
369 ,
418 ,
465 ,
501 ,
538 ,
568 ,
590 ,
602 ,
604 ,
601 ,
592 ,
593 ,
599 ,
608 ,
617 ,
627 ,
625 ,
617 ,
598 ,
575 ,
548 ,
518 ,
478 ,
440 ,
389 ,
351 ,
301 ,
258 ,
214 ,
174 ,
140 ,
115 ,
92  ,
92  ,
94  ,
109 ,
122 ,
131 ,
130 ,
128 ,
107 ,
95  ,
77  ,
57  ,
39  ,
29  ,
20  ,
15  ,
24  ,
25  ,
54  ,
59  ,
86  ,
85  ,
104 ,
98  ,
100 ,
95  ,
82  ,
67  ,
47  ,
16  ,
-23 ,
-68 ,
-123  ,
-177  ,
-236  ,
-298  ,
-347  ,
-388  ,
-419  ,
-432  ,
-431  ,
-424  ,
-397  ,
-383  ,
-357  ,
-356  ,
-345  ,
-351  ,
-353  ,
-352  ,
-357  ,
-353  ,
-347  ,
-343  ,
-329  ,
-324  ,
-309  ,
-302  ,
-297  ,
-292  ,
-301  ,
-308  ,
-321  ,
-343  ,
-364  ,
-406  ,
-450  ,
-510  ,
-577  ,
-627  ,
-688  ,
-712  ,
-740  ,
-744  ,
-738  ,
-723  ,
-694  ,
-661  ,
-611  ,
-553  ,
-485  ,
-418  ,
-355  ,
-298  ,
-247  ,
-211  ,
-185  ,
-163  ,
-146  ,
-125  ,
-104  ,
-73 ,
-29 ,
13  ,
73  ,
124 ,
182 ,
217 ,
250 ,
273 ,
292 ,
305 ,
311 ,
319 ,
314 ,
310 ,
303 ,
295 ,
295 ,
290 ,
293 ,
286 ,
286 ,
282 ,
275 ,
261 ,
252 ,
229 ,
212 ,
182 ,
158 ,
128 ,
110 ,
99  ,
101 ,
96  ,
96  ,
71  ,
45  ,
-3  ,
-54 ,
-104  ,
-155  ,
-194  ,
-237  ,
-252  ,
-260  ,
-243  ,
-213  ,
-169  ,
-124  ,
-75 ,
-31 ,
24  ,
72  ,
128 ,
168 ,
214 ,
236 ,
258 ,
263 ,
274 ,
264 ,
261 ,
250 ,
249 ,
238 ,
237 ,
233 ,
234 ,
233 ,
238 ,
241 ,
247 ,
257 ,
266 ,
276 ,
288 ,
294 ,
285 ,
272 ,
234 ,
189 ,
135 ,
72  ,
10  ,
-57 ,
-119  ,
-170  ,
-219  ,
-263  ,
-297  ,
-325  ,
-344  ,
-350  ,
-353  ,
-346  ,
-334  ,
-318  ,
-293  ,
-270  ,
-250  ,
-231  ,
-218  ,
-213  ,
-205  ,
-201  ,
-179  ,
-172  ,
-145  ,
-133  ,
-116  ,
-100  ,
-96 ,
-85 ,
-83 ,
-80 ,
-80 ,
-76 ,
-88 ,
-94 ,
-121  ,
-153  ,
-197  ,
-248  ,
-306  ,
-363  ,
-418  ,
-458  ,
-480  ,
-497  ,
-487  ,
-482  ,
-467  ,
-451  ,
-444  ,
-424  ,
-419  ,
-406  ,
-399  ,
-395  ,
-390  ,
-389  ,
-389  ,
-381  ,
-368  ,
-350  ,
-319  ,
-289  ,
-256  ,
-225  ,
-197  ,
-175  ,
-164  ,
-152  ,
-156  ,
-157  ,
-163  ,
-163  ,
-151  ,
-128  ,
-97 ,
-49 ,
-2  ,
50  ,
109 ,
147 ,
199 ,
230 ,
274 ,
301 ,
347 ,
381 ,
441 ,
483 ,
545 ,
587 ,
633 ,
663 ,
674 ,
672 ,
639 ,
616 ,
565 ,
530 ,
490 ,
476 ,
470 ,
486 ,
501 ,
525 ,
549 ,
568 ,
588 ,
604 ,
617 ,
634 ,
630 ,
637 ,
638 ,
654 ,
681 ,
722 ,
773 ,
830 ,
880 ,
935 ,
977 ,
1010  ,
1025  ,
1025  ,
1012  ,
983 ,
951 ,
901 ,
845 ,
781 ,
702 ,
630 ,
540 ,
455 ,
349 ,
256 ,
164 ,
80  ,
4 ,
-77 ,
-156  ,
-250  ,
-339  ,
-429  ,
-515  ,
-588  ,
-645  ,
-690  ,
-706  ,
-722  ,
-720  ,
-718  ,
-717  ,
-711  ,
-694  ,
-672  ,
-643  ,
-618  ,
-588  ,
-560  ,
-541  ,
-531  ,
-532  ,
-546  ,
-561  ,
-588  ,
-597  ,
-600  ,
-579  ,
-543  ,
-488  ,
-430  ,
-368  ,
-321  ,
-283  ,
-267  ,
-258  ,
-253  ,
-266  ,
-268  ,
-287  ,
-299  ,
-310  ,
-333  ,
-340  ,
-365  ,
-382  ,
-411  ,
-429  ,
-453  ,
-467  ,
-489  ,
-494  ,
-510  ,
-515  ,
-518  ,
-508  ,
-487  ,
-464  ,
-422  ,
-374  ,
-306  ,
-234  ,
-157  ,
-87 ,
-17 ,
45  ,
103 ,
150 ,
199 ,
246 ,
303 ,
361 ,
424 ,
485 ,
550 ,
608 ,
669 ,
720 ,
769 ,
812 ,
838 ,
868 ,
892 ,
927 ,
961 ,
1010  ,
1063  ,
1129  ,
1181  ,
1220  ,
1249  ,
1253  ,
1255  ,
1229  ,
1191  ,
1130  ,
1044  ,
944 ,
843 ,
771 ,
721 ,
688 ,
642 ,
615 ,
610 ,
578 ,
532 ,
501 ,
469 ,
380 ,
290 ,
217 ,
141 ,
43  ,
-21 ,
-37 ,
-59 ,
-86 ,
-99 ,
-90 ,
-107  ,
-140  ,
-156  ,
-180  ,
-210  ,
-256  ,
-264  ,
-284  ,
-316  ,
-342  ,
-360  ,
-387  ,
-426  ,
-450  ,
-478  ,
-530  ,
-599  ,
-655  ,
-690  ,
-727  ,
-752  ,
-764  ,
-788  ,
-829  ,
-864  ,
-872  ,
-886  ,
-896  ,
-884  ,
-855  ,
-823  ,
-780  ,
-718  ,
-659  ,
-613  ,
-548  ,
-468  ,
-394  ,
-333  ,
-275  ,
-226  ,
-180  ,
-151  ,
-102  ,
-46 ,
-12 ,
15  ,
41  ,
63  ,
50  ,
33  ,
11  ,
6 ,
-34 ,
-64 ,
-93 ,
-130  ,
-191  ,
-250  ,
-299  ,
-337  ,
-357  ,
-341  ,
-305  ,
-270  ,
-235  ,
-184  ,
-123  ,
-84 ,
-45 ,
-17 ,
14  ,
37  ,
63  ,
95  ,
103 ,
105 ,
104 ,
121 ,
135 ,
151 ,
170 ,
193 ,
210 ,
231 ,
253 ,
280 ,
290 ,
310 ,
335 ,
350 ,
380 ,
415 ,
469 ,
509 ,
560 ,
605 ,
658 ,
679 ,
700 ,
684 ,
665 ,
623 ,
605 ,
581 ,
558 ,
534 ,
519 ,
514 ,
506 ,
485 ,
456 ,
422 ,
379 ,
321 ,
267 ,
196 ,
121 ,
42  ,
-10 ,
-48 ,
-83 ,
-106  ,
-130  ,
-141  ,
-166  ,
-174  ,
-198  ,
-220  ,
-251  ,
-288  ,
-339  ,
-384  ,
-434  ,
-471  ,
-498  ,
-521  ,
-520  ,
-514  ,
-491  ,
-469  ,
-466  ,
-467  ,
-486  ,
-482  ,
-467  ,
-421  ,
-378  ,
-336  ,
-301  ,
-275  ,
-271  ,
-281  ,
-296  ,
-326  ,
-337  ,
-341  ,
-321  ,
-314  ,
-310  ,
-310  ,
-311  ,
-313  ,
-308  ,
-302  ,
-299  ,
-305  ,
-313  ,
-307  ,
-311  ,
-301  ,
-280  ,
-248  ,
-209  ,
-180  ,
-139  ,
-113  ,
-94 ,
-97 ,
-110  ,
-117  ,
-127  ,
-132  ,
-121  ,
-111  ,
-95 ,
-85 ,
-58 ,
-28 ,
-12 ,
-6  ,
12  ,
29  ,
44  ,
35  ,
15  ,
-14 ,
-37 ,
-64 ,
-83 ,
-110  ,
-142  ,
-187  ,
-215  ,
-245  ,
-260  ,
-282  ,
-289  ,
-305  ,
-302  ,
-314  ,
-314  ,
-315  ,
-300  ,
-287  ,
-257  ,
-218  ,
-172  ,
-128  ,
-84 ,
-42 ,
-19 ,
2 ,
22  ,
50  ,
69  ,
80  ,
89  ,
95  ,
104 ,
108 ,
124 ,
141 ,
173 ,
220 ,
277 ,
333 ,
364 ,
385 ,
401 ,
424 ,
440 ,
454 ,
472 ,
479 ,
485 ,
484 ,
493 ,
505 ,
507 ,
504 ,
488 ,
464 ,
412 ,
353 ,
276 ,
207 ,
126 ,
60  ,
2 ,
-43 ,
-101  ,
-154  ,
-202  ,
-226  ,
-241  ,
-253  ,
-261  ,
-273  ,
-286  ,
-295  ,
-301  ,
-292  ,
-286  ,
-262  ,
-232  ,
-178  ,
-127  ,
-91 ,
-64 ,
-41 ,
-20 ,
6 ,
36  ,
81  ,
122 ,
153 ,
184 ,
207 ,
231 ,
255 ,
274 ,
291 ,
284 ,
279 ,
258 ,
225 ,
165 ,
98  ,
33  ,
-35 ,
-107  ,
-192  ,
-264  ,
-320  ,
-373  ,
-407  ,
-447  ,
-467  ,
-489  ,
-484  ,
-475  ,
-455  ,
-432  ,
-369  ,
-309  ,
-223  ,
-166  ,
-109  ,
-58 ,
-6  ,
-2  ,
-53 ,
-112  ,
-159  ,
-184  ,
-213  ,
-203  ,
-183  ,
-155  ,
-139  ,
-115  ,
-72 ,
-46 ,
-9  ,
21  ,
59  ,
97  ,
129 ,
165 ,
204 ,
259 ,
323 ,
387 ,
428 ,
413 ,
332 ,
255 ,
194 ,
156 ,
109 ,
68  ,
32  ,
30  ,
62  ,
71  ,
73  ,
65  ,
81  ,
85  ,
58  ,
-3  ,
-54 ,
-77 ,
-62 ,
-33 ,
16  ,
74  ,
155 ,
249 ,
324 ,
389 ,
412 ,
429 ,
428 ,
406 ,
365 ,
324 ,
289 ,
250 ,
207 ,
172 ,
158 ,
161 ,
177 ,
213 ,
246 ,
283 ,
273 ,
224 ,
143 ,
84  ,
65  ,
78  ,
87  ,
109 ,
149 ,
201 ,
258 ,
296 ,
331 ,
349 ,
364 ,
352 ,
299 ,
209 ,
106 ,
30  ,
-7  ,
-17 ,
-8  ,
5 ,
15  ,
10  ,
-21 ,
-49 ,
-71 ,
-71 ,
-77 ,
-65 ,
-57 ,
-32 ,
2 ,
59  ,
115 ,
199 ,
265 ,
347 ,
399 ,
421 ,
415 ,
385 ,
333 ,
234 ,
117 ,
-5  ,
-119  ,
-237  ,
-325  ,
-402  ,
-425  ,
-424  ,
-386  ,
-345  ,
-296  ,
-238  ,
-176  ,
-125  ,
-112  ,
-130  ,
-152  ,
-164  ,
-161  ,
-168  ,
-175  ,
-177  ,
-173  ,
-156  ,
-134  ,
-91 ,
-45 ,
18  ,
71  ,
98  ,
117 ,
103 ,
95  ,
89  ,
102 ,
144 ,
177 ,
214 ,
228 ,
239 ,
253 ,
275 ,
313 ,
342 ,
374 ,
391 ,
410 ,
414 ,
421 ,
428 ,
446 ,
467 ,
479 ,
485 ,
481 ,
477 ,
484 ,
481 ,
469 ,
444 ,
418 ,
393 ,
350 ,
294 ,
226 ,
170 ,
109 ,
58  ,
-18 ,
-96 ,
-193  ,
-282  ,
-364  ,
-439  ,
-497  ,
-540  ,
-544  ,
-513  ,
-460  ,
-385  ,
-311  ,
-241  ,
-188  ,
-139  ,
-84 ,
-46 ,
-8  ,
1 ,
12  ,
23  ,
27  ,
38  ,
45  ,
67  ,
79  ,
95  ,
69  ,
30  ,
-26 ,
-102  ,
-168  ,
-244  ,
-311  ,
-371  ,
-417  ,
-456  ,
-465  ,
-473  ,
-447  ,
-415  ,
-353  ,
-282  ,
-225  ,
-151  ,
-94 ,
-25 ,
24  ,
80  ,
118 ,
150 ,
158 ,
163 ,
157 ,
150 ,
125 ,
91  ,
35  ,
-18 ,
-84 ,
-125  ,
-175  ,
-201  ,
-216  ,
-196  ,
-171  ,
-134  ,
-96 ,
-42 ,
9 ,
47  ,
60  ,
52  ,
40  ,
34  ,
32  ,
41  ,
51  ,
63  ,
92  ,
118 ,
142 ,
151 ,
153 ,
164 ,
162 ,
163 ,
143 ,
134 ,
124 ,
133 ,
130 ,
140 ,
139 ,
142 ,
147 ,
145 ,
149 ,
152 ,
152 ,
160 ,
178 ,
207 ,
248 ,
307 ,
372 ,
454 ,
520 ,
585 ,
625 ,
630 ,
621 ,
585 ,
569 ,
535 ,
510 ,
488 ,
464 ,
445 ,
407 ,
362 ,
286 ,
199 ,
97  ,
-1  ,
-122  ,
-248  ,
-393  ,
-502  ,
-613  ,
-684  ,
-742  ,
-777  ,
-784  ,
-791  ,
-770  ,
-761  ,
-750  ,
-764  ,
-794  ,
-843  ,
-889  ,
-922  ,
-943  ,
-938  ,
-919  ,
-895  ,
-852  ,
-816  ,
-772  ,
-720  ,
-670  ,
-611  ,
-572  ,
-542  ,
-523  ,
-502  ,
-477  ,
-437  ,
-400  ,
-351  ,
-310  ,
-265  ,
-228  ,
-203  ,
-174  ,
-154  ,
-125  ,
-98 ,
-57 ,
-16 ,
39  ,
109 ,
198 ,
283 ,
351 ,
392 ,
420 ,
406 ,
374 ,
318 ,
268 ,
224 ,
195 ,
178 ,
177 ,
170 ,
173 ,
179 ,
195 ,
222 ,
250 ,
284 ,
322 ,
354 ,
399 ,
436 ,
452 ,
448 ,
422 ,
403 ,
377 ,
362 ,
350 ,
346 ,
356 ,
376 ,
410 ,
451 ,
494 ,
538 ,
584 ,
609 ,
621 ,
607 ,
581 ,
546 ,
498 ,
453 ,
408 ,
370 ,
336 ,
321 ,
320 ,
334 ,
368 ,
399 ,
419 ,
414 ,
396 ,
352 ,
297 ,
220 ,
151 ,
91  ,
41  ,
11  ,
0 ,
-9  ,
-3  ,
-23 ,
-40 ,
-92 ,
-156  ,
-225  ,
-308  ,
-368  ,
-441  ,
-471  ,
-499  ,
-504  ,
-518  ,
-520  ,
-528  ,
-531  ,
-542  ,
-552  ,
-576  ,
-609  ,
-633  ,
-656  ,
-668  ,
-672  ,
-663  ,
-640  ,
-620  ,
-593  ,
-569  ,
-564  ,
-558  ,
-572  ,
-584  ,
-616  ,
-647  ,
-683  ,
-709  ,
-732  ,
-728  ,
-730  ,
-706  ,
-689  ,
-659  ,
-626  ,
-600  ,
-589  ,
-590  ,
-606  ,
-629  ,
-649  ,
-670  ,
-663  ,
-629  ,
-560  ,
-450  ,
-326  ,
-195  ,
-74 ,
31  ,
135 ,
212 ,
292 ,
352 ,
424 ,
490 ,
558 ,
630 ,
679 ,
727 ,
751 ,
766 ,
777 ,
778 ,
783 ,
792 ,
792 ,
797 ,
793 ,
799 ,
795 ,
797 ,
792 ,
768 ,
747 ,
704 ,
654 ,
598 ,
525 ,
469 ,
417 ,
389 ,
376 ,
385 ,
390 ,
405 ,
398 ,
385 ,
357 ,
305 ,
266 ,
218 ,
203 ,
192 ,
213 ,
235 ,
269 ,
294 ,
318 ,
333 ,
332 ,
316 ,
292 ,
267 ,
238 ,
228 ,
225 ,
235 ,
254 ,
281 ,
303 ,
325 ,
325 ,
327 ,
309 ,
291 ,
262 ,
244 ,
229 ,
218 ,
222 ,
233 ,
270 ,
300 ,
333 ,
350 ,
340 ,
319 ,
263 ,
182 ,
79  ,
-31 ,
-142  ,
-234  ,
-307  ,
-350  ,
-376  ,
-368  ,
-348  ,
-317  ,
-302  ,
-288  ,
-294  ,
-313  ,
-344  ,
-386  ,
-423  ,
-447  ,
-447  ,
-429  ,
-398  ,
-341  ,
-281  ,
-202  ,
-143  ,
-83 ,
-59 ,
-33 ,
-28 ,
-28 ,
-22 ,
-35 ,
-41 ,
-63 ,
-85 ,
-108  ,
-132  ,
-170  ,
-209  ,
-262  ,
-293  ,
-318  ,
-333  ,
-327  ,
-319  ,
-287  ,
-256  ,
-196  ,
-143  ,
-90 ,
-43 ,
-8  ,
28  ,
55  ,
87  ,
130 ,
190 ,
256 ,
329 ,
388 ,
444 ,
480 ,
511 ,
525 ,
523 ,
511 ,
495 ,
474 ,
457 ,
440 ,
428 ,
411 ,
403 ,
372 ,
348 ,
291 ,
237 ,
180 ,
123 ,
88  ,
58  ,
61  ,
64  ,
99  ,
142 ,
184 ,
220 ,
241 ,
250 ,
241 ,
214 ,
177 ,
123 ,
75  ,
22  ,
0 ,
-5  ,
7 ,
28  ,
64  ,
100 ,
138 ,
159 ,
171 ,
161 ,
140 ,
110 ,
85  ,
69  ,
70  ,
80  ,
115 ,
148 ,
181 ,
190 ,
188 ,
169 ,
127 ,
72  ,
21  ,
-41 ,
-96 ,
-154  ,
-201  ,
-255  ,
-311  ,
-366  ,
-427  ,
-490  ,
-554  ,
-611  ,
-659  ,
-692  ,
-716  ,
-727  ,
-741  ,
-744  ,
-748  ,
-744  ,
-740  ,
-729  ,
-723  ,
-721  ,
-719  ,
-722  ,
-734  ,
-734  ,
-749  ,
-751  ,
-753  ,
-750  ,
-723  ,
-700  ,
-651  ,
-616  ,
-584  ,
-557  ,
-541  ,
-541  ,
-558  ,
-593  ,
-620  ,
-651  ,
-665  ,
-678  ,
-687  ,
-682  ,
-674  ,
-648  ,
-630  ,
-605  ,
-580  ,
-552  ,
-524  ,
-481  ,
-455  ,
-427  ,
-426  ,
-427  ,
-459  ,
-498  ,
-556  ,
-616  ,
-674  ,
-722  ,
-777  ,
-817  ,
-854  ,
-872  ,
-892  ,
-898  ,
-893  ,
-896  ,
-898  ,
-915  ,
-932  ,
-947  ,
-962  ,
-971  ,
-984  ,
-984  ,
-986  ,
-956  ,
-920  ,
-843  ,
-767  ,
-677  ,
-605  ,
-539  ,
-487  ,
-440  ,
-405  ,
-373  ,
-338  ,
-300  ,
-267  ,
-220  ,
-193  ,
-158  ,
-159  ,
-163  ,
-181  ,
-202  ,
-233  ,
-253  ,
-274  ,
-270  ,
-249  ,
-201  ,
-131  ,
-57 ,
32  ,
115 ,
208 ,
271 ,
331 ,
363 ,
374 ,
370 ,
355 ,
336 ,
327 ,
330 ,
350 ,
390 ,
422 ,
462 ,
477 ,
469 ,
431 ,
363 ,
288 ,
189 ,
81  ,
-25 ,
-128  ,
-207  ,
-274  ,
-288  ,
-282  ,
-246  ,
-195  ,
-141  ,
-84 ,
-50 ,
-29 ,
-19 ,
-19 ,
-9  ,
9 ,
45  ,
90  ,
150 ,
215 ,
289 ,
371 ,
431 ,
505 ,
536 ,
568 ,
553 ,
530 ,
488 ,
436 ,
390 ,
338 ,
297 ,
251 ,
216 ,
190 ,
167 ,
161 ,
164 ,
183 ,
213 ,
260 ,
311 ,
369 ,
434 ,
508 ,
576 ,
629 ,
670 ,
708 ,
751 ,
800 ,
862 ,
938 ,
1008  ,
1083  ,
1156  ,
1232  ,
1297  ,
1348  ,
1377  ,
1387  ,
1372  ,
1355  ,
1338  ,
1329  ,
1305  ,
1288  ,
1254  ,
1232  ,
1196  ,
1163  ,
1117  ,
1075  ,
1032  ,
995 ,
974 ,
943 ,
945 ,
931 ,
954 ,
979 ,
1043  ,
1105  ,
1172  ,
1228  ,
1265  ,
1271  ,
1244  ,
1200  ,
1143  ,
1078  ,
1034  ,
996 ,
994 ,
1000  ,
1034  ,
1070  ,
1128  ,
1176  ,
1235  ,
1283  ,
1320  ,
1328  ,
1322  ,
1297  ,
1265  ,
1245  ,
1226  ,
1223  ,
1224  ,
1224  ,
1227  ,
1226  ,
1220  ,
1203  ,
1181  ,
1141  ,
1087  ,
1021  ,
934 ,
845 ,
736 ,
643 ,
549 ,
475 ,
413 ,
358 ,
308 ,
271 ,
236 ,
207 ,
182 ,
156 ,
144 ,
139 ,
142 ,
141 ,
153 ,
150 ,
152 ,
135 ,
127 ,
100 ,
75  ,
41  ,
6 ,
-16 ,
-36 ,
-24 ,
-5  ,
37  ,
69  ,
93  ,
111 ,
107 ,
106 ,
75  ,
68  ,
46  ,
45  ,
44  ,
58  ,
80  ,
110 ,
142 ,
170 ,
206 ,
236 ,
257 ,
279 ,
297 ,
317 ,
326 ,
337 ,
341 ,
350 ,
348 ,
357 ,
368 ,
374 ,
373 ,
362 ,
352 ,
338 ,
332 ,
342 ,
362 ,
388 ,
407 ,
429 ,
443 ,
457 ,
461 ,
465 ,
449 ,
432 ,
398 ,
366 ,
342 ,
325 ,
325 ,
327 ,
334 ,
343 ,
341 ,
336 ,
304 ,
266 ,
204 ,
131 ,
56  ,
-27 ,
-103  ,
-185  ,
-245  ,
-307  ,
-352  ,
-397  ,
-440  ,
-494  ,
-553  ,
-607  ,
-663  ,
-696  ,
-732  ,
-735  ,
-737  ,
-702  ,
-660  ,
-600  ,
-544  ,
-492  ,
-462  ,
-439  ,
-434  ,
-450  ,
-487  ,
-542  ,
-591  ,
-647  ,
-691  ,
-726  ,
-757  ,
-773  ,
-801  ,
-829  ,
-874  ,
-938  ,
-1025 ,
-1124 ,
-1232 ,
-1333 ,
-1436 ,
-1527 ,
-1601 ,
-1654 ,
-1675 ,
-1684 ,
-1675 ,
-1665 ,
-1657 ,
-1655 ,
-1657 ,
-1674 ,
-1683 ,
-1706 ,
-1716 ,
-1718 ,
-1704 ,
-1671 ,
-1630 ,
-1574 ,
-1519 ,
-1468 ,
-1417 ,
-1385 ,
-1347 ,
-1330 ,
-1306 ,
-1302 ,
-1290 ,
-1286 ,
-1281 ,
-1280 ,
-1275 ,
-1265 ,
-1242 ,
-1217 ,
-1189 ,
-1142 ,
-1097 ,
-1029 ,
-953  ,
-862  ,
-761  ,
-669  ,
-580  ,
-498  ,
-418  ,
-357  ,
-297  ,
-240  ,
-184  ,
-116  ,
-36 ,
54  ,
150 ,
228 ,
298 ,
353 ,
390 ,
419 ,
437 ,
444 ,
447 ,
428 ,
411 ,
375 ,
329 ,
285 ,
239 ,
196 ,
146 ,
109 ,
62  ,
21  ,
-32 ,
-81 ,
-131  ,
-180  ,
-217  ,
-252  ,
-266  ,
-278  ,
-269  ,
-261  ,
-259  ,
-255  ,
-266  ,
-290  ,
-326  ,
-370  ,
-419  ,
-470  ,
-513  ,
-540  ,
-549  ,
-560  ,
-565  ,
-570  ,
-579  ,
-599  ,
-613  ,
-644  ,
-652  ,
-675  ,
-677  ,
-674  ,
-662  ,
-647  ,
-621  ,
-591  ,
-549  ,
-511  ,
-465  ,
-427  ,
-386  ,
-355  ,
-330  ,
-318  ,
-307  ,
-304  ,
-291  ,
-283  ,
-267  ,
-262  ,
-263  ,
-272  ,
-273  ,
-273  ,
-285  ,
-301  ,
-332  ,
-366  ,
-401  ,
-425  ,
-440  ,
-441  ,
-441  ,
-429  ,
-416  ,
-418  ,
-412  ,
-428  ,
-412  ,
-410  ,
-381  ,
-353  ,
-321  ,
-284  ,
-241  ,
-195  ,
-158  ,
-114  ,
-83 ,
-44 ,
-14 ,
13  ,
37  ,
49  ,
71  ,
82  ,
110 ,
147 ,
191 ,
239 ,
286 ,
321 ,
346 ,
366 ,
368 ,
367 ,
363 ,
366 ,
371 ,
384 ,
401 ,
417 ,
445 ,
469 ,
500 ,
537 ,
569 ,
605 ,
643 ,
677 ,
713 ,
757 ,
797 ,
851 ,
892 ,
924 ,
946 ,
934 ,
909 ,
851 ,
787 ,
705 ,
641 ,
570 ,
522 ,
466 ,
425 ,
383 ,
357 ,
336 ,
324 ,
305 ,
285 ,
244 ,
188 ,
119 ,
39  ,
-29 ,
-88 ,
-136  ,
-151  ,
-164  ,
-142  ,
-125  ,
-103  ,
-81 ,
-64 ,
-53 ,
-54 ,
-62 ,
-84 ,
-115  ,
-141  ,
-165  ,
-171  ,
-169  ,
-148  ,
-128  ,
-118  ,
-112  ,
-132  ,
-148  ,
-190  ,
-231  ,
-272  ,
-324  ,
-390  ,
-465  ,
-553  ,
-629  ,
-716  ,
-775  ,
-833  ,
-873  ,
-919  ,
-969  ,
-1025 ,
-1087 ,
-1151 ,
-1212 ,
-1258 ,
-1287 ,
-1304 ,
-1305 ,
-1285 ,
-1256 ,
-1203 ,
-1143 ,
-1055 ,
-983  ,
-900  ,
-832  ,
-767  ,
-714  ,
-647  ,
-585  ,
-505  ,
-413  ,
-327  ,
-226  ,
-140  ,
-56 ,
18  ,
90  ,
159 ,
215 ,
278 ,
323 ,
348 ,
363 ,
343 ,
325 ,
282 ,
248 ,
230 ,
212 ,
217 ,
223 ,
243 ,
282 ,
307 ,
348 ,
373 ,
405 ,
427 ,
440 ,
471 ,
497 ,
544 ,
604 ,
683 ,
767 ,
859 ,
934 ,
1005  ,
1055  ,
1081  ,
1091  ,
1075  ,
1056  ,
1033  ,
1013  ,
991 ,
972 ,
951 ,
925 ,
908 ,
894 ,
896 ,
905 ,
907 ,
913 ,
922 ,
934 ,
951 ,
992 ,
1030  ,
1084  ,
1129  ,
1179  ,
1218  ,
1241  ,
1259  ,
1265  ,
1276  ,
1277  ,
1273  ,
1267  ,
1239  ,
1211  ,
1163  ,
1126  ,
1088  ,
1060  ,
1038  ,
1020  ,
990 ,
964 ,
930 ,
897 ,
877 ,
860 ,
868 ,
886 ,
913 ,
940 ,
968 ,
982 ,
994 ,
992 ,
1009  ,
1028  ,
1045  ,
1067  ,
1073  ,
1086  ,
1075  ,
1075  ,
1051  ,
1032  ,
1007  ,
987 ,
966 ,
938 ,
911 ,
863 ,
816 ,
768 ,
717 ,
678 ,
629 ,
584 ,
542 ,
511 ,
499 ,
501 ,
512 ,
514 ,
510 ,
488 ,
466 ,
452 ,
449 ,
469 ,
504 ,
565 ,
632 ,
717 ,
785 ,
853 ,
889 ,
910 ,
916 ,
913 ,
902 ,
876 ,
850 ,
804 ,
759 ,
722 ,
684 ,
654 ,
628 ,
602 ,
579 ,
556 ,
531 ,
507 ,
476 ,
464 ,
456 ,
471 ,
494 ,
535 ,
561 ,
601 ,
637 ,
674 ,
712 ,
753 ,
799 ,
838 ,
862 ,
875 ,
873 ,
870 ,
844 ,
822 ,
789 ,
778 ,
745 ,
724 ,
700 ,
676 ,
664 ,
628 ,
589 ,
531 ,
462 ,
397 ,
344 ,
310 ,
295 ,
290 ,
298 ,
289 ,
269 ,
230 ,
171 ,
89  ,
2 ,
-77 ,
-138  ,
-177  ,
-206  ,
-199  ,
-196  ,
-169  ,
-151  ,
-121  ,
-94 ,
-73 ,
-50 ,
-37 ,
-26 ,
-22 ,
-13 ,
-4  ,
12  ,
45  ,
72  ,
110 ,
114 ,
114 ,
90  ,
44  ,
-13 ,
-85 ,
-157  ,
-235  ,
-299  ,
-358  ,
-399  ,
-440  ,
-466  ,
-491  ,
-507  ,
-529  ,
-561  ,
-600  ,
-649  ,
-695  ,
-728  ,
-748  ,
-756  ,
-751  ,
-732  ,
-698  ,
-688  ,
-686  ,
-701  ,
-709  ,
-735  ,
-747  ,
-777  ,
-814  ,
-849  ,
-895  ,
-927  ,
-968  ,
-1006 ,
-1045 ,
-1086 ,
-1127 ,
-1178 ,
-1229 ,
-1290 ,
-1343 ,
-1393 ,
-1427 ,
-1454 ,
-1493 ,
-1537 ,
-1595 ,
-1651 ,
-1704 ,
-1718 ,
-1709 ,
-1670 ,
-1630 ,
-1574 ,
-1523 ,
-1481 ,
-1454 ,
-1430 ,
-1411 ,
-1399 ,
-1364 ,
-1307 ,
-1239 ,
-1166 ,
-1097 ,
-1035 ,
-983  ,
-946  ,
-919  ,
-907  ,
-888  ,
-882  ,
-859  ,
-848  ,
-836  ,
-840  ,
-854  ,
-870  ,
-912  ,
-946  ,
-997  ,
-1042 ,
-1084 ,
-1117 ,
-1145 ,
-1149 ,
-1156 ,
-1153 ,
-1163 ,
-1160 ,
-1165 ,
-1138 ,
-1111 ,
-1065 ,
-1035 ,
-1000 ,
-983  ,
-971  ,
-946  ,
-937  ,
-914  ,
-895  ,
-877  ,
-856  ,
-846  ,
-832  ,
-816  ,
-800  ,
-770  ,
-724  ,
-669  ,
-613  ,
-558  ,
-501  ,
-442  ,
-385  ,
-348  ,
-312  ,
-288  ,
-279  ,
-269  ,
-261  ,
-243  ,
-223  ,
-191  ,
-139  ,
-88 ,
-37 ,
-5  ,
8 ,
-19 ,
-69 ,
-135  ,
-190  ,
-233  ,
-261  ,
-276  ,
-288  ,
-312  ,
-343  ,
-388  ,
-440  ,
-496  ,
-549  ,
-582  ,
-608  ,
-619  ,
-630  ,
-635  ,
-640  ,
-653  ,
-664  ,
-689  ,
-705  ,
-730  ,
-738  ,
-744  ,
-734  ,
-717  ,
-702  ,
-686  ,
-665  ,
-638  ,
-613  ,
-586  ,
-566  ,
-542  ,
-526  ,
-510  ,
-495  ,
-492  ,
-499  ,
-519  ,
-543  ,
-557  ,
-571  ,
-562  ,
-558  ,
-540  ,
-534  ,
-529  ,
-526  ,
-520  ,
-522  ,
-505  ,
-480  ,
-415  ,
-338  ,
-232  ,
-120  ,
3 ,
120 ,
253 ,
374 ,
495 ,
584 ,
659 ,
706 ,
749 ,
775 ,
801 ,
837 ,
875 ,
924 ,
974 ,
1021  ,
1056  ,
1083  ,
1095  ,
1078  ,
1051  ,
1000  ,
958 ,
919 ,
886 ,
874 ,
860 ,
856 ,
854 ,
859 ,
855 ,
851 ,
828 ,
799 ,
756 ,
714 ,
667 ,
630 ,
599 ,
584 ,
576 ,
564 ,
545 ,
526 ,
516 ,
527 ,
545 ,
568 ,
575 ,
583 ,
567 ,
563 ,
538 ,
516 ,
494 ,
465 ,
445 ,
420 ,
398 ,
358 ,
324 ,
283 ,
244 ,
209 ,
169 ,
126 ,
88  ,
40  ,
8 ,
-30 ,
-54 ,
-76 ,
-97 ,
-112  ,
-105  ,
-105  ,
-85 ,
-78 ,
-55 ,
-37 ,
-19 ,
1 ,
12  ,
16  ,
8 ,
12  ,
2 ,
0 ,
-14 ,
-28 ,
-40 ,
-55 ,
-68 ,
-82 ,
-110  ,
-142  ,
-171  ,
-210  ,
-238  ,
-282  ,
-304  ,
-313  ,
-283  ,
-236  ,
-159  ,
-95 ,
-35 ,
-13 ,
8 ,
1 ,
-13 ,
-33 ,
-49 ,
-58 ,
-65 ,
-67 ,
-77 ,
-84 ,
-106  ,
-119  ,
-138  ,
-139  ,
-138  ,
-125  ,
-108  ,
-85 ,
-64 ,
-48 ,
-48 ,
-51 ,
-58 ,
-71 ,
-83 ,
-107  ,
-125  ,
-158  ,
-183  ,
-217  ,
-247  ,
-281  ,
-311  ,
-331  ,
-335  ,
-320  ,
-308  ,
-289  ,
-288  ,
-294  ,
-303  ,
-320  ,
-316  ,
-315  ,
-293  ,
-270  ,
-233  ,
-189  ,
-160  ,
-119  ,
-99 ,
-66 ,
-31 ,
7 ,
48  ,
82  ,
117 ,
146 ,
165 ,
172 ,
171 ,
166 ,
164 ,
163 ,
171 ,
182 ,
200 ,
196 ,
190 ,
165 ,
148 ,
132 ,
119 ,
114 ,
112 ,
96  ,
66  ,
35  ,
9 ,
-15 ,
-31 ,
-26 ,
-22 ,
-3  ,
-5  ,
-3  ,
-5  ,
-3  ,
9 ,
35  ,
59  ,
95  ,
121 ,
154 ,
191 ,
220 ,
246 ,
261 ,
278 ,
291 ,
299 ,
313 ,
336 ,
364 ,
386 ,
419 ,
450 ,
490 ,
527 ,
572 ,
614 ,
655 ,
688 ,
717 ,
751 ,
778 ,
799 ,
816 ,
826 ,
846 ,
875 ,
908 ,
949 ,
977 ,
1004  ,
1010  ,
1011  ,
993 ,
968 ,
948 ,
916 ,
894 ,
862 ,
838 ,
819 ,
791 ,
780 ,
792 ,
817 ,
866 ,
925 ,
1000  ,
1082  ,
1185  ,
1278  ,
1389  ,
1484  ,
1574  ,
1636  ,
1693  ,
1712  ,
1721  ,
1707  ,
1696  ,
1682  ,
1670  ,
1654  ,
1627  ,
1597  ,
1558  ,
1523  ,
1479  ,
1423  ,
1353  ,
1268  ,
1178  ,
1083  ,
1006  ,
931 ,
877 ,
827 ,
807 ,
795 ,
809 ,
830 ,
873 ,
902 ,
942 ,
964 ,
984 ,
988 ,
989 ,
976 ,
967 ,
950 ,
940 ,
929 ,
911 ,
896 ,
866 ,
850 ,
821 ,
790 ,
751 ,
719 ,
680 ,
664 ,
632 ,
609 ,
575 ,
530 ,
486 ,
450 ,
408 ,
368 ,
316 ,
280 ,
246 ,
229 ,
217 ,
211 ,
203 ,
205 ,
197 ,
192 ,
179 ,
163 ,
134 ,
106 ,
75  ,
54  ,
31  ,
12  ,
-1  ,
-21 ,
-39 ,
-61 ,
-83 ,
-86 ,
-86 ,
-85 ,
-73 ,
-70 ,
-47 ,
-23 ,
6 ,
17  ,
16  ,
-8  ,
-45 ,
-100  ,
-151  ,
-199  ,
-247  ,
-293  ,
-333  ,
-353  ,
-365  ,
-367  ,
-355  ,
-328  ,
-309  ,
-279  ,
-269  ,
-255  ,
-265  ,
-271  ,
-289  ,
-286  ,
-303  ,
-302  ,
-317  ,
-323  ,
-330  ,
-328  ,
-317  ,
-303  ,
-270  ,
-241  ,
-201  ,
-173  ,
-130  ,
-101  ,
-58 ,
-38 ,
-14 ,
-5  ,
1 ,
2 ,
2 ,
3 ,
11  ,
22  ,
35  ,
48  ,
56  ,
62  ,
62  ,
56  ,
44  ,
32  ,
17  ,
1 ,
-13 ,
-23 ,
-35 ,
-56 ,
-85 ,
-110  ,
-147  ,
-182  ,
-219  ,
-253  ,
-293  ,
-336  ,
-389  ,
-442  ,
-512  ,
-586  ,
-662  ,
-739  ,
-818  ,
-889  ,
-954  ,
-1012 ,
-1064 ,
-1108 ,
-1127 ,
-1128 ,
-1124 ,
-1123 ,
-1132 ,
-1151 ,
-1168 ,
-1187 ,
-1204 ,
-1224 ,
-1242 ,
-1268 ,
-1283 ,
-1304 ,
-1318 ,
-1345 ,
-1368 ,
-1396 ,
-1402 ,
-1408 ,
-1399 ,
-1396 ,
-1385 ,
-1377 ,
-1371 ,
-1366 ,
-1376 ,
-1390 ,
-1422 ,
-1462 ,
-1504 ,
-1535 ,
-1569 ,
-1601 ,
-1635 ,
-1659 ,
-1678 ,
-1686 ,
-1684 ,
-1683 ,
-1685 ,
-1680 ,
-1665 ,
-1627 ,
-1588 ,
-1554 ,
-1518 ,
-1500 ,
-1481 ,
-1467 ,
-1457 ,
-1439 ,
-1410 ,
-1370 ,
-1304 ,
-1241 ,
-1181 ,
-1133 ,
-1102 ,
-1061 ,
-1017 ,
-955  ,
-894  ,
-824  ,
-781  ,
-743  ,
-728  ,
-711  ,
-708  ,
-689  ,
-661  ,
-604  ,
-527  ,
-441  ,
-353  ,
-272  ,
-203  ,
-121  ,
-42 ,
65  ,
161 ,
256 ,
323 ,
380 ,
408 ,
411 ,
401 ,
377 ,
348 ,
304 ,
257 ,
212 ,
164 ,
122 ,
85  ,
61  ,
41  ,
23  ,
-5  ,
-40 ,
-87 ,
-128  ,
-162  ,
-168  ,
-163  ,
-134  ,
-108  ,
-81 ,
-61 ,
-49 ,
-49 ,
-44 ,
-44 ,
-25 ,
-6  ,
14  ,
35  ,
37  ,
50  ,
47  ,
66  ,
92  ,
120 ,
135 ,
128 ,
106 ,
63  ,
32  ,
-19 ,
-49 ,
-88 ,
-115  ,
-149  ,
-190  ,
-247  ,
-305  ,
-349  ,
-378  ,
-384  ,
-375  ,
-363  ,
-368  ,
-380  ,
-400  ,
-405  ,
-408  ,
-388  ,
-363  ,
-325  ,
-299  ,
-269  ,
-264  ,
-250  ,
-238  ,
-209  ,
-173  ,
-137  ,
-107  ,
-81 ,
-82 ,
-92 ,
-108  ,
-117  ,
-109  ,
-90 ,
-74 ,
-51 ,
-33 ,
-9  ,
27  ,
61  ,
94  ,
131 ,
151 ,
173 ,
169 ,
164 ,
125 ,
91  ,
46  ,
35  ,
23  ,
32  ,
44  ,
47  ,
46  ,
38  ,
34  ,
37  ,
50  ,
76  ,
105 ,
133 ,
160 ,
170 ,
198 ,
225 ,
275 ,
333 ,
396 ,
457 ,
510 ,
550 ,
593 ,
632 ,
663 ,
690 ,
700 ,
700 ,
672 ,
647 ,
620 ,
604 ,
595 ,
598 ,
613 ,
628 ,
633 ,
642 ,
638 ,
629 ,
619 ,
629 ,
644 ,
664 ,
663 ,
649 ,
627 ,
602 ,
580 ,
580 ,
589 ,
606 ,
629 ,
632 ,
639 ,
621 ,
596 ,
562 ,
534 ,
506 ,
499 ,
484 ,
473 ,
459 ,
439 ,
429 ,
434 ,
442 ,
455 ,
464 ,
455 ,
445 ,
422 ,
395 ,
353 ,
318 ,
264 ,
220 ,
159 ,
102 ,
21  ,
-50 ,
-134  ,
-196  ,
-258  ,
-321  ,
-392  ,
-481  ,
-576  ,
-669  ,
-757  ,
-824  ,
-892  ,
-941  ,
-977  ,
-1017 ,
-1060 ,
-1100 ,
-1126 ,
-1135 ,
-1135 ,
-1123 ,
-1116 ,
-1113 ,
-1109 ,
-1113 ,
-1111 ,
-1111 ,
-1088 ,
-1056 ,
-1005 ,
-956  ,
-914  ,
-874  ,
-836  ,
-796  ,
-758  ,
-721  ,
-677  ,
-640  ,
-602  ,
-577  ,
-549  ,
-531  ,
-509  ,
-480  ,
-452  ,
-407  ,
-375  ,
-334  ,
-304  ,
-276  ,
-243  ,
-214  ,
-169  ,
-129  ,
-100  ,
-78 ,
-75 ,
-71 ,
-73 ,
-55 ,
-29 ,
8 ,
47  ,
96  ,
136 ,
173 ,
201 ,
237 ,
295 ,
361 ,
435 ,
503 ,
570 ,
629 ,
688 ,
753 ,
817 ,
877 ,
914 ,
949 ,
975 ,
986 ,
998 ,
1001  ,
1015  ,
1021  ,
1032  ,
1036  ,
1042  ,
1030  ,
1021  ,
1000  ,
985 ,
977 ,
983 ,
1015  ,
1049  ,
1092  ,
1116  ,
1144  ,
1160  ,
1169  ,
1173  ,
1163  ,
1153  ,
1128  ,
1105  ,
1080  ,
1063  ,
1061  ,
1065  ,
1080  ,
1093  ,
1097  ,
1080  ,
1033  ,
979 ,
914 ,
853 ,
806 ,
765 ,
736 ,
703 ,
666 ,
629 ,
595 ,
567 ,
549 ,
547 ,
553 ,
568 ,
572 ,
578 ,
575 ,
576 ,
598 ,
628 ,
667 ,
693 ,
704 ,
701 ,
682 ,
656 ,
631 ,
604 ,
570 ,
543 ,
514 ,
488 ,
459 ,
424 ,
383 ,
354 ,
334 ,
336 ,
334 ,
336 ,
320 ,
300 ,
289 ,
287 ,
312 ,
339 ,
384 ,
418 ,
445 ,
448 ,
449 ,
453 ,
463 ,
477 ,
489 ,
510 ,
523 ,
521 ,
508 ,
493 ,
485 ,
480 ,
489 ,
497 ,
490 ,
480 ,
449 ,
428 ,
403 ,
405 ,
428 ,
488 ,
566 ,
652 ,
740 ,
813 ,
868 ,
914 ,
947 ,
968 ,
974 ,
966 ,
952 ,
925 ,
907 ,
879 ,
865 ,
839 ,
813 ,
772 ,
726 ,
674 ,
615 ,
572 ,
535 ,
510 ,
499 ,
506 ,
516 ,
533 ,
543 ,
550 ,
563 ,
569 ,
585 ,
585 ,
572 ,
551 ,
508 ,
465 ,
429 ,
400 ,
381 ,
365 ,
356 ,
342 ,
332 ,
305 ,
291 ,
272 ,
264 ,
272 ,
284 ,
290 ,
282 ,
242 ,
195 ,
139 ,
80  ,
19  ,
-58 ,
-124  ,
-210  ,
-295  ,
-376  ,
-441  ,
-494  ,
-523  ,
-546  ,
-548  ,
-563  ,
-574  ,
-602  ,
-611  ,
-618  ,
-596  ,
-571  ,
-535  ,
-508  ,
-481  ,
-464  ,
-455  ,
-452  ,
-447  ,
-454  ,
-450  ,
-452  ,
-440  ,
-428  ,
-405  ,
-390  ,
-373  ,
-361  ,
-344  ,
-328  ,
-320  ,
-329  ,
-363  ,
-405  ,
-454  ,
-502  ,
-529  ,
-547  ,
-558  ,
-574  ,
-595  ,
-617  ,
-651  ,
-681  ,
-708  ,
-729  ,
-753  ,
-782  ,
-821  ,
-878  ,
-928  ,
-978  ,
-1006 ,
-1018 ,
-1035 ,
-1041 ,
-1067 ,
-1087 ,
-1117 ,
-1130 ,
-1134 ,
-1129 ,
-1107 ,
-1083 ,
-1032 ,
-985  ,
-928  ,
-893  ,
-858  ,
-839  ,
-815  ,
-797  ,
-789  ,
-789  ,
-798  ,
-818  ,
-838  ,
-865  ,
-890  ,
-934  ,
-963  ,
-1003 ,
-1037 ,
-1075 ,
-1117 ,
-1152 ,
-1192 ,
-1212 ,
-1224 ,
-1218 ,
-1218 ,
-1212 ,
-1222 ,
-1221 ,
-1219 ,
-1204 ,
-1180 ,
-1148 ,
-1125 ,
-1103 ,
-1081 ,
-1049 ,
-1013 ,
-966  ,
-907  ,
-843  ,
-751  ,
-667  ,
-582  ,
-523  ,
-481  ,
-450  ,
-433  ,
-412  ,
-406  ,
-404  ,
-407  ,
-433  ,
-447  ,
-460  ,
-454  ,
-458  ,
-452  ,
-456  ,
-455  ,
-462  ,
-472  ,
-479  ,
-488  ,
-480  ,
-465  ,
-434  ,
-404  ,
-367  ,
-345  ,
-332  ,
-336  ,
-336  ,
-351  ,
-362  ,
-394  ,
-415  ,
-448  ,
-471  ,
-500  ,
-526  ,
-554  ,
-576  ,
-588  ,
-601  ,
-602  ,
-618  ,
-631  ,
-656  ,
-665  ,
-672  ,
-667  ,
-660  ,
-647  ,
-630  ,
-610  ,
-581  ,
-559  ,
-513  ,
-474  ,
-412  ,
-353  ,
-287  ,
-222  ,
-180  ,
-145  ,
-134  ,
-125  ,
-129  ,
-132  ,
-145  ,
-159  ,
-183  ,
-192  ,
-204  ,
-214  ,
-232  ,
-248  ,
-272  ,
-284  ,
-293  ,
-282  ,
-265  ,
-235  ,
-178  ,
-107  ,
-11 ,
85  ,
171 ,
234 ,
287 ,
324 ,
367 ,
389 ,
416 ,
429 ,
428 ,
432 ,
428 ,
422 ,
412 ,
408 ,
408 ,
415 ,
418 ,
414 ,
405 ,
391 ,
381 ,
385 ,
403 ,
430 ,
463 ,
494 ,
533 ,
569 ,
602 ,
628 ,
638 ,
653 ,
656 ,
668 ,
690 ,
712 ,
741 ,
768 ,
790 ,
805 ,
798 ,
778 ,
742 ,
715 ,
671 ,
641 ,
617 ,
607 ,
592 ,
589 ,
573 ,
555 ,
540 ,
527 ,
534 ,
534 ,
540 ,
529 ,
524 ,
495 ,
459 ,
401 ,
345 ,
279 ,
226 ,
191 ,
167 ,
148 ,
125 ,
103 ,
86  ,
56  ,
25  ,
-14 ,
-50 ,
-90 ,
-120  ,
-153  ,
-168  ,
-192  ,
-197  ,
-200  ,
-201  ,
-206  ,
-208  ,
-216  ,
-213  ,
-213  ,
-194  ,
-182  ,
-155  ,
-121  ,
-86 ,
-50 ,
-25 ,
9 ,
31  ,
51  ,
75  ,
95  ,
119 ,
134 ,
141 ,
141 ,
119 ,
110 ,
94  ,
92  ,
79  ,
71  ,
71  ,
75  ,
76  ,
85  ,
94  ,
106 ,
110 ,
113 ,
109 ,
94  ,
71  ,
38  ,
14  ,
-21 ,
-62 ,
-94 ,
-143  ,
-186  ,
-226  ,
-257  ,
-276  ,
-298  ,
-315  ,
-337  ,
-366  ,
-409  ,
-462  ,
-507  ,
-551  ,
-587  ,
-615  ,
-636  ,
-644  ,
-646  ,
-635  ,
-616  ,
-588  ,
-538  ,
-496  ,
-425  ,
-384  ,
-340  ,
-319  ,
-299  ,
-274  ,
-246  ,
-214  ,
-181  ,
-155  ,
-123  ,
-90 ,
-61 ,
-25 ,
2 ,
40  ,
72  ,
105 ,
137 ,
160 ,
176 ,
177 ,
185 ,
179 ,
169 ,
155 ,
132 ,
114 ,
92  ,
82  ,
70  ,
60  ,
38  ,
12  ,
-20 ,
-62 ,
-99 ,
-152  ,
-192  ,
-228  ,
-234  ,
-226  ,
-202  ,
-175  ,
-151  ,
-129  ,
-107  ,
-69 ,
-34 ,
-6  ,
17  ,
34  ,
46  ,
45  ,
40  ,
33  ,
35  ,
31  ,
37  ,
38  ,
35  ,
31  ,
28  ,
20  ,
31  ,
43  ,
82  ,
123 ,
168 ,
222 ,
265 ,
311 ,
348 ,
394 ,
443 ,
483 ,
521 ,
534 ,
531 ,
502 ,
460 ,
422 ,
397 ,
387 ,
402 ,
427 ,
473 ,
518 ,
568 ,
612 ,
668 ,
712 ,
754 ,
782 ,
794 ,
798 ,
794 ,
794 ,
787 ,
805 ,
830 ,
864 ,
904 ,
937 ,
978 ,
1019  ,
1070  ,
1125  ,
1197  ,
1255  ,
1308  ,
1335  ,
1360  ,
1357  ,
1352  ,
1326  ,
1306  ,
1280  ,
1266  ,
1241  ,
1225  ,
1197  ,
1175  ,
1159  ,
1151  ,
1157  ,
1155  ,
1165  ,
1152  ,
1135  ,
1105  ,
1077  ,
1055  ,
1042  ,
1059  ,
1074  ,
1097  ,
1107  ,
1109  ,
1108  ,
1092  ,
1084  ,
1066  ,
1046  ,
1010  ,
977 ,
938 ,
903 ,
865 ,
823 ,
789 ,
750 ,
711 ,
673 ,
620 ,
572 ,
513 ,
473 ,
424 ,
394 ,
367 ,
355 ,
328 ,
301 ,
255 ,
210 ,
159 ,
122 ,
103 ,
99  ,
94  ,
101 ,
97  ,
93  ,
70  ,
46  ,
10  ,
-26 ,
-73 ,
-104  ,
-130  ,
-147  ,
-160  ,
-171  ,
-178  ,
-186  ,
-205  ,
-222  ,
-242  ,
-256  ,
-261  ,
-257  ,
-237  ,
-206  ,
-182  ,
-138  ,
-116  ,
-81 ,
-58 ,
-40 ,
-19 ,
-13 ,
1 ,
6 ,
12  ,
-2  ,
-5  ,
-24 ,
-30 ,
-32 ,
-21 ,
-2  ,
30  ,
76  ,
121 ,
164 ,
191 ,
215 ,
224 ,
220 ,
203 ,
167 ,
134 ,
96  ,
72  ,
65  ,
66  ,
81  ,
95  ,
126 ,
156 ,
198 ,
253 ,
311 ,
361 ,
404 ,
431 ,
443 ,
433 ,
411 ,
380 ,
358 ,
347 ,
347 ,
344 ,
340 ,
337 ,
348 ,
352 ,
366 ,
366 ,
368 ,
362 ,
340 ,
314 ,
290 ,
250 ,
216 ,
178 ,
138 ,
112 ,
68  ,
38  ,
0 ,
-40 ,
-75 ,
-120  ,
-162  ,
-209  ,
-271  ,
-325  ,
-394  ,
-457  ,
-520  ,
-572  ,
-609  ,
-640  ,
-651  ,
-669  ,
-687  ,
-717  ,
-755  ,
-795  ,
-839  ,
-878  ,
-924  ,
-959  ,
-1005 ,
-1044 ,
-1084 ,
-1128 ,
-1159 ,
-1208 ,
-1249 ,
-1297 ,
-1353 ,
-1395 ,
-1439 ,
-1457 ,
-1478 ,
-1487 ,
-1497 ,
-1522 ,
-1542 ,
-1579 ,
-1613 ,
-1666 ,
-1715 ,
-1783 ,
-1833 ,
-1889 ,
-1916 ,
-1932 ,
-1932 ,
-1933 ,
-1934 ,
-1939 ,
-1941 ,
-1935 ,
-1919 ,
-1891 ,
-1846 ,
-1787 ,
-1712 ,
-1625 ,
-1526 ,
-1429 ,
-1332 ,
-1233 ,
-1144 ,
-1061 ,
-981  ,
-902  ,
-825  ,
-755  ,
-691  ,
-640  ,
-597  ,
-564  ,
-527  ,
-492  ,
-439  ,
-399  ,
-345  ,
-311  ,
-280  ,
-263  ,
-256  ,
-247  ,
-234  ,
-210  ,
-178  ,
-135  ,
-89 ,
-37 ,
12  ,
61  ,
110 ,
147 ,
184 ,
203 ,
231 ,
236 ,
238 ,
225 ,
203 ,
184 ,
153 ,
129 ,
110 ,
91  ,
81  ,
65  ,
70  ,
68  ,
74  ,
76  ,
75  ,
73  ,
60  ,
44  ,
28  ,
6 ,
-4  ,
2 ,
26  ,
69  ,
108 ,
146 ,
170 ,
187 ,
193 ,
188 ,
176 ,
152 ,
119 ,
77  ,
33  ,
-2  ,
-33 ,
-57 ,
-65 ,
-71 ,
-70 ,
-84 ,
-96 ,
-125  ,
-161  ,
-199  ,
-233  ,
-273  ,
-301  ,
-339  ,
-364  ,
-387  ,
-400  ,
-401  ,
-376  ,
-341  ,
-296  ,
-238  ,
-194  ,
-146  ,
-131  ,
-112  ,
-104  ,
-92 ,
-67 ,
-47 ,
-9  ,
12  ,
31  ,
36  ,
32  ,
10  ,
-15 ,
-41 ,
-61 ,
-78 ,
-103  ,
-125  ,
-150  ,
-166  ,
-165  ,
-159  ,
-131  ,
-100  ,
-51 ,
-14 ,
28  ,
62  ,
106 ,
154 ,
201 ,
260 ,
313 ,
355 ,
405 ,
435 ,
477 ,
503 ,
534 ,
555 ,
575 ,
592 ,
613 ,
616 ,
628 ,
621 ,
622 ,
619 ,
627 ,
632 ,
641 ,
641 ,
637 ,
633 ,
630 ,
622 ,
633 ,
636 ,
653 ,
650 ,
648 ,
635 ,
614 ,
591 ,
553 ,
530 ,
500 ,
468 ,
433 ,
396 ,
375 ,
340 ,
326 ,
310 ,
308 ,
305 ,
307 ,
314 ,
316 ,
310 ,
308 ,
314 ,
329 ,
350 ,
366 ,
388 ,
405 ,
426 ,
457 ,
483 ,
522 ,
563 ,
594 ,
613 ,
616 ,
598 ,
577 ,
534 ,
495 ,
446 ,
398 ,
349 ,
311 ,
270 ,
237 ,
190 ,
140 ,
93  ,
40  ,
-14 ,
-73 ,
-130  ,
-199  ,
-266  ,
-339  ,
-406  ,
-465  ,
-523  ,
-578  ,
-643  ,
-702  ,
-763  ,
-815  ,
-869  ,
-907  ,
-948  ,
-979  ,
-1018 ,
-1055 ,
-1105 ,
-1147 ,
-1196 ,
-1229 ,
-1245 ,
-1251 ,
-1247 ,
-1241 ,
-1236 ,
-1236 ,
-1231 ,
-1231 ,
-1227 ,
-1226 ,
-1216 ,
-1205 ,
-1178 ,
-1148 ,
-1096 ,
-1051 ,
-993  ,
-937  ,
-870  ,
-814  ,
-751  ,
-700  ,
-640  ,
-588  ,
-534  ,
-472  ,
-420  ,
-354  ,
-295  ,
-244  ,
-196  ,
-177  ,
-158  ,
-156  ,
-142  ,
-129  ,
-119  ,
-108  ,
-97 ,
-77 ,
-69 ,
-55 ,
-54 ,
-33 ,
-27 ,
-7  ,
16  ,
36  ,
62  ,
85  ,
136 ,
188 ,
247 ,
313 ,
371 ,
431 ,
485 ,
533 ,
564 ,
599 ,
623 ,
634 ,
639 ,
634 ,
633 ,
629 ,
637 ,
649 ,
672 ,
703 ,
731 ,
752 ,
770 ,
786 ,
796 ,
805 ,
813 ,
817 ,
823 ,
831 ,
843 ,
862 ,
892 ,
920 ,
957 ,
976 ,
988 ,
986 ,
968 ,
934 ,
892 ,
838 ,
792 ,
759 ,
738 ,
743 ,
754 ,
763 ,
775 ,
777 ,
774 ,
765 ,
758 ,
761 ,
765 ,
762 ,
771 ,
759 ,
759 ,
735 ,
725 ,
704 ,
692 ,
665 ,
642 ,
602 ,
582 ,
545 ,
525 ,
501 ,
487 ,
467 ,
452 ,
432 ,
420 ,
408 ,
394 ,
379 ,
366 ,
349 ,
329 ,
308 ,
292 ,
261 ,
229 ,
191 ,
146 ,
107 ,
60  ,
22  ,
-7  ,
-26 ,
-25 ,
-10 ,
30  ,
85  ,
153 ,
225 ,
290 ,
340 ,
391 ,
417 ,
451 ,
473 ,
510 ,
547 ,
585 ,
616 ,
640 ,
648 ,
652 ,
665 ,
672 ,
687 ,
684 ,
682 ,
671 ,
657 ,
639 ,
627 ,
619 ,
626 ,
632 ,
644 ,
640 ,
631 ,
616 ,
597 ,
584 ,
578 ,
573 ,
569 ,
565 ,
562 ,
559 ,
558 ,
560 ,
569 ,
589 ,
603 ,
606 ,
606 ,
592 ,
580 ,
571 ,
576 ,
597 ,
632 ,
674 ,
711 ,
743 ,
758 ,
768 ,
782 ,
782 ,
787 ,
793 ,
795 ,
790 ,
785 ,
749 ,
720 ,
670 ,
627 ,
583 ,
525 ,
469 ,
398 ,
331 ,
266 ,
203 ,
151 ,
105 ,
79  ,
54  ,
29  ,
6 ,
-27 ,
-48 ,
-69 ,
-77 ,
-88 ,
-100  ,
-112  ,
-130  ,
-151  ,
-169  ,
-185  ,
-191  ,
-200  ,
-201  ,
-217  ,
-236  ,
-271  ,
-298  ,
-314  ,
-302  ,
-288  ,
-262  ,
-238  ,
-237  ,
-234  ,
-253  ,
-266  ,
-295  ,
-324  ,
-358  ,
-388  ,
-419  ,
-454  ,
-491  ,
-548  ,
-613  ,
-685  ,
-748  ,
-820  ,
-872  ,
-943  ,
-993  ,
-1054 ,
-1094 ,
-1122 ,
-1138 ,
-1139 ,
-1137 ,
-1123 ,
-1123 ,
-1112 ,
-1109 ,
-1095 ,
-1092 ,
-1070 ,
-1058 ,
-1034 ,
-1007 ,
-976  ,
-926  ,
-867  ,
-791  ,
-715  ,
-635  ,
-575  ,
-530  ,
-515  ,
-519  ,
-527  ,
-543  ,
-549  ,
-556  ,
-563  ,
-567  ,
-571  ,
-577  ,
-583  ,
-601  ,
-621  ,
-639  ,
-659  ,
-668  ,
-674  ,
-674  ,
-674  ,
-673  ,
-674  ,
-687  ,
-706  ,
-751  ,
-793  ,
-863  ,
-926  ,
-989  ,
-1035 ,
-1068 ,
-1082 ,
-1085 ,
-1069 ,
-1043 ,
-1007 ,
-976  ,
-934  ,
-889  ,
-833  ,
-770  ,
-709  ,
-658  ,
-612  ,
-568  ,
-529  ,
-483  ,
-449  ,
-410  ,
-382  ,
-360  ,
-346  ,
-344  ,
-347  ,
-345  ,
-345  ,
-335  ,
-328  ,
-310  ,
-313  ,
-305  ,
-314  ,
-312  ,
-326  ,
-327  ,
-334  ,
-342  ,
-351  ,
-362  ,
-382  ,
-405  ,
-434  ,
-456  ,
-468  ,
-473  ,
-473  ,
-477  ,
-475  ,
-486  ,
-500  ,
-519  ,
-541  ,
-568  ,
-593  ,
-619  ,
-631  ,
-634  ,
-643  ,
-635  ,
-626  ,
-613  ,
-605  ,
-601  ,
-600  ,
-610  ,
-626  ,
-642  ,
-669  ,
-676  ,
-697  ,
-699  ,
-722  ,
-732  ,
-754  ,
-764  ,
-779  ,
-774  ,
-780  ,
-773  ,
-766  ,
-741  ,
-720  ,
-675  ,
-638  ,
-585  ,
-540  ,
-485  ,
-454  ,
-410  ,
-393  ,
-365  ,
-343  ,
-315  ,
-275  ,
-245  ,
-213  ,
-202  ,
-206  ,
-227  ,
-250  ,
-283  ,
-293  ,
-299  ,
-262  ,
-216  ,
-147  ,
-75 ,
0 ,
72  ,
138 ,
221 ,
291 ,
375 ,
451 ,
526 ,
594 ,
656 ,
706 ,
760 ,
791 ,
822 ,
827 ,
823 ,
797 ,
761 ,
738 ,
719 ,
718 ,
724 ,
743 ,
766 ,
796 ,
819 ,
836 ,
857 ,
856 ,
872 ,
880 ,
909 ,
926 ,
935 ,
936 ,
928 ,
922 ,
915 ,
902 ,
900 ,
883 ,
872 ,
850 ,
824 ,
800 ,
771 ,
758 ,
744 ,
741 ,
727 ,
713 ,
691 ,
680 ,
668 ,
665 ,
658 ,
646 ,
624 ,
585 ,
542 ,
482 ,
428 ,
368 ,
325 ,
276 ,
239 ,
188 ,
138 ,
75  ,
14  ,
-41 ,
-86 ,
-123  ,
-156  ,
-180  ,
-197  ,
-213  ,
-226  ,
-244  ,
-242  ,
-240  ,
-214  ,
-188  ,
-146  ,
-120  ,
-108  ,
-106  ,
-100  ,
-87 ,
-67 ,
-57 ,
-46 ,
-43 ,
-46 ,
-44 ,
-25 ,
-19 ,
10  ,
34  ,
73  ,
115 ,
152 ,
206 ,
261 ,
317 ,
368 ,
404 ,
429 ,
431 ,
422 ,
399 ,
363 ,
321 ,
269 ,
216 ,
164 ,
103 ,
38  ,
-21 ,
-90 ,
-140  ,
-196  ,
-238  ,
-273  ,
-304  ,
-317  ,
-347  ,
-376  ,
-420  ,
-457  ,
-496  ,
-526  ,
-560  ,
-581  ,
-607  ,
-624  ,
-644  ,
-647  ,
-647  ,
-630  ,
-614  ,
-579  ,
-546  ,
-505  ,
-464  ,
-417  ,
-370  ,
-328  ,
-277  ,
-232  ,
-187  ,
-149  ,
-120  ,
-76 ,
-48 ,
6 ,
51  ,
92  ,
137 ,
160 ,
202 ,
211 ,
238 ,
242 ,
239 ,
228 ,
212 ,
201 ,
190 ,
175 ,
152 ,
125 ,
88  ,
50  ,
7 ,
-26 ,
-60 ,
-85 ,
-96 ,
-104  ,
-102  ,
-99 ,
-95 ,
-87 ,
-90 ,
-95 ,
-109  ,
-120  ,
-120  ,
-103  ,
-80 ,
-55 ,
-31 ,
-3  ,
6 ,
21  ,
39  ,
65  ,
88  ,
117 ,
142 ,
166 ,
175 ,
171 ,
170 ,
165 ,
157 ,
158 ,
158 ,
167 ,
167 ,
160 ,
143 ,
117 ,
95  ,
80  ,
71  ,
72  ,
74  ,
81  ,
97  ,
118 ,
148 ,
182 ,
215 ,
262 ,
311 ,
359 ,
404 ,
434 ,
465 ,
485 ,
505 ,
524 ,
541 ,
564 ,
585 ,
614 ,
657 ,
693 ,
735 ,
768 ,
799 ,
816 ,
838 ,
862 ,
899 ,
956 ,
1009  ,
1073  ,
1124  ,
1165  ,
1203  ,
1204  ,
1207  ,
1181  ,
1164  ,
1143  ,
1140  ,
1130  ,
1121  ,
1110  ,
1095  ,
1078  ,
1052  ,
1024  ,
981 ,
941 ,
908 ,
877 ,
858 ,
844 ,
840 ,
846 ,
857 ,
864 ,
877 ,
889 ,
890 ,
881 ,
866 ,
859 ,
862 ,
871 ,
893 ,
920 ,
941 ,
965 ,
966 ,
974 ,
971 ,
959 ,
957 ,
947 ,
952 ,
946 ,
939 ,
922 ,
891 ,
850 ,
797 ,
745 ,
689 ,
642 ,
594 ,
564 ,
537 ,
522 ,
513 ,
506 ,
501 ,
488 ,
476 ,
434 ,
390 ,
327 ,
261 ,
193 ,
121 ,
57  ,
-12 ,
-60 ,
-112  ,
-142  ,
-171  ,
-174  ,
-187  ,
-173  ,
-177  ,
-156  ,
-152  ,
-126  ,
-112  ,
-91 ,
-71 ,
-54 ,
-32 ,
-29 ,
-30 ,
-44 ,
-53 ,
-55 ,
-56 ,
-42 ,
-29 ,
-14 ,
12  ,
29  ,
51  ,
50  ,
45  ,
37  ,
8 ,
-7  ,
-35 ,
-54 ,
-89 ,
-132  ,
-188  ,
-236  ,
-285  ,
-318  ,
-326  ,
-320  ,
-275  ,
-224  ,
-155  ,
-97 ,
-50 ,
-26 ,
-3  ,
12  ,
16  ,
22  ,
21  ,
48  ,
62  ,
85  ,
112 ,
133 ,
143 ,
152 ,
153 ,
168 ,
178 ,
208 ,
241 ,
280 ,
321 ,
355 ,
379 ,
383 ,
378 ,
353 ,
324 ,
288 ,
257 ,
223 ,
199 ,
168 ,
132 ,
89  ,
34  ,
-20 ,
-82 ,
-136  ,
-186  ,
-241  ,
-294  ,
-365  ,
-441  ,
-514  ,
-594  ,
-668  ,
-739  ,
-799  ,
-855  ,
-890  ,
-908  ,
-908  ,
-886  ,
-869  ,
-842  ,
-820  ,
-805  ,
-790  ,
-782  ,
-773  ,
-770  ,
-752  ,
-737  ,
-720  ,
-718  ,
-724  ,
-737  ,
-759  ,
-786  ,
-814  ,
-843  ,
-889  ,
-942  ,
-1012 ,
-1080 ,
-1159 ,
-1234 ,
-1296 ,
-1358 ,
-1418 ,
-1469 ,
-1510 ,
-1553 ,
-1582 ,
-1628 ,
-1654 ,
-1691 ,
-1713 ,
-1749 ,
-1781 ,
-1810 ,
-1845 ,
-1874 ,
-1894 ,
-1906 ,
-1918 ,
-1916 ,
-1904 ,
-1882 ,
-1855 ,
-1824 ,
-1785 ,
-1737 ,
-1683 ,
-1617 ,
-1546 ,
-1471 ,
-1386 ,
-1307 ,
-1228 ,
-1144 ,
-1068 ,
-990  ,
-928  ,
-875  ,
-844  ,
-820  ,
-797  ,
-768  ,
-720  ,
-657  ,
-579  ,
-494  ,
-410  ,
-338  ,
-279  ,
-239  ,
-212  ,
-194  ,
-183  ,
-178  ,
-180  ,
-175  ,
-175  ,
-163  ,
-144  ,
-116  ,
-82 ,
-45 ,
-4  ,
27  ,
50  ,
65  ,
65  ,
64  ,
49  ,
45  ,
39  ,
32  ,
26  ,
17  ,
4 ,
2 ,
-8  ,
9 ,
24  ,
60  ,
84  ,
111 ,
123 ,
126 ,
125 ,
127 ,
132 ,
131 ,
121 ,
110 ,
83  ,
49  ,
21  ,
-22 ,
-51 ,
-97 ,
-124  ,
-161  ,
-183  ,
-224  ,
-263  ,
-296  ,
-331  ,
-345  ,
-380  ,
-389  ,
-426  ,
-450  ,
-484  ,
-517  ,
-536  ,
-553  ,
-556  ,
-550  ,
-543  ,
-517  ,
-501  ,
-471  ,
-442  ,
-416  ,
-382  ,
-370  ,
-361  ,
-363  ,
-371  ,
-373  ,
-375  ,
-359  ,
-336  ,
-311  ,
-276  ,
-256  ,
-226  ,
-213  ,
-198  ,
-189  ,
-182  ,
-166  ,
-156  ,
-142  ,
-135  ,
-128  ,
-119  ,
-103  ,
-82 ,
-52 ,
-39 ,
-13 ,
9 ,
30  ,
59  ,
76  ,
115 ,
143 ,
191 ,
226 ,
278 ,
323 ,
357 ,
387 ,
414 ,
437 ,
457 ,
458 ,
452 ,
434 ,
411 ,
375 ,
359 ,
347 ,
366 ,
395 ,
435 ,
490 ,
536 ,
594 ,
642 ,
682 ,
722 ,
750 ,
778 ,
792 ,
809 ,
810 ,
815 ,
819 ,
830 ,
844 ,
849 ,
849 ,
835 ,
805 ,
779 ,
740 ,
701 ,
664 ,
634 ,
600 ,
589 ,
567 ,
565 ,
569 ,
586 ,
619 ,
660 ,
708 ,
749 ,
794 ,
825 ,
852 ,
868 ,
876 ,
880 ,
866 ,
852 ,
817 ,
786 ,
741 ,
693 ,
659 ,
614 ,
584 ,
548 ,
513 ,
486 ,
446 ,
416 ,
390 ,
374 ,
374 ,
372 ,
376 ,
384 ,
384 ,
377 ,
352 ,
313 ,
255 ,
193 ,
114 ,
25  ,
-64 ,
-174  ,
-281  ,
-400  ,
-515  ,
-638  ,
-757  ,
-870  ,
-974  ,
-1072 ,
-1164 ,
-1246 ,
-1319 ,
-1372 ,
-1414 ,
-1440 ,
-1456 ,
-1464 ,
-1457 ,
-1443 ,
-1422 ,
-1393 ,
-1350 ,
-1312 ,
-1265 ,
-1234 ,
-1190 ,
-1162 ,
-1119 ,
-1080 ,
-1034 ,
-983  ,
-937  ,
-879  ,
-821  ,
-756  ,
-689  ,
-619  ,
-551  ,
-482  ,
-408  ,
-333  ,
-251  ,
-170  ,
-98 ,
-29 ,
23  ,
75  ,
104 ,
123 ,
121 ,
108 ,
87  ,
65  ,
35  ,
18  ,
6 ,
13  ,
21  ,
37  ,
61  ,
87  ,
103 ,
127 ,
156 ,
189 ,
228 ,
259 ,
305 ,
344 ,
390 ,
443 ,
502 ,
573 ,
648 ,
726 ,
792 ,
856 ,
900 ,
946 ,
983 ,
1018  ,
1046  ,
1077  ,
1097  ,
1123  ,
1143  ,
1161  ,
1165  ,
1164  ,
1153  ,
1132  ,
1110  ,
1077  ,
1057  ,
1035  ,
1023  ,
1017  ,
1011  ,
1013  ,
997 ,
977 ,
941 ,
905 ,
861 ,
823 ,
783 ,
753 ,
716 ,
682 ,
645 ,
604 ,
565 ,
531 ,
506 ,
494 ,
501 ,
521 ,
551 ,
584 ,
611 ,
650 ,
671 ,
700 ,
713 ,
728 ,
721 ,
715 ,
695 ,
681 ,
666 ,
660 ,
652 ,
650 ,
656 ,
663 ,
667 ,
673 ,
668 ,
647 ,
609 ,
555 ,
483 ,
402 ,
316 ,
227 ,
152 ,
83  ,
35  ,
-5  ,
-33 ,
-58 ,
-83 ,
-102  ,
-116  ,
-119  ,
-118  ,
-110  ,
-79 ,
-46 ,
0 ,
41  ,
92  ,
152 ,
218 ,
287 ,
364 ,
444 ,
513 ,
585 ,
647 ,
707 ,
766 ,
826 ,
871 ,
903 ,
912 ,
900 ,
878 ,
853 ,
829 ,
812 ,
801 ,
790 ,
786 ,
776 ,
772 ,
775 ,
790 ,
817 ,
865 ,
906 ,
961 ,
992 ,
1019  ,
1028  ,
1023  ,
1002  ,
982 ,
951 ,
924 ,
904 ,
868 ,
846 ,
807 ,
786 ,
766 ,
751 ,
732 ,
717 ,
699 ,
696 ,
708 ,
731 ,
771 ,
808 ,
856 ,
887 ,
911 ,
931 ,
937 ,
952 ,
974 ,
1012  ,
1060  ,
1103  ,
1134  ,
1136  ,
1112  ,
1063  ,
999 ,
908 ,
806 ,
690 ,
564 ,
446 ,
322 ,
208 ,
105 ,
22  ,
-25 ,
-50 ,
-40 ,
-22 ,
11  ,
38  ,
79  ,
108 ,
135 ,
141 ,
148 ,
127 ,
112 ,
71  ,
35  ,
-11 ,
-39 ,
-66 ,
-88 ,
-106  ,
-124  ,
-138  ,
-151  ,
-158  ,
-165  ,
-175  ,
-196  ,
-221  ,
-255  ,
-304  ,
-366  ,
-427  ,
-476  ,
-520  ,
-534  ,
-556  ,
-551  ,
-565  ,
-567  ,
-588  ,
-613  ,
-655  ,
-688  ,
-730  ,
-779  ,
-834  ,
-906  ,
-989  ,
-1071 ,
-1146 ,
-1203 ,
-1234 ,
-1253 ,
-1238 ,
-1211 ,
-1166 ,
-1122 ,
-1076 ,
-1028 ,
-988  ,
-961  ,
-940  ,
-925  ,
-904  ,
-895  ,
-894  ,
-893  ,
-898  ,
-898  ,
-890  ,
-879  ,
-860  ,
-847  ,
-826  ,
-808  ,
-785  ,
-755  ,
-725  ,
-688  ,
-646  ,
-616  ,
-573  ,
-562  ,
-536  ,
-542  ,
-552  ,
-584  ,
-620  ,
-663  ,
-705  ,
-745  ,
-775  ,
-792  ,
-811  ,
-803  ,
-791  ,
-771  ,
-751  ,
-743  ,
-732  ,
-733  ,
-738  ,
-752  ,
-778  ,
-796  ,
-817  ,
-823  ,
-838  ,
-835  ,
-828  ,
-810  ,
-779  ,
-748  ,
-714  ,
-682  ,
-662  ,
-649  ,
-660  ,
-661  ,
-673  ,
-682  ,
-686  ,
-678  ,
-668  ,
-639  ,
-613  ,
-577  ,
-530  ,
-488  ,
-421  ,
-376  ,
-312  ,
-284  ,
-244  ,
-231  ,
-220  ,
-234  ,
-264  ,
-307  ,
-358  ,
-401  ,
-436  ,
-463  ,
-476  ,
-477  ,
-474  ,
-461  ,
-465  ,
-469  ,
-496  ,
-532  ,
-573  ,
-626  ,
-678  ,
-732  ,
-793  ,
-855  ,
-928  ,
-1004 ,
-1064 ,
-1120 ,
-1168 ,
-1198 ,
-1224 ,
-1232 ,
-1239 ,
-1226 ,
-1213 ,
-1186 ,
-1164 ,
-1148 ,
-1129 ,
-1117 ,
-1110 ,
-1098 ,
-1084 ,
-1061 ,
-1046 ,
-1018 ,
-999  ,
-969  ,
-943  ,
-896  ,
-853  ,
-802  ,
-768  ,
-739  ,
-737  ,
-752  ,
-789  ,
-834  ,
-889  ,
-929  ,
-960  ,
-955  ,
-950  ,
-910  ,
-883  ,
-830  ,
-789  ,
-739  ,
-704  ,
-648  ,
-588  ,
-509  ,
-424  ,
-326  ,
-229  ,
-132  ,
-47 ,
16  ,
63  ,
91  ,
104 ,
119 ,
120 ,
136 ,
159 ,
196 ,
246 ,
296 ,
362 ,
420 ,
495 ,
557 ,
619 ,
675 ,
719 ,
763 ,
792 ,
816 ,
826 ,
843 ,
866 ,
891 ,
934 ,
979 ,
1039  ,
1090  ,
1123  ,
1142  ,
1130  ,
1105  ,
1050  ,
970 ,
882 ,
787 ,
707 ,
634 ,
579 ,
533 ,
504 ,
479 ,
467 ,
454 ,
445 ,
446 ,
443 ,
465 ,
479 ,
511 ,
546 ,
570 ,
597 ,
604 ,
605 ,
590 ,
568 ,
544 ,
525 ,
511 ,
501 ,
497 ,
479 ,
450 ,
406 ,
343 ,
276 ,
195 ,
124 ,
49  ,
-18 ,
-80 ,
-134  ,
-180  ,
-209  ,
-239  ,
-256  ,
-270  ,
-278  ,
-276  ,
-279  ,
-262  ,
-238  ,
-211  ,
-185  ,
-171  ,
-163  ,
-165  ,
-177  ,
-192  ,
-201  ,
-211  ,
-224  ,
-230  ,
-232  ,
-218  ,
-204  ,
-171  ,
-136  ,
-100  ,
-50 ,
-8  ,
37  ,
75  ,
114 ,
135 ,
148 ,
142 ,
129 ,
106 ,
73  ,
32  ,
-13 ,
-65 ,
-114  ,
-156  ,
-204  ,
-248  ,
-306  ,
-363  ,
-429  ,
-495  ,
-554  ,
-605  ,
-638  ,
-671  ,
-683  ,
-704  ,
-706  ,
-719  ,
-721  ,
-723  ,
-721  ,
-716  ,
-696  ,
-669  ,
-632  ,
-578  ,
-522  ,
-454  ,
-401  ,
-349  ,
-315  ,
-287  ,
-252  ,
-220  ,
-177  ,
-141  ,
-107  ,
-64 ,
-18 ,
41  ,
113 ,
194 ,
278 ,
346 ,
410 ,
450 ,
475 ,
467 ,
449 ,
410 ,
380 ,
343 ,
315 ,
292 ,
279 ,
274 ,
269 ,
271 ,
259 ,
258 ,
245 ,
243 ,
235 ,
218 ,
197 ,
172 ,
150 ,
127 ,
108 ,
97  ,
92  ,
93  ,
96  ,
107 ,
122 ,
154 ,
187 ,
230 ,
275 ,
315 ,
347 ,
376 ,
398 ,
416 ,
432 ,
440 ,
453 ,
451 ,
442 ,
426 ,
397 ,
378 ,
346 ,
325 ,
310 ,
297 ,
290 ,
280 ,
260 ,
250 ,
235 ,
232 ,
225 ,
233 ,
227 ,
230 ,
214 ,
213 ,
208 ,
221 ,
245 ,
280 ,
322 ,
380 ,
426 ,
481 ,
513 ,
545 ,
566 ,
582 ,
595 ,
610 ,
623 ,
633 ,
643 ,
650 ,
667 ,
686 ,
728 ,
768 ,
805 ,
837 ,
865 ,
898 ,
935 ,
977 ,
1015  ,
1042  ,
1066  ,
1088  ,
1105  ,
1132  ,
1153  ,
1178  ,
1193  ,
1205  ,
1203  ,
1192  ,
1163  ,
1135  ,
1104  ,
1079  ,
1061  ,
1055  ,
1060  ,
1059  ,
1067  ,
1058  ,
1059  ,
1051  ,
1045  ,
1036  ,
1030  ,
1028  ,
1031  ,
1049  ,
1067  ,
1087  ,
1103  ,
1118  ,
1130  ,
1141  ,
1133  ,
1124  ,
1092  ,
1064  ,
1025  ,
984 ,
951 ,
929 ,
902 ,
898 ,
897 ,
906 ,
914 ,
914 ,
923 ,
927 ,
919 ,
901 ,
873 ,
838 ,
798 ,
765 ,
735 ,
704 ,
678 ,
642 ,
613 ,
586 ,
561 ,
542 ,
516 ,
502 ,
492 ,
478 ,
455 ,
414 ,
359 ,
279 ,
200 ,
114 ,
38  ,
-35 ,
-90 ,
-135  ,
-163  ,
-184  ,
-199  ,
-198  ,
-184  ,
-157  ,
-115  ,
-72 ,
-29 ,
9 ,
29  ,
43  ,
47  ,
44  ,
37  ,
26  ,
6 ,
-10 ,
-32 ,
-50 ,
-72 ,
-84 ,
-89 ,
-85 ,
-73 ,
-55 ,
-32 ,
-14 ,
6 ,
8 ,
15  ,
9 ,
4 ,
-5  ,
-38 ,
-59 ,
-91 ,
-88 ,
-80 ,
-32 ,
23  ,
96  ,
162 ,
229 ,
277 ,
326 ,
340 ,
351 ,
336 ,
314 ,
291 ,
272 ,
258 ,
244 ,
231 ,
226 ,
229 ,
232 ,
246 ,
251 ,
262 ,
267 ,
278 ,
283 ,
283 ,
270 ,
246 ,
223 ,
188 ,
154 ,
104 ,
68  ,
20  ,
-11 ,
-60 ,
-89 ,
-134  ,
-163  ,
-202  ,
-218  ,
-240  ,
-261  ,
-288  ,
-316  ,
-349  ,
-377  ,
-408  ,
-441  ,
-465  ,
-499  ,
-525  ,
-560  ,
-600  ,
-634  ,
-675  ,
-711  ,
-742  ,
-767  ,
-783  ,
-797  ,
-813  ,
-835  ,
-863  ,
-902  ,
-935  ,
-964  ,
-983  ,
-992  ,
-1005 ,
-998  ,
-990  ,
-978  ,
-956  ,
-944  ,
-931  ,
-939  ,
-948  ,
-976  ,
-1015 ,
-1067 ,
-1133 ,
-1196 ,
-1271 ,
-1330 ,
-1379 ,
-1423 ,
-1450 ,
-1482 ,
-1500 ,
-1521 ,
-1546 ,
-1569 ,
-1593 ,
-1619 ,
-1634 ,
-1650 ,
-1665 ,
-1675 ,
-1676 ,
-1674 ,
-1653 ,
-1628 ,
-1587 ,
-1547 ,
-1495 ,
-1426 ,
-1343 ,
-1239 ,
-1130 ,
-1012 ,
-897  ,
-784  ,
-686  ,
-593  ,
-524  ,
-467  ,
-426  ,
-389  ,
-363  ,
-345  ,
-335  ,
-330  ,
-329  ,
-322  ,
-308  ,
-282  ,
-245  ,
-201  ,
-147  ,
-91 ,
-42 ,
-1  ,
17  ,
19  ,
3 ,
-26 ,
-68 ,
-112  ,
-168  ,
-205  ,
-235  ,
-235  ,
-226  ,
-200  ,
-178  ,
-156  ,
-142  ,
-125  ,
-110  ,
-82 ,
-75 ,
-66 ,
-74 ,
-87 ,
-126  ,
-170  ,
-237  ,
-291  ,
-337  ,
-370  ,
-381  ,
-371  ,
-358  ,
-325  ,
-315  ,
-285  ,
-273  ,
-260  ,
-254  ,
-264  ,
-274  ,
-301  ,
-337  ,
-379  ,
-422  ,
-463  ,
-503  ,
-536  ,
-563  ,
-589  ,
-606  ,
-623  ,
-626  ,
-612  ,
-598  ,
-576  ,
-565  ,
-566  ,
-572  ,
-575  ,
-578  ,
-580  ,
-575  ,
-580  ,
-577  ,
-591  ,
-591  ,
-593  ,
-578  ,
-552  ,
-509  ,
-457  ,
-414  ,
-365  ,
-343  ,
-322  ,
-321  ,
-324  ,
-337  ,
-352  ,
-364  ,
-376  ,
-368  ,
-359  ,
-335  ,
-302  ,
-272  ,
-233  ,
-199  ,
-161  ,
-118  ,
-96 ,
-58 ,
-38 ,
-15 ,
8 ,
21  ,
42  ,
48  ,
57  ,
58  ,
68  ,
72  ,
89  ,
102 ,
128 ,
146 ,
169 ,
189 ,
206 ,
221 ,
234 ,
250 ,
264 ,
283 ,
284 ,
310 ,
320 ,
349 ,
382 ,
421 ,
469 ,
511 ,
559 ,
594 ,
637 ,
662 ,
678 ,
678 ,
667 ,
637 ,
598 ,
544 ,
489 ,
427 ,
371 ,
335 ,
317 ,
329 ,
353 ,
402 ,
454 ,
504 ,
542 ,
579 ,
601 ,
626 ,
622 ,
608 ,
578 ,
541 ,
503 ,
464 ,
440 ,
434 ,
441 ,
462 ,
486 ,
514 ,
538 ,
557 ,
572 ,
591 ,
590 ,
587 ,
571 ,
542 ,
505 ,
470 ,
432 ,
398 ,
352 ,
313 ,
261 ,
209 ,
159 ,
107 ,
65  ,
31  ,
-10 ,
-30 ,
-60 ,
-82 ,
-120  ,
-170  ,
-231  ,
-310  ,
-400  ,
-482  ,
-561  ,
-642  ,
-709  ,
-774  ,
-820  ,
-864  ,
-893  ,
-916  ,
-927  ,
-947  ,
-952  ,
-970  ,
-971  ,
-998  ,
-1011 ,
-1041 ,
-1073 ,
-1113 ,
-1153 ,
-1201 ,
-1233 ,
-1253 ,
-1242 ,
-1203 ,
-1138 ,
-1067 ,
-992  ,
-927  ,
-854  ,
-791  ,
-720  ,
-665  ,
-616  ,
-576  ,
-543  ,
-521  ,
-499  ,
-486  ,
-459  ,
-431  ,
-394  ,
-336  ,
-288  ,
-221  ,
-162  ,
-91 ,
-22 ,
43  ,
106 ,
164 ,
204 ,
238 ,
256 ,
263 ,
277 ,
269 ,
285 ,
302 ,
341 ,
387 ,
435 ,
485 ,
534 ,
579 ,
627 ,
676 ,
703 ,
739 ,
751 ,
785 ,
806 ,
832 ,
869 ,
905 ,
957 ,
1014  ,
1080  ,
1138  ,
1190  ,
1225  ,
1245  ,
1258  ,
1263  ,
1261  ,
1247  ,
1231  ,
1216  ,
1189  ,
1172  ,
1149  ,
1121  ,
1106  ,
1074  ,
1070  ,
1064  ,
1071  ,
1071  ,
1061  ,
1046  ,
1021  ,
997 ,
952 ,
913 ,
851 ,
799 ,
751 ,
729 ,
724 ,
738 ,
755 ,
765 ,
777 ,
771 ,
777 ,
779 ,
788 ,
788 ,
796 ,
785 ,
778 ,
752 ,
722 ,
682 ,
649 ,
617 ,
591 ,
560 ,
531 ,
508 ,
485 ,
477 ,
478 ,
492 ,
501 ,
515 ,
522 ,
524 ,
513 ,
502 ,
476 ,
451 ,
415 ,
374 ,
324 ,
269 ,
210 ,
161 ,
122 ,
104 ,
100 ,
101 ,
109 ,
113 ,
118 ,
123 ,
114 ,
104 ,
80  ,
59  ,
42  ,
27  ,
20  ,
20  ,
27  ,
46  ,
71  ,
123 ,
182 ,
257 ,
334 ,
414 ,
490 ,
569 ,
634 ,
694 ,
734 ,
757 ,
770 ,
768 ,
757 ,
732 ,
713 ,
704 ,
706 ,
733 ,
753 ,
795 ,
822 ,
859 ,
885 ,
910 ,
927 ,
932 ,
930 ,
920 ,
895 ,
873 ,
844 ,
827 ,
812 ,
812 ,
824 ,
843 ,
876 ,
897 ,
912 ,
918 ,
919 ,
919 ,
915 ,
924 ,
933 ,
947 ,
966 ,
977 ,
981 ,
974 ,
959 ,
931 ,
899 ,
866 ,
824 ,
791 ,
741 ,
707 ,
658 ,
628 ,
581 ,
538 ,
483 ,
418 ,
370 ,
306 ,
285 ,
245 ,
237 ,
213 ,
197 ,
168 ,
132 ,
88  ,
48  ,
13  ,
-17 ,
-26 ,
-40 ,
-33 ,
-42 ,
-46 ,
-55 ,
-63 ,
-66 ,
-87 ,
-100  ,
-129  ,
-143  ,
-167  ,
-174  ,
-186  ,
-191  ,
-201  ,
-205  ,
-213  ,
-219  ,
-242  ,
-269  ,
-301  ,
-343  ,
-391  ,
-461  ,
-530  ,
-615  ,
-690  ,
-745  ,
-792  ,
-802  ,
-821  ,
-816  ,
-823  ,
-826  ,
-838  ,
-856  ,
-893  ,
-934  ,
-975  ,
-1008 ,
-1024 ,
-1037 ,
-1034 ,
-1039 ,
-1035 ,
-1039 ,
-1030 ,
-1021 ,
-1007 ,
-990  ,
-968  ,
-937  ,
-905  ,
-877  ,
-851  ,
-829  ,
-813  ,
-795  ,
-779  ,
-764  ,
-753  ,
-744  ,
-741  ,
-731  ,
-712  ,
-684  ,
-650  ,
-613  ,
-576  ,
-543  ,
-500  ,
-469  ,
-444  ,
-443  ,
-461  ,
-488  ,
-523  ,
-552  ,
-582  ,
-592  ,
-595  ,
-575  ,
-550  ,
-520  ,
-499  ,
-490  ,
-494  ,
-508  ,
-530  ,
-562  ,
-595  ,
-634  ,
-661  ,
-686  ,
-709  ,
-731  ,
-745  ,
-755  ,
-747  ,
-739  ,
-711  ,
-691  ,
-662  ,
-638  ,
-625  ,
-603  ,
-583  ,
-556  ,
-543  ,
-535  ,
-531  ,
-527  ,
-518  ,
-491  ,
-469  ,
-444  ,
-430  ,
-417  ,
-414  ,
-410  ,
-417  ,
-414  ,
-411  ,
-396  ,
-385  ,
-365  ,
-346  ,
-332  ,
-323  ,
-335  ,
-339  ,
-370  ,
-397  ,
-441  ,
-480  ,
-522  ,
-555  ,
-579  ,
-600  ,
-619  ,
-643  ,
-655  ,
-678  ,
-687  ,
-707  ,
-721  ,
-749  ,
-780  ,
-830  ,
-879  ,
-941  ,
-995  ,
-1048 ,
-1086 ,
-1107 ,
-1119 ,
-1118 ,
-1115 ,
-1109 ,
-1097 ,
-1089 ,
-1090 ,
-1096 ,
-1119 ,
-1139 ,
-1160 ,
-1180 ,
-1190 ,
-1191 ,
-1200 ,
-1186 ,
-1177 ,
-1151 ,
-1120 ,
-1087 ,
-1049 ,
-1003 ,
-955  ,
-904  ,
-851  ,
-800  ,
-747  ,
-699  ,
-648  ,
-606  ,
-566  ,
-537  ,
-521  ,
-506  ,
-501  ,
-479  ,
-460  ,
-426  ,
-393  ,
-353  ,
-318  ,
-276  ,
-252  ,
-219  ,
-198  ,
-160  ,
-126  ,
-84 ,
-34 ,
27  ,
89  ,
148 ,
217 ,
289 ,
363 ,
439 ,
505 ,
552 ,
589 ,
607 ,
622 ,
628 ,
628 ,
640 ,
641 ,
666 ,
670 ,
702 ,
723 ,
760 ,
801 ,
837 ,
866 ,
898 ,
909 ,
913 ,
904 ,
885 ,
865 ,
837 ,
802 ,
761 ,
709 ,
666 ,
621 ,
597 ,
572 ,
554 ,
524 ,
512 ,
488 ,
473 ,
443 ,
422 ,
403 ,
384 ,
380 ,
374 ,
369 ,
364 ,
347 ,
343 ,
315 ,
305 ,
280 ,
265 ,
246 ,
229 ,
214 ,
196 ,
187 ,
161 ,
141 ,
101 ,
64  ,
26  ,
-16 ,
-48 ,
-82 ,
-111  ,
-140  ,
-172  ,
-207  ,
-238  ,
-248  ,
-260  ,
-249  ,
-235  ,
-223  ,
-200  ,
-193  ,
-176  ,
-168  ,
-153  ,
-148  ,
-144  ,
-141  ,
-143  ,
-137  ,
-140  ,
-135  ,
-136  ,
-134  ,
-129  ,
-127  ,
-113  ,
-96 ,
-69 ,
-48 ,
-27 ,
-6  ,
15  ,
33  ,
55  ,
65  ,
74  ,
67  ,
53  ,
21  ,
-12 ,
-69 ,
-125  ,
-184  ,
-240  ,
-291  ,
-330  ,
-365  ,
-382  ,
-393  ,
-398  ,
-408  ,
-412  ,
-431  ,
-437  ,
-438  ,
-429  ,
-414  ,
-401  ,
-392  ,
-383  ,
-382  ,
-382  ,
-367  ,
-357  ,
-331  ,
-309  ,
-283  ,
-247  ,
-215  ,
-176  ,
-134  ,
-86 ,
-35 ,
24  ,
76  ,
154 ,
216 ,
305 ,
369 ,
425 ,
459 ,
477 ,
477 ,
477 ,
457 ,
437 ,
410 ,
376 ,
359 ,
330 ,
325 ,
319 ,
326 ,
331 ,
340 ,
344 ,
344 ,
341 ,
337 ,
329 ,
323 ,
317 ,
318 ,
328 ,
347 ,
372 ,
405 ,
432 ,
462 ,
486 ,
512 ,
531 ,
556 ,
570 ,
582 ,
593 ,
590 ,
586 ,
562 ,
525 ,
483 ,
435 ,
400 ,
364 ,
350 ,
341 ,
337 ,
343 ,
342 ,
353 ,
354 ,
362 ,
362 ,
359 ,
353 ,
353 ,
353 ,
348 ,
331 ,
303 ,
259 ,
211 ,
156 ,
97  ,
39  ,
0 ,
-32 ,
-39 ,
-42 ,
-8  ,
21  ,
68  ,
107 ,
155 ,
199 ,
246 ,
290 ,
338 ,
377 ,
426 ,
472 ,
524 ,
563 ,
609 ,
628 ,
654 ,
669 ,
680 ,
698 ,
701 ,
723 ,
738 ,
779 ,
805 ,
849 ,
874 ,
902 ,
926 ,
948 ,
973 ,
996 ,
1012  ,
1038  ,
1058  ,
1069  ,
1075  ,
1071  ,
1072  ,
1068  ,
1066  ,
1061  ,
1045  ,
1037  ,
1008  ,
996 ,
976 ,
971 ,
962 ,
978 ,
981 ,
1003  ,
1007  ,
1016  ,
1028  ,
1026  ,
1030  ,
1027  ,
1021  ,
1011  ,
995 ,
986 ,
963 ,
946 ,
928 ,
913 ,
911 ,
917 ,
927 ,
946 ,
955 ,
953 ,
944 ,
908 ,
877 ,
827 ,
784 ,
739 ,
717 ,
697 ,
696 ,
690 ,
697 ,
687 ,
681 ,
677 ,
666 ,
651 ,
633 ,
615 ,
593 ,
573 ,
540 ,
504 ,
457 ,
408 ,
346 ,
290 ,
230 ,
180 ,
139 ,
111 ,
99  ,
87  ,
94  ,
102 ,
113 ,
130 ,
138 ,
153 ,
140 ,
116 ,
71  ,
28  ,
-22 ,
-65 ,
-109  ,
-152  ,
-185  ,
-222  ,
-243  ,
-267  ,
-281  ,
-302  ,
-320  ,
-337  ,
-335  ,
-345  ,
-330  ,
-322  ,
-305  ,
-290  ,
-278  ,
-261  ,
-250  ,
-239  ,
-230  ,
-218  ,
-197  ,
-178  ,
-147  ,
-122  ,
-99 ,
-84 ,
-71 ,
-60 ,
-42 ,
-21 ,
7 ,
34  ,
59  ,
73  ,
80  ,
74  ,
75  ,
59  ,
75  ,
97  ,
130 ,
171 ,
206 ,
237 ,
257 ,
273 ,
284 ,
294 ,
311 ,
313 ,
327 ,
324 ,
323 ,
305 ,
285 ,
267 ,
253 ,
235 ,
218 ,
194 ,
179 ,
162 ,
149 ,
142 ,
136 ,
138 ,
133 ,
127 ,
103 ,
71  ,
28  ,
-11 ,
-61 ,
-103  ,
-156  ,
-193  ,
-234  ,
-278  ,
-313  ,
-354  ,
-382  ,
-419  ,
-453  ,
-485  ,
-521  ,
-539  ,
-557  ,
-553  ,
-547  ,
-523  ,
-500  ,
-475  ,
-455  ,
-445  ,
-433  ,
-453  ,
-461  ,
-503  ,
-542  ,
-598  ,
-650  ,
-704  ,
-753  ,
-808  ,
-857  ,
-908  ,
-945  ,
-991  ,
-1031 ,
-1081 ,
-1121 ,
-1155 ,
-1181 ,
-1192 ,
-1194 ,
-1201 ,
-1199 ,
-1206 ,
-1220 ,
-1253 ,
-1284 ,
-1332 ,
-1371 ,
-1405 ,
-1425 ,
-1431 ,
-1430 ,
-1406 ,
-1382 ,
-1345 ,
-1311 ,
-1275 ,
-1245 ,
-1211 ,
-1192 ,
-1156 ,
-1136 ,
-1105 ,
-1079 ,
-1043 ,
-995  ,
-932  ,
-862  ,
-785  ,
-710  ,
-640  ,
-575  ,
-510  ,
-454  ,
-404  ,
-364  ,
-340  ,
-317  ,
-313  ,
-309  ,
-309  ,
-323  ,
-333  ,
-356  ,
-372  ,
-401  ,
-415  ,
-439  ,
-451  ,
-457  ,
-459  ,
-447  ,
-437  ,
-406  ,
-390  ,
-360  ,
-356  ,
-346  ,
-353  ,
-356  ,
-378  ,
-401  ,
-438  ,
-471  ,
-502  ,
-522  ,
-541  ,
-539  ,
-539  ,
-532  ,
-515  ,
-513  ,
-498  ,
-495  ,
-478  ,
-480  ,
-470  ,
-471  ,
-466  ,
-463  ,
-464  ,
-468  ,
-485  ,
-500  ,
-525  ,
-555  ,
-587  ,
-625  ,
-643  ,
-676  ,
-673  ,
-687  ,
-674  ,
-670  ,
-663  ,
-661  ,
-657  ,
-654  ,
-644  ,
-647  ,
-632  ,
-633  ,
-624  ,
-625  ,
-632  ,
-640  ,
-646  ,
-655  ,
-660  ,
-663  ,
-664  ,
-649  ,
-636  ,
-603  ,
-578  ,
-544  ,
-520  ,
-486  ,
-470  ,
-437  ,
-426  ,
-400  ,
-373  ,
-349  ,
-315  ,
-290  ,
-252  ,
-222  ,
-187  ,
-159  ,
-142  ,
-125  ,
-126  ,
-119  ,
-119  ,
-110  ,
-100  ,
-76 ,
-57 ,
-33 ,
-10 ,
4 ,
18  ,
21  ,
25  ,
26  ,
34  ,
39  ,
46  ,
48  ,
55  ,
67  ,
88  ,
121 ,
157 ,
199 ,
239 ,
263 ,
287 ,
297 ,
303 ,
306 ,
297 ,
294 ,
277 ,
278 ,
266 ,
275 ,
274 ,
283 ,
285 ,
295 ,
291 ,
291 ,
285 ,
295 ,
315 ,
345 ,
391 ,
434 ,
477 ,
505 ,
527 ,
519 ,
502 ,
466 ,
419 ,
386 ,
354 ,
334 ,
335 ,
342 ,
377 ,
401 ,
449 ,
470 ,
499 ,
513 ,
526 ,
537 ,
559 ,
573 ,
590 ,
594 ,
599 ,
585 ,
571 ,
550 ,
537 ,
520 ,
498 ,
468 ,
427 ,
376 ,
331 ,
279 ,
241 ,
218 ,
205 ,
197 ,
187 ,
163 ,
128 ,
76  ,
29  ,
-29 ,
-89 ,
-148  ,
-208  ,
-268  ,
-328  ,
-389  ,
-448  ,
-503  ,
-547  ,
-587  ,
-614  ,
-648  ,
-670  ,
-696  ,
-714  ,
-732  ,
-748  ,
-753  ,
-771  ,
-781  ,
-798  ,
-813  ,
-814  ,
-825  ,
-812  ,
-791  ,
-761  ,
-717  ,
-679  ,
-625  ,
-586  ,
-535  ,
-493  ,
-437  ,
-391  ,
-353  ,
-327  ,
-312  ,
-310  ,
-306  ,
-310  ,
-304  ,
-295  ,
-287  ,
-269  ,
-253  ,
-232  ,
-194  ,
-163  ,
-110  ,
-65 ,
-10 ,
38  ,
79  ,
121 ,
146 ,
179 ,
203 ,
228 ,
256 ,
282 ,
316 ,
345 ,
381 ,
397 ,
418 ,
433 ,
451 ,
492 ,
527 ,
591 ,
634 ,
694 ,
734 ,
772 ,
802 ,
821 ,
837 ,
856 ,
866 ,
882 ,
897 ,
926 ,
947 ,
968 ,
971 ,
976 ,
968 ,
957 ,
954 ,
948 ,
964 ,
980 ,
1016  ,
1056  ,
1097  ,
1126  ,
1136  ,
1126  ,
1099  ,
1063  ,
1015  ,
957 ,
906 ,
863 ,
825 ,
805 ,
778 ,
759 ,
731 ,
714 ,
683 ,
658 ,
617 ,
588 ,
549 ,
533 ,
523 ,
540 ,
564 ,
591 ,
624 ,
643 ,
669 ,
682 ,
698 ,
701 ,
709 ,
703 ,
710 ,
703 ,
697 ,
682 ,
680 ,
681 ,
687 ,
694 ,
702 ,
700 ,
699 ,
692 ,
691 ,
682 ,
671 ,
650 ,
633 ,
601 ,
583 ,
544 ,
526 ,
504 ,
507 ,
511 ,
515 ,
520 ,
505 ,
490 ,
460 ,
433 ,
421 ,
419 ,
420 ,
434 ,
433 ,
438 ,
427 ,
423 ,
407 ,
409 ,
397 ,
402 ,
399 ,
411 ,
424 ,
442 ,
464 ,
486 ,
520 ,
545 ,
562 ,
575 ,
567 ,
566 ,
544 ,
525 ,
506 ,
491 ,
482 ,
484 ,
492 ,
510 ,
531 ,
559 ,
588 ,
615 ,
655 ,
684 ,
718 ,
735 ,
762 ,
770 ,
787 ,
790 ,
794 ,
785 ,
768 ,
743 ,
710 ,
678 ,
641 ,
615 ,
587 ,
575 ,
563 ,
556 ,
542 ,
530 ,
518 ,
516 ,
522 ,
542 ,
558 ,
578 ,
581 ,
589 ,
578 ,
566 ,
528 ,
499 ,
459 ,
430 ,
411 ,
391 ,
375 ,
365 ,
350 ,
343 ,
326 ,
311 ,
285 ,
248 ,
201 ,
152 ,
110 ,
86  ,
74  ,
75  ,
86  ,
98  ,
100 ,
94  ,
74  ,
50  ,
9 ,
-26 ,
-64 ,
-89 ,
-127  ,
-145  ,
-171  ,
-184  ,
-205  ,
-215  ,
-232  ,
-232  ,
-243  ,
-248  ,
-260  ,
-275  ,
-298  ,
-310  ,
-325  ,
-326  ,
-328  ,
-324  ,
-330  ,
-325  ,
-329  ,
-318  ,
-309  ,
-305  ,
-308  ,
-320  ,
-337  ,
-363  ,
-396  ,
-430  ,
-457  ,
-490  ,
-520  ,
-553  ,
-582  ,
-614  ,
-651  ,
-687  ,
-728  ,
-760  ,
-792  ,
-812  ,
-826  ,
-840  ,
-838  ,
-838  ,
-818  ,
-789  ,
-756  ,
-714  ,
-682  ,
-661  ,
-658  ,
-662  ,
-677  ,
-694  ,
-708  ,
-722  ,
-735  ,
-755  ,
-757  ,
-761  ,
-743  ,
-720  ,
-682  ,
-646  ,
-623  ,
-605  ,
-606  ,
-615  ,
-637  ,
-666  ,
-708  ,
-751  ,
-788  ,
-819  ,
-836  ,
-846  ,
-846  ,
-841  ,
-836  ,
-834  ,
-831  ,
-823  ,
-817  ,
-813  ,
-801  ,
-783  ,
-760  ,
-719  ,
-680  ,
-630  ,
-598  ,
-577  ,
-580  ,
-599  ,
-629  ,
-656  ,
-658  ,
-647  ,
-604  ,
-552  ,
-496  ,
-439  ,
-409  ,
-373  ,
-365  ,
-345  ,
-341  ,
-333  ,
-326  ,
-319  ,
-304  ,
-291  ,
-276  ,
-247  ,
-219  ,
-177  ,
-152  ,
-128  ,
-122  ,
-124  ,
-139  ,
-157  ,
-171  ,
-192  ,
-222  ,
-265  ,
-325  ,
-391  ,
-472  ,
-542  ,
-617  ,
-665  ,
-714  ,
-739  ,
-773  ,
-792  ,
-833  ,
-852  ,
-875  ,
-885  ,
-877  ,
-871  ,
-860  ,
-844  ,
-835  ,
-817  ,
-813  ,
-805  ,
-815  ,
-826  ,
-858  ,
-896  ,
-935  ,
-982  ,
-1027 ,
-1069 ,
-1101 ,
-1122 ,
-1128 ,
-1121 ,
-1112 ,
-1097 ,
-1080 ,
-1065 ,
-1042 ,
-1017 ,
-994  ,
-974  ,
-955  ,
-936  ,
-915  ,
-883  ,
-851  ,
-818  ,
-793  ,
-776  ,
-769  ,
-772  ,
-779  ,
-796  ,
-803  ,
-807  ,
-802  ,
-776  ,
-738  ,
-682  ,
-616  ,
-548  ,
-469  ,
-390  ,
-314  ,
-233  ,
-168  ,
-94 ,
-55 ,
-42 ,
-22 ,
-2  ,
-12 ,
-30 ,
-45 ,
-39 ,
-10 ,
40  ,
90  ,
163 ,
254 ,
330 ,
362 ,
383 ,
392 ,
408 ,
444 ,
498 ,
583 ,
633 ,
687 ,
739 ,
799 ,
814 ,
793 ,
791 ,
803 ,
802 ,
776 ,
803 ,
826 ,
843 ,
833 ,
819 ,
771 ,
687 ,
594 ,
521 ,
456 ,
382 ,
319 ,
287 ,
251 ,
227 ,
218 ,
224 ,
239 ,
260 ,
282 ,
283 ,
257 ,
243 ,
220 ,
210 ,
175 ,
138 ,
68  ,
-11 ,
-102  ,
-175  ,
-230  ,
-262  ,
-252  ,
-219  ,
-199  ,
-192  ,
-171  ,
-138  ,
-100  ,
-74 ,
-37 ,
-36 ,
-35 ,
-48 ,
-36 ,
-51 ,
-65 ,
-84 ,
-97 ,
-138  ,
-189  ,
-237  ,
-263  ,
-274  ,
-266  ,
-249  ,
-230  ,
-226  ,
-203  ,
-169  ,
-126  ,
-94 ,
-78 ,
-58 ,
-47 ,
-52 ,
-64 ,
-87 ,
-105  ,
-123  ,
-146  ,
-173  ,
-211  ,
-221  ,
-229  ,
-203  ,
-190  ,
-190  ,
-219  ,
-246  ,
-289  ,
-322  ,
-369  ,
-386  ,
-388  ,
-370  ,
-369  ,
-383  ,
-397  ,
-408  ,
-413  ,
-396  ,
-401  ,
-405  ,
-417  ,
-418  ,
-410  ,
-411  ,
-410  ,
-406  ,
-377  ,
-366  ,
-341  ,
-326  ,
-299  ,
-267  ,
-213  ,
-166  ,
-133  ,
-115  ,
-100  ,
-71 ,
-45 ,
-16 ,
22  ,
71  ,
106 ,
153 ,
187 ,
229 ,
276 ,
330 ,
391 ,
423 ,
434 ,
433 ,
429 ,
438 ,
443 ,
464 ,
465 ,
461 ,
451 ,
426 ,
392 ,
357 ,
343 ,
348 ,
365 ,
398 ,
430 ,
466 ,
504 ,
544 ,
581 ,
585 ,
581 ,
561 ,
538 ,
511 ,
472 ,
453 ,
432 ,
397 ,
370 ,
335 ,
302 ,
290 ,
303 ,
343 ,
387 ,
427 ,
458 ,
488 ,
504 ,
531 ,
550 ,
568 ,
580 ,
590 ,
595 ,
592 ,
589 ,
604 ,
628 ,
651 ,
659 ,
656 ,
638 ,
621 ,
591 ,
591 ,
572 ,
552 ,
524 ,
478 ,
427 ,
371 ,
327 ,
290 ,
248 ,
202 ,
168 ,
137 ,
118 ,
112 ,
136 ,
168 ,
213 ,
263 ,
310 ,
353 ,
375 ,
384 ,
384 ,
374 ,
344 ,
293 ,
233 ,
196 ,
192 ,
218 ,
268 ,
324 ,
407 ,
505 ,
633 ,
768 ,
895 ,
1022  ,
1138  ,
1253  ,
1332  ,
1373  ,
1396  ,
1425  ,
1441  ,
1439  ,
1373  ,
1293  ,
1214  ,
1114  ,
1025  ,
949 ,
910 ,
876 ,
843 ,
829 ,
814 ,
815 ,
843 ,
878 ,
942 ,
986 ,
1044  ,
1081  ,
1142  ,
1193  ,
1257  ,
1310  ,
1364  ,
1364  ,
1314  ,
1243  ,
1183  ,
1102  ,
1019  ,
920 ,
824 ,
745 ,
683 ,
635 ,
578 ,
559 ,
564 ,
582 ,
558 ,
507 ,
459 ,
436 ,
446 ,
476 ,
513 ,
560 ,
619 ,
678 ,
733 ,
756 ,
746 ,
709 ,
643 ,
553 ,
441 ,
344 ,
263 ,
201 ,
151 ,
147 ,
159 ,
201 ,
225 ,
257 ,
280 ,
292 ,
275 ,
214 ,
118 ,
26  ,
-25 ,
-58 ,
-65 ,
-64 ,
-32 ,
15  ,
54  ,
66  ,
52  ,
30  ,
7 ,
-36 ,
-92 ,
-185  ,
-263  ,
-322  ,
-346  ,
-329  ,
-303  ,
-254  ,
-216  ,
-178  ,
-170  ,
-173  ,
-176  ,
-163  ,
-158  ,
-152  ,
-151  ,
-169  ,
-179  ,
-202  ,
-200  ,
-195  ,
-188  ,
-181  ,
-190  ,
-218  ,
-243  ,
-254  ,
-268  ,
-286  ,
-300  ,
-296  ,
-272  ,
-246  ,
-208  ,
-172  ,
-111  ,
-43 ,
29  ,
86  ,
131 ,
169 ,
217 ,
255 ,
277 ,
287 ,
289 ,
306 ,
315 ,
313 ,
298 ,
279 ,
265 ,
261 ,
270 ,
286 ,
321 ,
365 ,
414 ,
447 ,
452 ,
433 ,
392 ,
326 ,
261 ,
193 ,
134 ,
64  ,
13  ,
-15 ,
-20 ,
-4  ,
13  ,
23  ,
18  ,
-10 ,
-44 ,
-88 ,
-142  ,
-165  ,
-165  ,
-127  ,
-77 ,
-29 ,
11  ,
43  ,
64  ,
49  ,
4 ,
-72 ,
-146  ,
-226  ,
-310  ,
-407  ,
-507  ,
-606  ,
-701  ,
-794  ,
-891  ,
-995  ,
-1095 ,
-1190 ,
-1266 ,
-1319 ,
-1355 ,
-1354 ,
-1327 ,
-1263 ,
-1192 ,
-1120 ,
-1042 ,
-985  ,
-927  ,
-877  ,
-835  ,
-811  ,
-815  ,
-843  ,
-870  ,
-898  ,
-930  ,
-956  ,
-989  ,
-1016 ,
-1030 ,
-1053 ,
-1075 ,
-1126 ,
-1175 ,
-1211 ,
-1242 ,
-1262 ,
-1286 ,
-1299 ,
-1303 ,
-1287 ,
-1264 ,
-1219 ,
-1164 ,
-1081 ,
-997  ,
-892  ,
-804  ,
-716  ,
-637  ,
-560  ,
-501  ,
-452  ,
-409  ,
-376  ,
-350  ,
-327  ,
-313  ,
-291  ,
-277  ,
-266  ,
-267  ,
-271  ,
-276  ,
-282  ,
-301  ,
-338  ,
-367  ,
-409  ,
-447  ,
-491  ,
-530  ,
-557  ,
-578  ,
-592  ,
-609  ,
-619  ,
-608  ,
-572  ,
-520  ,
-461  ,
-413  ,
-372  ,
-334  ,
-307  ,
-279  ,
-269  ,
-245  ,
-223  ,
-191  ,
-170  ,
-167  ,
-158  ,
-156  ,
-142  ,
-139  ,
-138  ,
-166  ,
-188  ,
-230  ,
-270  ,
-304  ,
-335  ,
-357  ,
-388  ,
-411  ,
-448  ,
-478  ,
-506  ,
-518  ,
-527  ,
-530  ,
-528  ,
-530  ,
-536  ,
-552  ,
-553  ,
-546  ,
-532  ,
-512  ,
-506  ,
-479  ,
-463  ,
-429  ,
-411  ,
-386  ,
-377  ,
-367  ,
-393  ,
-443  ,
-517  ,
-597  ,
-644  ,
-680  ,
-676  ,
-666  ,
-626  ,
-570  ,
-505  ,
-429  ,
-366  ,
-306  ,
-255  ,
-216  ,
-177  ,
-145  ,
-106  ,
-66 ,
-18 ,
15  ,
60  ,
90  ,
127 ,
150 ,
166 ,
180 ,
169 ,
149 ,
105 ,
65  ,
16  ,
-9  ,
-34 ,
-39 ,
-52 ,
-59 ,
-73 ,
-96 ,
-119  ,
-160  ,
-193  ,
-236  ,
-268  ,
-296  ,
-309  ,
-317  ,
-308  ,
-282  ,
-245  ,
-217  ,
-184  ,
-174  ,
-171  ,
-193  ,
-213  ,
-238  ,
-250  ,
-259  ,
-247  ,
-221  ,
-158  ,
-96 ,
-25 ,
45  ,
98  ,
147 ,
165 ,
175 ,
174 ,
171 ,
164 ,
163 ,
151 ,
152 ,
160 ,
168 ,
168 ,
143 ,
113 ,
83  ,
55  ,
44  ,
46  ,
74  ,
131 ,
202 ,
284 ,
343 ,
396 ,
423 ,
442 ,
445 ,
445 ,
433 ,
411 ,
397 ,
380 ,
382 ,
380 ,
397 ,
394 ,
384 ,
348 ,
295 ,
225 ,
140 ,
51  ,
-22 ,
-89 ,
-128  ,
-160  ,
-186  ,
-198  ,
-211  ,
-229  ,
-261  ,
-316  ,
-392  ,
-476  ,
-564  ,
-640  ,
-716  ,
-776  ,
-823  ,
-863  ,
-904  ,
-940  ,
-972  ,
-979  ,
-979  ,
-961  ,
-953  ,
-937  ,
-923  ,
-905  ,
-869  ,
-820  ,
-747  ,
-645  ,
-537  ,
-417  ,
-308  ,
-228  ,
-152  ,
-114  ,
-88 ,
-99 ,
-130  ,
-175  ,
-237  ,
-293  ,
-333  ,
-350  ,
-347  ,
-338  ,
-318  ,
-292  ,
-270  ,
-261  ,
-259  ,
-264  ,
-267  ,
-266  ,
-254  ,
-236  ,
-198  ,
-146  ,
-76 ,
3 ,
75  ,
153 ,
214 ,
280 ,
336 ,
382 ,
418 ,
458 ,
480 ,
506 ,
514 ,
514 ,
508 ,
494 ,
478 ,
462 ,
437 ,
434 ,
440 ,
463 ,
495 ,
531 ,
561 ,
596 ,
611 ,
627 ,
631 ,
628 ,
621 ,
617 ,
619 ,
641 ,
662 ,
712 ,
756 ,
816 ,
860 ,
911 ,
929 ,
943 ,
933 ,
920 ,
895 ,
866 ,
836 ,
822 ,
814 ,
820 ,
813 ,
818 ,
806 ,
792 ,
759 ,
713 ,
647 ,
588 ,
521 ,
479 ,
444 ,
441 ,
447 ,
480 ,
515 ,
562 ,
603 ,
633 ,
649 ,
657 ,
648 ,
639 ,
637 ,
637 ,
654 ,
670 ,
701 ,
740 ,
787 ,
835 ,
874 ,
887 ,
882 ,
838 ,
765 ,
666 ,
562 ,
472 ,
401 ,
356 ,
348 ,
361 ,
399 ,
432 ,
473 ,
498 ,
513 ,
524 ,
527 ,
534 ,
517 ,
509 ,
497 ,
516 ,
541 ,
594 ,
661 ,
742 ,
807 ,
857 ,
889 ,
902 ,
904 ,
890 ,
876 ,
855 ,
831 ,
805 ,
774 ,
751 ,
722 ,
698 ,
660 ,
619 ,
575 ,
517 ,
485 ,
443 ,
433 ,
433 ,
458 ,
506 ,
570 ,
640 ,
715 ,
780 ,
837 ,
858 ,
878 ,
872 ,
881 ,
886 ,
906 ,
928 ,
942 ,
946 ,
938 ,
934 ,
918 ,
910 ,
892 ,
880 ,
860 ,
850 ,
837 ,
836 ,
838 ,
835 ,
831 ,
812 ,
791 ,
749 ,
708 ,
652 ,
607 ,
557 ,
524 ,
491 ,
477 ,
457 ,
452 ,
431 ,
428 ,
399 ,
369 ,
333 ,
280 ,
240 ,
182 ,
146 ,
116 ,
105 ,
98  ,
115 ,
127 ,
137 ,
134 ,
120 ,
92  ,
54  ,
4 ,
-48 ,
-102  ,
-150  ,
-188  ,
-202  ,
-205  ,
-188  ,
-163  ,
-123  ,
-95 ,
-68 ,
-60 ,
-67 ,
-91 ,
-126  ,
-162  ,
-182  ,
-199  ,
-209  ,
-214  ,
-212  ,
-213  ,
-203  ,
-195  ,
-179  ,
-180  ,
-183  ,
-192  ,
-201  ,
-213  ,
-217  ,
-206  ,
-171  ,
-117  ,
-54 ,
15  ,
65  ,
105 ,
108 ,
101 ,
74  ,
40  ,
6 ,
-29 ,
-57 ,
-83 ,
-113  ,
-135  ,
-159  ,
-174  ,
-198  ,
-214  ,
-243  ,
-281  ,
-313  ,
-336  ,
-338  ,
-310  ,
-273  ,
-228  ,
-185  ,
-153  ,
-130  ,
-120  ,
-112  ,
-94 ,
-77 ,
-39 ,
-9  ,
24  ,
41  ,
47  ,
33  ,
-3  ,
-58 ,
-125  ,
-202  ,
-280  ,
-366  ,
-461  ,
-557  ,
-651  ,
-732  ,
-801  ,
-858  ,
-896  ,
-921  ,
-939  ,
-950  ,
-962  ,
-966  ,
-970  ,
-975  ,
-978  ,
-970  ,
-963  ,
-941  ,
-933  ,
-902  ,
-887  ,
-870  ,
-862  ,
-871  ,
-893  ,
-940  ,
-995  ,
-1066 ,
-1120 ,
-1172 ,
-1193 ,
-1199 ,
-1195 ,
-1190 ,
-1190 ,
-1202 ,
-1226 ,
-1264 ,
-1320 ,
-1383 ,
-1451 ,
-1519 ,
-1572 ,
-1605 ,
-1611 ,
-1581 ,
-1522 ,
-1435 ,
-1352 ,
-1258 ,
-1191 ,
-1130 ,
-1096 ,
-1080 ,
-1078 ,
-1082 ,
-1091 ,
-1091 ,
-1089 ,
-1081 ,
-1087 ,
-1091 ,
-1106 ,
-1122 ,
-1161 ,
-1209 ,
-1270 ,
-1341 ,
-1415 ,
-1487 ,
-1538 ,
-1564 ,
-1550 ,
-1515 ,
-1436 ,
-1357 ,
-1259 ,
-1171 ,
-1086 ,
-1009 ,
-937  ,
-876  ,
-816  ,
-760  ,
-701  ,
-639  ,
-589  ,
-531  ,
-479  ,
-414  ,
-363  ,
-318  ,
-290  ,
-274  ,
-260  ,
-260  ,
-256  ,
-262  ,
-268  ,
-272  ,
-276  ,
-289  ,
-301  ,
-325  ,
-343  ,
-359  ,
-366  ,
-376  ,
-389  ,
-401  ,
-414  ,
-405  ,
-384  ,
-337  ,
-277  ,
-217  ,
-151  ,
-98 ,
-38 ,
6 ,
66  ,
118 ,
171 ,
217 ,
242 ,
273 ,
280 ,
300 ,
297 ,
306 ,
302 ,
300 ,
294 ,
302 ,
314 ,
351 ,
389 ,
450 ,
503 ,
556 ,
593 ,
621 ,
639 ,
637 ,
636 ,
627 ,
628 ,
636 ,
665 ,
709 ,
768 ,
835 ,
900 ,
950 ,
981 ,
990 ,
976 ,
954 ,
920 ,
879 ,
840 ,
795 ,
751 ,
708 ,
674 ,
647 ,
632 ,
605 ,
591 ,
552 ,
524 ,
490 ,
456 ,
417 ,
378 ,
342 ,
302 ,
271 ,
237 ,
219 ,
199 ,
179 ,
151 ,
120 ,
73  ,
10  ,
-61 ,
-137  ,
-203  ,
-246  ,
-265  ,
-269  ,
-259  ,
-249  ,
-234  ,
-225  ,
-225  ,
-246  ,
-269  ,
-309  ,
-337  ,
-357  ,
-362  ,
-347  ,
-313  ,
-258  ,
-200  ,
-129  ,
-61 ,
18  ,
87  ,
138 ,
181 ,
203 ,
230 ,
249 ,
290 ,
315 ,
356 ,
386 ,
422 ,
456 ,
484 ,
501 ,
508 ,
508 ,
500 ,
477 ,
446 ,
389 ,
342 ,
283 ,
236 ,
182 ,
131 ,
93  ,
68  ,
62  ,
67  ,
81  ,
107 ,
124 ,
151 ,
169 ,
178 ,
183 ,
168 ,
156 ,
122 ,
76  ,
25  ,
-40 ,
-103  ,
-164  ,
-221  ,
-267  ,
-299  ,
-305  ,
-297  ,
-267  ,
-229  ,
-181  ,
-124  ,
-82 ,
-47 ,
-31 ,
-20 ,
-18 ,
-6  ,
15  ,
44  ,
80  ,
130 ,
192 ,
248 ,
305 ,
339 ,
362 ,
359 ,
329 ,
290 ,
230 ,
164 ,
95  ,
30  ,
-30 ,
-82 ,
-117  ,
-153  ,
-175  ,
-213  ,
-248  ,
-289  ,
-330  ,
-361  ,
-378  ,
-386  ,
-358  ,
-323  ,
-248  ,
-186  ,
-114  ,
-62 ,
-21 ,
-10 ,
-26 ,
-62 ,
-126  ,
-195  ,
-262  ,
-330  ,
-370  ,
-397  ,
-398  ,
-386  ,
-360  ,
-346  ,
-335  ,
-342  ,
-369  ,
-411  ,
-481  ,
-548  ,
-625  ,
-685  ,
-729  ,
-739  ,
-723  ,
-671  ,
-595  ,
-495  ,
-385  ,
-272  ,
-156  ,
-47 ,
43  ,
106 ,
154 ,
175 ,
195 ,
203 ,
214 ,
219 ,
234 ,
244 ,
256 ,
250 ,
247 ,
228 ,
212 ,
201 ,
187 ,
188 ,
187 ,
196 ,
207 ,
217 ,
231 ,
248 ,
270 ,
306 ,
350 ,
409 ,
478 ,
559 ,
648 ,
735 ,
831 ,
907 ,
984 ,
1039  ,
1082  ,
1110  ,
1114  ,
1115  ,
1103  ,
1101  ,
1099  ,
1093  ,
1082  ,
1056  ,
1026  ,
988 ,
948 ,
907 ,
869 ,
836 ,
827 ,
826 ,
840 ,
853 ,
877 ,
894 ,
919 ,
917 ,
913 ,
889 ,
863 ,
833 ,
817 ,
809 ,
823 ,
843 ,
880 ,
911 ,
944 ,
965 ,
985 ,
979 ,
960 ,
918 ,
860 ,
801 ,
734 ,
685 ,
643 ,
607 ,
586 ,
559 ,
548 ,
534 ,
534 ,
523 ,
517 ,
501 ,
473 ,
434 ,
398 ,
367 ,
355 ,
362 ,
375 ,
401 ,
422 ,
438 ,
445 ,
447 ,
456 ,
457 ,
463 ,
461 ,
458 ,
442 ,
428 ,
422 ,
424 ,
417 ,
405 ,
379 ,
346 ,
303 ,
256 ,
223 ,
186 ,
172 ,
159 ,
182 ,
222 ,
270 ,
343 ,
405 ,
475 ,
511 ,
515 ,
486 ,
428 ,
368 ,
296 ,
243 ,
203 ,
187 ,
178 ,
187 ,
200 ,
215 ,
231 ,
250 ,
272 ,
282 ,
288 ,
296 ,
288 ,
293 ,
275 ,
262 ,
238 ,
208 ,
169 ,
136 ,
117 ,
117 ,
137 ,
165 ,
201 ,
233 ,
271 ,
312 ,
369 ,
427 ,
486 ,
534 ,
566 ,
580 ,
579 ,
574 ,
562 ,
548 ,
536 ,
528 ,
523 ,
530 ,
548 ,
583 ,
622 ,
649 ,
672 ,
676 ,
668 ,
644 ,
615 ,
584 ,
550 ,
517 ,
494 ,
476 ,
468 ,
471 ,
490 ,
502 ,
510 ,
502 ,
480 ,
434 ,
385 ,
328 ,
278 ,
213 ,
164 ,
106 ,
51  ,
-3  ,
-52 ,
-104  ,
-141  ,
-181  ,
-218  ,
-270  ,
-317  ,
-362  ,
-399  ,
-420  ,
-432  ,
-433  ,
-429  ,
-433  ,
-435  ,
-449  ,
-480  ,
-508  ,
-563  ,
-612  ,
-687  ,
-762  ,
-836  ,
-903  ,
-960  ,
-1003 ,
-1059 ,
-1097 ,
-1160 ,
-1204 ,
-1263 ,
-1317 ,
-1374 ,
-1431 ,
-1493 ,
-1555 ,
-1614 ,
-1658 ,
-1682 ,
-1684 ,
-1651 ,
-1600 ,
-1529 ,
-1449 ,
-1358 ,
-1270 ,
-1195 ,
-1141 ,
-1098 ,
-1088 ,
-1092 ,
-1117 ,
-1152 ,
-1187 ,
-1213 ,
-1223 ,
-1212 ,
-1195 ,
-1182 ,
-1173 ,
-1156 ,
-1147 ,
-1122 ,
-1109 ,
-1093 ,
-1084 ,
-1071 ,
-1060 ,
-1044 ,
-1022 ,
-981  ,
-939  ,
-885  ,
-840  ,
-789  ,
-730  ,
-661  ,
-578  ,
-497  ,
-414  ,
-332  ,
-267  ,
-217  ,
-184  ,
-160  ,
-151  ,
-144  ,
-132  ,
-127  ,
-130  ,
-139  ,
-151  ,
-168  ,
-188  ,
-223  ,
-254  ,
-300  ,
-328  ,
-355  ,
-359  ,
-356  ,
-344  ,
-342  ,
-324  ,
-329  ,
-322  ,
-315  ,
-296  ,
-282  ,
-259  ,
-245  ,
-233  ,
-232  ,
-239  ,
-236  ,
-233  ,
-219  ,
-204  ,
-182  ,
-184  ,
-194  ,
-219  ,
-251  ,
-290  ,
-342  ,
-393  ,
-453  ,
-518  ,
-571  ,
-632  ,
-668  ,
-717  ,
-744  ,
-793  ,
-841  ,
-899  ,
-955  ,
-1003 ,
-1035 ,
-1046 ,
-1053 ,
-1055 ,
-1049 ,
-1041 ,
-1024 ,
-1010 ,
-978  ,
-951  ,
-914  ,
-884  ,
-848  ,
-809  ,
-793  ,
-776  ,
-777  ,
-771  ,
-781  ,
-779  ,
-778  ,
-765  ,
-756  ,
-742  ,
-736  ,
-728  ,
-722  ,
-715  ,
-687  ,
-640  ,
-581  ,
-501  ,
-429  ,
-346  ,
-279  ,
-217  ,
-160  ,
-114  ,
-69 ,
-39 ,
-12 ,
10  ,
32  ,
50  ,
84  ,
118 ,
170 ,
216 ,
262 ,
300 ,
329 ,
357 ,
372 ,
399 ,
409 ,
420 ,
420 ,
419 ,
415 ,
415 ,
427 ,
441 ,
467 ,
488 ,
496 ,
502 ,
485 ,
490 ,
491 ,
505 ,
520 ,
529 ,
532 ,
522 ,
513 ,
490 ,
467 ,
438 ,
409 ,
377 ,
344 ,
317 ,
307 ,
306 ,
318 ,
341 ,
366 ,
397 ,
421 ,
452 ,
466 ,
483 ,
483 ,
483 ,
473 ,
454 ,
442 ,
440 ,
451 ,
478 ,
507 ,
535 ,
572 ,
599 ,
640 ,
676 ,
708 ,
732 ,
739 ,
737 ,
728 ,
708 ,
690 ,
663 ,
646 ,
625 ,
602 ,
556 ,
507 ,
438 ,
368 ,
302 ,
233 ,
175 ,
120 ,
76  ,
41  ,
14  ,
-3  ,
-17 ,
-16 ,
-34 ,
-52 ,
-102  ,
-148  ,
-202  ,
-237  ,
-272  ,
-305  ,
-339  ,
-380  ,
-431  ,
-488  ,
-545  ,
-599  ,
-641  ,
-680  ,
-720  ,
-741  ,
-779  ,
-789  ,
-809  ,
-813  ,
-811  ,
-795  ,
-777  ,
-749  ,
-722  ,
-690  ,
-657  ,
-620  ,
-592  ,
-563  ,
-551  ,
-527  ,
-522  ,
-507  ,
-498  ,
-500  ,
-502  ,
-509  ,
-513  ,
-500  ,
-485  ,
-451  ,
-429  ,
-414  ,
-419  ,
-422  ,
-423  ,
-417  ,
-403  ,
-386  ,
-373  ,
-362  ,
-345  ,
-340  ,
-317  ,
-280  ,
-223  ,
-144  ,
-75 ,
-14 ,
30  ,
63  ,
86  ,
111 ,
128 ,
147 ,
163 ,
174 ,
191 ,
194 ,
210 ,
229 ,
258 ,
271 ,
284 ,
277 ,
272 ,
255 ,
252 ,
255 ,
278 ,
311 ,
329 ,
371 ,
400 ,
435 ,
476 ,
516 ,
563 ,
600 ,
637 ,
667 ,
707 ,
749 ,
807 ,
872 ,
926 ,
975 ,
1005  ,
1031  ,
1043  ,
1045  ,
1041  ,
1026  ,
996 ,
957 ,
909 ,
869 ,
841 ,
812 ,
797 ,
782 ,
775 ,
766 ,
767 ,
770 ,
788 ,
804 ,
820 ,
845 ,
864 ,
896 ,
923 ,
972 ,
1011  ,
1063  ,
1092  ,
1113  ,
1110  ,
1101  ,
1086  ,
1064  ,
1044  ,
1016  ,
974 ,
939 ,
898 ,
863 ,
833 ,
806 ,
797 ,
773 ,
747 ,
712 ,
670 ,
621 ,
570 ,
535 ,
496 ,
466 ,
436 ,
420 ,
407 ,
397 ,
393 ,
397 ,
395 ,
399 ,
398 ,
410 ,
415 ,
439 ,
463 ,
497 ,
524 ,
552 ,
564 ,
580 ,
574 ,
554 ,
519 ,
480 ,
444 ,
400 ,
365 ,
336 ,
312 ,
292 ,
268 ,
254 ,
234 ,
225 ,
224 ,
226 ,
247 ,
260 ,
289 ,
307 ,
336 ,
363 ,
408 ,
459 ,
516 ,
568 ,
607 ,
638 ,
661 ,
682 ,
705 ,
725 ,
758 ,
787 ,
818 ,
841 ,
863 ,
865 ,
864 ,
843 ,
832 ,
806 ,
781 ,
754 ,
736 ,
718 ,
706 ,
683 ,
674 ,
654 ,
647 ,
638 ,
636 ,
641 ,
643 ,
643 ,
632 ,
608 ,
560 ,
520 ,
456 ,
396 ,
322 ,
264 ,
218 ,
184 ,
160 ,
146 ,
137 ,
121 ,
107 ,
80  ,
58  ,
16  ,
-9  ,
-35 ,
-47 ,
-59 ,
-70 ,
-74 ,
-70 ,
-68 ,
-57 ,
-56 ,
-49 ,
-56 ,
-65 ,
-74 ,
-83 ,
-92 ,
-99 ,
-83 ,
-62 ,
-37 ,
-25 ,
-16 ,
-10 ,
-9  ,
-5  ,
2 ,
9 ,
1 ,
-8  ,
-29 ,
-48 ,
-72 ,
-95 ,
-97 ,
-102  ,
-91 ,
-78 ,
-60 ,
-28 ,
1 ,
38  ,
82  ,
113 ,
144 ,
170 ,
177 ,
177 ,
154 ,
140 ,
119 ,
108 ,
101 ,
88  ,
77  ,
56  ,
29  ,
-3  ,
-35 ,
-76 ,
-117  ,
-161  ,
-207  ,
-252  ,
-303  ,
-347  ,
-381  ,
-407  ,
-421  ,
-438  ,
-446  ,
-460  ,
-474  ,
-507  ,
-545  ,
-599  ,
-658  ,
-725  ,
-790  ,
-852  ,
-919  ,
-973  ,
-1025 ,
-1067 ,
-1110 ,
-1155 ,
-1185 ,
-1216 ,
-1236 ,
-1258 ,
-1277 ,
-1302 ,
-1318 ,
-1335 ,
-1347 ,
-1343 ,
-1340 ,
-1325 ,
-1304 ,
-1291 ,
-1274 ,
-1260 ,
-1248 ,
-1228 ,
-1217 ,
-1214 ,
-1210 ,
-1208 ,
-1207 ,
-1207 ,
-1210 ,
-1200 ,
-1199 ,
-1198 ,
-1222 ,
-1236 ,
-1278 ,
-1317 ,
-1352 ,
-1379 ,
-1386 ,
-1395 ,
-1390 ,
-1379 ,
-1353 ,
-1335 ,
-1306 ,
-1281 ,
-1253 ,
-1225 ,
-1191 ,
-1153 ,
-1104 ,
-1054 ,
-1003 ,
-941  ,
-882  ,
-827  ,
-776  ,
-732  ,
-704  ,
-684  ,
-664  ,
-653  ,
-639  ,
-637  ,
-639  ,
-641  ,
-648  ,
-657  ,
-671  ,
-679  ,
-690  ,
-706  ,
-717  ,
-729  ,
-726  ,
-718  ,
-703  ,
-681  ,
-658  ,
-620  ,
-587  ,
-543  ,
-503  ,
-459  ,
-421  ,
-384  ,
-344  ,
-307  ,
-271  ,
-227  ,
-178  ,
-122  ,
-79 ,
-30 ,
5 ,
39  ,
62  ,
75  ,
90  ,
87  ,
84  ,
68  ,
39  ,
11  ,
-29 ,
-47 ,
-84 ,
-105  ,
-140  ,
-170  ,
-204  ,
-240  ,
-266  ,
-285  ,
-305  ,
-306  ,
-313  ,
-301  ,
-288  ,
-254  ,
-221  ,
-176  ,
-136  ,
-89 ,
-49 ,
-24 ,
-2  ,
2 ,
15  ,
10  ,
18  ,
11  ,
15  ,
1 ,
-3  ,
-19 ,
-39 ,
-49 ,
-70 ,
-77 ,
-94 ,
-100  ,
-113  ,
-120  ,
-125  ,
-123  ,
-111  ,
-88 ,
-48 ,
-14 ,
43  ,
84  ,
141 ,
179 ,
222 ,
248 ,
265 ,
280 ,
267 ,
268 ,
256 ,
248 ,
238 ,
232 ,
228 ,
227 ,
214 ,
198 ,
168 ,
138 ,
105 ,
87  ,
73  ,
63  ,
57  ,
57  ,
52  ,
51  ,
41  ,
32  ,
15  ,
-14 ,
-40 ,
-76 ,
-108  ,
-158  ,
-193  ,
-230  ,
-258  ,
-276  ,
-297  ,
-294  ,
-287  ,
-261  ,
-232  ,
-198  ,
-158  ,
-126  ,
-90 ,
-62 ,
-35 ,
-6  ,
16  ,
46  ,
79  ,
115 ,
146 ,
170 ,
197 ,
209 ,
225 ,
243 ,
268 ,
315 ,
371 ,
446 ,
522 ,
615 ,
688 ,
771 ,
831 ,
888 ,
927 ,
969 ,
995 ,
1020  ,
1025  ,
1018  ,
1003  ,
972 ,
941 ,
903 ,
871 ,
832 ,
799 ,
776 ,
752 ,
739 ,
720 ,
695 ,
668 ,
636 ,
621 ,
615 ,
624 ,
641 ,
655 ,
683 ,
690 ,
690 ,
674 ,
647 ,
613 ,
572 ,
529 ,
477 ,
439 ,
398 ,
367 ,
338 ,
322 ,
299 ,
266 ,
227 ,
177 ,
133 ,
85  ,
51  ,
33  ,
18  ,
4 ,
-14 ,
-24 ,
-37 ,
-56 ,
-73 ,
-92 ,
-115  ,
-138  ,
-165  ,
-193  ,
-228  ,
-276  ,
-331  ,
-387  ,
-449  ,
-518  ,
-586  ,
-651  ,
-706  ,
-747  ,
-774  ,
-781  ,
-781  ,
-769  ,
-757  ,
-737  ,
-720  ,
-698  ,
-679  ,
-658  ,
-633  ,
-600  ,
-576  ,
-554  ,
-529  ,
-509  ,
-495  ,
-497  ,
-503  ,
-513  ,
-528  ,
-522  ,
-516  ,
-492  ,
-475  ,
-455  ,
-427  ,
-412  ,
-392  ,
-382  ,
-376  ,
-365  ,
-370  ,
-372  ,
-374  ,
-373  ,
-360  ,
-332  ,
-296  ,
-242  ,
-187  ,
-126  ,
-64 ,
-13 ,
45  ,
90  ,
145 ,
195 ,
247 ,
309 ,
383 ,
477 ,
577 ,
679 ,
783 ,
869 ,
940 ,
1004  ,
1055  ,
1099  ,
1134  ,
1153  ,
1163  ,
1166  ,
1155  ,
1145  ,
1145  ,
1150  ,
1166  ,
1183  ,
1193  ,
1199  ,
1196  ,
1207  ,
1220  ,
1241  ,
1268  ,
1289  ,
1317  ,
1355  ,
1394  ,
1455  ,
1511  ,
1574  ,
1619  ,
1656  ,
1669  ,
1677  ,
1671  ,
1650  ,
1619  ,
1583  ,
1543  ,
1520  ,
1500  ,
1481  ,
1473  ,
1447  ,
1424  ,
1380  ,
1325  ,
1258  ,
1191  ,
1117  ,
1068  ,
1013  ,
978 ,
951 ,
929 ,
917 ,
909 ,
895 ,
886 ,
863 ,
837 ,
799 ,
753 ,
708 ,
650 ,
605 ,
554 ,
497 ,
434 ,
352 ,
271 ,
178 ,
93  ,
15  ,
-68 ,
-147  ,
-213  ,
-268  ,
-326  ,
-373  ,
-421  ,
-444  ,
-465  ,
-469  ,
-465  ,
-450  ,
-430  ,
-408  ,
-389  ,
-370  ,
-348  ,
-318  ,
-277  ,
-239  ,
-201  ,
-167  ,
-142  ,
-113  ,
-92 ,
-79 ,
-73 ,
-73 ,
-79 ,
-81 ,
-96 ,
-97 ,
-100  ,
-104  ,
-107  ,
-118  ,
-122  ,
-140  ,
-155  ,
-171  ,
-192  ,
-226  ,
-267  ,
-311  ,
-350  ,
-378  ,
-403  ,
-414  ,
-424  ,
-430  ,
-435  ,
-423  ,
-412  ,
-365  ,
-325  ,
-262  ,
-221  ,
-172  ,
-132  ,
-97 ,
-68 ,
-50 ,
-36 ,
-33 ,
-35 ,
-47 ,
-55 ,
-60 ,
-61 ,
-54 ,
-47 ,
-24 ,
-6  ,
29  ,
68  ,
120 ,
183 ,
258 ,
333 ,
389 ,
430 ,
458 ,
483 ,
512 ,
558 ,
598 ,
636 ,
665 ,
683 ,
685 ,
679 ,
668 ,
666 ,
664 ,
668 ,
689 ,
699 ,
710 ,
714 ,
722 ,
729 ,
726 ,
725 ,
712 ,
719 ,
714 ,
726 ,
729 ,
741 ,
747 ,
747 ,
758 ,
761 ,
767 ,
771 ,
766 ,
745 ,
708 ,
638 ,
551 ,
460 ,
364 ,
271 ,
179 ,
95  ,
22  ,
-56 ,
-121  ,
-188  ,
-241  ,
-301  ,
-351  ,
-410  ,
-468  ,
-543  ,
-603  ,
-661  ,
-683  ,
-706  ,
-724  ,
-762  ,
-819  ,
-898  ,
-976  ,
-1064 ,
-1144 ,
-1228 ,
-1305 ,
-1393 ,
-1475 ,
-1552 ,
-1610 ,
-1653 ,
-1670 ,
-1699 ,
-1717 ,
-1753 ,
-1776 ,
-1795 ,
-1798 ,
-1796 ,
-1781 ,
-1775 ,
-1772 ,
-1773 ,
-1783 ,
-1779 ,
-1785 ,
-1778 ,
-1774 ,
-1772 ,
-1774 ,
-1764 ,
-1748 ,
-1715 ,
-1682 ,
-1640 ,
-1599 ,
-1552 ,
-1498 ,
-1436 ,
-1368 ,
-1297 ,
-1228 ,
-1175 ,
-1134 ,
-1121 ,
-1118 ,
-1124 ,
-1123 ,
-1111 ,
-1094 ,
-1078 ,
-1059 ,
-1029 ,
-987  ,
-922  ,
-856  ,
-765  ,
-678  ,
-595  ,
-505  ,
-423  ,
-324  ,
-221  ,
-117  ,
-12 ,
76  ,
152 ,
214 ,
274 ,
319 ,
350 ,
367 ,
376 ,
371 ,
363 ,
352 ,
347 ,
341 ,
339 ,
330 ,
321 ,
308 ,
301 ,
306 ,
319 ,
344 ,
357 ,
369 ,
373 ,
389 ,
407 ,
426 ,
455 ,
486 ,
518 ,
542 ,
576 ,
603 ,
617 ,
608 ,
583 ,
547 ,
475 ,
408 ,
326 ,
245 ,
161 ,
82  ,
18  ,
-33 ,
-86 ,
-129  ,
-173  ,
-214  ,
-257  ,
-308  ,
-375  ,
-449  ,
-529  ,
-599  ,
-640  ,
-661  ,
-653  ,
-630  ,
-606  ,
-570  ,
-544  ,
-534  ,
-528  ,
-532  ,
-536  ,
-546  ,
-568  ,
-584  ,
-606  ,
-620  ,
-635  ,
-652  ,
-656  ,
-679  ,
-686  ,
-703  ,
-726  ,
-735  ,
-769  ,
-785  ,
-817  ,
-854  ,
-893  ,
-928  ,
-945  ,
-943  ,
-917  ,
-878  ,
-823  ,
-759  ,
-682  ,
-604  ,
-521  ,
-449  ,
-377  ,
-309  ,
-234  ,
-165  ,
-95 ,
-38 ,
35  ,
102 ,
174 ,
238 ,
285 ,
320 ,
324 ,
325 ,
317 ,
300 ,
282 ,
260 ,
242 ,
224 ,
208 ,
208 ,
206 ,
206 ,
198 ,
190 ,
174 ,
164 ,
148 ,
141 ,
143 ,
140 ,
145 ,
150 ,
174 ,
198 ,
225 ,
262 ,
304 ,
357 ,
406 ,
450 ,
492 ,
539 ,
584 ,
626 ,
663 ,
682 ,
692 ,
695 ,
706 ,
720 ,
735 ,
752 ,
778 ,
812 ,
841 ,
884 ,
923 ,
977 ,
1012  ,
1051  ,
1067  ,
1076  ,
1071  ,
1057  ,
1042  ,
1010  ,
955 ,
896 ,
816 ,
738 ,
659 ,
590 ,
526 ,
475 ,
430 ,
397 ,
365 ,
333 ,
305 ,
271 ,
238 ,
195 ,
149 ,
101 ,
57  ,
31  ,
24  ,
33  ,
50  ,
78  ,
88  ,
94  ,
72  ,
44  ,
-3  ,
-54 ,
-108  ,
-163  ,
-222  ,
-272  ,
-317  ,
-348  ,
-373  ,
-386  ,
-399  ,
-428  ,
-466  ,
-518  ,
-562  ,
-620  ,
-668  ,
-705  ,
-738  ,
-761  ,
-787  ,
-792  ,
-788  ,
-783  ,
-773  ,
-774  ,
-787  ,
-822  ,
-857  ,
-895  ,
-931  ,
-944  ,
-969  ,
-964  ,
-960  ,
-946  ,
-922  ,
-897  ,
-856  ,
-809  ,
-753  ,
-714  ,
-683  ,
-660  ,
-644  ,
-621  ,
-605  ,
-570  ,
-560  ,
-539  ,
-527  ,
-506  ,
-488  ,
-470  ,
-437  ,
-409  ,
-373  ,
-348  ,
-312  ,
-281  ,
-231  ,
-185  ,
-119  ,
-71 ,
-26 ,
1 ,
33  ,
62  ,
94  ,
119 ,
144 ,
159 ,
167 ,
163 ,
157 ,
146 ,
139 ,
122 ,
117 ,
95  ,
89  ,
84  ,
109 ,
147 ,
209 ,
273 ,
365 ,
461 ,
570 ,
663 ,
763 ,
841 ,
913 ,
969 ,
1006  ,
1023  ,
1021  ,
1004  ,
975 ,
956 ,
928 ,
909 ,
886 ,
869 ,
847 ,
824 ,
799 ,
788 ,
770 ,
773 ,
769 ,
773 ,
774 ,
775 ,
787 ,
792 ,
804 ,
822 ,
848 ,
877 ,
914 ,
952 ,
984 ,
1015  ,
1026  ,
1041  ,
1034  ,
1031  ,
1015  ,
1014  ,
1001  ,
992 ,
972 ,
941 ,
904 ,
878 ,
851 ,
834 ,
806 ,
762 ,
714 ,
657 ,
604 ,
561 ,
519 ,
482 ,
459 ,
427 ,
406 ,
386 ,
370 ,
366 ,
359 ,
351 ,
345 ,
334 ,
333 ,
332 ,
344 ,
357 ,
358 ,
365 ,
354 ,
349 ,
331 ,
325 ,
318 ,
314 ,
295 ,
276 ,
228 ,
167 ,
96  ,
19  ,
-42 ,
-107  ,
-143  ,
-169  ,
-163  ,
-145  ,
-95 ,
-40 ,
32  ,
102 ,
164 ,
222 ,
268 ,
315 ,
361 ,
403 ,
451 ,
486 ,
518 ,
523 ,
540 ,
554 ,
570 ,
580 ,
589 ,
601 ,
598 ,
596 ,
577 ,
563 ,
537 ,
505 ,
469 ,
434 ,
384 ,
347 ,
312 ,
306 ,
299 ,
305 ,
300 ,
294 ,
271 ,
237 ,
201 ,
164 ,
128 ,
98  ,
64  ,
27  ,
-4  ,
-35 ,
-44 ,
-51 ,
-42 ,
-36 ,
-40 ,
-45 ,
-53 ,
-54 ,
-56 ,
-49 ,
-34 ,
-30 ,
-11 ,
0 ,
18  ,
35  ,
69  ,
108 ,
157 ,
197 ,
243 ,
270 ,
304 ,
330 ,
369 ,
389 ,
407 ,
400 ,
402 ,
383 ,
382 ,
370 ,
387 ,
387 ,
396 ,
377 ,
362 ,
333 ,
313 ,
290 ,
279 ,
271 ,
269 ,
284 ,
315 ,
353 ,
385 ,
413 ,
424 ,
442 ,
443 ,
451 ,
457 ,
472 ,
489 ,
503 ,
510 ,
511 ,
508 ,
503 ,
500 ,
501 ,
491 ,
480 ,
451 ,
428 ,
393 ,
365 ,
341 ,
318 ,
307 ,
266 ,
229 ,
155 ,
95  ,
19  ,
-34 ,
-98 ,
-144  ,
-202  ,
-238  ,
-279  ,
-318  ,
-350  ,
-395  ,
-435  ,
-493  ,
-542  ,
-591  ,
-641  ,
-675  ,
-713  ,
-746  ,
-798  ,
-850  ,
-910  ,
-963  ,
-1008 ,
-1028 ,
-1049 ,
-1049 ,
-1047 ,
-1045 ,
-1052 ,
-1066 ,
-1095 ,
-1117 ,
-1139 ,
-1157 ,
-1163 ,
-1165 ,
-1158 ,
-1139 ,
-1110 ,
-1084 ,
-1054 ,
-1034 ,
-1010 ,
-991  ,
-970  ,
-949  ,
-932  ,
-914  ,
-903  ,
-904  ,
-900  ,
-924  ,
-927  ,
-949  ,
-957  ,
-967  ,
-985  ,
-1013 ,
-1045 ,
-1074 ,
-1089 ,
-1088 ,
-1070 ,
-1032 ,
-994  ,
-939  ,
-895  ,
-822  ,
-750  ,
-663  ,
-573  ,
-486  ,
-418  ,
-352  ,
-308  ,
-250  ,
-210  ,
-167  ,
-143  ,
-117  ,
-105  ,
-95 ,
-73 ,
-50 ,
-21 ,
-10 ,
-8  ,
-36 ,
-79 ,
-129  ,
-182  ,
-220  ,
-243  ,
-242  ,
-220  ,
-199  ,
-166  ,
-136  ,
-107  ,
-87 ,
-77 ,
-64 ,
-55 ,
-46 ,
-29 ,
-1  ,
34  ,
66  ,
99  ,
115 ,
119 ,
100 ,
82  ,
51  ,
24  ,
-6  ,
-15 ,
-27 ,
-15 ,
-2  ,
14  ,
20  ,
-2  ,
-32 ,
-85 ,
-136  ,
-191  ,
-229  ,
-260  ,
-265  ,
-261  ,
-244  ,
-218  ,
-186  ,
-142  ,
-106  ,
-63 ,
-38 ,
-15 ,
1 ,
12  ,
11  ,
2 ,
-27 ,
-57 ,
-98 ,
-128  ,
-164  ,
-194  ,
-228  ,
-248  ,
-275  ,
-303  ,
-325  ,
-344  ,
-357  ,
-370  ,
-375  ,
-376  ,
-374  ,
-373  ,
-355  ,
-330  ,
-291  ,
-247  ,
-190  ,
-148  ,
-93 ,
-64 ,
-25 ,
3 ,
28  ,
52  ,
73  ,
90  ,
102 ,
123 ,
131 ,
147 ,
130 ,
112 ,
61  ,
12  ,
-45 ,
-98 ,
-148  ,
-205  ,
-259  ,
-312  ,
-361  ,
-404  ,
-444  ,
-472  ,
-500  ,
-521  ,
-549  ,
-579  ,
-612  ,
-639  ,
-660  ,
-672  ,
-679  ,
-692  ,
-695  ,
-704  ,
-709  ,
-704  ,
-696  ,
-674  ,
-647  ,
-607  ,
-571  ,
-534  ,
-507  ,
-478  ,
-455  ,
-430  ,
-416  ,
-380  ,
-349  ,
-286  ,
-220  ,
-129  ,
-41 ,
55  ,
125 ,
199 ,
240 ,
280 ,
289 ,
295 ,
289 ,
291 ,
282 ,
286 ,
291 ,
303 ,
305 ,
313 ,
305 ,
306 ,
298 ,
301 ,
309 ,
313 ,
331 ,
349 ,
364 ,
372 ,
366 ,
365 ,
356 ,
353 ,
352 ,
362 ,
375 ,
392 ,
421 ,
449 ,
507 ,
549 ,
622 ,
659 ,
703 ,
702 ,
696 ,
663 ,
631 ,
591 ,
550 ,
517 ,
479 ,
442 ,
418 ,
396 ,
380 ,
363 ,
353 ,
335 ,
316 ,
299 ,
273 ,
254 ,
229 ,
203 ,
171 ,
115 ,
55  ,
-14 ,
-74 ,
-125  ,
-175  ,
-219  ,
-267  ,
-300  ,
-334  ,
-352  ,
-374  ,
-383  ,
-395  ,
-406  ,
-419  ,
-436  ,
-454  ,
-474  ,
-496  ,
-522  ,
-547  ,
-586  ,
-634  ,
-683  ,
-732  ,
-774  ,
-808  ,
-827  ,
-849  ,
-854  ,
-862  ,
-854  ,
-837  ,
-815  ,
-792  ,
-767  ,
-758  ,
-742  ,
-741  ,
-735  ,
-738  ,
-735  ,
-729  ,
-716  ,
-705  ,
-681  ,
-665  ,
-645  ,
-637  ,
-640  ,
-658  ,
-682  ,
-714  ,
-729  ,
-755  ,
-756  ,
-754  ,
-743  ,
-717  ,
-678  ,
-624  ,
-558  ,
-481  ,
-402  ,
-325  ,
-253  ,
-186  ,
-112  ,
-37 ,
35  ,
122 ,
208 ,
307 ,
402 ,
498 ,
579 ,
652 ,
695 ,
734 ,
765 ,
793 ,
837 ,
886 ,
947 ,
1002  ,
1054  ,
1098  ,
1124  ,
1150  ,
1172  ,
1203  ,
1226  ,
1260  ,
1291  ,
1325  ,
1374  ,
1416  ,
1476  ,
1527  ,
1582  ,
1632  ,
1677  ,
1712  ,
1743  ,
1757  ,
1757  ,
1737  ,
1707  ,
1665  ,
1622  ,
1588  ,
1570  ,
1549  ,
1540  ,
1524  ,
1521  ,
1510  ,
1512  ,
1491  ,
1482  ,
1454  ,
1428  ,
1386  ,
1340  ,
1278  ,
1231  ,
1170  ,
1120  ,
1079  ,
1035  ,
1001  ,
982 ,
955 ,
938 ,
916 ,
878 ,
848 ,
796 ,
753 ,
701 ,
656 ,
601 ,
552 ,
481 ,
406 ,
300 ,
196 ,
77  ,
-25 ,
-117  ,
-184  ,
-236  ,
-261  ,
-283  ,
-291  ,
-302  ,
-305  ,
-310  ,
-294  ,
-275  ,
-244  ,
-216  ,
-183  ,
-161  ,
-152  ,
-150  ,
-155  ,
-155  ,
-153  ,
-145  ,
-120  ,
-100  ,
-67 ,
-43 ,
-14 ,
1 ,
10  ,
0 ,
-13 ,
-39 ,
-76 ,
-123  ,
-172  ,
-222  ,
-270  ,
-312  ,
-343  ,
-363  ,
-380  ,
-389  ,
-400  ,
-417  ,
-438  ,
-462  ,
-484  ,
-498  ,
-500  ,
-495  ,
-475  ,
-448  ,
-418  ,
-398  ,
-372  ,
-359  ,
-347  ,
-347  ,
-345  ,
-338  ,
-310  ,
-276  ,
-210  ,
-137  ,
-61 ,
25  ,
102 ,
192 ,
252 ,
322 ,
373 ,
431 ,
485 ,
535 ,
599 ,
658 ,
733 ,
803 ,
879 ,
944 ,
989 ,
1024  ,
1039  ,
1047  ,
1041  ,
1033  ,
1018  ,
1002  ,
982 ,
951 ,
938 ,
918 ,
912 ,
910 ,
917 ,
923 ,
937 ,
947 ,
958 ,
977 ,
982 ,
992 ,
982 ,
982 ,
965 ,
954 ,
948 ,
960 ,
979 ,
1004  ,
1020  ,
1048  ,
1054  ,
1071  ,
1052  ,
1039  ,
988 ,
935 ,
864 ,
804 ,
731 ,
672 ,
603 ,
538 ,
466 ,
381 ,
294 ,
210 ,
131 ,
66  ,
-1  ,
-58 ,
-126  ,
-193  ,
-270  ,
-339  ,
-417  ,
-489  ,
-570  ,
-649  ,
-736  ,
-824  ,
-915  ,
-997  ,
-1059 ,
-1108 ,
-1149 ,
-1180 ,
-1206 ,
-1228 ,
-1247 ,
-1269 ,
-1295 ,
-1322 ,
-1357 ,
-1393 ,
-1442 ,
-1501 ,
-1565 ,
-1640 ,
-1704 ,
-1774 ,
-1827 ,
-1876 ,
-1899 ,
-1910 ,
-1899 ,
-1879 ,
-1848 ,
-1822 ,
-1793 ,
-1770 ,
-1752 ,
-1721 ,
-1696 ,
-1659 ,
-1631 ,
-1596 ,
-1560 ,
-1535 ,
-1497 ,
-1470 ,
-1445 ,
-1424 ,
-1418 ,
-1394 ,
-1391 ,
-1373 ,
-1341 ,
-1296 ,
-1234 ,
-1161 ,
-1084 ,
-1006 ,
-954  ,
-908  ,
-862  ,
-817  ,
-768  ,
-710  ,
-638  ,
-554  ,
-463  ,
-354  ,
-239  ,
-119  ,
-6  ,
86  ,
165 ,
210 ,
246 ,
274 ,
301 ,
332 ,
355 ,
382 ,
400 ,
411 ,
422 ,
417 ,
423 ,
431 ,
447 ,
464 ,
488 ,
524 ,
553 ,
594 ,
606 ,
614 ,
601 ,
568 ,
543 ,
521 ,
504 ,
501 ,
484 ,
475 ,
453 ,
428 ,
399 ,
358 ,
321 ,
265 ,
213 ,
149 ,
94  ,
47  ,
18  ,
-10 ,
-31 ,
-63 ,
-93 ,
-129  ,
-164  ,
-200  ,
-236  ,
-283  ,
-319  ,
-362  ,
-402  ,
-446  ,
-479  ,
-503  ,
-522  ,
-515  ,
-522  ,
-516  ,
-534  ,
-537  ,
-549  ,
-547  ,
-567  ,
-572  ,
-605  ,
-619  ,
-641  ,
-656  ,
-663  ,
-673  ,
-681  ,
-707  ,
-751  ,
-805  ,
-866  ,
-929  ,
-977  ,
-1019 ,
-1045 ,
-1062 ,
-1049 ,
-1030 ,
-985  ,
-937  ,
-875  ,
-815  ,
-770  ,
-728  ,
-700  ,
-670  ,
-646  ,
-616  ,
-573  ,
-532  ,
-483  ,
-437  ,
-384  ,
-339  ,
-287  ,
-262  ,
-236  ,
-232  ,
-236  ,
-248  ,
-258  ,
-260  ,
-261  ,
-257  ,
-253  ,
-259  ,
-271  ,
-293  ,
-310  ,
-320  ,
-321  ,
-308  ,
-288  ,
-254  ,
-228  ,
-190  ,
-153  ,
-108  ,
-59 ,
-22 ,
15  ,
33  ,
42  ,
35  ,
29  ,
29  ,
32  ,
38  ,
59  ,
78  ,
124 ,
172 ,
251 ,
337 ,
439 ,
538 ,
634 ,
728 ,
806 ,
887 ,
946 ,
1006  ,
1041  ,
1070  ,
1078  ,
1083  ,
1083  ,
1081  ,
1071  ,
1072  ,
1051  ,
1036  ,
1015  ,
1005  ,
1000  ,
990 ,
973 ,
938 ,
904 ,
855 ,
805 ,
761 ,
706 ,
658 ,
602 ,
543 ,
482 ,
413 ,
360 ,
316 ,
288 ,
266 ,
255 ,
239 ,
241 ,
246 ,
270 ,
286 ,
306 ,
303 ,
301 ,
271 ,
248 ,
210 ,
174 ,
132 ,
81  ,
33  ,
-24 ,
-72 ,
-105  ,
-148  ,
-184  ,
-238  ,
-291  ,
-354  ,
-407  ,
-469  ,
-518  ,
-570  ,
-617  ,
-656  ,
-694  ,
-718  ,
-728  ,
-735  ,
-716  ,
-709  ,
-704  ,
-719  ,
-748  ,
-782  ,
-824  ,
-848  ,
-868  ,
-872  ,
-858  ,
-837  ,
-804  ,
-773  ,
-751  ,
-736  ,
-741  ,
-749  ,
-771  ,
-789  ,
-806  ,
-813  ,
-804  ,
-787  ,
-748  ,
-711  ,
-668  ,
-632  ,
-606  ,
-579  ,
-559  ,
-520  ,
-479  ,
-422  ,
-355  ,
-285  ,
-212  ,
-141  ,
-73 ,
-25 ,
15  ,
37  ,
36  ,
33  ,
18  ,
15  ,
9 ,
11  ,
17  ,
32  ,
47  ,
78  ,
113 ,
159 ,
219 ,
277 ,
339 ,
391 ,
442 ,
483 ,
537 ,
591 ,
646 ,
695 ,
739 ,
781 ,
820 ,
867 ,
923 ,
991 ,
1055  ,
1118  ,
1173  ,
1213  ,
1247  ,
1268  ,
1299  ,
1313  ,
1330  ,
1333  ,
1328  ,
1310  ,
1293  ,
1270  ,
1261  ,
1249  ,
1249  ,
1247  ,
1260  ,
1276  ,
1304  ,
1344  ,
1378  ,
1403  ,
1410  ,
1408  ,
1394  ,
1386  ,
1365  ,
1354  ,
1326  ,
1297  ,
1252  ,
1202  ,
1154  ,
1103  ,
1055  ,
1016  ,
990 ,
966 ,
952 ,
936 ,
918 ,
904 ,
879 ,
858 ,
809 ,
765 ,
702 ,
646 ,
572 ,
511 ,
450 ,
399 ,
357 ,
328 ,
312 ,
292 ,
280 ,
252 ,
221 ,
170 ,
117 ,
75  ,
36  ,
7 ,
-27 ,
-57 ,
-88 ,
-119  ,
-131  ,
-147  ,
-142  ,
-143  ,
-138  ,
-142  ,
-149  ,
-160  ,
-177  ,
-204  ,
-226  ,
-246  ,
-257  ,
-254  ,
-238  ,
-203  ,
-162  ,
-113  ,
-64 ,
-10 ,
48  ,
99  ,
164 ,
217 ,
279 ,
327 ,
376 ,
418 ,
442 ,
468 ,
462 ,
460 ,
433 ,
406 ,
382 ,
362 ,
355 ,
346 ,
340 ,
325 ,
323 ,
301 ,
291 ,
272 ,
267 ,
259 ,
241 ,
221 ,
190 ,
166 ,
124 ,
98  ,
62  ,
35  ,
-6  ,
-21 ,
-53 ,
-65 ,
-94 ,
-106  ,
-131  ,
-161  ,
-194  ,
-224  ,
-253  ,
-271  ,
-289  ,
-295  ,
-303  ,
-286  ,
-266  ,
-224  ,
-174  ,
-125  ,
-64 ,
-23 ,
23  ,
45  ,
78  ,
96  ,
121 ,
141 ,
159 ,
164 ,
159 ,
159 ,
143 ,
150 ,
138 ,
148 ,
143 ,
137 ,
136 ,
122 ,
124 ,
132 ,
141 ,
158 ,
166 ,
162 ,
163 ,
150 ,
136 ,
124 ,
111 ,
103 ,
110 ,
125 ,
151 ,
167 ,
199 ,
226 ,
258 ,
286 ,
313 ,
322 ,
322 ,
320 ,
315 ,
311 ,
293 ,
275 ,
241 ,
201 ,
148 ,
103 ,
57  ,
17  ,
0 ,
-7  ,
1 ,
5 ,
12  ,
8 ,
-5  ,
-41 ,
-83 ,
-136  ,
-196  ,
-250  ,
-297  ,
-328  ,
-343  ,
-357  ,
-352  ,
-353  ,
-344  ,
-346  ,
-345  ,
-356  ,
-367  ,
-397  ,
-439  ,
-478  ,
-533  ,
-582  ,
-644  ,
-699  ,
-771  ,
-835  ,
-902  ,
-948  ,
-991  ,
-1016 ,
-1036 ,
-1048 ,
-1064 ,
-1068 ,
-1085 ,
-1086 ,
-1095 ,
-1098 ,
-1102 ,
-1103 ,
-1115 ,
-1122 ,
-1133 ,
-1124 ,
-1122 ,
-1112 ,
-1107 ,
-1094 ,
-1093 ,
-1080 ,
-1081 ,
-1059 ,
-1048 ,
-1029 ,
-1025 ,
-1029 ,
-1054 ,
-1083 ,
-1118 ,
-1138 ,
-1147 ,
-1145 ,
-1136 ,
-1113 ,
-1076 ,
-1026 ,
-964  ,
-908  ,
-848  ,
-803  ,
-763  ,
-737  ,
-703  ,
-670  ,
-625  ,
-573  ,
-519  ,
-470  ,
-431  ,
-389  ,
-347  ,
-305  ,
-277  ,
-245  ,
-231  ,
-228  ,
-223  ,
-227  ,
-218  ,
-210  ,
-185  ,
-163  ,
-148  ,
-133  ,
-137  ,
-135  ,
-130  ,
-127  ,
-107  ,
-81 ,
-53 ,
-24 ,
-2  ,
15  ,
25  ,
30  ,
27  ,
13  ,
-12 ,
-48 ,
-91 ,
-122  ,
-153  ,
-171  ,
-205  ,
-232  ,
-265  ,
-294  ,
-313  ,
-325  ,
-309  ,
-293  ,
-262  ,
-245  ,
-222  ,
-216  ,
-207  ,
-211  ,
-217  ,
-237  ,
-261  ,
-295  ,
-331  ,
-352  ,
-358  ,
-337  ,
-310  ,
-268  ,
-226  ,
-172  ,
-114  ,
-56 ,
3 ,
67  ,
93  ,
120 ,
96  ,
73  ,
32  ,
1 ,
-36 ,
-51 ,
-65 ,
-63 ,
-69 ,
-55 ,
-45 ,
-12 ,
2 ,
22  ,
25  ,
15  ,
4 ,
-19 ,
-23 ,
-17 ,
-5  ,
25  ,
45  ,
64  ,
67  ,
79  ,
93  ,
118 ,
144 ,
166 ,
187 ,
193 ,
194 ,
194 ,
182 ,
171 ,
135 ,
94  ,
33  ,
-35 ,
-98 ,
-168  ,
-203  ,
-239  ,
-242  ,
-249  ,
-246  ,
-243  ,
-231  ,
-219  ,
-222  ,
-234  ,
-262  ,
-290  ,
-318  ,
-341  ,
-343  ,
-350  ,
-337  ,
-342  ,
-343  ,
-363  ,
-380  ,
-388  ,
-385  ,
-366  ,
-343  ,
-314  ,
-276  ,
-231  ,
-187  ,
-124  ,
-72 ,
-18 ,
20  ,
42  ,
63  ,
77  ,
105 ,
145 ,
187 ,
232 ,
250 ,
256 ,
260 ,
253 ,
272 ,
276 ,
286 ,
281 ,
269 ,
249 ,
233 ,
214 ,
201 ,
200 ,
207 ,
213 ,
206 ,
203 ,
207 ,
217 ,
230 ,
250 ,
266 ,
276 ,
288 ,
290 ,
299 ,
304 ,
319 ,
341 ,
366 ,
394 ,
421 ,
451 ,
484 ,
524 ,
560 ,
595 ,
614 ,
640 ,
649 ,
659 ,
662 ,
656 ,
638 ,
605 ,
565 ,
519 ,
466 ,
432 ,
402 ,
397 ,
388 ,
381 ,
382 ,
384 ,
395 ,
387 ,
377 ,
360 ,
329 ,
290 ,
248 ,
219 ,
213 ,
219 ,
240 ,
257 ,
266 ,
246 ,
215 ,
175 ,
135 ,
105 ,
67  ,
45  ,
-6  ,
-40 ,
-100  ,
-149  ,
-209  ,
-272  ,
-348  ,
-427  ,
-509  ,
-581  ,
-631  ,
-643  ,
-634  ,
-608  ,
-573  ,
-540  ,
-510  ,
-494  ,
-488  ,
-492  ,
-499  ,
-514  ,
-536  ,
-553  ,
-574  ,
-581  ,
-586  ,
-583  ,
-577  ,
-577  ,
-581  ,
-589  ,
-600  ,
-598  ,
-593  ,
-574  ,
-558  ,
-544  ,
-541  ,
-537  ,
-535  ,
-525  ,
-512  ,
-495  ,
-485  ,
-468  ,
-442  ,
-406  ,
-351  ,
-295  ,
-239  ,
-190  ,
-142  ,
-103  ,
-50 ,
2 ,
74  ,
133 ,
191 ,
229 ,
254 ,
273 ,
284 ,
296 ,
319 ,
338 ,
365 ,
384 ,
424 ,
466 ,
519 ,
574 ,
635 ,
687 ,
733 ,
758 ,
792 ,
832 ,
887 ,
943 ,
997 ,
1056  ,
1106  ,
1151  ,
1198  ,
1241  ,
1280  ,
1306  ,
1333  ,
1362  ,
1386  ,
1404  ,
1422  ,
1443  ,
1467  ,
1477  ,
1483  ,
1479  ,
1466  ,
1449  ,
1439  ,
1417  ,
1406  ,
1379  ,
1365  ,
1335  ,
1314  ,
1280  ,
1247  ,
1226  ,
1201  ,
1170  ,
1140  ,
1095  ,
1071  ,
1044  ,
1040  ,
1032  ,
1032  ,
1020  ,
1001  ,
974 ,
943 ,
901 ,
869 ,
820 ,
775 ,
709 ,
645 ,
571 ,
503 ,
433 ,
354 ,
281 ,
193 ,
131 ,
69  ,
33  ,
24  ,
28  ,
54  ,
77  ,
96  ,
100 ,
93  ,
75  ,
60  ,
53  ,
46  ,
56  ,
65  ,
84  ,
99  ,
112 ,
117 ,
112 ,
95  ,
66  ,
26  ,
-17 ,
-58 ,
-79 ,
-104  ,
-118  ,
-149  ,
-188  ,
-227  ,
-264  ,
-302  ,
-336  ,
-369  ,
-406  ,
-439  ,
-479  ,
-504  ,
-527  ,
-539  ,
-550  ,
-565  ,
-593  ,
-635  ,
-683  ,
-727  ,
-770  ,
-807  ,
-828  ,
-840  ,
-851  ,
-852  ,
-855  ,
-850  ,
-833  ,
-804  ,
-753  ,
-697  ,
-628  ,
-562  ,
-491  ,
-417  ,
-351  ,
-287  ,
-235  ,
-186  ,
-147  ,
-101  ,
-53 ,
4 ,
68  ,
132 ,
185 ,
232 ,
265 ,
296 ,
329 ,
362 ,
405 ,
438 ,
480 ,
516 ,
555 ,
603 ,
645 ,
694 ,
727 ,
752 ,
764 ,
768 ,
775 ,
786 ,
820 ,
853 ,
899 ,
932 ,
971 ,
1011  ,
1060  ,
1104  ,
1153  ,
1196  ,
1237  ,
1258  ,
1282  ,
1292  ,
1301  ,
1304  ,
1292  ,
1275  ,
1221  ,
1175  ,
1110  ,
1050  ,
995 ,
933 ,
879 ,
815 ,
749 ,
679 ,
595 ,
507 ,
418 ,
332 ,
252 ,
190 ,
136 ,
103 ,
87  ,
84  ,
71  ,
61  ,
26  ,
-8  ,
-59 ,
-109  ,
-151  ,
-188  ,
-209  ,
-235  ,
-257  ,
-286  ,
-331  ,
-388  ,
-449  ,
-527  ,
-608  ,
-701  ,
-799  ,
-897  ,
-985  ,
-1056 ,
-1114 ,
-1158 ,
-1200 ,
-1244 ,
-1296 ,
-1344 ,
-1392 ,
-1421 ,
-1452 ,
-1468 ,
-1496 ,
-1517 ,
-1549 ,
-1574 ,
-1602 ,
-1619 ,
-1640 ,
-1658 ,
-1677 ,
-1689 ,
-1692 ,
-1681 ,
-1658 ,
-1622 ,
-1586 ,
-1550 ,
-1524 ,
-1493 ,
-1470 ,
-1433 ,
-1401 ,
-1362 ,
-1326 ,
-1288 ,
-1254 ,
-1207 ,
-1169 ,
-1103 ,
-1052 ,
-985  ,
-930  ,
-858  ,
-787  ,
-705  ,
-616  ,
-522  ,
-428  ,
-343  ,
-270  ,
-195  ,
-131  ,
-57 ,
16  ,
89  ,
163 ,
211 ,
259 ,
280 ,
305 ,
319 ,
338 ,
346 ,
352 ,
348 ,
353 ,
352 ,
371 ,
389 ,
417 ,
434 ,
454 ,
467 ,
490 ,
512 ,
543 ,
569 ,
592 ,
599 ,
586 ,
568 ,
543 ,
520 ,
494 ,
472 ,
437 ,
390 ,
338 ,
275 ,
221 ,
157 ,
110 ,
53  ,
2 ,
-64 ,
-129  ,
-197  ,
-271  ,
-337  ,
-399  ,
-440  ,
-482  ,
-495  ,
-497  ,
-480  ,
-462  ,
-454  ,
-449  ,
-448  ,
-455  ,
-460  ,
-463  ,
-458  ,
-436  ,
-417  ,
-380  ,
-371  ,
-361  ,
-379  ,
-406  ,
-440  ,
-479  ,
-515  ,
-550  ,
-570  ,
-583  ,
-579  ,
-568  ,
-547  ,
-522  ,
-509  ,
-503  ,
-515  ,
-530  ,
-541  ,
-553  ,
-544  ,
-539  ,
-531  ,
-538  ,
-536  ,
-545  ,
-543  ,
-543  ,
-543  ,
-541  ,
-547  ,
-550  ,
-557  ,
-551  ,
-545  ,
-527  ,
-504  ,
-496  ,
-496  ,
-516  ,
-533  ,
-547  ,
-558  ,
-561  ,
-557  ,
-555  ,
-544  ,
-541  ,
-523  ,
-510  ,
-477  ,
-453  ,
-431  ,
-414  ,
-418  ,
-415  ,
-424  ,
-428  ,
-418  ,
-413  ,
-396  ,
-389  ,
-365  ,
-340  ,
-295  ,
-253  ,
-189  ,
-131  ,
-65 ,
-11 ,
49  ,
105 ,
156 ,
213 ,
254 ,
294 ,
328 ,
364 ,
413 ,
464 ,
523 ,
580 ,
635 ,
672 ,
698 ,
708 ,
716 ,
734 ,
757 ,
772 ,
782 ,
773 ,
762 ,
749 ,
725 ,
699 ,
663 ,
618 ,
579 ,
527 ,
497 ,
458 ,
439 ,
418 ,
405 ,
384 ,
358 ,
326 ,
288 ,
258 ,
235 ,
224 ,
233 ,
248 ,
264 ,
276 ,
286 ,
300 ,
313 ,
316 ,
307 ,
295 ,
254 ,
223 ,
191 ,
171 ,
155 ,
136 ,
118 ,
98  ,
65  ,
35  ,
-10 ,
-41 ,
-80 ,
-111  ,
-133  ,
-160  ,
-166  ,
-176  ,
-182  ,
-190  ,
-211  ,
-237  ,
-273  ,
-304  ,
-341  ,
-359  ,
-383  ,
-402  ,
-425  ,
-451  ,
-476  ,
-496  ,
-515  ,
-537  ,
-557  ,
-578  ,
-601  ,
-621  ,
-641  ,
-656  ,
-676  ,
-688  ,
-695  ,
-701  ,
-706  ,
-727  ,
-730  ,
-740  ,
-733  ,
-729  ,
-720  ,
-716  ,
-702  ,
-698  ,
-685  ,
-679  ,
-677  ,
-686  ,
-687  ,
-693  ,
-698  ,
-693  ,
-678  ,
-653  ,
-611  ,
-575  ,
-527  ,
-481  ,
-434  ,
-373  ,
-318  ,
-238  ,
-174  ,
-99 ,
-55 ,
-13 ,
-12 ,
-25 ,
-56 ,
-82 ,
-103  ,
-119  ,
-110  ,
-88 ,
-37 ,
16  ,
83  ,
154 ,
220 ,
298 ,
367 ,
455 ,
539 ,
625 ,
705 ,
771 ,
829 ,
865 ,
892 ,
900 ,
911 ,
897 ,
894 ,
864 ,
841 ,
810 ,
793 ,
783 ,
787 ,
798 ,
816 ,
828 ,
843 ,
847 ,
856 ,
868 ,
884 ,
911 ,
932 ,
957 ,
970 ,
986 ,
999 ,
1022  ,
1048  ,
1077  ,
1110  ,
1133  ,
1159  ,
1164  ,
1171  ,
1163  ,
1162  ,
1142  ,
1121  ,
1082  ,
1047  ,
1000  ,
964 ,
918 ,
875 ,
830 ,
777 ,
735 ,
686 ,
638 ,
595 ,
558 ,
532 ,
509 ,
491 ,
474 ,
452 ,
419 ,
374 ,
326 ,
275 ,
225 ,
175 ,
127 ,
77  ,
28  ,
-9  ,
-44 ,
-63 ,
-87 ,
-98 ,
-113  ,
-130  ,
-137  ,
-155  ,
-158  ,
-171  ,
-170  ,
-169  ,
-153  ,
-130  ,
-110  ,
-81 ,
-62 ,
-27 ,
1 ,
42  ,
80  ,
124 ,
164 ,
209 ,
248 ,
288 ,
317 ,
346 ,
372 ,
399 ,
433 ,
464 ,
499 ,
530 ,
550 ,
566 ,
571 ,
569 ,
559 ,
537 ,
519 ,
487 ,
464 ,
438 ,
413 ,
400 ,
379 ,
368 ,
352 ,
338 ,
318 ,
299 ,
277 ,
265 ,
254 ,
250 ,
238 ,
239 ,
219 ,
210 ,
189 ,
174 ,
156 ,
144 ,
123 ,
114 ,
93  ,
81  ,
68  ,
65  ,
69  ,
82  ,
91  ,
105 ,
107 ,
108 ,
112 ,
116 ,
127 ,
132 ,
133 ,
132 ,
111 ,
104 ,
92  ,
93  ,
107 ,
134 ,
168 ,
213 ,
248 ,
292 ,
308 ,
321 ,
322 ,
322 ,
319 ,
311 ,
315 ,
314 ,
326 ,
335 ,
347 ,
369 ,
380 ,
410 ,
439 ,
478 ,
515 ,
548 ,
584 ,
594 ,
612 ,
605 ,
612 ,
582 ,
553 ,
503 ,
448 ,
394 ,
342 ,
304 ,
275 ,
249 ,
231 ,
217 ,
212 ,
209 ,
215 ,
219 ,
220 ,
207 ,
176 ,
130 ,
70  ,
8 ,
-44 ,
-89 ,
-120  ,
-150  ,
-166  ,
-185  ,
-194  ,
-189  ,
-192  ,
-182  ,
-178  ,
-171  ,
-164  ,
-165  ,
-165  ,
-168  ,
-172  ,
-177  ,
-190  ,
-202  ,
-213  ,
-219  ,
-230  ,
-234  ,
-239  ,
-240  ,
-253  ,
-273  ,
-301  ,
-338  ,
-385  ,
-428  ,
-482  ,
-531  ,
-595  ,
-650  ,
-711  ,
-761  ,
-806  ,
-848  ,
-883  ,
-928  ,
-962  ,
-994  ,
-1000 ,
-991  ,
-967  ,
-920  ,
-872  ,
-830  ,
-784  ,
-749  ,
-710  ,
-687  ,
-663  ,
-669  ,
-678  ,
-711  ,
-743  ,
-781  ,
-800  ,
-824  ,
-831  ,
-841  ,
-849  ,
-846  ,
-841  ,
-820  ,
-789  ,
-748  ,
-692  ,
-629  ,
-568  ,
-505  ,
-454  ,
-405  ,
-357  ,
-315  ,
-271  ,
-237  ,
-202  ,
-177  ,
-164  ,
-151  ,
-147  ,
-142  ,
-154  ,
-159  ,
-175  ,
-171  ,
-164  ,
-125  ,
-91 ,
-33 ,
0 ,
40  ,
67  ,
72  ,
76  ,
56  ,
44  ,
15  ,
-7  ,
-32 ,
-54 ,
-81 ,
-107  ,
-138  ,
-166  ,
-201  ,
-234  ,
-266  ,
-290  ,
-309  ,
-323  ,
-341  ,
-351  ,
-380  ,
-406  ,
-442  ,
-481  ,
-532  ,
-577  ,
-628  ,
-672  ,
-715  ,
-754  ,
-781  ,
-795  ,
-795  ,
-768  ,
-732  ,
-685  ,
-622  ,
-570  ,
-511  ,
-467  ,
-434  ,
-414  ,
-407  ,
-414  ,
-440  ,
-463  ,
-471  ,
-464  ,
-440  ,
-404  ,
-365  ,
-318  ,
-271  ,
-212  ,
-155  ,
-102  ,
-58 ,
-30 ,
-11 ,
-20 ,
-34 ,
-56 ,
-79 ,
-98 ,
-113  ,
-119  ,
-123  ,
-115  ,
-88 ,
-48 ,
0 ,
45  ,
91  ,
137 ,
189 ,
235 ,
289 ,
334 ,
374 ,
405 ,
416 ,
414 ,
392 ,
352 ,
297 ,
233 ,
153 ,
71  ,
-15 ,
-90 ,
-152  ,
-203  ,
-242  ,
-270  ,
-293  ,
-303  ,
-316  ,
-330  ,
-339  ,
-343  ,
-344  ,
-350  ,
-361  ,
-391  ,
-422  ,
-464  ,
-490  ,
-515  ,
-521  ,
-521  ,
-517  ,
-496  ,
-487  ,
-466  ,
-449  ,
-417  ,
-380  ,
-336  ,
-291  ,
-239  ,
-189  ,
-140  ,
-89 ,
-41 ,
-1  ,
33  ,
53  ,
70  ,
85  ,
94  ,
106 ,
114 ,
117 ,
111 ,
89  ,
69  ,
49  ,
39  ,
27  ,
22  ,
8 ,
-10 ,
-32 ,
-54 ,
-70 ,
-85 ,
-96 ,
-103  ,
-110  ,
-107  ,
-119  ,
-108  ,
-106  ,
-86 ,
-70 ,
-55 ,
-36 ,
-25 ,
-7  ,
15  ,
46  ,
88  ,
124 ,
162 ,
186 ,
205 ,
224 ,
240 ,
253 ,
255 ,
255 ,
241 ,
245 ,
240 ,
260 ,
283 ,
333 ,
374 ,
413 ,
444 ,
453 ,
460 ,
433 ,
403 ,
347 ,
289 ,
222 ,
158 ,
115 ,
84  ,
74  ,
76  ,
79  ,
88  ,
91  ,
94  ,
100 ,
113 ,
121 ,
122 ,
122 ,
111 ,
109 ,
97  ,
94  ,
85  ,
84  ,
81  ,
64  ,
52  ,
25  ,
-3  ,
-36 ,
-70 ,
-102  ,
-144  ,
-190  ,
-234  ,
-282  ,
-309  ,
-348  ,
-362  ,
-390  ,
-414  ,
-442  ,
-478  ,
-507  ,
-541  ,
-565  ,
-584  ,
-589  ,
-595  ,
-580  ,
-572  ,
-540  ,
-516  ,
-488  ,
-467  ,
-442  ,
-428  ,
-409  ,
-391  ,
-368  ,
-356  ,
-339  ,
-335  ,
-335  ,
-329  ,
-333  ,
-310  ,
-286  ,
-242  ,
-203  ,
-158  ,
-118  ,
-84 ,
-48 ,
-21 ,
13  ,
33  ,
49  ,
56  ,
63  ,
76  ,
83  ,
105 ,
119 ,
137 ,
148 ,
159 ,
164 ,
183 ,
196 ,
221 ,
240 ,
259 ,
275 ,
291 ,
316 ,
353 ,
397 ,
448 ,
496 ,
538 ,
580 ,
611 ,
648 ,
688 ,
743 ,
799 ,
847 ,
890 ,
930 ,
967 ,
1009  ,
1053  ,
1096  ,
1130  ,
1158  ,
1181  ,
1197  ,
1207  ,
1219  ,
1227  ,
1243  ,
1248  ,
1241  ,
1235  ,
1210  ,
1193  ,
1150  ,
1111  ,
1066  ,
1021  ,
990 ,
972 ,
971 ,
984 ,
993 ,
1016  ,
1020  ,
1025  ,
1014  ,
998 ,
975 ,
941 ,
900 ,
845 ,
785 ,
726 ,
678 ,
643 ,
616 ,
600 ,
576 ,
564 ,
542 ,
539 ,
520 ,
513 ,
484 ,
462 ,
426 ,
390 ,
352 ,
318 ,
284 ,
257 ,
231 ,
217 ,
206 ,
200 ,
208 ,
222 ,
246 ,
272 ,
297 ,
321 ,
345 ,
362 ,
394 ,
422 ,
443 ,
455 ,
453 ,
450 ,
431 ,
406 ,
381 ,
349 ,
320 ,
291 ,
266 ,
242 ,
217 ,
183 ,
158 ,
123 ,
90  ,
55  ,
13  ,
-34 ,
-79 ,
-126  ,
-171  ,
-219  ,
-277  ,
-341  ,
-401  ,
-457  ,
-503  ,
-547  ,
-576  ,
-610  ,
-628  ,
-649  ,
-662  ,
-673  ,
-670  ,
-670  ,
-662  ,
-653  ,
-643  ,
-635  ,
-625  ,
-605  ,
-581  ,
-549  ,
-516  ,
-472  ,
-439  ,
-409  ,
-377  ,
-353  ,
-322  ,
-294  ,
-254  ,
-219  ,
-173  ,
-136  ,
-93 ,
-36 ,
9 ,
56  ,
89  ,
118 ,
152 ,
177 ,
213 ,
260 ,
308 ,
359 ,
402 ,
446 ,
477 ,
507 ,
526 ,
550 ,
566 ,
591 ,
623 ,
665 ,
712 ,
765 ,
818 ,
865 ,
897 ,
927 ,
942 ,
960 ,
976 ,
981 ,
988 ,
976 ,
960 ,
928 ,
910 ,
894 ,
895 ,
894 ,
906 ,
914 ,
914 ,
896 ,
871 ,
827 ,
785 ,
729 ,
679 ,
603 ,
534 ,
446 ,
371 ,
307 ,
251 ,
215 ,
185 ,
162 ,
148 ,
128 ,
112 ,
97  ,
78  ,
50  ,
13  ,
-33 ,
-89 ,
-139  ,
-208  ,
-255  ,
-312  ,
-357  ,
-410  ,
-461  ,
-511  ,
-561  ,
-612  ,
-665  ,
-719  ,
-775  ,
-834  ,
-892  ,
-953  ,
-1015 ,
-1069 ,
-1133 ,
-1186 ,
-1244 ,
-1295 ,
-1341 ,
-1384 ,
-1413 ,
-1450 ,
-1472 ,
-1492 ,
-1515 ,
-1538 ,
-1559 ,
-1587 ,
-1606 ,
-1627 ,
-1649 ,
-1654 ,
-1662 ,
-1660 ,
-1654 ,
-1641 ,
-1620 ,
-1594 ,
-1566 ,
-1533 ,
-1492 ,
-1451 ,
-1390 ,
-1330 ,
-1256 ,
-1185 ,
-1131 ,
-1082 ,
-1037 ,
-1007 ,
-960  ,
-923  ,
-874  ,
-832  ,
-787  ,
-736  ,
-680  ,
-611  ,
-539  ,
-469  ,
-398  ,
-342  ,
-286  ,
-247  ,
-198  ,
-151  ,
-102  ,
-51 ,
-2  ,
47  ,
78  ,
105 ,
120 ,
130 ,
148 ,
156 ,
175 ,
199 ,
234 ,
277 ,
316 ,
351 ,
373 ,
382 ,
373 ,
363 ,
345 ,
330 ,
310 ,
293 ,
270 ,
237 ,
209 ,
169 ,
141 ,
105 ,
77  ,
47  ,
20  ,
-16 ,
-41 ,
-76 ,
-119  ,
-159  ,
-213  ,
-261  ,
-316  ,
-368  ,
-412  ,
-432  ,
-436  ,
-422  ,
-396  ,
-367  ,
-349  ,
-330  ,
-340  ,
-347  ,
-364  ,
-382  ,
-395  ,
-412  ,
-427  ,
-445  ,
-456  ,
-456  ,
-441  ,
-423  ,
-393  ,
-367  ,
-339  ,
-317  ,
-301  ,
-291  ,
-286  ,
-281  ,
-273  ,
-272  ,
-270  ,
-279  ,
-283  ,
-291  ,
-294  ,
-287  ,
-279  ,
-261  ,
-244  ,
-229  ,
-214  ,
-206  ,
-203  ,
-205  ,
-206  ,
-211  ,
-220  ,
-220  ,
-232  ,
-230  ,
-241  ,
-248  ,
-257  ,
-262  ,
-268  ,
-277  ,
-294  ,
-315  ,
-341  ,
-369  ,
-396  ,
-414  ,
-420  ,
-426  ,
-432  ,
-432  ,
-438  ,
-441  ,
-444  ,
-445  ,
-432  ,
-419  ,
-402  ,
-382  ,
-358  ,
-327  ,
-298  ,
-260  ,
-225  ,
-197  ,
-173  ,
-158  ,
-132  ,
-112  ,
-80 ,
-47 ,
-2  ,
33  ,
73  ,
99  ,
125 ,
147 ,
171 ,
209 ,
254 ,
307 ,
369 ,
435 ,
488 ,
536 ,
568 ,
587 ,
606 ,
612 ,
622 ,
630 ,
642 ,
647 ,
643 ,
634 ,
613 ,
593 ,
565 ,
548 ,
534 ,
524 ,
514 ,
509 ,
511 ,
503 ,
504 ,
488 ,
474 ,
451 ,
423 ,
391 ,
352 ,
325 ,
300 ,
297 ,
303 ,
315 ,
334 ,
349 ,
351 ,
349 ,
327 ,
306 ,
293 ,
272 ,
262 ,
249 ,
242 ,
242 ,
245 ,
259 ,
271 ,
273 ,
267 ,
233 ,
203 ,
152 ,
123 ,
78  ,
54  ,
17  ,
-4  ,
-46 ,
-70 ,
-109  ,
-126  ,
-153  ,
-160  ,
-173  ,
-178  ,
-184  ,
-202  ,
-214  ,
-236  ,
-253  ,
-275  ,
-302  ,
-327  ,
-355  ,
-380  ,
-401  ,
-422  ,
-440  ,
-462  ,
-483  ,
-512  ,
-539  ,
-572  ,
-597  ,
-624  ,
-645  ,
-658  ,
-665  ,
-664  ,
-647  ,
-618  ,
-582  ,
-532  ,
-490  ,
-442  ,
-417  ,
-388  ,
-385  ,
-363  ,
-346  ,
-326  ,
-310  ,
-307  ,
-309  ,
-321  ,
-329  ,
-343  ,
-348  ,
-360  ,
-354  ,
-334  ,
-304  ,
-259  ,
-212  ,
-156  ,
-109  ,
-66 ,
-29 ,
5 ,
37  ,
59  ,
94  ,
125 ,
167 ,
205 ,
249 ,
284 ,
318 ,
347 ,
374 ,
408 ,
440 ,
483 ,
526 ,
570 ,
625 ,
656 ,
682 ,
696 ,
687 ,
684 ,
666 ,
671 ,
681 ,
707 ,
741 ,
778 ,
814 ,
842 ,
865 ,
882 ,
884 ,
883 ,
880 ,
866 ,
868 ,
867 ,
879 ,
900 ,
913 ,
926 ,
936 ,
947 ,
955 ,
967 ,
980 ,
1000  ,
1009  ,
1020  ,
1015  ,
1009  ,
997 ,
983 ,
975 ,
953 ,
943 ,
918 ,
890 ,
851 ,
821 ,
781 ,
762 ,
732 ,
711 ,
694 ,
658 ,
629 ,
583 ,
539 ,
505 ,
466 ,
426 ,
374 ,
320 ,
262 ,
219 ,
177 ,
147 ,
123 ,
98  ,
84  ,
73  ,
74  ,
73  ,
79  ,
82  ,
89  ,
77  ,
56  ,
31  ,
14  ,
2 ,
11  ,
34  ,
62  ,
96  ,
136 ,
165 ,
203 ,
234 ,
271 ,
304 ,
330 ,
348 ,
355 ,
364 ,
364 ,
370 ,
371 ,
367 ,
358 ,
355 ,
349 ,
352 ,
349 ,
361 ,
369 ,
386 ,
394 ,
407 ,
403 ,
398 ,
391 ,
368 ,
344 ,
304 ,
270 ,
232 ,
206 ,
177 ,
168 ,
143 ,
140 ,
117 ,
110 ,
90  ,
92  ,
95  ,
114 ,
127 ,
137 ,
131 ,
108 ,
71  ,
14  ,
-38 ,
-100  ,
-148  ,
-191  ,
-217  ,
-224  ,
-215  ,
-203  ,
-178  ,
-164  ,
-149  ,
-143  ,
-144  ,
-149  ,
-158  ,
-163  ,
-171  ,
-177  ,
-183  ,
-181  ,
-177  ,
-158  ,
-142  ,
-119  ,
-96 ,
-65 ,
-34 ,
-3  ,
39  ,
84  ,
141 ,
187 ,
240 ,
271 ,
300 ,
316 ,
330 ,
349 ,
369 ,
390 ,
424 ,
445 ,
471 ,
481 ,
487 ,
487 ,
484 ,
476 ,
467 ,
454 ,
453 ,
447 ,
455 ,
449 ,
448 ,
438 ,
413 ,
395 ,
368 ,
358 ,
342 ,
339 ,
341 ,
333 ,
332 ,
321 ,
316 ,
297 ,
283 ,
268 ,
241 ,
222 ,
198 ,
184 ,
177 ,
178 ,
190 ,
200 ,
217 ,
228 ,
241 ,
249 ,
253 ,
239 ,
217 ,
178 ,
133 ,
88  ,
34  ,
-17 ,
-64 ,
-111  ,
-161  ,
-211  ,
-273  ,
-345  ,
-410  ,
-481  ,
-530  ,
-590  ,
-638  ,
-695  ,
-746  ,
-809  ,
-857  ,
-913  ,
-935  ,
-959  ,
-961  ,
-963  ,
-956  ,
-936  ,
-914  ,
-893  ,
-878  ,
-861  ,
-855  ,
-839  ,
-827  ,
-815  ,
-800  ,
-789  ,
-792  ,
-797  ,
-813  ,
-832  ,
-851  ,
-864  ,
-873  ,
-873  ,
-858  ,
-848  ,
-824  ,
-802  ,
-765  ,
-737  ,
-706  ,
-689  ,
-688  ,
-697  ,
-724  ,
-748  ,
-780  ,
-796  ,
-810  ,
-799  ,
-787  ,
-749  ,
-713  ,
-650  ,
-598  ,
-522  ,
-462  ,
-380  ,
-316  ,
-254  ,
-202  ,
-169  ,
-132  ,
-113  ,
-87 ,
-78 ,
-77 ,
-80 ,
-87 ,
-89 ,
-91 ,
-92 ,
-93 ,
-95 ,
-99 ,
-96 ,
-95 ,
-94 ,
-95 ,
-120  ,
-146  ,
-201  ,
-244  ,
-301  ,
-348  ,
-390  ,
-429  ,
-457  ,
-484  ,
-507  ,
-525  ,
-549  ,
-561  ,
-572  ,
-586  ,
-592  ,
-609  ,
-621  ,
-636  ,
-644  ,
-639  ,
-633  ,
-614  ,
-601  ,
-579  ,
-549  ,
-517  ,
-476  ,
-440  ,
-399  ,
-366  ,
-337  ,
-320  ,
-310  ,
-304  ,
-305  ,
-303  ,
-301  ,
-311  ,
-323  ,
-348  ,
-363  ,
-380  ,
-386  ,
-387  ,
-388  ,
-379  ,
-370  ,
-340  ,
-315  ,
-270  ,
-224  ,
-182  ,
-132  ,
-92 ,
-38 ,
11  ,
57  ,
100 ,
131 ,
154 ,
170 ,
181 ,
190 ,
215 ,
241 ,
275 ,
303 ,
318 ,
328 ,
331 ,
333 ,
341 ,
348 ,
343 ,
347 ,
329 ,
317 ,
292 ,
263 ,
236 ,
206 ,
178 ,
150 ,
127 ,
99  ,
75  ,
43  ,
6 ,
-49 ,
-110  ,
-162  ,
-218  ,
-261  ,
-290  ,
-302  ,
-312  ,
-317  ,
-334  ,
-336  ,
-342  ,
-323  ,
-304  ,
-252  ,
-211  ,
-162  ,
-130  ,
-104  ,
-94 ,
-83 ,
-76 ,
-84 ,
-86 ,
-104  ,
-108  ,
-113  ,
-92 ,
-71 ,
-38 ,
-18 ,
-3  ,
-1  ,
-7  ,
-17 ,
-30 ,
-41 ,
-62 ,
-80 ,
-105  ,
-124  ,
-148  ,
-168  ,
-174  ,
-177  ,
-178  ,
-182  ,
-187  ,
-181  ,
-176  ,
-149  ,
-123  ,
-92 ,
-58 ,
-39 ,
-20 ,
-13 ,
7 ,
31  ,
68  ,
110 ,
156 ,
192 ,
234 ,
268 ,
303 ,
341 ,
369 ,
393 ,
404 ,
398 ,
394 ,
386 ,
387 ,
384 ,
381 ,
372 ,
345 ,
323 ,
293 ,
275 ,
260 ,
254 ,
245 ,
241 ,
236 ,
244 ,
249 ,
266 ,
283 ,
294 ,
305 ,
296 ,
288 ,
279 ,
272 ,
279 ,
279 ,
279 ,
280 ,
277 ,
283 ,
303 ,
325 ,
363 ,
381 ,
405 ,
401 ,
384 ,
370 ,
334 ,
311 ,
262 ,
209 ,
138 ,
63  ,
-5  ,
-73 ,
-118  ,
-164  ,
-191  ,
-217  ,
-238  ,
-262  ,
-288  ,
-313  ,
-342  ,
-372  ,
-404  ,
-441  ,
-473  ,
-507  ,
-533  ,
-538  ,
-544  ,
-520  ,
-501  ,
-460  ,
-419  ,
-368  ,
-313  ,
-252  ,
-196  ,
-147  ,
-108  ,
-86 ,
-77 ,
-79 ,
-96 ,
-103  ,
-124  ,
-130  ,
-142  ,
-148  ,
-149  ,
-155  ,
-153  ,
-154  ,
-153  ,
-165  ,
-167  ,
-187  ,
-196  ,
-213  ,
-219  ,
-217  ,
-214  ,
-196  ,
-182  ,
-154  ,
-136  ,
-104  ,
-78 ,
-46 ,
-23 ,
0 ,
22  ,
55  ,
91  ,
141 ,
193 ,
243 ,
296 ,
335 ,
379 ,
417 ,
461 ,
514 ,
578 ,
645 ,
717 ,
766 ,
820 ,
862 ,
908 ,
957 ,
990 ,
1020  ,
1026  ,
1034  ,
1033  ,
1028  ,
1018  ,
1002  ,
984 ,
948 ,
925 ,
889 ,
877 ,
858 ,
858 ,
848 ,
855 ,
851 ,
860 ,
869 ,
885 ,
913 ,
923 ,
943 ,
946 ,
947 ,
935 ,
911 ,
885 ,
861 ,
828 ,
815 ,
799 ,
803 ,
801 ,
817 ,
817 ,
815 ,
787 ,
748 ,
689 ,
629 ,
566 ,
506 ,
464 ,
421 ,
408 ,
396 ,
401 ,
418 ,
432 ,
457 ,
472 ,
481 ,
483 ,
467 ,
453 ,
422 ,
394 ,
360 ,
333 ,
314 ,
303 ,
296 ,
298 ,
313 ,
315 ,
336 ,
332 ,
353 ,
362 ,
375 ,
387 ,
398 ,
400 ,
397 ,
380 ,
355 ,
314 ,
269 ,
207 ,
156 ,
92  ,
56  ,
12  ,
4 ,
-23 ,
-35 ,
-62 ,
-87 ,
-120  ,
-158  ,
-188  ,
-229  ,
-262  ,
-301  ,
-339  ,
-380  ,
-422  ,
-463  ,
-512  ,
-544  ,
-581  ,
-601  ,
-617  ,
-627  ,
-639  ,
-643  ,
-653  ,
-651  ,
-655  ,
-642  ,
-630  ,
-602  ,
-579  ,
-531  ,
-491  ,
-435  ,
-384  ,
-333  ,
-295  ,
-271  ,
-251  ,
-251  ,
-246  ,
-248  ,
-240  ,
-231  ,
-222  ,
-208  ,
-209  ,
-200  ,
-205  ,
-195  ,
-188  ,
-172  ,
-153  ,
-119  ,
-82 ,
-31 ,
16  ,
80  ,
134 ,
203 ,
259 ,
330 ,
392 ,
451 ,
510 ,
553 ,
597 ,
623 ,
643 ,
657 ,
663 ,
674 ,
684 ,
694 ,
708 ,
727 ,
745 ,
779 ,
802 ,
830 ,
848 ,
855 ,
849 ,
817 ,
781 ,
731 ,
685 ,
644 ,
612 ,
588 ,
571 ,
560 ,
565 ,
570 ,
578 ,
579 ,
562 ,
541 ,
488 ,
439 ,
371 ,
311 ,
261 ,
218 ,
198 ,
171 ,
167 ,
155 ,
157 ,
148 ,
135 ,
99  ,
52  ,
-9  ,
-71 ,
-133  ,
-197  ,
-250  ,
-301  ,
-361  ,
-424  ,
-511  ,
-586  ,
-676  ,
-751  ,
-833  ,
-897  ,
-962  ,
-1022 ,
-1075 ,
-1129 ,
-1170 ,
-1212 ,
-1240 ,
-1265 ,
-1284 ,
-1306 ,
-1316 ,
-1320 ,
-1319 ,
-1320 ,
-1317 ,
-1299 ,
-1281 ,
-1249 ,
-1213 ,
-1169 ,
-1130 ,
-1088 ,
-1057 ,
-1029 ,
-1017 ,
-1015 ,
-1020 ,
-1027 ,
-1029 ,
-1027 ,
-1013 ,
-997  ,
-963  ,
-920  ,
-860  ,
-797  ,
-743  ,
-693  ,
-667  ,
-642  ,
-626  ,
-601  ,
-573  ,
-535  ,
-500  ,
-466  ,
-442  ,
-421  ,
-417  ,
-408  ,
-414  ,
-414  ,
-417  ,
-413  ,
-398  ,
-375  ,
-336  ,
-290  ,
-232  ,
-172  ,
-115  ,
-73 ,
-32 ,
-5  ,
29  ,
52  ,
72  ,
75  ,
79  ,
63  ,
50  ,
38  ,
29  ,
24  ,
22  ,
20  ,
18  ,
12  ,
0 ,
-14 ,
-45 ,
-64 ,
-106  ,
-145  ,
-194  ,
-243  ,
-277  ,
-300  ,
-303  ,
-301  ,
-284  ,
-276  ,
-266  ,
-263  ,
-263  ,
-271  ,
-277  ,
-301  ,
-322  ,
-362  ,
-389  ,
-416  ,
-427  ,
-428  ,
-422  ,
-415  ,
-399  ,
-385  ,
-354  ,
-333  ,
-307  ,
-293  ,
-286  ,
-283  ,
-273  ,
-268  ,
-253  ,
-224  ,
-200  ,
-166  ,
-139  ,
-117  ,
-99 ,
-89 ,
-75 ,
-62 ,
-54 ,
-49 ,
-51 ,
-52 ,
-52 ,
-48 ,
-41 ,
-27 ,
-24 ,
-15 ,
-26 ,
-27 ,
-43 ,
-32 ,
-32 ,
-21 ,
-16 ,
-10 ,
-18 ,
-21 ,
-52 ,
-65 ,
-99 ,
-130  ,
-168  ,
-210  ,
-245  ,
-277  ,
-285  ,
-292  ,
-277  ,
-260  ,
-227  ,
-201  ,
-156  ,
-120  ,
-75 ,
-41 ,
-15 ,
-10 ,
-14 ,
-32 ,
-62 ,
-99 ,
-133  ,
-168  ,
-202  ,
-235  ,
-257  ,
-279  ,
-281  ,
-287  ,
-268  ,
-254  ,
-229  ,
-203  ,
-162  ,
-120  ,
-53 ,
11  ,
88  ,
164 ,
218 ,
270 ,
293 ,
309 ,
303 ,
293 ,
274 ,
263 ,
254 ,
258 ,
265 ,
290 ,
310 ,
333 ,
353 ,
362 ,
370 ,
374 ,
375 ,
381 ,
381 ,
390 ,
379 ,
375 ,
365 ,
356 ,
363 ,
373 ,
403 ,
433 ,
476 ,
505 ,
518 ,
523 ,
509 ,
495 ,
467 ,
447 ,
425 ,
412 ,
398 ,
398 ,
390 ,
392 ,
385 ,
384 ,
378 ,
364 ,
348 ,
335 ,
325 ,
308 ,
300 ,
277 ,
268 ,
255 ,
241 ,
229 ,
210 ,
192 ,
156 ,
118 ,
70  ,
23  ,
-26 ,
-63 ,
-104  ,
-127  ,
-159  ,
-175  ,
-190  ,
-193  ,
-194  ,
-184  ,
-180  ,
-172  ,
-172  ,
-175  ,
-172  ,
-178  ,
-169  ,
-182  ,
-186  ,
-219  ,
-252  ,
-293  ,
-332  ,
-372  ,
-397  ,
-425  ,
-441  ,
-457  ,
-470  ,
-474  ,
-478  ,
-485  ,
-482  ,
-488  ,
-479  ,
-470  ,
-459  ,
-446  ,
-438  ,
-437  ,
-437  ,
-448  ,
-459  ,
-472  ,
-482  ,
-477  ,
-469  ,
-444  ,
-426  ,
-393  ,
-377  ,
-337  ,
-310  ,
-260  ,
-212  ,
-161  ,
-103  ,
-55 ,
-11 ,
27  ,
60  ,
88  ,
112 ,
141 ,
158 ,
180 ,
185 ,
191 ,
195 ,
200 ,
210 ,
219 ,
232 ,
248 ,
265 ,
298 ,
323 ,
365 ,
399 ,
442 ,
467 ,
488 ,
489 ,
480 ,
468 ,
452 ,
442 ,
430 ,
435 ,
448 ,
470 ,
497 ,
533 ,
557 ,
583 ,
601 ,
611 ,
626 ,
643 ,
670 ,
700 ,
739 ,
774 ,
811 ,
840 ,
872 ,
900 ,
929 ,
954 ,
965 ,
972 ,
967 ,
959 ,
943 ,
925 ,
919 ,
908 ,
901 ,
888 ,
864 ,
834 ,
789 ,
745 ,
700 ,
650 ,
606 ,
559 ,
517 ,
477 ,
441 ,
413 ,
387 ,
367 ,
338 ,
313 ,
288 ,
264 ,
247 ,
236 ,
223 ,
217 ,
198 ,
186 ,
170 ,
165 ,
164 ,
158 ,
163 ,
163 ,
167 ,
174 ,
181 ,
205 ,
229 ,
269 ,
303 ,
343 ,
363 ,
386 ,
401 ,
428 ,
450 ,
481 ,
509 ,
536 ,
557 ,
573 ,
579 ,
570 ,
555 ,
525 ,
507 ,
473 ,
452 ,
428 ,
413 ,
404 ,
388 ,
374 ,
349 ,
329 ,
309 ,
303 ,
304 ,
322 ,
345 ,
371 ,
394 ,
408 ,
415 ,
413 ,
406 ,
393 ,
377 ,
355 ,
335 ,
319 ,
300 ,
279 ,
241 ,
211 ,
161 ,
127 ,
75  ,
49  ,
23  ,
5 ,
-13 ,
-30 ,
-54 ,
-88 ,
-131  ,
-167  ,
-204  ,
-240  ,
-269  ,
-302  ,
-310  ,
-324  ,
-326  ,
-323  ,
-323  ,
-324  ,
-328  ,
-335  ,
-335  ,
-336  ,
-332  ,
-324  ,
-310  ,
-293  ,
-276  ,
-265  ,
-253  ,
-230  ,
-214  ,
-178  ,
-144  ,
-100  ,
-60 ,
-10 ,
33  ,
87  ,
129 ,
179 ,
212 ,
243 ,
256 ,
263 ,
257 ,
249 ,
222 ,
198 ,
168 ,
144 ,
123 ,
124 ,
125 ,
145 ,
157 ,
178 ,
192 ,
204 ,
221 ,
228 ,
241 ,
261 ,
277 ,
300 ,
311 ,
332 ,
339 ,
347 ,
349 ,
348 ,
340 ,
337 ,
331 ,
332 ,
338 ,
346 ,
347 ,
350 ,
335 ,
335 ,
317 ,
309 ,
292 ,
280 ,
271 ,
251 ,
228 ,
194 ,
148 ,
96  ,
42  ,
-24 ,
-74 ,
-135  ,
-188  ,
-243  ,
-297  ,
-347  ,
-399  ,
-437  ,
-485  ,
-520  ,
-563  ,
-598  ,
-629  ,
-662  ,
-690  ,
-713  ,
-734  ,
-750  ,
-761  ,
-776  ,
-780  ,
-803  ,
-817  ,
-842  ,
-853  ,
-870  ,
-882  ,
-887  ,
-889  ,
-890  ,
-889  ,
-891  ,
-892  ,
-889  ,
-887  ,
-870  ,
-856  ,
-838  ,
-820  ,
-803  ,
-791  ,
-786  ,
-797  ,
-806  ,
-825  ,
-831  ,
-843  ,
-844  ,
-842  ,
-830  ,
-809  ,
-782  ,
-751  ,
-720  ,
-692  ,
-660  ,
-644  ,
-614  ,
-597  ,
-562  ,
-526  ,
-472  ,
-419  ,
-371  ,
-322  ,
-279  ,
-228  ,
-192  ,
-155  ,
-136  ,
-115  ,
-107  ,
-102  ,
-107  ,
-119  ,
-140  ,
-162  ,
-196  ,
-225  ,
-262  ,
-300  ,
-331  ,
-358  ,
-369  ,
-385  ,
-379  ,
-389  ,
-370  ,
-374  ,
-359  ,
-353  ,
-345  ,
-337  ,
-326  ,
-322  ,
-321  ,
-325  ,
-335  ,
-340  ,
-354  ,
-370  ,
-384  ,
-392  ,
-388  ,
-378  ,
-362  ,
-348  ,
-338  ,
-323  ,
-314  ,
-310  ,
-316  ,
-321  ,
-332  ,
-351  ,
-360  ,
-381  ,
-389  ,
-401  ,
-410  ,
-416  ,
-420  ,
-433  ,
-447  ,
-462  ,
-472  ,
-480  ,
-485  ,
-480  ,
-467  ,
-448  ,
-426  ,
-412  ,
-388  ,
-373  ,
-350  ,
-330  ,
-292  ,
-252  ,
-193  ,
-137  ,
-63 ,
9 ,
88  ,
166 ,
239 ,
310 ,
369 ,
421 ,
464 ,
501 ,
529 ,
551 ,
561 ,
552 ,
544 ,
518 ,
499 ,
472 ,
462 ,
447 ,
444 ,
426 ,
410 ,
382 ,
349 ,
294 ,
256 ,
185 ,
134 ,
66  ,
10  ,
-36 ,
-76 ,
-95 ,
-121  ,
-126  ,
-144  ,
-153  ,
-170  ,
-180  ,
-194  ,
-202  ,
-213  ,
-218  ,
-225  ,
-216  ,
-211  ,
-178  ,
-154  ,
-105  ,
-68 ,
-15 ,
18  ,
54  ,
72  ,
78  ,
70  ,
59  ,
36  ,
20  ,
-6  ,
-24 ,
-45 ,
-67 ,
-85 ,
-115  ,
-136  ,
-173  ,
-201  ,
-236  ,
-255  ,
-271  ,
-275  ,
-274  ,
-273  ,
-275  ,
-282  ,
-278  ,
-272  ,
-258  ,
-230  ,
-204  ,
-164  ,
-133  ,
-92 ,
-57 ,
-8  ,
36  ,
84  ,
128 ,
168 ,
206 ,
234 ,
262 ,
280 ,
301 ,
310 ,
323 ,
327 ,
330 ,
333 ,
333 ,
338 ,
338 ,
342 ,
343 ,
346 ,
342 ,
346 ,
331 ,
330 ,
311 ,
290 ,
266 ,
236 ,
212 ,
197 ,
195 ,
201 ,
220 ,
225 ,
245 ,
248 ,
263 ,
271 ,
286 ,
298 ,
324 ,
345 ,
381 ,
403 ,
427 ,
440 ,
438 ,
425 ,
396 ,
356 ,
319 ,
278 ,
247 ,
220 ,
199 ,
173 ,
159 ,
138 ,
130 ,
120 ,
111 ,
104 ,
88  ,
63  ,
21  ,
-19 ,
-67 ,
-114  ,
-159  ,
-206  ,
-252  ,
-293  ,
-329  ,
-354  ,
-372  ,
-379  ,
-381  ,
-377  ,
-378  ,
-374  ,
-376  ,
-374  ,
-372  ,
-357  ,
-339  ,
-309  ,
-280  ,
-239  ,
-205  ,
-160  ,
-121  ,
-82 ,
-57 ,
-40 ,
-38 ,
-42 ,
-63 ,
-79 ,
-106  ,
-128  ,
-150  ,
-175  ,
-192  ,
-218  ,
-229  ,
-245  ,
-248  ,
-247  ,
-242  ,
-229  ,
-217  ,
-202  ,
-181  ,
-156  ,
-130  ,
-107  ,
-81 ,
-62 ,
-34 ,
-9  ,
17  ,
49  ,
75  ,
107 ,
134 ,
159 ,
186 ,
216 ,
248 ,
287 ,
326 ,
364 ,
398 ,
419 ,
457 ,
485 ,
523 ,
559 ,
595 ,
628 ,
651 ,
668 ,
690 ,
697 ,
707 ,
717 ,
724 ,
715 ,
711 ,
703 ,
707 ,
708 ,
718 ,
723 ,
728 ,
728 ,
730 ,
734 ,
750 ,
768 ,
805 ,
836 ,
878 ,
905 ,
924 ,
941 ,
941 ,
945 ,
928 ,
920 ,
895 ,
883 ,
857 ,
834 ,
809 ,
768 ,
730 ,
677 ,
629 ,
589 ,
554 ,
539 ,
534 ,
535 ,
537 ,
527 ,
509 ,
483 ,
452 ,
415 ,
391 ,
350 ,
327 ,
301 ,
287 ,
272 ,
273 ,
272 ,
295 ,
303 ,
334 ,
360 ,
398 ,
445 ,
478 ,
520 ,
542 ,
557 ,
573 ,
579 ,
596 ,
607 ,
628 ,
656 ,
679 ,
702 ,
704 ,
701 ,
684 ,
665 ,
635 ,
606 ,
576 ,
533 ,
494 ,
448 ,
402 ,
352 ,
296 ,
231 ,
170 ,
97  ,
33  ,
-24 ,
-77 ,
-116  ,
-146  ,
-171  ,
-201  ,
-225  ,
-254  ,
-274  ,
-288  ,
-296  ,
-295  ,
-297  ,
-296  ,
-296  ,
-294  ,
-290  ,
-285  ,
-288  ,
-297  ,
-304  ,
-320  ,
-318  ,
-316  ,
-300  ,
-289  ,
-279  ,
-285  ,
-296  ,
-313  ,
-335  ,
-345  ,
-362  ,
-376  ,
-391  ,
-407  ,
-425  ,
-436  ,
-437  ,
-426  ,
-402  ,
-376  ,
-352  ,
-326  ,
-292  ,
-253  ,
-197  ,
-137  ,
-72 ,
-13 ,
47  ,
112 ,
174 ,
242 ,
308 ,
367 ,
420 ,
452 ,
478 ,
491 ,
505 ,
515 ,
529 ,
539 ,
548 ,
552 ,
561 ,
574 ,
595 ,
616 ,
638 ,
649 ,
659 ,
660 ,
656 ,
658 ,
660 ,
660 ,
656 ,
626 ,
602 ,
559 ,
521 ,
487 ,
448 ,
418 ,
394 ,
368 ,
354 ,
339 ,
327 ,
316 ,
303 ,
290 ,
271 ,
244 ,
214 ,
181 ,
139 ,
94  ,
53  ,
0 ,
-51 ,
-119  ,
-176  ,
-235  ,
-284  ,
-322  ,
-358  ,
-384  ,
-418  ,
-455  ,
-496  ,
-546  ,
-589  ,
-642  ,
-691  ,
-738  ,
-795  ,
-840  ,
-893  ,
-942  ,
-1004 ,
-1062 ,
-1123 ,
-1181 ,
-1230 ,
-1275 ,
-1303 ,
-1316 ,
-1307 ,
-1295 ,
-1282 ,
-1269 ,
-1259 ,
-1255 ,
-1251 ,
-1246 ,
-1226 ,
-1208 ,
-1175 ,
-1146 ,
-1108 ,
-1074 ,
-1050 ,
-1012 ,
-1003 ,
-977  ,
-972  ,
-954  ,
-942  ,
-922  ,
-899  ,
-873  ,
-851  ,
-831  ,
-817  ,
-810  ,
-807  ,
-803  ,
-802  ,
-790  ,
-776  ,
-753  ,
-729  ,
-691  ,
-646  ,
-589  ,
-534  ,
-475  ,
-428  ,
-384  ,
-344  ,
-310  ,
-276  ,
-244  ,
-210  ,
-187  ,
-152  ,
-130  ,
-92 ,
-65 ,
-29 ,
2 ,
25  ,
46  ,
51  ,
59  ,
53  ,
41  ,
35  ,
14  ,
12  ,
-8  ,
-23 ,
-43 ,
-69 ,
-92 ,
-117  ,
-143  ,
-160  ,
-187  ,
-206  ,
-233  ,
-262  ,
-293  ,
-326  ,
-356  ,
-385  ,
-416  ,
-431  ,
-455  ,
-468  ,
-488  ,
-506  ,
-529  ,
-561  ,
-596  ,
-634  ,
-659  ,
-678  ,
-686  ,
-687  ,
-684  ,
-677  ,
-675  ,
-681  ,
-688  ,
-697  ,
-705  ,
-709  ,
-709  ,
-698  ,
-680  ,
-658  ,
-622  ,
-595  ,
-564  ,
-544  ,
-525  ,
-504  ,
-488  ,
-467  ,
-452  ,
-423  ,
-393  ,
-370  ,
-342  ,
-329  ,
-311  ,
-298  ,
-277  ,
-251  ,
-213  ,
-171  ,
-130  ,
-83 ,
-41 ,
2 ,
45  ,
81  ,
121 ,
156 ,
184 ,
217 ,
238 ,
268 ,
282 ,
294 ,
299 ,
291 ,
277 ,
256 ,
228 ,
206 ,
177 ,
160 ,
139 ,
116 ,
91  ,
60  ,
33  ,
3 ,
-21 ,
-52 ,
-66 ,
-78 ,
-90 ,
-98 ,
-108  ,
-119  ,
-121  ,
-120  ,
-106  ,
-84 ,
-50 ,
-16 ,
29  ,
60  ,
95  ,
114 ,
139 ,
158 ,
184 ,
221 ,
269 ,
320 ,
368 ,
413 ,
446 ,
464 ,
470 ,
461 ,
445 ,
417 ,
392 ,
360 ,
340 ,
317 ,
299 ,
283 ,
266 ,
261 ,
252 ,
258 ,
262 ,
280 ,
299 ,
321 ,
337 ,
340 ,
336 ,
326 ,
316 ,
303 ,
290 ,
285 ,
276 ,
276 ,
269 ,
263 ,
250 ,
234 ,
224 ,
220 ,
223 ,
238 ,
257 ,
288 ,
316 ,
344 ,
364 ,
375 ,
374 ,
366 ,
348 ,
324 ,
302 ,
274 ,
254 ,
237 ,
226 ,
217 ,
209 ,
193 ,
174 ,
152 ,
128 ,
101 ,
71  ,
40  ,
10  ,
-24 ,
-61 ,
-95 ,
-130  ,
-163  ,
-192  ,
-219  ,
-240  ,
-257  ,
-274  ,
-289  ,
-300  ,
-307  ,
-305  ,
-302  ,
-282  ,
-273  ,
-252  ,
-233  ,
-208  ,
-180  ,
-146  ,
-119  ,
-99 ,
-94 ,
-98 ,
-114  ,
-145  ,
-178  ,
-211  ,
-239  ,
-260  ,
-274  ,
-280  ,
-280  ,
-274  ,
-272  ,
-265  ,
-272  ,
-276  ,
-292  ,
-305  ,
-315  ,
-325  ,
-325  ,
-314  ,
-297  ,
-264  ,
-225  ,
-185  ,
-131  ,
-93 ,
-38 ,
8 ,
58  ,
100 ,
140 ,
177 ,
210 ,
254 ,
287 ,
325 ,
361 ,
393 ,
419 ,
435 ,
446 ,
449 ,
445 ,
433 ,
418 ,
399 ,
392 ,
388 ,
394 ,
410 ,
419 ,
434 ,
440 ,
450 ,
453 ,
457 ,
463 ,
473 ,
474 ,
480 ,
475 ,
480 ,
470 ,
474 ,
469 ,
468 ,
473 ,
473 ,
486 ,
501 ,
518 ,
546 ,
570 ,
592 ,
617 ,
646 ,
671 ,
708 ,
728 ,
755 ,
762 ,
778 ,
777 ,
788 ,
792 ,
793 ,
799 ,
801 ,
795 ,
802 ,
800 ,
807 ,
811 ,
802 ,
787 ,
757 ,
725 ,
684 ,
633 ,
575 ,
511 ,
450 ,
392 ,
344 ,
301 ,
265 ,
229 ,
200 ,
170 ,
141 ,
109 ,
78  ,
49  ,
24  ,
1 ,
-11 ,
-17 ,
-15 ,
-6  ,
7 ,
30  ,
55  ,
88  ,
117 ,
147 ,
158 ,
158 ,
154 ,
148 ,
141 ,
139 ,
155 ,
174 ,
206 ,
236 ,
267 ,
292 ,
305 ,
311 ,
312 ,
303 ,
301 ,
304 ,
308 ,
334 ,
355 ,
381 ,
416 ,
450 ,
490 ,
523 ,
557 ,
578 ,
595 ,
600 ,
603 ,
609 ,
617 ,
620 ,
623 ,
623 ,
622 ,
617 ,
616 ,
599 ,
590 ,
568 ,
543 ,
513 ,
478 ,
449 ,
412 ,
378 ,
337 ,
300 ,
267 ,
233 ,
210 ,
187 ,
161 ,
139 ,
108 ,
76  ,
44  ,
6 ,
-24 ,
-54 ,
-83 ,
-119  ,
-157  ,
-198  ,
-237  ,
-276  ,
-309  ,
-338  ,
-363  ,
-377  ,
-392  ,
-394  ,
-401  ,
-392  ,
-386  ,
-372  ,
-353  ,
-334  ,
-306  ,
-277  ,
-233  ,
-192  ,
-136  ,
-94 ,
-42 ,
-8  ,
28  ,
49  ,
67  ,
83  ,
90  ,
100 ,
100 ,
94  ,
83  ,
64  ,
50  ,
36  ,
28  ,
24  ,
29  ,
34  ,
53  ,
66  ,
99  ,
113 ,
136 ,
150 ,
163 ,
172 ,
183 ,
189 ,
200 ,
208 ,
212 ,
223 ,
235 ,
255 ,
267 ,
296 ,
321 ,
355 ,
388 ,
418 ,
437 ,
444 ,
442 ,
432 ,
408 ,
385 ,
352 ,
323 ,
292 ,
270 ,
244 ,
214 ,
175 ,
132 ,
73  ,
6 ,
-58 ,
-130  ,
-188  ,
-246  ,
-289  ,
-327  ,
-345  ,
-351  ,
-351  ,
-333  ,
-318  ,
-306  ,
-312  ,
-327  ,
-358  ,
-390  ,
-420  ,
-446  ,
-458  ,
-468  ,
-478  ,
-479  ,
-478  ,
-479  ,
-474  ,
-487  ,
-495  ,
-528  ,
-559  ,
-597  ,
-636  ,
-658  ,
-681  ,
-687  ,
-695  ,
-699  ,
-706  ,
-712  ,
-717  ,
-720  ,
-718  ,
-726  ,
-725  ,
-743  ,
-742  ,
-756  ,
-762  ,
-772  ,
-793  ,
-802  ,
-826  ,
-834  ,
-846  ,
-842  ,
-842  ,
-826  ,
-822  ,
-808  ,
-802  ,
-780  ,
-753  ,
-713  ,
-669  ,
-606  ,
-553  ,
-489  ,
-439  ,
-385  ,
-346  ,
-304  ,
-275  ,
-244  ,
-227  ,
-207  ,
-204  ,
-192  ,
-194  ,
-200  ,
-216  ,
-239  ,
-260  ,
-291  ,
-305  ,
-331  ,
-342  ,
-364  ,
-376  ,
-395  ,
-413  ,
-434  ,
-459  ,
-484  ,
-508  ,
-539  ,
-560  ,
-590  ,
-610  ,
-636  ,
-651  ,
-657  ,
-658  ,
-644  ,
-629  ,
-592  ,
-568  ,
-530  ,
-497  ,
-457  ,
-423  ,
-388  ,
-374  ,
-367  ,
-390  ,
-419  ,
-474  ,
-525  ,
-587  ,
-645  ,
-694  ,
-736  ,
-764  ,
-797  ,
-814  ,
-845  ,
-865  ,
-898  ,
-933  ,
-963  ,
-999  ,
-1013 ,
-1023 ,
-1013 ,
-991  ,
-956  ,
-904  ,
-840  ,
-763  ,
-677  ,
-593  ,
-512  ,
-440  ,
-374  ,
-312  ,
-259  ,
-206  ,
-155  ,
-105  ,
-54 ,
3 ,
58  ,
121 ,
189 ,
244 ,
302 ,
332 ,
360 ,
361 ,
367 ,
359 ,
365 ,
365 ,
378 ,
382 ,
395 ,
393 ,
398 ,
385 ,
368 ,
341 ,
302 ,
258 ,
206 ,
159 ,
96  ,
50  ,
-5  ,
-46 ,
-81 ,
-109  ,
-126  ,
-142  ,
-141  ,
-147  ,
-141  ,
-140  ,
-146  ,
-146  ,
-151  ,
-146  ,
-136  ,
-114  ,
-92 ,
-56 ,
-27 ,
4 ,
27  ,
45  ,
62  ,
68  ,
72  ,
72  ,
68  ,
63  ,
65  ,
55  ,
55  ,
35  ,
10  ,
-18 ,
-59 ,
-83 ,
-120  ,
-139  ,
-171  ,
-194  ,
-221  ,
-245  ,
-277  ,
-297  ,
-312  ,
-305  ,
-284  ,
-257  ,
-211  ,
-179  ,
-130  ,
-91 ,
-41 ,
2 ,
45  ,
94  ,
133 ,
185 ,
218 ,
251 ,
282 ,
300 ,
310 ,
313 ,
293 ,
284 ,
256 ,
250 ,
241 ,
242 ,
246 ,
252 ,
258 ,
265 ,
267 ,
270 ,
266 ,
264 ,
251 ,
243 ,
231 ,
224 ,
220 ,
215 ,
225 ,
240 ,
276 ,
317 ,
370 ,
425 ,
468 ,
496 ,
509 ,
499 ,
490 ,
467 ,
459 ,
445 ,
440 ,
448 ,
451 ,
458 ,
458 ,
459 ,
445 ,
439 ,
421 ,
400 ,
377 ,
346 ,
320 ,
289 ,
262 ,
228 ,
194 ,
151 ,
112 ,
69  ,
32  ,
-12 ,
-55 ,
-108  ,
-158  ,
-217  ,
-262  ,
-306  ,
-330  ,
-344  ,
-340  ,
-338  ,
-313  ,
-303  ,
-283  ,
-273  ,
-270  ,
-267  ,
-277  ,
-285  ,
-297  ,
-295  ,
-292  ,
-268  ,
-247  ,
-220  ,
-194  ,
-171  ,
-140  ,
-109  ,
-72 ,
-31 ,
-4  ,
25  ,
44  ,
55  ,
55  ,
59  ,
50  ,
51  ,
44  ,
34  ,
15  ,
-1  ,
-30 ,
-54 ,
-84 ,
-108  ,
-134  ,
-150  ,
-161  ,
-159  ,
-140  ,
-114  ,
-77 ,
-47 ,
-5  ,
21  ,
45  ,
66  ,
82  ,
111 ,
141 ,
181 ,
226 ,
265 ,
308 ,
350 ,
391 ,
437 ,
468 ,
510 ,
535 ,
562 ,
572 ,
585 ,
586 ,
589 ,
579 ,
568 ,
552 ,
543 ,
537 ,
537 ,
536 ,
549 ,
543 ,
551 ,
542 ,
548 ,
548 ,
565 ,
608 ,
649 ,
721 ,
784 ,
866 ,
946 ,
1021  ,
1086  ,
1130  ,
1153  ,
1154  ,
1135  ,
1111  ,
1075  ,
1044  ,
1012  ,
987 ,
958 ,
929 ,
903 ,
870 ,
837 ,
795 ,
748 ,
689 ,
625 ,
564 ,
507 ,
459 ,
420 ,
395 ,
367 ,
345 ,
323 ,
299 ,
275 ,
256 ,
236 ,
226 ,
206 ,
188 ,
170 ,
157 ,
154 ,
159 ,
181 ,
205 ,
230 ,
264 ,
299 ,
332 ,
369 ,
397 ,
423 ,
441 ,
454 ,
473 ,
495 ,
521 ,
558 ,
591 ,
627 ,
653 ,
663 ,
662 ,
654 ,
636 ,
619 ,
594 ,
564 ,
528 ,
485 ,
444 ,
405 ,
362 ,
324 ,
277 ,
230 ,
173 ,
121 ,
63  ,
11  ,
-40 ,
-79 ,
-117  ,
-145  ,
-166  ,
-177  ,
-173  ,
-165  ,
-150  ,
-147  ,
-142  ,
-157  ,
-170  ,
-198  ,
-216  ,
-242  ,
-252  ,
-255  ,
-262  ,
-254  ,
-244  ,
-235  ,
-222  ,
-228  ,
-230  ,
-262  ,
-293  ,
-343  ,
-386  ,
-437  ,
-469  ,
-504  ,
-519  ,
-537  ,
-541  ,
-539  ,
-525  ,
-497  ,
-470  ,
-431  ,
-398  ,
-355  ,
-321  ,
-273  ,
-215  ,
-155  ,
-71 ,
12  ,
111 ,
207 ,
304 ,
386 ,
465 ,
520 ,
570 ,
595 ,
616 ,
621 ,
633 ,
636 ,
659 ,
670 ,
695 ,
705 ,
724 ,
739 ,
744 ,
754 ,
748 ,
742 ,
726 ,
710 ,
689 ,
686 ,
682 ,
706 ,
722 ,
747 ,
754 ,
755 ,
732 ,
702 ,
652 ,
601 ,
542 ,
484 ,
423 ,
371 ,
328 ,
298 ,
277 ,
261 ,
242 ,
232 ,
212 ,
205 ,
182 ,
172 ,
148 ,
128 ,
92  ,
58  ,
14  ,
-30 ,
-76 ,
-119  ,
-165  ,
-205  ,
-253  ,
-297  ,
-346  ,
-393  ,
-445  ,
-495  ,
-548  ,
-607  ,
-655  ,
-703  ,
-742  ,
-772  ,
-809  ,
-836  ,
-879  ,
-923  ,
-968  ,
-1014 ,
-1062 ,
-1106 ,
-1143 ,
-1170 ,
-1181 ,
-1184 ,
-1170 ,
-1145 ,
-1111 ,
-1079 ,
-1041 ,
-1026 ,
-1005 ,
-1010 ,
-1008 ,
-1019 ,
-1022 ,
-1016 ,
-1010 ,
-981  ,
-957  ,
-915  ,
-873  ,
-825  ,
-778  ,
-746  ,
-724  ,
-724  ,
-734  ,
-752  ,
-777  ,
-783  ,
-794  ,
-783  ,
-775  ,
-757  ,
-735  ,
-710  ,
-683  ,
-663  ,
-636  ,
-618  ,
-581  ,
-548  ,
-502  ,
-446  ,
-389  ,
-315  ,
-255  ,
-181  ,
-112  ,
-44 ,
16  ,
65  ,
107 ,
140 ,
158 ,
161 ,
151 ,
132 ,
107 ,
91  ,
73  ,
68  ,
57  ,
52  ,
31  ,
14  ,
-17 ,
-47 ,
-82 ,
-112  ,
-153  ,
-176  ,
-199  ,
-206  ,
-196  ,
-189  ,
-175  ,
-187  ,
-206  ,
-245  ,
-290  ,
-342  ,
-407  ,
-458  ,
-518  ,
-567  ,
-615  ,
-655  ,
-683  ,
-705  ,
-717  ,
-726  ,
-732  ,
-739  ,
-746  ,
-760  ,
-767  ,
-781  ,
-785  ,
-793  ,
-801  ,
-810  ,
-822  ,
-824  ,
-821  ,
-810  ,
-793  ,
-767  ,
-740  ,
-713  ,
-684  ,
-661  ,
-632  ,
-614  ,
-588  ,
-568  ,
-541  ,
-516  ,
-482  ,
-452  ,
-414  ,
-384  ,
-351  ,
-330  ,
-311  ,
-297  ,
-282  ,
-265  ,
-235  ,
-197  ,
-155  ,
-107  ,
-68 ,
-27 ,
-3  ,
16  ,
24  ,
19  ,
6 ,
-17 ,
-35 ,
-42 ,
-47 ,
-47 ,
-49 ,
-51 ,
-56 ,
-60 ,
-67 ,
-81 ,
-98 ,
-124  ,
-154  ,
-187  ,
-223  ,
-256  ,
-294  ,
-322  ,
-340  ,
-344  ,
-333  ,
-308  ,
-275  ,
-232  ,
-194  ,
-158  ,
-121  ,
-88 ,
-48 ,
-15 ,
22  ,
69  ,
114 ,
168 ,
216 ,
263 ,
305 ,
335 ,
360 ,
365 ,
363 ,
347 ,
329 ,
311 ,
284 ,
274 ,
248 ,
235 ,
225 ,
219 ,
231 ,
239 ,
251 ,
256 ,
254 ,
253 ,
243 ,
241 ,
237 ,
245 ,
262 ,
279 ,
299 ,
314 ,
321 ,
322 ,
311 ,
289 ,
263 ,
230 ,
198 ,
171 ,
148 ,
133 ,
137 ,
141 ,
165 ,
189 ,
221 ,
259 ,
287 ,
321 ,
338 ,
343 ,
344 ,
330 ,
328 ,
316 ,
315 ,
308 ,
310 ,
305 ,
312 ,
317 ,
315 ,
309 ,
286 ,
258 ,
219 ,
163 ,
119 ,
67  ,
28  ,
-8  ,
-43 ,
-65 ,
-89 ,
-109  ,
-133  ,
-146  ,
-168  ,
-187  ,
-211  ,
-230  ,
-264  ,
-273  ,
-306  ,
-303  ,
-324  ,
-323  ,
-338  ,
-350  ,
-370  ,
-393  ,
-405  ,
-425  ,
-427  ,
-432  ,
-422  ,
-409  ,
-394  ,
-375  ,
-354  ,
-344  ,
-326  ,
-331  ,
-342  ,
-363  ,
-397  ,
-422  ,
-450  ,
-473  ,
-479  ,
-480  ,
-471  ,
-447  ,
-421  ,
-381  ,
-337  ,
-299  ,
-249  ,
-219  ,
-175  ,
-144  ,
-104  ,
-57 ,
-24 ,
31  ,
66  ,
118 ,
166 ,
223 ,
288 ,
358 ,
421 ,
487 ,
541 ,
581 ,
606 ,
616 ,
621 ,
618 ,
605 ,
596 ,
585 ,
572 ,
559 ,
546 ,
530 ,
519 ,
504 ,
485 ,
470 ,
456 ,
455 ,
457 ,
476 ,
493 ,
525 ,
540 ,
560 ,
566 ,
565 ,
564 ,
545 ,
532 ,
508 ,
484 ,
463 ,
446 ,
439 ,
453 ,
469 ,
505 ,
538 ,
584 ,
622 ,
662 ,
688 ,
709 ,
724 ,
733 ,
735 ,
743 ,
739 ,
753 ,
764 ,
789 ,
819 ,
848 ,
880 ,
895 ,
902 ,
890 ,
862 ,
803 ,
740 ,
662 ,
587 ,
516 ,
450 ,
402 ,
363 ,
334 ,
314 ,
288 ,
264 ,
234 ,
197 ,
160 ,
115 ,
71  ,
28  ,
-13 ,
-43 ,
-67 ,
-85 ,
-101  ,
-111  ,
-120  ,
-125  ,
-119  ,
-112  ,
-91 ,
-62 ,
-28 ,
8 ,
43  ,
77  ,
111 ,
139 ,
167 ,
197 ,
213 ,
238 ,
234 ,
244 ,
236 ,
255 ,
268 ,
305 ,
343 ,
386 ,
434 ,
479 ,
519 ,
553 ,
579 ,
587 ,
599 ,
591 ,
598 ,
590 ,
597 ,
611 ,
631 ,
653 ,
674 ,
691 ,
714 ,
726 ,
756 ,
775 ,
794 ,
806 ,
800 ,
788 ,
753 ,
722 ,
672 ,
623 ,
571 ,
518 ,
468 ,
429 ,
391 ,
363 ,
333 ,
302 ,
266 ,
227 ,
196 ,
172 ,
151 ,
141 ,
118 ,
94  ,
47  ,
-14 ,
-91 ,
-163  ,
-237  ,
-293  ,
-339  ,
-370  ,
-399  ,
-409  ,
-416  ,
-413  ,
-401  ,
-387  ,
-372  ,
-354  ,
-345  ,
-325  ,
-310  ,
-281  ,
-245  ,
-208  ,
-161  ,
-123  ,
-92 ,
-57 ,
-34 ,
9 ,
49  ,
92  ,
128 ,
160 ,
181 ,
188 ,
177 ,
162 ,
139 ,
112 ,
94  ,
68  ,
61  ,
60  ,
79  ,
109 ,
146 ,
185 ,
222 ,
254 ,
283 ,
300 ,
320 ,
322 ,
333 ,
334 ,
340 ,
349 ,
358 ,
368 ,
380 ,
383 ,
393 ,
399 ,
401 ,
402 ,
403 ,
405 ,
401 ,
398 ,
386 ,
374 ,
343 ,
317 ,
278 ,
241 ,
194 ,
145 ,
90  ,
39  ,
-12 ,
-50 ,
-90 ,
-114  ,
-140  ,
-160  ,
-184  ,
-210  ,
-228  ,
-253  ,
-268  ,
-287  ,
-308  ,
-328  ,
-343  ,
-354  ,
-358  ,
-352  ,
-336  ,
-318  ,
-296  ,
-290  ,
-273  ,
-277  ,
-278  ,
-285  ,
-302  ,
-316  ,
-346  ,
-373  ,
-405  ,
-444  ,
-483  ,
-520  ,
-554  ,
-585  ,
-621  ,
-646  ,
-674  ,
-692  ,
-706  ,
-716  ,
-719  ,
-722  ,
-722  ,
-720  ,
-718  ,
-714  ,
-715  ,
-711  ,
-711  ,
-710  ,
-704  ,
-701  ,
-691  ,
-676  ,
-660  ,
-630  ,
-614  ,
-582  ,
-560  ,
-532  ,
-506  ,
-493  ,
-483  ,
-485  ,
-479  ,
-481  ,
-454  ,
-435  ,
-390  ,
-346  ,
-308  ,
-268  ,
-253  ,
-231  ,
-228  ,
-216  ,
-207  ,
-207  ,
-196  ,
-211  ,
-220  ,
-251  ,
-292  ,
-334  ,
-392  ,
-445  ,
-496  ,
-551  ,
-583  ,
-616  ,
-618  ,
-624  ,
-618  ,
-619  ,
-615  ,
-618  ,
-618  ,
-617  ,
-618  ,
-620  ,
-619  ,
-618  ,
-607  ,
-609  ,
-601  ,
-599  ,
-595  ,
-590  ,
-592  ,
-593  ,
-609  ,
-632  ,
-665  ,
-707  ,
-749  ,
-793  ,
-824  ,
-865  ,
-883  ,
-911  ,
-923  ,
-944  ,
-954  ,
-983  ,
-1003 ,
-1035 ,
-1052 ,
-1065 ,
-1074 ,
-1057 ,
-1050 ,
-1021 ,
-995  ,
-961  ,
-915  ,
-870  ,
-821  ,
-767  ,
-710  ,
-642  ,
-574  ,
-497  ,
-418  ,
-343  ,
-256  ,
-180  ,
-100  ,
-23 ,
47  ,
113 ,
171 ,
218 ,
257 ,
288 ,
308 ,
330 ,
343 ,
360 ,
370 ,
373 ,
374 ,
370 ,
360 ,
342 ,
316 ,
291 ,
261 ,
232 ,
203 ,
175 ,
147 ,
108 ,
78  ,
31  ,
-7  ,
-60 ,
-96 ,
-138  ,
-163  ,
-184  ,
-186  ,
-185  ,
-179  ,
-172  ,
-170  ,
-168  ,
-164  ,
-166  ,
-154  ,
-134  ,
-110  ,
-74 ,
-42 ,
-6  ,
24  ,
48  ,
73  ,
84  ,
97  ,
100 ,
95  ,
88  ,
76  ,
62  ,
42  ,
16  ,
-19 ,
-56 ,
-96 ,
-133  ,
-164  ,
-187  ,
-214  ,
-222  ,
-242  ,
-242  ,
-249  ,
-244  ,
-234  ,
-222  ,
-212  ,
-196  ,
-187  ,
-172  ,
-159  ,
-146  ,
-131  ,
-115  ,
-94 ,
-72 ,
-46 ,
-25 ,
3 ,
21  ,
41  ,
57  ,
68  ,
72  ,
76  ,
77  ,
71  ,
80  ,
87  ,
103 ,
124 ,
147 ,
173 ,
192 ,
205 ,
212 ,
214 ,
215 ,
209 ,
204 ,
204 ,
203 ,
211 ,
220 ,
243 ,
268 ,
302 ,
327 ,
361 ,
383 ,
410 ,
431 ,
451 ,
473 ,
488 ,
508 ,
518 ,
533 ,
543 ,
552 ,
560 ,
558 ,
550 ,
528 ,
499 ,
460 ,
421 ,
382 ,
345 ,
316 ,
286 ,
265 ,
250 ,
236 ,
233 ,
218 ,
210 ,
186 ,
151 ,
106 ,
62  ,
6 ,
-29 ,
-88 ,
-116  ,
-166  ,
-192  ,
-234  ,
-253  ,
-279  ,
-289  ,
-292  ,
-290  ,
-283  ,
-265  ,
-255  ,
-238  ,
-218  ,
-202  ,
-182  ,
-175  ,
-166  ,
-164  ,
-151  ,
-140  ,
-122  ,
-100  ,
-79 ,
-57 ,
-39 ,
-27 ,
-17 ,
1 ,
10  ,
40  ,
65  ,
90  ,
125 ,
147 ,
168 ,
172 ,
172 ,
162 ,
154 ,
141 ,
134 ,
125 ,
132 ,
134 ,
156 ,
166 ,
183 ,
191 ,
200 ,
207 ,
222 ,
230 ,
242 ,
257 ,
267 ,
292 ,
308 ,
332 ,
350 ,
366 ,
381 ,
390 ,
394 ,
402 ,
401 ,
400 ,
389 ,
375 ,
357 ,
339 ,
328 ,
332 ,
337 ,
359 ,
374 ,
390 ,
410 ,
418 ,
441 ,
459 ,
493 ,
532 ,
576 ,
625 ,
679 ,
728 ,
789 ,
840 ,
900 ,
948 ,
995 ,
1029  ,
1052  ,
1067  ,
1074  ,
1069  ,
1069  ,
1048  ,
1038  ,
1010  ,
986 ,
954 ,
926 ,
894 ,
865 ,
826 ,
784 ,
737 ,
687 ,
641 ,
599 ,
553 ,
518 ,
475 ,
439 ,
405 ,
375 ,
354 ,
328 ,
301 ,
276 ,
242 ,
216 ,
186 ,
169 ,
156 ,
152 ,
163 ,
180 ,
202 ,
235 ,
274 ,
324 ,
370 ,
417 ,
457 ,
483 ,
508 ,
518 ,
532 ,
539 ,
549 ,
554 ,
558 ,
553 ,
549 ,
536 ,
521 ,
510 ,
499 ,
495 ,
492 ,
487 ,
483 ,
466 ,
455 ,
435 ,
426 ,
406 ,
391 ,
361 ,
333 ,
284 ,
242 ,
187 ,
140 ,
96  ,
53  ,
13  ,
-13 ,
-27 ,
-28 ,
-24 ,
-16 ,
-9  ,
-8  ,
-17 ,
-35 ,
-54 ,
-77 ,
-99 ,
-120  ,
-141  ,
-156  ,
-172  ,
-192  ,
-214  ,
-245  ,
-279  ,
-322  ,
-371  ,
-426  ,
-478  ,
-521  ,
-565  ,
-586  ,
-615  ,
-622  ,
-634  ,
-635  ,
-628  ,
-615  ,
-595  ,
-573  ,
-544  ,
-517  ,
-485  ,
-450  ,
-405  ,
-354  ,
-301  ,
-235  ,
-180  ,
-112  ,
-62 ,
-9  ,
37  ,
84  ,
121 ,
164 ,
201 ,
245 ,
288 ,
344 ,
391 ,
452 ,
501 ,
552 ,
596 ,
640 ,
677 ,
707 ,
732 ,
754 ,
759 ,
775 ,
769 ,
771 ,
754 ,
751 ,
739 ,
742 ,
741 ,
748 ,
748 ,
744 ,
732 ,
718 ,
698 ,
679 ,
652 ,
631 ,
601 ,
573 ,
537 ,
503 ,
464 ,
429 ,
393 ,
359 ,
334 ,
300 ,
274 ,
244 ,
202 ,
166 ,
109 ,
62  ,
2 ,
-52 ,
-105  ,
-151  ,
-197  ,
-237  ,
-285  ,
-330  ,
-383  ,
-435  ,
-488  ,
-537  ,
-585  ,
-630  ,
-671  ,
-711  ,
-742  ,
-768  ,
-789  ,
-811  ,
-834  ,
-859  ,
-890  ,
-914  ,
-945  ,
-960  ,
-981  ,
-982  ,
-996  ,
-993  ,
-1007 ,
-1012 ,
-1013 ,
-1010 ,
-1004 ,
-998  ,
-996  ,
-998  ,
-1003 ,
-1012 ,
-1004 ,
-997  ,
-971  ,
-942  ,
-905  ,
-865  ,
-831  ,
-799  ,
-779  ,
-773  ,
-770  ,
-782  ,
-785  ,
-797  ,
-785  ,
-771  ,
-742  ,
-713  ,
-669  ,
-643  ,
-600  ,
-572  ,
-533  ,
-501  ,
-464  ,
-429  ,
-387  ,
-352  ,
-311  ,
-275  ,
-234  ,
-196  ,
-162  ,
-137  ,
-109  ,
-95 ,
-77 ,
-65 ,
-59 ,
-46 ,
-48 ,
-40 ,
-45 ,
-46 ,
-49 ,
-52 ,
-54 ,
-54 ,
-57 ,
-68 ,
-82 ,
-104  ,
-125  ,
-149  ,
-165  ,
-177  ,
-175  ,
-173  ,
-166  ,
-156  ,
-147  ,
-139  ,
-135  ,
-142  ,
-154  ,
-177  ,
-202  ,
-235  ,
-266  ,
-307  ,
-346  ,
-392  ,
-438  ,
-492  ,
-539  ,
-591  ,
-633  ,
-668  ,
-689  ,
-708  ,
-722  ,
-737  ,
-758  ,
-773  ,
-794  ,
-809  ,
-830  ,
-842  ,
-861  ,
-878  ,
-892  ,
-908  ,
-916  ,
-925  ,
-922  ,
-922  ,
-914  ,
-909  ,
-891  ,
-882  ,
-856  ,
-833  ,
-799  ,
-757  ,
-697  ,
-635  ,
-562  ,
-501  ,
-433  ,
-381  ,
-330  ,
-295  ,
-264  ,
-242  ,
-222  ,
-201  ,
-190  ,
-167  ,
-159  ,
-146  ,
-138  ,
-129  ,
-123  ,
-121  ,
-121  ,
-126  ,
-134  ,
-136  ,
-148  ,
-147  ,
-144  ,
-141  ,
-138  ,
-145  ,
-152  ,
-171  ,
-196  ,
-222  ,
-253  ,
-284  ,
-310  ,
-332  ,
-350  ,
-350  ,
-344  ,
-323  ,
-291  ,
-259  ,
-211  ,
-170  ,
-126  ,
-84 ,
-55 ,
-23 ,
-3  ,
19  ,
43  ,
63  ,
85  ,
108 ,
128 ,
147 ,
173 ,
189 ,
214 ,
227 ,
252 ,
258 ,
276 ,
277 ,
276 ,
272 ,
261 ,
256 ,
242 ,
231 ,
217 ,
203 ,
187 ,
178 ,
170 ,
171 ,
175 ,
183 ,
192 ,
214 ,
220 ,
237 ,
247 ,
260 ,
261 ,
266 ,
256 ,
246 ,
233 ,
221 ,
221 ,
221 ,
237 ,
251 ,
270 ,
290 ,
316 ,
340 ,
368 ,
391 ,
412 ,
429 ,
436 ,
439 ,
433 ,
428 ,
421 ,
412 ,
398 ,
379 ,
360 ,
341 ,
318 ,
307 ,
281 ,
273 ,
246 ,
231 ,
197 ,
176 ,
138 ,
110 ,
78  ,
55  ,
30  ,
13  ,
-6  ,
-20 ,
-41 ,
-62 ,
-83 ,
-110  ,
-135  ,
-167  ,
-202  ,
-229  ,
-254  ,
-265  ,
-264  ,
-261  ,
-251  ,
-252  ,
-254  ,
-265  ,
-282  ,
-302  ,
-333  ,
-364  ,
-394  ,
-407  ,
-424  ,
-424  ,
-424  ,
-425  ,
-431  ,
-441  ,
-463  ,
-472  ,
-495  ,
-497  ,
-506  ,
-494  ,
-485  ,
-468  ,
-450  ,
-423  ,
-399  ,
-365  ,
-333  ,
-294  ,
-250  ,
-211  ,
-174  ,
-141  ,
-113  ,
-85 ,
-47 ,
-18 ,
32  ,
78  ,
134 ,
198 ,
257 ,
320 ,
378 ,
431 ,
474 ,
516 ,
544 ,
573 ,
584 ,
606 ,
615 ,
631 ,
642 ,
653 ,
660 ,
667 ,
668 ,
677 ,
680 ,
693 ,
705 ,
718 ,
732 ,
743 ,
747 ,
750 ,
746 ,
730 ,
715 ,
683 ,
655 ,
623 ,
589 ,
566 ,
543 ,
538 ,
536 ,
553 ,
567 ,
592 ,
617 ,
640 ,
659 ,
671 ,
677 ,
684 ,
695 ,
700 ,
716 ,
718 ,
734 ,
727 ,
737 ,
741 ,
758 ,
773 ,
804 ,
823 ,
854 ,
869 ,
884 ,
885 ,
877 ,
855 ,
823 ,
780 ,
735 ,
685 ,
634 ,
584 ,
541 ,
495 ,
449 ,
402 ,
355 ,
308 ,
270 ,
229 ,
194 ,
159 ,
131 ,
110 ,
90  ,
78  ,
69  ,
60  ,
52  ,
32  ,
13  ,
-14 ,
-38 ,
-54 ,
-62 ,
-56 ,
-43 ,
-10 ,
20  ,
66  ,
104 ,
152 ,
186 ,
210 ,
231 ,
236 ,
242 ,
236 ,
236 ,
228 ,
225 ,
225 ,
229 ,
243 ,
259 ,
295 ,
333 ,
379 ,
429 ,
477 ,
524 ,
562 ,
590 ,
616 ,
630 ,
646 ,
657 ,
661 ,
661 ,
662 ,
655 ,
658 ,
657 ,
654 ,
649 ,
634 ,
624 ,
612 ,
603 ,
595 ,
590 ,
584 ,
581 ,
572 ,
553 ,
534 ,
503 ,
476 ,
442 ,
405 ,
374 ,
329 ,
300 ,
252 ,
222 ,
180 ,
143 ,
103 ,
58  ,
11  ,
-37 ,
-78 ,
-111  ,
-136  ,
-142  ,
-156  ,
-148  ,
-152  ,
-145  ,
-155  ,
-155  ,
-166  ,
-178  ,
-183  ,
-197  ,
-197  ,
-206  ,
-208  ,
-213  ,
-220  ,
-230  ,
-239  ,
-244  ,
-245  ,
-242  ,
-235  ,
-221  ,
-214  ,
-194  ,
-180  ,
-157  ,
-136  ,
-119  ,
-97 ,
-84 ,
-65 ,
-46 ,
-27 ,
0 ,
29  ,
54  ,
83  ,
97  ,
111 ,
122 ,
127 ,
131 ,
141 ,
151 ,
180 ,
208 ,
259 ,
294 ,
349 ,
371 ,
395 ,
402 ,
391 ,
378 ,
364 ,
346 ,
347 ,
332 ,
332 ,
325 ,
308 ,
289 ,
254 ,
218 ,
175 ,
129 ,
88  ,
35  ,
-7  ,
-60 ,
-97 ,
-141  ,
-179  ,
-210  ,
-253  ,
-271  ,
-304  ,
-309  ,
-323  ,
-328  ,
-339  ,
-362  ,
-383  ,
-422  ,
-448  ,
-486  ,
-508  ,
-534  ,
-547  ,
-572  ,
-583  ,
-607  ,
-611  ,
-616  ,
-613  ,
-604  ,
-594  ,
-584  ,
-572  ,
-562  ,
-544  ,
-535  ,
-525  ,
-527  ,
-536  ,
-553  ,
-588  ,
-614  ,
-655  ,
-679  ,
-708  ,
-720  ,
-731  ,
-731  ,
-726  ,
-722  ,
-705  ,
-695  ,
-672  ,
-662  ,
-644  ,
-631  ,
-614  ,
-594  ,
-572  ,
-539  ,
-507  ,
-464  ,
-427  ,
-380  ,
-350  ,
-307  ,
-285  ,
-254  ,
-238  ,
-215  ,
-203  ,
-183  ,
-180  ,
-168  ,
-175  ,
-182  ,
-195  ,
-212  ,
-228  ,
-244  ,
-254  ,
-260  ,
-263  ,
-266  ,
-263  ,
-276  ,
-281  ,
-300  ,
-317  ,
-340  ,
-367  ,
-395  ,
-424  ,
-453  ,
-483  ,
-510  ,
-545  ,
-574  ,
-604  ,
-625  ,
-636  ,
-637  ,
-622  ,
-600  ,
-558  ,
-516  ,
-468  ,
-431  ,
-398  ,
-375  ,
-361  ,
-357  ,
-358  ,
-374  ,
-391  ,
-415  ,
-446  ,
-473  ,
-505  ,
-536  ,
-565  ,
-596  ,
-631  ,
-660  ,
-700  ,
-733  ,
-765  ,
-800  ,
-824  ,
-863  ,
-888  ,
-924  ,
-954  ,
-983  ,
-1010 ,
-1029 ,
-1047 ,
-1055 ,
-1053 ,
-1043 ,
-1014 ,
-983  ,
-939  ,
-890  ,
-839  ,
-775  ,
-711  ,
-639  ,
-571  ,
-498  ,
-435  ,
-367  ,
-297  ,
-239  ,
-170  ,
-117  ,
-57 ,
-11 ,
35  ,
78  ,
111 ,
151 ,
177 ,
214 ,
232 ,
255 ,
265 ,
267 ,
266 ,
260 ,
258 ,
265 ,
271 ,
282 ,
294 ,
295 ,
301 ,
295 ,
286 ,
269 ,
253 ,
224 ,
208 ,
181 ,
173 ,
156 ,
148 ,
134 ,
130 ,
120 ,
116 ,
110 ,
115 ,
117 ,
128 ,
134 ,
143 ,
147 ,
151 ,
139 ,
127 ,
109 ,
85  ,
70  ,
42  ,
30  ,
9 ,
1 ,
-1  ,
-3  ,
10  ,
10  ,
14  ,
5 ,
-12 ,
-25 ,
-53 ,
-75 ,
-95 ,
-120  ,
-141  ,
-164  ,
-186  ,
-207  ,
-232  ,
-255  ,
-281  ,
-298  ,
-317  ,
-319  ,
-315  ,
-299  ,
-273  ,
-244  ,
-209  ,
-178  ,
-156  ,
-137  ,
-132  ,
-124  ,
-114  ,
-106  ,
-84 ,
-65 ,
-39 ,
-9  ,
15  ,
47  ,
62  ,
91  ,
105 ,
123 ,
135 ,
149 ,
154 ,
169 ,
166 ,
182 ,
179 ,
194 ,
192 ,
204 ,
213 ,
227 ,
251 ,
266 ,
298 ,
313 ,
343 ,
356 ,
375 ,
387 ,
398 ,
403 ,
396 ,
390 ,
370 ,
354 ,
334 ,
315 ,
300 ,
285 ,
279 ,
273 ,
275 ,
272 ,
275 ,
279 ,
276 ,
268 ,
256 ,
242 ,
216 ,
196 ,
154 ,
125 ,
82  ,
52  ,
16  ,
-10 ,
-37 ,
-63 ,
-88 ,
-113  ,
-138  ,
-162  ,
-177  ,
-187  ,
-195  ,
-190  ,
-180  ,
-165  ,
-142  ,
-120  ,
-102  ,
-82 ,
-69 ,
-58 ,
-50 ,
-42 ,
-32 ,
-21 ,
-14 ,
-4  ,
1 ,
2 ,
1 ,
-12 ,
-20 ,
-37 ,
-50 ,
-58 ,
-59 ,
-45 ,
-26 ,
6 ,
52  ,
95  ,
147 ,
188 ,
221 ,
245 ,
258 ,
267 ,
279 ,
287 ,
301 ,
306 ,
321 ,
327 ,
337 ,
333 ,
338 ,
331 ,
337 ,
330 ,
336 ,
340 ,
349 ,
365 ,
378 ,
402 ,
418 ,
438 ,
440 ,
436 ,
421 ,
399 ,
382 ,
356 ,
344 ,
324 ,
317 ,
309 ,
301 ,
305 ,
302 ,
310 ,
307 ,
308 ,
307 ,
311 ,
322 ,
337 ,
361 ,
401 ,
436 ,
494 ,
536 ,
593 ,
639 ,
694 ,
738 ,
784 ,
819 ,
852 ,
869 ,
885 ,
896 ,
903 ,
907 ,
909 ,
906 ,
901 ,
894 ,
876 ,
863 ,
834 ,
810 ,
776 ,
748 ,
708 ,
674 ,
636 ,
599 ,
555 ,
512 ,
457 ,
404 ,
356 ,
317 ,
289 ,
269 ,
269 ,
267 ,
282 ,
292 ,
316 ,
324 ,
346 ,
350 ,
362 ,
369 ,
386 ,
399 ,
430 ,
448 ,
480 ,
502 ,
529 ,
548 ,
571 ,
586 ,
600 ,
604 ,
603 ,
598 ,
585 ,
575 ,
558 ,
547 ,
536 ,
527 ,
516 ,
507 ,
493 ,
485 ,
463 ,
460 ,
445 ,
444 ,
448 ,
448 ,
459 ,
456 ,
459 ,
442 ,
422 ,
394 ,
365 ,
332 ,
302 ,
282 ,
258 ,
247 ,
230 ,
224 ,
207 ,
199 ,
182 ,
160 ,
135 ,
101 ,
63  ,
25  ,
-7  ,
-39 ,
-58 ,
-76 ,
-96 ,
-113  ,
-143  ,
-167  ,
-199  ,
-223  ,
-250  ,
-275  ,
-306  ,
-329  ,
-364  ,
-388  ,
-415  ,
-440  ,
-460  ,
-475  ,
-490  ,
-497  ,
-517  ,
-532  ,
-543  ,
-560  ,
-566  ,
-575  ,
-575  ,
-565  ,
-549  ,
-529  ,
-495  ,
-460  ,
-426  ,
-390  ,
-359  ,
-328  ,
-299  ,
-270  ,
-234  ,
-188  ,
-142  ,
-86 ,
-35 ,
15  ,
63  ,
113 ,
152 ,
199 ,
232 ,
272 ,
303 ,
335 ,
364 ,
389 ,
414 ,
446 ,
478 ,
513 ,
550 ,
589 ,
630 ,
665 ,
695 ,
718 ,
732 ,
737 ,
734 ,
731 ,
707 ,
691 ,
649 ,
618 ,
562 ,
523 ,
474 ,
441 ,
411 ,
392 ,
379 ,
365 ,
366 ,
341 ,
326 ,
287 ,
244 ,
193 ,
134 ,
75  ,
15  ,
-45 ,
-104  ,
-161  ,
-223  ,
-294  ,
-366  ,
-446  ,
-522  ,
-595  ,
-666  ,
-713  ,
-758  ,
-781  ,
-800  ,
-815  ,
-826  ,
-840  ,
-854  ,
-863  ,
-882  ,
-889  ,
-906  ,
-918  ,
-930  ,
-948  ,
-958  ,
-972  ,
-979  ,
-989  ,
-996  ,
-1009 ,
-1017 ,
-1034 ,
-1036 ,
-1048 ,
-1041 ,
-1031 ,
-1014 ,
-990  ,
-969  ,
-929  ,
-905  ,
-869  ,
-844  ,
-825  ,
-799  ,
-783  ,
-756  ,
-732  ,
-702  ,
-677  ,
-648  ,
-624  ,
-593  ,
-567  ,
-540  ,
-510  ,
-486  ,
-452  ,
-434  ,
-403  ,
-394  ,
-375  ,
-371  ,
-353  ,
-348  ,
-332  ,
-316  ,
-303  ,
-285  ,
-275  ,
-265  ,
-257  ,
-262  ,
-267  ,
-274  ,
-283  ,
-290  ,
-299  ,
-302  ,
-309  ,
-313  ,
-318  ,
-325  ,
-333  ,
-346  ,
-357  ,
-362  ,
-366  ,
-358  ,
-345  ,
-320  ,
-293  ,
-255  ,
-225  ,
-188  ,
-165  ,
-138  ,
-130  ,
-116  ,
-118  ,
-113  ,
-121  ,
-126  ,
-133  ,
-141  ,
-146  ,
-159  ,
-160  ,
-175  ,
-184  ,
-202  ,
-223  ,
-247  ,
-284  ,
-312  ,
-359  ,
-392  ,
-439  ,
-485  ,
-538  ,
-602  ,
-658  ,
-731  ,
-790  ,
-852  ,
-905  ,
-936  ,
-961  ,
-963  ,
-958  ,
-940  ,
-922  ,
-891  ,
-866  ,
-838  ,
-806  ,
-765  ,
-717  ,
-661  ,
-601  ,
-535  ,
-479  ,
-422  ,
-378  ,
-339  ,
-304  ,
-278  ,
-255  ,
-232  ,
-221  ,
-200  ,
-190  ,
-175  ,
-162  ,
-155  ,
-144  ,
-137  ,
-129  ,
-120  ,
-107  ,
-96 ,
-78 ,
-73 ,
-54 ,
-53 ,
-47 ,
-53 ,
-60 ,
-66 ,
-74 ,
-76 ,
-76 ,
-76 ,
-72 ,
-74 ,
-78 ,
-88 ,
-102  ,
-108  ,
-118  ,
-114  ,
-102  ,
-85 ,
-55 ,
-32 ,
-8  ,
5 ,
11  ,
8 ,
10  ,
4 ,
16  ,
28  ,
50  ,
75  ,
93  ,
119 ,
133 ,
153 ,
168 ,
180 ,
199 ,
212 ,
225 ,
237 ,
241 ,
251 ,
246 ,
244 ,
230 ,
219 ,
197 ,
186 ,
166 ,
157 ,
144 ,
130 ,
132 ,
122 ,
139 ,
146 ,
167 ,
188 ,
204 ,
220 ,
230 ,
242 ,
251 ,
267 ,
291 ,
316 ,
352 ,
383 ,
419 ,
451 ,
478 ,
497 ,
512 ,
519 ,
523 ,
530 ,
537 ,
549 ,
565 ,
583 ,
593 ,
606 ,
601 ,
597 ,
587 ,
572 ,
564 ,
544 ,
531 ,
511 ,
481 ,
450 ,
410 ,
368 ,
324 ,
272 ,
231 ,
174 ,
135 ,
92  ,
64  ,
41  ,
31  ,
21  ,
19  ,
16  ,
9 ,
11  ,
4 ,
1 ,
-16 ,
-31 ,
-63 ,
-86 ,
-128  ,
-153  ,
-184  ,
-207  ,
-232  ,
-254  ,
-279  ,
-306  ,
-323  ,
-345  ,
-350  ,
-366  ,
-373  ,
-391  ,
-408  ,
-421  ,
-434  ,
-427  ,
-425  ,
-412  ,
-408  ,
-398  ,
-397  ,
-403  ,
-404  ,
-408  ,
-405  ,
-400  ,
-390  ,
-374  ,
-356  ,
-326  ,
-297  ,
-258  ,
-226  ,
-191  ,
-160  ,
-138  ,
-110  ,
-87 ,
-55 ,
-23 ,
13  ,
51  ,
90  ,
132 ,
182 ,
227 ,
283 ,
326 ,
371 ,
406 ,
436 ,
454 ,
478 ,
494 ,
515 ,
527 ,
546 ,
556 ,
569 ,
582 ,
595 ,
611 ,
623 ,
635 ,
647 ,
661 ,
682 ,
707 ,
732 ,
761 ,
782 ,
794 ,
793 ,
788 ,
770 ,
756 ,
733 ,
717 ,
699 ,
686 ,
668 ,
662 ,
651 ,
654 ,
660 ,
673 ,
691 ,
704 ,
736 ,
751 ,
784 ,
806 ,
827 ,
848 ,
849 ,
858 ,
849 ,
850 ,
848 ,
851 ,
850 ,
851 ,
846 ,
840 ,
834 ,
821 ,
815 ,
810 ,
799 ,
796 ,
785 ,
771 ,
757 ,
728 ,
699 ,
651 ,
598 ,
539 ,
469 ,
406 ,
336 ,
280 ,
217 ,
162 ,
110 ,
59  ,
26  ,
-10 ,
-26 ,
-37 ,
-34 ,
-23 ,
-12 ,
3 ,
25  ,
49  ,
68  ,
91  ,
92  ,
109 ,
114 ,
130 ,
150 ,
175 ,
204 ,
233 ,
256 ,
277 ,
290 ,
296 ,
305 ,
310 ,
324 ,
330 ,
346 ,
349 ,
362 ,
366 ,
376 ,
380 ,
389 ,
389 ,
395 ,
394 ,
399 ,
401 ,
409 ,
418 ,
438 ,
445 ,
468 ,
476 ,
508 ,
525 ,
560 ,
575 ,
589 ,
589 ,
579 ,
565 ,
547 ,
525 ,
504 ,
479 ,
459 ,
428 ,
398 ,
363 ,
332 ,
301 ,
278 ,
248 ,
236 ,
212 ,
200 ,
192 ,
180 ,
180 ,
170 ,
162 ,
148 ,
134 ,
115 ,
90  ,
63  ,
31  ,
-3  ,
-35 ,
-66 ,
-90 ,
-109  ,
-127  ,
-141  ,
-152  ,
-173  ,
-189  ,
-214  ,
-231  ,
-252  ,
-277  ,
-288  ,
-318  ,
-329  ,
-356  ,
-367  ,
-372  ,
-373  ,
-367  ,
-360  ,
-356  ,
-345  ,
-342  ,
-324  ,
-309  ,
-285  ,
-254  ,
-229  ,
-187  ,
-162  ,
-129  ,
-106  ,
-80 ,
-59 ,
-35 ,
-20 ,
2 ,
30  ,
57  ,
97  ,
133 ,
176 ,
216 ,
258 ,
288 ,
318 ,
339 ,
351 ,
362 ,
364 ,
368 ,
360 ,
360 ,
347 ,
332 ,
310 ,
281 ,
254 ,
221 ,
197 ,
177 ,
162 ,
157 ,
149 ,
141 ,
131 ,
105 ,
75  ,
29  ,
-17 ,
-69 ,
-122  ,
-176  ,
-230  ,
-276  ,
-326  ,
-361  ,
-403  ,
-429  ,
-461  ,
-482  ,
-510  ,
-528  ,
-553  ,
-566  ,
-581  ,
-588  ,
-602  ,
-606  ,
-623  ,
-635  ,
-651  ,
-669  ,
-687  ,
-697  ,
-707  ,
-721  ,
-736  ,
-753  ,
-779  ,
-801  ,
-817  ,
-839  ,
-838  ,
-845  ,
-832  ,
-819  ,
-791  ,
-766  ,
-735  ,
-708  ,
-682  ,
-654  ,
-627  ,
-594  ,
-553  ,
-515  ,
-467  ,
-425  ,
-386  ,
-347  ,
-328  ,
-304  ,
-299  ,
-287  ,
-286  ,
-278  ,
-275  ,
-265  ,
-246  ,
-223  ,
-193  ,
-152  ,
-127  ,
-93 ,
-84 ,
-71 ,
-71 ,
-72 ,
-83 ,
-95 ,
-119  ,
-141  ,
-176  ,
-202  ,
-240  ,
-277  ,
-315  ,
-358  ,
-395  ,
-435  ,
-463  ,
-490  ,
-498  ,
-504  ,
-502  ,
-499  ,
-505  ,
-507  ,
-511  ,
-520  ,
-514  ,
-522  ,
-513  ,
-512  ,
-511  ,
-511  ,
-506  ,
-505  ,
-492  ,
-490  ,
-481  ,
-482  ,
-480  ,
-478  ,
-471  ,
-464  ,
-441  ,
-430  ,
-409  ,
-405  ,
-404  ,
-416  ,
-435  ,
-464  ,
-497  ,
-540  ,
-582  ,
-633  ,
-687  ,
-737  ,
-801  ,
-855  ,
-916  ,
-981  ,
-1036 ,
-1088 ,
-1129 ,
-1156 ,
-1173 ,
-1172 ,
-1170 ,
-1148 ,
-1123 ,
-1082 ,
-1028 ,
-967  ,
-900  ,
-837  ,
-783  ,
-732  ,
-686  ,
-648  ,
-607  ,
-567  ,
-526  ,
-473  ,
-434  ,
-376  ,
-321  ,
-257  ,
-191  ,
-133  ,
-80 ,
-35 ,
-12 ,
17  ,
25  ,
43  ,
53  ,
72  ,
89  ,
113 ,
128 ,
155 ,
162 ,
184 ,
190 ,
206 ,
214 ,
226 ,
236 ,
246 ,
255 ,
274 ,
286 ,
311 ,
322 ,
336 ,
341 ,
337 ,
327 ,
316 ,
304 ,
295 ,
281 ,
279 ,
273 ,
283 ,
288 ,
296 ,
300 ,
294 ,
292 ,
270 ,
259 ,
236 ,
213 ,
196 ,
167 ,
152 ,
129 ,
112 ,
100 ,
90  ,
82  ,
72  ,
61  ,
45  ,
33  ,
18  ,
5 ,
-5  ,
-21 ,
-34 ,
-52 ,
-73 ,
-96 ,
-119  ,
-134  ,
-154  ,
-161  ,
-176  ,
-182  ,
-182  ,
-184  ,
-175  ,
-159  ,
-137  ,
-105  ,
-77 ,
-42 ,
-6  ,
26  ,
59  ,
84  ,
105 ,
116 ,
127 ,
122 ,
133 ,
123 ,
132 ,
128 ,
136 ,
139 ,
144 ,
150 ,
151 ,
157 ,
162 ,
173 ,
185 ,
207 ,
218 ,
238 ,
245 ,
256 ,
255 ,
253 ,
242 ,
229 ,
214 ,
204 ,
186 ,
178 ,
155 ,
147 ,
125 ,
124 ,
111 ,
114 ,
115 ,
123 ,
125 ,
134 ,
139 ,
153 ,
166 ,
168 ,
165 ,
146 ,
113 ,
71  ,
24  ,
-21 ,
-60 ,
-86 ,
-102  ,
-110  ,
-106  ,
-102  ,
-94 ,
-86 ,
-72 ,
-64 ,
-48 ,
-43 ,
-28 ,
-19 ,
-9  ,
0 ,
0 ,
3 ,
-5  ,
-10 ,
-22 ,
-35 ,
-46 ,
-58 ,
-70 ,
-80 ,
-93 ,
-93 ,
-98 ,
-98 ,
-90 ,
-90 ,
-78 ,
-62 ,
-50 ,
-25 ,
-11 ,
14  ,
36  ,
52  ,
75  ,
93  ,
119 ,
145 ,
169 ,
194 ,
212 ,
232 ,
237 ,
247 ,
244 ,
247 ,
247 ,
250 ,
259 ,
273 ,
295 ,
315 ,
346 ,
361 ,
386 ,
390 ,
406 ,
400 ,
407 ,
397 ,
400 ,
392 ,
391 ,
383 ,
382 ,
372 ,
362 ,
352 ,
335 ,
320 ,
293 ,
278 ,
255 ,
249 ,
239 ,
244 ,
240 ,
254 ,
262 ,
283 ,
296 ,
320 ,
331 ,
347 ,
358 ,
368 ,
381 ,
396 ,
410 ,
434 ,
451 ,
479 ,
498 ,
517 ,
536 ,
550 ,
569 ,
577 ,
592 ,
600 ,
611 ,
613 ,
620 ,
620 ,
621 ,
616 ,
606 ,
583 ,
554 ,
518 ,
485 ,
444 ,
412 ,
372 ,
337 ,
295 ,
248 ,
207 ,
164 ,
133 ,
111 ,
102 ,
105 ,
119 ,
140 ,
173 ,
215 ,
257 ,
307 ,
347 ,
383 ,
418 ,
440 ,
466 ,
487 ,
506 ,
523 ,
541 ,
558 ,
572 ,
589 ,
604 ,
614 ,
630 ,
637 ,
655 ,
663 ,
683 ,
685 ,
693 ,
691 ,
679 ,
674 ,
659 ,
652 ,
644 ,
636 ,
635 ,
638 ,
646 ,
652 ,
661 ,
660 ,
666 ,
663 ,
663 ,
658 ,
653 ,
647 ,
635 ,
619 ,
602 ,
582 ,
565 ,
545 ,
530 ,
515 ,
500 ,
488 ,
472 ,
448 ,
424 ,
392 ,
363 ,
330 ,
303 ,
271 ,
247 ,
218 ,
200 ,
171 ,
156 ,
132 ,
125 ,
103 ,
96  ,
69  ,
51  ,
12  ,
-21 ,
-58 ,
-89 ,
-115  ,
-135  ,
-152  ,
-174  ,
-194  ,
-225  ,
-262  ,
-300  ,
-345  ,
-383  ,
-418  ,
-446  ,
-464  ,
-470  ,
-465  ,
-449  ,
-427  ,
-399  ,
-375  ,
-348  ,
-328  ,
-311  ,
-298  ,
-286  ,
-278  ,
-270  ,
-274  ,
-262  ,
-262  ,
-242  ,
-227  ,
-202  ,
-170  ,
-140  ,
-92 ,
-51 ,
3 ,
60  ,
106 ,
161 ,
197 ,
242 ,
277 ,
310 ,
347 ,
376 ,
411 ,
436 ,
466 ,
485 ,
515 ,
534 ,
563 ,
581 ,
600 ,
611 ,
621 ,
622 ,
625 ,
610 ,
596 ,
570 ,
546 ,
516 ,
480 ,
452 ,
415 ,
387 ,
348 ,
314 ,
276 ,
229 ,
184 ,
120 ,
62  ,
-3  ,
-71 ,
-133  ,
-195  ,
-250  ,
-300  ,
-343  ,
-376  ,
-409  ,
-423  ,
-451  ,
-461  ,
-479  ,
-497  ,
-510  ,
-540  ,
-557  ,
-593  ,
-623  ,
-654  ,
-691  ,
-719  ,
-749  ,
-774  ,
-798  ,
-818  ,
-833  ,
-845  ,
-855  ,
-868  ,
-874  ,
-885  ,
-885  ,
-889  ,
-881  ,
-866  ,
-841  ,
-810  ,
-772  ,
-741  ,
-703  ,
-674  ,
-641  ,
-617  ,
-588  ,
-574  ,
-545  ,
-530  ,
-504  ,
-483  ,
-454  ,
-432  ,
-408  ,
-388  ,
-378  ,
-364  ,
-365  ,
-353  ,
-351  ,
-332  ,
-323  ,
-308  ,
-301  ,
-295  ,
-293  ,
-291  ,
-290  ,
-282  ,
-280  ,
-275  ,
-286  ,
-302  ,
-327  ,
-356  ,
-389  ,
-425  ,
-458  ,
-494  ,
-523  ,
-552  ,
-580  ,
-599  ,
-612  ,
-611  ,
-607  ,
-594  ,
-576  ,
-549  ,
-525  ,
-496  ,
-475  ,
-457  ,
-449  ,
-443  ,
-446  ,
-440  ,
-444  ,
-437  ,
-431  ,
-422  ,
-408  ,
-399  ,
-389  ,
-375  ,
-369  ,
-360  ,
-355  ,
-357  ,
-356  ,
-372  ,
-389  ,
-414  ,
-450  ,
-491  ,
-539  ,
-596  ,
-653  ,
-717  ,
-779  ,
-831  ,
-881  ,
-919  ,
-958  ,
-996  ,
-1029 ,
-1063 ,
-1092 ,
-1117 ,
-1134 ,
-1137 ,
-1130 ,
-1106 ,
-1072 ,
-1030 ,
-976  ,
-914  ,
-855  ,
-794  ,
-743  ,
-699  ,
-650  ,
-614  ,
-568  ,
-530  ,
-492  ,
-458  ,
-421  ,
-384  ,
-344  ,
-297  ,
-252  ,
-198  ,
-158  ,
-114  ,
-87 ,
-65 ,
-49 ,
-38 ,
-33 ,
-32 ,
-30 ,
-30 ,
-13 ,
-2  ,
26  ,
47  ,
76  ,
100 ,
122 ,
139 ,
149 ,
158 ,
160 ,
163 ,
164 ,
161 ,
163 ,
154 ,
157 ,
152 ,
148 ,
141 ,
129 ,
112 ,
91  ,
77  ,
66  ,
69  ,
73  ,
89  ,
104 ,
114 ,
133 ,
133 ,
147 ,
146 ,
140 ,
134 ,
121 ,
115 ,
103 ,
95  ,
85  ,
76  ,
61  ,
44  ,
24  ,
3 ,
-16 ,
-30 ,
-39 ,
-47 ,
-47 ,
-51 ,
-47 ,
-49 ,
-47 ,
-43 ,
-32 ,
-19 ,
0 ,
16  ,
37  ,
56  ,
88  ,
113 ,
149 ,
179 ,
215 ,
248 ,
278 ,
309 ,
330 ,
351 ,
363 ,
365 ,
362 ,
355 ,
344 ,
338 ,
334 ,
328 ,
330 ,
326 ,
330 ,
334 ,
341 ,
341 ,
343 ,
335 ,
320 ,
302 ,
272 ,
243 ,
206 ,
177 ,
144 ,
125 ,
100 ,
94  ,
94  ,
103 ,
109 ,
121 ,
115 ,
117 ,
104 ,
94  ,
75  ,
68  ,
50  ,
47  ,
33  ,
28  ,
9 ,
2 ,
-32 ,
-49 ,
-81 ,
-106  ,
-131  ,
-152  ,
-172  ,
-191  ,
-207  ,
-227  ,
-249  ,
-263  ,
-277  ,
-279  ,
-276  ,
-265  ,
-252  ,
-228  ,
-215  ,
-199  ,
-189  ,
-191  ,
-184  ,
-184  ,
-187  ,
-191  ,
-198  ,
-208  ,
-219  ,
-227  ,
-239  ,
-244  ,
-251  ,
-247  ,
-243  ,
-230  ,
-213  ,
-184  ,
-150  ,
-107  ,
-69 ,
-22 ,
13  ,
54  ,
86  ,
116 ,
140 ,
158 ,
171 ,
187 ,
194 ,
212 ,
222 ,
239 ,
256 ,
265 ,
281 ,
292 ,
310 ,
327 ,
350 ,
383 ,
409 ,
445 ,
478 ,
511 ,
546 ,
574 ,
601 ,
620 ,
640 ,
650 ,
661 ,
669 ,
679 ,
685 ,
693 ,
693 ,
688 ,
686 ,
674 ,
671 ,
667 ,
670 ,
677 ,
678 ,
684 ,
680 ,
678 ,
669 ,
665 ,
654 ,
656 ,
657 ,
669 ,
682 ,
698 ,
706 ,
708 ,
706 ,
686 ,
670 ,
640 ,
620 ,
599 ,
586 ,
579 ,
580 ,
580 ,
587 ,
586 ,
597 ,
597 ,
611 ,
611 ,
620 ,
617 ,
613 ,
600 ,
581 ,
554 ,
526 ,
491 ,
455 ,
414 ,
373 ,
328 ,
285 ,
237 ,
196 ,
152 ,
119 ,
94  ,
67  ,
62  ,
51  ,
58  ,
56  ,
68  ,
76  ,
89  ,
109 ,
130 ,
165 ,
198 ,
235 ,
278 ,
315 ,
350 ,
380 ,
407 ,
421 ,
440 ,
437 ,
445 ,
444 ,
446 ,
445 ,
447 ,
443 ,
447 ,
444 ,
454 ,
464 ,
486 ,
512 ,
546 ,
579 ,
617 ,
642 ,
676 ,
699 ,
725 ,
747 ,
764 ,
779 ,
784 ,
777 ,
771 ,
745 ,
730 ,
689 ,
662 ,
621 ,
592 ,
561 ,
542 ,
520 ,
508 ,
495 ,
480 ,
471 ,
459 ,
447 ,
440 ,
432 ,
428 ,
427 ,
417 ,
414 ,
401 ,
389 ,
379 ,
366 ,
361 ,
353 ,
359 ,
358 ,
369 ,
363 ,
361 ,
336 ,
308 ,
271 ,
223 ,
178 ,
131 ,
85  ,
48  ,
2 ,
-33 ,
-70 ,
-97 ,
-125  ,
-143  ,
-163  ,
-181  ,
-194  ,
-217  ,
-241  ,
-266  ,
-301  ,
-323  ,
-351  ,
-370  ,
-385  ,
-399  ,
-399  ,
-400  ,
-393  ,
-385  ,
-375  ,
-363  ,
-347  ,
-326  ,
-298  ,
-263  ,
-224  ,
-184  ,
-151  ,
-121  ,
-101  ,
-81 ,
-67 ,
-51 ,
-31 ,
-4  ,
26  ,
62  ,
97  ,
134 ,
162 ,
183 ,
212 ,
225 ,
250 ,
264 ,
286 ,
303 ,
317 ,
325 ,
327 ,
324 ,
319 ,
302 ,
290 ,
273 ,
254 ,
238 ,
210 ,
188 ,
154 ,
123 ,
80  ,
51  ,
6 ,
-22 ,
-62 ,
-94 ,
-127  ,
-164  ,
-190  ,
-221  ,
-236  ,
-252  ,
-260  ,
-273  ,
-273  ,
-288  ,
-289  ,
-307  ,
-323  ,
-357  ,
-390  ,
-436  ,
-477  ,
-531  ,
-580  ,
-636  ,
-682  ,
-728  ,
-760  ,
-791  ,
-809  ,
-824  ,
-826  ,
-827  ,
-821  ,
-816  ,
-805  ,
-798  ,
-782  ,
-771  ,
-751  ,
-726  ,
-705  ,
-671  ,
-654  ,
-621  ,
-608  ,
-584  ,
-572  ,
-546  ,
-525  ,
-497  ,
-464  ,
-437  ,
-405  ,
-383  ,
-361  ,
-345  ,
-336  ,
-332  ,
-328  ,
-324  ,
-315  ,
-299  ,
-281  ,
-257  ,
-233  ,
-212  ,
-195  ,
-195  ,
-201  ,
-220  ,
-252  ,
-282  ,
-324  ,
-355  ,
-389  ,
-424  ,
-453  ,
-486  ,
-515  ,
-545  ,
-565  ,
-581  ,
-587  ,
-590  ,
-581  ,
-572  ,
-557  ,
-552  ,
-543  ,
-537  ,
-533  ,
-535  ,
-533  ,
-543  ,
-546  ,
-561  ,
-577  ,
-590  ,
-606  ,
-622  ,
-632  ,
-646  ,
-648  ,
-649  ,
-647  ,
-641  ,
-645  ,
-642  ,
-654  ,
-659  ,
-672  ,
-684  ,
-702  ,
-722  ,
-741  ,
-770  ,
-794  ,
-832  ,
-868  ,
-905  ,
-948  ,
-981  ,
-1016 ,
-1046 ,
-1086 ,
-1118 ,
-1164 ,
-1200 ,
-1237 ,
-1264 ,
-1278 ,
-1281 ,
-1266 ,
-1241 ,
-1196 ,
-1144 ,
-1083 ,
-1017 ,
-957  ,
-888  ,
-832  ,
-767  ,
-714  ,
-652  ,
-605  ,
-548  ,
-506  ,
-468  ,
-439  ,
-418  ,
-401  ,
-382  ,
-364  ,
-343  ,
-319  ,
-297  ,
-268  ,
-238  ,
-208  ,
-164  ,
-132  ,
-84 ,
-46 ,
2 ,
44  ,
92  ,
128 ,
174 ,
205 ,
237 ,
263 ,
282 ,
302 ,
315 ,
335 ,
351 ,
368 ,
380 ,
388 ,
388 ,
385 ,
376 ,
367 ,
349 ,
335 ,
314 ,
301 ,
288 ,
278 ,
271 ,
265 ,
258 ,
247 ,
236 ,
212 ,
196 ,
162 ,
142 ,
116 ,
96  ,
77  ,
67  ,
59  ,
58  ,
54  ,
59  ,
56  ,
63  ,
55  ,
62  ,
58  ,
67  ,
68  ,
74  ,
75  ,
81  ,
84  ,
82  ,
84  ,
77  ,
69  ,
60  ,
47  ,
41  ,
33  ,
34  ,
29  ,
36  ,
32  ,
39  ,
36  ,
45  ,
46  ,
65  ,
78  ,
110 ,
128 ,
157 ,
168 ,
180 ,
179 ,
175 ,
166 ,
158 ,
140 ,
135 ,
122 ,
119 ,
110 ,
106 ,
100 ,
92  ,
90  ,
83  ,
86  ,
89  ,
102 ,
113 ,
130 ,
148 ,
164 ,
181 ,
197 ,
216 ,
234 ,
249 ,
270 ,
274 ,
283 ,
267 ,
256 ,
234 ,
208 ,
187 ,
157 ,
133 ,
108 ,
86  ,
64  ,
42  ,
21  ,
-3  ,
-22 ,
-50 ,
-62 ,
-78 ,
-76 ,
-68 ,
-51 ,
-28 ,
1 ,
22  ,
49  ,
62  ,
74  ,
76  ,
73  ,
71  ,
60  ,
59  ,
51  ,
52  ,
57  ,
63  ,
69  ,
71  ,
70  ,
68  ,
65  ,
60  ,
58  ,
55  ,
55  ,
60  ,
57  ,
69  ,
66  ,
74  ,
71  ,
74  ,
69  ,
67  ,
63  ,
60  ,
64  ,
63  ,
76  ,
83  ,
99  ,
115 ,
132 ,
157 ,
177 ,
211 ,
235 ,
275 ,
302 ,
339 ,
369 ,
408 ,
437 ,
470 ,
497 ,
525 ,
547 ,
574 ,
587 ,
612 ,
616 ,
626 ,
620 ,
607 ,
589 ,
560 ,
534 ,
511 ,
486 ,
475 ,
458 ,
460 ,
461 ,
464 ,
471 ,
482 ,
493 ,
505 ,
517 ,
524 ,
534 ,
533 ,
530 ,
524 ,
511 ,
503 ,
486 ,
479 ,
471 ,
478 ,
477 ,
488 ,
495 ,
497 ,
506 ,
499 ,
507 ,
510 ,
516 ,
528 ,
537 ,
546 ,
548 ,
556 ,
552 ,
559 ,
551 ,
547 ,
529 ,
514 ,
482 ,
453 ,
411 ,
368 ,
321 ,
271 ,
226 ,
186 ,
153 ,
121 ,
97  ,
69  ,
50  ,
33  ,
22  ,
26  ,
37  ,
69  ,
111 ,
157 ,
217 ,
261 ,
315 ,
352 ,
384 ,
411 ,
434 ,
457 ,
484 ,
510 ,
540 ,
565 ,
594 ,
616 ,
636 ,
649 ,
657 ,
665 ,
662 ,
661 ,
664 ,
662 ,
672 ,
670 ,
678 ,
684 ,
688 ,
692 ,
694 ,
696 ,
695 ,
695 ,
701 ,
702 ,
712 ,
713 ,
718 ,
724 ,
720 ,
720 ,
710 ,
707 ,
694 ,
689 ,
684 ,
679 ,
675 ,
666 ,
650 ,
637 ,
614 ,
592 ,
560 ,
530 ,
491 ,
458 ,
421 ,
391 ,
354 ,
317 ,
272 ,
225 ,
181 ,
141 ,
111 ,
86  ,
71  ,
58  ,
56  ,
41  ,
36  ,
25  ,
16  ,
9 ,
-1  ,
-12 ,
-25 ,
-38 ,
-57 ,
-74 ,
-92 ,
-118  ,
-146  ,
-173  ,
-209  ,
-234  ,
-264  ,
-284  ,
-298  ,
-311  ,
-313  ,
-326  ,
-333  ,
-345  ,
-359  ,
-366  ,
-368  ,
-365  ,
-349  ,
-337  ,
-313  ,
-295  ,
-280  ,
-263  ,
-259  ,
-259  ,
-267  ,
-282  ,
-297  ,
-311  ,
-319  ,
-317  ,
-315  ,
-298  ,
-278  ,
-251  ,
-218  ,
-178  ,
-135  ,
-84 ,
-29 ,
29  ,
92  ,
148 ,
200 ,
252 ,
295 ,
335 ,
366 ,
397 ,
419 ,
443 ,
457 ,
465 ,
472 ,
470 ,
471 ,
460 ,
454 ,
446 ,
442 ,
430 ,
414 ,
385 ,
340 ,
299 ,
245 ,
193 ,
143 ,
91  ,
51  ,
9 ,
-25 ,
-69 ,
-102  ,
-144  ,
-173  ,
-209  ,
-234  ,
-267  ,
-296  ,
-336  ,
-373  ,
-413  ,
-450  ,
-489  ,
-527  ,
-554  ,
-583  ,
-600  ,
-617  ,
-631  ,
-641  ,
-655  ,
-666  ,
-681  ,
-694  ,
-708  ,
-721  ,
-734  ,
-745  ,
-761  ,
-771  ,
-793  ,
-804  ,
-827  ,
-840  ,
-854  ,
-857  ,
-855  ,
-847  ,
-832  ,
-819  ,
-800  ,
-781  ,
-758  ,
-728  ,
-701  ,
-661  ,
-626  ,
-587  ,
-550  ,
-520  ,
-485  ,
-460  ,
-432  ,
-407  ,
-374  ,
-352  ,
-319  ,
-296  ,
-274  ,
-257  ,
-247  ,
-240  ,
-238  ,
-242  ,
-248  ,
-255  ,
-269  ,
-275  ,
-285  ,
-287  ,
-291  ,
-286  ,
-287  ,
-277  ,
-279  ,
-274  ,
-282  ,
-286  ,
-298  ,
-313  ,
-329  ,
-354  ,
-370  ,
-399  ,
-411  ,
-432  ,
-442  ,
-452  ,
-452  ,
-451  ,
-446  ,
-446  ,
-447  ,
-454  ,
-453  ,
-464  ,
-455  ,
-460  ,
-449  ,
-454  ,
-452  ,
-467  ,
-477  ,
-491  ,
-509  ,
-521  ,
-539  ,
-552  ,
-571  ,
-595  ,
-615  ,
-645  ,
-676  ,
-709  ,
-751  ,
-786  ,
-836  ,
-881  ,
-939  ,
-984  ,
-1033 ,
-1067 ,
-1101 ,
-1126 ,
-1148 ,
-1160 ,
-1167 ,
-1161 ,
-1145 ,
-1116 ,
-1077 ,
-1033 ,
-986  ,
-939  ,
-897  ,
-857  ,
-822  ,
-784  ,
-751  ,
-704  ,
-663  ,
-607  ,
-554  ,
-502  ,
-445  ,
-392  ,
-342  ,
-293  ,
-247  ,
-201  ,
-160  ,
-123  ,
-95 ,
-71 ,
-57 ,
-40 ,
-27 ,
-15 ,
-2  ,
4 ,
11  ,
21  ,
29  ,
49  ,
65  ,
93  ,
114 ,
144 ,
162 ,
176 ,
186 ,
190 ,
193 ,
202 ,
206 ,
221 ,
231 ,
235 ,
240 ,
234 ,
224 ,
209 ,
185 ,
166 ,
144 ,
129 ,
116 ,
114 ,
108 ,
114 ,
105 ,
98  ,
87  ,
75  ,
71  ,
73  ,
81  ,
103 ,
117 ,
139 ,
151 ,
150 ,
154 ,
138 ,
135 ,
118 ,
105 ,
93  ,
75  ,
59  ,
46  ,
28  ,
21  ,
13  ,
10  ,
18  ,
19  ,
36  ,
51  ,
74  ,
100 ,
124 ,
143 ,
168 ,
181 ,
204 ,
214 ,
236 ,
250 ,
268 ,
278 ,
286 ,
283 ,
279 ,
270 ,
259 ,
245 ,
230 ,
215 ,
204 ,
195 ,
191 ,
188 ,
179 ,
173 ,
160 ,
150 ,
142 ,
131 ,
125 ,
119 ,
109 ,
105 ,
96  ,
91  ,
94  ,
100 ,
108 ,
116 ,
120 ,
114 ,
108 ,
93  ,
71  ,
50  ,
28  ,
13  ,
-2  ,
-8  ,
-11 ,
-14 ,
-7  ,
0 ,
8 ,
17  ,
12  ,
20  ,
1 ,
-8  ,
-33 ,
-60 ,
-91 ,
-124  ,
-160  ,
-184  ,
-220  ,
-235  ,
-261  ,
-270  ,
-284  ,
-295  ,
-297  ,
-304  ,
-294  ,
-284  ,
-267  ,
-244  ,
-224  ,
-199  ,
-178  ,
-161  ,
-140  ,
-124  ,
-109  ,
-100  ,
-90 ,
-86 ,
-81 ,
-80 ,
-71 ,
-65 ,
-57 ,
-56 ,
-51 ,
-52 ,
-46 ,
-39 ,
-27 ,
-13 ,
8 ,
28  ,
55  ,
74  ,
106 ,
126 ,
172 ,
199 ,
238 ,
270 ,
301 ,
328 ,
351 ,
369 ,
386 ,
398 ,
409 ,
419 ,
433 ,
440 ,
461 ,
470 ,
490 ,
500 ,
506 ,
520 ,
526 ,
553 ,
570 ,
601 ,
625 ,
646 ,
665 ,
669 ,
675 ,
669 ,
669 ,
658 ,
659 ,
645 ,
649 ,
637 ,
644 ,
637 ,
638 ,
627 ,
623 ,
608 ,
608 ,
600 ,
604 ,
601 ,
605 ,
593 ,
594 ,
577 ,
570 ,
551 ,
533 ,
516 ,
491 ,
471 ,
448 ,
431 ,
418 ,
410 ,
403 ,
390 ,
381 ,
357 ,
337 ,
313 ,
292 ,
271 ,
256 ,
238 ,
229 ,
210 ,
202 ,
194 ,
187 ,
181 ,
172 ,
157 ,
143 ,
118 ,
92  ,
61  ,
31  ,
1 ,
-24 ,
-43 ,
-52 ,
-53 ,
-47 ,
-31 ,
-10 ,
17  ,
41  ,
67  ,
91  ,
123 ,
154 ,
193 ,
224 ,
257 ,
287 ,
316 ,
343 ,
373 ,
390 ,
413 ,
426 ,
438 ,
449 ,
464 ,
479 ,
505 ,
533 ,
568 ,
599 ,
632 ,
653 ,
677 ,
689 ,
706 ,
714 ,
721 ,
727 ,
732 ,
736 ,
742 ,
745 ,
752 ,
754 ,
749 ,
745 ,
735 ,
725 ,
706 ,
691 ,
660 ,
635 ,
597 ,
566 ,
520 ,
486 ,
443 ,
412 ,
375 ,
349 ,
321 ,
295 ,
271 ,
258 ,
240 ,
240 ,
228 ,
227 ,
226 ,
229 ,
231 ,
239 ,
236 ,
244 ,
235 ,
229 ,
214 ,
195 ,
174 ,
150 ,
122 ,
95  ,
66  ,
35  ,
8 ,
-23 ,
-46 ,
-73 ,
-86 ,
-110  ,
-127  ,
-146  ,
-167  ,
-191  ,
-211  ,
-241  ,
-258  ,
-285  ,
-308  ,
-326  ,
-343  ,
-350  ,
-356  ,
-360  ,
-364  ,
-368  ,
-367  ,
-366  ,
-356  ,
-342  ,
-325  ,
-293  ,
-267  ,
-226  ,
-191  ,
-152  ,
-111  ,
-81 ,
-42 ,
-20 ,
6 ,
25  ,
37  ,
50  ,
57  ,
70  ,
85  ,
100 ,
121 ,
143 ,
172 ,
202 ,
233 ,
258 ,
286 ,
297 ,
313 ,
321 ,
326 ,
332 ,
335 ,
338 ,
341 ,
343 ,
347 ,
347 ,
343 ,
334 ,
322 ,
300 ,
274 ,
248 ,
218 ,
194 ,
169 ,
147 ,
123 ,
100 ,
70  ,
38  ,
4 ,
-32 ,
-71 ,
-108  ,
-147  ,
-183  ,
-211  ,
-243  ,
-262  ,
-283  ,
-297  ,
-317  ,
-326  ,
-343  ,
-357  ,
-382  ,
-410  ,
-449  ,
-489  ,
-527  ,
-566  ,
-596  ,
-623  ,
-642  ,
-653  ,
-662  ,
-661  ,
-656  ,
-647  ,
-635  ,
-625  ,
-615  ,
-605  ,
-595  ,
-587  ,
-572  ,
-555  ,
-532  ,
-504  ,
-467  ,
-434  ,
-391  ,
-362  ,
-327  ,
-299  ,
-281  ,
-259  ,
-249  ,
-224  ,
-208  ,
-182  ,
-157  ,
-133  ,
-115  ,
-100  ,
-98 ,
-100  ,
-115  ,
-131  ,
-152  ,
-173  ,
-192  ,
-211  ,
-223  ,
-238  ,
-241  ,
-248  ,
-251  ,
-245  ,
-249  ,
-244  ,
-254  ,
-254  ,
-267  ,
-269  ,
-278  ,
-274  ,
-274  ,
-268  ,
-268  ,
-266  ,
-265  ,
-280  ,
-288  ,
-315  ,
-337  ,
-361  ,
-389  ,
-410  ,
-438  ,
-459  ,
-486  ,
-512  ,
-537  ,
-570  ,
-589  ,
-614  ,
-630  ,
-648  ,
-665  ,
-684  ,
-703  ,
-729  ,
-760  ,
-791  ,
-828  ,
-855  ,
-892  ,
-914  ,
-942  ,
-953  ,
-973  ,
-980  ,
-997  ,
-1002 ,
-1011 ,
-1017 ,
-1019 ,
-1018 ,
-1016 ,
-1006 ,
-994  ,
-979  ,
-953  ,
-930  ,
-898  ,
-866  ,
-834  ,
-795  ,
-758  ,
-714  ,
-669  ,
-629  ,
-574  ,
-530  ,
-476  ,
-431  ,
-386  ,
-341  ,
-305  ,
-265  ,
-232  ,
-200  ,
-172  ,
-145  ,
-120  ,
-89 ,
-63 ,
-26 ,
3 ,
39  ,
70  ,
107 ,
142 ,
176 ,
213 ,
238 ,
263 ,
278 ,
289 ,
296 ,
304 ,
309 ,
320 ,
325 ,
335 ,
345 ,
348 ,
362 ,
366 ,
379 ,
375 ,
375 ,
358 ,
341 ,
314 ,
285 ,
251 ,
214 ,
178 ,
144 ,
103 ,
77  ,
32  ,
11  ,
-32 ,
-56 ,
-92 ,
-116  ,
-134  ,
-145  ,
-137  ,
-127  ,
-109  ,
-88 ,
-79 ,
-66 ,
-74 ,
-77 ,
-93 ,
-101  ,
-110  ,
-110  ,
-110  ,
-99 ,
-92 ,
-79 ,
-72 ,
-62 ,
-59 ,
-60 ,
-56 ,
-61 ,
-54 ,
-52 ,
-48 ,
-50 ,
-49 ,
-60 ,
-72 ,
-87 ,
-102  ,
-116  ,
-127  ,
-130  ,
-139  ,
-132  ,
-135  ,
-123  ,
-119  ,
-104  ,
-96 ,
-80 ,
-71 ,
-55 ,
-45 ,
-27 ,
-17 ,
1 ,
6 ,
21  ,
20  ,
27  ,
27  ,
38  ,
44  ,
61  ,
78  ,
98  ,
121 ,
134 ,
159 ,
167 ,
179 ,
179 ,
185 ,
179 ,
183 ,
174 ,
182 ,
174 ,
177 ,
166 ,
171 ,
160 ,
162 ,
153 ,
153 ,
142 ,
131 ,
119 ,
97  ,
84  ,
54  ,
37  ,
11  ,
-13 ,
-34 ,
-59 ,
-76 ,
-91 ,
-110  ,
-115  ,
-131  ,
-137  ,
-145  ,
-152  ,
-152  ,
-153  ,
-144  ,
-134  ,
-123  ,
-104  ,
-89 ,
-72 ,
-53 ,
-41 ,
-24 ,
-14 ,
-11 ,
-2  ,
-16 ,
-18 ,
-47 ,
-62 ,
-85 ,
-107  ,
-118  ,
-135  ,
-136  ,
-140  ,
-136  ,
-135  ,
-129  ,
-126  ,
-114  ,
-103  ,
-85 ,
-50 ,
-26 ,
20  ,
48  ,
90  ,
116 ,
142 ,
166 ,
182 ,
195 ,
210 ,
221 ,
233 ,
254 ,
272 ,
296 ,
322 ,
339 ,
357 ,
367 ,
369 ,
372 ,
371 ,
370 ,
371 ,
364 ,
363 ,
349 ,
335 ,
322 ,
301 ,
293 ,
281 ,
277 ,
279 ,
288 ,
299 ,
317 ,
332 ,
342 ,
356 ,
361 ,
371 ,
378 ,
385 ,
391 ,
395 ,
400 ,
393 ,
400 ,
392 ,
402 ,
408 ,
421 ,
440 ,
460 ,
476 ,
489 ,
496 ,
495 ,
488 ,
474 ,
445 ,
422 ,
385 ,
355 ,
323 ,
298 ,
270 ,
249 ,
220 ,
198 ,
181 ,
163 ,
163 ,
157 ,
163 ,
164 ,
165 ,
163 ,
154 ,
141 ,
134 ,
121 ,
119 ,
108 ,
117 ,
117 ,
138 ,
153 ,
175 ,
200 ,
220 ,
240 ,
255 ,
272 ,
288 ,
310 ,
331 ,
359 ,
386 ,
410 ,
443 ,
463 ,
494 ,
515 ,
541 ,
562 ,
585 ,
605 ,
629 ,
647 ,
658 ,
679 ,
690 ,
708 ,
719 ,
734 ,
748 ,
757 ,
772 ,
776 ,
786 ,
788 ,
791 ,
794 ,
795 ,
798 ,
800 ,
806 ,
806 ,
810 ,
811 ,
813 ,
808 ,
800 ,
786 ,
769 ,
741 ,
706 ,
668 ,
627 ,
590 ,
542 ,
504 ,
454 ,
411 ,
360 ,
308 ,
261 ,
210 ,
167 ,
128 ,
93  ,
61  ,
37  ,
13  ,
5 ,
-3  ,
0 ,
-4  ,
3 ,
-3  ,
-1  ,
-8  ,
-18 ,
-25 ,
-43 ,
-53 ,
-68 ,
-76 ,
-84 ,
-88 ,
-89 ,
-97 ,
-97 ,
-109  ,
-120  ,
-134  ,
-147  ,
-155  ,
-159  ,
-165  ,
-159  ,
-166  ,
-167  ,
-178  ,
-189  ,
-206  ,
-226  ,
-247  ,
-266  ,
-282  ,
-289  ,
-290  ,
-282  ,
-272  ,
-253  ,
-233  ,
-206  ,
-177  ,
-147  ,
-107  ,
-68 ,
-28 ,
11  ,
50  ,
77  ,
109 ,
123 ,
150 ,
159 ,
185 ,
202 ,
234 ,
263 ,
302 ,
338 ,
372 ,
400 ,
412 ,
429 ,
433 ,
442 ,
447 ,
455 ,
460 ,
473 ,
475 ,
491 ,
487 ,
488 ,
483 ,
470 ,
462 ,
448 ,
432 ,
409 ,
378 ,
344 ,
300 ,
263 ,
211 ,
170 ,
122 ,
82  ,
43  ,
10  ,
-17 ,
-43 ,
-62 ,
-86 ,
-103  ,
-127  ,
-136  ,
-158  ,
-160  ,
-180  ,
-176  ,
-191  ,
-201  ,
-217  ,
-247  ,
-274  ,
-314  ,
-353  ,
-399  ,
-443  ,
-492  ,
-533  ,
-572  ,
-606  ,
-637  ,
-661  ,
-682  ,
-699  ,
-707  ,
-717  ,
-716  ,
-721  ,
-714  ,
-718  ,
-705  ,
-699  ,
-677  ,
-655  ,
-622  ,
-593  ,
-553  ,
-530  ,
-499  ,
-480  ,
-467  ,
-443  ,
-432  ,
-400  ,
-372  ,
-338  ,
-294  ,
-263  ,
-220  ,
-196  ,
-163  ,
-149  ,
-129  ,
-126  ,
-113  ,
-111  ,
-104  ,
-104  ,
-102  ,
-111  ,
-123  ,
-143  ,
-167  ,
-188  ,
-211  ,
-226  ,
-238  ,
-246  ,
-258  ,
-267  ,
-283  ,
-302  ,
-319  ,
-340  ,
-354  ,
-360  ,
-369  ,
-362  ,
-355  ,
-347  ,
-338  ,
-335  ,
-335  ,
-339  ,
-344  ,
-360  ,
-367  ,
-387  ,
-395  ,
-411  ,
-423  ,
-445  ,
-467  ,
-512  ,
-553  ,
-613  ,
-666  ,
-718  ,
-772  ,
-808  ,
-849  ,
-869  ,
-898  ,
-913  ,
-939  ,
-953  ,
-975  ,
-992  ,
-1014 ,
-1028 ,
-1048 ,
-1058 ,
-1076 ,
-1088 ,
-1099 ,
-1115 ,
-1118 ,
-1132 ,
-1123 ,
-1122 ,
-1096 ,
-1078 ,
-1036 ,
-996  ,
-946  ,
-895  ,
-845  ,
-796  ,
-753  ,
-714  ,
-673  ,
-636  ,
-597  ,
-556  ,
-515  ,
-470  ,
-427  ,
-384  ,
-338  ,
-296  ,
-259  ,
-217  ,
-184  ,
-146  ,
-121  ,
-93 ,
-73 ,
-58 ,
-42 ,
-35 ,
-29 ,
-25 ,
-27 ,
-22 ,
-27 ,
-22 ,
-24 ,
-12 ,
-4  ,
12  ,
33  ,
58  ,
82  ,
107 ,
122 ,
135 ,
135 ,
133 ,
119 ,
111 ,
96  ,
88  ,
81  ,
80  ,
74  ,
73  ,
66  ,
58  ,
56  ,
46  ,
44  ,
42  ,
38  ,
45  ,
38  ,
42  ,
32  ,
22  ,
11  ,
-2  ,
-11 ,
-16 ,
-20 ,
-20 ,
-18 ,
-16 ,
-8  ,
-5  ,
4 ,
3 ,
16  ,
20  ,
34  ,
54  ,
68  ,
96  ,
110 ,
128 ,
136 ,
141 ,
137 ,
135 ,
129 ,
129 ,
124 ,
126 ,
120 ,
115 ,
113 ,
101 ,
93  ,
79  ,
69  ,
61  ,
58  ,
62  ,
67  ,
84  ,
92  ,
115 ,
126 ,
148 ,
154 ,
171 ,
171 ,
176 ,
173 ,
159 ,
149 ,
126 ,
109 ,
84  ,
62  ,
45  ,
33  ,
24  ,
24  ,
23  ,
34  ,
40  ,
53  ,
64  ,
75  ,
87  ,
88  ,
97  ,
94  ,
96  ,
88  ,
86  ,
70  ,
68  ,
44  ,
33  ,
8 ,
-9  ,
-40 ,
-62 ,
-100  ,
-127  ,
-161  ,
-190  ,
-220  ,
-244  ,
-268  ,
-285  ,
-304  ,
-320  ,
-333  ,
-351  ,
-355  ,
-370  ,
-365  ,
-373  ,
-367  ,
-362  ,
-350  ,
-336  ,
-319  ,
-305  ,
-289  ,
-279  ,
-271  ,
-264  ,
-258  ,
-256  ,
-250  ,
-238  ,
-230  ,
-213  ,
-200  ,
-184  ,
-170  ,
-144  ,
-126  ,
-92 ,
-65 ,
-29 ,
5 ,
46  ,
79  ,
110 ,
140 ,
154 ,
173 ,
181 ,
195 ,
211 ,
227 ,
250 ,
270 ,
298 ,
317 ,
349 ,
369 ,
405 ,
425 ,
463 ,
485 ,
524 ,
547 ,
579 ,
604 ,
625 ,
641 ,
650 ,
652 ,
650 ,
650 ,
648 ,
660 ,
659 ,
670 ,
664 ,
672 ,
663 ,
663 ,
653 ,
650 ,
644 ,
642 ,
636 ,
641 ,
636 ,
643 ,
639 ,
643 ,
639 ,
633 ,
629 ,
618 ,
619 ,
615 ,
612 ,
614 ,
608 ,
608 ,
599 ,
591 ,
578 ,
564 ,
550 ,
533 ,
515 ,
499 ,
482 ,
471 ,
453 ,
446 ,
421 ,
402 ,
371 ,
342 ,
315 ,
284 ,
265 ,
233 ,
221 ,
190 ,
171 ,
138 ,
113 ,
83  ,
61  ,
44  ,
34  ,
29  ,
32  ,
33  ,
42  ,
47  ,
57  ,
59  ,
65  ,
62  ,
60  ,
55  ,
48  ,
40  ,
33  ,
29  ,
32  ,
46  ,
62  ,
91  ,
135 ,
172 ,
227 ,
269 ,
320 ,
367 ,
414 ,
466 ,
517 ,
565 ,
595 ,
633 ,
672 ,
705 ,
730 ,
741 ,
759 ,
805 ,
826 ,
860 ,
909 ,
958 ,
956 ,
923 ,
903 ,
854 ,
779 ,
696 ,
647 ,
590 ,
550 ,
543 ,
557 ,
560 ,
566 ,
607 ,
660 ,
688 ,
704 ,
749 ,
788 ,
833 ,
859 ,
897 ,
902 ,
916 ,
935 ,
925 ,
835 ,
736 ,
655 ,
585 ,
512 ,
467 ,
433 ,
407 ,
342 ,
316 ,
292 ,
289 ,
273 ,
289 ,
308 ,
325 ,
341 ,
365 ,
381 ,
406 ,
434 ,
482 ,
495 ,
455 ,
360 ,
265 ,
191 ,
119 ,
54  ,
-18 ,
-84 ,
-128  ,
-120  ,
-141  ,
-182  ,
-232  ,
-241  ,
-260  ,
-328  ,
-411  ,
-473  ,
-511  ,
-524  ,
-517  ,
-488  ,
-455  ,
-385  ,
-284  ,
-186  ,
-122  ,
-100  ,
-93 ,
-100  ,
-141  ,
-194  ,
-251  ,
-283  ,
-319  ,
-331  ,
-327  ,
-295  ,
-264  ,
-214  ,
-155  ,
-100  ,
-63 ,
-73 ,
-128  ,
-217  ,
-291  ,
-315  ,
-316  ,
-307  ,
-288  ,
-227  ,
-158  ,
-77 ,
-20 ,
36  ,
62  ,
101 ,
111 ,
106 ,
59  ,
7 ,
-20 ,
-38 ,
-28 ,
-4  ,
22  ,
47  ,
53  ,
47  ,
36  ,
16  ,
6 ,
-11 ,
-24 ,
-39 ,
-46 ,
-36 ,
-18 ,
4 ,
34  ,
59  ,
88  ,
76  ,
44  ,
-6  ,
-67 ,
-141  ,
-239  ,
-329  ,
-412  ,
-475  ,
-532  ,
-590  ,
-633  ,
-650  ,
-645  ,
-621  ,
-599  ,
-566  ,
-526  ,
-466  ,
-417  ,
-391  ,
-399  ,
-413  ,
-422  ,
-396  ,
-383  ,
-360  ,
-345  ,
-319  ,
-303  ,
-291  ,
-272  ,
-243  ,
-194  ,
-144  ,
-98 ,
-61 ,
-57 ,
-69 ,
-93 ,
-115  ,
-126  ,
-133  ,
-136  ,
-156  ,
-173  ,
-184  ,
-160  ,
-138  ,
-120  ,
-102  ,
-85 ,
-74 ,
-77 ,
-77 ,
-83 ,
-69 ,
-71 ,
-55 ,
-47 ,
-47 ,
-53 ,
-48 ,
-71 ,
-112  ,
-179  ,
-229  ,
-280  ,
-332  ,
-394  ,
-439  ,
-483  ,
-518  ,
-574  ,
-636  ,
-701  ,
-756  ,
-807  ,
-846  ,
-885  ,
-927  ,
-963  ,
-973  ,
-957  ,
-937  ,
-906  ,
-875  ,
-852  ,
-847  ,
-852  ,
-870  ,
-881  ,
-919  ,
-965  ,
-1027 ,
-1087 ,
-1145 ,
-1202 ,
-1253 ,
-1296 ,
-1334 ,
-1379 ,
-1413 ,
-1471 ,
-1529 ,
-1596 ,
-1650 ,
-1694 ,
-1739 ,
-1762 ,
-1775 ,
-1767 ,
-1738 ,
-1685 ,
-1605 ,
-1525 ,
-1432 ,
-1357 ,
-1281 ,
-1196 ,
-1113 ,
-1010 ,
-925  ,
-831  ,
-765  ,
-694  ,
-631  ,
-567  ,
-504  ,
-435  ,
-364  ,
-292  ,
-240  ,
-198  ,
-158  ,
-127  ,
-97 ,
-64 ,
-10 ,
46  ,
88  ,
118 ,
142 ,
182 ,
217 ,
252 ,
278 ,
305 ,
330 ,
379 ,
426 ,
478 ,
512 ,
553 ,
601 ,
665 ,
706 ,
727 ,
743 ,
750 ,
757 ,
742 ,
720 ,
701 ,
674 ,
656 ,
632 ,
606 ,
553 ,
508 ,
451 ,
401 ,
343 ,
294 ,
255 ,
222 ,
198 ,
176 ,
173 ,
170 ,
186 ,
199 ,
221 ,
234 ,
226 ,
205 ,
175 ,
143 ,
122 ,
97  ,
90  ,
92  ,
100 ,
129 ,
156 ,
184 ,
186 ,
186 ,
163 ,
134 ,
65  ,
-16 ,
-104  ,
-166  ,
-213  ,
-231  ,
-238  ,
-232  ,
-228  ,
-221  ,
-208  ,
-199  ,
-207  ,
-228  ,
-251  ,
-286  ,
-306  ,
-325  ,
-322  ,
-314  ,
-284  ,
-246  ,
-203  ,
-161  ,
-144  ,
-124  ,
-122  ,
-110  ,
-116  ,
-132  ,
-148  ,
-163  ,
-161  ,
-143  ,
-121  ,
-92 ,
-72 ,
-46 ,
-36 ,
-29 ,
-38 ,
-49 ,
-68 ,
-84 ,
-111  ,
-123  ,
-130  ,
-117  ,
-93 ,
-63 ,
-30 ,
-8  ,
10  ,
23  ,
27  ,
39  ,
46  ,
59  ,
67  ,
74  ,
70  ,
73  ,
73  ,
74  ,
88  ,
91  ,
106 ,
107 ,
95  ,
95  ,
91  ,
108 ,
117 ,
134 ,
150 ,
163 ,
182 ,
189 ,
189 ,
191 ,
184 ,
187 ,
202 ,
209 ,
240 ,
251 ,
289 ,
294 ,
306 ,
303 ,
296 ,
275 ,
236 ,
197 ,
158 ,
132 ,
113 ,
115 ,
125 ,
156 ,
177 ,
205 ,
208 ,
204 ,
183 ,
175 ,
158 ,
159 ,
152 ,
164 ,
185 ,
220 ,
271 ,
326 ,
386 ,
431 ,
459 ,
469 ,
453 ,
427 ,
387 ,
339 ,
308 ,
281 ,
282 ,
286 ,
308 ,
324 ,
347 ,
375 ,
393 ,
412 ,
401 ,
391 ,
374 ,
360 ,
354 ,
355 ,
372 ,
402 ,
430 ,
472 ,
490 ,
517 ,
512 ,
512 ,
496 ,
477 ,
453 ,
426 ,
402 ,
378 ,
352 ,
341 ,
331 ,
333 ,
343 ,
347 ,
353 ,
348 ,
338 ,
324 ,
320 ,
314 ,
316 ,
325 ,
341 ,
371 ,
408 ,
441 ,
461 ,
471 ,
476 ,
471 ,
473 ,
455 ,
440 ,
419 ,
404 ,
394 ,
379 ,
358 ,
340 ,
322 ,
295 ,
269 ,
223 ,
187 ,
138 ,
110 ,
76  ,
63  ,
38  ,
20  ,
5 ,
-19 ,
-26 ,
-40 ,
-35 ,
-28 ,
-14 ,
14  ,
47  ,
95  ,
148 ,
206 ,
276 ,
349 ,
412 ,
470 ,
507 ,
543 ,
560 ,
578 ,
594 ,
619 ,
649 ,
685 ,
726 ,
762 ,
791 ,
813 ,
824 ,
833 ,
813 ,
799 ,
771 ,
750 ,
732 ,
724 ,
738 ,
764 ,
811 ,
865 ,
914 ,
960 ,
981 ,
987 ,
972 ,
947 ,
918 ,
888 ,
864 ,
846 ,
832 ,
831 ,
826 ,
822 ,
802 ,
763 ,
706 ,
630 ,
535 ,
426 ,
322 ,
231 ,
160 ,
109 ,
82  ,
62  ,
61  ,
48  ,
45  ,
28  ,
12  ,
-16 ,
-42 ,
-78 ,
-107  ,
-134  ,
-143  ,
-140  ,
-112  ,
-74 ,
-15 ,
55  ,
115 ,
167 ,
192 ,
200 ,
197 ,
172 ,
151 ,
125 ,
95  ,
72  ,
46  ,
21  ,
-6  ,
-38 ,
-78 ,
-122  ,
-172  ,
-226  ,
-272  ,
-323  ,
-351  ,
-390  ,
-389  ,
-391  ,
-365  ,
-341  ,
-307  ,
-274  ,
-239  ,
-206  ,
-175  ,
-144  ,
-108  ,
-66 ,
-25 ,
20  ,
48  ,
73  ,
88  ,
89  ,
86  ,
70  ,
55  ,
33  ,
14  ,
-3  ,
-11 ,
-6  ,
15  ,
45  ,
81  ,
109 ,
124 ,
134 ,
131 ,
132 ,
122 ,
129 ,
133 ,
156 ,
177 ,
204 ,
235 ,
249 ,
256 ,
239 ,
209 ,
155 ,
88  ,
13  ,
-59 ,
-119  ,
-145  ,
-160  ,
-144  ,
-121  ,
-94 ,
-61 ,
-40 ,
-35 ,
-48 ,
-70 ,
-109  ,
-140  ,
-182  ,
-210  ,
-232  ,
-241  ,
-247  ,
-236  ,
-237  ,
-231  ,
-253  ,
-282  ,
-340  ,
-417  ,
-507  ,
-611  ,
-701  ,
-781  ,
-826  ,
-858  ,
-861  ,
-855  ,
-843  ,
-820  ,
-805  ,
-790  ,
-790  ,
-796  ,
-817  ,
-830  ,
-859  ,
-859  ,
-861  ,
-830  ,
-782  ,
-725  ,
-657  ,
-598  ,
-538  ,
-490  ,
-450  ,
-418  ,
-399  ,
-375  ,
-367  ,
-345  ,
-335  ,
-317  ,
-303  ,
-280  ,
-256  ,
-230  ,
-212  ,
-185  ,
-176  ,
-156  ,
-149  ,
-123  ,
-104  ,
-72 ,
-39 ,
2 ,
49  ,
92  ,
137 ,
169 ,
195 ,
214 ,
227 ,
233 ,
233 ,
232 ,
227 ,
217 ,
202 ,
183 ,
161 ,
131 ,
107 ,
79  ,
47  ,
21  ,
-7  ,
-34 ,
-54 ,
-73 ,
-87 ,
-102  ,
-125  ,
-156  ,
-191  ,
-227  ,
-265  ,
-303  ,
-326  ,
-358  ,
-371  ,
-389  ,
-392  ,
-398  ,
-404  ,
-420  ,
-442  ,
-493  ,
-551  ,
-629  ,
-720  ,
-811  ,
-907  ,
-981  ,
-1056 ,
-1116 ,
-1170 ,
-1216 ,
-1265 ,
-1311 ,
-1361 ,
-1413 ,
-1470 ,
-1526 ,
-1576 ,
-1615 ,
-1638 ,
-1641 ,
-1615 ,
-1569 ,
-1501 ,
-1418 ,
-1329 ,
-1239 ,
-1168 ,
-1097 ,
-1050 ,
-1006 ,
-974  ,
-940  ,
-892  ,
-851  ,
-788  ,
-728  ,
-666  ,
-607  ,
-556  ,
-519  ,
-496  ,
-492  ,
-500  ,
-514  ,
-537  ,
-552  ,
-562  ,
-558  ,
-541  ,
-506  ,
-462  ,
-410  ,
-356  ,
-309  ,
-255  ,
-212  ,
-168  ,
-126  ,
-95 ,
-54 ,
-16 ,
29  ,
79  ,
133 ,
189 ,
250 ,
308 ,
348 ,
383 ,
398 ,
399 ,
398 ,
380 ,
369 ,
354 ,
339 ,
326 ,
309 ,
285 ,
266 ,
240 ,
218 ,
198 ,
181 ,
176 ,
179 ,
186 ,
198 ,
214 ,
240 ,
262 ,
298 ,
324 ,
365 ,
403 ,
453 ,
503 ,
568 ,
629 ,
698 ,
752 ,
810 ,
847 ,
872 ,
879 ,
864 ,
829 ,
780 ,
713 ,
650 ,
584 ,
527 ,
478 ,
437 ,
416 ,
394 ,
391 ,
382 ,
379 ,
361 ,
345 ,
325 ,
302 ,
286 ,
269 ,
270 ,
284 ,
308 ,
340 ,
372 ,
386 ,
398 ,
380 ,
356 ,
309 ,
249 ,
183 ,
117 ,
59  ,
16  ,
-11 ,
-23 ,
-22 ,
-18 ,
-14 ,
-22 ,
-39 ,
-75 ,
-127  ,
-184  ,
-251  ,
-304  ,
-348  ,
-375  ,
-381  ,
-375  ,
-359  ,
-334  ,
-323  ,
-322  ,
-345  ,
-377  ,
-433  ,
-487  ,
-551  ,
-610  ,
-655  ,
-692  ,
-705  ,
-706  ,
-694  ,
-670  ,
-653  ,
-632  ,
-627  ,
-626  ,
-640  ,
-654  ,
-677  ,
-692  ,
-699  ,
-699  ,
-682  ,
-665  ,
-628  ,
-600  ,
-556  ,
-524  ,
-494  ,
-469  ,
-450  ,
-434  ,
-408  ,
-387  ,
-351  ,
-325  ,
-283  ,
-248  ,
-210  ,
-181  ,
-151  ,
-127  ,
-104  ,
-81 ,
-57 ,
-33 ,
-10 ,
25  ,
61  ,
112 ,
160 ,
218 ,
273 ,
334 ,
388 ,
446 ,
505 ,
559 ,
623 ,
679 ,
739 ,
793 ,
841 ,
887 ,
926 ,
954 ,
966 ,
975 ,
965 ,
959 ,
950 ,
940 ,
942 ,
947 ,
964 ,
981 ,
1003  ,
1015  ,
1030  ,
1022  ,
1020  ,
1010  ,
1007  ,
1014  ,
1030  ,
1052  ,
1092  ,
1121  ,
1157  ,
1172  ,
1181  ,
1169  ,
1147  ,
1106  ,
1059  ,
995 ,
937 ,
872 ,
824 ,
778 ,
751 ,
728 ,
715 ,
695 ,
677 ,
640 ,
600 ,
542 ,
483 ,
411 ,
349 ,
290 ,
249 ,
217 ,
198 ,
200 ,
201 ,
222 ,
223 ,
222 ,
200 ,
165 ,
119 ,
58  ,
4 ,
-59 ,
-108  ,
-166  ,
-203  ,
-249  ,
-290  ,
-344  ,
-396  ,
-454  ,
-512  ,
-568  ,
-625  ,
-678  ,
-723  ,
-763  ,
-780  ,
-787  ,
-766  ,
-743  ,
-709  ,
-674  ,
-642  ,
-603  ,
-579  ,
-542  ,
-510  ,
-467  ,
-419  ,
-361  ,
-289  ,
-207  ,
-125  ,
-31 ,
51  ,
146 ,
218 ,
297 ,
353 ,
402 ,
446 ,
480 ,
520 ,
553 ,
571 ,
594 ,
597 ,
618 ,
624 ,
649 ,
657 ,
682 ,
705 ,
749 ,
789 ,
837 ,
884 ,
937 ,
979 ,
1014  ,
1052  ,
1079  ,
1103  ,
1128  ,
1145  ,
1172  ,
1185  ,
1202  ,
1209  ,
1219  ,
1215  ,
1212  ,
1196  ,
1170  ,
1129  ,
1072  ,
1004  ,
930 ,
860 ,
794 ,
743 ,
701 ,
672 ,
659 ,
653 ,
656 ,
656 ,
652 ,
644 ,
634 ,
628 ,
625 ,
623 ,
627 ,
633 ,
653 ,
669 ,
691 ,
709 ,
714 ,
714 ,
697 ,
668 ,
610 ,
539 ,
447 ,
353 ,
258 ,
174 ,
96  ,
29  ,
-41 ,
-107  ,
-161  ,
-234  ,
-297  ,
-370  ,
-434  ,
-491  ,
-541  ,
-577  ,
-607  ,
-632  ,
-647  ,
-639  ,
-610  ,
-577  ,
-536  ,
-501  ,
-482  ,
-486  ,
-495  ,
-512  ,
-531  ,
-555  ,
-583  ,
-599  ,
-616  ,
-617  ,
-612  ,
-594  ,
-581  ,
-560  ,
-553  ,
-535  ,
-541  ,
-540  ,
-553  ,
-567  ,
-580  ,
-595  ,
-595  ,
-596  ,
-586  ,
-578  ,
-559  ,
-543  ,
-524  ,
-499  ,
-478  ,
-448  ,
-414  ,
-374  ,
-337  ,
-300  ,
-267  ,
-235  ,
-205  ,
-176  ,
-136  ,
-118  ,
-100  ,
-103  ,
-107  ,
-119  ,
-129  ,
-143  ,
-152  ,
-177  ,
-187  ,
-202  ,
-208  ,
-210  ,
-210  ,
-205  ,
-190  ,
-175  ,
-156  ,
-135  ,
-118  ,
-114  ,
-107  ,
-104  ,
-109  ,
-114  ,
-132  ,
-143  ,
-161  ,
-173  ,
-181  ,
-193  ,
-200  ,
-207  ,
-201  ,
-196  ,
-176  ,
-163  ,
-148  ,
-139  ,
-139  ,
-134  ,
-126  ,
-95 ,
-65 ,
-27 ,
15  ,
55  ,
103 ,
149 ,
183 ,
224 ,
225 ,
238 ,
216 ,
202 ,
181 ,
152 ,
139 ,
118 ,
110 ,
107 ,
92  ,
87  ,
73  ,
64  ,
51  ,
29  ,
2 ,
-25 ,
-65 ,
-84 ,
-111  ,
-126  ,
-137  ,
-142  ,
-144  ,
-139  ,
-137  ,
-136  ,
-150  ,
-170  ,
-214  ,
-251  ,
-305  ,
-343  ,
-385  ,
-423  ,
-454  ,
-487  ,
-516  ,
-550  ,
-582  ,
-619  ,
-657  ,
-697  ,
-737  ,
-791  ,
-838  ,
-892  ,
-931  ,
-976  ,
-1019 ,
-1064 ,
-1113 ,
-1151 ,
-1196 ,
-1232 ,
-1269 ,
-1303 ,
-1333 ,
-1355 ,
-1385 ,
-1404 ,
-1418 ,
-1431 ,
-1434 ,
-1443 ,
-1452 ,
-1456 ,
-1464 ,
-1468 ,
-1469 ,
-1477 ,
-1486 ,
-1502 ,
-1507 ,
-1520 ,
-1512 ,
-1525 ,
-1514 ,
-1515 ,
-1492 ,
-1471 ,
-1436 ,
-1398 ,
-1350 ,
-1292 ,
-1223 ,
-1146 ,
-1057 ,
-975  ,
-869  ,
-779  ,
-668  ,
-569  ,
-468  ,
-370  ,
-278  ,
-190  ,
-102  ,
-17 ,
59  ,
129 ,
194 ,
245 ,
298 ,
332 ,
365 ,
376 ,
384 ,
377 ,
378 ,
383 ,
391 ,
412 ,
434 ,
467 ,
511 ,
555 ,
603 ,
648 ,
690 ,
728 ,
755 ,
785 ,
796 ,
819 ,
831 ,
847 ,
868 ,
880 ,
890 ,
897 ,
891 ,
878 ,
852 ,
815 ,
770 ,
707 ,
647 ,
574 ,
514 ,
455 ,
405 ,
365 ,
320 ,
280 ,
247 ,
210 ,
178 ,
143 ,
116 ,
92  ,
76  ,
70  ,
79  ,
86  ,
112 ,
145 ,
184 ,
225 ,
262 ,
290 ,
310 ,
307 ,
295 ,
273 ,
245 ,
217 ,
176 ,
147 ,
101 ,
62  ,
17  ,
-30 ,
-83 ,
-138  ,
-193  ,
-240  ,
-281  ,
-316  ,
-350  ,
-372  ,
-393  ,
-395  ,
-394  ,
-376  ,
-360  ,
-333  ,
-302  ,
-273  ,
-248  ,
-227  ,
-204  ,
-182  ,
-154  ,
-137  ,
-115  ,
-98 ,
-88 ,
-67 ,
-64 ,
-50 ,
-46 ,
-45 ,
-40 ,
-48 ,
-52 ,
-61 ,
-75 ,
-85 ,
-112  ,
-120  ,
-152  ,
-162  ,
-184  ,
-197  ,
-205  ,
-208  ,
-197  ,
-177  ,
-141  ,
-104  ,
-57 ,
-21 ,
17  ,
33  ,
52  ,
51  ,
53  ,
47  ,
34  ,
27  ,
16  ,
13  ,
13  ,
16  ,
27  ,
41  ,
49  ,
51  ,
51  ,
46  ,
54  ,
53  ,
75  ,
89  ,
123 ,
144 ,
182 ,
198 ,
225 ,
226 ,
233 ,
223 ,
218 ,
203 ,
194 ,
176 ,
162 ,
145 ,
145 ,
139 ,
155 ,
164 ,
172 ,
188 ,
185 ,
197 ,
182 ,
190 ,
184 ,
198 ,
203 ,
224 ,
236 ,
266 ,
289 ,
325 ,
351 ,
390 ,
405 ,
431 ,
437 ,
444 ,
441 ,
447 ,
446 ,
455 ,
450 ,
458 ,
443 ,
436 ,
417 ,
404 ,
392 ,
390 ,
387 ,
398 ,
397 ,
396 ,
390 ,
388 ,
375 ,
380 ,
372 ,
382 ,
377 ,
378 ,
379 ,
377 ,
377 ,
385 ,
392 ,
411 ,
423 ,
434 ,
445 ,
443 ,
446 ,
447 ,
446 ,
450 ,
451 ,
454 ,
458 ,
449 ,
440 ,
413 ,
393 ,
368 ,
345 ,
316 ,
290 ,
250 ,
212 ,
173 ,
139 ,
122 ,
112 ,
114 ,
119 ,
121 ,
130 ,
128 ,
137 ,
141 ,
154 ,
163 ,
167 ,
166 ,
159 ,
151 ,
137 ,
138 ,
130 ,
131 ,
116 ,
96  ,
63  ,
22  ,
-17 ,
-62 ,
-87 ,
-114  ,
-116  ,
-120  ,
-103  ,
-88 ,
-56 ,
-15 ,
36  ,
101 ,
162 ,
238 ,
288 ,
354 ,
391 ,
445 ,
480 ,
529 ,
587 ,
643 ,
703 ,
747 ,
793 ,
820 ,
858 ,
882 ,
911 ,
922 ,
923 ,
911 ,
893 ,
872 ,
851 ,
837 ,
828 ,
828 ,
828 ,
814 ,
801 ,
775 ,
752 ,
732 ,
714 ,
702 ,
701 ,
690 ,
689 ,
684 ,
678 ,
680 ,
673 ,
677 ,
675 ,
663 ,
646 ,
615 ,
574 ,
522 ,
469 ,
417 ,
379 ,
341 ,
305 ,
266 ,
220 ,
174 ,
132 ,
92  ,
64  ,
46  ,
30  ,
27  ,
16  ,
14  ,
6 ,
11  ,
20  ,
35  ,
62  ,
87  ,
116 ,
136 ,
164 ,
180 ,
201 ,
214 ,
224 ,
221 ,
204 ,
166 ,
123 ,
69  ,
13  ,
-44 ,
-94 ,
-148  ,
-197  ,
-248  ,
-298  ,
-336  ,
-383  ,
-409  ,
-434  ,
-448  ,
-451  ,
-458  ,
-444  ,
-437  ,
-404  ,
-375  ,
-324  ,
-268  ,
-202  ,
-138  ,
-84 ,
-31 ,
3 ,
45  ,
65  ,
99  ,
118 ,
136 ,
150 ,
153 ,
156 ,
154 ,
152 ,
152 ,
151 ,
143 ,
136 ,
111 ,
89  ,
70  ,
59  ,
61  ,
75  ,
91  ,
112 ,
130 ,
141 ,
149 ,
154 ,
160 ,
160 ,
156 ,
143 ,
123 ,
101 ,
75  ,
52  ,
34  ,
19  ,
20  ,
11  ,
12  ,
-3  ,
-20 ,
-50 ,
-77 ,
-113  ,
-147  ,
-183  ,
-220  ,
-248  ,
-284  ,
-319  ,
-359  ,
-397  ,
-435  ,
-468  ,
-501  ,
-535  ,
-569  ,
-611  ,
-638  ,
-675  ,
-689  ,
-717  ,
-726  ,
-744  ,
-750  ,
-768  ,
-781  ,
-804  ,
-814  ,
-821  ,
-818  ,
-810  ,
-800  ,
-787  ,
-778  ,
-765  ,
-752  ,
-730  ,
-705  ,
-674  ,
-641  ,
-605  ,
-570  ,
-526  ,
-491  ,
-451  ,
-411  ,
-364  ,
-319  ,
-274  ,
-238  ,
-199  ,
-174  ,
-152  ,
-130  ,
-109  ,
-92 ,
-75 ,
-54 ,
-40 ,
-26 ,
-16 ,
-9  ,
-9  ,
-7  ,
-24 ,
-33 ,
-66 ,
-84 ,
-103  ,
-108  ,
-106  ,
-97 ,
-76 ,
-53 ,
-23 ,
3 ,
40  ,
76  ,
109 ,
135 ,
161 ,
175 ,
183 ,
177 ,
172 ,
160 ,
153 ,
146 ,
136 ,
114 ,
85  ,
39  ,
-19 ,
-91 ,
-165  ,
-238  ,
-311  ,
-362  ,
-427  ,
-479  ,
-548  ,
-599  ,
-652  ,
-691  ,
-720  ,
-741  ,
-760  ,
-783  ,
-815  ,
-852  ,
-905  ,
-954  ,
-1011 ,
-1044 ,
-1083 ,
-1111 ,
-1147 ,
-1180 ,
-1220 ,
-1259 ,
-1302 ,
-1325 ,
-1361 ,
-1381 ,
-1406 ,
-1420 ,
-1430 ,
-1431 ,
-1419 ,
-1404 ,
-1387 ,
-1368 ,
-1338 ,
-1320 ,
-1293 ,
-1272 ,
-1239 ,
-1204 ,
-1167 ,
-1121 ,
-1082 ,
-1022 ,
-971  ,
-898  ,
-833  ,
-752  ,
-685  ,
-604  ,
-537  ,
-472  ,
-431  ,
-402  ,
-374  ,
-355  ,
-331  ,
-310  ,
-297  ,
-284  ,
-277  ,
-271  ,
-264  ,
-259  ,
-241  ,
-219  ,
-177  ,
-131  ,
-84 ,
-41 ,
-1  ,
40  ,
85  ,
126 ,
173 ,
212 ,
257 ,
297 ,
338 ,
377 ,
410 ,
435 ,
459 ,
478 ,
484 ,
488 ,
480 ,
474 ,
453 ,
438 ,
417 ,
402 ,
379 ,
347 ,
321 ,
290 ,
274 ,
263 ,
266 ,
280 ,
304 ,
336 ,
387 ,
428 ,
485 ,
536 ,
606 ,
685 ,
763 ,
845 ,
903 ,
943 ,
968 ,
975 ,
970 ,
956 ,
932 ,
917 ,
893 ,
867 ,
830 ,
789 ,
732 ,
683 ,
626 ,
575 ,
527 ,
473 ,
432 ,
394 ,
363 ,
344 ,
326 ,
318 ,
310 ,
311 ,
311 ,
310 ,
307 ,
297 ,
285 ,
270 ,
249 ,
231 ,
213 ,
198 ,
184 ,
169 ,
158 ,
142 ,
127 ,
110 ,
83  ,
48  ,
6 ,
-47 ,
-94 ,
-142  ,
-181  ,
-217  ,
-258  ,
-307  ,
-351  ,
-404  ,
-441  ,
-481  ,
-507  ,
-534  ,
-562  ,
-587  ,
-616  ,
-649  ,
-671  ,
-693  ,
-690  ,
-686  ,
-681  ,
-679  ,
-689  ,
-703  ,
-720  ,
-735  ,
-755  ,
-769  ,
-791  ,
-788  ,
-795  ,
-791  ,
-797  ,
-799  ,
-806  ,
-797  ,
-781  ,
-754  ,
-729  ,
-708  ,
-684  ,
-659  ,
-629  ,
-606  ,
-569  ,
-543  ,
-503  ,
-475  ,
-445  ,
-420  ,
-397  ,
-368  ,
-323  ,
-273  ,
-219  ,
-165  ,
-123  ,
-84 ,
-50 ,
-15 ,
21  ,
56  ,
91  ,
116 ,
145 ,
176 ,
204 ,
248 ,
284 ,
337 ,
386 ,
452 ,
514 ,
590 ,
663 ,
741 ,
814 ,
884 ,
949 ,
1006  ,
1056  ,
1104  ,
1143  ,
1178  ,
1197  ,
1222  ,
1236  ,
1242  ,
1246  ,
1236  ,
1221  ,
1200  ,
1181  ,
1162  ,
1148  ,
1141  ,
1127  ,
1131  ,
1115  ,
1111  ,
1091  ,
1085  ,
1080  ,
1081  ,
1088  ,
1077  ,
1062  ,
1033  ,
1006  ,
980 ,
954 ,
929 ,
900 ,
874 ,
841 ,
814 ,
777 ,
733 ,
684 ,
631 ,
585 ,
533 ,
488 ,
427 ,
370 ,
303 ,
244 ,
189 ,
134 ,
91  ,
50  ,
19  ,
-14 ,
-43 ,
-88 ,
-124  ,
-166  ,
-194  ,
-222  ,
-255  ,
-290  ,
-334  ,
-375  ,
-411  ,
-442  ,
-461  ,
-477  ,
-495  ,
-516  ,
-538  ,
-555  ,
-582  ,
-598  ,
-630  ,
-640  ,
-672  ,
-683  ,
-715  ,
-724  ,
-735  ,
-732  ,
-711  ,
-679  ,
-627  ,
-577  ,
-514  ,
-459  ,
-391  ,
-332  ,
-255  ,
-182  ,
-88 ,
-4  ,
87  ,
170 ,
259 ,
340 ,
423 ,
503 ,
578 ,
648 ,
703 ,
747 ,
767 ,
777 ,
776 ,
772 ,
780 ,
788 ,
792 ,
791 ,
780 ,
774 ,
781 ,
785 ,
806 ,
821 ,
851 ,
869 ,
900 ,
921 ,
948 ,
980 ,
1019  ,
1081  ,
1140  ,
1194  ,
1237  ,
1258  ,
1277  ,
1276  ,
1273  ,
1259  ,
1241  ,
1218  ,
1193  ,
1154  ,
1127  ,
1089  ,
1063  ,
1030  ,
1010  ,
991 ,
971 ,
945 ,
913 ,
878 ,
847 ,
823 ,
817 ,
815 ,
820 ,
824 ,
824 ,
827 ,
818 ,
802 ,
781 ,
746 ,
712 ,
674 ,
624 ,
575 ,
506 ,
454 ,
393 ,
343 ,
284 ,
208 ,
136 ,
38  ,
-42 ,
-131  ,
-200  ,
-267  ,
-319  ,
-372  ,
-411  ,
-451  ,
-481  ,
-512  ,
-523  ,
-540  ,
-534  ,
-538  ,
-527  ,
-531  ,
-536  ,
-545  ,
-548  ,
-544  ,
-530  ,
-510  ,
-488  ,
-479  ,
-469  ,
-474  ,
-475  ,
-487  ,
-499  ,
-513  ,
-523  ,
-533  ,
-540  ,
-548  ,
-556  ,
-570  ,
-579  ,
-592  ,
-586  ,
-586  ,
-573  ,
-572  ,
-561  ,
-550  ,
-535  ,
-512  ,
-483  ,
-461  ,
-430  ,
-413  ,
-385  ,
-371  ,
-350  ,
-339  ,
-321  ,
-296  ,
-276  ,
-252  ,
-243  ,
-236  ,
-238  ,
-246  ,
-250  ,
-256  ,
-271  ,
-277  ,
-289  ,
-305  ,
-316  ,
-339  ,
-353  ,
-373  ,
-377  ,
-383  ,
-370  ,
-371  ,
-358  ,
-355  ,
-342  ,
-332  ,
-316  ,
-291  ,
-268  ,
-236  ,
-203  ,
-177  ,
-135  ,
-111  ,
-79 ,
-59 ,
-44 ,
-33 ,
-28 ,
-14 ,
-13 ,
-3  ,
3 ,
21  ,
41  ,
67  ,
82  ,
100 ,
107 ,
131 ,
157 ,
191 ,
236 ,
270 ,
309 ,
331 ,
361 ,
371 ,
379 ,
370 ,
359 ,
355 ,
340 ,
327 ,
301 ,
278 ,
239 ,
222 ,
188 ,
177 ,
149 ,
120 ,
92  ,
63  ,
37  ,
11  ,
-17 ,
-43 ,
-66 ,
-85 ,
-111  ,
-131  ,
-165  ,
-193  ,
-221  ,
-234  ,
-252  ,
-259  ,
-288  ,
-311  ,
-345  ,
-373  ,
-407  ,
-432  ,
-468  ,
-495  ,
-530  ,
-568  ,
-618  ,
-671  ,
-735  ,
-802  ,
-865  ,
-935  ,
-997  ,
-1066 ,
-1132 ,
-1195 ,
-1258 ,
-1309 ,
-1358 ,
-1392 ,
-1427 ,
-1461 ,
-1495 ,
-1525 ,
-1552 ,
-1576 ,
-1583 ,
-1596 ,
-1592 ,
-1588 ,
-1575 ,
-1561 ,
-1555 ,
-1548 ,
-1543 ,
-1537 ,
-1519 ,
-1503 ,
-1485 ,
-1485 ,
-1489 ,
-1500 ,
-1501 ,
-1513 ,
-1505 ,
-1499 ,
-1460 ,
-1429 ,
-1368 ,
-1319 ,
-1254 ,
-1200 ,
-1134 ,
-1054 ,
-970  ,
-876  ,
-783  ,
-689  ,
-592  ,
-493  ,
-385  ,
-268  ,
-157  ,
-55 ,
26  ,
103 ,
166 ,
220 ,
263 ,
291 ,
321 ,
348 ,
376 ,
401 ,
411 ,
422 ,
422 ,
436 ,
450 ,
473 ,
499 ,
516 ,
528 ,
537 ,
537 ,
543 ,
558 ,
587 ,
631 ,
677 ,
721 ,
752 ,
762 ,
755 ,
742 ,
729 ,
713 ,
709 ,
693 ,
677 ,
645 ,
614 ,
574 ,
535 ,
492 ,
465 ,
438 ,
423 ,
394 ,
364 ,
329 ,
276 ,
245 ,
213 ,
212 ,
207 ,
201 ,
194 ,
190 ,
180 ,
180 ,
188 ,
199 ,
219 ,
224 ,
227 ,
215 ,
202 ,
175 ,
157 ,
132 ,
122 ,
101 ,
80  ,
34  ,
-21 ,
-92 ,
-141  ,
-191  ,
-217  ,
-250  ,
-281  ,
-324  ,
-368  ,
-409  ,
-439  ,
-455  ,
-452  ,
-446  ,
-407  ,
-380  ,
-348  ,
-326  ,
-307  ,
-287  ,
-256  ,
-225  ,
-181  ,
-148  ,
-126  ,
-123  ,
-127  ,
-125  ,
-133  ,
-127  ,
-121  ,
-119  ,
-116  ,
-132  ,
-155  ,
-185  ,
-220  ,
-246  ,
-261  ,
-274  ,
-274  ,
-289  ,
-306  ,
-321  ,
-326  ,
-317  ,
-294  ,
-272  ,
-244  ,
-239  ,
-229  ,
-238  ,
-230  ,
-226  ,
-195  ,
-163  ,
-117  ,
-77 ,
-51 ,
-34 ,
-32 ,
-41 ,
-39 ,
-38 ,
-27 ,
-22 ,
-31 ,
-45 ,
-77 ,
-95 ,
-112  ,
-109  ,
-105  ,
-98 ,
-92 ,
-83 ,
-83 ,
-82 ,
-82 ,
-74 ,
-64 ,
-29 ,
-1  ,
29  ,
44  ,
46  ,
47  ,
59  ,
76  ,
99  ,
121 ,
134 ,
148 ,
148 ,
157 ,
164 ,
181 ,
207 ,
235 ,
264 ,
278 ,
288 ,
283 ,
291 ,
291 ,
319 ,
350 ,
389 ,
416 ,
426 ,
434 ,
442 ,
454 ,
472 ,
491 ,
514 ,
523 ,
532 ,
520 ,
506 ,
490 ,
479 ,
488 ,
508 ,
529 ,
538 ,
529 ,
513 ,
480 ,
462 ,
434 ,
429 ,
418 ,
405 ,
393 ,
379 ,
364 ,
364 ,
356 ,
375 ,
387 ,
405 ,
416 ,
421 ,
422 ,
411 ,
407 ,
411 ,
427 ,
438 ,
444 ,
437 ,
416 ,
394 ,
375 ,
361 ,
344 ,
324 ,
296 ,
271 ,
237 ,
197 ,
159 ,
136 ,
119 ,
120 ,
124 ,
124 ,
110 ,
84  ,
59  ,
42  ,
34  ,
36  ,
45  ,
62  ,
70  ,
79  ,
88  ,
111 ,
132 ,
165 ,
192 ,
218 ,
223 ,
221 ,
191 ,
175 ,
132 ,
115 ,
92  ,
83  ,
73  ,
57  ,
45  ,
42  ,
54  ,
82  ,
122 ,
168 ,
221 ,
263 ,
310 ,
359 ,
415 ,
475 ,
540 ,
617 ,
691 ,
760 ,
808 ,
844 ,
867 ,
887 ,
914 ,
944 ,
975 ,
992 ,
992 ,
983 ,
963 ,
936 ,
909 ,
888 ,
870 ,
852 ,
838 ,
819 ,
783 ,
743 ,
703 ,
687 ,
681 ,
675 ,
676 ,
666 ,
662 ,
655 ,
662 ,
671 ,
678 ,
684 ,
687 ,
684 ,
674 ,
652 ,
632 ,
609 ,
594 ,
585 ,
576 ,
570 ,
540 ,
522 ,
486 ,
464 ,
439 ,
421 ,
395 ,
373 ,
342 ,
312 ,
282 ,
261 ,
248 ,
247 ,
249 ,
266 ,
274 ,
275 ,
274 ,
275 ,
283 ,
293 ,
303 ,
316 ,
312 ,
295 ,
253 ,
206 ,
158 ,
109 ,
76  ,
42  ,
12  ,
-36 ,
-77 ,
-136  ,
-179  ,
-231  ,
-265  ,
-283  ,
-285  ,
-281  ,
-268  ,
-261  ,
-251  ,
-239  ,
-216  ,
-185  ,
-147  ,
-111  ,
-76 ,
-48 ,
-11 ,
21  ,
67  ,
106 ,
155 ,
193 ,
230 ,
253 ,
258 ,
258 ,
248 ,
250 ,
250 ,
259 ,
261 ,
250 ,
236 ,
212 ,
196 ,
182 ,
180 ,
180 ,
185 ,
187 ,
181 ,
168 ,
149 ,
134 ,
119 ,
112 ,
111 ,
120 ,
122 ,
121 ,
110 ,
97  ,
91  ,
79  ,
80  ,
71  ,
56  ,
33  ,
-7  ,
-46 ,
-96 ,
-148  ,
-195  ,
-235  ,
-281  ,
-329  ,
-386  ,
-445  ,
-510  ,
-566  ,
-603  ,
-636  ,
-652  ,
-680  ,
-691  ,
-726  ,
-740  ,
-770  ,
-779  ,
-793  ,
-802  ,
-813  ,
-823  ,
-840  ,
-844  ,
-853  ,
-838  ,
-822  ,
-785  ,
-748  ,
-705  ,
-674  ,
-636  ,
-621  ,
-588  ,
-568  ,
-538  ,
-506  ,
-478  ,
-442  ,
-414  ,
-387  ,
-354  ,
-328  ,
-296  ,
-268  ,
-241  ,
-216  ,
-202  ,
-192  ,
-187  ,
-173  ,
-158  ,
-136  ,
-111  ,
-80 ,
-64 ,
-50 ,
-50 ,
-39 ,
-38 ,
-28 ,
-22 ,
-21 ,
-12 ,
-29 ,
-19 ,
-29 ,
-11 ,
-5  ,
17  ,
38  ,
58  ,
77  ,
85  ,
98  ,
99  ,
102 ,
105 ,
103 ,
99  ,
88  ,
78  ,
72  ,
76  ,
69  ,
70  ,
50  ,
29  ,
-7  ,
-51 ,
-108  ,
-173  ,
-247  ,
-316  ,
-386  ,
-442  ,
-508  ,
-567  ,
-639  ,
-705  ,
-774  ,
-823  ,
-878  ,
-912  ,
-959  ,
-993  ,
-1023 ,
-1052 ,
-1075 ,
-1096 ,
-1115 ,
-1123 ,
-1134 ,
-1134 ,
-1135 ,
-1146 ,
-1156 ,
-1172 ,
-1180 ,
-1200 ,
-1213 ,
-1241 ,
-1258 ,
-1286 ,
-1309 ,
-1330 ,
-1345 ,
-1359 ,
-1368 ,
-1367 ,
-1352 ,
-1331 ,
-1307 ,
-1274 ,
-1251 ,
-1206 ,
-1166 ,
-1107 ,
-1054 ,
-998  ,
-939  ,
-882  ,
-820  ,
-764  ,
-703  ,
-652  ,
-600  ,
-561  ,
-524  ,
-487  ,
-463  ,
-433  ,
-407  ,
-372  ,
-337  ,
-299  ,
-267  ,
-233  ,
-212  ,
-184  ,
-176  ,
-147  ,
-147  ,
-118  ,
-116  ,
-93 ,
-80 ,
-61 ,
-43 ,
-27 ,
-7  ,
12  ,
43  ,
74  ,
111 ,
143 ,
174 ,
207 ,
245 ,
287 ,
316 ,
348 ,
366 ,
370 ,
373 ,
377 ,
376 ,
376 ,
372 ,
364 ,
356 ,
339 ,
326 ,
316 ,
318 ,
328 ,
355 ,
394 ,
431 ,
472 ,
500 ,
540 ,
562 ,
601 ,
630 ,
675 ,
703 ,
736 ,
752 ,
776 ,
778 ,
789 ,
782 ,
781 ,
773 ,
763 ,
745 ,
721 ,
685 ,
646 ,
608 ,
570 ,
537 ,
497 ,
459 ,
416 ,
381 ,
345 ,
312 ,
287 ,
263 ,
249 ,
240 ,
231 ,
233 ,
225 ,
229 ,
226 ,
234 ,
242 ,
250 ,
255 ,
251 ,
238 ,
225 ,
198 ,
173 ,
135 ,
103 ,
60  ,
17  ,
-32 ,
-82 ,
-139  ,
-187  ,
-242  ,
-277  ,
-314  ,
-346  ,
-382  ,
-417  ,
-456  ,
-486  ,
-517  ,
-542  ,
-565  ,
-588  ,
-614  ,
-630  ,
-656  ,
-675  ,
-693  ,
-704  ,
-711  ,
-704  ,
-712  ,
-706  ,
-714  ,
-717  ,
-719  ,
-719  ,
-708  ,
-707  ,
-702  ,
-713  ,
-720  ,
-740  ,
-751  ,
-769  ,
-777  ,
-782  ,
-787  ,
-774  ,
-765  ,
-745  ,
-722  ,
-702  ,
-671  ,
-645  ,
-610  ,
-573  ,
-536  ,
-498  ,
-463  ,
-419  ,
-374  ,
-315  ,
-261  ,
-200  ,
-145  ,
-92 ,
-40 ,
8 ,
60  ,
106 ,
158 ,
208 ,
263 ,
313 ,
367 ,
411 ,
459 ,
515 ,
576 ,
643 ,
704 ,
751 ,
786 ,
818 ,
851 ,
876 ,
899 ,
920 ,
940 ,
971 ,
999 ,
1030  ,
1061  ,
1080  ,
1111  ,
1126  ,
1156  ,
1160  ,
1170  ,
1160  ,
1156  ,
1148  ,
1147  ,
1146  ,
1148  ,
1145  ,
1139  ,
1120  ,
1111  ,
1083  ,
1074  ,
1049  ,
1040  ,
1027  ,
1025  ,
1016  ,
1006  ,
978 ,
958 ,
931 ,
917 ,
896 ,
867 ,
833 ,
789 ,
746 ,
696 ,
649 ,
592 ,
528 ,
464 ,
392 ,
338 ,
265 ,
217 ,
158 ,
122 ,
74  ,
32  ,
-17 ,
-61 ,
-114  ,
-154  ,
-196  ,
-226  ,
-257  ,
-285  ,
-308  ,
-336  ,
-365  ,
-399  ,
-420  ,
-447  ,
-462  ,
-471  ,
-480  ,
-486  ,
-495  ,
-507  ,
-527  ,
-554  ,
-568  ,
-579  ,
-573  ,
-576  ,
-573  ,
-567  ,
-569  ,
-552  ,
-534  ,
-504  ,
-471  ,
-426  ,
-385  ,
-329  ,
-280  ,
-223  ,
-170  ,
-106  ,
-46 ,
26  ,
96  ,
158 ,
224 ,
270 ,
337 ,
377 ,
439 ,
475 ,
521 ,
543 ,
573 ,
604 ,
632 ,
664 ,
686 ,
712 ,
736 ,
750 ,
767 ,
763 ,
758 ,
751 ,
755 ,
774 ,
787 ,
813 ,
833 ,
855 ,
879 ,
900 ,
928 ,
952 ,
978 ,
1005  ,
1042  ,
1064  ,
1089  ,
1102  ,
1118  ,
1130  ,
1142  ,
1149  ,
1152  ,
1134  ,
1115  ,
1082  ,
1051  ,
1009  ,
975 ,
938 ,
905 ,
872 ,
842 ,
815 ,
791 ,
776 ,
767 ,
758 ,
756 ,
741 ,
738 ,
715 ,
698 ,
676 ,
658 ,
639 ,
613 ,
589 ,
544 ,
497 ,
432 ,
368 ,
308 ,
248 ,
187 ,
131 ,
68  ,
5 ,
-67 ,
-134  ,
-211  ,
-273  ,
-323  ,
-369  ,
-404  ,
-442  ,
-477  ,
-504  ,
-534  ,
-550  ,
-561  ,
-570  ,
-569  ,
-572  ,
-553  ,
-551  ,
-540  ,
-534  ,
-520  ,
-503  ,
-481  ,
-469  ,
-452  ,
-452  ,
-447  ,
-445  ,
-444  ,
-443  ,
-441  ,
-440  ,
-438  ,
-445  ,
-450  ,
-463  ,
-474  ,
-480  ,
-477  ,
-466  ,
-466  ,
-452  ,
-460  ,
-449  ,
-450  ,
-441  ,
-432  ,
-423  ,
-409  ,
-397  ,
-376  ,
-367  ,
-346  ,
-341  ,
-322  ,
-314  ,
-304  ,
-302  ,
-305  ,
-319  ,
-331  ,
-346  ,
-354  ,
-368  ,
-379  ,
-394  ,
-414  ,
-424  ,
-447  ,
-449  ,
-468  ,
-464  ,
-460  ,
-439  ,
-426  ,
-416  ,
-406  ,
-402  ,
-395  ,
-392  ,
-384  ,
-379  ,
-370  ,
-357  ,
-331  ,
-300  ,
-263  ,
-230  ,
-179  ,
-139  ,
-90 ,
-49 ,
-11 ,
21  ,
57  ,
89  ,
130 ,
158 ,
184 ,
206 ,
223 ,
235 ,
247 ,
251 ,
265 ,
261 ,
274 ,
277 ,
280 ,
277 ,
271 ,
267 ,
257 ,
245 ,
237 ,
224 ,
219 ,
220 ,
219 ,
216 ,
206 ,
186 ,
174 ,
150 ,
137 ,
112 ,
104 ,
88  ,
87  ,
81  ,
71  ,
58  ,
41  ,
24  ,
11  ,
-3  ,
-19 ,
-32 ,
-51 ,
-66 ,
-90 ,
-121  ,
-166  ,
-213  ,
-255  ,
-292  ,
-336  ,
-365  ,
-422  ,
-464  ,
-535  ,
-593  ,
-660  ,
-730  ,
-809  ,
-878  ,
-952  ,
-1015 ,
-1076 ,
-1131 ,
-1180 ,
-1224 ,
-1267 ,
-1302 ,
-1340 ,
-1384 ,
-1416 ,
-1456 ,
-1480 ,
-1508 ,
-1533 ,
-1546 ,
-1565 ,
-1575 ,
-1579 ,
-1578 ,
-1563 ,
-1550 ,
-1527 ,
-1503 ,
-1481 ,
-1462 ,
-1450 ,
-1442 ,
-1436 ,
-1427 ,
-1413 ,
-1394 ,
-1363 ,
-1333 ,
-1305 ,
-1272 ,
-1242 ,
-1199 ,
-1151 ,
-1098 ,
-1028 ,
-963  ,
-889  ,
-827  ,
-755  ,
-688  ,
-614  ,
-547  ,
-469  ,
-394  ,
-318  ,
-250  ,
-190  ,
-121  ,
-61 ,
6 ,
82  ,
145 ,
218 ,
270 ,
325 ,
380 ,
420 ,
465 ,
485 ,
504 ,
512 ,
515 ,
518 ,
514 ,
505 ,
502 ,
503 ,
506 ,
517 ,
525 ,
534 ,
546 ,
553 ,
575 ,
594 ,
618 ,
646 ,
672 ,
692 ,
705 ,
694 ,
687 ,
662 ,
643 ,
621 ,
595 ,
571 ,
540 ,
504 ,
460 ,
426 ,
389 ,
373 ,
357 ,
352 ,
350 ,
343 ,
336 ,
326 ,
324 ,
320 ,
320 ,
320 ,
327 ,
334 ,
333 ,
335 ,
330 ,
324 ,
313 ,
304 ,
291 ,
282 ,
261 ,
249 ,
225 ,
207 ,
179 ,
159 ,
129 ,
101 ,
67  ,
31  ,
-7  ,
-45 ,
-82 ,
-113  ,
-138  ,
-157  ,
-180  ,
-194  ,
-219  ,
-233  ,
-243  ,
-239  ,
-233  ,
-223  ,
-210  ,
-201  ,
-184  ,
-175  ,
-160  ,
-150  ,
-137  ,
-125  ,
-106  ,
-103  ,
-86 ,
-98 ,
-98 ,
-121  ,
-122  ,
-130  ,
-128  ,
-131  ,
-132  ,
-144  ,
-148  ,
-155  ,
-156  ,
-157  ,
-157  ,
-151  ,
-149  ,
-154  ,
-161  ,
-172  ,
-176  ,
-175  ,
-169  ,
-160  ,
-152  ,
-159  ,
-159  ,
-169  ,
-167  ,
-168  ,
-165  ,
-154  ,
-144  ,
-140  ,
-142  ,
-147  ,
-155  ,
-162  ,
-164  ,
-165  ,
-161  ,
-168  ,
-169  ,
-187  ,
-193  ,
-206  ,
-203  ,
-197  ,
-178  ,
-163  ,
-145  ,
-135  ,
-121  ,
-119  ,
-106  ,
-103  ,
-86 ,
-67 ,
-45 ,
-18 ,
10  ,
34  ,
63  ,
92  ,
123 ,
157 ,
188 ,
220 ,
254 ,
277 ,
302 ,
321 ,
344 ,
365 ,
381 ,
405 ,
416 ,
436 ,
438 ,
451 ,
449 ,
453 ,
449 ,
444 ,
432 ,
424 ,
413 ,
415 ,
414 ,
428 ,
437 ,
457 ,
476 ,
487 ,
502 ,
508 ,
514 ,
514 ,
519 ,
515 ,
520 ,
515 ,
514 ,
508 ,
506 ,
495 ,
496 ,
496 ,
500 ,
510 ,
513 ,
526 ,
522 ,
519 ,
501 ,
486 ,
467 ,
449 ,
432 ,
414 ,
394 ,
373 ,
346 ,
323 ,
293 ,
260 ,
236 ,
203 ,
197 ,
176 ,
168 ,
156 ,
144 ,
125 ,
114 ,
96  ,
84  ,
71  ,
55  ,
42  ,
32  ,
14  ,
9 ,
-4  ,
-10 ,
-12 ,
-19 ,
-15 ,
-15 ,
-8  ,
3 ,
11  ,
29  ,
32  ,
38  ,
32  ,
33  ,
28  ,
25  ,
31  ,
29  ,
33  ,
36  ,
42  ,
54  ,
64  ,
82  ,
106 ,
136 ,
168 ,
200 ,
237 ,
273 ,
313 ,
348 ,
382 ,
423 ,
456 ,
507 ,
548 ,
596 ,
630 ,
665 ,
695 ,
730 ,
753 ,
784 ,
801 ,
828 ,
845 ,
863 ,
872 ,
868 ,
851 ,
839 ,
808 ,
790 ,
761 ,
736 ,
709 ,
690 ,
672 ,
660 ,
647 ,
631 ,
624 ,
609 ,
614 ,
603 ,
598 ,
588 ,
578 ,
571 ,
563 ,
557 ,
551 ,
540 ,
533 ,
523 ,
525 ,
520 ,
515 ,
502 ,
488 ,
476 ,
456 ,
436 ,
413 ,
390 ,
367 ,
348 ,
333 ,
316 ,
298 ,
280 ,
257 ,
242 ,
223 ,
209 ,
198 ,
191 ,
182 ,
175 ,
167 ,
157 ,
141 ,
133 ,
123 ,
116 ,
109 ,
100 ,
89  ,
78  ,
60  ,
53  ,
34  ,
20  ,
-3  ,
-21 ,
-44 ,
-71 ,
-88 ,
-106  ,
-123  ,
-130  ,
-141  ,
-139  ,
-139  ,
-134  ,
-127  ,
-109  ,
-93 ,
-71 ,
-42 ,
-16 ,
11  ,
37  ,
63  ,
93  ,
123 ,
149 ,
174 ,
188 ,
201 ,
210 ,
209 ,
210 ,
210 ,
204 ,
207 ,
201 ,
199 ,
191 ,
180 ,
172 ,
168 ,
168 ,
171 ,
180 ,
185 ,
188 ,
187 ,
181 ,
172 ,
160 ,
139 ,
121 ,
105 ,
79  ,
58  ,
22  ,
-8  ,
-45 ,
-69 ,
-98 ,
-110  ,
-143  ,
-162  ,
-192  ,
-215  ,
-239  ,
-270  ,
-296  ,
-332  ,
-367  ,
-415  ,
-460  ,
-512  ,
-554  ,
-597  ,
-625  ,
-654  ,
-671  ,
-700  ,
-724  ,
-756  ,
-785  ,
-809  ,
-816  ,
-820  ,
-807  ,
-802  ,
-779  ,
-773  ,
-742  ,
-718  ,
-681  ,
-638  ,
-593  ,
-536  ,
-492  ,
-449  ,
-421  ,
-397  ,
-378  ,
-355  ,
-336  ,
-316  ,
-295  ,
-287  ,
-275  ,
-277  ,
-277  ,
-280  ,
-280  ,
-278  ,
-279  ,
-279  ,
-278  ,
-270  ,
-256  ,
-247  ,
-224  ,
-210  ,
-186  ,
-171  ,
-157  ,
-153  ,
-140  ,
-124  ,
-100  ,
-66 ,
-33 ,
-3  ,
30  ,
59  ,
90  ,
118 ,
147 ,
173 ,
207 ,
237 ,
280 ,
304 ,
323 ,
326 ,
324 ,
315 ,
298 ,
280 ,
254 ,
225 ,
192 ,
154 ,
115 ,
73  ,
24  ,
-23 ,
-82 ,
-132  ,
-194  ,
-253  ,
-317  ,
-382  ,
-443  ,
-503  ,
-567  ,
-623  ,
-689  ,
-747  ,
-799  ,
-843  ,
-880  ,
-910  ,
-944  ,
-966  ,
-997  ,
-1025 ,
-1056 ,
-1091 ,
-1118 ,
-1149 ,
-1170 ,
-1192 ,
-1210 ,
-1236 ,
-1257 ,
-1283 ,
-1304 ,
-1317 ,
-1326 ,
-1323 ,
-1321 ,
-1323 ,
-1324 ,
-1328 ,
-1328 ,
-1322 ,
-1311 ,
-1299 ,
-1281 ,
-1264 ,
-1243 ,
-1231 ,
-1218 ,
-1203 ,
-1178 ,
-1150 ,
-1104 ,
-1063 ,
-1009 ,
-969  ,
-924  ,
-876  ,
-827  ,
-768  ,
-717  ,
-653  ,
-605  ,
-547  ,
-502  ,
-451  ,
-415  ,
-376  ,
-346  ,
-315  ,
-277  ,
-257  ,
-230  ,
-227  ,
-216  ,
-212  ,
-192  ,
-173  ,
-155  ,
-137  ,
-131  ,
-120  ,
-112  ,
-105  ,
-93 ,
-83 ,
-63 ,
-38 ,
-8  ,
12  ,
27  ,
37  ,
52  ,
75  ,
99  ,
128 ,
152 ,
175 ,
195 ,
222 ,
235 ,
260 ,
279 ,
297 ,
325 ,
334 ,
361 ,
360 ,
370 ,
372 ,
380 ,
395 ,
408 ,
430 ,
451 ,
473 ,
493 ,
520 ,
540 ,
570 ,
590 ,
623 ,
640 ,
664 ,
674 ,
689 ,
690 ,
698 ,
696 ,
698 ,
691 ,
679 ,
661 ,
634 ,
605 ,
569 ,
546 ,
517 ,
501 ,
476 ,
458 ,
433 ,
414 ,
394 ,
379 ,
363 ,
351 ,
341 ,
340 ,
329 ,
330 ,
314 ,
295 ,
280 ,
262 ,
245 ,
228 ,
202 ,
168 ,
143 ,
112 ,
89  ,
60  ,
33  ,
-1  ,
-29 ,
-59 ,
-83 ,
-111  ,
-136  ,
-160  ,
-177  ,
-189  ,
-211  ,
-230  ,
-272  ,
-298  ,
-346  ,
-366  ,
-413  ,
-446  ,
-492  ,
-541  ,
-582  ,
-616  ,
-649  ,
-669  ,
-696  ,
-709  ,
-722  ,
-726  ,
-738  ,
-738  ,
-746  ,
-736  ,
-731  ,
-715  ,
-698  ,
-693  ,
-686  ,
-696  ,
-698  ,
-712  ,
-719  ,
-724  ,
-720  ,
-716  ,
-714  ,
-712  ,
-713  ,
-709  ,
-706  ,
-693  ,
-661  ,
-631  ,
-580  ,
-534  ,
-485  ,
-435  ,
-383  ,
-321  ,
-255  ,
-185  ,
-121  ,
-54 ,
13  ,
84  ,
158 ,
231 ,
301 ,
355 ,
410 ,
451 ,
494 ,
524 ,
556 ,
582 ,
613 ,
645 ,
677 ,
714 ,
741 ,
767 ,
789 ,
814 ,
839 ,
862 ,
886 ,
912 ,
934 ,
958 ,
974 ,
989 ,
996 ,
1002  ,
1005  ,
1017  ,
1033  ,
1036  ,
1047  ,
1047  ,
1062  ,
1072  ,
1098  ,
1110  ,
1130  ,
1141  ,
1153  ,
1169  ,
1176  ,
1184  ,
1175  ,
1171  ,
1154  ,
1134  ,
1104  ,
1070  ,
1029  ,
993 ,
957 ,
915 ,
878 ,
821 ,
771 ,
705 ,
645 ,
582 ,
521 ,
468 ,
418 ,
371 ,
328 ,
284 ,
247 ,
205 ,
169 ,
133 ,
102 ,
74  ,
39  ,
8 ,
-39 ,
-83 ,
-131  ,
-180  ,
-224  ,
-266  ,
-307  ,
-349  ,
-393  ,
-428  ,
-462  ,
-482  ,
-497  ,
-504  ,
-509  ,
-503  ,
-498  ,
-486  ,
-475  ,
-460  ,
-448  ,
-429  ,
-413  ,
-394  ,
-379  ,
-365  ,
-359  ,
-340  ,
-324  ,
-301  ,
-278  ,
-258  ,
-223  ,
-186  ,
-137  ,
-92 ,
-42 ,
-5  ,
45  ,
94  ,
154 ,
218 ,
272 ,
322 ,
371 ,
414 ,
460 ,
497 ,
535 ,
570 ,
606 ,
634 ,
669 ,
689 ,
715 ,
730 ,
754 ,
769 ,
790 ,
794 ,
804 ,
808 ,
821 ,
836 ,
858 ,
878 ,
898 ,
918 ,
936 ,
959 ,
981 ,
995 ,
1016  ,
1027  ,
1046  ,
1055  ,
1065  ,
1066  ,
1065  ,
1058  ,
1047  ,
1031  ,
1021  ,
1003  ,
997 ,
980 ,
964 ,
948 ,
925 ,
909 ,
888 ,
871 ,
851 ,
831 ,
807 ,
783 ,
755 ,
726 ,
701 ,
677 ,
654 ,
637 ,
602 ,
578 ,
539 ,
507 ,
472 ,
436 ,
398 ,
362 ,
311 ,
277 ,
227 ,
186 ,
137 ,
87  ,
41  ,
-8  ,
-46 ,
-87 ,
-117  ,
-152  ,
-180  ,
-200  ,
-224  ,
-235  ,
-258  ,
-280  ,
-302  ,
-325  ,
-341  ,
-367  ,
-382  ,
-407  ,
-419  ,
-431  ,
-437  ,
-446  ,
-456  ,
-471  ,
-472  ,
-477  ,
-463  ,
-454  ,
-441  ,
-417  ,
-402  ,
-380  ,
-366  ,
-354  ,
-350  ,
-344  ,
-346  ,
-348  ,
-355  ,
-366  ,
-376  ,
-382  ,
-388  ,
-391  ,
-401  ,
-407  ,
-424  ,
-428  ,
-446  ,
-444  ,
-449  ,
-440  ,
-430  ,
-425  ,
-413  ,
-413  ,
-405  ,
-399  ,
-392  ,
-378  ,
-370  ,
-360  ,
-356  ,
-356  ,
-357  ,
-369  ,
-376  ,
-389  ,
-394  ,
-402  ,
-412  ,
-420  ,
-434  ,
-444  ,
-452  ,
-461  ,
-451  ,
-450  ,
-434  ,
-428  ,
-405  ,
-389  ,
-351  ,
-322  ,
-268  ,
-222  ,
-159  ,
-111  ,
-54 ,
-21 ,
21  ,
42  ,
77  ,
92  ,
120 ,
133 ,
152 ,
163 ,
179 ,
178 ,
192 ,
188 ,
204 ,
200 ,
218 ,
212 ,
221 ,
211 ,
211 ,
209 ,
203 ,
204 ,
194 ,
185 ,
165 ,
140 ,
109 ,
78  ,
46  ,
26  ,
5 ,
-6  ,
-14 ,
-22 ,
-28 ,
-23 ,
-25 ,
-1  ,
8 ,
30  ,
44  ,
55  ,
66  ,
67  ,
67  ,
70  ,
57  ,
49  ,
23  ,
-4  ,
-49 ,
-94 ,
-149  ,
-199  ,
-258  ,
-314  ,
-377  ,
-436  ,
-502  ,
-561  ,
-621  ,
-683  ,
-732  ,
-784  ,
-830  ,
-872  ,
-918  ,
-967  ,
-1012 ,
-1069 ,
-1115 ,
-1166 ,
-1216 ,
-1263 ,
-1312 ,
-1355 ,
-1401 ,
-1447 ,
-1490 ,
-1525 ,
-1563 ,
-1589 ,
-1620 ,
-1640 ,
-1661 ,
-1670 ,
-1670 ,
-1661 ,
-1640 ,
-1622 ,
-1587 ,
-1563 ,
-1529 ,
-1501 ,
-1470 ,
-1436 ,
-1405 ,
-1368 ,
-1335 ,
-1302 ,
-1274 ,
-1242 ,
-1216 ,
-1174 ,
-1136 ,
-1087 ,
-1033 ,
-982  ,
-922  ,
-864  ,
-802  ,
-740  ,
-660  ,
-589  ,
-507  ,
-436  ,
-365  ,
-298  ,
-240  ,
-181  ,
-121  ,
-60 ,
-3  ,
55  ,
98  ,
146 ,
177 ,
216 ,
244 ,
277 ,
305 ,
334 ,
354 ,
370 ,
381 ,
390 ,
402 ,
412 ,
434 ,
449 ,
468 ,
476 ,
482 ,
491 ,
496 ,
510 ,
523 ,
543 ,
547 ,
554 ,
540 ,
527 ,
504 ,
486 ,
466 ,
453 ,
436 ,
419 ,
405 ,
384 ,
368 ,
353 ,
348 ,
348 ,
350 ,
349 ,
349 ,
338 ,
325 ,
304 ,
281 ,
264 ,
240 ,
233 ,
212 ,
204 ,
180 ,
171 ,
155 ,
146 ,
148 ,
146 ,
157 ,
155 ,
153 ,
143 ,
130 ,
116 ,
115 ,
110 ,
110 ,
106 ,
91  ,
78  ,
56  ,
43  ,
28  ,
19  ,
9 ,
-3  ,
-18 ,
-32 ,
-51 ,
-64 ,
-79 ,
-88 ,
-94 ,
-99 ,
-102  ,
-119  ,
-134  ,
-157  ,
-171  ,
-179  ,
-175  ,
-161  ,
-145  ,
-128  ,
-111  ,
-100  ,
-84 ,
-71 ,
-55 ,
-34 ,
-16 ,
1 ,
10  ,
5 ,
-2  ,
-14 ,
-22 ,
-22 ,
-28 ,
-29 ,
-38 ,
-46 ,
-60 ,
-68 ,
-77 ,
-80 ,
-80 ,
-77 ,
-75 ,
-84 ,
-89 ,
-103  ,
-108  ,
-111  ,
-102  ,
-91 ,
-81 ,
-76 ,
-71 ,
-78 ,
-84 ,
-97 ,
-109  ,
-111  ,
-127  ,
-129  ,
-145  ,
-154  ,
-164  ,
-171  ,
-167  ,
-167  ,
-160  ,
-150  ,
-139  ,
-126  ,
-111  ,
-90 ,
-65 ,
-29 ,
8 ,
50  ,
84  ,
111 ,
137 ,
162 ,
188 ,
218 ,
248 ,
282 ,
305 ,
340 ,
361 ,
393 ,
422 ,
448 ,
481 ,
504 ,
530 ,
544 ,
555 ,
560 ,
570 ,
565 ,
576 ,
568 ,
571 ,
561 ,
558 ,
552 ,
550 ,
542 ,
534 ,
528 ,
519 ,
511 ,
500 ,
489 ,
480 ,
473 ,
477 ,
482 ,
500 ,
512 ,
526 ,
546 ,
555 ,
577 ,
584 ,
604 ,
612 ,
629 ,
632 ,
640 ,
641 ,
636 ,
625 ,
613 ,
598 ,
590 ,
566 ,
553 ,
522 ,
501 ,
474 ,
456 ,
440 ,
424 ,
415 ,
402 ,
396 ,
394 ,
386 ,
383 ,
371 ,
352 ,
333 ,
311 ,
284 ,
259 ,
234 ,
206 ,
181 ,
150 ,
131 ,
98  ,
84  ,
55  ,
44  ,
31  ,
22  ,
15  ,
4 ,
1 ,
-7  ,
-2  ,
-1  ,
10  ,
10  ,
21  ,
31  ,
45  ,
61  ,
69  ,
84  ,
92  ,
104 ,
113 ,
117 ,
128 ,
135 ,
145 ,
165 ,
184 ,
216 ,
239 ,
276 ,
306 ,
340 ,
374 ,
409 ,
444 ,
483 ,
515 ,
554 ,
581 ,
607 ,
628 ,
642 ,
662 ,
673 ,
693 ,
706 ,
715 ,
719 ,
725 ,
719 ,
722 ,
715 ,
711 ,
711 ,
694 ,
687 ,
669 ,
657 ,
641 ,
624 ,
603 ,
593 ,
578 ,
573 ,
562 ,
556 ,
546 ,
541 ,
534 ,
533 ,
529 ,
527 ,
513 ,
511 ,
496 ,
492 ,
474 ,
464 ,
448 ,
441 ,
427 ,
419 ,
401 ,
390 ,
367 ,
350 ,
333 ,
307 ,
283 ,
251 ,
221 ,
185 ,
153 ,
122 ,
96  ,
67  ,
49  ,
22  ,
11  ,
-13 ,
-22 ,
-40 ,
-48 ,
-56 ,
-58 ,
-57 ,
-60 ,
-52 ,
-64 ,
-49 ,
-63 ,
-62 ,
-68 ,
-78 ,
-70 ,
-74 ,
-68 ,
-69 ,
-68 ,
-77 ,
-71 ,
-74 ,
-61 ,
-60 ,
-50 ,
-42 ,
-35 ,
-31 ,
-27 ,
-20 ,
-17 ,
-9  ,
-11 ,
-4  ,
-12 ,
-8  ,
-11 ,
-3  ,
10  ,
24  ,
45  ,
69  ,
90  ,
111 ,
123 ,
136 ,
146 ,
157 ,
166 ,
169 ,
174 ,
168 ,
166 ,
158 ,
155 ,
152 ,
147 ,
145 ,
147 ,
145 ,
141 ,
131 ,
112 ,
98  ,
77  ,
66  ,
49  ,
30  ,
8 ,
-17 ,
-40 ,
-67 ,
-96 ,
-125  ,
-158  ,
-194  ,
-230  ,
-276  ,
-314  ,
-373  ,
-410  ,
-461  ,
-488  ,
-531  ,
-574  ,
-613  ,
-659  ,
-690  ,
-719  ,
-741  ,
-753  ,
-770  ,
-767  ,
-768  ,
-756  ,
-752  ,
-741  ,
-729  ,
-712  ,
-689  ,
-673  ,
-648  ,
-635  ,
-610  ,
-586  ,
-547  ,
-512  ,
-469  ,
-439  ,
-409  ,
-386  ,
-376  ,
-371  ,
-370  ,
-368  ,
-362  ,
-359  ,
-354  ,
-360  ,
-365  ,
-381  ,
-388  ,
-398  ,
-396  ,
-396  ,
-383  ,
-374  ,
-365  ,
-357  ,
-362  ,
-352  ,
-343  ,
-329  ,
-305  ,
-281  ,
-255  ,
-230  ,
-200  ,
-173  ,
-134  ,
-103  ,
-60 ,
-17 ,
30  ,
77  ,
116 ,
155 ,
186 ,
225 ,
256 ,
294 ,
311 ,
338 ,
333 ,
341 ,
316 ,
299 ,
265 ,
235 ,
201 ,
170 ,
137 ,
101 ,
56  ,
19  ,
-22 ,
-52 ,
-86 ,
-125  ,
-162  ,
-219  ,
-263  ,
-323  ,
-382  ,
-440  ,
-502  ,
-566  ,
-619  ,
-684  ,
-732  ,
-790  ,
-836  ,
-878  ,
-915  ,
-942  ,
-974  ,
-992  ,
-1022 ,
-1041 ,
-1063 ,
-1077 ,
-1098 ,
-1113 ,
-1133 ,
-1147 ,
-1161 ,
-1172 ,
-1181 ,
-1194 ,
-1199 ,
-1208 ,
-1207 ,
-1211 ,
-1211 ,
-1209 ,
-1203 ,
-1188 ,
-1178 ,
-1158 ,
-1144 ,
-1124 ,
-1103 ,
-1086 ,
-1059 ,
-1040 ,
-1002 ,
-972  ,
-931  ,
-892  ,
-860  ,
-817  ,
-780  ,
-734  ,
-689  ,
-642  ,
-592  ,
-543  ,
-496  ,
-452  ,
-414  ,
-384  ,
-357  ,
-328  ,
-305  ,
-279  ,
-255  ,
-236  ,
-211  ,
-199  ,
-185  ,
-176  ,
-179  ,
-172  ,
-175  ,
-162  ,
-164  ,
-149  ,
-149  ,
-136  ,
-123  ,
-110  ,
-89 ,
-71 ,
-45 ,
-22 ,
9 ,
30  ,
64  ,
89  ,
121 ,
146 ,
171 ,
197 ,
219 ,
242 ,
263 ,
280 ,
302 ,
313 ,
331 ,
340 ,
351 ,
362 ,
370 ,
389 ,
411 ,
431 ,
461 ,
476 ,
508 ,
527 ,
545 ,
562 ,
567 ,
579 ,
577 ,
587 ,
589 ,
592 ,
603 ,
600 ,
621 ,
627 ,
648 ,
660 ,
680 ,
687 ,
699 ,
698 ,
697 ,
699 ,
686 ,
680 ,
663 ,
642 ,
617 ,
589 ,
564 ,
539 ,
516 ,
491 ,
473 ,
451 ,
434 ,
412 ,
392 ,
373 ,
355 ,
340 ,
327 ,
311 ,
294 ,
271 ,
246 ,
226 ,
199 ,
178 ,
148 ,
116 ,
82  ,
48  ,
13  ,
-18 ,
-53 ,
-85 ,
-114  ,
-146  ,
-172  ,
-211  ,
-248  ,
-288  ,
-324  ,
-359  ,
-395  ,
-427  ,
-453  ,
-480  ,
-495  ,
-516  ,
-532  ,
-554  ,
-572  ,
-585  ,
-589  ,
-592  ,
-593  ,
-593  ,
-606  ,
-611  ,
-631  ,
-650  ,
-678  ,
-714  ,
-745  ,
-773  ,
-799  ,
-812  ,
-835  ,
-833  ,
-838  ,
-829  ,
-819  ,
-811  ,
-788  ,
-767  ,
-732  ,
-689  ,
-646  ,
-595  ,
-551  ,
-498  ,
-449  ,
-393  ,
-346  ,
-293  ,
-240  ,
-181  ,
-122  ,
-58 ,
1 ,
66  ,
121 ,
177 ,
225 ,
271 ,
318 ,
370 ,
413 ,
462 ,
498 ,
535 ,
572 ,
606 ,
643 ,
678 ,
716 ,
739 ,
774 ,
798 ,
826 ,
844 ,
861 ,
865 ,
871 ,
868 ,
868 ,
871 ,
876 ,
888 ,
908 ,
930 ,
949 ,
968 ,
981 ,
999 ,
1022  ,
1043  ,
1064  ,
1075  ,
1077  ,
1082  ,
1074  ,
1079  ,
1073  ,
1066  ,
1059  ,
1042  ,
1031  ,
1021  ,
1007  ,
996 ,
982 ,
964 ,
943 ,
923 ,
888 ,
865 ,
827 ,
799 ,
755 ,
715 ,
653 ,
603 ,
535 ,
471 ,
407 ,
339 ,
281 ,
216 ,
168 ,
114 ,
74  ,
28  ,
-17 ,
-62 ,
-106  ,
-150  ,
-183  ,
-220  ,
-248  ,
-284  ,
-316  ,
-345  ,
-374  ,
-387  ,
-406  ,
-408  ,
-418  ,
-417  ,
-416  ,
-410  ,
-394  ,
-385  ,
-371  ,
-361  ,
-353  ,
-348  ,
-341  ,
-336  ,
-323  ,
-321  ,
-308  ,
-304  ,
-291  ,
-280  ,
-259  ,
-232  ,
-190  ,
-149  ,
-95 ,
-52 ,
-6  ,
30  ,
74  ,
118 ,
170 ,
216 ,
265 ,
307 ,
347 ,
392 ,
420 ,
462 ,
489 ,
524 ,
559 ,
593 ,
630 ,
654 ,
673 ,
678 ,
682 ,
686 ,
690 ,
701 ,
712 ,
728 ,
742 ,
758 ,
773 ,
790 ,
804 ,
830 ,
846 ,
878 ,
891 ,
912 ,
917 ,
925 ,
926 ,
933 ,
934 ,
936 ,
933 ,
928 ,
919 ,
923 ,
909 ,
918 ,
904 ,
906 ,
896 ,
889 ,
870 ,
847 ,
815 ,
783 ,
750 ,
717 ,
687 ,
647 ,
618 ,
575 ,
541 ,
507 ,
470 ,
440 ,
410 ,
379 ,
356 ,
329 ,
303 ,
280 ,
253 ,
233 ,
214 ,
195 ,
180 ,
152 ,
125 ,
90  ,
60  ,
29  ,
6 ,
-22 ,
-47 ,
-76 ,
-104  ,
-126  ,
-145  ,
-166  ,
-185  ,
-213  ,
-241  ,
-272  ,
-298  ,
-327  ,
-343  ,
-358  ,
-361  ,
-361  ,
-362  ,
-358  ,
-364  ,
-361  ,
-361  ,
-353  ,
-346  ,
-333  ,
-324  ,
-316  ,
-310  ,
-302  ,
-306  ,
-305  ,
-319  ,
-327  ,
-341  ,
-350  ,
-363  ,
-373  ,
-388  ,
-398  ,
-403  ,
-408  ,
-397  ,
-396  ,
-384  ,
-379  ,
-367  ,
-363  ,
-350  ,
-353  ,
-341  ,
-342  ,
-337  ,
-330  ,
-328  ,
-329  ,
-338  ,
-349  ,
-359  ,
-373  ,
-388  ,
-406  ,
-433  ,
-455  ,
-481  ,
-501  ,
-514  ,
-531  ,
-534  ,
-546  ,
-534  ,
-527  ,
-505  ,
-485  ,
-459  ,
-429  ,
-396  ,
-356  ,
-322  ,
-293  ,
-261  ,
-239  ,
-208  ,
-181  ,
-149  ,
-123  ,
-95 ,
-70 ,
-40 ,
-14 ,
14  ,
33  ,
58  ,
80  ,
104 ,
122 ,
140 ,
146 ,
156 ,
148 ,
154 ,
139 ,
133 ,
113 ,
101 ,
92  ,
88  ,
94  ,
92  ,
100 ,
92  ,
96  ,
80  ,
75  ,
59  ,
57  ,
51  ,
60  ,
68  ,
73  ,
87  ,
86  ,
89  ,
90  ,
85  ,
93  ,
96  ,
106 ,
108 ,
109 ,
101 ,
88  ,
78  ,
61  ,
54  ,
33  ,
24  ,
-8  ,
-24 ,
-64 ,
-96 ,
-134  ,
-174  ,
-210  ,
-248  ,
-283  ,
-326  ,
-370  ,
-421  ,
-469  ,
-518  ,
-569  ,
-617  ,
-673  ,
-736  ,
-797  ,
-867  ,
-935  ,
-1008 ,
-1080 ,
-1147 ,
-1206 ,
-1260 ,
-1307 ,
-1352 ,
-1393 ,
-1425 ,
-1458 ,
-1476 ,
-1503 ,
-1522 ,
-1542 ,
-1554 ,
-1557 ,
-1556 ,
-1550 ,
-1543 ,
-1529 ,
-1514 ,
-1500 ,
-1480 ,
-1461 ,
-1438 ,
-1411 ,
-1376 ,
-1345 ,
-1307 ,
-1282 ,
-1249 ,
-1227 ,
-1191 ,
-1157 ,
-1110 ,
-1055 ,
-1002 ,
-941  ,
-886  ,
-824  ,
-765  ,
-705  ,
-638  ,
-577  ,
-503  ,
-440  ,
-368  ,
-304  ,
-242  ,
-188  ,
-136  ,
-88 ,
-44 ,
2 ,
44  ,
82  ,
115 ,
151 ,
181 ,
225 ,
256 ,
295 ,
319 ,
344 ,
359 ,
366 ,
372 ,
365 ,
371 ,
366 ,
371 ,
373 ,
369 ,
365 ,
356 ,
360 ,
363 ,
377 ,
387 ,
397 ,
408 ,
412 ,
418 ,
418 ,
416 ,
410 ,
410 ,
407 ,
415 ,
411 ,
414 ,
403 ,
401 ,
392 ,
386 ,
374 ,
358 ,
335 ,
314 ,
293 ,
277 ,
259 ,
246 ,
230 ,
215 ,
198 ,
178 ,
168 ,
141 ,
141 ,
128 ,
135 ,
134 ,
142 ,
142 ,
145 ,
147 ,
150 ,
161 ,
171 ,
180 ,
184 ,
185 ,
175 ,
163 ,
144 ,
128 ,
110 ,
92  ,
73  ,
54  ,
27  ,
0 ,
-31 ,
-58 ,
-76 ,
-95 ,
-104  ,
-117  ,
-124  ,
-139  ,
-139  ,
-148  ,
-132  ,
-130  ,
-107  ,
-99 ,
-75 ,
-70 ,
-55 ,
-58 ,
-59 ,
-59 ,
-67 ,
-62 ,
-68 ,
-76 ,
-90 ,
-107  ,
-122  ,
-131  ,
-142  ,
-145  ,
-151  ,
-152  ,
-153  ,
-150  ,
-143  ,
-140  ,
-131  ,
-122  ,
-120  ,
-111  ,
-114  ,
-116  ,
-120  ,
-129  ,
-137  ,
-146  ,
-158  ,
-173  ,
-190  ,
-204  ,
-223  ,
-227  ,
-241  ,
-239  ,
-239  ,
-239  ,
-230  ,
-232  ,
-228  ,
-233  ,
-234  ,
-237  ,
-241  ,
-236  ,
-231  ,
-219  ,
-204  ,
-189  ,
-165  ,
-140  ,
-104  ,
-70 ,
-33 ,
4 ,
33  ,
70  ,
100 ,
138 ,
171 ,
208 ,
233 ,
255 ,
272 ,
281 ,
293 ,
302 ,
315 ,
323 ,
334 ,
341 ,
341 ,
346 ,
334 ,
343 ,
334 ,
351 ,
345 ,
354 ,
355 ,
353 ,
357 ,
356 ,
360 ,
364 ,
373 ,
387 ,
404 ,
428 ,
437 ,
460 ,
465 ,
483 ,
504 ,
521 ,
543 ,
546 ,
553 ,
536 ,
528 ,
501 ,
491 ,
470 ,
458 ,
441 ,
430 ,
415 ,
406 ,
393 ,
397 ,
401 ,
413 ,
422 ,
427 ,
430 ,
428 ,
424 ,
423 ,
419 ,
414 ,
404 ,
390 ,
368 ,
341 ,
312 ,
279 ,
246 ,
221 ,
189 ,
169 ,
144 ,
124 ,
98  ,
79  ,
53  ,
40  ,
26  ,
14  ,
7 ,
-1  ,
-14 ,
-24 ,
-35 ,
-41 ,
-39 ,
-40 ,
-35 ,
-32 ,
-33 ,
-29 ,
-32 ,
-23 ,
-15 ,
-2  ,
12  ,
28  ,
36  ,
42  ,
55  ,
64  ,
87  ,
109 ,
132 ,
153 ,
174 ,
201 ,
232 ,
260 ,
296 ,
330 ,
362 ,
407 ,
434 ,
483 ,
504 ,
545 ,
573 ,
614 ,
651 ,
692 ,
727 ,
754 ,
780 ,
794 ,
819 ,
830 ,
847 ,
862 ,
875 ,
885 ,
885 ,
876 ,
855 ,
834 ,
809 ,
792 ,
774 ,
753 ,
735 ,
706 ,
694 ,
666 ,
661 ,
646 ,
637 ,
630 ,
624 ,
616 ,
614 ,
608 ,
604 ,
607 ,
608 ,
610 ,
611 ,
604 ,
602 ,
591 ,
589 ,
582 ,
578 ,
571 ,
562 ,
549 ,
535 ,
506 ,
485 ,
447 ,
413 ,
376 ,
335 ,
298 ,
260 ,
220 ,
183 ,
152 ,
121 ,
99  ,
77  ,
58  ,
34  ,
16  ,
-8  ,
-20 ,
-33 ,
-30 ,
-34 ,
-30 ,
-38 ,
-40 ,
-44 ,
-44 ,
-40 ,
-40 ,
-33 ,
-35 ,
-30 ,
-37 ,
-38 ,
-45 ,
-44 ,
-48 ,
-42 ,
-43 ,
-41 ,
-39 ,
-45 ,
-42 ,
-46 ,
-42 ,
-40 ,
-27 ,
-17 ,
4 ,
16  ,
37  ,
50  ,
68  ,
84  ,
103 ,
117 ,
125 ,
130 ,
122 ,
122 ,
108 ,
111 ,
98  ,
108 ,
105 ,
114 ,
112 ,
113 ,
118 ,
121 ,
133 ,
142 ,
156 ,
159 ,
166 ,
153 ,
147 ,
127 ,
109 ,
91  ,
69  ,
47  ,
24  ,
-3  ,
-32 ,
-56 ,
-88 ,
-113  ,
-142  ,
-180  ,
-210  ,
-254  ,
-291  ,
-338  ,
-384  ,
-430  ,
-467  ,
-512  ,
-539  ,
-585  ,
-609  ,
-643  ,
-658  ,
-668  ,
-667  ,
-652  ,
-640  ,
-613  ,
-599  ,
-574  ,
-556  ,
-536  ,
-511  ,
-489  ,
-462  ,
-438  ,
-425  ,
-411  ,
-409  ,
-403  ,
-391  ,
-382  ,
-360  ,
-349  ,
-334  ,
-331  ,
-326  ,
-330  ,
-337  ,
-348  ,
-366  ,
-381  ,
-405  ,
-417  ,
-446  ,
-459  ,
-477  ,
-484  ,
-477  ,
-471  ,
-451  ,
-434  ,
-412  ,
-391  ,
-364  ,
-335  ,
-306  ,
-274  ,
-241  ,
-207  ,
-173  ,
-151  ,
-125  ,
-114  ,
-93 ,
-81 ,
-55 ,
-38 ,
-11 ,
-2  ,
22  ,
36  ,
58  ,
83  ,
102 ,
128 ,
145 ,
155 ,
159 ,
155 ,
143 ,
131 ,
115 ,
97  ,
78  ,
51  ,
17  ,
-17 ,
-56 ,
-96 ,
-131  ,
-172  ,
-213  ,
-255  ,
-311  ,
-358  ,
-421  ,
-476  ,
-535  ,
-587  ,
-637  ,
-676  ,
-722  ,
-753  ,
-794  ,
-829  ,
-865  ,
-900  ,
-930  ,
-953  ,
-978  ,
-996  ,
-1023 ,
-1042 ,
-1065 ,
-1083 ,
-1097 ,
-1105 ,
-1114 ,
-1115 ,
-1122 ,
-1124 ,
-1129 ,
-1132 ,
-1138 ,
-1132 ,
-1133 ,
-1121 ,
-1118 ,
-1110 ,
-1107 ,
-1100 ,
-1088 ,
-1076 ,
-1056 ,
-1039 ,
-1016 ,
-992  ,
-958  ,
-931  ,
-889  ,
-857  ,
-808  ,
-756  ,
-694  ,
-630  ,
-572  ,
-524  ,
-476  ,
-440  ,
-394  ,
-357  ,
-317  ,
-277  ,
-244  ,
-207  ,
-185  ,
-158  ,
-145  ,
-128  ,
-111  ,
-98 ,
-88 ,
-85 ,
-92 ,
-96 ,
-109  ,
-111  ,
-122  ,
-127  ,
-132  ,
-139  ,
-137  ,
-137  ,
-131  ,
-125  ,
-114  ,
-100  ,
-77 ,
-63 ,
-34 ,
-22 ,
3 ,
16  ,
35  ,
53  ,
74  ,
96  ,
116 ,
141 ,
156 ,
176 ,
194 ,
213 ,
237 ,
253 ,
273 ,
289 ,
303 ,
318 ,
328 ,
342 ,
348 ,
362 ,
365 ,
378 ,
378 ,
389 ,
385 ,
398 ,
403 ,
425 ,
447 ,
460 ,
478 ,
487 ,
498 ,
516 ,
527 ,
540 ,
548 ,
547 ,
546 ,
536 ,
521 ,
500 ,
478 ,
462 ,
449 ,
441 ,
434 ,
422 ,
419 ,
404 ,
405 ,
394 ,
392 ,
390 ,
385 ,
385 ,
377 ,
372 ,
360 ,
345 ,
330 ,
313 ,
304 ,
285 ,
272 ,
249 ,
233 ,
205 ,
189 ,
156 ,
140 ,
103 ,
86  ,
47  ,
26  ,
-17 ,
-39 ,
-78 ,
-104  ,
-138  ,
-166  ,
-196  ,
-221  ,
-251  ,
-269  ,
-294  ,
-310  ,
-327  ,
-342  ,
-357  ,
-372  ,
-388  ,
-405  ,
-425  ,
-443  ,
-467  ,
-486  ,
-510  ,
-530  ,
-549  ,
-572  ,
-591  ,
-614  ,
-632  ,
-654  ,
-666  ,
-682  ,
-690  ,
-696  ,
-700  ,
-690  ,
-682  ,
-660  ,
-638  ,
-613  ,
-582  ,
-550  ,
-515  ,
-477  ,
-437  ,
-404  ,
-361  ,
-329  ,
-291  ,
-253  ,
-218  ,
-177  ,
-137  ,
-94 ,
-48 ,
-4  ,
38  ,
78  ,
123 ,
155 ,
203 ,
236 ,
277 ,
305 ,
334 ,
358 ,
382 ,
404 ,
428 ,
455 ,
485 ,
518 ,
547 ,
578 ,
607 ,
632 ,
663 ,
686 ,
715 ,
742 ,
765 ,
788 ,
799 ,
820 ,
821 ,
836 ,
838 ,
848 ,
854 ,
862 ,
863 ,
866 ,
863 ,
852 ,
852 ,
848 ,
854 ,
862 ,
870 ,
872 ,
872 ,
866 ,
859 ,
854 ,
848 ,
836 ,
826 ,
804 ,
782 ,
759 ,
737 ,
708 ,
687 ,
655 ,
627 ,
595 ,
551 ,
516 ,
471 ,
427 ,
387 ,
342 ,
302 ,
254 ,
204 ,
151 ,
102 ,
56  ,
8 ,
-27 ,
-68 ,
-98 ,
-132  ,
-165  ,
-191  ,
-225  ,
-243  ,
-264  ,
-271  ,
-272  ,
-275  ,
-276  ,
-281  ,
-285  ,
-283  ,
-278  ,
-269  ,
-252  ,
-243  ,
-225  ,
-220  ,
-203  ,
-196  ,
-184  ,
-175  ,
-153  ,
-140  ,
-118  ,
-106  ,
-86 ,
-71 ,
-46 ,
-25 ,
10  ,
44  ,
86  ,
125 ,
168 ,
203 ,
239 ,
271 ,
305 ,
338 ,
371 ,
402 ,
424 ,
448 ,
465 ,
485 ,
510 ,
529 ,
558 ,
574 ,
593 ,
603 ,
613 ,
626 ,
634 ,
651 ,
664 ,
677 ,
688 ,
693 ,
701 ,
704 ,
709 ,
717 ,
722 ,
735 ,
747 ,
755 ,
771 ,
782 ,
796 ,
808 ,
821 ,
838 ,
853 ,
873 ,
885 ,
891 ,
900 ,
893 ,
900 ,
888 ,
889 ,
873 ,
858 ,
829 ,
797 ,
765 ,
728 ,
699 ,
666 ,
638 ,
601 ,
560 ,
522 ,
479 ,
448 ,
410 ,
392 ,
367 ,
353 ,
334 ,
313 ,
300 ,
279 ,
267 ,
257 ,
247 ,
230 ,
212 ,
184 ,
157 ,
126 ,
96  ,
62  ,
36  ,
-2  ,
-29 ,
-70 ,
-108  ,
-148  ,
-183  ,
-208  ,
-228  ,
-238  ,
-243  ,
-244  ,
-247  ,
-247  ,
-247  ,
-245  ,
-239  ,
-233  ,
-224  ,
-218  ,
-217  ,
-218  ,
-222  ,
-224  ,
-228  ,
-226  ,
-228  ,
-223  ,
-221  ,
-217  ,
-212  ,
-202  ,
-195  ,
-179  ,
-174  ,
-166  ,
-167  ,
-167  ,
-169  ,
-172  ,
-166  ,
-172  ,
-164  ,
-175  ,
-174  ,
-189  ,
-202  ,
-218  ,
-233  ,
-248  ,
-264  ,
-280  ,
-297  ,
-316  ,
-334  ,
-357  ,
-383  ,
-408  ,
-430  ,
-452  ,
-466  ,
-487  ,
-499  ,
-517  ,
-523  ,
-531  ,
-532  ,
-531  ,
-526  ,
-521  ,
-503  ,
-493  ,
-477  ,
-460  ,
-442  ,
-421  ,
-394  ,
-373  ,
-340  ,
-317  ,
-281  ,
-252  ,
-216  ,
-182  ,
-146  ,
-115  ,
-86 ,
-64 ,
-43 ,
-27 ,
-14 ,
-5  ,
2 ,
5 ,
7 ,
0 ,
-6  ,
-26 ,
-39 ,
-59 ,
-70 ,
-78 ,
-80 ,
-82 ,
-73 ,
-72 ,
-55 ,
-50 ,
-37 ,
-26 ,
-22 ,
-3  ,
-5  ,
10  ,
8 ,
11  ,
13  ,
15  ,
13  ,
19  ,
15  ,
17  ,
12  ,
6 ,
1 ,
-3  ,
-12 ,
-12 ,
-23 ,
-29 ,
-39 ,
-48 ,
-63 ,
-69 ,
-91 ,
-97 ,
-122  ,
-133  ,
-159  ,
-179  ,
-206  ,
-231  ,
-259  ,
-284  ,
-316  ,
-347  ,
-389  ,
-425  ,
-472  ,
-511  ,
-558  ,
-596  ,
-641  ,
-683  ,
-731  ,
-778  ,
-822  ,
-869  ,
-909  ,
-948  ,
-989  ,
-1029 ,
-1068 ,
-1112 ,
-1153 ,
-1196 ,
-1238 ,
-1271 ,
-1309 ,
-1339 ,
-1365 ,
-1384 ,
-1393 ,
-1400 ,
-1404 ,
-1399 ,
-1402 ,
-1390 ,
-1387 ,
-1376 ,
-1369 ,
-1359 ,
-1349 ,
-1331 ,
-1319 ,
-1290 ,
-1277 ,
-1245 ,
-1223 ,
-1200 ,
-1164 ,
-1134 ,
-1091 ,
-1038 ,
-991  ,
-930  ,
-872  ,
-809  ,
-747  ,
-684  ,
-628  ,
-567  ,
-509  ,
-448  ,
-389  ,
-333  ,
-279  ,
-225  ,
-179  ,
-129  ,
-82 ,
-39 ,
2 ,
41  ,
84  ,
121 ,
158 ,
190 ,
214 ,
236 ,
252 ,
258 ,
267 ,
267 ,
264 ,
265 ,
257 ,
257 ,
250 ,
249 ,
250 ,
253 ,
262 ,
279 ,
290 ,
316 ,
325 ,
346 ,
356 ,
373 ,
384 ,
394 ,
402 ,
406 ,
409 ,
413 ,
410 ,
416 ,
409 ,
412 ,
400 ,
397 ,
384 ,
373 ,
358 ,
339 ,
315 ,
296 ,
269 ,
251 ,
232 ,
207 ,
196 ,
175 ,
167 ,
155 ,
153 ,
146 ,
153 ,
154 ,
165 ,
179 ,
185 ,
200 ,
205 ,
209 ,
210 ,
197 ,
189 ,
173 ,
158 ,
144 ,
130 ,
117 ,
100 ,
87  ,
73  ,
66  ,
58  ,
54  ,
53  ,
55  ,
57  ,
62  ,
68  ,
70  ,
75  ,
76  ,
74  ,
78  ,
72  ,
66  ,
59  ,
48  ,
41  ,
33  ,
26  ,
21  ,
15  ,
11  ,
4 ,
-7  ,
-6  ,
-16 ,
-14 ,
-15 ,
-11 ,
-11 ,
-12 ,
-18 ,
-26 ,
-34 ,
-39 ,
-44 ,
-46 ,
-46 ,
-48 ,
-48 ,
-57 ,
-61 ,
-73 ,
-74 ,
-84 ,
-91 ,
-97 ,
-113  ,
-117  ,
-137  ,
-147  ,
-165  ,
-181  ,
-194  ,
-212  ,
-215  ,
-227  ,
-234  ,
-245  ,
-256  ,
-265  ,
-274  ,
-282  ,
-287  ,
-291  ,
-289  ,
-279  ,
-267  ,
-248  ,
-227  ,
-203  ,
-171  ,
-140  ,
-107  ,
-73 ,
-44 ,
-8  ,
22  ,
60  ,
88  ,
118 ,
139 ,
159 ,
173 ,
188 ,
197 ,
214 ,
222 ,
241 ,
257 ,
277 ,
292 ,
305 ,
313 ,
323 ,
333 ,
345 ,
349 ,
361 ,
363 ,
372 ,
379 ,
386 ,
395 ,
410 ,
420 ,
438 ,
446 ,
452 ,
451 ,
457 ,
454 ,
461 ,
461 ,
462 ,
462 ,
455 ,
452 ,
445 ,
440 ,
436 ,
435 ,
437 ,
444 ,
451 ,
456 ,
466 ,
468 ,
473 ,
475 ,
474 ,
476 ,
470 ,
466 ,
456 ,
436 ,
424 ,
401 ,
390 ,
373 ,
364 ,
346 ,
331 ,
313 ,
293 ,
277 ,
261 ,
249 ,
238 ,
222 ,
207 ,
186 ,
164 ,
144 ,
115 ,
99  ,
74  ,
54  ,
32  ,
5 ,
-19 ,
-47 ,
-63 ,
-85 ,
-94 ,
-108  ,
-110  ,
-112  ,
-105  ,
-101  ,
-86 ,
-77 ,
-64 ,
-52 ,
-45 ,
-37 ,
-25 ,
-15 ,
1 ,
19  ,
34  ,
57  ,
77  ,
103 ,
130 ,
154 ,
181 ,
205 ,
238 ,
267 ,
297 ,
330 ,
358 ,
399 ,
430 ,
477 ,
513 ,
555 ,
590 ,
620 ,
645 ,
664 ,
681 ,
689 ,
706 ,
709 ,
721 ,
726 ,
726 ,
730 ,
720 ,
715 ,
713 ,
705 ,
705 ,
697 ,
686 ,
677 ,
664 ,
649 ,
633 ,
615 ,
598 ,
585 ,
570 ,
564 ,
551 ,
544 ,
542 ,
537 ,
548 ,
551 ,
560 ,
564 ,
572 ,
579 ,
585 ,
586 ,
595 ,
587 ,
594 ,
589 ,
586 ,
578 ,
560 ,
546 ,
518 ,
494 ,
459 ,
422 ,
379 ,
335 ,
287 ,
241 ,
197 ,
163 ,
130 ,
109 ,
85  ,
63  ,
40  ,
23  ,
0 ,
-10 ,
-29 ,
-41 ,
-57 ,
-69 ,
-80 ,
-94 ,
-106  ,
-118  ,
-133  ,
-139  ,
-151  ,
-150  ,
-161  ,
-160  ,
-169  ,
-169  ,
-173  ,
-175  ,
-178  ,
-183  ,
-186  ,
-188  ,
-188  ,
-186  ,
-185  ,
-181  ,
-173  ,
-158  ,
-147  ,
-127  ,
-113  ,
-94 ,
-77 ,
-54 ,
-34 ,
-11 ,
3 ,
16  ,
26  ,
32  ,
35  ,
37  ,
45  ,
57  ,
71  ,
89  ,
104 ,
119 ,
134 ,
148 ,
161 ,
180 ,
191 ,
205 ,
208 ,
216 ,
210 ,
212 ,
199 ,
196 ,
178 ,
161 ,
137 ,
107 ,
70  ,
35  ,
-12 ,
-43 ,
-89 ,
-118  ,
-159  ,
-188  ,
-232  ,
-262  ,
-305  ,
-333  ,
-372  ,
-403  ,
-432  ,
-459  ,
-482  ,
-509  ,
-528  ,
-549  ,
-562  ,
-570  ,
-574  ,
-566  ,
-559  ,
-539  ,
-517  ,
-491  ,
-465  ,
-441  ,
-419  ,
-396  ,
-391  ,
-376  ,
-381  ,
-368  ,
-372  ,
-364  ,
-367  ,
-368  ,
-371  ,
-375  ,
-373  ,
-378  ,
-374  ,
-379  ,
-372  ,
-376  ,
-369  ,
-377  ,
-377  ,
-382  ,
-381  ,
-378  ,
-371  ,
-363  ,
-344  ,
-334  ,
-309  ,
-299  ,
-283  ,
-274  ,
-268  ,
-264  ,
-256  ,
-254  ,
-243  ,
-237  ,
-225  ,
-214  ,
-197  ,
-181  ,
-161  ,
-139  ,
-116  ,
-89 ,
-67 ,
-41 ,
-17 ,
-1  ,
17  ,
24  ,
34  ,
37  ,
39  ,
36  ,
28  ,
14  ,
-8  ,
-19 ,
-40 ,
-51 ,
-63 ,
-76 ,
-91 ,
-111  ,
-135  ,
-163  ,
-183  ,
-213  ,
-237  ,
-266  ,
-300  ,
-335  ,
-378  ,
-423  ,
-461  ,
-504  ,
-531  ,
-567  ,
-593  ,
-624  ,
-661  ,
-688  ,
-727  ,
-758  ,
-793  ,
-827  ,
-853  ,
-879  ,
-897  ,
-926  ,
-940  ,
-969  ,
-983  ,
-996  ,
-1009 ,
-1010 ,
-1027 ,
-1033 ,
-1048 ,
-1062 ,
-1066 ,
-1076 ,
-1065 ,
-1063 ,
-1044 ,
-1033 ,
-1009 ,
-996  ,
-966  ,
-946  ,
-908  ,
-877  ,
-835  ,
-802  ,
-763  ,
-735  ,
-699  ,
-658  ,
-620  ,
-571  ,
-535  ,
-490  ,
-458  ,
-418  ,
-389  ,
-356  ,
-329  ,
-302  ,
-272  ,
-253  ,
-225  ,
-216  ,
-196  ,
-189  ,
-173  ,
-164  ,
-152  ,
-145  ,
-139  ,
-142  ,
-146  ,
-160  ,
-164  ,
-171  ,
-163  ,
-163  ,
-153  ,
-157  ,
-151  ,
-151  ,
-141  ,
-126  ,
-106  ,
-79 ,
-56 ,
-27 ,
-9  ,
8 ,
22  ,
34  ,
58  ,
76  ,
109 ,
128 ,
158 ,
163 ,
190 ,
188 ,
209 ,
211 ,
225 ,
228 ,
229 ,
230 ,
224 ,
220 ,
215 ,
210 ,
216 ,
218 ,
225 ,
231 ,
232 ,
240 ,
250 ,
266 ,
282 ,
308 ,
319 ,
344 ,
352 ,
366 ,
373 ,
379 ,
384 ,
395 ,
397 ,
404 ,
406 ,
400 ,
407 ,
405 ,
417 ,
430 ,
438 ,
459 ,
461 ,
477 ,
476 ,
488 ,
486 ,
497 ,
493 ,
499 ,
486 ,
480 ,
464 ,
461 ,
447 ,
446 ,
431 ,
422 ,
398 ,
370 ,
340 ,
306 ,
276 ,
251 ,
227 ,
208 ,
186 ,
159 ,
135 ,
111 ,
91  ,
74  ,
58  ,
53  ,
36  ,
29  ,
8 ,
-8  ,
-32 ,
-53 ,
-74 ,
-92 ,
-109  ,
-129  ,
-147  ,
-205  ,
-253  ,
-278  ,
-301  ,
-330  ,
-364  ,
-386  ,
-409  ,
-411  ,
-432  ,
-454  ,
-455  ,
-452  ,
-471  ,
-507  ,
-557  ,
-591  ,
-625  ,
-631  ,
-620  ,
-613  ,
-613  ,
-611  ,
-587  ,
-554  ,
-553  ,
-547  ,
-495  ,
-459  ,
-429  ,
-420  ,
-374  ,
-335  ,
-308  ,
-279  ,
-260  ,
-252  ,
-249  ,
-217  ,
-171  ,
-134  ,
-108  ,
-73 ,
-36 ,
-9  ,
13  ,
42  ,
78  ,
119 ,
170 ,
217 ,
237 ,
244 ,
268 ,
292 ,
320 ,
351 ,
376 ,
405 ,
429 ,
462 ,
489 ,
511 ,
534 ,
565 ,
588 ,
581 ,
574 ,
582 ,
610 ,
644 ,
674 ,
686 ,
675 ,
666 ,
676 ,
692 ,
699 ,
722 ,
755 ,
794 ,
805 ,
815 ,
806 ,
823 ,
832 ,
860 ,
864 ,
857 ,
833 ,
829 ,
822 ,
813 ,
782 ,
762 ,
738 ,
719 ,
701 ,
673 ,
645 ,
635 ,
617 ,
594 ,
547 ,
490 ,
453 ,
420 ,
400 ,
371 ,
331 ,
280 ,
230 ,
185 ,
152 ,
120 ,
106 ,
109 ,
100 ,
77  ,
40  ,
13  ,
-12 ,
-14 ,
-18 ,
-25 ,
-49 ,
-71 ,
-78 ,
-89 ,
-104  ,
-112  ,
-118  ,
-116  ,
-120  ,
-129  ,
-131  ,
-123  ,
-104  ,
-66 ,
-40 ,
-33 ,
-28 ,
-21 ,
-2  ,
18  ,
47  ,
80  ,
104 ,
131 ,
137 ,
148 ,
142 ,
176 ,
212 ,
264 ,
292 ,
315 ,
333 ,
351 ,
373 ,
385 ,
401 ,
400 ,
418 ,
432 ,
445 ,
445 ,
450 ,
456 ,
468 ,
467 ,
470 ,
460 ,
462 ,
468 ,
484 ,
493 ,
491 ,
487 ,
479 ,
478 ,
476 ,
495 ,
525 ,
561 ,
588 ,
611 ,
621 ,
633 ,
661 ,
701 ,
737 ,
769 ,
780 ,
786 ,
776 ,
764 ,
758 ,
759 ,
768 ,
764 ,
758 ,
734 ,
703 ,
676 ,
660 ,
650 ,
633 ,
617 ,
586 ,
568 ,
536 ,
532 ,
518 ,
500 ,
478 ,
435 ,
395 ,
343 ,
313 ,
296 ,
284 ,
266 ,
245 ,
210 ,
177 ,
144 ,
117 ,
107 ,
83  ,
74  ,
51  ,
30  ,
-5  ,
-30 ,
-51 ,
-60 ,
-67 ,
-78 ,
-91 ,
-103  ,
-98 ,
-92 ,
-83 ,
-84 ,
-84 ,
-87 ,
-91 ,
-90 ,
-86 ,
-76 ,
-72 ,
-66 ,
-66 ,
-83 ,
-99 ,
-106  ,
-98 ,
-82 ,
-78 ,
-66 ,
-71 ,
-67 ,
-75 ,
-63 ,
-48 ,
-24 ,
-3  ,
9 ,
4 ,
-11 ,
-27 ,
-39 ,
-49 ,
-55 ,
-74 ,
-88 ,
-113  ,
-126  ,
-144  ,
-156  ,
-162  ,
-171  ,
-179  ,
-203  ,
-229  ,
-264  ,
-298  ,
-326  ,
-355  ,
-390  ,
-435  ,
-487  ,
-533  ,
-567  ,
-598  ,
-612  ,
-624  ,
-637  ,
-645  ,
-655  ,
-659  ,
-652  ,
-642  ,
-612  ,
-591  ,
-561  ,
-552  ,
-532  ,
-514  ,
-486  ,
-459  ,
-432  ,
-407  ,
-378  ,
-354  ,
-325  ,
-310  ,
-276  ,
-267  ,
-241  ,
-238  ,
-229  ,
-230  ,
-225  ,
-209  ,
-189  ,
-179  ,
-175  ,
-185  ,
-194  ,
-193  ,
-186  ,
-160  ,
-133  ,
-108  ,
-82 ,
-80 ,
-67 ,
-71 ,
-60 ,
-45 ,
-28 ,
-8  ,
-3  ,
-3  ,
-13 ,
-10 ,
-19 ,
-10 ,
-13 ,
-9  ,
-15 ,
-15 ,
-20 ,
-16 ,
-12 ,
-1  ,
4 ,
20  ,
17  ,
26  ,
29  ,
36  ,
52  ,
58  ,
74  ,
71  ,
72  ,
66  ,
60  ,
61  ,
61  ,
53  ,
47  ,
30  ,
6 ,
-20 ,
-50 ,
-73 ,
-95 ,
-121  ,
-153  ,
-185  ,
-228  ,
-273  ,
-316  ,
-365  ,
-409  ,
-457  ,
-498  ,
-541  ,
-585  ,
-628  ,
-672  ,
-711  ,
-759  ,
-804  ,
-858  ,
-903  ,
-947  ,
-986  ,
-1018 ,
-1054 ,
-1083 ,
-1124 ,
-1151 ,
-1184 ,
-1194 ,
-1210 ,
-1217 ,
-1223 ,
-1243 ,
-1265 ,
-1290 ,
-1311 ,
-1317 ,
-1310 ,
-1296 ,
-1275 ,
-1251 ,
-1237 ,
-1215 ,
-1193 ,
-1159 ,
-1122 ,
-1076 ,
-1026 ,
-975  ,
-928  ,
-882  ,
-834  ,
-778  ,
-725  ,
-667  ,
-620  ,
-578  ,
-528  ,
-486  ,
-447  ,
-430  ,
-433  ,
-429  ,
-446  ,
-466  ,
-486  ,
-486  ,
-458  ,
-415  ,
-349  ,
-293  ,
-225  ,
-155  ,
-61 ,
26  ,
100 ,
170 ,
243 ,
303 ,
357 ,
403 ,
440 ,
483 ,
527 ,
532 ,
502 ,
449 ,
424 ,
382 ,
355 ,
329 ,
330 ,
322 ,
296 ,
278 ,
268 ,
270 ,
285 ,
295 ,
311 ,
316 ,
334 ,
352 ,
393 ,
441 ,
495 ,
554 ,
595 ,
588 ,
527 ,
454 ,
405 ,
361 ,
319 ,
268 ,
227 ,
220 ,
248 ,
266 ,
275 ,
283 ,
308 ,
318 ,
283 ,
220 ,
161 ,
135 ,
137 ,
153 ,
177 ,
205 ,
251 ,
316 ,
373 ,
412 ,
416 ,
392 ,
352 ,
287 ,
207 ,
142 ,
82  ,
52  ,
12  ,
17  ,
28  ,
57  ,
80  ,
112 ,
134 ,
139 ,
112 ,
28  ,
-67 ,
-162  ,
-196  ,
-212  ,
-217  ,
-212  ,
-183  ,
-133  ,
-91 ,
-64 ,
-38 ,
-14 ,
12  ,
17  ,
-12 ,
-76 ,
-137  ,
-169  ,
-170  ,
-150  ,
-119  ,
-97 ,
-61 ,
-53 ,
-51 ,
-77 ,
-93 ,
-100  ,
-106  ,
-119  ,
-141  ,
-159  ,
-175  ,
-169  ,
-143  ,
-111  ,
-82 ,
-61 ,
-66 ,
-88 ,
-129  ,
-166  ,
-221  ,
-296  ,
-378  ,
-449  ,
-498  ,
-550  ,
-582  ,
-611  ,
-605  ,
-573  ,
-533  ,
-478  ,
-429  ,
-353  ,
-272  ,
-183  ,
-123  ,
-82 ,
-51 ,
-15 ,
30  ,
62  ,
87  ,
103 ,
114 ,
119 ,
119 ,
122 ,
136 ,
169 ,
196 ,
227 ,
228 ,
229 ,
212 ,
203 ,
207 ,
221 ,
235 ,
239 ,
235 ,
237 ,
256 ,
290 ,
340 ,
386 ,
422 ,
455 ,
476 ,
492 ,
498 ,
520 ,
562 ,
619 ,
670 ,
707 ,
724 ,
740 ,
752 ,
754 ,
735 ,
707 ,
667 ,
636 ,
585 ,
538 ,
481 ,
432 ,
391 ,
348 ,
314 ,
276 ,
243 ,
213 ,
184 ,
149 ,
121 ,
98  ,
104 ,
122 ,
152 ,
187 ,
235 ,
270 ,
310 ,
331 ,
363 ,
377 ,
385 ,
366 ,
346 ,
306 ,
273 ,
234 ,
195 ,
162 ,
131 ,
99  ,
51  ,
-11 ,
-78 ,
-146  ,
-212  ,
-279  ,
-341  ,
-396  ,
-428  ,
-457  ,
-454  ,
-450  ,
-409  ,
-374  ,
-309  ,
-259  ,
-211  ,
-177  ,
-139  ,
-104  ,
-72 ,
-42 ,
-3  ,
37  ,
75  ,
100 ,
124 ,
148 ,
174 ,
193 ,
213 ,
220 ,
228 ,
232 ,
228 ,
228 ,
233 ,
250 ,
272 ,
301 ,
320 ,
359 ,
387 ,
432 ,
463 ,
502 ,
537 ,
587 ,
637 ,
689 ,
736 ,
785 ,
841 ,
891 ,
937 ,
955 ,
975 ,
982 ,
991 ,
983 ,
963 ,
936 ,
912 ,
896 ,
881 ,
864 ,
844 ,
821 ,
798 ,
764 ,
731 ,
704 ,
676 ,
663 ,
658 ,
668 ,
685 ,
717 ,
745 ,
788 ,
823 ,
862 ,
881 ,
883 ,
861 ,
835 ,
808 ,
791 ,
774 ,
768 ,
764 ,
767 ,
764 ,
751 ,
722 ,
682 ,
635 ,
575 ,
499 ,
401 ,
302 ,
213 ,
143 ,
88  ,
47  ,
21  ,
3 ,
-9  ,
-12 ,
-28 ,
-49 ,
-84 ,
-119  ,
-152  ,
-183  ,
-198  ,
-203  ,
-193  ,
-181  ,
-159  ,
-142  ,
-123  ,
-120  ,
-118  ,
-125  ,
-131  ,
-162  ,
-188  ,
-235  ,
-260  ,
-273  ,
-274  ,
-256  ,
-243  ,
-221  ,
-204  ,
-193  ,
-200  ,
-207  ,
-230  ,
-246  ,
-262  ,
-277  ,
-288  ,
-290  ,
-284  ,
-248  ,
-210  ,
-166  ,
-116  ,
-74 ,
-38 ,
-4  ,
17  ,
41  ,
62  ,
80  ,
106 ,
129 ,
159 ,
180 ,
198 ,
214 ,
232 ,
245 ,
257 ,
266 ,
272 ,
286 ,
295 ,
298 ,
294 ,
277 ,
269 ,
248 ,
217 ,
180 ,
121 ,
81  ,
24  ,
0 ,
-40 ,
-58 ,
-71 ,
-77 ,
-82 ,
-104  ,
-130  ,
-166  ,
-194  ,
-233  ,
-256  ,
-289  ,
-300  ,
-305  ,
-293  ,
-266  ,
-232  ,
-193  ,
-160  ,
-138  ,
-122  ,
-119  ,
-124  ,
-139  ,
-154  ,
-166  ,
-166  ,
-155  ,
-134  ,
-104  ,
-74 ,
-52 ,
-44 ,
-51 ,
-85 ,
-125  ,
-186  ,
-249  ,
-315  ,
-380  ,
-429  ,
-461  ,
-478  ,
-477  ,
-474  ,
-450  ,
-433  ,
-410  ,
-414  ,
-420  ,
-441  ,
-451  ,
-458  ,
-455  ,
-440  ,
-409  ,
-361  ,
-302  ,
-238  ,
-179  ,
-134  ,
-96 ,
-77 ,
-72 ,
-81 ,
-104  ,
-126  ,
-151  ,
-167  ,
-176  ,
-177  ,
-173  ,
-163  ,
-156  ,
-148  ,
-142  ,
-152  ,
-158  ,
-174  ,
-181  ,
-179  ,
-179  ,
-166  ,
-158  ,
-134  ,
-123  ,
-96 ,
-87 ,
-74 ,
-68 ,
-62 ,
-66 ,
-68 ,
-86 ,
-85 ,
-103  ,
-99 ,
-121  ,
-131  ,
-166  ,
-199  ,
-258  ,
-313  ,
-391  ,
-458  ,
-525  ,
-591  ,
-657  ,
-722  ,
-784  ,
-836  ,
-884  ,
-927  ,
-958  ,
-989  ,
-1015 ,
-1035 ,
-1058 ,
-1068 ,
-1070 ,
-1064 ,
-1045 ,
-1025 ,
-1003 ,
-981  ,
-975  ,
-965  ,
-980  ,
-980  ,
-999  ,
-1001 ,
-1013 ,
-1003 ,
-993  ,
-965  ,
-931  ,
-897  ,
-864  ,
-836  ,
-819  ,
-812  ,
-820  ,
-834  ,
-846  ,
-850  ,
-845  ,
-814  ,
-764  ,
-693  ,
-603  ,
-515  ,
-419  ,
-347  ,
-277  ,
-247  ,
-220  ,
-216  ,
-206  ,
-200  ,
-181  ,
-166  ,
-128  ,
-101  ,
-56 ,
-25 ,
-5  ,
-2  ,
-15 ,
-51 ,
-104  ,
-173  ,
-233  ,
-289  ,
-320  ,
-347  ,
-350  ,
-357  ,
-332  ,
-317  ,
-288  ,
-265  ,
-257  ,
-248  ,
-249  ,
-261  ,
-260  ,
-263  ,
-234  ,
-193  ,
-129  ,
-62 ,
16  ,
84  ,
156 ,
193 ,
238 ,
244 ,
253 ,
237 ,
221 ,
204 ,
188 ,
181 ,
174 ,
183 ,
183 ,
198 ,
198 ,
195 ,
188 ,
172 ,
163 ,
147 ,
138 ,
130 ,
138 ,
160 ,
191 ,
233 ,
268 ,
310 ,
341 ,
376 ,
399 ,
424 ,
445 ,
474 ,
501 ,
526 ,
540 ,
545 ,
543 ,
533 ,
512 ,
488 ,
448 ,
413 ,
382 ,
348 ,
336 ,
319 ,
321 ,
314 ,
315 ,
302 ,
291 ,
266 ,
248 ,
220 ,
200 ,
177 ,
163 ,
154 ,
146 ,
154 ,
162 ,
170 ,
175 ,
158 ,
137 ,
96  ,
45  ,
-12 ,
-63 ,
-110  ,
-137  ,
-154  ,
-155  ,
-144  ,
-126  ,
-101  ,
-76 ,
-70 ,
-83 ,
-112  ,
-162  ,
-201  ,
-257  ,
-292  ,
-322  ,
-338  ,
-345  ,
-346  ,
-353  ,
-360  ,
-380  ,
-412  ,
-460  ,
-521  ,
-596  ,
-671  ,
-742  ,
-801  ,
-834  ,
-852  ,
-839  ,
-818  ,
-772  ,
-728  ,
-674  ,
-624  ,
-584  ,
-558  ,
-535  ,
-527  ,
-513  ,
-500  ,
-472  ,
-426  ,
-375  ,
-314  ,
-254  ,
-200  ,
-151  ,
-117  ,
-86 ,
-75 ,
-67 ,
-68 ,
-66 ,
-71 ,
-58 ,
-45 ,
-18 ,
10  ,
37  ,
70  ,
99  ,
130 ,
170 ,
199 ,
245 ,
284 ,
333 ,
388 ,
433 ,
499 ,
557 ,
623 ,
680 ,
742 ,
790 ,
834 ,
871 ,
900 ,
930 ,
949 ,
966 ,
982 ,
991 ,
988 ,
976 ,
954 ,
924 ,
887 ,
851 ,
809 ,
769 ,
737 ,
707 ,
698 ,
684 ,
678 ,
669 ,
659 ,
651 ,
643 ,
642 ,
630 ,
634 ,
631 ,
646 ,
657 ,
682 ,
709 ,
730 ,
742 ,
738 ,
720 ,
683 ,
628 ,
564 ,
490 ,
411 ,
335 ,
267 ,
216 ,
172 ,
142 ,
106 ,
70  ,
19  ,
-45 ,
-117  ,
-196  ,
-268  ,
-337  ,
-383  ,
-423  ,
-429  ,
-426  ,
-396  ,
-359  ,
-310  ,
-268  ,
-238  ,
-218  ,
-216  ,
-222  ,
-243  ,
-255  ,
-270  ,
-264  ,
-257  ,
-229  ,
-200  ,
-165  ,
-142  ,
-118  ,
-124  ,
-140  ,
-174  ,
-218  ,
-252  ,
-286  ,
-300  ,
-303  ,
-285  ,
-257  ,
-212  ,
-154  ,
-89 ,
-16 ,
51  ,
111 ,
159 ,
197 ,
228 ,
264 ,
307 ,
365 ,
432 ,
494 ,
556 ,
610 ,
655 ,
696 ,
725 ,
747 ,
758 ,
762 ,
755 ,
752 ,
740 ,
736 ,
730 ,
727 ,
729 ,
726 ,
723 ,
726 ,
726 ,
736 ,
748 ,
764 ,
785 ,
807 ,
839 ,
877 ,
923 ,
963 ,
1006  ,
1042  ,
1070  ,
1105  ,
1122  ,
1156  ,
1174  ,
1206  ,
1217  ,
1231  ,
1218  ,
1201  ,
1166  ,
1121  ,
1062  ,
993 ,
905 ,
822 ,
735 ,
663 ,
597 ,
550 ,
512 ,
477 ,
446 ,
401 ,
368 ,
318 ,
274 ,
233 ,
189 ,
152 ,
124 ,
102 ,
102 ,
112 ,
135 ,
154 ,
173 ,
171 ,
154 ,
118 ,
67  ,
10  ,
-51 ,
-114  ,
-172  ,
-216  ,
-250  ,
-264  ,
-275  ,
-267  ,
-275  ,
-273  ,
-294  ,
-312  ,
-352  ,
-387  ,
-425  ,
-452  ,
-470  ,
-474  ,
-465  ,
-443  ,
-408  ,
-376  ,
-337  ,
-320  ,
-308  ,
-316  ,
-325  ,
-345  ,
-367  ,
-385  ,
-405  ,
-410  ,
-411  ,
-391  ,
-368  ,
-339  ,
-315  ,
-302  ,
-307  ,
-325  ,
-359  ,
-396  ,
-426  ,
-457  ,
-470  ,
-491  ,
-493  ,
-500  ,
-502  ,
-496  ,
-502  ,
-498  ,
-514  ,
-520  ,
-544  ,
-561  ,
-581  ,
-589  ,
-578  ,
-557  ,
-528  ,
-502  ,
-476  ,
-454  ,
-421  ,
-383  ,
-333  ,
-284  ,
-237  ,
-188  ,
-153  ,
-105  ,
-64 ,
-15 ,
38  ,
82  ,
122 ,
154 ,
178 ,
194 ,
220 ,
237 ,
259 ,
280 ,
286 ,
300 ,
293 ,
297 ,
288 ,
279 ,
259 ,
225 ,
192 ,
150 ,
120 ,
95  ,
92  ,
86  ,
99  ,
99  ,
107 ,
110 ,
120 ,
133 ,
145 ,
156 ,
167 ,
175 ,
192 ,
208 ,
244 ,
276 ,
322 ,
348 ,
373 ,
371 ,
358 ,
333 ,
294 ,
248 ,
195 ,
141 ,
92  ,
49  ,
23  ,
5 ,
1 ,
-7  ,
-18 ,
-52 ,
-91 ,
-148  ,
-199  ,
-257  ,
-306  ,
-346  ,
-384  ,
-394  ,
-409  ,
-393  ,
-377  ,
-349  ,
-329  ,
-320  ,
-333  ,
-370  ,
-423  ,
-488  ,
-547  ,
-615  ,
-670  ,
-733  ,
-787  ,
-842  ,
-899  ,
-954  ,
-1013 ,
-1081 ,
-1162 ,
-1250 ,
-1351 ,
-1443 ,
-1539 ,
-1606 ,
-1667 ,
-1699 ,
-1717 ,
-1722 ,
-1714 ,
-1701 ,
-1678 ,
-1652 ,
-1617 ,
-1590 ,
-1556 ,
-1533 ,
-1503 ,
-1474 ,
-1426 ,
-1381 ,
-1322 ,
-1270 ,
-1219 ,
-1174 ,
-1133 ,
-1089 ,
-1045 ,
-1002 ,
-963  ,
-932  ,
-904  ,
-875  ,
-845  ,
-805  ,
-756  ,
-699  ,
-651  ,
-591  ,
-541  ,
-473  ,
-404  ,
-334  ,
-252  ,
-181  ,
-98 ,
-37 ,
32  ,
96  ,
163 ,
234 ,
298 ,
351 ,
393 ,
426 ,
463 ,
505 ,
552 ,
584 ,
613 ,
615 ,
606 ,
580 ,
545 ,
495 ,
454 ,
394 ,
354 ,
299 ,
268 ,
237 ,
230 ,
241 ,
260 ,
283 ,
301 ,
317 ,
327 ,
336 ,
342 ,
356 ,
371 ,
390 ,
409 ,
436 ,
464 ,
503 ,
546 ,
581 ,
607 ,
612 ,
598 ,
565 ,
526 ,
464 ,
419 ,
352 ,
311 ,
256 ,
220 ,
178 ,
152 ,
121 ,
100 ,
65  ,
35  ,
-10 ,
-49 ,
-89 ,
-115  ,
-135  ,
-131  ,
-123  ,
-101  ,
-78 ,
-46 ,
-18 ,
7 ,
18  ,
16  ,
-7  ,
-41 ,
-80 ,
-113  ,
-140  ,
-163  ,
-175  ,
-194  ,
-203  ,
-225  ,
-235  ,
-251  ,
-256  ,
-268  ,
-272  ,
-294  ,
-311  ,
-340  ,
-351  ,
-367  ,
-357  ,
-353  ,
-340  ,
-336  ,
-331  ,
-325  ,
-315  ,
-293  ,
-267  ,
-236  ,
-213  ,
-194  ,
-170  ,
-143  ,
-110  ,
-73 ,
-33 ,
-1  ,
26  ,
49  ,
71  ,
87  ,
108 ,
128 ,
141 ,
154 ,
147 ,
148 ,
135 ,
129 ,
115 ,
106 ,
82  ,
65  ,
41  ,
35  ,
27  ,
39  ,
45  ,
55  ,
54  ,
55  ,
52  ,
56  ,
58  ,
67  ,
72  ,
65  ,
67  ,
60  ,
79  ,
95  ,
136 ,
168 ,
205 ,
223 ,
239 ,
244 ,
253 ,
264 ,
282 ,
291 ,
309 ,
310 ,
332 ,
346 ,
376 ,
403 ,
432 ,
449 ,
451 ,
436 ,
415 ,
384 ,
357 ,
343 ,
325 ,
328 ,
318 ,
330 ,
330 ,
345 ,
357 ,
371 ,
380 ,
381 ,
380 ,
375 ,
374 ,
373 ,
387 ,
396 ,
418 ,
436 ,
461 ,
480 ,
503 ,
521 ,
534 ,
527 ,
517 ,
482 ,
462 ,
420 ,
399 ,
360 ,
328 ,
286 ,
244 ,
207 ,
159 ,
120 ,
77  ,
37  ,
-2  ,
-50 ,
-83 ,
-123  ,
-142  ,
-157  ,
-156  ,
-157  ,
-143  ,
-140  ,
-122  ,
-119  ,
-98 ,
-93 ,
-73 ,
-66 ,
-53 ,
-54 ,
-54 ,
-63 ,
-65 ,
-70 ,
-74 ,
-76 ,
-80 ,
-89 ,
-104  ,
-119  ,
-138  ,
-160  ,
-174  ,
-193  ,
-204  ,
-225  ,
-234  ,
-246  ,
-250  ,
-242  ,
-233  ,
-204  ,
-176  ,
-141  ,
-94 ,
-49 ,
-2  ,
46  ,
96  ,
150 ,
196 ,
245 ,
287 ,
331 ,
368 ,
407 ,
442 ,
481 ,
519 ,
566 ,
596 ,
629 ,
637 ,
646 ,
642 ,
635 ,
627 ,
617 ,
608 ,
605 ,
606 ,
612 ,
616 ,
635 ,
656 ,
690 ,
720 ,
754 ,
773 ,
793 ,
798 ,
810 ,
827 ,
840 ,
866 ,
889 ,
916 ,
949 ,
975 ,
994 ,
1008  ,
1009  ,
1001  ,
982 ,
941 ,
896 ,
842 ,
794 ,
750 ,
721 ,
695 ,
676 ,
656 ,
638 ,
618 ,
591 ,
566 ,
542 ,
525 ,
509 ,
503 ,
498 ,
507 ,
519 ,
538 ,
557 ,
566 ,
577 ,
578 ,
573 ,
556 ,
526 ,
484 ,
433 ,
370 ,
304 ,
233 ,
170 ,
110 ,
56  ,
2 ,
-50 ,
-111  ,
-171  ,
-220  ,
-265  ,
-298  ,
-332  ,
-368  ,
-388  ,
-420  ,
-435  ,
-449  ,
-445  ,
-440  ,
-433  ,
-427  ,
-422  ,
-420  ,
-405  ,
-395  ,
-365  ,
-351  ,
-330  ,
-320  ,
-310  ,
-308  ,
-298  ,
-291  ,
-269  ,
-254  ,
-233  ,
-241  ,
-232  ,
-240  ,
-219  ,
-201  ,
-172  ,
-144  ,
-123  ,
-110  ,
-91 ,
-84 ,
-62 ,
-49 ,
-20 ,
14  ,
51  ,
95  ,
134 ,
182 ,
218 ,
264 ,
294 ,
327 ,
347 ,
367 ,
372 ,
385 ,
379 ,
388 ,
385 ,
387 ,
387 ,
388 ,
383 ,
386 ,
361 ,
339 ,
288 ,
235 ,
180 ,
126 ,
84  ,
47  ,
20  ,
-5  ,
-27 ,
-44 ,
-62 ,
-75 ,
-85 ,
-94 ,
-107  ,
-127  ,
-148  ,
-168  ,
-182  ,
-186  ,
-183  ,
-177  ,
-168  ,
-162  ,
-156  ,
-155  ,
-155  ,
-149  ,
-146  ,
-137  ,
-144  ,
-142  ,
-150  ,
-151  ,
-149  ,
-149  ,
-138  ,
-139  ,
-132  ,
-137  ,
-155  ,
-177  ,
-215  ,
-247  ,
-282  ,
-311  ,
-345  ,
-382  ,
-413  ,
-452  ,
-474  ,
-508  ,
-529  ,
-550  ,
-561  ,
-571  ,
-570  ,
-572  ,
-562  ,
-558  ,
-540  ,
-525  ,
-503  ,
-476  ,
-444  ,
-407  ,
-375  ,
-347  ,
-323  ,
-297  ,
-273  ,
-246  ,
-216  ,
-192  ,
-168  ,
-148  ,
-138  ,
-135  ,
-142  ,
-148  ,
-147  ,
-148  ,
-146  ,
-160  ,
-168  ,
-181  ,
-180  ,
-179  ,
-168  ,
-164  ,
-160  ,
-167  ,
-173  ,
-182  ,
-187  ,
-180  ,
-174  ,
-154  ,
-146  ,
-134  ,
-119  ,
-115  ,
-102  ,
-103  ,
-109  ,
-121  ,
-147  ,
-174  ,
-210  ,
-249  ,
-291  ,
-329  ,
-366  ,
-408  ,
-457  ,
-513  ,
-572  ,
-630  ,
-691  ,
-750  ,
-809  ,
-869  ,
-909  ,
-952  ,
-985  ,
-1010 ,
-1026 ,
-1034 ,
-1035 ,
-1031 ,
-1023 ,
-1014 ,
-1004 ,
-992  ,
-975  ,
-965  ,
-951  ,
-933  ,
-908  ,
-869  ,
-833  ,
-789  ,
-757  ,
-725  ,
-696  ,
-679  ,
-665  ,
-658  ,
-650  ,
-642  ,
-642  ,
-651  ,
-653  ,
-655  ,
-647  ,
-628  ,
-609  ,
-577  ,
-558  ,
-528  ,
-504  ,
-481  ,
-465  ,
-442  ,
-411  ,
-383  ,
-339  ,
-319  ,
-283  ,
-262  ,
-236  ,
-209  ,
-192  ,
-172  ,
-166  ,
-160  ,
-167  ,
-181  ,
-201  ,
-222  ,
-245  ,
-260  ,
-282  ,
-300  ,
-321  ,
-338  ,
-358  ,
-373  ,
-382  ,
-379  ,
-373  ,
-357  ,
-346  ,
-328  ,
-304  ,
-279  ,
-227  ,
-185  ,
-129  ,
-75 ,
-27 ,
22  ,
66  ,
106 ,
147 ,
188 ,
214 ,
252 ,
260 ,
277 ,
273 ,
273 ,
260 ,
258 ,
256 ,
255 ,
261 ,
266 ,
275 ,
282 ,
282 ,
293 ,
291 ,
304 ,
302 ,
315 ,
323 ,
330 ,
341 ,
352 ,
376 ,
396 ,
433 ,
466 ,
504 ,
531 ,
547 ,
552 ,
551 ,
538 ,
537 ,
523 ,
521 ,
510 ,
502 ,
491 ,
475 ,
459 ,
445 ,
433 ,
421 ,
400 ,
374 ,
336 ,
301 ,
258 ,
232 ,
209 ,
196 ,
189 ,
183 ,
179 ,
169 ,
166 ,
172 ,
176 ,
187 ,
185 ,
182 ,
172 ,
157 ,
144 ,
131 ,
124 ,
114 ,
104 ,
85  ,
50  ,
10  ,
-31 ,
-77 ,
-110  ,
-161  ,
-196  ,
-250  ,
-288  ,
-327  ,
-353  ,
-372  ,
-394  ,
-408  ,
-441  ,
-454  ,
-492  ,
-506  ,
-528  ,
-538  ,
-550  ,
-558  ,
-578  ,
-580  ,
-597  ,
-594  ,
-602  ,
-598  ,
-598  ,
-596  ,
-593  ,
-577  ,
-560  ,
-527  ,
-503  ,
-471  ,
-448  ,
-423  ,
-397  ,
-363  ,
-324  ,
-282  ,
-244  ,
-214  ,
-189  ,
-166  ,
-139  ,
-101  ,
-59 ,
-23 ,
18  ,
31  ,
51  ,
66  ,
83  ,
106 ,
128 ,
153 ,
189 ,
211 ,
257 ,
292 ,
342 ,
390 ,
439 ,
489 ,
526 ,
565 ,
597 ,
647 ,
689 ,
732 ,
776 ,
807 ,
848 ,
883 ,
922 ,
958 ,
991 ,
1024  ,
1043  ,
1059  ,
1062  ,
1061  ,
1057  ,
1048  ,
1042  ,
1028  ,
1014  ,
995 ,
969 ,
946 ,
910 ,
874 ,
837 ,
794 ,
752 ,
708 ,
673 ,
641 ,
618 ,
599 ,
574 ,
562 ,
540 ,
529 ,
517 ,
501 ,
479 ,
459 ,
420 ,
393 ,
352 ,
315 ,
277 ,
240 ,
201 ,
168 ,
123 ,
87  ,
35  ,
-10 ,
-66 ,
-120  ,
-172  ,
-220  ,
-262  ,
-301  ,
-345  ,
-378  ,
-415  ,
-434  ,
-451  ,
-459  ,
-465  ,
-464  ,
-467  ,
-459  ,
-459  ,
-443  ,
-431  ,
-405  ,
-374  ,
-338  ,
-296  ,
-262  ,
-222  ,
-195  ,
-162  ,
-143  ,
-120  ,
-105  ,
-92 ,
-83 ,
-78 ,
-77 ,
-83 ,
-87 ,
-98 ,
-95 ,
-95 ,
-88 ,
-76 ,
-65 ,
-49 ,
-33 ,
-8  ,
20  ,
54  ,
89  ,
123 ,
163 ,
196 ,
243 ,
283 ,
334 ,
382 ,
432 ,
486 ,
530 ,
578 ,
616 ,
659 ,
699 ,
732 ,
757 ,
773 ,
784 ,
789 ,
801 ,
802 ,
812 ,
819 ,
834 ,
843 ,
860 ,
863 ,
880 ,
885 ,
904 ,
924 ,
947 ,
976 ,
1007  ,
1040  ,
1077  ,
1110  ,
1140  ,
1166  ,
1188  ,
1208  ,
1214  ,
1211  ,
1191  ,
1168  ,
1132  ,
1094  ,
1050  ,
1012  ,
963 ,
928 ,
880 ,
837 ,
793 ,
739 ,
692 ,
640 ,
584 ,
526 ,
462 ,
400 ,
341 ,
284 ,
229 ,
180 ,
136 ,
101 ,
61  ,
31  ,
3 ,
-29 ,
-58 ,
-98 ,
-132  ,
-170  ,
-200  ,
-231  ,
-258  ,
-291  ,
-319  ,
-351  ,
-373  ,
-396  ,
-423  ,
-445  ,
-477  ,
-504  ,
-539  ,
-569  ,
-602  ,
-615  ,
-628  ,
-627  ,
-626  ,
-626  ,
-613  ,
-604  ,
-581  ,
-551  ,
-527  ,
-496  ,
-480  ,
-456  ,
-449  ,
-431  ,
-430  ,
-414  ,
-411  ,
-405  ,
-410  ,
-421  ,
-432  ,
-453  ,
-461  ,
-491  ,
-507  ,
-540  ,
-560  ,
-585  ,
-598  ,
-625  ,
-632  ,
-652  ,
-650  ,
-657  ,
-653  ,
-652  ,
-652  ,
-638  ,
-630  ,
-610  ,
-595  ,
-582  ,
-557  ,
-530  ,
-490  ,
-463  ,
-426  ,
-400  ,
-361  ,
-320  ,
-271  ,
-223  ,
-168  ,
-125  ,
-80 ,
-40 ,
0 ,
41  ,
85  ,
126 ,
159 ,
189 ,
212 ,
238 ,
267 ,
297 ,
323 ,
358 ,
388 ,
423 ,
441 ,
463 ,
470 ,
478 ,
475 ,
468 ,
458 ,
437 ,
417 ,
407 ,
393 ,
387 ,
371 ,
360 ,
354 ,
342 ,
339 ,
343 ,
339 ,
345 ,
337 ,
338 ,
338 ,
341 ,
355 ,
370 ,
381 ,
385 ,
383 ,
373 ,
365 ,
352 ,
338 ,
323 ,
303 ,
279 ,
246 ,
214 ,
176 ,
151 ,
119 ,
94  ,
47  ,
4 ,
-63 ,
-124  ,
-183  ,
-235  ,
-267  ,
-304  ,
-333  ,
-377  ,
-415  ,
-458  ,
-481  ,
-511  ,
-530  ,
-561  ,
-592  ,
-630  ,
-669  ,
-710  ,
-744  ,
-779  ,
-809  ,
-850  ,
-892  ,
-939  ,
-993  ,
-1039 ,
-1086 ,
-1128 ,
-1176 ,
-1231 ,
-1283 ,
-1340 ,
-1388 ,
-1444 ,
-1486 ,
-1530 ,
-1578 ,
-1625 ,
-1673 ,
-1706 ,
-1732 ,
-1745 ,
-1738 ,
-1729 ,
-1703 ,
-1677 ,
-1644 ,
-1606 ,
-1557 ,
-1509 ,
-1452 ,
-1397 ,
-1340 ,
-1286 ,
-1229 ,
-1161 ,
-1093 ,
-1019 ,
-952  ,
-887  ,
-829  ,
-774  ,
-721  ,
-652  ,
-596  ,
-529  ,
-485  ,
-440  ,
-400  ,
-354  ,
-298  ,
-233  ,
-163  ,
-95 ,
-35 ,
22  ,
68  ,
122 ,
181 ,
248 ,
324 ,
390 ,
451 ,
503 ,
557 ,
612 ,
666 ,
720 ,
760 ,
791 ,
808 ,
809 ,
808 ,
796 ,
785 ,
763 ,
744 ,
711 ,
692 ,
661 ,
659 ,
640 ,
628 ,
603 ,
574 ,
543 ,
514 ,
495 ,
477 ,
474 ,
462 ,
464 ,
450 ,
451 ,
443 ,
446 ,
457 ,
465 ,
469 ,
456 ,
441 ,
426 ,
419 ,
408 ,
402 ,
387 ,
371 ,
344 ,
323 ,
299 ,
271 ,
248 ,
209 ,
179 ,
131 ,
92  ,
56  ,
30  ,
6 ,
-13 ,
-32 ,
-58 ,
-83 ,
-111  ,
-127  ,
-135  ,
-141  ,
-140  ,
-152  ,
-159  ,
-172  ,
-183  ,
-186  ,
-187  ,
-193  ,
-203  ,
-228  ,
-245  ,
-267  ,
-289  ,
-318  ,
-347  ,
-383  ,
-419  ,
-456  ,
-482  ,
-497  ,
-512  ,
-520  ,
-533  ,
-545  ,
-561  ,
-553  ,
-542  ,
-505  ,
-478  ,
-434  ,
-400  ,
-359  ,
-331  ,
-294  ,
-266  ,
-227  ,
-198  ,
-162  ,
-141  ,
-120  ,
-104  ,
-86 ,
-68 ,
-51 ,
-32 ,
-16 ,
-1  ,
21  ,
33  ,
46  ,
47  ,
53  ,
51  ,
52  ,
49  ,
59  ,
68  ,
90  ,
113 ,
137 ,
159 ,
170 ,
193 ,
207 ,
234 ,
246 ,
271 ,
287 ,
302 ,
307 ,
308 ,
315 ,
318 ,
339 ,
355 ,
372 ,
380 ,
389 ,
397 ,
411 ,
417 ,
423 ,
435 ,
439 ,
459 ,
463 ,
470 ,
473 ,
466 ,
471 ,
453 ,
444 ,
422 ,
411 ,
399 ,
391 ,
379 ,
364 ,
347 ,
333 ,
325 ,
320 ,
317 ,
324 ,
335 ,
337 ,
341 ,
329 ,
328 ,
321 ,
326 ,
338 ,
340 ,
355 ,
348 ,
366 ,
360 ,
370 ,
361 ,
369 ,
370 ,
379 ,
388 ,
387 ,
391 ,
385 ,
377 ,
356 ,
329 ,
295 ,
260 ,
221 ,
192 ,
156 ,
124 ,
82  ,
48  ,
10  ,
-28 ,
-58 ,
-92 ,
-116  ,
-151  ,
-187  ,
-220  ,
-267  ,
-292  ,
-328  ,
-335  ,
-359  ,
-360  ,
-377  ,
-382  ,
-394  ,
-397  ,
-397  ,
-399  ,
-399  ,
-397  ,
-398  ,
-395  ,
-391  ,
-380  ,
-366  ,
-358  ,
-358  ,
-365  ,
-376  ,
-393  ,
-396  ,
-406  ,
-405  ,
-399  ,
-394  ,
-384  ,
-367  ,
-340  ,
-302  ,
-253  ,
-200  ,
-138  ,
-75 ,
-29 ,
25  ,
77  ,
135 ,
197 ,
264 ,
327 ,
394 ,
449 ,
511 ,
568 ,
621 ,
662 ,
702 ,
731 ,
746 ,
759 ,
756 ,
764 ,
762 ,
770 ,
771 ,
771 ,
761 ,
758 ,
758 ,
762 ,
772 ,
771 ,
777 ,
770 ,
767 ,
763 ,
760 ,
771 ,
793 ,
813 ,
838 ,
847 ,
865 ,
879 ,
894 ,
913 ,
927 ,
926 ,
926 ,
908 ,
900 ,
874 ,
861 ,
842 ,
832 ,
814 ,
791 ,
769 ,
739 ,
712 ,
689 ,
665 ,
644 ,
610 ,
588 ,
565 ,
552 ,
534 ,
520 ,
495 ,
479 ,
455 ,
438 ,
423 ,
400 ,
392 ,
369 ,
362 ,
338 ,
323 ,
295 ,
276 ,
248 ,
224 ,
188 ,
153 ,
123 ,
80  ,
44  ,
-9  ,
-56 ,
-109  ,
-168  ,
-217  ,
-274  ,
-323  ,
-374  ,
-411  ,
-442  ,
-469  ,
-493  ,
-509  ,
-517  ,
-512  ,
-504  ,
-489  ,
-477  ,
-463  ,
-460  ,
-448  ,
-457  ,
-449  ,
-456  ,
-451  ,
-457  ,
-457  ,
-462  ,
-468  ,
-466  ,
-458  ,
-441  ,
-421  ,
-398  ,
-369  ,
-336  ,
-307  ,
-274  ,
-230  ,
-191  ,
-136  ,
-84 ,
-29 ,
25  ,
80  ,
133 ,
194 ,
240 ,
281 ,
310 ,
333 ,
353 ,
375 ,
394 ,
401 ,
410 ,
404 ,
404 ,
391 ,
383 ,
372 ,
363 ,
343 ,
314 ,
273 ,
229 ,
182 ,
150 ,
119 ,
97  ,
75  ,
50  ,
28  ,
3 ,
-13 ,
-31 ,
-34 ,
-46 ,
-43 ,
-57 ,
-56 ,
-71 ,
-62 ,
-58 ,
-47 ,
-39 ,
-42 ,
-37 ,
-39 ,
-34 ,
-29 ,
-15 ,
-7  ,
4 ,
3 ,
6 ,
-1  ,
3 ,
-1  ,
2 ,
-4  ,
-16 ,
-37 ,
-65 ,
-96 ,
-124  ,
-156  ,
-185  ,
-216  ,
-249  ,
-286  ,
-319  ,
-350  ,
-380  ,
-402  ,
-430  ,
-444  ,
-466  ,
-477  ,
-485  ,
-484  ,
-484  ,
-480  ,
-488  ,
-483  ,
-500  ,
-500  ,
-507  ,
-500  ,
-496  ,
-486  ,
-473  ,
-461  ,
-434  ,
-413  ,
-381  ,
-351  ,
-320  ,
-284  ,
-260  ,
-240  ,
-223  ,
-211  ,
-195  ,
-187  ,
-178  ,
-176  ,
-173  ,
-168  ,
-158  ,
-153  ,
-149  ,
-152  ,
-157  ,
-162  ,
-174  ,
-181  ,
-188  ,
-195  ,
-195  ,
-196  ,
-201  ,
-203  ,
-210  ,
-203  ,
-206  ,
-204  ,
-210  ,
-216  ,
-223  ,
-237  ,
-242  ,
-253  ,
-256  ,
-261  ,
-264  ,
-273  ,
-286  ,
-311  ,
-337  ,
-374  ,
-410  ,
-460  ,
-509  ,
-567  ,
-610  ,
-662  ,
-699  ,
-740  ,
-772  ,
-798  ,
-824  ,
-844  ,
-860  ,
-871  ,
-877  ,
-876  ,
-872  ,
-868  ,
-864  ,
-853  ,
-832  ,
-803  ,
-773  ,
-746  ,
-716  ,
-690  ,
-657  ,
-627  ,
-596  ,
-566  ,
-541  ,
-515  ,
-501  ,
-484  ,
-470  ,
-451  ,
-434  ,
-419  ,
-402  ,
-400  ,
-383  ,
-378  ,
-358  ,
-348  ,
-329  ,
-315  ,
-300  ,
-286  ,
-276  ,
-268  ,
-250  ,
-245  ,
-229  ,
-225  ,
-221  ,
-215  ,
-212  ,
-193  ,
-185  ,
-164  ,
-146  ,
-142  ,
-129  ,
-133  ,
-131  ,
-137  ,
-142  ,
-149  ,
-155  ,
-166  ,
-175  ,
-190  ,
-202  ,
-222  ,
-235  ,
-250  ,
-260  ,
-270  ,
-272  ,
-271  ,
-259  ,
-250  ,
-232  ,
-212  ,
-192  ,
-161  ,
-131  ,
-90 ,
-53 ,
-8  ,
29  ,
64  ,
91  ,
113 ,
129 ,
150 ,
168 ,
197 ,
220 ,
245 ,
259 ,
277 ,
284 ,
304 ,
312 ,
328 ,
334 ,
341 ,
346 ,
358 ,
363 ,
387 ,
407 ,
437 ,
465 ,
495 ,
525 ,
555 ,
588 ,
619 ,
639 ,
647 ,
648 ,
640 ,
634 ,
617 ,
607 ,
591 ,
571 ,
546 ,
525 ,
488 ,
466 ,
432 ,
418 ,
398 ,
378 ,
361 ,
337 ,
321 ,
300 ,
293 ,
282 ,
280 ,
271 ,
260 ,
246 ,
228 ,
219 ,
207 ,
200 ,
184 ,
170 ,
154 ,
142 ,
135 ,
139 ,
131 ,
124 ,
104 ,
69  ,
38  ,
0 ,
-27 ,
-48 ,
-77 ,
-102  ,
-138  ,
-180  ,
-218  ,
-260  ,
-285  ,
-315  ,
-341  ,
-368  ,
-402  ,
-433  ,
-468  ,
-496  ,
-516  ,
-530  ,
-545  ,
-556  ,
-573  ,
-584  ,
-593  ,
-587  ,
-578  ,
-554  ,
-540  ,
-521  ,
-501  ,
-480  ,
-449  ,
-421  ,
-393  ,
-370  ,
-354  ,
-344  ,
-335  ,
-323  ,
-310  ,
-291  ,
-271  ,
-251  ,
-236  ,
-220  ,
-196  ,
-165  ,
-135  ,
-103  ,
-77 ,
-53 ,
-36 ,
-20 ,
0 ,
28  ,
51  ,
82  ,
109 ,
140 ,
169 ,
204 ,
236 ,
276 ,
312 ,
344 ,
379 ,
409 ,
446 ,
483 ,
528 ,
573 ,
631 ,
670 ,
722 ,
755 ,
798 ,
835 ,
877 ,
915 ,
945 ,
965 ,
972 ,
981 ,
989 ,
996 ,
1007  ,
1018  ,
1015  ,
1012  ,
986 ,
966 ,
939 ,
912 ,
877 ,
844 ,
799 ,
762 ,
715 ,
683 ,
642 ,
612 ,
576 ,
540 ,
504 ,
467 ,
425 ,
392 ,
353 ,
322 ,
292 ,
250 ,
211 ,
164 ,
124 ,
84  ,
51  ,
12  ,
-21 ,
-66 ,
-108  ,
-159  ,
-208  ,
-249  ,
-291  ,
-320  ,
-356  ,
-384  ,
-419  ,
-446  ,
-461  ,
-476  ,
-476  ,
-484  ,
-480  ,
-473  ,
-462  ,
-446  ,
-427  ,
-407  ,
-383  ,
-368  ,
-346  ,
-338  ,
-314  ,
-294  ,
-263  ,
-236  ,
-219  ,
-199  ,
-190  ,
-167  ,
-154  ,
-119  ,
-100  ,
-69 ,
-53 ,
-42 ,
-38 ,
-33 ,
-24 ,
-13 ,
7 ,
13  ,
29  ,
30  ,
42  ,
55  ,
69  ,
95  ,
113 ,
143 ,
173 ,
197 ,
235 ,
271 ,
326 ,
373 ,
431 ,
478 ,
529 ,
566 ,
617 ,
662 ,
704 ,
748 ,
774 ,
806 ,
826 ,
842 ,
858 ,
868 ,
887 ,
895 ,
906 ,
910 ,
905 ,
911 ,
909 ,
924 ,
933 ,
945 ,
950 ,
965 ,
970 ,
987 ,
1001  ,
1017  ,
1048  ,
1062  ,
1082  ,
1088  ,
1093  ,
1099  ,
1101  ,
1106  ,
1101  ,
1086  ,
1065  ,
1043  ,
1018  ,
999 ,
969 ,
944 ,
907 ,
856 ,
799 ,
736 ,
682 ,
635 ,
594 ,
548 ,
494 ,
431 ,
367 ,
310 ,
268 ,
231 ,
196 ,
154 ,
109 ,
57  ,
-1  ,
-55 ,
-103  ,
-145  ,
-178  ,
-227  ,
-270  ,
-326  ,
-371  ,
-409  ,
-440  ,
-456  ,
-483  ,
-492  ,
-519  ,
-523  ,
-533  ,
-525  ,
-516  ,
-510  ,
-504  ,
-513  ,
-521  ,
-527  ,
-526  ,
-518  ,
-511  ,
-511  ,
-513  ,
-528  ,
-536  ,
-549  ,
-549  ,
-548  ,
-545  ,
-538  ,
-546  ,
-549  ,
-562  ,
-561  ,
-560  ,
-557  ,
-555  ,
-563  ,
-578  ,
-592  ,
-611  ,
-622  ,
-634  ,
-651  ,
-663  ,
-675  ,
-688  ,
-687  ,
-686  ,
-666  ,
-645  ,
-623  ,
-599  ,
-584  ,
-559  ,
-536  ,
-496  ,
-458  ,
-412  ,
-380  ,
-346  ,
-319  ,
-284  ,
-244  ,
-196  ,
-143  ,
-88 ,
-52 ,
-13 ,
6 ,
35  ,
69  ,
95  ,
135 ,
156 ,
183 ,
196 ,
212 ,
236 ,
253 ,
284 ,
295 ,
311 ,
315 ,
312 ,
311 ,
314 ,
315 ,
320 ,
321 ,
324 ,
323 ,
331 ,
336 ,
353 ,
362 ,
378 ,
380 ,
388 ,
385 ,
387 ,
394 ,
398 ,
409 ,
410 ,
412 ,
408 ,
407 ,
403 ,
403 ,
406 ,
407 ,
409 ,
395 ,
386 ,
364 ,
351 ,
331 ,
323 ,
301 ,
274 ,
238 ,
201 ,
167 ,
131 ,
102 ,
67  ,
33  ,
-11 ,
-60 ,
-108  ,
-151  ,
-187  ,
-219  ,
-246  ,
-290  ,
-330  ,
-384  ,
-425  ,
-471  ,
-505  ,
-546  ,
-584  ,
-636  ,
-689  ,
-759  ,
-823  ,
-884  ,
-938  ,
-990  ,
-1043 ,
-1102 ,
-1161 ,
-1222 ,
-1266 ,
-1313 ,
-1348 ,
-1392 ,
-1440 ,
-1479 ,
-1536 ,
-1572 ,
-1617 ,
-1639 ,
-1668 ,
-1692 ,
-1722 ,
-1743 ,
-1757 ,
-1750 ,
-1734 ,
-1705 ,
-1682 ,
-1663 ,
-1633 ,
-1610 ,
-1564 ,
-1525 ,
-1465 ,
-1409 ,
-1346 ,
-1287 ,
-1234 ,
-1170 ,
-1106 ,
-1024 ,
-953  ,
-884  ,
-821  ,
-767  ,
-712  ,
-657  ,
-594  ,
-534  ,
-474  ,
-420  ,
-366  ,
-322  ,
-280  ,
-235  ,
-186  ,
-142  ,
-96 ,
-65 ,
-29 ,
4 ,
35  ,
85  ,
125 ,
178 ,
223 ,
268 ,
316 ,
360 ,
407 ,
464 ,
517 ,
568 ,
607 ,
638 ,
660 ,
683 ,
699 ,
714 ,
724 ,
722 ,
720 ,
705 ,
697 ,
691 ,
688 ,
681 ,
675 ,
658 ,
639 ,
610 ,
591 ,
573 ,
561 ,
543 ,
532 ,
512 ,
497 ,
474 ,
462 ,
462 ,
453 ,
458 ,
446 ,
436 ,
413 ,
397 ,
384 ,
377 ,
363 ,
349 ,
322 ,
293 ,
264 ,
236 ,
224 ,
208 ,
197 ,
182 ,
151 ,
120 ,
87  ,
65  ,
53  ,
43  ,
30  ,
9 ,
-23 ,
-42 ,
-70 ,
-89 ,
-109  ,
-135  ,
-156  ,
-197  ,
-234  ,
-271  ,
-304  ,
-325  ,
-342  ,
-359  ,
-374  ,
-400  ,
-411  ,
-419  ,
-424  ,
-418  ,
-424  ,
-418  ,
-425  ,
-433  ,
-434  ,
-442  ,
-436  ,
-434  ,
-434  ,
-436  ,
-440  ,
-435  ,
-421  ,
-401  ,
-372  ,
-352  ,
-325  ,
-314  ,
-292  ,
-282  ,
-264  ,
-242  ,
-214  ,
-188  ,
-175  ,
-159  ,
-155  ,
-141  ,
-131  ,
-113  ,
-104  ,
-98 ,
-101  ,
-106  ,
-107  ,
-109  ,
-105  ,
-91 ,
-80 ,
-58 ,
-53 ,
-35 ,
-24 ,
1 ,
29  ,
62  ,
92  ,
122 ,
146 ,
183 ,
211 ,
249 ,
279 ,
312 ,
337 ,
355 ,
378 ,
395 ,
424 ,
453 ,
480 ,
506 ,
520 ,
530 ,
545 ,
555 ,
572 ,
586 ,
594 ,
598 ,
598 ,
594 ,
590 ,
584 ,
575 ,
576 ,
556 ,
546 ,
525 ,
503 ,
494 ,
475 ,
472 ,
461 ,
454 ,
442 ,
436 ,
428 ,
427 ,
426 ,
423 ,
423 ,
410 ,
401 ,
384 ,
380 ,
372 ,
373 ,
370 ,
374 ,
367 ,
363 ,
356 ,
351 ,
343 ,
340 ,
334 ,
325 ,
306 ,
285 ,
257 ,
237 ,
205 ,
185 ,
147 ,
119 ,
83  ,
54  ,
33  ,
8 ,
-7  ,
-35 ,
-54 ,
-87 ,
-111  ,
-143  ,
-164  ,
-188  ,
-204  ,
-228  ,
-257  ,
-283  ,
-314  ,
-334  ,
-360  ,
-377  ,
-401  ,
-421  ,
-445  ,
-467  ,
-480  ,
-502  ,
-505  ,
-519  ,
-517  ,
-527  ,
-534  ,
-539  ,
-547  ,
-543  ,
-546  ,
-544  ,
-544  ,
-541  ,
-534  ,
-516  ,
-492  ,
-460  ,
-425  ,
-383  ,
-343  ,
-299  ,
-256  ,
-210  ,
-157  ,
-108  ,
-48 ,
4 ,
62  ,
111 ,
167 ,
221 ,
282 ,
345 ,
410 ,
471 ,
532 ,
582 ,
637 ,
679 ,
731 ,
767 ,
806 ,
830 ,
855 ,
870 ,
884 ,
898 ,
909 ,
923 ,
925 ,
926 ,
921 ,
911 ,
912 ,
910 ,
916 ,
918 ,
918 ,
922 ,
927 ,
935 ,
946 ,
957 ,
965 ,
982 ,
976 ,
992 ,
983 ,
996 ,
989 ,
998 ,
985 ,
979 ,
959 ,
940 ,
922 ,
903 ,
883 ,
865 ,
839 ,
813 ,
777 ,
743 ,
711 ,
681 ,
646 ,
619 ,
583 ,
561 ,
529 ,
501 ,
480 ,
451 ,
435 ,
413 ,
395 ,
372 ,
352 ,
328 ,
315 ,
291 ,
274 ,
250 ,
225 ,
201 ,
174 ,
151 ,
126 ,
103 ,
84  ,
57  ,
31  ,
-5  ,
-33 ,
-69 ,
-99 ,
-134  ,
-170  ,
-214  ,
-261  ,
-306  ,
-345  ,
-381  ,
-415  ,
-450  ,
-480  ,
-517  ,
-540  ,
-567  ,
-582  ,
-601  ,
-609  ,
-624  ,
-625  ,
-635  ,
-626  ,
-614  ,
-591  ,
-561  ,
-529  ,
-500  ,
-470  ,
-448  ,
-414  ,
-382  ,
-346  ,
-303  ,
-272  ,
-235  ,
-210  ,
-175  ,
-141  ,
-100  ,
-62 ,
-27 ,
5 ,
30  ,
54  ,
76  ,
106 ,
136 ,
172 ,
204 ,
222 ,
244 ,
247 ,
262 ,
267 ,
281 ,
288 ,
288 ,
280 ,
266 ,
247 ,
233 ,
218 ,
211 ,
195 ,
181 ,
160 ,
140 ,
122 ,
108 ,
100 ,
94  ,
90  ,
83  ,
78  ,
72  ,
73  ,
77  ,
79  ,
75  ,
70  ,
54  ,
51  ,
38  ,
51  ,
40  ,
57  ,
42  ,
46  ,
31  ,
27  ,
23  ,
26  ,
28  ,
22  ,
13  ,
-16 ,
-32 ,
-61 ,
-73 ,
-90 ,
-106  ,
-130  ,
-154  ,
-188  ,
-214  ,
-244  ,
-263  ,
-287  ,
-304  ,
-330  ,
-355  ,
-379  ,
-396  ,
-403  ,
-410  ,
-410  ,
-416  ,
-425  ,
-431  ,
-437  ,
-428  ,
-426  ,
-411  ,
-402  ,
-393  ,
-389  ,
-380  ,
-374  ,
-357  ,
-351  ,
-336  ,
-327  ,
-322  ,
-320  ,
-324  ,
-324  ,
-328  ,
-330  ,
-333  ,
-336  ,
-338  ,
-336  ,
-337  ,
-327  ,
-325  ,
-316  ,
-316  ,
-316  ,
-315  ,
-306  ,
-298  ,
-292  ,
-289  ,
-303  ,
-303  ,
-321  ,
-318  ,
-329  ,
-320  ,
-330  ,
-332  ,
-339  ,
-358  ,
-366  ,
-384  ,
-392  ,
-401  ,
-410  ,
-427  ,
-445  ,
-471  ,
-494  ,
-522  ,
-541  ,
-568  ,
-580  ,
-611  ,
-628  ,
-660  ,
-684  ,
-714  ,
-741  ,
-758  ,
-775  ,
-783  ,
-795  ,
-805  ,
-807  ,
-814  ,
-817  ,
-811  ,
-817  ,
-804  ,
-805  ,
-786  ,
-782  ,
-763  ,
-755  ,
-730  ,
-712  ,
-688  ,
-660  ,
-637  ,
-599  ,
-577  ,
-536  ,
-518  ,
-493  ,
-480  ,
-460  ,
-440  ,
-418  ,
-400  ,
-379  ,
-362  ,
-348  ,
-335  ,
-323  ,
-307  ,
-294  ,
-281  ,
-276  ,
-267  ,
-267  ,
-263  ,
-261  ,
-254  ,
-250  ,
-245  ,
-250  ,
-246  ,
-244  ,
-230  ,
-212  ,
-187  ,
-164  ,
-144  ,
-129  ,
-115  ,
-105  ,
-94 ,
-83 ,
-65 ,
-67 ,
-64 ,
-73 ,
-78 ,
-82 ,
-85 ,
-80 ,
-86 ,
-84 ,
-102  ,
-111  ,
-131  ,
-144  ,
-153  ,
-162  ,
-166  ,
-176  ,
-182  ,
-191  ,
-188  ,
-190  ,
-187  ,
-192  ,
-191  ,
-189  ,
-178  ,
-161  ,
-136  ,
-105  ,
-77 ,
-49 ,
-18 ,
9 ,
37  ,
72  ,
104 ,
146 ,
168 ,
193 ,
210 ,
230 ,
250 ,
274 ,
295 ,
313 ,
325 ,
341 ,
351 ,
362 ,
366 ,
376 ,
383 ,
393 ,
397 ,
404 ,
410 ,
421 ,
436 ,
447 ,
456 ,
458 ,
459 ,
459 ,
461 ,
462 ,
471 ,
470 ,
476 ,
471 ,
463 ,
448 ,
432 ,
420 ,
403 ,
385 ,
367 ,
345 ,
322 ,
299 ,
278 ,
258 ,
245 ,
229 ,
213 ,
199 ,
176 ,
161 ,
143 ,
125 ,
107 ,
84  ,
65  ,
35  ,
15  ,
-10 ,
-28 ,
-46 ,
-70 ,
-87 ,
-115  ,
-138  ,
-159  ,
-181  ,
-194  ,
-213  ,
-230  ,
-255  ,
-279  ,
-304  ,
-324  ,
-332  ,
-343  ,
-339  ,
-353  ,
-357  ,
-378  ,
-386  ,
-395  ,
-394  ,
-386  ,
-377  ,
-378  ,
-371  ,
-374  ,
-358  ,
-341  ,
-315  ,
-287  ,
-263  ,
-245  ,
-232  ,
-219  ,
-197  ,
-182  ,
-153  ,
-146  ,
-128  ,
-126  ,
-115  ,
-103  ,
-87 ,
-72 ,
-61 ,
-57 ,
-56 ,
-60 ,
-65 ,
-63 ,
-60 ,
-43 ,
-31 ,
-16 ,
-3  ,
14  ,
41  ,
72  ,
107 ,
150 ,
185 ,
226 ,
268 ,
308 ,
352 ,
396 ,
434 ,
476 ,
508 ,
541 ,
574 ,
616 ,
658 ,
704 ,
738 ,
764 ,
782 ,
798 ,
817 ,
834 ,
855 ,
873 ,
882 ,
902 ,
900 ,
913 ,
911 ,
927 ,
928 ,
932 ,
920 ,
897 ,
881 ,
854 ,
836 ,
812 ,
788 ,
752 ,
722 ,
676 ,
642 ,
593 ,
554 ,
505 ,
470 ,
418 ,
373 ,
320 ,
270 ,
225 ,
175 ,
125 ,
69  ,
10  ,
-41 ,
-99 ,
-143  ,
-192  ,
-228  ,
-261  ,
-292  ,
-316  ,
-343  ,
-361  ,
-374  ,
-376  ,
-380  ,
-376  ,
-375  ,
-364  ,
-348  ,
-335  ,
-319  ,
-304  ,
-294  ,
-278  ,
-262  ,
-248  ,
-224  ,
-209  ,
-181  ,
-161  ,
-141  ,
-125  ,
-104  ,
-81 ,
-50 ,
-25 ,
1 ,
21  ,
34  ,
46  ,
56  ,
65  ,
77  ,
89  ,
104 ,
114 ,
124 ,
129 ,
140 ,
148 ,
158 ,
166 ,
171 ,
177 ,
181 ,
187 ,
196 ,
210 ,
225 ,
244 ,
255 ,
273 ,
292 ,
313 ,
346 ,
380 ,
410 ,
439 ,
459 ,
486 ,
513 ,
548 ,
581 ,
619 ,
653 ,
676 ,
695 ,
710 ,
727 ,
748 ,
771 ,
791 ,
807 ,
817 ,
826 ,
837 ,
849 ,
864 ,
875 ,
892 ,
901 ,
912 ,
916 ,
928 ,
945 ,
961 ,
975 ,
977 ,
981 ,
981 ,
989 ,
1004  ,
1021  ,
1030  ,
1032  ,
1021  ,
1012  ,
987 ,
973 ,
951 ,
938 ,
910 ,
879 ,
822 ,
767 ,
702 ,
644 ,
580 ,
514 ,
438 ,
362 ,
283 ,
215 ,
146 ,
86  ,
28  ,
-25 ,
-84 ,
-140  ,
-198  ,
-239  ,
-273  ,
-300  ,
-320  ,
-355  ,
-378  ,
-402  ,
-417  ,
-407  ,
-409  ,
-398  ,
-394  ,
-391  ,
-390  ,
-395  ,
-397  ,
-395  ,
-392  ,
-387  ,
-396  ,
-403  ,
-419  ,
-428  ,
-428  ,
-428  ,
-421  ,
-426  ,
-425  ,
-427  ,
-439  ,
-441  ,
-459  ,
-464  ,
-475  ,
-488  ,
-506  ,
-526  ,
-547  ,
-560  ,
-572  ,
-580  ,
-590  ,
-603  ,
-608  ,
-621  ,
-622  ,
-628  ,
-624  ,
-623  ,
-618  ,
-619  ,
-622  ,
-630  ,
-633  ,
-631  ,
-629  ,
-623  ,
-626  ,
-620  ,
-622  ,
-603  ,
-592  ,
-560  ,
-537  ,
-502  ,
-474  ,
-441  ,
-412  ,
-370  ,
-330  ,
-280  ,
-239  ,
-204  ,
-171  ,
-143  ,
-107  ,
-74 ,
-39 ,
-10 ,
17  ,
37  ,
60  ,
81  ,
110 ,
138 ,
166 ,
191 ,
202 ,
206 ,
209 ,
215 ,
233 ,
252 ,
272 ,
288 ,
294 ,
302 ,
298 ,
314 ,
326 ,
349 ,
375 ,
393 ,
407 ,
417 ,
418 ,
431 ,
438 ,
447 ,
453 ,
448 ,
439 ,
424 ,
411 ,
397 ,
388 ,
369 ,
348 ,
318 ,
286 ,
264 ,
239 ,
225 ,
199 ,
172 ,
138 ,
96  ,
63  ,
29  ,
3 ,
-26 ,
-49 ,
-86 ,
-118  ,
-160  ,
-196  ,
-222  ,
-244  ,
-267  ,
-291  ,
-323  ,
-357  ,
-388  ,
-425  ,
-457  ,
-487  ,
-528  ,
-570  ,
-627  ,
-686  ,
-747  ,
-803  ,
-855  ,
-908  ,
-960  ,
-1027 ,
-1085 ,
-1149 ,
-1202 ,
-1247 ,
-1286 ,
-1319 ,
-1351 ,
-1393 ,
-1424 ,
-1461 ,
-1480 ,
-1492 ,
-1498 ,
-1494 ,
-1498 ,
-1500 ,
-1501 ,
-1495 ,
-1490 ,
-1470 ,
-1456 ,
-1436 ,
-1418 ,
-1404 ,
-1379 ,
-1363 ,
-1325 ,
-1299 ,
-1257 ,
-1224 ,
-1185 ,
-1148 ,
-1098 ,
-1053 ,
-992  ,
-940  ,
-881  ,
-834  ,
-780  ,
-731  ,
-679  ,
-623  ,
-568  ,
-515  ,
-461  ,
-418  ,
-370  ,
-328  ,
-281  ,
-234  ,
-186  ,
-144  ,
-102  ,
-62 ,
-24 ,
25  ,
71  ,
130 ,
181 ,
226 ,
271 ,
309 ,
352 ,
401 ,
448 ,
496 ,
535 ,
563 ,
589 ,
602 ,
625 ,
641 ,
668 ,
679 ,
695 ,
690 ,
688 ,
677 ,
675 ,
664 ,
652 ,
625 ,
595 ,
557 ,
516 ,
478 ,
448 ,
419 ,
397 ,
366 ,
338 ,
312 ,
282 ,
272 ,
258 ,
257 ,
245 ,
239 ,
232 ,
229 ,
234 ,
232 ,
246 ,
242 ,
250 ,
241 ,
250 ,
247 ,
266 ,
275 ,
285 ,
290 ,
273 ,
265 ,
238 ,
228 ,
204 ,
188 ,
158 ,
124 ,
85  ,
44  ,
7 ,
-20 ,
-47 ,
-69 ,
-93 ,
-121  ,
-148  ,
-173  ,
-188  ,
-196  ,
-198  ,
-197  ,
-208  ,
-209  ,
-229  ,
-235  ,
-246  ,
-240  ,
-246  ,
-242  ,
-259  ,
-268  ,
-284  ,
-291  ,
-295  ,
-294  ,
-300  ,
-309  ,
-327  ,
-341  ,
-358  ,
-362  ,
-362  ,
-365  ,
-360  ,
-380  ,
-385  ,
-404  ,
-405  ,
-410  ,
-397  ,
-387  ,
-369  ,
-352  ,
-337  ,
-310  ,
-291  ,
-256  ,
-231  ,
-200  ,
-188  ,
-167  ,
-162  ,
-142  ,
-128  ,
-104  ,
-89 ,
-74 ,
-61 ,
-52 ,
-33 ,
-10 ,
22  ,
62  ,
95  ,
127 ,
154 ,
176 ,
200 ,
233 ,
265 ,
299 ,
325 ,
347 ,
373 ,
388 ,
419 ,
440 ,
477 ,
496 ,
520 ,
528 ,
535 ,
544 ,
549 ,
566 ,
568 ,
568 ,
554 ,
534 ,
512 ,
492 ,
479 ,
466 ,
459 ,
442 ,
426 ,
407 ,
391 ,
383 ,
383 ,
386 ,
395 ,
394 ,
394 ,
393 ,
395 ,
411 ,
426 ,
444 ,
464 ,
471 ,
484 ,
491 ,
501 ,
513 ,
529 ,
541 ,
556 ,
554 ,
559 ,
552 ,
556 ,
544 ,
527 ,
511 ,
483 ,
464 ,
439 ,
415 ,
394 ,
370 ,
344 ,
317 ,
281 ,
253 ,
225 ,
205 ,
181 ,
161 ,
130 ,
98  ,
61  ,
29  ,
-6  ,
-31 ,
-67 ,
-88 ,
-131  ,
-167  ,
-216  ,
-255  ,
-297  ,
-331  ,
-362  ,
-403  ,
-439  ,
-484  ,
-517  ,
-560  ,
-587  ,
-622  ,
-631  ,
-650  ,
-654  ,
-657  ,
-650  ,
-636  ,
-606  ,
-579  ,
-537  ,
-508  ,
-469  ,
-428  ,
-382  ,
-334  ,
-287  ,
-242  ,
-197  ,
-156  ,
-114  ,
-72 ,
-26 ,
22  ,
75  ,
124 ,
177 ,
226 ,
282 ,
336 ,
391 ,
444 ,
491 ,
535 ,
587 ,
627 ,
669 ,
703 ,
733 ,
761 ,
779 ,
794 ,
806 ,
825 ,
842 ,
859 ,
885 ,
882 ,
899 ,
890 ,
896 ,
899 ,
894 ,
897 ,
890 ,
881 ,
870 ,
848 ,
841 ,
831 ,
833 ,
831 ,
830 ,
829 ,
827 ,
838 ,
836 ,
854 ,
853 ,
866 ,
870 ,
877 ,
879 ,
876 ,
875 ,
878 ,
876 ,
877 ,
867 ,
861 ,
844 ,
831 ,
813 ,
795 ,
776 ,
751 ,
731 ,
708 ,
686 ,
659 ,
638 ,
615 ,
596 ,
572 ,
547 ,
526 ,
505 ,
490 ,
467 ,
455 ,
432 ,
419 ,
403 ,
384 ,
372 ,
344 ,
321 ,
289 ,
255 ,
216 ,
170 ,
127 ,
80  ,
31  ,
-32 ,
-96 ,
-169  ,
-235  ,
-303  ,
-354  ,
-409  ,
-456  ,
-502  ,
-547  ,
-590  ,
-631  ,
-666  ,
-686  ,
-698  ,
-700  ,
-701  ,
-691  ,
-683  ,
-659  ,
-634  ,
-600  ,
-561  ,
-523  ,
-482  ,
-442  ,
-406  ,
-366  ,
-327  ,
-293  ,
-251  ,
-222  ,
-184  ,
-153  ,
-120  ,
-89 ,
-58 ,
-40 ,
-16 ,
2 ,
24  ,
39  ,
56  ,
56  ,
68  ,
61  ,
67  ,
66  ,
65  ,
72  ,
73  ,
86  ,
86  ,
93  ,
95  ,
102 ,
110 ,
114 ,
117 ,
109 ,
105 ,
94  ,
85  ,
76  ,
67  ,
61  ,
42  ,
33  ,
10  ,
-8  ,
-18 ,
-31 ,
-24 ,
-31 ,
-27 ,
-34 ,
-33 ,
-37 ,
-40 ,
-39 ,
-39 ,
-35 ,
-32 ,
-33 ,
-30 ,
-37 ,
-29 ,
-33 ,
-26 ,
-22 ,
-21 ,
-10 ,
-11 ,
-3  ,
-9  ,
-13 ,
-16 ,
-25 ,
-27 ,
-35 ,
-42 ,
-47 ,
-65 ,
-83 ,
-112  ,
-135  ,
-165  ,
-183  ,
-203  ,
-215  ,
-230  ,
-244  ,
-252  ,
-260  ,
-266  ,
-266  ,
-262  ,
-256  ,
-248  ,
-251  ,
-252  ,
-255  ,
-263  ,
-255  ,
-255  ,
-246  ,
-245  ,
-250  ,
-257  ,
-272  ,
-284  ,
-298  ,
-309  ,
-320  ,
-341  ,
-358  ,
-380  ,
-399  ,
-410  ,
-419  ,
-425  ,
-425  ,
-434  ,
-432  ,
-431  ,
-420  ,
-404  ,
-386  ,
-364  ,
-346  ,
-335  ,
-320  ,
-312  ,
-308  ,
-295  ,
-303  ,
-302  ,
-314  ,
-326  ,
-340  ,
-350  ,
-366  ,
-383  ,
-403  ,
-433  ,
-458  ,
-493  ,
-518  ,
-546  ,
-562  ,
-591  ,
-609  ,
-638  ,
-661  ,
-675  ,
-693  ,
-691  ,
-704  ,
-707  ,
-720  ,
-735  ,
-744  ,
-755  ,
-758  ,
-759  ,
-758  ,
-765  ,
-771  ,
-786  ,
-791  ,
-799  ,
-795  ,
-790  ,
-784  ,
-774  ,
-772  ,
-757  ,
-750  ,
-724  ,
-706  ,
-671  ,
-652  ,
-624  ,
-603  ,
-583  ,
-557  ,
-536  ,
-512  ,
-492  ,
-476  ,
-462  ,
-447  ,
-429  ,
-404  ,
-379  ,
-355  ,
-332  ,
-314  ,
-295  ,
-281  ,
-266  ,
-246  ,
-230  ,
-211  ,
-199  ,
-192  ,
-182  ,
-176  ,
-163  ,
-157  ,
-144  ,
-148  ,
-135  ,
-137  ,
-125  ,
-115  ,
-99 ,
-84 ,
-67 ,
-59 ,
-49 ,
-42 ,
-38 ,
-27 ,
-25 ,
-21 ,
-31 ,
-41 ,
-57 ,
-78 ,
-89 ,
-110  ,
-119  ,
-142  ,
-163  ,
-190  ,
-219  ,
-244  ,
-266  ,
-285  ,
-297  ,
-311  ,
-319  ,
-323  ,
-328  ,
-320  ,
-305  ,
-279  ,
-246  ,
-218  ,
-186  ,
-153  ,
-114  ,
-68 ,
-19 ,
31  ,
82  ,
119 ,
158 ,
188 ,
210 ,
240 ,
254 ,
271 ,
281 ,
279 ,
283 ,
279 ,
285 ,
282 ,
291 ,
286 ,
291 ,
284 ,
287 ,
285 ,
290 ,
299 ,
298 ,
309 ,
307 ,
316 ,
324 ,
335 ,
352 ,
364 ,
379 ,
379 ,
389 ,
385 ,
396 ,
399 ,
404 ,
396 ,
390 ,
366 ,
349 ,
326 ,
303 ,
285 ,
262 ,
240 ,
212 ,
179 ,
146 ,
116 ,
87  ,
66  ,
41  ,
20  ,
-9  ,
-30 ,
-53 ,
-70 ,
-88 ,
-99 ,
-113  ,
-129  ,
-143  ,
-164  ,
-173  ,
-188  ,
-191  ,
-198  ,
-201  ,
-211  ,
-212  ,
-220  ,
-217  ,
-223  ,
-224  ,
-222  ,
-231  ,
-233  ,
-244  ,
-252  ,
-253  ,
-262  ,
-261  ,
-267  ,
-274  ,
-277  ,
-276  ,
-271  ,
-261  ,
-252  ,
-242  ,
-228  ,
-217  ,
-205  ,
-195  ,
-184  ,
-179  ,
-163  ,
-166  ,
-150  ,
-153  ,
-141  ,
-139  ,
-126  ,
-126  ,
-121  ,
-129  ,
-130  ,
-138  ,
-139  ,
-144  ,
-141  ,
-139  ,
-128  ,
-122  ,
-112  ,
-103  ,
-81 ,
-60 ,
-23 ,
4 ,
39  ,
72  ,
108 ,
154 ,
202 ,
256 ,
303 ,
361 ,
406 ,
457 ,
494 ,
532 ,
563 ,
596 ,
620 ,
646 ,
660 ,
681 ,
691 ,
707 ,
720 ,
729 ,
739 ,
742 ,
747 ,
757 ,
762 ,
767 ,
773 ,
768 ,
767 ,
764 ,
754 ,
756 ,
744 ,
741 ,
727 ,
705 ,
678 ,
642 ,
607 ,
574 ,
528 ,
488 ,
431 ,
378 ,
327 ,
272 ,
230 ,
173 ,
130 ,
79  ,
27  ,
-15 ,
-65 ,
-94 ,
-125  ,
-141  ,
-161  ,
-173  ,
-196  ,
-204  ,
-221  ,
-226  ,
-227  ,
-230  ,
-227  ,
-222  ,
-227  ,
-212  ,
-218  ,
-194  ,
-188  ,
-159  ,
-148  ,
-126  ,
-118  ,
-96 ,
-80 ,
-63 ,
-39 ,
-29 ,
1 ,
13  ,
37  ,
48  ,
70  ,
88  ,
111 ,
131 ,
147 ,
165 ,
174 ,
194 ,
207 ,
228 ,
236 ,
254 ,
264 ,
277 ,
287 ,
296 ,
301 ,
309 ,
308 ,
311 ,
311 ,
305 ,
306 ,
305 ,
309 ,
320 ,
316 ,
324 ,
317 ,
318 ,
324 ,
326 ,
339 ,
353 ,
367 ,
386 ,
401 ,
425 ,
451 ,
481 ,
515 ,
546 ,
574 ,
600 ,
629 ,
659 ,
694 ,
723 ,
752 ,
772 ,
790 ,
803 ,
815 ,
823 ,
833 ,
839 ,
850 ,
852 ,
855 ,
857 ,
860 ,
870 ,
879 ,
895 ,
902 ,
908 ,
915 ,
920 ,
929 ,
933 ,
936 ,
936 ,
926 ,
912 ,
890 ,
865 ,
834 ,
808 ,
769 ,
730 ,
677 ,
622 ,
563 ,
503 ,
436 ,
378 ,
309 ,
248 ,
185 ,
122 ,
69  ,
14  ,
-33 ,
-73 ,
-118  ,
-151  ,
-194  ,
-219  ,
-245  ,
-255  ,
-263  ,
-267  ,
-267  ,
-263  ,
-256  ,
-242  ,
-231  ,
-214  ,
-195  ,
-184  ,
-165  ,
-161  ,
-147  ,
-143  ,
-133  ,
-132  ,
-134  ,
-142  ,
-154  ,
-167  ,
-182  ,
-194  ,
-214  ,
-225  ,
-252  ,
-260  ,
-286  ,
-295  ,
-320  ,
-335  ,
-359  ,
-379  ,
-402  ,
-421  ,
-436  ,
-449  ,
-458  ,
-464  ,
-479  ,
-482  ,
-495  ,
-489  ,
-495  ,
-480  ,
-484  ,
-464  ,
-470  ,
-451  ,
-458  ,
-443  ,
-448  ,
-444  ,
-441  ,
-446  ,
-449  ,
-457  ,
-463  ,
-466  ,
-467  ,
-468  ,
-460  ,
-460  ,
-441  ,
-433  ,
-405  ,
-389  ,
-360  ,
-334  ,
-305  ,
-271  ,
-239  ,
-198  ,
-165  ,
-129  ,
-105  ,
-70 ,
-46 ,
-19 ,
7 ,
25  ,
45  ,
59  ,
74  ,
85  ,
100 ,
113 ,
125 ,
139 ,
144 ,
155 ,
160 ,
172 ,
188 ,
203 ,
222 ,
231 ,
244 ,
251 ,
262 ,
267 ,
282 ,
290 ,
303 ,
310 ,
314 ,
314 ,
310 ,
304 ,
297 ,
285 ,
270 ,
250 ,
228 ,
199 ,
180 ,
151 ,
137 ,
112 ,
100 ,
77  ,
67  ,
47  ,
42  ,
25  ,
14  ,
-5  ,
-19 ,
-35 ,
-47 ,
-50 ,
-57 ,
-59 ,
-68 ,
-81 ,
-99 ,
-118  ,
-142  ,
-167  ,
-197  ,
-232  ,
-272  ,
-314  ,
-363  ,
-406  ,
-454  ,
-502  ,
-553  ,
-613  ,
-662  ,
-719  ,
-762  ,
-810  ,
-850  ,
-892  ,
-934  ,
-974  ,
-1013 ,
-1053 ,
-1089 ,
-1125 ,
-1152 ,
-1181 ,
-1208 ,
-1233 ,
-1256 ,
-1276 ,
-1288 ,
-1302 ,
-1300 ,
-1307 ,
-1298 ,
-1298 ,
-1286 ,
-1281 ,
-1267 ,
-1253 ,
-1237 ,
-1215 ,
-1199 ,
-1184 ,
-1164 ,
-1150 ,
-1125 ,
-1100 ,
-1075 ,
-1033 ,
-1004 ,
-961  ,
-926  ,
-890  ,
-848  ,
-810  ,
-755  ,
-708  ,
-651  ,
-606  ,
-556  ,
-506  ,
-462  ,
-412  ,
-367  ,
-324  ,
-280  ,
-246  ,
-202  ,
-167  ,
-124  ,
-82 ,
-46 ,
-2  ,
25  ,
62  ,
94  ,
128 ,
166 ,
197 ,
233 ,
255 ,
291 ,
309 ,
346 ,
371 ,
398 ,
426 ,
438 ,
455 ,
462 ,
469 ,
476 ,
477 ,
469 ,
454 ,
435 ,
408 ,
387 ,
361 ,
335 ,
311 ,
281 ,
253 ,
223 ,
196 ,
178 ,
160 ,
157 ,
150 ,
152 ,
145 ,
148 ,
147 ,
157 ,
167 ,
183 ,
195 ,
214 ,
218 ,
231 ,
236 ,
246 ,
254 ,
259 ,
261 ,
257 ,
246 ,
237 ,
227 ,
217 ,
204 ,
184 ,
159 ,
136 ,
103 ,
85  ,
54  ,
40  ,
18  ,
-1  ,
-26 ,
-47 ,
-68 ,
-79 ,
-82 ,
-87 ,
-89 ,
-92 ,
-98 ,
-95 ,
-88 ,
-84 ,
-70 ,
-66 ,
-60 ,
-58 ,
-63 ,
-63 ,
-58 ,
-59 ,
-53 ,
-62 ,
-71 ,
-86 ,
-103  ,
-120  ,
-134  ,
-152  ,
-170  ,
-189  ,
-212  ,
-230  ,
-260  ,
-273  ,
-294  ,
-302  ,
-313  ,
-328  ,
-337  ,
-353  ,
-353  ,
-359  ,
-349  ,
-346  ,
-337  ,
-322  ,
-311  ,
-285  ,
-270  ,
-239  ,
-214  ,
-179  ,
-157  ,
-126  ,
-107  ,
-84 ,
-62 ,
-43 ,
-20 ,
1 ,
16  ,
38  ,
50  ,
71  ,
80  ,
100 ,
108 ,
130 ,
137 ,
155 ,
172 ,
196 ,
218 ,
246 ,
258 ,
281 ,
287 ,
304 ,
319 ,
334 ,
354 ,
370 ,
384 ,
391 ,
395 ,
390 ,
392 ,
390 ,
387 ,
384 ,
371 ,
366 ,
351 ,
349 ,
340 ,
342 ,
343 ,
350 ,
354 ,
361 ,
369 ,
378 ,
392 ,
407 ,
421 ,
436 ,
446 ,
457 ,
470 ,
474 ,
490 ,
490 ,
498 ,
500 ,
499 ,
506 ,
500 ,
504 ,
495 ,
494 ,
481 ,
468 ,
454 ,
437 ,
427 ,
413 ,
404 ,
395 ,
383 ,
377 ,
364 ,
356 ,
341 ,
332 ,
313 ,
302 ,
284 ,
265 ,
245 ,
221 ,
192 ,
169 ,
124 ,
97  ,
53  ,
16  ,
-23 ,
-66 ,
-108  ,
-149  ,
-192  ,
-234  ,
-275  ,
-313  ,
-357  ,
-382  ,
-421  ,
-442  ,
-471  ,
-491  ,
-503  ,
-520  ,
-525  ,
-525  ,
-525  ,
-510  ,
-503  ,
-488  ,
-471  ,
-454  ,
-429  ,
-402  ,
-370  ,
-338  ,
-302  ,
-265  ,
-225  ,
-182  ,
-141  ,
-95 ,
-58 ,
-15 ,
21  ,
53  ,
93  ,
126 ,
162 ,
194 ,
226 ,
253 ,
286 ,
315 ,
347 ,
383 ,
411 ,
444 ,
478 ,
503 ,
537 ,
561 ,
591 ,
614 ,
637 ,
652 ,
667 ,
677 ,
686 ,
697 ,
696 ,
701 ,
696 ,
695 ,
693 ,
689 ,
684 ,
686 ,
680 ,
684 ,
687 ,
686 ,
695 ,
700 ,
709 ,
721 ,
727 ,
731 ,
736 ,
733 ,
734 ,
731 ,
734 ,
729 ,
735 ,
730 ,
732 ,
724 ,
719 ,
712 ,
704 ,
700 ,
690 ,
682 ,
669 ,
659 ,
645 ,
635 ,
616 ,
602 ,
586 ,
568 ,
556 ,
544 ,
535 ,
527 ,
521 ,
516 ,
508 ,
502 ,
489 ,
478 ,
463 ,
442 ,
416 ,
391 ,
356 ,
324 ,
286 ,
248 ,
206 ,
166 ,
119 ,
77  ,
29  ,
-24 ,
-70 ,
-123  ,
-171  ,
-218  ,
-263  ,
-307  ,
-345  ,
-380  ,
-412  ,
-436  ,
-460  ,
-479  ,
-490  ,
-499  ,
-498  ,
-489  ,
-478  ,
-458  ,
-438  ,
-415  ,
-385  ,
-365  ,
-331  ,
-307  ,
-274  ,
-250  ,
-220  ,
-195  ,
-174  ,
-146  ,
-131  ,
-107  ,
-89 ,
-75 ,
-57 ,
-53 ,
-45 ,
-47 ,
-49 ,
-45 ,
-57 ,
-53 ,
-70 ,
-73 ,
-81 ,
-90 ,
-89 ,
-102  ,
-91 ,
-99 ,
-87 ,
-85 ,
-77 ,
-66 ,
-61 ,
-47 ,
-42 ,
-30 ,
-26 ,
-16 ,
-8  ,
-5  ,
-1  ,
-3  ,
-3  ,
1 ,
-2  ,
3 ,
-1  ,
6 ,
3 ,
9 ,
3 ,
3 ,
-4  ,
-5  ,
-12 ,
-17 ,
-27 ,
-30 ,
-34 ,
-31 ,
-28 ,
-24 ,
-16 ,
-16 ,
-8  ,
-20 ,
-16 ,
-26 ,
-24 ,
-28 ,
-32 ,
-39 ,
-55 ,
-67 ,
-89 ,
-95 ,
-113  ,
-113  ,
-132  ,
-133  ,
-148  ,
-154  ,
-157  ,
-160  ,
-147  ,
-143  ,
-128  ,
-126  ,
-118  ,
-114  ,
-110  ,
-107  ,
-106  ,
-104  ,
-111  ,
-108  ,
-118  ,
-115  ,
-124  ,
-121  ,
-134  ,
-136  ,
-152  ,
-162  ,
-171  ,
-180  ,
-184  ,
-194  ,
-206  ,
-223  ,
-236  ,
-248  ,
-255  ,
-256  ,
-259  ,
-251  ,
-255  ,
-249  ,
-252  ,
-245  ,
-238  ,
-229  ,
-215  ,
-215  ,
-209  ,
-217  ,
-212  ,
-217  ,
-216  ,
-216  ,
-226  ,
-236  ,
-253  ,
-275  ,
-290  ,
-309  ,
-323  ,
-340  ,
-362  ,
-385  ,
-417  ,
-437  ,
-470  ,
-490  ,
-519  ,
-544  ,
-576  ,
-604  ,
-638  ,
-667  ,
-699  ,
-721  ,
-744  ,
-757  ,
-774  ,
-780  ,
-790  ,
-794  ,
-795  ,
-798  ,
-796  ,
-800  ,
-793  ,
-791  ,
-778  ,
-769  ,
-760  ,
-744  ,
-741  ,
-726  ,
-724  ,
-708  ,
-699  ,
-676  ,
-662  ,
-643  ,
-625  ,
-606  ,
-580  ,
-561  ,
-525  ,
-511  ,
-483  ,
-469  ,
-454  ,
-437  ,
-424  ,
-407  ,
-382  ,
-360  ,
-337  ,
-323  ,
-313  ,
-304  ,
-296  ,
-285  ,
-274  ,
-264  ,
-255  ,
-251  ,
-243  ,
-242  ,
-236  ,
-228  ,
-218  ,
-203  ,
-192  ,
-175  ,
-164  ,
-141  ,
-127  ,
-103  ,
-85 ,
-66 ,
-46 ,
-36 ,
-25 ,
-27 ,
-26 ,
-33 ,
-39 ,
-47 ,
-61 ,
-76 ,
-90 ,
-109  ,
-119  ,
-138  ,
-154  ,
-174  ,
-186  ,
-206  ,
-208  ,
-221  ,
-221  ,
-228  ,
-228  ,
-225  ,
-222  ,
-214  ,
-204  ,
-187  ,
-172  ,
-154  ,
-137  ,
-118  ,
-95 ,
-70 ,
-41 ,
-15 ,
10  ,
30  ,
46  ,
63  ,
77  ,
93  ,
105 ,
121 ,
122 ,
132 ,
128 ,
136 ,
143 ,
150 ,
162 ,
169 ,
178 ,
183 ,
189 ,
192 ,
200 ,
202 ,
216 ,
221 ,
239 ,
246 ,
256 ,
266 ,
273 ,
282 ,
294 ,
307 ,
324 ,
333 ,
349 ,
350 ,
368 ,
361 ,
371 ,
364 ,
363 ,
361 ,
350 ,
345 ,
325 ,
317 ,
293 ,
285 ,
261 ,
244 ,
219 ,
193 ,
167 ,
143 ,
116 ,
95  ,
72  ,
54  ,
34  ,
14  ,
-1  ,
-19 ,
-36 ,
-50 ,
-66 ,
-71 ,
-85 ,
-88 ,
-94 ,
-96 ,
-99 ,
-106  ,
-113  ,
-121  ,
-129  ,
-133  ,
-142  ,
-142  ,
-154  ,
-163  ,
-173  ,
-191  ,
-190  ,
-199  ,
-195  ,
-193  ,
-197  ,
-193  ,
-193  ,
-191  ,
-171  ,
-165  ,
-144  ,
-136  ,
-125  ,
-117  ,
-110  ,
-98 ,
-90 ,
-75 ,
-69 ,
-60 ,
-60 ,
-64 ,
-68 ,
-66 ,
-64 ,
-51 ,
-43 ,
-35 ,
-23 ,
-21 ,
-5  ,
4 ,
27  ,
43  ,
68  ,
86  ,
102 ,
123 ,
139 ,
168 ,
191 ,
221 ,
241 ,
270 ,
288 ,
315 ,
339 ,
364 ,
395 ,
418 ,
446 ,
466 ,
485 ,
505 ,
524 ,
547 ,
568 ,
587 ,
602 ,
620 ,
632 ,
648 ,
663 ,
672 ,
681 ,
686 ,
683 ,
688 ,
680 ,
683 ,
673 ,
669 ,
649 ,
633 ,
604 ,
588 ,
559 ,
542 ,
516 ,
492 ,
457 ,
422 ,
374 ,
341 ,
293 ,
267 ,
230 ,
201 ,
167 ,
120 ,
86  ,
41  ,
14  ,
-13 ,
-36 ,
-58 ,
-86 ,
-113  ,
-138  ,
-156  ,
-169  ,
-176  ,
-177  ,
-180  ,
-180  ,
-182  ,
-182  ,
-171  ,
-162  ,
-142  ,
-133  ,
-124  ,
-119  ,
-116  ,
-105  ,
-95 ,
-75 ,
-65 ,
-51 ,
-46 ,
-40 ,
-30 ,
-24 ,
-5  ,
8 ,
24  ,
31  ,
41  ,
43  ,
63  ,
74  ,
106 ,
123 ,
149 ,
160 ,
176 ,
189 ,
204 ,
224 ,
234 ,
252 ,
250 ,
259 ,
253 ,
260 ,
261 ,
267 ,
270 ,
268 ,
263 ,
256 ,
257 ,
263 ,
277 ,
291 ,
304 ,
312 ,
325 ,
331 ,
353 ,
371 ,
399 ,
425 ,
443 ,
465 ,
472 ,
483 ,
499 ,
515 ,
535 ,
555 ,
563 ,
582 ,
581 ,
599 ,
602 ,
625 ,
640 ,
661 ,
677 ,
685 ,
700 ,
708 ,
724 ,
735 ,
749 ,
755 ,
766 ,
767 ,
773 ,
775 ,
778 ,
776 ,
781 ,
773 ,
771 ,
761 ,
748 ,
736 ,
713 ,
691 ,
658 ,
619 ,
578 ,
534 ,
491 ,
446 ,
398 ,
350 ,
297 ,
245 ,
191 ,
142 ,
97  ,
61  ,
25  ,
-6  ,
-43 ,
-75 ,
-108  ,
-133  ,
-154  ,
-166  ,
-176  ,
-183  ,
-192  ,
-191  ,
-196  ,
-190  ,
-180  ,
-174  ,
-159  ,
-160  ,
-153  ,
-152  ,
-146  ,
-134  ,
-122  ,
-108  ,
-108  ,
-105  ,
-114  ,
-118  ,
-125  ,
-130  ,
-136  ,
-151  ,
-175  ,
-209  ,
-240  ,
-276  ,
-294  ,
-317  ,
-335  ,
-353  ,
-375  ,
-392  ,
-404  ,
-417  ,
-417  ,
-420  ,
-418  ,
-417  ,
-421  ,
-424  ,
-429  ,
-427  ,
-426  ,
-427  ,
-433  ,
-436  ,
-438  ,
-434  ,
-433  ,
-427  ,
-424  ,
-421  ,
-413  ,
-413  ,
-401  ,
-391  ,
-377  ,
-355  ,
-341  ,
-328  ,
-316  ,
-308  ,
-296  ,
-276  ,
-265  ,
-247  ,
-235  ,
-222  ,
-204  ,
-192  ,
-174  ,
-161  ,
-138  ,
-129  ,
-106  ,
-103  ,
-85 ,
-79 ,
-59 ,
-49 ,
-38 ,
-28 ,
-22 ,
-6  ,
1 ,
19  ,
30  ,
47  ,
65  ,
76  ,
97  ,
105 ,
115 ,
132 ,
140 ,
157 ,
165 ,
169 ,
178 ,
174 ,
180 ,
169 ,
171 ,
162 ,
160 ,
155 ,
145 ,
128 ,
119 ,
98  ,
101 ,
91  ,
94  ,
90  ,
85  ,
84  ,
75  ,
74  ,
66  ,
69  ,
67  ,
62  ,
59  ,
51  ,
50  ,
44  ,
45  ,
34  ,
24  ,
11  ,
-6  ,
-10 ,
-25 ,
-32 ,
-45 ,
-61 ,
-78 ,
-103  ,
-126  ,
-148  ,
-172  ,
-192  ,
-222  ,
-257  ,
-302  ,
-349  ,
-399  ,
-445  ,
-494  ,
-547  ,
-597  ,
-654  ,
-710  ,
-761  ,
-811  ,
-845  ,
-875  ,
-904  ,
-929  ,
-956  ,
-975  ,
-991  ,
-998  ,
-1009 ,
-1015 ,
-1031 ,
-1042 ,
-1058 ,
-1070 ,
-1077 ,
-1080 ,
-1076 ,
-1071 ,
-1070 ,
-1069 ,
-1070 ,
-1064 ,
-1048 ,
-1034 ,
-1010 ,
-996  ,
-974  ,
-962  ,
-938  ,
-921  ,
-889  ,
-865  ,
-830  ,
-799  ,
-770  ,
-738  ,
-709  ,
-669  ,
-632  ,
-599  ,
-560  ,
-538  ,
-498  ,
-475  ,
-439  ,
-407  ,
-380  ,
-350  ,
-336  ,
-313  ,
-298  ,
-276  ,
-244  ,
-214  ,
-172  ,
-142  ,
-107  ,
-77 ,
-38 ,
3 ,
46  ,
92  ,
126 ,
159 ,
177 ,
199 ,
212 ,
232 ,
241 ,
251 ,
251 ,
241 ,
234 ,
218 ,
215 ,
204 ,
199 ,
193 ,
176 ,
170 ,
148 ,
143 ,
134 ,
126 ,
125 ,
117 ,
112 ,
107 ,
103 ,
108 ,
114 ,
121 ,
128 ,
130 ,
137 ,
135 ,
149 ,
154 ,
170 ,
186 ,
191 ,
207 ,
203 ,
211 ,
208 ,
215 ,
215 ,
217 ,
211 ,
202 ,
187 ,
181 ,
161 ,
159 ,
145 ,
132 ,
116 ,
94  ,
73  ,
60  ,
45  ,
40  ,
31  ,
21  ,
7 ,
-6  ,
-11 ,
-10 ,
-2  ,
12  ,
17  ,
28  ,
32  ,
37  ,
48  ,
59  ,
68  ,
84  ,
82  ,
88  ,
77  ,
72  ,
70  ,
68  ,
69  ,
62  ,
49  ,
36  ,
19  ,
7 ,
0 ,
-15 ,
-18 ,
-43 ,
-58 ,
-81 ,
-102  ,
-114  ,
-128  ,
-134  ,
-142  ,
-158  ,
-167  ,
-179  ,
-181  ,
-181  ,
-178  ,
-176  ,
-177  ,
-181  ,
-178  ,
-183  ,
-174  ,
-170  ,
-163  ,
-154  ,
-155  ,
-154  ,
-147  ,
-141  ,
-125  ,
-106  ,
-92 ,
-71 ,
-60 ,
-42 ,
-20 ,
4 ,
32  ,
53  ,
68  ,
75  ,
80  ,
83  ,
94  ,
103 ,
119 ,
125 ,
132 ,
129 ,
134 ,
133 ,
148 ,
156 ,
170 ,
178 ,
186 ,
186 ,
200 ,
196 ,
215 ,
220 ,
232 ,
238 ,
240 ,
251 ,
255 ,
275 ,
288 ,
307 ,
321 ,
332 ,
340 ,
349 ,
354 ,
368 ,
377 ,
394 ,
402 ,
407 ,
411 ,
410 ,
416 ,
426 ,
432 ,
442 ,
445 ,
449 ,
450 ,
455 ,
463 ,
473 ,
484 ,
485 ,
484 ,
475 ,
472 ,
464 ,
468 ,
459 ,
456 ,
445 ,
431 ,
422 ,
405 ,
402 ,
390 ,
382 ,
372 ,
352 ,
330 ,
311 ,
290 ,
278 ,
257 ,
231 ,
202 ,
158 ,
123 ,
82  ,
45  ,
14  ,
-25 ,
-58 ,
-99 ,
-147  ,
-187  ,
-226  ,
-251  ,
-269  ,
-289  ,
-305  ,
-325  ,
-344  ,
-349  ,
-359  ,
-345  ,
-342  ,
-320  ,
-311  ,
-293  ,
-287  ,
-262  ,
-249  ,
-212  ,
-189  ,
-158  ,
-138  ,
-117  ,
-95 ,
-70 ,
-47 ,
-17 ,
3 ,
28  ,
44  ,
63  ,
88  ,
111 ,
147 ,
178 ,
212 ,
239 ,
267 ,
292 ,
323 ,
352 ,
378 ,
402 ,
418 ,
438 ,
449 ,
465 ,
479 ,
493 ,
508 ,
511 ,
518 ,
516 ,
524 ,
528 ,
538 ,
546 ,
548 ,
551 ,
550 ,
559 ,
562 ,
576 ,
585 ,
598 ,
607 ,
613 ,
618 ,
626 ,
633 ,
645 ,
656 ,
661 ,
667 ,
658 ,
659 ,
653 ,
651 ,
661 ,
653 ,
664 ,
649 ,
650 ,
640 ,
635 ,
640 ,
638 ,
644 ,
642 ,
636 ,
634 ,
628 ,
629 ,
632 ,
630 ,
637 ,
623 ,
624 ,
608 ,
605 ,
599 ,
593 ,
588 ,
575 ,
561 ,
541 ,
520 ,
506 ,
481 ,
467 ,
433 ,
401 ,
361 ,
314 ,
271 ,
228 ,
182 ,
143 ,
89  ,
41  ,
-13 ,
-56 ,
-96 ,
-128  ,
-166  ,
-202  ,
-236  ,
-274  ,
-297  ,
-315  ,
-327  ,
-324  ,
-328  ,
-324  ,
-322  ,
-316  ,
-308  ,
-286  ,
-266  ,
-240  ,
-222  ,
-209  ,
-192  ,
-183  ,
-163  ,
-145  ,
-129  ,
-107  ,
-102  ,
-89 ,
-92 ,
-87 ,
-81 ,
-77 ,
-67 ,
-75 ,
-74 ,
-93 ,
-95 ,
-110  ,
-105  ,
-111  ,
-104  ,
-111  ,
-114  ,
-126  ,
-130  ,
-142  ,
-137  ,
-147  ,
-142  ,
-149  ,
-156  ,
-163  ,
-171  ,
-171  ,
-173  ,
-164  ,
-171  ,
-163  ,
-172  ,
-166  ,
-164  ,
-153  ,
-145  ,
-136  ,
-125  ,
-124  ,
-113  ,
-110  ,
-95 ,
-87 ,
-73 ,
-70 ,
-64 ,
-71 ,
-71 ,
-73 ,
-73 ,
-71 ,
-75 ,
-82 ,
-85 ,
-97 ,
-97 ,
-103  ,
-100  ,
-100  ,
-106  ,
-109  ,
-122  ,
-127  ,
-133  ,
-133  ,
-128  ,
-132  ,
-128  ,
-139  ,
-143  ,
-145  ,
-150  ,
-143  ,
-145  ,
-142  ,
-146  ,
-150  ,
-157  ,
-162  ,
-159  ,
-155  ,
-153  ,
-155  ,
-160  ,
-169  ,
-174  ,
-176  ,
-180  ,
-180  ,
-185  ,
-191  ,
-200  ,
-211  ,
-217  ,
-223  ,
-218  ,
-221  ,
-223  ,
-227  ,
-237  ,
-239  ,
-237  ,
-241  ,
-228  ,
-236  ,
-227  ,
-232  ,
-228  ,
-231  ,
-216  ,
-216  ,
-195  ,
-190  ,
-175  ,
-163  ,
-153  ,
-139  ,
-130  ,
-120  ,
-118  ,
-115  ,
-121  ,
-124  ,
-131  ,
-139  ,
-148  ,
-164  ,
-187  ,
-206  ,
-246  ,
-266  ,
-306  ,
-331  ,
-365  ,
-402  ,
-437  ,
-475  ,
-514  ,
-541  ,
-572  ,
-586  ,
-610  ,
-626  ,
-654  ,
-674  ,
-695  ,
-711  ,
-722  ,
-732  ,
-744  ,
-755  ,
-766  ,
-780  ,
-782  ,
-790  ,
-787  ,
-790  ,
-789  ,
-797  ,
-799  ,
-803  ,
-799  ,
-783  ,
-773  ,
-750  ,
-735  ,
-719  ,
-700  ,
-682  ,
-657  ,
-634  ,
-607  ,
-587  ,
-568  ,
-557  ,
-546  ,
-533  ,
-521  ,
-504  ,
-492  ,
-479  ,
-472  ,
-463  ,
-458  ,
-449  ,
-442  ,
-431  ,
-417  ,
-408  ,
-390  ,
-380  ,
-356  ,
-335  ,
-312  ,
-284  ,
-271  ,
-248  ,
-232  ,
-212  ,
-192  ,
-172  ,
-159  ,
-149  ,
-143  ,
-144  ,
-139  ,
-141  ,
-130  ,
-127  ,
-121  ,
-124  ,
-131  ,
-138  ,
-141  ,
-147  ,
-144  ,
-152  ,
-151  ,
-165  ,
-170  ,
-183  ,
-186  ,
-194  ,
-193  ,
-199  ,
-198  ,
-204  ,
-204  ,
-202  ,
-193  ,
-180  ,
-168  ,
-155  ,
-145  ,
-136  ,
-116  ,
-106  ,
-80 ,
-64 ,
-46 ,
-26 ,
-13 ,
3 ,
21  ,
33  ,
54  ,
68  ,
79  ,
86  ,
94  ,
98  ,
106 ,
116 ,
119 ,
129 ,
130 ,
130 ,
128 ,
128 ,
123 ,
129 ,
124 ,
131 ,
134 ,
141 ,
153 ,
165 ,
186 ,
204 ,
221 ,
239 ,
249 ,
272 ,
279 ,
301 ,
311 ,
329 ,
338 ,
348 ,
352 ,
356 ,
356 ,
356 ,
352 ,
347 ,
338 ,
329 ,
310 ,
305 ,
282 ,
277 ,
257 ,
249 ,
232 ,
219 ,
200 ,
183 ,
163 ,
144 ,
129 ,
106 ,
94  ,
66  ,
52  ,
22  ,
14  ,
-12 ,
-23 ,
-36 ,
-56 ,
-57 ,
-77 ,
-79 ,
-92 ,
-97 ,
-105  ,
-110  ,
-120  ,
-125  ,
-131  ,
-132  ,
-132  ,
-134  ,
-128  ,
-134  ,
-130  ,
-134  ,
-140  ,
-137  ,
-141  ,
-141  ,
-138  ,
-150  ,
-144  ,
-156  ,
-148  ,
-153  ,
-141  ,
-140  ,
-135  ,
-130  ,
-131  ,
-120  ,
-121  ,
-105  ,
-103  ,
-85 ,
-82 ,
-64 ,
-58 ,
-42 ,
-36 ,
-23 ,
-9  ,
1 ,
20  ,
38  ,
53  ,
81  ,
89  ,
112 ,
123 ,
137 ,
154 ,
163 ,
184 ,
196 ,
218 ,
233 ,
254 ,
267 ,
293 ,
304 ,
330 ,
345 ,
367 ,
388 ,
414 ,
437 ,
466 ,
486 ,
509 ,
527 ,
540 ,
555 ,
561 ,
571 ,
578 ,
579 ,
585 ,
582 ,
589 ,
588 ,
594 ,
591 ,
593 ,
590 ,
591 ,
585 ,
581 ,
570 ,
552 ,
536 ,
509 ,
484 ,
456 ,
426 ,
390 ,
361 ,
316 ,
285 ,
243 ,
207 ,
174 ,
138 ,
106 ,
76  ,
42  ,
15  ,
-9  ,
-33 ,
-46 ,
-62 ,
-72 ,
-81 ,
-92 ,
-101  ,
-107  ,
-111  ,
-111  ,
-113  ,
-113  ,
-115  ,
-116  ,
-115  ,
-113  ,
-105  ,
-101  ,
-92 ,
-88 ,
-80 ,
-74 ,
-66 ,
-58 ,
-46 ,
-30 ,
-13 ,
2 ,
23  ,
43  ,
67  ,
88  ,
105 ,
122 ,
136 ,
146 ,
161 ,
167 ,
180 ,
184 ,
196 ,
199 ,
207 ,
213 ,
218 ,
229 ,
236 ,
251 ,
256 ,
270 ,
277 ,
289 ,
304 ,
311 ,
325 ,
330 ,
335 ,
346 ,
344 ,
359 ,
360 ,
377 ,
385 ,
394 ,
401 ,
407 ,
415 ,
424 ,
429 ,
439 ,
445 ,
452 ,
459 ,
469 ,
474 ,
488 ,
495 ,
514 ,
523 ,
546 ,
557 ,
582 ,
594 ,
620 ,
634 ,
658 ,
681 ,
701 ,
725 ,
741 ,
754 ,
764 ,
768 ,
776 ,
781 ,
784 ,
786 ,
782 ,
778 ,
769 ,
763 ,
750 ,
741 ,
727 ,
710 ,
692 ,
661 ,
635 ,
591 ,
560 ,
515 ,
471 ,
424 ,
370 ,
324 ,
274 ,
231 ,
191 ,
150 ,
119 ,
80  ,
50  ,
20  ,
-3  ,
-20 ,
-32 ,
-44 ,
-54 ,
-59 ,
-67 ,
-65 ,
-71 ,
-68 ,
-72 ,
-70 ,
-73 ,
-75 ,
-74 ,
-78 ,
-76 ,
-81 ,
-75 ,
-81 ,
-73 ,
-80 ,
-77 ,
-87 ,
-90 ,
-109  ,
-118  ,
-144  ,
-154  ,
-177  ,
-187  ,
-204  ,
-223  ,
-231  ,
-257  ,
-264  ,
-284  ,
-297  ,
-309  ,
-327  ,
-341  ,
-357  ,
-375  ,
-388  ,
-402  ,
-415  ,
-420  ,
-429  ,
-428  ,
-430  ,
-430  ,
-425  ,
-428  ,
-415  ,
-411  ,
-396  ,
-381  ,
-367  ,
-354  ,
-342  ,
-333  ,
-325  ,
-312  ,
-305  ,
-293  ,
-286  ,
-282  ,
-276  ,
-276  ,
-273  ,
-274  ,
-273  ,
-275  ,
-273  ,
-272  ,
-272  ,
-266  ,
-263  ,
-254  ,
-243  ,
-232  ,
-220  ,
-206  ,
-191  ,
-179  ,
-160  ,
-145  ,
-125  ,
-109  ,
-93 ,
-78 ,
-62 ,
-49 ,
-33 ,
-24 ,
-8  ,
-2  ,
8 ,
15  ,
21  ,
31  ,
29  ,
36  ,
36  ,
39  ,
44  ,
46  ,
46  ,
50  ,
44  ,
42  ,
34  ,
27  ,
18  ,
12  ,
3 ,
-10 ,
-17 ,
-36 ,
-37 ,
-53 ,
-54 ,
-62 ,
-68 ,
-72 ,
-75 ,
-73 ,
-69 ,
-64 ,
-54 ,
-50 ,
-35 ,
-27 ,
-16 ,
-2  ,
2 ,
12  ,
6 ,
5 ,
-8  ,
-19 ,
-35 ,
-51 ,
-73 ,
-93 ,
-117  ,
-148  ,
-172  ,
-207  ,
-236  ,
-272  ,
-310  ,
-352  ,
-397  ,
-439  ,
-486  ,
-519  ,
-564  ,
-590  ,
-626  ,
-657  ,
-686  ,
-721  ,
-749  ,
-780  ,
-807  ,
-836  ,
-864  ,
-894  ,
-920  ,
-941  ,
-962  ,
-971  ,
-992  ,
-998  ,
-1011 ,
-1022 ,
-1019 ,
-1027 ,
-1020 ,
-1010 ,
-1002 ,
-979  ,
-971  ,
-943  ,
-927  ,
-900  ,
-876  ,
-855  ,
-829  ,
-814  ,
-789  ,
-776  ,
-761  ,
-744  ,
-739  ,
-726  ,
-717  ,
-710  ,
-692  ,
-680  ,
-661  ,
-640  ,
-622  ,
-595  ,
-573  ,
-538  ,
-499  ,
-467  ,
-421  ,
-389  ,
-348  ,
-317  ,
-279  ,
-248  ,
-209  ,
-176  ,
-139  ,
-111  ,
-77 ,
-55 ,
-28 ,
-6  ,
18  ,
37  ,
56  ,
68  ,
79  ,
92  ,
98  ,
109 ,
111 ,
117 ,
112 ,
114 ,
106 ,
104 ,
100 ,
95  ,
92  ,
87  ,
81  ,
80  ,
73  ,
77  ,
72  ,
79  ,
74  ,
75  ,
72  ,
67  ,
70  ,
71  ,
72  ,
81  ,
81  ,
92  ,
97  ,
114 ,
122 ,
135 ,
146 ,
147 ,
157 ,
154 ,
159 ,
159 ,
156 ,
148 ,
139 ,
126 ,
115 ,
106 ,
95  ,
84  ,
75  ,
62  ,
53  ,
47  ,
37  ,
38  ,
32  ,
34  ,
38  ,
40  ,
46  ,
50  ,
59  ,
65  ,
76  ,
80  ,
92  ,
96  ,
104 ,
109 ,
115 ,
125 ,
127 ,
140 ,
145 ,
155 ,
159 ,
167 ,
169 ,
173 ,
176 ,
174 ,
175 ,
172 ,
166 ,
165 ,
160 ,
157 ,
154 ,
144 ,
134 ,
122 ,
102 ,
92  ,
67  ,
56  ,
29  ,
12  ,
-13 ,
-34 ,
-53 ,
-71 ,
-81 ,
-95 ,
-104  ,
-116  ,
-121  ,
-122  ,
-118  ,
-112  ,
-104  ,
-94 ,
-90 ,
-81 ,
-77 ,
-72 ,
-65 ,
-54 ,
-46 ,
-32 ,
-26 ,
-16 ,
-9  ,
2 ,
9 ,
19  ,
28  ,
36  ,
41  ,
48  ,
51  ,
57  ,
64  ,
61  ,
72  ,
67  ,
75  ,
72  ,
79  ,
83  ,
92  ,
97  ,
109 ,
114 ,
127 ,
133 ,
143 ,
147 ,
156 ,
156 ,
167 ,
167 ,
178 ,
183 ,
192 ,
204 ,
209 ,
222 ,
228 ,
238 ,
253 ,
263 ,
275 ,
289 ,
291 ,
302 ,
303 ,
306 ,
307 ,
309 ,
307 ,
311 ,
310 ,
311 ,
313 ,
316 ,
323 ,
328 ,
336 ,
344 ,
350 ,
363 ,
367 ,
378 ,
386 ,
390 ,
400 ,
396 ,
402 ,
390 ,
387 ,
373 ,
364 ,
350 ,
335 ,
317 ,
300 ,
279 ,
258 ,
240 ,
212 ,
196 ,
163 ,
141 ,
112 ,
81  ,
50  ,
17  ,
-17 ,
-45 ,
-74 ,
-98 ,
-120  ,
-140  ,
-162  ,
-177  ,
-192  ,
-200  ,
-205  ,
-210  ,
-216  ,
-221  ,
-236  ,
-243  ,
-256  ,
-262  ,
-267  ,
-268  ,
-269  ,
-268  ,
-266  ,
-258  ,
-247  ,
-227  ,
-206  ,
-183  ,
-157  ,
-133  ,
-101  ,
-73 ,
-34 ,
-6  ,
32  ,
59  ,
87  ,
115 ,
139 ,
170 ,
196 ,
223 ,
247 ,
268 ,
285 ,
302 ,
314 ,
331 ,
346 ,
360 ,
376 ,
389 ,
403 ,
423 ,
437 ,
456 ,
471 ,
485 ,
502 ,
510 ,
528 ,
535 ,
550 ,
558 ,
568 ,
571 ,
571 ,
574 ,
570 ,
577 ,
577 ,
580 ,
585 ,
581 ,
586 ,
576 ,
582 ,
573 ,
583 ,
574 ,
579 ,
574 ,
567 ,
569 ,
559 ,
566 ,
565 ,
568 ,
574 ,
573 ,
582 ,
579 ,
591 ,
596 ,
608 ,
621 ,
627 ,
640 ,
642 ,
655 ,
657 ,
670 ,
673 ,
678 ,
677 ,
672 ,
664 ,
649 ,
641 ,
619 ,
605 ,
579 ,
553 ,
519 ,
489 ,
455 ,
420 ,
387 ,
345 ,
311 ,
266 ,
231 ,
188 ,
154 ,
118 ,
87  ,
54  ,
20  ,
-10 ,
-37 ,
-62 ,
-79 ,
-98 ,
-114  ,
-126  ,
-144  ,
-151  ,
-159  ,
-160  ,
-157  ,
-161  ,
-155  ,
-166  ,
-161  ,
-170  ,
-159  ,
-158  ,
-146  ,
-139  ,
-130  ,
-121  ,
-110  ,
-92 ,
-78 ,
-56 ,
-47 ,
-40 ,
-34 ,
-39 ,
-33 ,
-39 ,
-35 ,
-38 ,
-43 ,
-49 ,
-57 ,
-68 ,
-71 ,
-86 ,
-89 ,
-101  ,
-110  ,
-116  ,
-124  ,
-128  ,
-128  ,
-130  ,
-125  ,
-125  ,
-125  ,
-124  ,
-121  ,
-120  ,
-115  ,
-114  ,
-110  ,
-106  ,
-106  ,
-102  ,
-104  ,
-100  ,
-96 ,
-96 ,
-89 ,
-89 ,
-88 ,
-82 ,
-86 ,
-76 ,
-79 ,
-76 ,
-77 ,
-79 ,
-82 ,
-85 ,
-93 ,
-96 ,
-103  ,
-109  ,
-115  ,
-124  ,
-131  ,
-138  ,
-141  ,
-146  ,
-146  ,
-151  ,
-151  ,
-151  ,
-150  ,
-146  ,
-146  ,
-139  ,
-137  ,
-132  ,
-124  ,
-122  ,
-108  ,
-109  ,
-99 ,
-99 ,
-96 ,
-100  ,
-100  ,
-107  ,
-107  ,
-114  ,
-117  ,
-125  ,
-135  ,
-145  ,
-161  ,
-172  ,
-191  ,
-198  ,
-217  ,
-221  ,
-237  ,
-242  ,
-258  ,
-260  ,
-269  ,
-269  ,
-267  ,
-261  ,
-248  ,
-232  ,
-223  ,
-205  ,
-202  ,
-189  ,
-181  ,
-172  ,
-165  ,
-155  ,
-153  ,
-144  ,
-146  ,
-142  ,
-142  ,
-147  ,
-148  ,
-157  ,
-167  ,
-177  ,
-193  ,
-202  ,
-214  ,
-226  ,
-237  ,
-258  ,
-274  ,
-296  ,
-319  ,
-337  ,
-360  ,
-377  ,
-393  ,
-413  ,
-431  ,
-452  ,
-472  ,
-491  ,
-509  ,
-526  ,
-547  ,
-568  ,
-594  ,
-616  ,
-641  ,
-654  ,
-681  ,
-687  ,
-705  ,
-708  ,
-712  ,
-711  ,
-707  ,
-697  ,
-693  ,
-680  ,
-669  ,
-660  ,
-644  ,
-632  ,
-621  ,
-606  ,
-607  ,
-593  ,
-603  ,
-592  ,
-598  ,
-595  ,
-591  ,
-593  ,
-586  ,
-590  ,
-590  ,
-587  ,
-590  ,
-579  ,
-577  ,
-566  ,
-558  ,
-545  ,
-536  ,
-517  ,
-501  ,
-486  ,
-463  ,
-449  ,
-428  ,
-415  ,
-395  ,
-374  ,
-352  ,
-325  ,
-305  ,
-281  ,
-264  ,
-243  ,
-227  ,
-208  ,
-188  ,
-172  ,
-158  ,
-147  ,
-145  ,
-138  ,
-135  ,
-131  ,
-124  ,
-127  ,
-127  ,
-136  ,
-140  ,
-144  ,
-152  ,
-154  ,
-162  ,
-167  ,
-172  ,
-180  ,
-186  ,
-188  ,
-190  ,
-184  ,
-184  ,
-177  ,
-177  ,
-165  ,
-159  ,
-140  ,
-128  ,
-113  ,
-103  ,
-92 ,
-88 ,
-74 ,
-72 ,
-53 ,
-49 ,
-34 ,
-34 ,
-24 ,
-25 ,
-15 ,
-9  ,
-2  ,
7 ,
11  ,
8 ,
16  ,
11  ,
22  ,
23  ,
33  ,
43  ,
48  ,
58  ,
63  ,
75  ,
83  ,
103 ,
112 ,
130 ,
142 ,
158 ,
173 ,
192 ,
207 ,
230 ,
242 ,
263 ,
267 ,
287 ,
293 ,
315 ,
333 ,
353 ,
373 ,
388 ,
404 ,
415 ,
429 ,
440 ,
453 ,
458 ,
469 ,
466 ,
470 ,
454 ,
446 ,
430 ,
411 ,
395 ,
373 ,
351 ,
337 ,
311 ,
298 ,
273 ,
252 ,
230 ,
204 ,
186 ,
161 ,
142 ,
119 ,
98  ,
78  ,
50  ,
31  ,
5 ,
-9  ,
-29 ,
-37 ,
-54 ,
-68 ,
-82 ,
-100  ,
-106  ,
-118  ,
-116  ,
-122  ,
-117  ,
-118  ,
-115  ,
-111  ,
-108  ,
-106  ,
-100  ,
-103  ,
-100  ,
-107  ,
-106  ,
-108  ,
-111  ,
-109  ,
-117  ,
-115  ,
-121  ,
-124  ,
-124  ,
-125  ,
-120  ,
-112  ,
-105  ,
-95 ,
-87 ,
-84 ,
-71 ,
-63 ,
-49 ,
-38 ,
-25 ,
-12 ,
-4  ,
12  ,
16  ,
35  ,
44  ,
59  ,
70  ,
85  ,
90  ,
108 ,
110 ,
130 ,
133 ,
146 ,
150 ,
159 ,
169 ,
175 ,
192 ,
194 ,
210 ,
211 ,
227 ,
232 ,
256 ,
271 ,
297 ,
322 ,
345 ,
372 ,
392 ,
420 ,
446 ,
477 ,
503 ,
528 ,
547 ,
562 ,
574 ,
585 ,
591 ,
602 ,
603 ,
601 ,
596 ,
579 ,
566 ,
547 ,
531 ,
512 ,
493 ,
468 ,
442 ,
414 ,
386 ,
354 ,
327 ,
294 ,
266 ,
235 ,
204 ,
174 ,
146 ,
122 ,
102 ,
77  ,
58  ,
33  ,
11  ,
-8  ,
-31 ,
-50 ,
-66 ,
-82 ,
-97 ,
-111  ,
-125  ,
-137  ,
-143  ,
-148  ,
-148  ,
-146  ,
-141  ,
-132  ,
-120  ,
-108  ,
-97 ,
-83 ,
-76 ,
-60 ,
-50 ,
-34 ,
-20 ,
-4  ,
9 ,
18  ,
28  ,
33  ,
41  ,
56  ,
67  ,
87  ,
99  ,
114 ,
121 ,
132 ,
138 ,
146 ,
158 ,
168 ,
177 ,
188 ,
191 ,
204 ,
206 ,
223 ,
229 ,
242 ,
254 ,
262 ,
278 ,
285 ,
301 ,
309 ,
325 ,
329 ,
339 ,
339 ,
346 ,
346 ,
354 ,
353 ,
355 ,
352 ,
344 ,
341 ,
336 ,
336 ,
332 ,
337 ,
335 ,
340 ,
343 ,
346 ,
360 ,
369 ,
389 ,
405 ,
422 ,
441 ,
459 ,
485 ,
512 ,
543 ,
573 ,
596 ,
625 ,
645 ,
670 ,
692 ,
714 ,
733 ,
744 ,
753 ,
748 ,
749 ,
741 ,
740 ,
734 ,
720 ,
708 ,
678 ,
659 ,
630 ,
607 ,
583 ,
555 ,
530 ,
495 ,
464 ,
420 ,
394 ,
352 ,
333 ,
297 ,
272 ,
239 ,
213 ,
182 ,
160 ,
131 ,
109 ,
86  ,
64  ,
45  ,
24  ,
8 ,
-9  ,
-19 ,
-30 ,
-35 ,
-41 ,
-43 ,
-43 ,
-42 ,
-41 ,
-40 ,
-42 ,
-42 ,
-46 ,
-47 ,
-52 ,
-55 ,
-57 ,
-64 ,
-70 ,
-86 ,
-101  ,
-117  ,
-132  ,
-144  ,
-154  ,
-169  ,
-177  ,
-194  ,
-202  ,
-217  ,
-222  ,
-237  ,
-232  ,
-243  ,
-244  ,
-258  ,
-264  ,
-280  ,
-287  ,
-297  ,
-310  ,
-311  ,
-330  ,
-326  ,
-341  ,
-339  ,
-342  ,
-341  ,
-334  ,
-332  ,
-332  ,
-327  ,
-324  ,
-316  ,
-304  ,
-301  ,
-291  ,
-292  ,
-292  ,
-293  ,
-291  ,
-292  ,
-282  ,
-281  ,
-275  ,
-275  ,
-276  ,
-279  ,
-276  ,
-276  ,
-267  ,
-269  ,
-264  ,
-264  ,
-263  ,
-257  ,
-254  ,
-243  ,
-231  ,
-219  ,
-199  ,
-185  ,
-161  ,
-142  ,
-113  ,
-85 ,
-60 ,
-32 ,
-9  ,
13  ,
33  ,
52  ,
64  ,
76  ,
83  ,
82  ,
91  ,
85  ,
86  ,
81  ,
75  ,
72  ,
64  ,
53  ,
47  ,
36  ,
33  ,
24  ,
18  ,
9 ,
6 ,
-3  ,
-3  ,
-2  ,
-7  ,
3 ,
-2  ,
8 ,
9 ,
17  ,
19  ,
29  ,
33  ,
37  ,
45  ,
43  ,
46  ,
44  ,
41  ,
34  ,
29  ,
14  ,
6 ,
-14 ,
-31 ,
-51 ,
-76 ,
-91 ,
-118  ,
-131  ,
-156  ,
-177  ,
-199  ,
-225  ,
-250  ,
-276  ,
-307  ,
-332  ,
-365  ,
-396  ,
-429  ,
-464  ,
-497  ,
-529  ,
-556  ,
-585  ,
-607  ,
-632  ,
-652  ,
-672  ,
-692  ,
-709  ,
-725  ,
-743  ,
-750  ,
-765  ,
-762  ,
-771  ,
-761  ,
-763  ,
-751  ,
-747  ,
-741  ,
-732  ,
-728  ,
-719  ,
-714  ,
-711  ,
-705  ,
-709  ,
-703  ,
-711  ,
-709  ,
-714  ,
-716  ,
-716  ,
-718  ,
-717  ,
-717  ,
-713  ,
-708  ,
-702  ,
-698  ,
-688  ,
-680  ,
-659  ,
-650  ,
-624  ,
-611  ,
-588  ,
-568  ,
-545  ,
-517  ,
-489  ,
-456  ,
-423  ,
-392  ,
-353  ,
-322  ,
-282  ,
-244  ,
-207  ,
-169  ,
-135  ,
-109  ,
-79 ,
-59 ,
-37 ,
-22 ,
-7  ,
1 ,
13  ,
16  ,
22  ,
25  ,
26  ,
31  ,
31  ,
36  ,
33  ,
38  ,
35  ,
43  ,
46  ,
50  ,
58  ,
59  ,
64  ,
71  ,
72  ,
85  ,
87  ,
98  ,
102 ,
110 ,
115 ,
122 ,
127 ,
131 ,
137 ,
135 ,
137 ,
129 ,
126 ,
119 ,
110 ,
106 ,
96  ,
95  ,
82  ,
77  ,
62  ,
56  ,
43  ,
39  ,
31  ,
26  ,
21  ,
16  ,
14  ,
10  ,
9 ,
4 ,
3 ,
-4  ,
-5  ,
-9  ,
-9  ,
-4  ,
-1  ,
9 ,
16  ,
31  ,
40  ,
60  ,
73  ,
95  ,
112 ,
130 ,
150 ,
164 ,
178 ,
191 ,
198 ,
212 ,
213 ,
217 ,
212 ,
208 ,
202 ,
197 ,
191 ,
185 ,
179 ,
171 ,
165 ,
157 ,
146 ,
142 ,
129 ,
119 ,
109 ,
90  ,
78  ,
61  ,
43  ,
30  ,
4 ,
-13 ,
-42 ,
-61 ,
-91 ,
-105  ,
-132  ,
-140  ,
-157  ,
-166  ,
-179  ,
-192  ,
-199  ,
-203  ,
-198  ,
-199  ,
-187  ,
-187  ,
-176  ,
-175  ,
-162  ,
-156  ,
-140  ,
-124  ,
-113  ,
-95 ,
-91 ,
-79 ,
-76 ,
-69 ,
-63 ,
-54 ,
-48 ,
-39 ,
-30 ,
-20 ,
-9  ,
1 ,
11  ,
21  ,
33  ,
38  ,
54  ,
61  ,
78  ,
92  ,
105 ,
120 ,
134 ,
147 ,
169 ,
184 ,
204 ,
216 ,
229 ,
234 ,
245 ,
242 ,
251 ,
246 ,
255 ,
249 ,
256 ,
247 ,
255 ,
251 ,
252 ,
257 ,
254 ,
256 ,
255 ,
252 ,
258 ,
254 ,
265 ,
258 ,
273 ,
273 ,
284 ,
294 ,
305 ,
317 ,
333 ,
343 ,
356 ,
365 ,
372 ,
384 ,
389 ,
400 ,
404 ,
410 ,
409 ,
411 ,
401 ,
397 ,
377 ,
364 ,
340 ,
319 ,
295 ,
269 ,
243 ,
217 ,
186 ,
161 ,
127 ,
104 ,
77  ,
55  ,
31  ,
13  ,
-15 ,
-30 ,
-59 ,
-78 ,
-101  ,
-123  ,
-146  ,
-168  ,
-190  ,
-207  ,
-224  ,
-236  ,
-249  ,
-258  ,
-263  ,
-271  ,
-265  ,
-265  ,
-258  ,
-243  ,
-237  ,
-215  ,
-206  ,
-184  ,
-170  ,
-145  ,
-128  ,
-104  ,
-87 ,
-66 ,
-51 ,
-30 ,
-16 ,
8 ,
25  ,
50  ,
72  ,
97  ,
118 ,
141 ,
161 ,
181 ,
200 ,
218 ,
229 ,
251 ,
257 ,
281 ,
286 ,
311 ,
322 ,
343 ,
360 ,
377 ,
397 ,
415 ,
435 ,
452 ,
469 ,
482 ,
497 ,
505 ,
518 ,
526 ,
535 ,
538 ,
541 ,
532 ,
533 ,
514 ,
513 ,
499 ,
497 ,
483 ,
477 ,
460 ,
455 ,
444 ,
444 ,
440 ,
441 ,
441 ,
445 ,
450 ,
455 ,
467 ,
476 ,
493 ,
506 ,
521 ,
540 ,
552 ,
575 ,
590 ,
607 ,
627 ,
630 ,
646 ,
647 ,
654 ,
657 ,
658 ,
659 ,
656 ,
649 ,
643 ,
627 ,
617 ,
597 ,
582 ,
559 ,
538 ,
510 ,
484 ,
455 ,
422 ,
393 ,
352 ,
320 ,
277 ,
249 ,
207 ,
182 ,
146 ,
119 ,
88  ,
61  ,
29  ,
8 ,
-15 ,
-27 ,
-38 ,
-45 ,
-55 ,
-60 ,
-68 ,
-71 ,
-73 ,
-73 ,
-73 ,
-75 ,
-71 ,
-77 ,
-73 ,
-78 ,
-75 ,
-74 ,
-72 ,
-70 ,
-71 ,
-74 ,
-76 ,
-80 ,
-80 ,
-84 ,
-85 ,
-91 ,
-92 ,
-95 ,
-90 ,
-88 ,
-79 ,
-76 ,
-69 ,
-70 ,
-65 ,
-72 ,
-65 ,
-73 ,
-68 ,
-82 ,
-86 ,
-100  ,
-111  ,
-122  ,
-129  ,
-136  ,
-136  ,
-139  ,
-142  ,
-140  ,
-139  ,
-136  ,
-126  ,
-116  ,
-113  ,
-102  ,
-105  ,
-98 ,
-94 ,
-91 ,
-83 ,
-85 ,
-82 ,
-88 ,
-93 ,
-102  ,
-109  ,
-120  ,
-128  ,
-139  ,
-147  ,
-157  ,
-165  ,
-173  ,
-174  ,
-179  ,
-178  ,
-184  ,
-185  ,
-189  ,
-193  ,
-186  ,
-187  ,
-172  ,
-167  ,
-153  ,
-145  ,
-134  ,
-122  ,
-109  ,
-92 ,
-83 ,
-65 ,
-66 ,
-54 ,
-54 ,
-49 ,
-46 ,
-42 ,
-42 ,
-36 ,
-38 ,
-39 ,
-39 ,
-46 ,
-50 ,
-55 ,
-65 ,
-75 ,
-87 ,
-103  ,
-114  ,
-129  ,
-143  ,
-152  ,
-167  ,
-171  ,
-181  ,
-182  ,
-177  ,
-175  ,
-163  ,
-155  ,
-147  ,
-136  ,
-130  ,
-121  ,
-108  ,
-105  ,
-93 ,
-91 ,
-87 ,
-88 ,
-90 ,
-100  ,
-98 ,
-110  ,
-107  ,
-119  ,
-120  ,
-127  ,
-130  ,
-138  ,
-142  ,
-150  ,
-164  ,
-171  ,
-194  ,
-209  ,
-232  ,
-256  ,
-275  ,
-300  ,
-324  ,
-349  ,
-374  ,
-397  ,
-417  ,
-437  ,
-451  ,
-464  ,
-476  ,
-484  ,
-494  ,
-501  ,
-505  ,
-513  ,
-512  ,
-516  ,
-518  ,
-519  ,
-520  ,
-518  ,
-520  ,
-517  ,
-521  ,
-516  ,
-517  ,
-511  ,
-510  ,
-507  ,
-509  ,
-510  ,
-517  ,
-517  ,
-524  ,
-525  ,
-532  ,
-538  ,
-548  ,
-558  ,
-570  ,
-576  ,
-588  ,
-589  ,
-598  ,
-595  ,
-600  ,
-598  ,
-592  ,
-591  ,
-580  ,
-571  ,
-559  ,
-540  ,
-526  ,
-506  ,
-488  ,
-464  ,
-448  ,
-421  ,
-403  ,
-378  ,
-354  ,
-330  ,
-307  ,
-289  ,
-272  ,
-259  ,
-247  ,
-233  ,
-229  ,
-215  ,
-217  ,
-212  ,
-212  ,
-213  ,
-209  ,
-208  ,
-202  ,
-198  ,
-197  ,
-195  ,
-197  ,
-192  ,
-191  ,
-182  ,
-182  ,
-173  ,
-175  ,
-170  ,
-165  ,
-165  ,
-153  ,
-149  ,
-137  ,
-129  ,
-122  ,
-114  ,
-110  ,
-101  ,
-93 ,
-86 ,
-81 ,
-77 ,
-78 ,
-69 ,
-75 ,
-67 ,
-70 ,
-69 ,
-68 ,
-64 ,
-70 ,
-62 ,
-71 ,
-70 ,
-73 ,
-76 ,
-77 ,
-75 ,
-77 ,
-76 ,
-71 ,
-74 ,
-65 ,
-69 ,
-64 ,
-55 ,
-52 ,
-32 ,
-20 ,
-2  ,
21  ,
39  ,
63  ,
85  ,
111 ,
137 ,
167 ,
191 ,
217 ,
239 ,
260 ,
276 ,
295 ,
308 ,
323 ,
332 ,
341 ,
345 ,
351 ,
349 ,
358 ,
358 ,
371 ,
369 ,
374 ,
368 ,
363 ,
351 ,
343 ,
331 ,
321 ,
306 ,
285 ,
264 ,
234 ,
213 ,
181 ,
162 ,
134 ,
110 ,
83  ,
51  ,
28  ,
1 ,
-20 ,
-35 ,
-56 ,
-70 ,
-87 ,
-103  ,
-117  ,
-130  ,
-148  ,
-154  ,
-175  ,
-180  ,
-195  ,
-201  ,
-205  ,
-210  ,
-210  ,
-214  ,
-221  ,
-226  ,
-237  ,
-235  ,
-244  ,
-236  ,
-240  ,
-238  ,
-236  ,
-237  ,
-231  ,
-225  ,
-220  ,
-205  ,
-202  ,
-194  ,
-190  ,
-185  ,
-174  ,
-160  ,
-148  ,
-131  ,
-124  ,
-112  ,
-106  ,
-96 ,
-84 ,
-72 ,
-58 ,
-46 ,
-32 ,
-22 ,
-9  ,
3 ,
18  ,
33  ,
51  ,
56  ,
69  ,
73  ,
82  ,
87  ,
97  ,
102 ,
111 ,
120 ,
122 ,
131 ,
138 ,
151 ,
168 ,
190 ,
211 ,
238 ,
257 ,
287 ,
307 ,
340 ,
363 ,
390 ,
415 ,
435 ,
455 ,
470 ,
487 ,
500 ,
514 ,
527 ,
535 ,
543 ,
547 ,
549 ,
554 ,
552 ,
553 ,
544 ,
540 ,
525 ,
515 ,
501 ,
488 ,
475 ,
456 ,
437 ,
416 ,
387 ,
368 ,
342 ,
320 ,
300 ,
268 ,
244 ,
209 ,
182 ,
153 ,
129 ,
104 ,
88  ,
63  ,
47  ,
23  ,
7 ,
-7  ,
-19 ,
-25 ,
-34 ,
-37 ,
-46 ,
-44 ,
-49 ,
-38 ,
-32 ,
-23 ,
-15 ,
-13 ,
-10 ,
-5  ,
-5  ,
7 ,
5 ,
18  ,
19  ,
23  ,
33  ,
32  ,
50  ,
53  ,
65  ,
74  ,
79  ,
87  ,
96  ,
107 ,
120 ,
137 ,
151 ,
165 ,
181 ,
196 ,
216 ,
235 ,
256 ,
273 ,
292 ,
305 ,
320 ,
332 ,
344 ,
353 ,
362 ,
362 ,
362 ,
357 ,
351 ,
344 ,
339 ,
331 ,
324 ,
318 ,
306 ,
301 ,
291 ,
284 ,
284 ,
277 ,
280 ,
274 ,
278 ,
280 ,
279 ,
296 ,
295 ,
321 ,
329 ,
350 ,
372 ,
389 ,
420 ,
449 ,
482 ,
521 ,
547 ,
580 ,
604 ,
630 ,
649 ,
676 ,
691 ,
712 ,
722 ,
732 ,
735 ,
742 ,
743 ,
747 ,
753 ,
750 ,
751 ,
739 ,
734 ,
717 ,
708 ,
685 ,
663 ,
638 ,
603 ,
576 ,
537 ,
511 ,
473 ,
449 ,
413 ,
392 ,
358 ,
341 ,
314 ,
306 ,
282 ,
277 ,
258 ,
250 ,
236 ,
228 ,
220 ,
208 ,
201 ,
181 ,
173 ,
149 ,
140 ,
118 ,
114 ,
93  ,
87  ,
68  ,
55  ,
42  ,
28  ,
23  ,
10  ,
4 ,
-9  ,
-20 ,
-37 ,
-49 ,
-62 ,
-76 ,
-84 ,
-103  ,
-114  ,
-132  ,
-147  ,
-161  ,
-176  ,
-186  ,
-204  ,
-215  ,
-237  ,
-251  ,
-268  ,
-281  ,
-288  ,
-297  ,
-302  ,
-306  ,
-310  ,
-314  ,
-311  ,
-310  ,
-298  ,
-295  ,
-280  ,
-281  ,
-269  ,
-270  ,
-265  ,
-267  ,
-267  ,
-268  ,
-273  ,
-278  ,
-287  ,
-296  ,
-309  ,
-316  ,
-334  ,
-342  ,
-359  ,
-365  ,
-374  ,
-381  ,
-384  ,
-387  ,
-389  ,
-381  ,
-387  ,
-374  ,
-373  ,
-359  ,
-347  ,
-332  ,
-321  ,
-307  ,
-295  ,
-285  ,
-267  ,
-252  ,
-231  ,
-208  ,
-187  ,
-169  ,
-154  ,
-140  ,
-128  ,
-112  ,
-97 ,
-83 ,
-66 ,
-58 ,
-41 ,
-40 ,
-25 ,
-24 ,
-11 ,
-9  ,
-4  ,
-6  ,
-7  ,
-11 ,
-15 ,
-16 ,
-22 ,
-21 ,
-33 ,
-29 ,
-43 ,
-33 ,
-36 ,
-25 ,
-14 ,
-14 ,
0 ,
-3  ,
8 ,
15  ,
25  ,
36  ,
42  ,
45  ,
44  ,
42  ,
40  ,
37  ,
35  ,
30  ,
25  ,
18  ,
11  ,
1 ,
-9  ,
-17 ,
-33 ,
-48 ,
-67 ,
-97 ,
-117  ,
-149  ,
-174  ,
-203  ,
-234  ,
-271  ,
-306  ,
-344  ,
-380  ,
-410  ,
-440  ,
-464  ,
-489  ,
-516  ,
-540  ,
-564  ,
-585  ,
-599  ,
-617  ,
-626  ,
-639  ,
-651  ,
-663  ,
-670  ,
-682  ,
-674  ,
-676  ,
-664  ,
-660  ,
-654  ,
-650  ,
-648  ,
-642  ,
-638  ,
-632  ,
-634  ,
-633  ,
-644  ,
-652  ,
-663  ,
-676  ,
-682  ,
-697  ,
-704  ,
-721  ,
-728  ,
-746  ,
-752  ,
-759  ,
-764  ,
-760  ,
-765  ,
-756  ,
-756  ,
-746  ,
-734  ,
-720  ,
-698  ,
-680  ,
-654  ,
-632  ,
-606  ,
-583  ,
-556  ,
-526  ,
-501  ,
-470  ,
-446  ,
-421  ,
-395  ,
-377  ,
-349  ,
-330  ,
-308  ,
-292  ,
-281  ,
-267  ,
-261  ,
-248  ,
-240  ,
-230  ,
-216  ,
-211  ,
-200  ,
-194  ,
-182  ,
-171  ,
-153  ,
-144  ,
-126  ,
-122  ,
-107  ,
-101  ,
-81 ,
-67 ,
-45 ,
-30 ,
-15 ,
-2  ,
10  ,
25  ,
38  ,
58  ,
70  ,
88  ,
94  ,
104 ,
102 ,
110 ,
108 ,
118 ,
112 ,
113 ,
107 ,
101 ,
99  ,
92  ,
86  ,
82  ,
67  ,
60  ,
41  ,
27  ,
15  ,
0 ,
-6  ,
-18 ,
-28 ,
-37 ,
-47 ,
-49 ,
-57 ,
-50 ,
-53 ,
-41 ,
-33 ,
-28 ,
-6  ,
-6  ,
22  ,
29  ,
56  ,
65  ,
88  ,
93  ,
113 ,
123 ,
139 ,
157 ,
170 ,
187 ,
204 ,
219 ,
241 ,
259 ,
277 ,
298 ,
311 ,
326 ,
332 ,
342 ,
341 ,
350 ,
344 ,
341 ,
328 ,
312 ,
294 ,
275 ,
257 ,
237 ,
220 ,
198 ,
174 ,
151 ,
119 ,
97  ,
71  ,
52  ,
29  ,
12  ,
-13 ,
-27 ,
-50 ,
-59 ,
-75 ,
-84 ,
-90 ,
-104  ,
-102  ,
-115  ,
-112  ,
-122  ,
-120  ,
-122  ,
-123  ,
-125  ,
-130  ,
-137  ,
-141  ,
-153  ,
-153  ,
-164  ,
-161  ,
-170  ,
-169  ,
-169  ,
-165  ,
-157  ,
-146  ,
-131  ,
-118  ,
-103  ,
-92 ,
-79 ,
-65 ,
-49 ,
-35 ,
-18 ,
-2  ,
8 ,
23  ,
36  ,
46  ,
65  ,
76  ,
92  ,
106 ,
121 ,
137 ,
156 ,
176 ,
189 ,
210 ,
212 ,
225 ,
225 ,
233 ,
236 ,
244 ,
244 ,
245 ,
245 ,
241 ,
248 ,
241 ,
255 ,
255 ,
265 ,
270 ,
277 ,
280 ,
296 ,
301 ,
321 ,
331 ,
345 ,
355 ,
360 ,
372 ,
374 ,
387 ,
392 ,
400 ,
403 ,
404 ,
402 ,
407 ,
403 ,
410 ,
406 ,
409 ,
402 ,
400 ,
395 ,
392 ,
388 ,
385 ,
379 ,
373 ,
360 ,
352 ,
337 ,
327 ,
312 ,
297 ,
277 ,
257 ,
231 ,
202 ,
179 ,
145 ,
129 ,
95  ,
80  ,
48  ,
27  ,
3 ,
-16 ,
-34 ,
-47 ,
-63 ,
-76 ,
-86 ,
-95 ,
-104  ,
-103  ,
-108  ,
-105  ,
-105  ,
-102  ,
-91 ,
-85 ,
-67 ,
-57 ,
-42 ,
-30 ,
-24 ,
-14 ,
-9  ,
3 ,
9 ,
22  ,
27  ,
37  ,
43  ,
48  ,
56  ,
68  ,
78  ,
96  ,
111 ,
129 ,
150 ,
172 ,
196 ,
224 ,
250 ,
280 ,
303 ,
333 ,
349 ,
374 ,
384 ,
407 ,
409 ,
430 ,
424 ,
441 ,
433 ,
443 ,
439 ,
448 ,
439 ,
446 ,
434 ,
436 ,
429 ,
424 ,
420 ,
417 ,
412 ,
406 ,
399 ,
389 ,
379 ,
373 ,
366 ,
366 ,
365 ,
368 ,
369 ,
375 ,
380 ,
387 ,
395 ,
407 ,
418 ,
436 ,
447 ,
469 ,
477 ,
500 ,
511 ,
527 ,
539 ,
547 ,
557 ,
560 ,
571 ,
568 ,
577 ,
572 ,
573 ,
562 ,
556 ,
539 ,
527 ,
509 ,
488 ,
469 ,
441 ,
419 ,
385 ,
365 ,
332 ,
317 ,
290 ,
278 ,
254 ,
245 ,
221 ,
214 ,
203 ,
195 ,
191 ,
181 ,
175 ,
162 ,
155 ,
139 ,
137 ,
119 ,
113 ,
99  ,
85  ,
75  ,
60  ,
48  ,
46  ,
33  ,
34  ,
24  ,
20  ,
15  ,
16  ,
14  ,
15  ,
18  ,
11  ,
11  ,
0 ,
-6  ,
-14 ,
-21 ,
-36 ,
-42 ,
-65 ,
-77 ,
-98 ,
-116  ,
-128  ,
-147  ,
-158  ,
-178  ,
-191  ,
-208  ,
-218  ,
-223  ,
-227  ,
-223  ,
-225  ,
-220  ,
-219  ,
-212  ,
-203  ,
-188  ,
-178  ,
-161  ,
-156  ,
-146  ,
-147  ,
-136  ,
-138  ,
-122  ,
-125  ,
-116  ,
-119  ,
-121  ,
-128  ,
-132  ,
-132  ,
-136  ,
-134  ,
-143  ,
-145  ,
-158  ,
-160  ,
-168  ,
-167  ,
-174  ,
-174  ,
-186  ,
-188  ,
-196  ,
-193  ,
-196  ,
-188  ,
-191  ,
-189  ,
-191  ,
-193  ,
-186  ,
-184  ,
-173  ,
-171  ,
-165  ,
-165  ,
-164  ,
-163  ,
-157  ,
-154  ,
-142  ,
-141  ,
-135  ,
-140  ,
-139  ,
-144  ,
-138  ,
-142  ,
-140  ,
-143  ,
-152  ,
-159  ,
-173  ,
-179  ,
-188  ,
-190  ,
-196  ,
-198  ,
-205  ,
-205  ,
-207  ,
-198  ,
-193  ,
-180  ,
-175  ,
-165  ,
-159  ,
-151  ,
-137  ,
-126  ,
-111  ,
-100  ,
-90 ,
-88 ,
-81 ,
-79 ,
-71 ,
-60 ,
-62 ,
-50 ,
-58 ,
-55 ,
-60 ,
-57 ,
-61 ,
-54 ,
-61 ,
-60 ,
-68 ,
-79 ,
-88 ,
-104  ,
-111  ,
-131  ,
-145  ,
-175  ,
-195  ,
-228  ,
-251  ,
-275  ,
-301  ,
-321  ,
-353  ,
-375  ,
-407  ,
-424  ,
-450  ,
-460  ,
-478  ,
-487  ,
-507  ,
-513  ,
-532  ,
-531  ,
-537  ,
-532  ,
-530  ,
-525  ,
-519  ,
-517  ,
-505  ,
-504  ,
-487  ,
-483  ,
-469  ,
-472  ,
-464  ,
-472  ,
-471  ,
-472  ,
-480  ,
-476  ,
-494  ,
-496  ,
-516  ,
-518  ,
-534  ,
-532  ,
-545  ,
-544  ,
-555  ,
-556  ,
-563  ,
-559  ,
-553  ,
-546  ,
-534  ,
-531  ,
-520  ,
-518  ,
-505  ,
-495  ,
-476  ,
-467  ,
-447  ,
-440  ,
-422  ,
-417  ,
-401  ,
-390  ,
-374  ,
-363  ,
-353  ,
-350  ,
-343  ,
-346  ,
-335  ,
-337  ,
-326  ,
-328  ,
-325  ,
-326  ,
-329  ,
-330  ,
-328  ,
-330  ,
-327  ,
-328  ,
-332  ,
-331  ,
-335  ,
-327  ,
-321  ,
-310  ,
-298  ,
-289  ,
-277  ,
-262  ,
-245  ,
-221  ,
-193  ,
-167  ,
-136  ,
-113  ,
-92 ,
-69 ,
-55 ,
-33 ,
-20 ,
-11 ,
-1  ,
-2  ,
-1  ,
-2  ,
-5  ,
-9  ,
-13 ,
-23 ,
-33 ,
-44 ,
-55 ,
-60 ,
-68 ,
-69 ,
-76 ,
-82 ,
-90 ,
-93 ,
-98 ,
-93 ,
-91 ,
-85 ,
-83 ,
-78 ,
-76 ,
-73 ,
-58 ,
-53 ,
-31 ,
-19 ,
-5  ,
9 ,
21  ,
34  ,
54  ,
69  ,
93  ,
113 ,
131 ,
154 ,
164 ,
194 ,
206 ,
239 ,
263 ,
285 ,
310 ,
328 ,
348 ,
368 ,
389 ,
404 ,
423 ,
426 ,
439 ,
432 ,
439 ,
430 ,
429 ,
422 ,
410 ,
396 ,
380 ,
360 ,
347 ,
327 ,
316 ,
297 ,
279 ,
260 ,
239 ,
223 ,
205 ,
190 ,
176 ,
157 ,
138 ,
118 ,
97  ,
81  ,
62  ,
47  ,
27  ,
3 ,
-15 ,
-44 ,
-57 ,
-82 ,
-94 ,
-114  ,
-129  ,
-145  ,
-161  ,
-168  ,
-179  ,
-181  ,
-190  ,
-194  ,
-202  ,
-209  ,
-213  ,
-217  ,
-214  ,
-211  ,
-207  ,
-201  ,
-198  ,
-188  ,
-181  ,
-168  ,
-153  ,
-137  ,
-119  ,
-101  ,
-80 ,
-64 ,
-36 ,
-21 ,
10  ,
26  ,
53  ,
65  ,
85  ,
95  ,
107 ,
116 ,
123 ,
122 ,
132 ,
122 ,
132 ,
128 ,
134 ,
143 ,
148 ,
164 ,
169 ,
185 ,
197 ,
211 ,
230 ,
243 ,
260 ,
271 ,
287 ,
293 ,
312 ,
319 ,
338 ,
345 ,
362 ,
373 ,
385 ,
399 ,
407 ,
420 ,
428 ,
439 ,
444 ,
456 ,
455 ,
469 ,
468 ,
478 ,
481 ,
484 ,
491 ,
487 ,
488 ,
486 ,
478 ,
479 ,
462 ,
457 ,
440 ,
426 ,
411 ,
392 ,
377 ,
357 ,
337 ,
319 ,
292 ,
271 ,
243 ,
217 ,
195 ,
172 ,
150 ,
133 ,
110 ,
96  ,
76  ,
69  ,
53  ,
54  ,
40  ,
43  ,
33  ,
32  ,
30  ,
23  ,
30  ,
21  ,
27  ,
21  ,
19  ,
17  ,
12  ,
9 ,
7 ,
3 ,
1 ,
-1  ,
-5  ,
-1  ,
0 ,
6 ,
14  ,
20  ,
27  ,
34  ,
39  ,
51  ,
61  ,
72  ,
86  ,
94  ,
110 ,
122 ,
139 ,
157 ,
177 ,
193 ,
214 ,
225 ,
246 ,
258 ,
279 ,
290 ,
310 ,
313 ,
328 ,
326 ,
340 ,
335 ,
347 ,
341 ,
345 ,
339 ,
328 ,
323 ,
310 ,
303 ,
292 ,
281 ,
268 ,
259 ,
243 ,
240 ,
230 ,
230 ,
232 ,
234 ,
243 ,
249 ,
261 ,
275 ,
294 ,
312 ,
341 ,
355 ,
390 ,
406 ,
438 ,
462 ,
496 ,
519 ,
551 ,
568 ,
587 ,
603 ,
611 ,
621 ,
627 ,
630 ,
628 ,
624 ,
612 ,
604 ,
586 ,
581 ,
560 ,
556 ,
535 ,
521 ,
503 ,
482 ,
466 ,
450 ,
440 ,
425 ,
416 ,
403 ,
389 ,
385 ,
367 ,
363 ,
350 ,
341 ,
327 ,
313 ,
298 ,
288 ,
274 ,
269 ,
252 ,
246 ,
228 ,
218 ,
209 ,
200 ,
199 ,
191 ,
188 ,
178 ,
169 ,
160 ,
150 ,
145 ,
134 ,
126 ,
112 ,
94  ,
76  ,
53  ,
35  ,
16  ,
-7  ,
-30 ,
-60 ,
-89 ,
-120  ,
-150  ,
-173  ,
-197  ,
-215  ,
-236  ,
-256  ,
-270  ,
-286  ,
-287  ,
-293  ,
-286  ,
-282  ,
-283  ,
-269  ,
-277  ,
-258  ,
-259  ,
-244  ,
-241  ,
-235  ,
-237  ,
-233  ,
-237  ,
-231  ,
-232  ,
-227  ,
-227  ,
-227  ,
-232  ,
-236  ,
-239  ,
-241  ,
-243  ,
-247  ,
-252  ,
-264  ,
-266  ,
-281  ,
-279  ,
-287  ,
-292  ,
-295  ,
-308  ,
-310  ,
-319  ,
-320  ,
-322  ,
-316  ,
-318  ,
-310  ,
-314  ,
-304  ,
-299  ,
-281  ,
-270  ,
-252  ,
-240  ,
-226  ,
-220  ,
-202  ,
-200  ,
-179  ,
-174  ,
-165  ,
-158  ,
-157  ,
-154  ,
-149  ,
-148  ,
-140  ,
-135  ,
-134  ,
-131  ,
-129  ,
-129  ,
-120  ,
-118  ,
-110  ,
-109  ,
-101  ,
-105  ,
-96 ,
-96 ,
-82 ,
-73 ,
-59 ,
-45 ,
-38 ,
-22 ,
-17 ,
4 ,
12  ,
32  ,
39  ,
56  ,
62  ,
77  ,
85  ,
103 ,
110 ,
125 ,
124 ,
132 ,
127 ,
126 ,
123 ,
116 ,
114 ,
99  ,
89  ,
67  ,
50  ,
28  ,
6 ,
-13 ,
-41 ,
-65 ,
-100  ,
-133  ,
-169  ,
-200  ,
-236  ,
-264  ,
-302  ,
-334  ,
-374  ,
-408  ,
-439  ,
-469  ,
-485  ,
-506  ,
-518  ,
-535  ,
-542  ,
-559  ,
-553  ,
-562  ,
-552  ,
-547  ,
-545  ,
-537  ,
-537  ,
-533  ,
-528  ,
-524  ,
-517  ,
-518  ,
-517  ,
-522  ,
-526  ,
-529  ,
-532  ,
-533  ,
-539  ,
-544  ,
-554  ,
-563  ,
-565  ,
-575  ,
-575  ,
-583  ,
-585  ,
-596  ,
-604  ,
-612  ,
-616  ,
-616  ,
-614  ,
-614  ,
-613  ,
-609  ,
-610  ,
-598  ,
-587  ,
-572  ,
-549  ,
-538  ,
-519  ,
-507  ,
-495  ,
-476  ,
-462  ,
-443  ,
-427  ,
-413  ,
-402  ,
-390  ,
-382  ,
-368  ,
-355  ,
-344  ,
-334  ,
-331  ,
-325  ,
-324  ,
-318  ,
-311  ,
-304  ,
-291  ,
-289  ,
-281  ,
-277  ,
-272  ,
-259  ,
-251  ,
-236  ,
-221  ,
-209  ,
-191  ,
-175  ,
-154  ,
-127  ,
-102  ,
-75 ,
-44 ,
-17 ,
8 ,
40  ,
53  ,
88  ,
99  ,
120 ,
129 ,
132 ,
140 ,
134 ,
137 ,
129 ,
122 ,
112 ,
96  ,
82  ,
65  ,
54  ,
43  ,
37  ,
30  ,
20  ,
17  ,
5 ,
6 ,
3 ,
-2  ,
2 ,
-9  ,
-10 ,
-18 ,
-25 ,
-23 ,
-27 ,
-24 ,
-26 ,
-25 ,
-26 ,
-22 ,
-17 ,
-5  ,
7 ,
24  ,
40  ,
55  ,
73  ,
95  ,
119 ,
150 ,
170 ,
205 ,
217 ,
247 ,
260 ,
284 ,
303 ,
325 ,
339 ,
356 ,
359 ,
366 ,
367 ,
371 ,
371 ,
371 ,
363 ,
358 ,
339 ,
334 ,
314 ,
306 ,
292 ,
278 ,
260 ,
250 ,
220 ,
212 ,
183 ,
171 ,
152 ,
132 ,
118 ,
91  ,
79  ,
54  ,
44  ,
22  ,
9 ,
-16 ,
-31 ,
-59 ,
-74 ,
-94 ,
-110  ,
-121  ,
-135  ,
-147  ,
-162  ,
-171  ,
-183  ,
-186  ,
-193  ,
-194  ,
-199  ,
-203  ,
-206  ,
-210  ,
-205  ,
-204  ,
-193  ,
-187  ,
-179  ,
-172  ,
-165  ,
-153  ,
-142  ,
-120  ,
-107  ,
-83 ,
-71 ,
-54 ,
-35 ,
-19 ,
6 ,
23  ,
44  ,
58  ,
73  ,
86  ,
92  ,
108 ,
107 ,
124 ,
124 ,
131 ,
135 ,
139 ,
147 ,
159 ,
168 ,
182 ,
187 ,
200 ,
209 ,
218 ,
234 ,
242 ,
260 ,
273 ,
284 ,
295 ,
297 ,
307 ,
307 ,
317 ,
321 ,
324 ,
328 ,
326 ,
331 ,
331 ,
332 ,
340 ,
336 ,
349 ,
337 ,
348 ,
339 ,
352 ,
350 ,
359 ,
358 ,
358 ,
356 ,
353 ,
353 ,
351 ,
348 ,
343 ,
335 ,
325 ,
310 ,
298 ,
282 ,
271 ,
254 ,
236 ,
210 ,
185 ,
157 ,
132 ,
111 ,
88  ,
68  ,
51  ,
33  ,
20  ,
10  ,
2 ,
-3  ,
-3  ,
-10 ,
-7  ,
-20 ,
-15 ,
-28 ,
-23 ,
-31 ,
-33 ,
-40 ,
-45 ,
-53 ,
-61 ,
-64 ,
-72 ,
-73 ,
-75 ,
-80 ,
-75 ,
-79 ,
-71 ,
-63 ,
-53 ,
-38 ,
-28 ,
-16 ,
0 ,
9 ,
30  ,
44  ,
61  ,
83  ,
94  ,
114 ,
126 ,
140 ,
156 ,
174 ,
186 ,
207 ,
213 ,
232 ,
238 ,
252 ,
265 ,
276 ,
288 ,
298 ,
301 ,
308 ,
307 ,
317 ,
316 ,
322 ,
323 ,
316 ,
315 ,
299 ,
292 ,
278 ,
269 ,
258 ,
248 ,
235 ,
224 ,
215 ,
207 ,
208 ,
208 ,
215 ,
221 ,
230 ,
241 ,
254 ,
274 ,
292 ,
318 ,
342 ,
365 ,
388 ,
407 ,
431 ,
446 ,
472 ,
480 ,
499 ,
501 ,
508 ,
504 ,
508 ,
500 ,
502 ,
492 ,
482 ,
472 ,
456 ,
445 ,
433 ,
424 ,
415 ,
408 ,
396 ,
389 ,
375 ,
374 ,
361 ,
364 ,
351 ,
350 ,
331 ,
328 ,
302 ,
298 ,
276 ,
265 ,
249 ,
233 ,
219 ,
206 ,
192 ,
190 ,
178 ,
180 ,
173 ,
170 ,
172 ,
168 ,
169 ,
168 ,
167 ,
163 ,
158 ,
144 ,
135 ,
119 ,
106 ,
92  ,
74  ,
57  ,
32  ,
12  ,
-12 ,
-32 ,
-54 ,
-71 ,
-92 ,
-107  ,
-123  ,
-144  ,
-152  ,
-168  ,
-173  ,
-180  ,
-186  ,
-190  ,
-192  ,
-194  ,
-196  ,
-189  ,
-190  ,
-181  ,
-182  ,
-176  ,
-177  ,
-174  ,
-171  ,
-173  ,
-166  ,
-168  ,
-167  ,
-166  ,
-169  ,
-171  ,
-165  ,
-169  ,
-159  ,
-158  ,
-157  ,
-149  ,
-155  ,
-150  ,
-152  ,
-152  ,
-157  ,
-161  ,
-177  ,
-181  ,
-201  ,
-203  ,
-218  ,
-221  ,
-231  ,
-233  ,
-239  ,
-236  ,
-235  ,
-226  ,
-215  ,
-207  ,
-190  ,
-181  ,
-168  ,
-151  ,
-143  ,
-124  ,
-118  ,
-108  ,
-104  ,
-101  ,
-102  ,
-106  ,
-104  ,
-112  ,
-114  ,
-121  ,
-130  ,
-137  ,
-145  ,
-154  ,
-152  ,
-162  ,
-157  ,
-160  ,
-158  ,
-153  ,
-150  ,
-142  ,
-136  ,
-127  ,
-124  ,
-108  ,
-103  ,
-86 ,
-79 ,
-64 ,
-59 ,
-47 ,
-43 ,
-36 ,
-28 ,
-22 ,
-14 ,
-5  ,
2 ,
8 ,
14  ,
17  ,
27  ,
32  ,
45  ,
49  ,
62  ,
65  ,
73  ,
77  ,
79  ,
79  ,
75  ,
64  ,
55  ,
32  ,
17  ,
-12 ,
-30 ,
-65 ,
-88 ,
-125  ,
-156  ,
-189  ,
-221  ,
-251  ,
-278  ,
-303  ,
-331  ,
-349  ,
-374  ,
-384  ,
-399  ,
-403  ,
-408  ,
-407  ,
-408  ,
-407  ,
-408  ,
-405  ,
-411  ,
-405  ,
-410  ,
-404  ,
-406  ,
-404  ,
-405  ,
-403  ,
-409  ,
-410  ,
-417  ,
-419  ,
-426  ,
-430  ,
-435  ,
-440  ,
-442  ,
-445  ,
-450  ,
-453  ,
-456  ,
-464  ,
-464  ,
-474  ,
-474  ,
-483  ,
-490  ,
-496  ,
-506  ,
-506  ,
-509  ,
-505  ,
-500  ,
-492  ,
-489  ,
-476  ,
-473  ,
-456  ,
-448  ,
-426  ,
-417  ,
-399  ,
-387  ,
-379  ,
-366  ,
-359  ,
-350  ,
-342  ,
-335  ,
-333  ,
-334  ,
-336  ,
-342  ,
-346  ,
-345  ,
-354  ,
-351  ,
-363  ,
-366  ,
-375  ,
-382  ,
-382  ,
-389  ,
-382  ,
-384  ,
-381  ,
-374  ,
-367  ,
-354  ,
-330  ,
-311  ,
-278  ,
-255  ,
-226  ,
-202  ,
-173  ,
-149  ,
-118  ,
-98 ,
-71 ,
-58 ,
-41 ,
-30 ,
-23 ,
-15 ,
-8  ,
-7  ,
-1  ,
-3  ,
0 ,
2 ,
4 ,
6 ,
3 ,
1 ,
-5  ,
-11 ,
-19 ,
-23 ,
-34 ,
-38 ,
-48 ,
-59 ,
-68 ,
-84 ,
-91 ,
-98 ,
-106  ,
-106  ,
-114  ,
-117  ,
-125  ,
-123  ,
-128  ,
-114  ,
-111  ,
-95 ,
-86 ,
-71 ,
-60 ,
-44 ,
-24 ,
-10 ,
22  ,
39  ,
64  ,
90  ,
108 ,
139 ,
158 ,
187 ,
209 ,
231 ,
252 ,
263 ,
280 ,
286 ,
300 ,
307 ,
314 ,
319 ,
321 ,
322 ,
323 ,
323 ,
324 ,
331 ,
330 ,
332 ,
330 ,
320 ,
316 ,
301 ,
292 ,
279 ,
263 ,
250 ,
226 ,
212 ,
182 ,
170 ,
143 ,
126 ,
106 ,
85  ,
72  ,
53  ,
42  ,
23  ,
7 ,
-11 ,
-33 ,
-49 ,
-73 ,
-86 ,
-108  ,
-128  ,
-147  ,
-175  ,
-193  ,
-219  ,
-236  ,
-252  ,
-268  ,
-273  ,
-291  ,
-290  ,
-301  ,
-298  ,
-294  ,
-290  ,
-273  ,
-267  ,
-248  ,
-237  ,
-219  ,
-201  ,
-182  ,
-160  ,
-141  ,
-123  ,
-101  ,
-94 ,
-72 ,
-68 ,
-53 ,
-49 ,
-40 ,
-40 ,
-31 ,
-30 ,
-23 ,
-15 ,
-11 ,
4 ,
11  ,
28  ,
43  ,
55  ,
81  ,
89  ,
114 ,
128 ,
142 ,
158 ,
170 ,
178 ,
191 ,
198 ,
205 ,
219 ,
217 ,
235 ,
233 ,
247 ,
251 ,
255 ,
262 ,
264 ,
274 ,
276 ,
292 ,
295 ,
310 ,
317 ,
324 ,
337 ,
339 ,
351 ,
360 ,
362 ,
371 ,
372 ,
371 ,
373 ,
366 ,
363 ,
360 ,
349 ,
343 ,
326 ,
311 ,
291 ,
267 ,
252 ,
226 ,
213 ,
191 ,
178 ,
164 ,
150 ,
142 ,
133 ,
127 ,
124 ,
113 ,
116 ,
102 ,
102 ,
88  ,
82  ,
66  ,
57  ,
39  ,
30  ,
17  ,
9 ,
0 ,
-7  ,
-11 ,
-18 ,
-12 ,
-19 ,
-7  ,
-11 ,
-3  ,
-1  ,
0 ,
3 ,
0 ,
3 ,
-1  ,
4 ,
-6  ,
0 ,
-13 ,
-1  ,
-10 ,
4 ,
4 ,
17  ,
25  ,
39  ,
47  ,
68  ,
80  ,
110 ,
127 ,
155 ,
175 ,
196 ,
216 ,
235 ,
257 ,
275 ,
291 ,
308 ,
313 ,
323 ,
320 ,
323 ,
319 ,
314 ,
311 ,
296 ,
288 ,
268 ,
255 ,
237 ,
223 ,
205 ,
195 ,
183 ,
177 ,
178 ,
171 ,
184 ,
182 ,
192 ,
203 ,
212 ,
230 ,
247 ,
269 ,
294 ,
317 ,
339 ,
358 ,
378 ,
392 ,
412 ,
425 ,
444 ,
454 ,
470 ,
476 ,
486 ,
497 ,
498 ,
514 ,
510 ,
520 ,
517 ,
518 ,
517 ,
513 ,
514 ,
506 ,
503 ,
494 ,
481 ,
472 ,
458 ,
447 ,
440 ,
428 ,
417 ,
405 ,
387 ,
376 ,
363 ,
351 ,
344 ,
334 ,
327 ,
321 ,
313 ,
311 ,
308 ,
311 ,
310 ,
313 ,
311 ,
315 ,
308 ,
310 ,
304 ,
296 ,
293 ,
276 ,
269 ,
250 ,
236 ,
217 ,
199 ,
179 ,
159 ,
136 ,
114 ,
95  ,
74  ,
58  ,
40  ,
21  ,
1 ,
-19 ,
-39 ,
-57 ,
-75 ,
-91 ,
-106  ,
-125  ,
-139  ,
-159  ,
-172  ,
-185  ,
-197  ,
-206  ,
-211  ,
-222  ,
-221  ,
-231  ,
-227  ,
-230  ,
-222  ,
-222  ,
-211  ,
-206  ,
-194  ,
-184  ,
-173  ,
-162  ,
-158  ,
-148  ,
-154  ,
-150  ,
-156  ,
-161  ,
-166  ,
-178  ,
-194  ,
-212  ,
-230  ,
-250  ,
-267  ,
-280  ,
-296  ,
-299  ,
-310  ,
-309  ,
-311  ,
-305  ,
-298  ,
-289  ,
-278  ,
-265  ,
-253  ,
-239  ,
-225  ,
-214  ,
-202  ,
-193  ,
-189  ,
-181  ,
-180  ,
-176  ,
-171  ,
-172  ,
-169  ,
-171  ,
-173  ,
-176  ,
-173  ,
-180  ,
-166  ,
-174  ,
-163  ,
-168  ,
-164  ,
-165  ,
-160  ,
-164  ,
-151  ,
-157  ,
-138  ,
-142  ,
-126  ,
-123  ,
-111  ,
-103  ,
-91 ,
-85 ,
-73 ,
-67 ,
-56 ,
-46 ,
-41 ,
-27 ,
-27 ,
-10 ,
-11 ,
5 ,
12  ,
28  ,
43  ,
60  ,
74  ,
88  ,
98  ,
105 ,
115 ,
114 ,
122 ,
113 ,
113 ,
99  ,
83  ,
67  ,
44  ,
24  ,
2 ,
-20 ,
-49 ,
-71 ,
-106  ,
-124  ,
-155  ,
-173  ,
-201  ,
-220  ,
-251  ,
-268  ,
-302  ,
-317  ,
-342  ,
-359  ,
-378  ,
-398  ,
-415  ,
-432  ,
-442  ,
-453  ,
-457  ,
-457  ,
-464  ,
-460  ,
-466  ,
-461  ,
-460  ,
-454  ,
-444  ,
-440  ,
-429  ,
-431  ,
-425  ,
-429  ,
-422  ,
-429  ,
-421  ,
-431  ,
-430  ,
-443  ,
-449  ,
-461  ,
-471  ,
-482  ,
-497  ,
-507  ,
-523  ,
-535  ,
-540  ,
-552  ,
-546  ,
-555  ,
-546  ,
-550  ,
-541  ,
-536  ,
-526  ,
-512  ,
-498  ,
-483  ,
-468  ,
-456  ,
-446  ,
-433  ,
-421  ,
-413  ,
-399  ,
-401  ,
-392  ,
-397  ,
-394  ,
-396  ,
-394  ,
-396  ,
-395  ,
-398  ,
-402  ,
-408  ,
-411  ,
-417  ,
-414  ,
-421  ,
-419  ,
-421  ,
-421  ,
-415  ,
-408  ,
-396  ,
-381  ,
-366  ,
-348  ,
-331  ,
-306  ,
-287  ,
-257  ,
-232  ,
-204  ,
-174  ,
-153  ,
-125  ,
-104  ,
-81 ,
-52 ,
-35 ,
-7  ,
4 ,
28  ,
36  ,
53  ,
65  ,
78  ,
87  ,
99  ,
97  ,
101 ,
96  ,
90  ,
88  ,
74  ,
68  ,
51  ,
34  ,
19  ,
2 ,
-11 ,
-22 ,
-33 ,
-42 ,
-50 ,
-62 ,
-61 ,
-72 ,
-66 ,
-73 ,
-72 ,
-75 ,
-80 ,
-80 ,
-80 ,
-74 ,
-65 ,
-57 ,
-42 ,
-34 ,
-17 ,
-4  ,
15  ,
35  ,
60  ,
81  ,
107 ,
127 ,
148 ,
170 ,
188 ,
215 ,
234 ,
257 ,
275 ,
290 ,
308 ,
321 ,
338 ,
351 ,
364 ,
371 ,
378 ,
376 ,
380 ,
376 ,
372 ,
370 ,
358 ,
349 ,
331 ,
317 ,
301 ,
288 ,
275 ,
261 ,
246 ,
233 ,
212 ,
199 ,
184 ,
172 ,
164 ,
150 ,
134 ,
121 ,
96  ,
86  ,
61  ,
44  ,
21  ,
-4  ,
-30 ,
-60 ,
-86 ,
-114  ,
-133  ,
-154  ,
-173  ,
-190  ,
-210  ,
-221  ,
-236  ,
-238  ,
-245  ,
-242  ,
-241  ,
-238  ,
-230  ,
-225  ,
-209  ,
-199  ,
-182  ,
-167  ,
-156  ,
-142  ,
-134  ,
-123  ,
-108  ,
-99 ,
-80 ,
-72 ,
-54 ,
-48 ,
-33 ,
-24 ,
-11 ,
7 ,
17  ,
38  ,
48  ,
62  ,
80  ,
87  ,
109 ,
118 ,
134 ,
144 ,
155 ,
162 ,
175 ,
180 ,
190 ,
198 ,
206 ,
212 ,
220 ,
227 ,
233 ,
245 ,
247 ,
258 ,
258 ,
264 ,
268 ,
270 ,
278 ,
277 ,
283 ,
288 ,
284 ,
295 ,
288 ,
300 ,
300 ,
308 ,
308 ,
315 ,
312 ,
310 ,
309 ,
298 ,
299 ,
285 ,
285 ,
269 ,
268 ,
254 ,
249 ,
245 ,
233 ,
238 ,
222 ,
224 ,
211 ,
208 ,
197 ,
186 ,
175 ,
159 ,
145 ,
125 ,
109 ,
87  ,
71  ,
52  ,
39  ,
28  ,
13  ,
7 ,
-7  ,
-11 ,
-18 ,
-21 ,
-23 ,
-21 ,
-24 ,
-19 ,
-21 ,
-20 ,
-21 ,
-25 ,
-25 ,
-30 ,
-35 ,
-38 ,
-48 ,
-48 ,
-57 ,
-57 ,
-59 ,
-59 ,
-52 ,
-46 ,
-37 ,
-24 ,
-13 ,
1 ,
15  ,
31  ,
49  ,
65  ,
89  ,
109 ,
135 ,
157 ,
182 ,
202 ,
224 ,
249 ,
263 ,
293 ,
302 ,
322 ,
331 ,
340 ,
342 ,
347 ,
343 ,
346 ,
336 ,
337 ,
323 ,
319 ,
305 ,
298 ,
285 ,
276 ,
269 ,
261 ,
256 ,
255 ,
249 ,
252 ,
249 ,
249 ,
251 ,
254 ,
256 ,
264 ,
269 ,
280 ,
290 ,
303 ,
316 ,
331 ,
348 ,
368 ,
388 ,
409 ,
434 ,
449 ,
474 ,
483 ,
502 ,
509 ,
518 ,
520 ,
524 ,
523 ,
524 ,
521 ,
513 ,
506 ,
493 ,
479 ,
463 ,
447 ,
433 ,
419 ,
405 ,
393 ,
382 ,
373 ,
363 ,
359 ,
349 ,
356 ,
346 ,
354 ,
349 ,
351 ,
349 ,
347 ,
340 ,
341 ,
331 ,
331 ,
325 ,
322 ,
318 ,
314 ,
307 ,
303 ,
294 ,
288 ,
277 ,
273 ,
258 ,
256 ,
235 ,
228 ,
210 ,
193 ,
178 ,
158 ,
141 ,
124 ,
101 ,
87  ,
65  ,
51  ,
30  ,
15  ,
-7  ,
-22 ,
-43 ,
-58 ,
-76 ,
-93 ,
-106  ,
-126  ,
-134  ,
-153  ,
-158  ,
-170  ,
-174  ,
-182  ,
-181  ,
-184  ,
-179  ,
-173  ,
-170  ,
-157  ,
-153  ,
-140  ,
-128  ,
-126  ,
-107  ,
-113  ,
-101  ,
-105  ,
-109  ,
-110  ,
-122  ,
-127  ,
-139  ,
-150  ,
-161  ,
-174  ,
-185  ,
-193  ,
-201  ,
-201  ,
-202  ,
-199  ,
-194  ,
-191  ,
-182  ,
-181  ,
-171  ,
-167  ,
-158  ,
-155  ,
-148  ,
-145  ,
-142  ,
-139  ,
-135  ,
-130  ,
-126  ,
-115  ,
-115  ,
-102  ,
-99 ,
-92 ,
-89 ,
-85 ,
-89 ,
-83 ,
-89 ,
-84 ,
-91 ,
-91 ,
-96 ,
-104  ,
-109  ,
-121  ,
-126  ,
-134  ,
-140  ,
-141  ,
-143  ,
-141  ,
-138  ,
-134  ,
-127  ,
-117  ,
-112  ,
-95 ,
-90 ,
-70 ,
-65 ,
-47 ,
-36 ,
-25 ,
-11 ,
1 ,
12  ,
29  ,
36  ,
50  ,
58  ,
68  ,
74  ,
83  ,
84  ,
89  ,
86  ,
84  ,
80  ,
74  ,
69  ,
59  ,
51  ,
36  ,
21  ,
4 ,
-16 ,
-36 ,
-55 ,
-81 ,
-101  ,
-128  ,
-152  ,
-177  ,
-204  ,
-229  ,
-253  ,
-274  ,
-300  ,
-316  ,
-342  ,
-359  ,
-374  ,
-395  ,
-404  ,
-422  ,
-428  ,
-438  ,
-440  ,
-442  ,
-442  ,
-438  ,
-437  ,
-430  ,
-427  ,
-419  ,
-419  ,
-407  ,
-408  ,
-396  ,
-399  ,
-394  ,
-397  ,
-400  ,
-405  ,
-413  ,
-420  ,
-430  ,
-438  ,
-449  ,
-457  ,
-467  ,
-475  ,
-480  ,
-485  ,
-485  ,
-487  ,
-482  ,
-480  ,
-472  ,
-468  ,
-458  ,
-452  ,
-444  ,
-434  ,
-432  ,
-422  ,
-424  ,
-415  ,
-413  ,
-407  ,
-401  ,
-400  ,
-394  ,
-393  ,
-384  ,
-382  ,
-374  ,
-370  ,
-362  ,
-363  ,
-356  ,
-365  ,
-362  ,
-371  ,
-375  ,
-383  ,
-389  ,
-405  ,
-409  ,
-426  ,
-425  ,
-437  ,
-432  ,
-436  ,
-427  ,
-425  ,
-414  ,
-401  ,
-387  ,
-366  ,
-344  ,
-321  ,
-292  ,
-270  ,
-239  ,
-216  ,
-187  ,
-157  ,
-134  ,
-107  ,
-86 ,
-64 ,
-43 ,
-26 ,
-8  ,
4 ,
18  ,
26  ,
29  ,
36  ,
30  ,
32  ,
25  ,
17  ,
10  ,
-5  ,
-16 ,
-31 ,
-42 ,
-55 ,
-67 ,
-76 ,
-95 ,
-100  ,
-124  ,
-125  ,
-143  ,
-149  ,
-158  ,
-170  ,
-174  ,
-184  ,
-187  ,
-190  ,
-185  ,
-183  ,
-171  ,
-166  ,
-153  ,
-142  ,
-127  ,
-109  ,
-94 ,
-73 ,
-53 ,
-36 ,
-15 ,
5 ,
22  ,
47  ,
65  ,
88  ,
110 ,
130 ,
148 ,
171 ,
188 ,
214 ,
230 ,
247 ,
263 ,
271 ,
285 ,
291 ,
298 ,
307 ,
310 ,
317 ,
316 ,
318 ,
316 ,
316 ,
315 ,
312 ,
307 ,
301 ,
292 ,
285 ,
276 ,
268 ,
259 ,
248 ,
236 ,
218 ,
200 ,
177 ,
155 ,
133 ,
107 ,
85  ,
56  ,
34  ,
9 ,
-15 ,
-30 ,
-54 ,
-67 ,
-85 ,
-103  ,
-118  ,
-136  ,
-148  ,
-164  ,
-174  ,
-192  ,
-200  ,
-219  ,
-226  ,
-238  ,
-241  ,
-244  ,
-244  ,
-238  ,
-236  ,
-225  ,
-216  ,
-207  ,
-184  ,
-177  ,
-153  ,
-144  ,
-127  ,
-111  ,
-101  ,
-78 ,
-68 ,
-43 ,
-34 ,
-19 ,
-9  ,
-2  ,
9 ,
17  ,
28  ,
38  ,
47  ,
52  ,
60  ,
62  ,
74  ,
80  ,
92  ,
102 ,
113 ,
123 ,
132 ,
141 ,
150 ,
163 ,
177 ,
188 ,
198 ,
211 ,
213 ,
227 ,
230 ,
238 ,
244 ,
244 ,
251 ,
247 ,
255 ,
251 ,
258 ,
256 ,
261 ,
261 ,
261 ,
264 ,
265 ,
270 ,
270 ,
269 ,
267 ,
265 ,
258 ,
258 ,
250 ,
252 ,
249 ,
244 ,
241 ,
232 ,
224 ,
209 ,
201 ,
183 ,
171 ,
159 ,
138 ,
131 ,
111 ,
104 ,
89  ,
86  ,
69  ,
72  ,
55  ,
55  ,
45  ,
44  ,
42  ,
42  ,
42  ,
40  ,
42  ,
39  ,
35  ,
32  ,
27  ,
20  ,
12  ,
3 ,
-12 ,
-17 ,
-32 ,
-36 ,
-43 ,
-45 ,
-45 ,
-46 ,
-44 ,
-36 ,
-31 ,
-18 ,
-4  ,
6 ,
26  ,
37  ,
54  ,
68  ,
82  ,
102 ,
111 ,
137 ,
143 ,
171 ,
180 ,
207 ,
218 ,
241 ,
254 ,
270 ,
285 ,
296 ,
309 ,
319 ,
330 ,
336 ,
340 ,
339 ,
338 ,
335 ,
333 ,
324 ,
324 ,
309 ,
305 ,
289 ,
278 ,
268 ,
258 ,
249 ,
246 ,
235 ,
235 ,
228 ,
229 ,
232 ,
234 ,
245 ,
249 ,
256 ,
268 ,
273 ,
294 ,
307 ,
330 ,
345 ,
369 ,
381 ,
403 ,
415 ,
435 ,
444 ,
462 ,
465 ,
475 ,
477 ,
477 ,
483 ,
474 ,
484 ,
471 ,
474 ,
464 ,
456 ,
450 ,
433 ,
430 ,
413 ,
406 ,
393 ,
383 ,
376 ,
366 ,
365 ,
354 ,
355 ,
342 ,
345 ,
330 ,
340 ,
327 ,
338 ,
331 ,
335 ,
333 ,
330 ,
333 ,
330 ,
335 ,
333 ,
338 ,
332 ,
332 ,
322 ,
318 ,
307 ,
309 ,
296 ,
293 ,
279 ,
266 ,
248 ,
228 ,
209 ,
185 ,
170 ,
140 ,
120 ,
87  ,
65  ,
36  ,
18  ,
-8  ,
-27 ,
-46 ,
-66 ,
-84 ,
-99 ,
-114  ,
-126  ,
-138  ,
-147  ,
-159  ,
-166  ,
-172  ,
-178  ,
-174  ,
-178  ,
-173  ,
-171  ,
-171  ,
-169  ,
-169  ,
-169  ,
-168  ,
-167  ,
-171  ,
-171  ,
-179  ,
-183  ,
-188  ,
-191  ,
-194  ,
-196  ,
-197  ,
-201  ,
-201  ,
-208  ,
-206  ,
-213  ,
-215  ,
-218  ,
-226  ,
-229  ,
-232  ,
-236  ,
-229  ,
-230  ,
-218  ,
-220  ,
-210  ,
-207  ,
-201  ,
-192  ,
-183  ,
-172  ,
-161  ,
-153  ,
-147  ,
-136  ,
-129  ,
-122  ,
-109  ,
-110  ,
-97 ,
-104  ,
-102  ,
-108  ,
-111  ,
-113  ,
-120  ,
-119  ,
-130  ,
-133  ,
-143  ,
-146  ,
-150  ,
-152  ,
-151  ,
-155  ,
-153  ,
-157  ,
-159  ,
-159  ,
-158  ,
-154  ,
-151  ,
-144  ,
-142  ,
-131  ,
-125  ,
-111  ,
-97 ,
-84 ,
-68 ,
-57 ,
-40 ,
-31 ,
-14 ,
-5  ,
9 ,
22  ,
31  ,
38  ,
44  ,
53  ,
56  ,
66  ,
68  ,
73  ,
75  ,
72  ,
70  ,
64  ,
55  ,
48  ,
31  ,
13  ,
-10 ,
-37 ,
-67 ,
-96 ,
-125  ,
-159  ,
-187  ,
-222  ,
-253  ,
-278  ,
-306  ,
-321  ,
-336  ,
-350  ,
-356  ,
-371  ,
-374  ,
-386  ,
-383  ,
-392  ,
-382  ,
-389  ,
-384  ,
-389  ,
-393  ,
-392  ,
-397  ,
-395  ,
-395  ,
-398  ,
-396  ,
-400  ,
-401  ,
-401  ,
-404  ,
-401  ,
-406  ,
-406  ,
-411  ,
-411  ,
-415  ,
-412  ,
-413  ,
-413  ,
-410  ,
-418  ,
-415  ,
-424  ,
-422  ,
-423  ,
-424  ,
-420  ,
-426  ,
-421  ,
-423  ,
-415  ,
-413  ,
-402  ,
-397  ,
-386  ,
-384  ,
-372  ,
-374  ,
-359  ,
-357  ,
-345  ,
-339  ,
-331  ,
-328  ,
-324  ,
-324  ,
-325  ,
-325  ,
-333  ,
-334  ,
-346  ,
-350  ,
-361  ,
-365  ,
-370  ,
-378  ,
-378  ,
-389  ,
-386  ,
-391  ,
-385  ,
-380  ,
-372  ,
-359  ,
-352  ,
-335  ,
-328  ,
-311  ,
-298  ,
-278  ,
-255  ,
-234  ,
-212  ,
-189  ,
-170  ,
-146  ,
-124  ,
-102  ,
-79 ,
-58 ,
-43 ,
-22 ,
-13 ,
5 ,
15  ,
24  ,
38  ,
43  ,
58  ,
58  ,
72  ,
70  ,
75  ,
76  ,
70  ,
71  ,
60  ,
55  ,
38  ,
29  ,
6 ,
-10 ,
-31 ,
-52 ,
-74 ,
-91 ,
-116  ,
-121  ,
-142  ,
-142  ,
-149  ,
-152  ,
-144  ,
-147  ,
-131  ,
-127  ,
-110  ,
-102  ,
-83 ,
-75 ,
-56 ,
-51 ,
-33 ,
-26 ,
-13 ,
0 ,
4 ,
22  ,
29  ,
44  ,
61  ,
77  ,
99  ,
112 ,
137 ,
147 ,
171 ,
183 ,
199 ,
216 ,
224 ,
238 ,
243 ,
252 ,
262 ,
266 ,
274 ,
280 ,
282 ,
288 ,
287 ,
287 ,
288 ,
287 ,
286 ,
285 ,
278 ,
273 ,
264 ,
252 ,
241 ,
228 ,
209 ,
198 ,
177 ,
162 ,
144 ,
126 ,
109 ,
88  ,
71  ,
49  ,
29  ,
9 ,
-11 ,
-29 ,
-51 ,
-71 ,
-93 ,
-113  ,
-131  ,
-150  ,
-163  ,
-180  ,
-186  ,
-201  ,
-200  ,
-209  ,
-207  ,
-207  ,
-206  ,
-201  ,
-197  ,
-190  ,
-183  ,
-173  ,
-164  ,
-153  ,
-143  ,
-131  ,
-123  ,
-112  ,
-101  ,
-90 ,
-75 ,
-64 ,
-53 ,
-41 ,
-31 ,
-21 ,
-7  ,
5 ,
21  ,
35  ,
51  ,
64  ,
78  ,
93  ,
104 ,
123 ,
133 ,
149 ,
156 ,
168 ,
171 ,
178 ,
184 ,
185 ,
194 ,
194 ,
196 ,
202 ,
198 ,
206 ,
203 ,
213 ,
211 ,
222 ,
221 ,
228 ,
237 ,
240 ,
249 ,
253 ,
257 ,
259 ,
263 ,
260 ,
267 ,
264 ,
267 ,
267 ,
260 ,
262 ,
250 ,
250 ,
244 ,
236 ,
234 ,
220 ,
216 ,
199 ,
191 ,
174 ,
165 ,
151 ,
139 ,
128 ,
114 ,
107 ,
98  ,
96  ,
93  ,
91  ,
91  ,
87  ,
88  ,
81  ,
78  ,
75  ,
66  ,
65  ,
53  ,
45  ,
35  ,
21  ,
14  ,
2 ,
-4  ,
-14 ,
-20 ,
-24 ,
-32 ,
-29 ,
-31 ,
-27 ,
-25 ,
-21 ,
-21 ,
-14 ,
-14 ,
-6  ,
-3  ,
8 ,
8 ,
20  ,
21  ,
32  ,
42  ,
52  ,
72  ,
84  ,
108 ,
126 ,
145 ,
166 ,
183 ,
200 ,
220 ,
228 ,
247 ,
253 ,
267 ,
269 ,
279 ,
279 ,
284 ,
281 ,
283 ,
274 ,
275 ,
264 ,
265 ,
257 ,
254 ,
243 ,
241 ,
232 ,
227 ,
225 ,
218 ,
221 ,
217 ,
218 ,
217 ,
222 ,
222 ,
235 ,
240 ,
250 ,
266 ,
264 ,
285 ,
286 ,
303 ,
312 ,
324 ,
336 ,
345 ,
351 ,
356 ,
361 ,
368 ,
371 ,
382 ,
381 ,
389 ,
387 ,
394 ,
393 ,
400 ,
399 ,
399 ,
399 ,
389 ,
387 ,
376 ,
369 ,
359 ,
355 ,
340 ,
338 ,
323 ,
319 ,
311 ,
308 ,
303 ,
300 ,
297 ,
294 ,
296 ,
294 ,
297 ,
299 ,
302 ,
303 ,
305 ,
306 ,
308 ,
310 ,
315 ,
313 ,
319 ,
312 ,
310 ,
305 ,
296 ,
293 ,
280 ,
272 ,
261 ,
245 ,
231 ,
213 ,
198 ,
179 ,
164 ,
142 ,
122 ,
95  ,
75  ,
47  ,
30  ,
7 ,
-10 ,
-32 ,
-47 ,
-73 ,
-84 ,
-103  ,
-113  ,
-124  ,
-131  ,
-139  ,
-144  ,
-148  ,
-153  ,
-148  ,
-148  ,
-141  ,
-139  ,
-137  ,
-131  ,
-135  ,
-128  ,
-134  ,
-129  ,
-135  ,
-136  ,
-144  ,
-148  ,
-153  ,
-160  ,
-162  ,
-171  ,
-174  ,
-182  ,
-189  ,
-194  ,
-198  ,
-202  ,
-203  ,
-207  ,
-207  ,
-209  ,
-203  ,
-200  ,
-190  ,
-181  ,
-174  ,
-161  ,
-156  ,
-142  ,
-136  ,
-120  ,
-112  ,
-98 ,
-93 ,
-84 ,
-85 ,
-76 ,
-77 ,
-69 ,
-65 ,
-65 ,
-64 ,
-69 ,
-72 ,
-76 ,
-77 ,
-80 ,
-80 ,
-85 ,
-88 ,
-94 ,
-93 ,
-100  ,
-96 ,
-101  ,
-96 ,
-106  ,
-102  ,
-113  ,
-112  ,
-117  ,
-119  ,
-118  ,
-119  ,
-120  ,
-119  ,
-120  ,
-113  ,
-111  ,
-98 ,
-96 ,
-82 ,
-74 ,
-65 ,
-48 ,
-41 ,
-22 ,
-12 ,
1 ,
13  ,
21  ,
32  ,
40  ,
45  ,
55  ,
52  ,
57  ,
49  ,
45  ,
35  ,
28  ,
14  ,
6 ,
-16 ,
-26 ,
-50 ,
-68 ,
-91 ,
-105  ,
-132  ,
-140  ,
-167  ,
-187  ,
-208  ,
-233  ,
-246  ,
-266  ,
-275  ,
-290  ,
-297  ,
-310  ,
-318  ,
-326  ,
-332  ,
-339  ,
-344  ,
-348  ,
-356  ,
-356  ,
-361  ,
-357  ,
-354  ,
-351  ,
-349  ,
-346  ,
-351  ,
-347  ,
-352  ,
-348  ,
-350  ,
-346  ,
-354  ,
-348  ,
-361  ,
-356  ,
-363  ,
-365  ,
-364  ,
-368  ,
-368  ,
-372  ,
-374  ,
-375  ,
-372  ,
-373  ,
-361  ,
-360  ,
-347  ,
-340  ,
-328  ,
-316  ,
-301  ,
-288  ,
-273  ,
-262  ,
-251  ,
-243  ,
-239  ,
-231  ,
-230  ,
-229  ,
-226  ,
-235  ,
-232  ,
-239  ,
-243  ,
-246  ,
-253  ,
-258  ,
-268  ,
-276  ,
-286  ,
-294  ,
-299  ,
-308  ,
-308  ,
-312  ,
-315  ,
-316  ,
-314  ,
-318  ,
-305  ,
-310  ,
-295  ,
-295  ,
-284  ,
-279  ,
-270  ,
-262  ,
-250  ,
-240  ,
-224  ,
-213  ,
-198  ,
-182  ,
-168  ,
-152  ,
-133  ,
-119  ,
-97 ,
-82 ,
-66 ,
-45 ,
-35 ,
-10 ,
-3  ,
16  ,
27  ,
38  ,
47  ,
53  ,
51  ,
54  ,
47  ,
42  ,
35  ,
21  ,
17  ,
-2  ,
-8  ,
-25 ,
-32 ,
-45 ,
-51 ,
-65 ,
-72 ,
-81 ,
-91 ,
-93 ,
-102  ,
-106  ,
-104  ,
-113  ,
-106  ,
-115  ,
-108  ,
-116  ,
-108  ,
-112  ,
-109  ,
-104  ,
-101  ,
-93 ,
-81 ,
-75 ,
-57 ,
-49 ,
-33 ,
-20 ,
-3  ,
14  ,
27  ,
43  ,
56  ,
70  ,
78  ,
92  ,
98  ,
110 ,
117 ,
125 ,
134 ,
140 ,
148 ,
155 ,
162 ,
170 ,
176 ,
182 ,
190 ,
194 ,
206 ,
209 ,
220 ,
228 ,
231 ,
240 ,
243 ,
246 ,
253 ,
250 ,
253 ,
249 ,
246 ,
236 ,
226 ,
215 ,
198 ,
186 ,
167 ,
155 ,
134 ,
118 ,
96  ,
75  ,
51  ,
29  ,
5 ,
-13 ,
-37 ,
-49 ,
-73 ,
-84 ,
-100  ,
-112  ,
-118  ,
-126  ,
-131  ,
-131  ,
-136  ,
-136  ,
-141  ,
-136  ,
-142  ,
-132  ,
-138  ,
-130  ,
-134  ,
-125  ,
-129  ,
-120  ,
-119  ,
-113  ,
-106  ,
-99 ,
-94 ,
-81 ,
-74 ,
-59 ,
-47 ,
-34 ,
-19 ,
-9  ,
9 ,
19  ,
36  ,
47  ,
57  ,
69  ,
75  ,
86  ,
91  ,
102 ,
107 ,
117 ,
122 ,
129 ,
135 ,
139 ,
148 ,
153 ,
162 ,
166 ,
168 ,
175 ,
174 ,
183 ,
185 ,
193 ,
199 ,
204 ,
212 ,
215 ,
223 ,
227 ,
233 ,
234 ,
240 ,
237 ,
241 ,
242 ,
242 ,
242 ,
242 ,
234 ,
234 ,
221 ,
214 ,
207 ,
194 ,
188 ,
176 ,
167 ,
157 ,
148 ,
138 ,
129 ,
118 ,
110 ,
98  ,
94  ,
85  ,
80  ,
76  ,
76  ,
70  ,
75  ,
65  ,
71  ,
67  ,
69  ,
73  ,
71  ,
74  ,
72  ,
69  ,
69  ,
63  ,
62  ,
59  ,
52  ,
53  ,
43  ,
43  ,
36  ,
35  ,
31  ,
31  ,
30  ,
32  ,
34  ,
39  ,
40  ,
48  ,
51  ,
65  ,
69  ,
88  ,
90  ,
108 ,
115 ,
130 ,
144 ,
158 ,
172 ,
183 ,
194 ,
205 ,
215 ,
225 ,
231 ,
241 ,
243 ,
250 ,
246 ,
249 ,
241 ,
246 ,
234 ,
235 ,
224 ,
217 ,
207 ,
202 ,
191 ,
191 ,
180 ,
180 ,
171 ,
171 ,
166 ,
166 ,
166 ,
165 ,
167 ,
168 ,
167 ,
174 ,
176 ,
185 ,
191 ,
200 ,
204 ,
216 ,
217 ,
230 ,
236 ,
248 ,
256 ,
265 ,
271 ,
277 ,
283 ,
284 ,
296 ,
294 ,
305 ,
300 ,
304 ,
302 ,
298 ,
297 ,
292 ,
287 ,
283 ,
274 ,
268 ,
262 ,
256 ,
252 ,
251 ,
245 ,
243 ,
238 ,
235 ,
231 ,
232 ,
224 ,
227 ,
221 ,
218 ,
214 ,
211 ,
206 ,
208 ,
202 ,
204 ,
201 ,
200 ,
200 ,
203 ,
204 ,
212 ,
217 ,
223 ,
231 ,
232 ,
238 ,
240 ,
238 ,
237 ,
228 ,
222 ,
205 ,
195 ,
174 ,
159 ,
140 ,
118 ,
100 ,
78  ,
60  ,
40  ,
23  ,
8 ,
-7  ,
-24 ,
-34 ,
-55 ,
-60 ,
-77 ,
-80 ,
-92 ,
-93 ,
-104  ,
-108  ,
-110  ,
-119  ,
-115  ,
-123  ,
-119  ,
-121  ,
-123  ,
-121  ,
-128  ,
-126  ,
-130  ,
-134  ,
-135  ,
-146  ,
-148  ,
-160  ,
-168  ,
-173  ,
-188  ,
-186  ,
-200  ,
-203  ,
-213  ,
-218  ,
-222  ,
-222  ,
-224  ,
-219  ,
-222  ,
-215  ,
-217  ,
-208  ,
-207  ,
-196  ,
-193  ,
-183  ,
-181  ,
-172  ,
-170  ,
-162  ,
-158  ,
-149  ,
-143  ,
-137  ,
-130  ,
-129  ,
-117  ,
-118  ,
-107  ,
-109  ,
-105  ,
-107  ,
-105  ,
-108  ,
-107  ,
-106  ,
-109  ,
-107  ,
-113  ,
-119  ,
-125  ,
-132  ,
-140  ,
-140  ,
-147  ,
-149  ,
-153  ,
-158  ,
-160  ,
-161  ,
-162  ,
-158  ,
-156  ,
-152  ,
-150  ,
-145  ,
-143  ,
-134  ,
-126  ,
-120  ,
-107  ,
-104  ,
-91 ,
-88 ,
-75 ,
-65 ,
-55 ,
-41 ,
-33 ,
-23 ,
-14 ,
-6  ,
0 ,
12  ,
15  ,
25  ,
21  ,
23  ,
15  ,
14  ,
5 ,
0 ,
-10 ,
-22 ,
-35 ,
-53 ,
-68 ,
-85 ,
-99 ,
-113  ,
-127  ,
-140  ,
-155  ,
-168  ,
-180  ,
-187  ,
-198  ,
-203  ,
-212  ,
-220  ,
-226  ,
-232  ,
-231  ,
-235  ,
-227  ,
-235  ,
-230  ,
-236  ,
-239  ,
-241  ,
-244  ,
-244  ,
-242  ,
-244  ,
-248  ,
-251  ,
-260  ,
-260  ,
-268  ,
-266  ,
-269  ,
-273  ,
-277  ,
-283  ,
-289  ,
-288  ,
-292  ,
-288  ,
-285  ,
-285  ,
-279  ,
-281  ,
-272  ,
-271  ,
-259  ,
-254  ,
-246  ,
-237  ,
-235  ,
-222  ,
-222  ,
-205  ,
-205  ,
-189  ,
-189  ,
-183  ,
-177  ,
-179  ,
-171  ,
-172  ,
-168  ,
-169  ,
-175  ,
-179  ,
-190  ,
-194  ,
-200  ,
-208  ,
-210  ,
-220  ,
-227  ,
-235  ,
-247  ,
-248  ,
-258  ,
-258  ,
-265  ,
-268  ,
-269  ,
-274  ,
-274  ,
-273  ,
-269  ,
-267  ,
-261  ,
-259  ,
-252  ,
-244  ,
-236  ,
-219  ,
-209  ,
-194  ,
-182  ,
-173  ,
-159  ,
-149  ,
-131  ,
-117  ,
-96 ,
-85 ,
-70 ,
-61 ,
-49 ,
-36 ,
-24 ,
-11 ,
-1  ,
7 ,
11  ,
13  ,
16  ,
18  ,
25  ,
25  ,
33  ,
28  ,
31  ,
26  ,
26  ,
25  ,
25  ,
24  ,
18  ,
11  ,
4 ,
-5  ,
-13 ,
-20 ,
-30 ,
-36 ,
-48 ,
-54 ,
-61 ,
-65 ,
-60 ,
-61 ,
-55 ,
-51 ,
-51 ,
-44 ,
-40 ,
-33 ,
-22 ,
-12 ,
-8  ,
6 ,
2 ,
16  ,
19  ,
27  ,
37  ,
45  ,
49  ,
60  ,
54  ,
69  ,
64  ,
82  ,
80  ,
94  ,
94  ,
100 ,
104 ,
111 ,
120 ,
130 ,
136 ,
144 ,
149 ,
155 ,
164 ,
169 ,
184 ,
192 ,
202 ,
206 ,
211 ,
210 ,
216 ,
216 ,
220 ,
223 ,
220 ,
216 ,
208 ,
197 ,
185 ,
178 ,
162 ,
150 ,
137 ,
112 ,
103 ,
79  ,
64  ,
51  ,
28  ,
18  ,
-8  ,
-21 ,
-36 ,
-52 ,
-58 ,
-72 ,
-79 ,
-91 ,
-100  ,
-113  ,
-116  ,
-126  ,
-126  ,
-131  ,
-131  ,
-139  ,
-136  ,
-147  ,
-140  ,
-141  ,
-141  ,
-134  ,
-138  ,
-132  ,
-130  ,
-126  ,
-118  ,
-113  ,
-101  ,
-97 ,
-86 ,
-78 ,
-66 ,
-55 ,
-41 ,
-28 ,
-18 ,
-3  ,
2 ,
19  ,
30  ,
44  ,
61  ,
69  ,
82  ,
91  ,
95  ,
109 ,
113 ,
126 ,
132 ,
140 ,
145 ,
149 ,
151 ,
157 ,
164 ,
170 ,
179 ,
182 ,
190 ,
194 ,
200 ,
203 ,
212 ,
214 ,
220 ,
219 ,
220 ,
212 ,
212 ,
200 ,
198 ,
188 ,
178 ,
172 ,
157 ,
151 ,
138 ,
132 ,
119 ,
112 ,
99  ,
90  ,
82  ,
72  ,
69  ,
61  ,
58  ,
55  ,
49  ,
49  ,
43  ,
43  ,
42  ,
40  ,
37  ,
38  ,
28  ,
32  ,
22  ,
25  ,
21  ,
20  ,
21  ,
17  ,
17  ,
15  ,
13  ,
13  ,
13  ,
11  ,
11  ,
9 ,
10  ,
11  ,
16  ,
17  ,
24  ,
23  ,
28  ,
29  ,
32  ,
36  ,
40  ,
48  ,
53  ,
61  ,
65  ,
71  ,
80  ,
89  ,
102 ,
117 ,
129 ,
144 ,
157 ,
168 ,
182 ,
193 ,
202 ,
214 ,
216 ,
222 ,
220 ,
221 ,
212 ,
215 ,
200 ,
200 ,
187 ,
179 ,
170 ,
158 ,
156 ,
147 ,
142 ,
140 ,
131 ,
134 ,
134 ,
134 ,
141 ,
143 ,
149 ,
153 ,
155 ,
161 ,
165 ,
173 ,
182 ,
186 ,
199 ,
202 ,
213 ,
222 ,
228 ,
240 ,
243 ,
255 ,
258 ,
264 ,
271 ,
270 ,
280 ,
280 ,
282 ,
286 ,
281 ,
284 ,
281 ,
280 ,
280 ,
278 ,
275 ,
269 ,
265 ,
258 ,
256 ,
249 ,
245 ,
241 ,
234 ,
230 ,
221 ,
213 ,
207 ,
198 ,
191 ,
189 ,
178 ,
178 ,
175 ,
172 ,
175 ,
178 ,
180 ,
189 ,
193 ,
200 ,
208 ,
212 ,
220 ,
222 ,
229 ,
229 ,
232 ,
230 ,
234 ,
230 ,
229 ,
224 ,
216 ,
210 ,
198 ,
187 ,
175 ,
165 ,
148 ,
143 ,
119 ,
116 ,
92  ,
86  ,
70  ,
57  ,
52  ,
31  ,
31  ,
7 ,
6 ,
-14 ,
-18 ,
-28 ,
-36 ,
-41 ,
-45 ,
-51 ,
-50 ,
-55 ,
-53 ,
-57 ,
-53 ,
-63 ,
-58 ,
-69 ,
-68 ,
-76 ,
-78 ,
-87 ,
-92 ,
-100  ,
-114  ,
-119  ,
-133  ,
-134  ,
-144  ,
-142  ,
-152  ,
-152  ,
-156  ,
-158  ,
-155  ,
-157  ,
-150  ,
-146  ,
-143  ,
-134  ,
-132  ,
-124  ,
-114  ,
-108  ,
-98 ,
-85 ,
-83 ,
-67 ,
-66 ,
-55 ,
-46 ,
-47 ,
-31 ,
-38 ,
-24 ,
-25 ,
-16 ,
-15 ,
-8  ,
-9  ,
-8  ,
-10 ,
-10 ,
-13 ,
-15 ,
-14 ,
-20 ,
-20 ,
-26 ,
-33 ,
-38 ,
-47 ,
-52 ,
-61 ,
-64 ,
-78 ,
-76 ,
-93 ,
-89 ,
-105  ,
-98 ,
-112  ,
-106  ,
-115  ,
-110  ,
-113  ,
-109  ,
-110  ,
-102  ,
-101  ,
-95 ,
-89 ,
-82 ,
-75 ,
-61 ,
-55 ,
-42 ,
-32 ,
-27 ,
-17 ,
-17 ,
-14 ,
-13 ,
-20 ,
-15 ,
-25 ,
-26 ,
-36 ,
-45 ,
-57 ,
-67 ,
-81 ,
-90 ,
-101  ,
-107  ,
-119  ,
-126  ,
-136  ,
-146  ,
-150  ,
-164  ,
-166  ,
-180  ,
-184  ,
-192  ,
-201  ,
-200  ,
-214  ,
-210  ,
-222  ,
-221  ,
-226  ,
-227  ,
-229  ,
-231  ,
-230  ,
-230  ,
-232  ,
-230  ,
-233  ,
-232  ,
-229  ,
-232  ,
-232  ,
-232  ,
-236  ,
-240  ,
-243  ,
-249  ,
-250  ,
-253  ,
-255  ,
-257  ,
-261  ,
-261  ,
-265  ,
-263  ,
-266  ,
-261  ,
-262  ,
-255  ,
-253  ,
-246  ,
-239  ,
-231  ,
-221  ,
-210  ,
-199  ,
-185  ,
-174  ,
-160  ,
-151  ,
-139  ,
-130  ,
-124  ,
-117  ,
-114  ,
-114  ,
-111  ,
-117  ,
-121  ,
-126  ,
-134  ,
-141  ,
-148  ,
-156  ,
-164  ,
-172  ,
-178  ,
-185  ,
-190  ,
-197  ,
-202  ,
-210  ,
-214  ,
-223  ,
-227  ,
-236  ,
-236  ,
-245  ,
-243  ,
-253  ,
-252  ,
-257  ,
-253  ,
-251  ,
-247  ,
-233  ,
-234  ,
-215  ,
-215  ,
-201  ,
-195  ,
-185  ,
-176  ,
-164  ,
-160  ,
-146  ,
-141  ,
-130  ,
-118  ,
-112  ,
-98 ,
-90 ,
-82 ,
-71 ,
-68 ,
-57 ,
-51 ,
-48 ,
-40 ,
-47 ,
-39 ,
-50 ,
-42 ,
-52 ,
-46 ,
-53 ,
-50 ,
-57 ,
-58 ,
-64 ,
-67 ,
-68 ,
-72 ,
-76 ,
-78 ,
-83 ,
-90 ,
-90 ,
-102  ,
-97 ,
-109  ,
-105  ,
-113  ,
-112  ,
-115  ,
-112  ,
-109  ,
-107  ,
-99 ,
-100  ,
-89 ,
-87 ,
-78 ,
-69 ,
-60 ,
-51 ,
-44 ,
-40 ,
-36 ,
-30 ,
-32 ,
-20 ,
-23 ,
-15 ,
-11 ,
-7  ,
-1  ,
5 ,
11  ,
23  ,
31  ,
44  ,
54  ,
67  ,
76  ,
94  ,
99  ,
119 ,
132 ,
143 ,
163 ,
171 ,
184 ,
193 ,
203 ,
207 ,
216 ,
214 ,
219 ,
217 ,
211 ,
213 ,
198 ,
200 ,
185 ,
181 ,
166 ,
159 ,
143 ,
133 ,
122 ,
108 ,
103 ,
86  ,
82  ,
66  ,
58  ,
52  ,
37  ,
35  ,
15  ,
13  ,
-7  ,
-10 ,
-27 ,
-35 ,
-43 ,
-54 ,
-65 ,
-73 ,
-87 ,
-92 ,
-104  ,
-108  ,
-118  ,
-118  ,
-127  ,
-124  ,
-131  ,
-125  ,
-126  ,
-118  ,
-114  ,
-104  ,
-101  ,
-89 ,
-83 ,
-72 ,
-64 ,
-54 ,
-50 ,
-38 ,
-41 ,
-30 ,
-32 ,
-28 ,
-21 ,
-21 ,
-11 ,
-7  ,
-5  ,
6 ,
7 ,
23  ,
30  ,
47  ,
58  ,
74  ,
83  ,
98  ,
105 ,
120 ,
125 ,
139 ,
144 ,
151 ,
157 ,
156 ,
164 ,
160 ,
167 ,
162 ,
162 ,
160 ,
155 ,
153 ,
147 ,
144 ,
138 ,
134 ,
127 ,
120 ,
112 ,
105 ,
97  ,
92  ,
83  ,
79  ,
67  ,
66  ,
53  ,
54  ,
44  ,
48  ,
36  ,
45  ,
30  ,
40  ,
31  ,
35  ,
32  ,
34  ,
30  ,
33  ,
26  ,
30  ,
27  ,
30  ,
33  ,
32  ,
36  ,
31  ,
38  ,
34  ,
41  ,
41  ,
44  ,
45  ,
46  ,
41  ,
43  ,
38  ,
43  ,
41  ,
48  ,
41  ,
52  ,
45  ,
59  ,
62  ,
77  ,
90  ,
103 ,
120 ,
130 ,
148 ,
158 ,
175 ,
187 ,
202 ,
207 ,
220 ,
217 ,
226 ,
223 ,
223 ,
223 ,
215 ,
214 ,
201 ,
200 ,
186 ,
185 ,
175 ,
171 ,
165 ,
156 ,
153 ,
143 ,
140 ,
133 ,
129 ,
123 ,
116 ,
110 ,
103 ,
98  ,
94  ,
89  ,
88  ,
83  ,
83  ,
76  ,
81  ,
79  ,
85  ,
93  ,
100 ,
111 ,
119 ,
128 ,
136 ,
148 ,
156 ,
167 ,
174 ,
177 ,
185 ,
180 ,
189 ,
184 ,
191 ,
185 ,
190 ,
183 ,
187 ,
182 ,
185 ,
184 ,
188 ,
184 ,
186 ,
181 ,
177 ,
178 ,
170 ,
175 ,
168 ,
167 ,
165 ,
158 ,
157 ,
153 ,
150 ,
151 ,
150 ,
151 ,
150 ,
153 ,
153 ,
158 ,
157 ,
164 ,
162 ,
172 ,
169 ,
177 ,
180 ,
185 ,
192 ,
191 ,
198 ,
193 ,
196 ,
191 ,
193 ,
185 ,
187 ,
176 ,
172 ,
168 ,
156 ,
154 ,
142 ,
134 ,
125 ,
110 ,
103 ,
88  ,
82  ,
70  ,
68  ,
60  ,
56  ,
55  ,
47  ,
53  ,
49  ,
52  ,
53  ,
51  ,
53  ,
51  ,
50  ,
47  ,
48  ,
41  ,
39  ,
33  ,
20  ,
19  ,
-2  ,
-5  ,
-20 ,
-31 ,
-38 ,
-56 ,
-61 ,
-77 ,
-80 ,
-94 ,
-91 ,
-105  ,
-99 ,
-113  ,
-109  ,
-119  ,
-115  ,
-124  ,
-118  ,
-124  ,
-121  ,
-122  ,
-123  ,
-120  ,
-119  ,
-114  ,
-111  ,
-104  ,
-103  ,
-97 ,
-91 ,
-86 ,
-77 ,
-74 ,
-68 ,
-63 ,
-63 ,
-53 ,
-54 ,
-43 ,
-41 ,
-34 ,
-33 ,
-32 ,
-29 ,
-35 ,
-27 ,
-35 ,
-30 ,
-34 ,
-41 ,
-45 ,
-54 ,
-57 ,
-66 ,
-64 ,
-75 ,
-75 ,
-81 ,
-91 ,
-88 ,
-98 ,
-96 ,
-97 ,
-100  ,
-97 ,
-97 ,
-93 ,
-87 ,
-81 ,
-71 ,
-64 ,
-56 ,
-50 ,
-44 ,
-41 ,
-31 ,
-30 ,
-18 ,
-17 ,
-10 ,
-10 ,
-7  ,
-6  ,
-3  ,
-2  ,
-4  ,
-5  ,
-10 ,
-16 ,
-25 ,
-32 ,
-42 ,
-49 ,
-56 ,
-69 ,
-74 ,
-88 ,
-93 ,
-101  ,
-106  ,
-113  ,
-117  ,
-124  ,
-128  ,
-131  ,
-135  ,
-135  ,
-133  ,
-134  ,
-133  ,
-131  ,
-133  ,
-129  ,
-127  ,
-128  ,
-121  ,
-124  ,
-121  ,
-120  ,
-125  ,
-119  ,
-124  ,
-123  ,
-125  ,
-131  ,
-134  ,
-139  ,
-152  ,
-152  ,
-162  ,
-167  ,
-171  ,
-179  ,
-187  ,
-186  ,
-196  ,
-193  ,
-194  ,
-193  ,
-190  ,
-187  ,
-185  ,
-183  ,
-176  ,
-177  ,
-165  ,
-168  ,
-156  ,
-159  ,
-149  ,
-147  ,
-143  ,
-136  ,
-136  ,
-132  ,
-130  ,
-132  ,
-129  ,
-131  ,
-126  ,
-127  ,
-124  ,
-124  ,
-127  ,
-123  ,
-133  ,
-127  ,
-138  ,
-137  ,
-146  ,
-152  ,
-165  ,
-170  ,
-186  ,
-192  ,
-202  ,
-214  ,
-218  ,
-227  ,
-229  ,
-234  ,
-233  ,
-233  ,
-231  ,
-226  ,
-228  ,
-217  ,
-220  ,
-209  ,
-205  ,
-198  ,
-189  ,
-187  ,
-177  ,
-175  ,
-168  ,
-157  ,
-156  ,
-139  ,
-141  ,
-127  ,
-130  ,
-116  ,
-119  ,
-103  ,
-102  ,
-87 ,
-83 ,
-75 ,
-68 ,
-65 ,
-58 ,
-50 ,
-51 ,
-38 ,
-44 ,
-38 ,
-38 ,
-45 ,
-40 ,
-48 ,
-47 ,
-50 ,
-53 ,
-58 ,
-59 ,
-66 ,
-64 ,
-66 ,
-67 ,
-65 ,
-71 ,
-63 ,
-71 ,
-62 ,
-63 ,
-57 ,
-52 ,
-48 ,
-41 ,
-35 ,
-29 ,
-20 ,
-15 ,
-11 ,
-6  ,
-4  ,
-1  ,
5 ,
3 ,
10  ,
5 ,
9 ,
1 ,
7 ,
-3  ,
8 ,
2 ,
8 ,
11  ,
10  ,
17  ,
17  ,
28  ,
38  ,
47  ,
62  ,
66  ,
82  ,
84  ,
99  ,
102 ,
119 ,
122 ,
134 ,
137 ,
142 ,
143 ,
147 ,
144 ,
151 ,
146 ,
147 ,
145 ,
140 ,
142 ,
136 ,
137 ,
132 ,
129 ,
126 ,
120 ,
121 ,
113 ,
109 ,
100 ,
95  ,
79  ,
75  ,
54  ,
52  ,
34  ,
30  ,
16  ,
10  ,
-3  ,
-11 ,
-23 ,
-29 ,
-41 ,
-45 ,
-54 ,
-66 ,
-70 ,
-87 ,
-86 ,
-100  ,
-100  ,
-108  ,
-111  ,
-112  ,
-118  ,
-115  ,
-118  ,
-107  ,
-112  ,
-98 ,
-105  ,
-96 ,
-96 ,
-92 ,
-83 ,
-83 ,
-68 ,
-73 ,
-62 ,
-65 ,
-61 ,
-56 ,
-52 ,
-43 ,
-35 ,
-29 ,
-18 ,
-17 ,
-2  ,
1 ,
17  ,
26  ,
40  ,
51  ,
62  ,
73  ,
82  ,
94  ,
104 ,
110 ,
121 ,
123 ,
135 ,
135 ,
146 ,
147 ,
156 ,
155 ,
161 ,
156 ,
163 ,
157 ,
160 ,
159 ,
152 ,
153 ,
138 ,
138 ,
123 ,
120 ,
108 ,
100 ,
90  ,
76  ,
68  ,
56  ,
50  ,
42  ,
39  ,
31  ,
30  ,
20  ,
20  ,
11  ,
11  ,
7 ,
4 ,
1 ,
-4  ,
-10 ,
-13 ,
-19 ,
-21 ,
-22 ,
-27 ,
-27 ,
-33 ,
-35 ,
-39 ,
-38 ,
-42 ,
-39 ,
-40 ,
-39 ,
-37 ,
-36 ,
-34 ,
-26 ,
-23 ,
-12 ,
-7  ,
0 ,
12  ,
14  ,
30  ,
33  ,
48  ,
59  ,
70  ,
84  ,
93  ,
107 ,
117 ,
133 ,
142 ,
153 ,
163 ,
167 ,
173 ,
179 ,
179 ,
182 ,
181 ,
172 ,
176 ,
162 ,
166 ,
160 ,
159 ,
158 ,
148 ,
146 ,
136 ,
129 ,
124 ,
115 ,
113 ,
102 ,
96  ,
83  ,
79  ,
67  ,
67  ,
59  ,
62  ,
57  ,
58  ,
59  ,
61  ,
64  ,
72  ,
72  ,
85  ,
83  ,
94  ,
93  ,
103 ,
106 ,
116 ,
121 ,
128 ,
132 ,
137 ,
141 ,
150 ,
151 ,
161 ,
161 ,
167 ,
167 ,
168 ,
170 ,
170 ,
178 ,
176 ,
181 ,
183 ,
179 ,
187 ,
178 ,
183 ,
178 ,
177 ,
174 ,
171 ,
165 ,
165 ,
158 ,
157 ,
152 ,
149 ,
145 ,
146 ,
139 ,
146 ,
139 ,
146 ,
140 ,
143 ,
140 ,
141 ,
140 ,
138 ,
141 ,
138 ,
139 ,
134 ,
131 ,
128 ,
125 ,
122 ,
118 ,
116 ,
110 ,
106 ,
97  ,
95  ,
84  ,
80  ,
72  ,
67  ,
60  ,
56  ,
50  ,
46  ,
46  ,
45  ,
41  ,
47  ,
38  ,
43  ,
41  ,
38  ,
43  ,
38  ,
42  ,
43  ,
39  ,
46  ,
38  ,
41  ,
38  ,
34  ,
31  ,
26  ,
14  ,
11  ,
-3  ,
-8  ,
-18 ,
-26 ,
-36 ,
-41 ,
-53 ,
-54 ,
-63 ,
-64 ,
-72 ,
-69 ,
-80 ,
-73 ,
-82 ,
-81 ,
-80 ,
-83 ,
-79 ,
-80 ,
-80 ,
-76 ,
-76 ,
-69 ,
-69 ,
-62 ,
-61 ,
-57 ,
-54 ,
-53 ,
-45 ,
-45 ,
-34 ,
-36 ,
-27 ,
-26 ,
-22 ,
-16 ,
-12 ,
-5  ,
0 ,
8 ,
6 ,
14  ,
10  ,
13  ,
13  ,
11  ,
12  ,
10  ,
5 ,
4 ,
-1  ,
-3  ,
-5  ,
-6  ,
-8  ,
-7  ,
-12 ,
-11 ,
-14 ,
-16 ,
-15 ,
-19 ,
-17 ,
-17 ,
-17 ,
-15 ,
-14 ,
-13 ,
-10 ,
-6  ,
-5  ,
0 ,
3 ,
6 ,
9 ,
9 ,
9 ,
8 ,
6 ,
1 ,
1 ,
-10 ,
-9  ,
-19 ,
-27 ,
-32 ,
-46 ,
-50 ,
-61 ,
-67 ,
-77 ,
-84 ,
-93 ,
-99 ,
-109  ,
-112  ,
-118  ,
-123  ,
-122  ,
-132  ,
-128  ,
-135  ,
-131  ,
-135  ,
-131  ,
-135  ,
-129  ,
-134  ,
-127  ,
-134  ,
-124  ,
-131  ,
-120  ,
-123  ,
-117  ,
-118  ,
-115  ,
-116  ,
-115  ,
-116  ,
-118  ,
-118  ,
-122  ,
-120  ,
-128  ,
-126  ,
-135  ,
-133  ,
-140  ,
-137  ,
-143  ,
-136  ,
-147  ,
-140  ,
-146  ,
-145  ,
-141  ,
-144  ,
-135  ,
-135  ,
-127  ,
-125  ,
-120  ,
-116  ,
-111  ,
-108  ,
-106  ,
-101  ,
-99 ,
-96 ,
-88 ,
-91 ,
-78 ,
-84 ,
-74 ,
-77 ,
-71 ,
-71 ,
-70 ,
-67 ,
-73 ,
-69 ,
-77 ,
-78 ,
-83 ,
-90 ,
-92 ,
-104  ,
-104  ,
-119  ,
-119  ,
-132  ,
-133  ,
-143  ,
-145  ,
-153  ,
-156  ,
-159  ,
-164  ,
-166  ,
-168  ,
-170  ,
-168  ,
-168  ,
-170  ,
-164  ,
-168  ,
-161  ,
-162  ,
-160  ,
-157  ,
-153  ,
-150  ,
-147  ,
-144  ,
-142  ,
-134  ,
-134  ,
-127  ,
-127  ,
-120  ,
-120  ,
-113  ,
-117  ,
-109  ,
-111  ,
-104  ,
-104  ,
-100  ,
-98 ,
-98 ,
-95 ,
-94 ,
-92 ,
-89 ,
-88 ,
-87 ,
-86 ,
-88 ,
-87 ,
-89 ,
-91 ,
-90 ,
-92 ,
-92 ,
-92 ,
-95 ,
-95 ,
-95 ,
-93 ,
-95 ,
-92 ,
-93 ,
-91 ,
-89 ,
-86 ,
-86 ,
-79 ,
-81 ,
-71 ,
-76 ,
-63 ,
-68 ,
-59 ,
-60 ,
-58 ,
-56 ,
-58 ,
-58 ,
-58 ,
-59 ,
-57 ,
-55 ,
-54 ,
-50 ,
-49 ,
-40 ,
-39 ,
-23 ,
-24 ,
-6  ,
-5  ,
9 ,
16  ,
26  ,
38  ,
43  ,
57  ,
62  ,
76  ,
80  ,
93  ,
96  ,
111 ,
111 ,
124 ,
121 ,
130 ,
128 ,
132 ,
130 ,
135 ,
134 ,
137 ,
138 ,
135 ,
141 ,
133 ,
143 ,
132 ,
139 ,
130 ,
132 ,
122 ,
122 ,
113 ,
111 ,
104 ,
100 ,
92  ,
86  ,
77  ,
66  ,
59  ,
47  ,
40  ,
30  ,
17  ,
11  ,
-2  ,
-6  ,
-16 ,
-21 ,
-29 ,
-33 ,
-41 ,
-46 ,
-53 ,
-56 ,
-63 ,
-64 ,
-70 ,
-78 ,
-77 ,
-91 ,
-89 ,
-98 ,
-102  ,
-108  ,
-113  ,
-119  ,
-122  ,
-125  ,
-126  ,
-126  ,
-120  ,
-119  ,
-114  ,
-107  ,
-105  ,
-95 ,
-86 ,
-78 ,
-66 ,
-58 ,
-45 ,
-37 ,
-26 ,
-15 ,
-6  ,
8 ,
16  ,
29  ,
38  ,
51  ,
61  ,
70  ,
84  ,
88  ,
98  ,
104 ,
110 ,
115 ,
123 ,
125 ,
128 ,
130 ,
129 ,
124 ,
122 ,
115 ,
114 ,
107 ,
105 ,
95  ,
90  ,
82  ,
72  ,
66  ,
61  ,
53  ,
49  ,
44  ,
38  ,
35  ,
34  ,
29  ,
32  ,
27  ,
29  ,
28  ,
26  ,
29  ,
24  ,
31  ,
24  ,
32  ,
22  ,
27  ,
18  ,
20  ,
11  ,
10  ,
1 ,
-4  ,
-11 ,
-18 ,
-21 ,
-25 ,
-22 ,
-24 ,
-15 ,
-17 ,
-6  ,
-5  ,
9 ,
15  ,
29  ,
37  ,
50  ,
61  ,
74  ,
83  ,
96  ,
108 ,
118 ,
131 ,
143 ,
148 ,
166 ,
166 ,
179 ,
183 ,
191 ,
196 ,
198 ,
205 ,
204 ,
210 ,
207 ,
209 ,
204 ,
203 ,
196 ,
193 ,
185 ,
179 ,
172 ,
160 ,
154 ,
135 ,
126 ,
107 ,
93  ,
80  ,
64  ,
53  ,
40  ,
30  ,
21  ,
12  ,
6 ,
3 ,
1 ,
0 ,
2 ,
-1  ,
4 ,
4 ,
7 ,
13  ,
13  ,
22  ,
21  ,
30  ,
31  ,
37  ,
43  ,
46  ,
53  ,
56  ,
61  ,
63  ,
68  ,
74  ,
76  ,
84  ,
83  ,
91  ,
89  ,
94  ,
92  ,
97  ,
97  ,
101 ,
100 ,
103 ,
103 ,
105 ,
106 ,
110 ,
109 ,
113 ,
113 ,
115 ,
115 ,
121 ,
118 ,
128 ,
121 ,
131 ,
125 ,
133 ,
132 ,
135 ,
139 ,
141 ,
141 ,
148 ,
143 ,
149 ,
144 ,
148 ,
143 ,
145 ,
140 ,
137 ,
134 ,
128 ,
124 ,
117 ,
116 ,
105 ,
106 ,
95  ,
96  ,
90  ,
90  ,
88  ,
87  ,
90  ,
87  ,
95  ,
89  ,
99  ,
94  ,
99  ,
101 ,
98  ,
102 ,
100 ,
98  ,
103 ,
98  ,
97  ,
96  ,
90  ,
92  ,
87  ,
81  ,
84  ,
70  ,
77  ,
61  ,
65  ,
55  ,
50  ,
45  ,
32  ,
30  ,
15  ,
13  ,
0 ,
-5  ,
-16 ,
-23 ,
-31 ,
-41 ,
-46 ,
-54 ,
-60 ,
-65 ,
-68 ,
-78 ,
-74 ,
-87 ,
-84 ,
-89 ,
-91 ,
-89 ,
-94 ,
-93 ,
-94 ,
-94 ,
-93 ,
-91 ,
-91 ,
-86 ,
-82 ,
-81 ,
-71 ,
-77 ,
-63 ,
-71 ,
-61 ,
-64 ,
-61 ,
-59 ,
-58 ,
-58 ,
-59 ,
-58 ,
-63 ,
-55 ,
-68 ,
-56 ,
-67 ,
-60 ,
-63 ,
-61 ,
-64 ,
-58 ,
-66 ,
-57 ,
-65 ,
-55 ,
-59 ,
-49 ,
-50 ,
-42 ,
-39 ,
-34 ,
-27 ,
-25 ,
-15 ,
-11 ,
-7  ,
3 ,
-2  ,
11  ,
6 ,
14  ,
13  ,
13  ,
16  ,
9 ,
10  ,
2 ,
-2  ,
-5  ,
-16 ,
-19 ,
-32 ,
-38 ,
-48 ,
-55 ,
-65 ,
-73 ,
-82 ,
-91 ,
-100  ,
-106  ,
-113  ,
-115  ,
-119  ,
-119  ,
-118  ,
-119  ,
-116  ,
-115  ,
-108  ,
-104  ,
-96 ,
-92 ,
-83 ,
-80 ,
-74 ,
-66 ,
-65 ,
-55 ,
-55 ,
-49 ,
-48 ,
-48 ,
-45 ,
-45 ,
-43 ,
-42 ,
-46 ,
-44 ,
-50 ,
-48 ,
-54 ,
-50 ,
-56 ,
-53 ,
-56 ,
-58 ,
-59 ,
-60 ,
-63 ,
-61 ,
-67 ,
-69 ,
-71 ,
-79 ,
-77 ,
-84 ,
-82 ,
-85 ,
-84 ,
-86 ,
-85 ,
-87 ,
-86 ,
-85 ,
-86 ,
-82 ,
-88 ,
-79 ,
-89 ,
-79 ,
-87 ,
-82 ,
-86 ,
-87 ,
-91 ,
-95 ,
-100  ,
-105  ,
-110  ,
-117  ,
-119  ,
-131  ,
-130  ,
-142  ,
-143  ,
-151  ,
-153  ,
-162  ,
-162  ,
-170  ,
-171  ,
-178  ,
-178  ,
-181  ,
-182  ,
-180  ,
-182  ,
-182  ,
-179  ,
-182  ,
-181  ,
-176  ,
-178  ,
-167  ,
-166  ,
-159  ,
-152  ,
-147  ,
-140  ,
-132  ,
-127  ,
-120  ,
-114  ,
-110  ,
-104  ,
-98 ,
-94 ,
-86 ,
-84 ,
-79 ,
-77 ,
-73 ,
-72 ,
-71 ,
-68 ,
-66 ,
-67 ,
-63 ,
-67 ,
-62 ,
-63 ,
-66 ,
-57 ,
-65 ,
-56 ,
-60 ,
-61 ,
-53 ,
-65 ,
-51 ,
-65 ,
-51 ,
-60 ,
-52 ,
-52 ,
-47 ,
-46 ,
-40 ,
-42 ,
-35 ,
-35 ,
-31 ,
-28 ,
-24 ,
-25 ,
-18 ,
-24 ,
-17 ,
-22 ,
-16 ,
-17 ,
-12 ,
-8  ,
-6  ,
3 ,
3 ,
15  ,
17  ,
28  ,
33  ,
43  ,
47  ,
57  ,
59  ,
67  ,
69  ,
75  ,
75  ,
79  ,
79  ,
79  ,
84  ,
81  ,
86  ,
86  ,
86  ,
90  ,
90  ,
92  ,
94  ,
97  ,
95  ,
101 ,
94  ,
100 ,
95  ,
99  ,
98  ,
95  ,
101 ,
91  ,
100 ,
87  ,
95  ,
85  ,
88  ,
84  ,
78  ,
80  ,
72  ,
69  ,
64  ,
57  ,
54  ,
45  ,
39  ,
30  ,
25  ,
17  ,
13  ,
5 ,
2 ,
-9  ,
-10 ,
-23 ,
-23 ,
-35 ,
-35 ,
-45 ,
-46 ,
-54 ,
-61 ,
-64 ,
-74 ,
-74 ,
-81 ,
-85 ,
-86 ,
-95 ,
-93 ,
-102  ,
-98 ,
-106  ,
-103  ,
-108  ,
-109  ,
-111  ,
-113  ,
-112  ,
-111  ,
-109  ,
-106  ,
-104  ,
-101  ,
-98 ,
-94 ,
-86 ,
-81 ,
-70 ,
-63 ,
-56 ,
-45 ,
-43 ,
-25 ,
-23 ,
-5  ,
-2  ,
16  ,
20  ,
34  ,
42  ,
54  ,
67  ,
77  ,
88  ,
94  ,
102 ,
104 ,
109 ,
110 ,
113 ,
113 ,
111 ,
110 ,
108 ,
104 ,
104 ,
101 ,
101 ,
98  ,
96  ,
91  ,
91  ,
86  ,
86  ,
86  ,
85  ,
85  ,
85  ,
80  ,
81  ,
75  ,
74  ,
67  ,
64  ,
56  ,
49  ,
38  ,
30  ,
23  ,
13  ,
8 ,
-3  ,
-10 ,
-16 ,
-22 ,
-27 ,
-28 ,
-33 ,
-33 ,
-36 ,
-39 ,
-37 ,
-41 ,
-32 ,
-36 ,
-25 ,
-24 ,
-16 ,
-12 ,
-6  ,
2 ,
10  ,
22  ,
30  ,
41  ,
48  ,
58  ,
68  ,
77  ,
90  ,
99  ,
112 ,
120 ,
129 ,
138 ,
145 ,
154 ,
165 ,
166 ,
177 ,
171 ,
177 ,
173 ,
175 ,
170 ,
171 ,
164 ,
163 ,
156 ,
147 ,
144 ,
133 ,
130 ,
117 ,
113 ,
94  ,
91  ,
70  ,
68  ,
51  ,
48  ,
31  ,
30  ,
15  ,
13  ,
7 ,
2 ,
2 ,
-2  ,
-2  ,
-3  ,
-2  ,
-3  ,
3 ,
0 ,
8 ,
4 ,
8 ,
9 ,
6 ,
11  ,
10  ,
15  ,
17  ,
21  ,
20  ,
25  ,
28  ,
34  ,
40  ,
47  ,
50  ,
55  ,
57  ,
62  ,
65  ,
72  ,
75  ,
84  ,
86  ,
95  ,
98  ,
100 ,
113 ,
110 ,
124 ,
126 ,
129 ,
136 ,
136 ,
143 ,
145 ,
151 ,
152 ,
154 ,
157 ,
151 ,
153 ,
148 ,
144 ,
140 ,
132 ,
125 ,
115 ,
109 ,
97  ,
93  ,
86  ,
79  ,
76  ,
66  ,
67  ,
57  ,
62  ,
56  ,
57  ,
57  ,
53  ,
53  ,
53  ,
48  ,
54  ,
49  ,
53  ,
52  ,
52  ,
54  ,
54  ,
57  ,
59  ,
62  ,
59  ,
64  ,
60  ,
64  ,
62  ,
65  ,
63  ,
65  ,
64  ,
56  ,
58  ,
49  ,
48  ,
39  ,
38  ,
29  ,
31  ,
18  ,
20  ,
9 ,
14  ,
3 ,
7 ,
-1  ,
-1  ,
-7  ,
-10 ,
-17 ,
-20 ,
-25 ,
-27 ,
-33 ,
-37 ,
-43 ,
-47 ,
-52 ,
-57 ,
-60 ,
-63 ,
-65 ,
-64 ,
-69 ,
-64 ,
-66 ,
-62 ,
-61 ,
-58 ,
-58 ,
-54 ,
-57 ,
-53 ,
-58 ,
-52 ,
-57 ,
-55 ,
-54 ,
-58 ,
-54 ,
-57 ,
-54 ,
-55 ,
-51 ,
-54 ,
-47 ,
-51 ,
-44 ,
-47 ,
-46 ,
-42 ,
-49 ,
-37 ,
-48 ,
-34 ,
-41 ,
-29 ,
-31 ,
-19 ,
-19 ,
-9  ,
-7  ,
2 ,
8 ,
14  ,
19  ,
26  ,
29  ,
33  ,
37  ,
37  ,
40  ,
40  ,
36  ,
36  ,
28  ,
22  ,
18  ,
7 ,
0 ,
-9  ,
-24 ,
-29 ,
-44 ,
-52 ,
-64 ,
-69 ,
-82 ,
-85 ,
-95 ,
-100  ,
-109  ,
-113  ,
-120  ,
-126  ,
-125  ,
-134  ,
-131  ,
-135  ,
-134  ,
-127  ,
-124  ,
-120  ,
-109  ,
-109  ,
-92 ,
-90 ,
-82 ,
-72 ,
-70 ,
-60 ,
-56 ,
-53 ,
-46 ,
-43 ,
-39 ,
-34 ,
-35 ,
-31 ,
-33 ,
-30 ,
-31 ,
-29 ,
-29 ,
-27 ,
-30 ,
-26 ,
-32 ,
-27 ,
-30 ,
-25 ,
-27 ,
-21 ,
-26 ,
-22 ,
-26 ,
-27 ,
-26 ,
-31 ,
-30 ,
-36 ,
-33 ,
-41 ,
-37 ,
-45 ,
-41 ,
-45 ,
-43 ,
-45 ,
-43 ,
-44 ,
-43 ,
-43 ,
-46 ,
-45 ,
-50 ,
-50 ,
-58 ,
-57 ,
-69 ,
-64 ,
-76 ,
-74 ,
-86 ,
-85 ,
-98 ,
-97 ,
-110  ,
-111  ,
-118  ,
-124  ,
-123  ,
-133  ,
-128  ,
-137  ,
-136  ,
-136  ,
-140  ,
-136  ,
-137  ,
-139  ,
-130  ,
-135  ,
-123  ,
-125  ,
-117  ,
-114  ,
-109  ,
-106  ,
-101  ,
-94 ,
-92 ,
-81 ,
-83 ,
-74 ,
-72 ,
-71 ,
-64 ,
-63 ,
-62 ,
-57 ,
-59 ,
-58 ,
-58 ,
-61 ,
-64 ,
-63 ,
-70 ,
-68 ,
-77 ,
-77 ,
-84 ,
-86 ,
-90 ,
-89 ,
-91 ,
-89 ,
-85 ,
-87 ,
-77 ,
-79 ,
-70 ,
-69 ,
-64 ,
-61 ,
-60 ,
-53 ,
-54 ,
-47 ,
-46 ,
-44 ,
-44 ,
-41 ,
-44 ,
-42 ,
-42 ,
-45 ,
-39 ,
-43 ,
-39 ,
-42 ,
-37 ,
-43 ,
-31 ,
-38 ,
-26 ,
-27 ,
-19 ,
-16 ,
-10 ,
-6  ,
1 ,
6 ,
12  ,
19  ,
24  ,
34  ,
36  ,
50  ,
52  ,
66  ,
67  ,
75  ,
76  ,
84  ,
82  ,
89  ,
87  ,
90  ,
89  ,
90  ,
87  ,
91  ,
86  ,
93  ,
91  ,
95  ,
96  ,
97  ,
97  ,
103 ,
99  ,
106 ,
107 ,
104 ,
111 ,
97  ,
103 ,
89  ,
89  ,
82  ,
76  ,
75  ,
66  ,
67  ,
55  ,
59  ,
50  ,
51  ,
46  ,
44  ,
39  ,
39  ,
32  ,
34  ,
29  ,
26  ,
24  ,
14  ,
14  ,
4 ,
2 ,
-9  ,
-8  ,
-22 ,
-20 ,
-35 ,
-35 ,
-43 ,
-44 ,
-49 ,
-47 ,
-56 ,
-54 ,
-65 ,
-68 ,
-74 ,
-81 ,
-88 ,
-94 ,
-101  ,
-110  ,
-114  ,
-122  ,
-125  ,
-126  ,
-131  ,
-130  ,
-131  ,
-131  ,
-124  ,
-123  ,
-112  ,
-105  ,
-98 ,
-83 ,
-81 ,
-65 ,
-62 ,
-46 ,
-40 ,
-27 ,
-21 ,
-12 ,
-4  ,
3 ,
12  ,
24  ,
29  ,
46  ,
48  ,
60  ,
63  ,
69  ,
72  ,
76  ,
77  ,
80  ,
80  ,
80  ,
80  ,
77  ,
79  ,
73  ,
79  ,
71  ,
77  ,
72  ,
76  ,
76  ,
79  ,
80  ,
82  ,
82  ,
84  ,
82  ,
86  ,
81  ,
82  ,
77  ,
71  ,
65  ,
57  ,
47  ,
38  ,
31  ,
22  ,
15  ,
10  ,
-1  ,
0 ,
-10 ,
-8  ,
-11 ,
-12 ,
-13 ,
-11 ,
-14 ,
-6  ,
-12 ,
-2  ,
-6  ,
0 ,
2 ,
2 ,
9 ,
8 ,
18  ,
17  ,
30  ,
31  ,
40  ,
50  ,
53  ,
69  ,
72  ,
89  ,
95  ,
108 ,
114 ,
124 ,
129 ,
138 ,
143 ,
151 ,
153 ,
160 ,
159 ,
165 ,
163 ,
165 ,
165 ,
162 ,
163 ,
158 ,
152 ,
149 ,
140 ,
134 ,
129 ,
115 ,
112 ,
95  ,
89  ,
74  ,
68  ,
50  ,
46  ,
29  ,
27  ,
11  ,
10  ,
-1  ,
-4  ,
-5  ,
-16 ,
-11 ,
-21 ,
-16 ,
-20 ,
-20 ,
-16 ,
-19 ,
-15 ,
-17 ,
-15 ,
-16 ,
-11 ,
-11 ,
-6  ,
-5  ,
0 ,
0 ,
5 ,
9 ,
11  ,
19  ,
19  ,
24  ,
26  ,
30  ,
29  ,
35  ,
35  ,
36  ,
43  ,
37  ,
49  ,
46  ,
58  ,
63  ,
72  ,
80  ,
88  ,
95  ,
101 ,
107 ,
112 ,
119 ,
122 ,
127 ,
128 ,
131 ,
130 ,
132 ,
122 ,
129 ,
113 ,
116 ,
102 ,
99  ,
90  ,
82  ,
79  ,
68  ,
67  ,
58  ,
55  ,
53  ,
50  ,
52  ,
49  ,
53  ,
50  ,
56  ,
52  ,
60  ,
57  ,
66  ,
64  ,
72  ,
70  ,
75  ,
75  ,
73  ,
76  ,
69  ,
72  ,
67  ,
64  ,
59  ,
58  ,
52  ,
53  ,
48  ,
48  ,
44  ,
43  ,
44  ,
41  ,
45  ,
44  ,
43  ,
44  ,
40  ,
38  ,
35  ,
33  ,
28  ,
24  ,
20  ,
12  ,
6 ,
2 ,
-10 ,
-9  ,
-21 ,
-22 ,
-30 ,
-33 ,
-41 ,
-41 ,
-50 ,
-46 ,
-59 ,
-51 ,
-64 ,
-57 ,
-66 ,
-63 ,
-68 ,
-66 ,
-74 ,
-70 ,
-78 ,
-73 ,
-78 ,
-77 ,
-76 ,
-79 ,
-74 ,
-76 ,
-75 ,
-72 ,
-72 ,
-68 ,
-68 ,
-66 ,
-67 ,
-64 ,
-66 ,
-65 ,
-62 ,
-65 ,
-60 ,
-63 ,
-64 ,
-60 ,
-64 ,
-57 ,
-60 ,
-56 ,
-56 ,
-53 ,
-52 ,
-48 ,
-45 ,
-37 ,
-35 ,
-26 ,
-24 ,
-15 ,
-15 ,
-6  ,
-7  ,
3 ,
-1  ,
7 ,
2 ,
8 ,
5 ,
5 ,
3 ,
1 ,
-4  ,
-9  ,
-19 ,
-28 ,
-37 ,
-49 ,
-55 ,
-69 ,
-72 ,
-87 ,
-87 ,
-98 ,
-98 ,
-104  ,
-104  ,
-107  ,
-102  ,
-105  ,
-100  ,
-100  ,
-94 ,
-94 ,
-88 ,
-87 ,
-84 ,
-81 ,
-79 ,
-76 ,
-74 ,
-71 ,
-72 ,
-69 ,
-69 ,
-69 ,
-64 ,
-65 ,
-58 ,
-58 ,
-49 ,
-48 ,
-44 ,
-39 ,
-39 ,
-32 ,
-33 ,
-26 ,
-28 ,
-24 ,
-24 ,
-21 ,
-25 ,
-21 ,
-28 ,
-23 ,
-26 ,
-27 ,
-27 ,
-26 ,
-29 ,
-24 ,
-27 ,
-28 ,
-26 ,
-31 ,
-28 ,
-29 ,
-29 ,
-31 ,
-28 ,
-32 ,
-30 ,
-34 ,
-38 ,
-39 ,
-43 ,
-44 ,
-47 ,
-49 ,
-52 ,
-55 ,
-58 ,
-61 ,
-63 ,
-65 ,
-68 ,
-69 ,
-71 ,
-75 ,
-78 ,
-80 ,
-86 ,
-88 ,
-93 ,
-99 ,
-101  ,
-106  ,
-112  ,
-111  ,
-117  ,
-116  ,
-121  ,
-119  ,
-124  ,
-121  ,
-124  ,
-122  ,
-123  ,
-121  ,
-120  ,
-116  ,
-117  ,
-106  ,
-110  ,
-98 ,
-96 ,
-93 ,
-83 ,
-85 ,
-74 ,
-76 ,
-67 ,
-67 ,
-62 ,
-63 ,
-61 ,
-63 ,
-61 ,
-66 ,
-66 ,
-73 ,
-72 ,
-80 ,
-79 ,
-86 ,
-85 ,
-85 ,
-83 ,
-79 ,
-70 ,
-68 ,
-55 ,
-51 ,
-40 ,
-35 ,
-25 ,
-23 ,
-15 ,
-15 ,
-12 ,
-14 ,
-12 ,
-17 ,
-14 ,
-19 ,
-20 ,
-22 ,
-26 ,
-28 ,
-30 ,
-33 ,
-34 ,
-32 ,
-35 ,
-31 ,
-34 ,
-29 ,
-26 ,
-25 ,
-16 ,
-16 ,
-7  ,
-4  ,
4 ,
7 ,
16  ,
18  ,
25  ,
29  ,
32  ,
38  ,
39  ,
43  ,
44  ,
46  ,
49  ,
48  ,
52  ,
49  ,
55  ,
52  ,
59  ,
60  ,
63  ,
67  ,
70  ,
75  ,
81  ,
83  ,
87  ,
88  ,
93  ,
93  ,
93  ,
95  ,
92  ,
94  ,
92  ,
88  ,
90  ,
85  ,
84  ,
87  ,
81  ,
88  ,
83  ,
85  ,
86  ,
85  ,
85  ,
84  ,
81  ,
77  ,
75  ,
67  ,
64  ,
54  ,
48  ,
40  ,
34  ,
24  ,
18  ,
12  ,
1 ,
1 ,
-12 ,
-13 ,
-17 ,
-25 ,
-21 ,
-35 ,
-29 ,
-44 ,
-43 ,
-49 ,
-53 ,
-57 ,
-61 ,
-65 ,
-70 ,
-74 ,
-78 ,
-86 ,
-84 ,
-94 ,
-93 ,
-100  ,
-101  ,
-102  ,
-106  ,
-101  ,
-107  ,
-98 ,
-99 ,
-93 ,
-86 ,
-80 ,
-70 ,
-60 ,
-49 ,
-42 ,
-26 ,
-22 ,
-5  ,
-2  ,
14  ,
14  ,
27  ,
27  ,
36  ,
39  ,
42  ,
49  ,
48  ,
56  ,
53  ,
58  ,
56  ,
60  ,
63  ,
65  ,
69  ,
70  ,
72  ,
76  ,
76  ,
82  ,
84  ,
87  ,
89  ,
89  ,
91  ,
87  ,
89  ,
86  ,
87  ,
86  ,
80  ,
80  ,
71  ,
69  ,
59  ,
55  ,
50  ,
39  ,
39  ,
27  ,
26  ,
19  ,
15  ,
9 ,
9 ,
2 ,
4 ,
-2  ,
-2  ,
-2  ,
-6  ,
-5  ,
-7  ,
-9  ,
-8  ,
-9  ,
-10 ,
-6  ,
-5  ,
-1  ,
4 ,
10  ,
18  ,
30  ,
37  ,
50  ,
62  ,
70  ,
85  ,
89  ,
102 ,
108 ,
117 ,
122 ,
128 ,
130 ,
136 ,
134 ,
140 ,
138 ,
140 ,
140 ,
139 ,
137 ,
138 ,
135 ,
136 ,
134 ,
136 ,
128 ,
134 ,
122 ,
123 ,
116 ,
110 ,
103 ,
100 ,
90  ,
87  ,
81  ,
72  ,
69  ,
59  ,
54  ,
44  ,
40  ,
30  ,
23  ,
16  ,
6 ,
4 ,
-7  ,
-7  ,
-12 ,
-13 ,
-11 ,
-10 ,
-8  ,
-1  ,
-3  ,
8 ,
6 ,
14  ,
15  ,
17  ,
16  ,
18  ,
14  ,
14  ,
13  ,
11  ,
10  ,
9 ,
8 ,
8 ,
7 ,
12  ,
10  ,
17  ,
22  ,
23  ,
35  ,
36  ,
47  ,
53  ,
61  ,
70  ,
79  ,
86  ,
94  ,
99  ,
106 ,
111 ,
113 ,
117 ,
116 ,
117 ,
115 ,
113 ,
109 ,
108 ,
102 ,
98  ,
94  ,
86  ,
83  ,
77  ,
74  ,
69  ,
71  ,
63  ,
71  ,
64  ,
67  ,
68  ,
69  ,
71  ,
76  ,
69  ,
75  ,
71  ,
69  ,
71  ,
67  ,
67  ,
67  ,
65  ,
66  ,
66  ,
70  ,
69  ,
74  ,
71  ,
72  ,
71  ,
69  ,
69  ,
66  ,
66  ,
62  ,
62  ,
57  ,
50  ,
51  ,
38  ,
41  ,
27  ,
27  ,
18  ,
15  ,
11  ,
4 ,
5 ,
-5  ,
-1  ,
-13 ,
-8  ,
-19 ,
-17 ,
-21 ,
-22 ,
-25 ,
-24 ,
-29 ,
-30 ,
-29 ,
-34 ,
-32 ,
-33 ,
-38 ,
-35 ,
-43 ,
-43 ,
-49 ,
-51 ,
-52 ,
-56 ,
-56 ,
-60 ,
-60 ,
-59 ,
-61 ,
-57 ,
-59 ,
-52 ,
-56 ,
-50 ,
-51 ,
-47 ,
-49 ,
-44 ,
-54 ,
-46 ,
-57 ,
-56 ,
-62 ,
-62 ,
-68 ,
-67 ,
-69 ,
-75 ,
-67 ,
-77 ,
-67 ,
-70 ,
-64 ,
-61 ,
-60 ,
-54 ,
-51 ,
-45 ,
-40 ,
-33 ,
-29 ,
-19 ,
-18 ,
-11 ,
-9  ,
-2  ,
0 ,
2 ,
5 ,
2 ,
0 ,
-1  ,
-7  ,
-7  ,
-13 ,
-17 ,
-18 ,
-25 ,
-25 ,
-32 ,
-35 ,
-37 ,
-43 ,
-43 ,
-47 ,
-50 ,
-45 ,
-52 ,
-45 ,
-49 ,
-47 ,
-48 ,
-51 ,
-53 ,
-55 ,
-59 ,
-58 ,
-61 ,
-60 ,
-58 ,
-60 ,
-54 ,
-52 ,
-48 ,
-42 ,
-38 ,
-36 ,
-28 ,
-32 ,
-25 ,
-28 ,
-25 ,
-26 ,
-25 ,
-27 ,
-28 ,
-27 ,
-32 ,
-28 ,
-33 ,
-30 ,
-32 ,
-33 ,
-33 ,
-34 ,
-33 ,
-28 ,
-31 ,
-25 ,
-27 ,
-24 ,
-23 ,
-24 ,
-21 ,
-21 ,
-17 ,
-16 ,
-17 ,
-16 ,
-17 ,
-17 ,
-15 ,
-18 ,
-15 ,
-19 ,
-19 ,
-23 ,
-24 ,
-32 ,
-28 ,
-38 ,
-37 ,
-42 ,
-44 ,
-48 ,
-48 ,
-51 ,
-51 ,
-52 ,
-54 ,
-56 ,
-58 ,
-61 ,
-64 ,
-68 ,
-73 ,
-78 ,
-86 ,
-94 ,
-100  ,
-111  ,
-114  ,
-123  ,
-129  ,
-133  ,
-139  ,
-141  ,
-146  ,
-145  ,
-145  ,
-143  ,
-143  ,
-139  ,
-141  ,
-132  ,
-134  ,
-124  ,
-123  ,
-115  ,
-111  ,
-108  ,
-101  ,
-103  ,
-94 ,
-98 ,
-90 ,
-92 ,
-92 ,
-90 ,
-93 ,
-88 ,
-92 ,
-85 ,
-92 ,
-83 ,
-87 ,
-80 ,
-79 ,
-72 ,
-69 ,
-59 ,
-56 ,
-45 ,
-44 ,
-33 ,
-31 ,
-23 ,
-19 ,
-15 ,
-12 ,
-7  ,
-8  ,
-4  ,
-8  ,
-1  ,
-9  ,
3 ,
-7  ,
1 ,
0 ,
-2  ,
1 ,
-1  ,
-2  ,
-4  ,
-8  ,
-13 ,
-11 ,
-21 ,
-15 ,
-26 ,
-18 ,
-28 ,
-21 ,
-28 ,
-24 ,
-26 ,
-21 ,
-23 ,
-15 ,
-18 ,
-12 ,
-13 ,
-7  ,
-6  ,
1 ,
4 ,
9 ,
14  ,
16  ,
19  ,
22  ,
26  ,
27  ,
35  ,
33  ,
41  ,
39  ,
44  ,
43  ,
50  ,
46  ,
52  ,
49  ,
50  ,
49  ,
50  ,
46  ,
52  ,
47  ,
53  ,
50  ,
53  ,
53  ,
58  ,
59  ,
62  ,
64  ,
63  ,
63  ,
59  ,
56  ,
50  ,
47  ,
40  ,
35  ,
29  ,
22  ,
18  ,
12  ,
7 ,
1 ,
-4  ,
-9  ,
-10 ,
-19 ,
-15 ,
-26 ,
-23 ,
-30 ,
-32 ,
-37 ,
-41 ,
-48 ,
-49 ,
-58 ,
-58 ,
-68 ,
-71 ,
-77 ,
-86 ,
-87 ,
-99 ,
-99 ,
-108  ,
-114  ,
-118  ,
-126  ,
-127  ,
-130  ,
-130  ,
-132  ,
-125  ,
-129  ,
-115  ,
-119  ,
-105  ,
-104  ,
-90 ,
-86 ,
-73 ,
-69 ,
-59 ,
-51 ,
-44 ,
-36 ,
-30 ,
-23 ,
-18 ,
-12 ,
-4  ,
-2  ,
12  ,
11  ,
24  ,
28  ,
38  ,
44  ,
55  ,
58  ,
69  ,
73  ,
78  ,
83  ,
84  ,
89  ,
90  ,
92  ,
94  ,
95  ,
93  ,
94  ,
94  ,
91  ,
93  ,
90  ,
88  ,
89  ,
88  ,
87  ,
87  ,
84  ,
84  ,
79  ,
77  ,
69  ,
69  ,
59  ,
60  ,
50  ,
47  ,
42  ,
34  ,
30  ,
26  ,
18  ,
20  ,
11  ,
11  ,
4 ,
2 ,
0 ,
-3  ,
-3  ,
-5  ,
-5  ,
-5  ,
-6  ,
-3  ,
-3  ,
4 ,
6 ,
15  ,
18  ,
26  ,
30  ,
39  ,
40  ,
52  ,
48  ,
61  ,
57  ,
64  ,
63  ,
69  ,
69  ,
75  ,
75  ,
80  ,
80  ,
84  ,
84  ,
87  ,
91  ,
93  ,
96  ,
96  ,
99  ,
96  ,
102 ,
96  ,
98  ,
95  ,
91  ,
88  ,
82  ,
78  ,
74  ,
69  ,
66  ,
58  ,
55  ,
45  ,
40  ,
31  ,
27  ,
19  ,
16  ,
9 ,
3 ,
3 ,
-5  ,
3 ,
-2  ,
4 ,
4 ,
6 ,
10  ,
9 ,
16  ,
13  ,
20  ,
20  ,
18  ,
20  ,
15  ,
16  ,
13  ,
16  ,
12  ,
20  ,
14  ,
24  ,
20  ,
31  ,
30  ,
39  ,
41  ,
48  ,
50  ,
54  ,
60  ,
61  ,
69  ,
70  ,
75  ,
80  ,
79  ,
89  ,
86  ,
95  ,
99  ,
100 ,
110 ,
107 ,
116 ,
112 ,
119 ,
117 ,
120 ,
120 ,
114 ,
115 ,
108 ,
105 ,
102 ,
97  ,
90  ,
91  ,
80  ,
81  ,
74  ,
74  ,
71  ,
71  ,
68  ,
69  ,
65  ,
63  ,
64  ,
58  ,
64  ,
60  ,
61  ,
60  ,
59  ,
60  ,
62  ,
62  ,
68  ,
63  ,
71  ,
62  ,
67  ,
61  ,
59  ,
56  ,
52  ,
49  ,
44  ,
40  ,
32  ,
34  ,
23  ,
26  ,
17  ,
19  ,
13  ,
12  ,
9 ,
8 ,
9 ,
6 ,
6 ,
4 ,
2 ,
-2  ,
-5  ,
-7  ,
-11 ,
-12 ,
-19 ,
-20 ,
-24 ,
-25 ,
-28 ,
-27 ,
-29 ,
-28 ,
-32 ,
-29 ,
-34 ,
-28 ,
-32 ,
-28 ,
-30 ,
-27 ,
-30 ,
-25 ,
-28 ,
-21 ,
-22 ,
-19 ,
-17 ,
-16 ,
-17 ,
-17 ,
-21 ,
-19 ,
-22 ,
-23 ,
-28 ,
-29 ,
-38 ,
-37 ,
-44 ,
-41 ,
-44 ,
-43 ,
-41 ,
-44 ,
-35 ,
-39 ,
-30 ,
-26 ,
-21 ,
-14 ,
-13 ,
-8  ,
-6  ,
-2  ,
4 ,
4 ,
12  ,
11  ,
18  ,
16  ,
22  ,
24  ,
25  ,
30  ,
29  ,
29  ,
32  ,
28  ,
32  ,
28  ,
30  ,
26  ,
22  ,
20  ,
13  ,
10  ,
7 ,
-1  ,
3 ,
-11 ,
-6  ,
-14 ,
-17 ,
-17 ,
-22 ,
-22 ,
-23 ,
-30 ,
-27 ,
-37 ,
-33 ,
-44 ,
-39 ,
-48 ,
-42 ,
-52 ,
-45 ,
-53 ,
-48 ,
-51 ,
-51 ,
-51 ,
-51 ,
-56 ,
-53 ,
-60 ,
-58 ,
-61 ,
-64 ,
-62 ,
-69 ,
-68 ,
-71 ,
-74 ,
-68 ,
-76 ,
-65 ,
-70 ,
-64 ,
-62 ,
-60 ,
-54 ,
-52 ,
-44 ,
-42 ,
-36 ,
-36 ,
-31 ,
-31 ,
-28 ,
-29 ,
-23 ,
-25 ,
-19 ,
-22 ,
-19 ,
-19 ,
-16 ,
-19 ,
-13 ,
-18 ,
-13 ,
-18 ,
-11 ,
-16 ,
-8  ,
-9  ,
-5  ,
-4  ,
-2  ,
-4  ,
1 ,
0 ,
0 ,
4 ,
-2  ,
0 ,
-5  ,
-9  ,
-13 ,
-16 ,
-24 ,
-25 ,
-38 ,
-39 ,
-49 ,
-52 ,
-58 ,
-60 ,
-67 ,
-68 ,
-72 ,
-76 ,
-75 ,
-79 ,
-75 ,
-77 ,
-75 ,
-76 ,
-77 ,
-75 ,
-79 ,
-75 ,
-79 ,
-74 ,
-76 ,
-76 ,
-75 ,
-79 ,
-76 ,
-77 ,
-76 ,
-72 ,
-73 ,
-70 ,
-69 ,
-68 ,
-64 ,
-62 ,
-58 ,
-57 ,
-52 ,
-52 ,
-47 ,
-48 ,
-38 ,
-42 ,
-34 ,
-33 ,
-33 ,
-26 ,
-27 ,
-25 ,
-18 ,
-21 ,
-14 ,
-15 ,
-15 ,
-12 ,
-12 ,
-9  ,
-6  ,
-6  ,
-4  ,
-7  ,
-5  ,
-11 ,
-11 ,
-14 ,
-19 ,
-23 ,
-32 ,
-37 ,
-48 ,
-51 ,
-61 ,
-63 ,
-69 ,
-72 ,
-76 ,
-76 ,
-80 ,
-77 ,
-79 ,
-77 ,
-72 ,
-74 ,
-66 ,
-68 ,
-62 ,
-60 ,
-54 ,
-54 ,
-46 ,
-49 ,
-42 ,
-43 ,
-38 ,
-36 ,
-30 ,
-29 ,
-23 ,
-23 ,
-19 ,
-15 ,
-10 ,
-7  ,
4 ,
3 ,
12  ,
15  ,
18  ,
26  ,
33  ,
34  ,
48  ,
46  ,
55  ,
60  ,
58  ,
70  ,
64  ,
72  ,
69  ,
70  ,
66  ,
66  ,
61  ,
62  ,
57  ,
56  ,
49  ,
50  ,
43  ,
45  ,
43  ,
43  ,
46  ,
43  ,
45  ,
39  ,
40  ,
36  ,
38  ,
31  ,
36  ,
20  ,
25  ,
9 ,
8 ,
-3  ,
-6  ,
-17 ,
-21 ,
-32 ,
-37 ,
-46 ,
-53 ,
-59 ,
-62 ,
-72 ,
-69 ,
-83 ,
-79 ,
-87 ,
-88 ,
-86 ,
-90 ,
-89 ,
-90 ,
-92 ,
-90 ,
-89 ,
-88 ,
-81 ,
-83 ,
-72 ,
-75 ,
-66 ,
-65 ,
-57 ,
-54 ,
-46 ,
-44 ,
-38 ,
-34 ,
-26 ,
-26 ,
-13 ,
-15 ,
-5  ,
-1  ,
-2  ,
6 ,
1 ,
8 ,
7 ,
10  ,
9 ,
12  ,
6 ,
11  ,
9 ,
10  ,
15  ,
13  ,
18  ,
17  ,
18  ,
24  ,
19  ,
31  ,
26  ,
36  ,
29  ,
39  ,
26  ,
37  ,
27  ,
31  ,
27  ,
24  ,
21  ,
17  ,
11  ,
7 ,
3 ,
-2  ,
-8  ,
-10 ,
-19 ,
-20 ,
-25 ,
-30 ,
-26 ,
-33 ,
-29 ,
-31 ,
-32 ,
-28 ,
-28 ,
-22 ,
-21 ,
-11 ,
-14 ,
-2  ,
-6  ,
5 ,
7 ,
12  ,
17  ,
21  ,
21  ,
28  ,
26  ,
31  ,
35  ,
39  ,
46  ,
50  ,
57  ,
63  ,
69  ,
79  ,
81  ,
92  ,
89  ,
104 ,
93  ,
109 ,
102 ,
109 ,
112 ,
111 ,
113 ,
112 ,
109 ,
111 ,
109 ,
108 ,
110 ,
105 ,
106 ,
100 ,
98  ,
95  ,
90  ,
91  ,
83  ,
82  ,
76  ,
68  ,
64  ,
59  ,
54  ,
51  ,
50  ,
42  ,
43  ,
37  ,
36  ,
33  ,
32  ,
30  ,
28  ,
28  ,
22  ,
22  ,
18  ,
16  ,
16  ,
14  ,
14  ,
13  ,
11  ,
14  ,
11  ,
14  ,
11  ,
14  ,
7 ,
11  ,
2 ,
5 ,
2 ,
-1  ,
3 ,
-3  ,
1 ,
-1  ,
3 ,
3 ,
9 ,
8 ,
19  ,
16  ,
28  ,
26  ,
38  ,
38  ,
47  ,
51  ,
54  ,
57  ,
61  ,
57  ,
64  ,
60  ,
61  ,
58  ,
59  ,
51  ,
53  ,
47  ,
47  ,
48  ,
45  ,
46  ,
44  ,
43  ,
43  ,
39  ,
40  ,
43  ,
40  ,
47  ,
41  ,
48  ,
44  ,
50  ,
49  ,
54  ,
52  ,
59  ,
54  ,
57  ,
56  ,
52  ,
55  ,
48  ,
49  ,
48  ,
43  ,
46  ,
41  ,
45  ,
43  ,
48  ,
45  ,
50  ,
46  ,
51  ,
45  ,
52  ,
46  ,
48  ,
47  ,
42  ,
46  ,
40  ,
43  ,
37  ,
40  ,
35  ,
33  ,
33  ,
30  ,
29  ,
29  ,
25  ,
25  ,
23  ,
19  ,
22  ,
15  ,
20  ,
15  ,
17  ,
12  ,
12  ,
7 ,
7 ,
7 ,
4 ,
8 ,
2 ,
7 ,
-1  ,
5 ,
-2  ,
2 ,
-3  ,
-1  ,
-6  ,
-7  ,
-11 ,
-14 ,
-14 ,
-18 ,
-16 ,
-19 ,
-19 ,
-21 ,
-25 ,
-24 ,
-28 ,
-30 ,
-33 ,
-36 ,
-38 ,
-41 ,
-40 ,
-45 ,
-42 ,
-44 ,
-40 ,
-42 ,
-35 ,
-35 ,
-29 ,
-23 ,
-18 ,
-14 ,
-7  ,
-8  ,
2 ,
2 ,
6 ,
11  ,
9 ,
13  ,
11  ,
10  ,
9 ,
7 ,
1 ,
3 ,
-7  ,
-5  ,
-10 ,
-12 ,
-11 ,
-13 ,
-13 ,
-13 ,
-14 ,
-18 ,
-15 ,
-20 ,
-19 ,
-18 ,
-20 ,
-19 ,
-18 ,
-21 ,
-19 ,
-19 ,
-16 ,
-17 ,
-13 ,
-17 ,
-15 ,
-17 ,
-22 ,
-21 ,
-26 ,
-26 ,
-30 ,
-31 ,
-33 ,
-37 ,
-35 ,
-39 ,
-35 ,
-34 ,
-36 ,
-30 ,
-33 ,
-27 ,
-28 ,
-24 ,
-21 ,
-19 ,
-13 ,
-15 ,
-7  ,
-9  ,
-4  ,
-2  ,
-2  ,
3 ,
3 ,
5 ,
8 ,
11  ,
12  ,
18  ,
16  ,
22  ,
19  ,
24  ,
21  ,
26  ,
23  ,
26  ,
24  ,
20  ,
21  ,
12  ,
16  ,
9 ,
9 ,
8 ,
3 ,
5 ,
0 ,
0 ,
1 ,
-7  ,
-4  ,
-14 ,
-16 ,
-25 ,
-29 ,
-39 ,
-37 ,
-50 ,
-46 ,
-60 ,
-59 ,
-69 ,
-74 ,
-77 ,
-84 ,
-86 ,
-89 ,
-98 ,
-99 ,
-106  ,
-106  ,
-111  ,
-108  ,
-112  ,
-108  ,
-111  ,
-110  ,
-111  ,
-108  ,
-108  ,
-104  ,
-100  ,
-100  ,
-94 ,
-95 ,
-88 ,
-89 ,
-83 ,
-85 ,
-81 ,
-80 ,
-81 ,
-77 ,
-80 ,
-73 ,
-75 ,
-70 ,
-70 ,
-63 ,
-65 ,
-56 ,
-56 ,
-48 ,
-44 ,
-39 ,
-34 ,
-31 ,
-24 ,
-21 ,
-12 ,
-12 ,
1 ,
-3  ,
9 ,
6 ,
9 ,
13  ,
11  ,
17  ,
10  ,
14  ,
4 ,
7 ,
1 ,
-1  ,
-3  ,
-9  ,
-10 ,
-16 ,
-18 ,
-24 ,
-22 ,
-27 ,
-24 ,
-25 ,
-29 ,
-23 ,
-30 ,
-24 ,
-25 ,
-21 ,
-21 ,
-17 ,
-18 ,
-14 ,
-14 ,
-12 ,
-10 ,
-7  ,
-5  ,
0 ,
-4  ,
6 ,
-2  ,
9 ,
6 ,
12  ,
15  ,
14  ,
20  ,
15  ,
23  ,
20  ,
24  ,
27  ,
27  ,
29  ,
32  ,
31  ,
37  ,
38  ,
42  ,
46  ,
45  ,
49  ,
45  ,
49  ,
47  ,
46  ,
44  ,
41  ,
36  ,
35  ,
28  ,
29  ,
25  ,
25  ,
23  ,
18  ,
17  ,
12  ,
8 ,
8 ,
0 ,
2 ,
-7  ,
-5  ,
-15 ,
-14 ,
-20 ,
-21 ,
-24 ,
-31 ,
-29 ,
-40 ,
-37 ,
-47 ,
-47 ,
-52 ,
-51 ,
-61 ,
-56 ,
-71 ,
-66 ,
-77 ,
-77 ,
-82 ,
-89 ,
-88 ,
-100  ,
-98 ,
-104  ,
-103  ,
-102  ,
-102  ,
-99 ,
-98 ,
-95 ,
-91 ,
-89 ,
-82 ,
-78 ,
-73 ,
-66 ,
-64 ,
-58 ,
-54 ,
-49 ,
-43 ,
-37 ,
-32 ,
-26 ,
-23 ,
-19 ,
-15 ,
-11 ,
-10 ,
-5  ,
-4  ,
-1  ,
3 ,
3 ,
10  ,
11  ,
17  ,
20  ,
24  ,
29  ,
33  ,
39  ,
42  ,
51  ,
55  ,
61  ,
68  ,
68  ,
77  ,
78  ,
84  ,
87  ,
90  ,
90  ,
91  ,
91  ,
88  ,
91  ,
83  ,
87  ,
80  ,
78  ,
75  ,
70  ,
65  ,
62  ,
58  ,
48  ,
50  ,
33  ,
37  ,
21  ,
25  ,
11  ,
15  ,
2 ,
6 ,
-6  ,
0 ,
-8  ,
-5  ,
-6  ,
-7  ,
-4  ,
-7  ,
-4  ,
-8  ,
-2  ,
-6  ,
2 ,
-1  ,
3 ,
6 ,
5 ,
12  ,
8 ,
17  ,
15  ,
18  ,
20  ,
20  ,
24  ,
26  ,
29  ,
31  ,
34  ,
36  ,
40  ,
42  ,
45  ,
48  ,
49  ,
53  ,
50  ,
56  ,
50  ,
54  ,
50  ,
50  ,
46  ,
45  ,
39  ,
36  ,
34  ,
28  ,
26  ,
24  ,
19  ,
21  ,
16  ,
17  ,
21  ,
16  ,
24  ,
18  ,
22  ,
23  ,
19  ,
21  ,
17  ,
20  ,
16  ,
19  ,
14  ,
15  ,
14  ,
15  ,
14  ,
18  ,
15  ,
19  ,
15  ,
19  ,
14  ,
17  ,
14  ,
17  ,
12  ,
18  ,
11  ,
15  ,
13  ,
11  ,
16  ,
14  ,
17  ,
20  ,
19  ,
28  ,
28  ,
36  ,
41  ,
44  ,
54  ,
54  ,
64  ,
65  ,
70  ,
75  ,
75  ,
80  ,
81  ,
78  ,
88  ,
79  ,
90  ,
83  ,
89  ,
83  ,
87  ,
81  ,
84  ,
78  ,
82  ,
72  ,
78  ,
65  ,
68  ,
63  ,
58  ,
58  ,
55  ,
53  ,
53  ,
49  ,
52  ,
46  ,
52  ,
45  ,
52  ,
45  ,
50  ,
41  ,
46  ,
37  ,
39  ,
33  ,
33  ,
27  ,
27  ,
20  ,
19  ,
13  ,
12  ,
8 ,
7 ,
3 ,
4 ,
1 ,
1 ,
2 ,
0 ,
4 ,
2 ,
3 ,
3 ,
3 ,
2 ,
1 ,
2 ,
-3  ,
3 ,
-5  ,
-1  ,
-7  ,
-6  ,
-12 ,
-12 ,
-16 ,
-19 ,
-22 ,
-20 ,
-28 ,
-21 ,
-29 ,
-24 ,
-28 ,
-26 ,
-28 ,
-27 ,
-24 ,
-27 ,
-23 ,
-26 ,
-26 ,
-28 ,
-27 ,
-29 ,
-26 ,
-29 ,
-26 ,
-30 ,
-24 ,
-31 ,
-24 ,
-29 ,
-26 ,
-27 ,
-26 ,
-31 ,
-27 ,
-33 ,
-30 ,
-30 ,
-31 ,
-27 ,
-28 ,
-26 ,
-22 ,
-22 ,
-16 ,
-14 ,
-11 ,
-4  ,
0 ,
4 ,
9 ,
15  ,
19  ,
25  ,
26  ,
32  ,
33  ,
39  ,
38  ,
44  ,
44  ,
45  ,
47  ,
40  ,
48  ,
36  ,
46  ,
34  ,
36  ,
32  ,
25  ,
27  ,
17  ,
19  ,
11  ,
9 ,
5 ,
-2  ,
-1  ,
-11 ,
-9  ,
-16 ,
-15 ,
-22 ,
-21 ,
-27 ,
-25 ,
-28 ,
-26 ,
-28 ,
-27 ,
-29 ,
-30 ,
-33 ,
-35 ,
-37 ,
-41 ,
-45 ,
-48 ,
-52 ,
-56 ,
-57 ,
-61 ,
-62 ,
-60 ,
-64 ,
-60 ,
-63 ,
-61 ,
-62 ,
-59 ,
-60 ,
-57 ,
-56 ,
-56 ,
-51 ,
-53 ,
-48 ,
-48 ,
-45 ,
-45 ,
-45 ,
-42 ,
-45 ,
-42 ,
-43 ,
-42 ,
-39 ,
-41 ,
-38 ,
-38 ,
-35 ,
-29 ,
-30 ,
-22 ,
-23 ,
-22 ,
-17 ,
-21 ,
-16 ,
-15 ,
-15 ,
-11 ,
-14 ,
-13 ,
-15 ,
-16 ,
-15 ,
-16 ,
-15 ,
-16 ,
-18 ,
-17 ,
-21 ,
-17 ,
-23 ,
-17 ,
-25 ,
-19 ,
-29 ,
-24 ,
-33 ,
-29 ,
-31 ,
-32 ,
-30 ,
-35 ,
-33 ,
-37 ,
-40 ,
-38 ,
-43 ,
-36 ,
-45 ,
-38 ,
-44 ,
-43 ,
-38 ,
-41 ,
-32 ,
-33 ,
-28 ,
-26 ,
-21 ,
-20 ,
-13 ,
-14 ,
-8  ,
-10 ,
-8  ,
-12 ,
-11 ,
-14 ,
-11 ,
-15 ,
-12 ,
-16 ,
-15 ,
-18 ,
-18 ,
-17 ,
-16 ,
-16 ,
-18 ,
-19 ,
-20 ,
-21 ,
-21 ,
-18 ,
-18 ,
-14 ,
-17 ,
-13 ,
-16 ,
-10 ,
-15 ,
-5  ,
-12 ,
-5  ,
-9  ,
-9  ,
-13 ,
-14 ,
-21 ,
-20 ,
-27 ,
-31 ,
-35 ,
-41 ,
-44 ,
-46 ,
-49 ,
-49 ,
-52 ,
-49 ,
-54 ,
-49 ,
-52 ,
-49 ,
-48 ,
-46 ,
-47 ,
-45 ,
-50 ,
-45 ,
-54 ,
-47 ,
-54 ,
-51 ,
-53 ,
-56 ,
-50 ,
-55 ,
-48 ,
-48 ,
-45 ,
-41 ,
-38 ,
-37 ,
-33 ,
-30 ,
-29 ,
-24 ,
-20 ,
-21 ,
-13 ,
-13 ,
-7  ,
-4  ,
0 ,
3 ,
9 ,
11  ,
13  ,
22  ,
19  ,
34  ,
26  ,
40  ,
37  ,
43  ,
45  ,
47  ,
51  ,
51  ,
56  ,
54  ,
59  ,
57  ,
61  ,
61  ,
64  ,
67  ,
65  ,
67  ,
66  ,
63  ,
64  ,
59  ,
59  ,
54  ,
53  ,
46  ,
48  ,
42  ,
43  ,
38  ,
41  ,
37  ,
38  ,
36  ,
31  ,
32  ,
23  ,
24  ,
16  ,
12  ,
6 ,
-1  ,
-7  ,
-9  ,
-18 ,
-18 ,
-25 ,
-27 ,
-30 ,
-32 ,
-34 ,
-35 ,
-35 ,
-37 ,
-34 ,
-39 ,
-35 ,
-37 ,
-36 ,
-35 ,
-34 ,
-34 ,
-31 ,
-31 ,
-28 ,
-25 ,
-26 ,
-25 ,
-23 ,
-28 ,
-25 ,
-28 ,
-29 ,
-29 ,
-33 ,
-31 ,
-34 ,
-31 ,
-34 ,
-29 ,
-31 ,
-25 ,
-23 ,
-19 ,
-14 ,
-10 ,
-6  ,
-2  ,
2 ,
3 ,
10  ,
8 ,
12  ,
11  ,
12  ,
13  ,
12  ,
9 ,
10  ,
7 ,
7 ,
4 ,
3 ,
1 ,
-1  ,
-4  ,
-6  ,
-9  ,
-9  ,
-14 ,
-12 ,
-18 ,
-16 ,
-20 ,
-20 ,
-21 ,
-24 ,
-22 ,
-27 ,
-24 ,
-30 ,
-27 ,
-30 ,
-29 ,
-30 ,
-28 ,
-27 ,
-24 ,
-22 ,
-18 ,
-16 ,
-11 ,
-7  ,
-2  ,
4 ,
7 ,
17  ,
19  ,
33  ,
31  ,
47  ,
44  ,
59  ,
57  ,
68  ,
67  ,
75  ,
74  ,
85  ,
79  ,
96  ,
86  ,
102 ,
99  ,
107 ,
113 ,
111 ,
122 ,
117 ,
126 ,
121 ,
128 ,
123 ,
128 ,
123 ,
122 ,
119 ,
115 ,
112 ,
104 ,
105 ,
94  ,
95  ,
87  ,
83  ,
80  ,
75  ,
72  ,
65  ,
64  ,
55  ,
54  ,
46  ,
44  ,
39  ,
36  ,
31  ,
30  ,
26  ,
25  ,
22  ,
19  ,
20  ,
15  ,
15  ,
9 ,
4 ,
5 ,
-5  ,
-1  ,
-12 ,
-9  ,
-18 ,
-14 ,
-22 ,
-17 ,
-22 ,
-21 ,
-18 ,
-22 ,
-14 ,
-20 ,
-11 ,
-13 ,
-8  ,
-6  ,
-5  ,
0 ,
-2  ,
3 ,
0 ,
3 ,
0 ,
2 ,
-3  ,
0 ,
-4  ,
-4  ,
-4  ,
-6  ,
-6  ,
-5  ,
-7  ,
-5  ,
-6  ,
-4  ,
-2  ,
-2  ,
3 ,
-1  ,
5 ,
3 ,
4 ,
6 ,
4 ,
3 ,
4 ,
-2  ,
5 ,
-4  ,
1 ,
-1  ,
-2  ,
3 ,
-1  ,
5 ,
3 ,
6 ,
9 ,
8 ,
14  ,
11  ,
15  ,
16  ,
17  ,
19  ,
17  ,
21  ,
19  ,
18  ,
21  ,
14  ,
24  ,
15  ,
23  ,
19  ,
25  ,
26  ,
29  ,
32  ,
35  ,
42  ,
41  ,
49  ,
47  ,
52  ,
53  ,
55  ,
54  ,
59  ,
56  ,
61  ,
56  ,
63  ,
57  ,
61  ,
62  ,
58  ,
63  ,
57  ,
59  ,
56  ,
55  ,
50  ,
49  ,
42  ,
41  ,
35  ,
30  ,
27  ,
21  ,
20  ,
15  ,
15  ,
9 ,
11  ,
5 ,
5 ,
1 ,
-4  ,
-6  ,
-11 ,
-15 ,
-20 ,
-24 ,
-29 ,
-31 ,
-35 ,
-36 ,
-36 ,
-40 ,
-35 ,
-38 ,
-32 ,
-31 ,
-27 ,
-22 ,
-20 ,
-13 ,
-10 ,
-6  ,
-3  ,
-1  ,
1 ,
0 ,
3 ,
-3  ,
-1  ,
-8  ,
-10 ,
-15 ,
-22 ,
-22 ,
-32 ,
-30 ,
-40 ,
-36 ,
-43 ,
-41 ,
-47 ,
-42 ,
-50 ,
-41 ,
-49 ,
-45 ,
-44 ,
-46 ,
-45 ,
-45 ,
-50 ,
-45 ,
-54 ,
-48 ,
-58 ,
-54 ,
-64 ,
-57 ,
-66 ,
-60 ,
-65 ,
-59 ,
-63 ,
-59 ,
-59 ,
-59 ,
-52 ,
-55 ,
-49 ,
-48 ,
-45 ,
-44 ,
-42 ,
-39 ,
-41 ,
-35 ,
-37 ,
-32 ,
-34 ,
-31 ,
-30 ,
-29 ,
-23 ,
-25 ,
-17 ,
-19 ,
-11 ,
-10 ,
-8  ,
-2  ,
-1  ,
3 ,
8 ,
8 ,
13  ,
13  ,
18  ,
17  ,
24  ,
20  ,
30  ,
23  ,
33  ,
30  ,
34  ,
33  ,
35  ,
31  ,
33  ,
29  ,
25  ,
26  ,
20  ,
21  ,
17  ,
14  ,
16  ,
10  ,
15  ,
11  ,
13  ,
12  ,
11  ,
12  ,
8 ,
8 ,
7 ,
1 ,
3 ,
-8  ,
-6  ,
-17 ,
-20 ,
-26 ,
-32 ,
-36 ,
-41 ,
-41 ,
-48 ,
-45 ,
-49 ,
-52 ,
-46 ,
-52 ,
-46 ,
-48 ,
-47 ,
-49 ,
-46 ,
-51 ,
-51 ,
-52 ,
-56 ,
-55 ,
-58 ,
-62 ,
-62 ,
-66 ,
-65 ,
-69 ,
-69 ,
-71 ,
-69 ,
-70 ,
-68 ,
-68 ,
-65 ,
-65 ,
-59 ,
-59 ,
-53 ,
-53 ,
-49 ,
-47 ,
-44 ,
-43 ,
-41 ,
-42 ,
-40 ,
-40 ,
-44 ,
-37 ,
-46 ,
-39 ,
-42 ,
-41 ,
-41 ,
-39 ,
-38 ,
-35 ,
-34 ,
-33 ,
-32 ,
-28 ,
-28 ,
-24 ,
-25 ,
-19 ,
-20 ,
-17 ,
-16 ,
-16 ,
-14 ,
-13 ,
-15 ,
-15 ,
-13 ,
-21 ,
-13 ,
-24 ,
-14 ,
-22 ,
-11 ,
-16 ,
-9  ,
-6  ,
-6  ,
1 ,
0 ,
8 ,
7 ,
15  ,
12  ,
19  ,
18  ,
21  ,
24  ,
24  ,
28  ,
28  ,
29  ,
30  ,
27  ,
31  ,
22  ,
30  ,
22  ,
25  ,
22  ,
23  ,
20  ,
22  ,
22  ,
23  ,
25  ,
28  ,
26  ,
32  ,
33  ,
35  ,
38  ,
42  ,
40  ,
48  ,
43  ,
47  ,
45  ,
47  ,
44  ,
46  ,
40  ,
44  ,
35  ,
40  ,
34  ,
35  ,
32  ,
33  ,
31  ,
32  ,
28  ,
29  ,
26  ,
25  ,
23  ,
18  ,
15  ,
10  ,
4 ,
-2  ,
-7  ,
-17 ,
-19 ,
-33 ,
-35 ,
-42 ,
-51 ,
-50 ,
-60 ,
-62 ,
-66 ,
-72 ,
-74 ,
-76 ,
-77 ,
-77 ,
-72 ,
-74 ,
-68 ,
-68 ,
-63 ,
-63 ,
-58 ,
-57 ,
-56 ,
-51 ,
-55 ,
-49 ,
-52 ,
-49 ,
-47 ,
-50 ,
-42 ,
-45 ,
-42 ,
-39 ,
-39 ,
-34 ,
-28 ,
-29 ,
-18 ,
-16 ,
-11 ,
-2  ,
-2  ,
7 ,
9 ,
13  ,
20  ,
17  ,
26  ,
22  ,
30  ,
29  ,
32  ,
35  ,
38  ,
43  ,
47  ,
53  ,
54  ,
64  ,
60  ,
69  ,
70  ,
67  ,
76  ,
67  ,
75  ,
67  ,
66  ,
63  ,
58  ,
55  ,
52  ,
45  ,
46  ,
36  ,
37  ,
30  ,
29  ,
23  ,
22  ,
17  ,
13  ,
12  ,
4 ,
3 ,
0 ,
-4  ,
-5  ,
-7  ,
-10 ,
-7  ,
-8  ,
-7  ,
-4  ,
-3  ,
1 ,
2 ,
3 ,
7 ,
7 ,
12  ,
11  ,
14  ,
16  ,
16  ,
22  ,
17  ,
25  ,
22  ,
27  ,
29  ,
32  ,
36  ,
39  ,
46  ,
49  ,
54  ,
60  ,
60  ,
67  ,
66  ,
67  ,
68  ,
63  ,
67  ,
59  ,
61  ,
52  ,
53  ,
48  ,
46  ,
44  ,
39  ,
41  ,
35  ,
37  ,
34  ,
33  ,
34  ,
31  ,
36  ,
29  ,
33  ,
30  ,
29  ,
31  ,
24  ,
25  ,
22  ,
19  ,
16  ,
12  ,
10  ,
6 ,
6 ,
2 ,
3 ,
0 ,
2 ,
0 ,
0 ,
3 ,
1 ,
6 ,
5 ,
8 ,
12  ,
13  ,
19  ,
20  ,
23  ,
28  ,
24  ,
34  ,
25  ,
34  ,
28  ,
31  ,
31  ,
33  ,
34  ,
37  ,
38  ,
40  ,
42  ,
46  ,
46  ,
50  ,
51  ,
52  ,
57  ,
53  ,
58  ,
55  ,
57  ,
56  ,
56  ,
55  ,
55  ,
52  ,
53  ,
49  ,
51  ,
44  ,
47  ,
38  ,
44  ,
36  ,
35  ,
32  ,
28  ,
27  ,
25  ,
22  ,
21  ,
21  ,
22  ,
19  ,
24  ,
17  ,
22  ,
19  ,
17  ,
19  ,
13  ,
12  ,
11  ,
2 ,
5 ,
-5  ,
-6  ,
-9  ,
-15 ,
-17 ,
-21 ,
-24 ,
-26 ,
-27 ,
-28 ,
-26 ,
-28 ,
-22 ,
-25 ,
-17 ,
-19 ,
-14 ,
-12 ,
-13 ,
-7  ,
-14 ,
-6  ,
-14 ,
-9  ,
-13 ,
-10 ,
-13 ,
-7  ,
-12 ,
-4  ,
-8  ,
-4  ,
-2  ,
-3  ,
2 ,
4 ,
2 ,
9 ,
4 ,
12  ,
7 ,
13  ,
7 ,
12  ,
6 ,
7 ,
2 ,
1 ,
-4  ,
-7  ,
-8  ,
-15 ,
-11 ,
-18 ,
-16 ,
-19 ,
-20 ,
-21 ,
-20 ,
-22 ,
-19 ,
-21 ,
-17 ,
-15 ,
-15 ,
-9  ,
-8  ,
-4  ,
1 ,
2 ,
9 ,
9 ,
14  ,
14  ,
17  ,
17  ,
21  ,
19  ,
25  ,
23  ,
26  ,
27  ,
27  ,
29  ,
29  ,
30  ,
28  ,
30  ,
28  ,
25  ,
28  ,
22  ,
23  ,
22  ,
17  ,
19  ,
12  ,
12  ,
4 ,
4 ,
-4  ,
-5  ,
-12 ,
-12 ,
-18 ,
-17 ,
-23 ,
-24 ,
-24 ,
-28 ,
-26 ,
-29 ,
-28 ,
-27 ,
-31 ,
-29 ,
-34 ,
-34 ,
-39 ,
-42 ,
-45 ,
-50 ,
-51 ,
-57 ,
-57 ,
-62 ,
-63 ,
-68 ,
-67 ,
-75 ,
-68 ,
-80 ,
-68 ,
-80 ,
-72 ,
-79 ,
-75 ,
-75 ,
-76 ,
-68 ,
-69 ,
-65 ,
-61 ,
-61 ,
-58 ,
-55 ,
-55 ,
-51 ,
-54 ,
-48 ,
-53 ,
-47 ,
-52 ,
-49 ,
-51 ,
-47 ,
-50 ,
-44 ,
-49 ,
-40 ,
-46 ,
-36 ,
-37 ,
-31 ,
-29 ,
-24 ,
-20 ,
-17 ,
-8  ,
-8  ,
0 ,
0 ,
2 ,
5 ,
2 ,
6 ,
3 ,
5 ,
2 ,
2 ,
-2  ,
1 ,
-4  ,
-1  ,
-5  ,
1 ,
-5  ,
4 ,
-3  ,
4 ,
1 ,
4 ,
6 ,
5 ,
7 ,
5 ,
6 ,
2 ,
4 ,
-3  ,
1 ,
-6  ,
-4  ,
-8  ,
-10 ,
-5  ,
-13 ,
-3  ,
-7  ,
-4  ,
0 ,
-1  ,
4 ,
5 ,
10  ,
12  ,
15  ,
15  ,
17  ,
15  ,
17  ,
12  ,
17  ,
10  ,
17  ,
9 ,
15  ,
6 ,
10  ,
3 ,
7 ,
1 ,
4 ,
-1  ,
2 ,
-3  ,
-1  ,
-4  ,
-5  ,
-6  ,
-8  ,
-10 ,
-14 ,
-17 ,
-18 ,
-24 ,
-22 ,
-30 ,
-30 ,
-35 ,
-36 ,
-41 ,
-40 ,
-46 ,
-45 ,
-49 ,
-53 ,
-53 ,
-60 ,
-57 ,
-64 ,
-60 ,
-65 ,
-60 ,
-64 ,
-61 ,
-61 ,
-57 ,
-57 ,
-52 ,
-55 ,
-50 ,
-51 ,
-51 ,
-49 ,
-53 ,
-47 ,
-53 ,
-49 ,
-52 ,
-53 ,
-50 ,
-52 ,
-48 ,
-48 ,
-48 ,
-43 ,
-46 ,
-36 ,
-40 ,
-30 ,
-27 ,
-23 ,
-15 ,
-17 ,
-10 ,
-8  ,
-4  ,
1 ,
4 ,
7 ,
9 ,
13  ,
16  ,
17  ,
26  ,
23  ,
34  ,
34  ,
39  ,
46  ,
46  ,
55  ,
55  ,
61  ,
66  ,
65  ,
73  ,
69  ,
75  ,
72  ,
75  ,
69  ,
70  ,
64  ,
63  ,
59  ,
58  ,
51  ,
53  ,
43  ,
49  ,
38  ,
43  ,
34  ,
38  ,
33  ,
30  ,
30  ,
23  ,
25  ,
16  ,
16  ,
12  ,
9 ,
7 ,
2 ,
0 ,
0 ,
-5  ,
-3  ,
-6  ,
-6  ,
-6  ,
-7  ,
-6  ,
-10 ,
-7  ,
-11 ,
-8  ,
-11 ,
-10 ,
-14 ,
-10 ,
-15 ,
-9  ,
-14 ,
-14 ,
-15 ,
-20 ,
-18 ,
-23 ,
-26 ,
-27 ,
-30 ,
-31 ,
-32 ,
-34 ,
-37 ,
-33 ,
-42 ,
-31 ,
-42 ,
-31 ,
-37 ,
-31 ,
-32 ,
-28 ,
-29 ,
-26 ,
-24 ,
-24 ,
-18 ,
-18 ,
-16 ,
-12 ,
-13 ,
-12 ,
-11 ,
-16 ,
-12 ,
-21 ,
-16 ,
-26 ,
-22 ,
-27 ,
-28 ,
-30 ,
-34 ,
-31 ,
-38 ,
-30 ,
-40 ,
-31 ,
-37 ,
-34 ,
-35 ,
-33 ,
-33 ,
-32 ,
-30 ,
-29 ,
-27 ,
-25 ,
-25 ,
-20 ,
-23 ,
-14 ,
-20 ,
-9  ,
-11 ,
-5  ,
-1  ,
4 ,
8 ,
14  ,
17  ,
23  ,
25  ,
35  ,
33  ,
46  ,
45  ,
54  ,
56  ,
64  ,
65  ,
73  ,
75  ,
80  ,
84  ,
85  ,
92  ,
89  ,
96  ,
97  ,
97  ,
107 ,
100 ,
110 ,
108 ,
111 ,
115 ,
113 ,
116 ,
118 ,
118 ,
120 ,
119 ,
118 ,
118 ,
114 ,
114 ,
108 ,
107 ,
102 ,
100 ,
96  ,
92  ,
91  ,
82  ,
85  ,
74  ,
75  ,
68  ,
67  ,
60  ,
59  ,
56  ,
48  ,
50  ,
41  ,
43  ,
34  ,
34  ,
24  ,
26  ,
15  ,
17  ,
6 ,
6 ,
0 ,
-3  ,
-7  ,
-9  ,
-14 ,
-15 ,
-18 ,
-19 ,
-23 ,
-23 ,
-29 ,
-26 ,
-35 ,
-28 ,
-37 ,
-34 ,
-32 ,
-36 ,
-32 ,
-33 ,
-34 ,
-29 ,
-32 ,
-28 ,
-29 ,
-26 ,
-27 ,
-26 ,
-26 ,
-27 ,
-25 ,
-26 ,
-25 ,
-23 ,
-23 ,
-21 ,
-19 ,
-23 ,
-16 ,
-23 ,
-17 ,
-18 ,
-18 ,
-14 ,
-15 ,
-11 ,
-9  ,
-8  ,
-4  ,
-6  ,
0 ,
-2  ,
2 ,
1 ,
6 ,
3 ,
6 ,
5 ,
8 ,
6 ,
10  ,
7 ,
12  ,
10  ,
11  ,
10  ,
12  ,
11  ,
16  ,
11  ,
18  ,
14  ,
19  ,
17  ,
24  ,
16  ,
28  ,
17  ,
31  ,
23  ,
30  ,
31  ,
34  ,
39  ,
44  ,
44  ,
55  ,
52  ,
64  ,
64  ,
71  ,
75  ,
78  ,
80  ,
83  ,
85  ,
81  ,
88  ,
77  ,
84  ,
76  ,
76  ,
74  ,
68  ,
70  ,
59  ,
66  ,
54  ,
58  ,
51  ,
48  ,
48  ,
40  ,
38  ,
33  ,
25  ,
25  ,
13  ,
12  ,
5 ,
-2  ,
-6  ,
-13 ,
-19 ,
-24 ,
-27 ,
-34 ,
-33 ,
-41 ,
-38 ,
-43 ,
-41 ,
-41 ,
-41 ,
-39 ,
-40 ,
-34 ,
-40 ,
-32 ,
-38 ,
-32 ,
-34 ,
-34 ,
-33 ,
-32 ,
-34 ,
-28 ,
-36 ,
-28 ,
-33 ,
-32 ,
-31 ,
-36 ,
-33 ,
-40 ,
-38 ,
-41 ,
-46 ,
-45 ,
-53 ,
-51 ,
-57 ,
-56 ,
-64 ,
-57 ,
-67 ,
-59 ,
-67 ,
-63 ,
-64 ,
-65 ,
-63 ,
-64 ,
-62 ,
-59 ,
-61 ,
-54 ,
-58 ,
-52 ,
-55 ,
-53 ,
-52 ,
-55 ,
-49 ,
-57 ,
-48 ,
-55 ,
-49 ,
-50 ,
-47 ,
-49 ,
-41 ,
-47 ,
-36 ,
-43 ,
-34 ,
-37 ,
-32 ,
-35 ,
-27 ,
-32 ,
-24 ,
-24 ,
-21 ,
-16 ,
-14 ,
-9  ,
-8  ,
4 ,
0 ,
14  ,
12  ,
20  ,
23  ,
25  ,
30  ,
31  ,
37  ,
36  ,
41  ,
40  ,
41  ,
43  ,
39  ,
43  ,
39  ,
42  ,
40  ,
40  ,
40  ,
42  ,
38  ,
40  ,
41  ,
38  ,
42  ,
37  ,
40  ,
36  ,
37  ,
29  ,
33  ,
22  ,
26  ,
16  ,
19  ,
10  ,
12  ,
4 ,
3 ,
-2  ,
-7  ,
-13 ,
-17 ,
-25 ,
-26 ,
-30 ,
-36 ,
-34 ,
-43 ,
-39 ,
-46 ,
-43 ,
-48 ,
-51 ,
-49 ,
-55 ,
-54 ,
-54 ,
-59 ,
-54 ,
-56 ,
-56 ,
-54 ,
-53 ,
-53 ,
-49 ,
-52 ,
-48 ,
-48 ,
-49 ,
-45 ,
-48 ,
-45 ,
-44 ,
-44 ,
-43 ,
-43 ,
-41 ,
-45 ,
-40 ,
-47 ,
-41 ,
-47 ,
-44 ,
-49 ,
-46 ,
-53 ,
-46 ,
-53 ,
-49 ,
-47 ,
-50 ,
-42 ,
-47 ,
-44 ,
-43 ,
-47 ,
-45 ,
-47 ,
-49 ,
-48 ,
-50 ,
-50 ,
-52 ,
-49 ,
-56 ,
-47 ,
-56 ,
-49 ,
-50 ,
-52 ,
-47 ,
-48 ,
-49 ,
-42 ,
-45 ,
-42 ,
-37 ,
-41 ,
-30 ,
-34 ,
-24 ,
-25 ,
-19 ,
-14 ,
-10 ,
-4  ,
1 ,
2 ,
10  ,
12  ,
16  ,
21  ,
19  ,
24  ,
26  ,
23  ,
31  ,
25  ,
30  ,
29  ,
26  ,
30  ,
27  ,
29  ,
29  ,
29  ,
32  ,
32  ,
36  ,
34  ,
40  ,
38  ,
41  ,
45  ,
43  ,
48  ,
45  ,
50  ,
44  ,
50  ,
45  ,
47  ,
45  ,
44  ,
40  ,
42  ,
35  ,
36  ,
31  ,
30  ,
24  ,
25  ,
18  ,
19  ,
16  ,
12  ,
13  ,
6 ,
8 ,
1 ,
0 ,
-6  ,
-6  ,
-10 ,
-13 ,
-15 ,
-22 ,
-21 ,
-31 ,
-28 ,
-37 ,
-35 ,
-38 ,
-41 ,
-41 ,
-42 ,
-45 ,
-40 ,
-45 ,
-42 ,
-41 ,
-44 ,
-40 ,
-44 ,
-41 ,
-45 ,
-40 ,
-46 ,
-42 ,
-50 ,
-45 ,
-51 ,
-46 ,
-48 ,
-43 ,
-43 ,
-38 ,
-41 ,
-36 ,
-39 ,
-34 ,
-36 ,
-36 ,
-35 ,
-41 ,
-37 ,
-45 ,
-42 ,
-44 ,
-45 ,
-45 ,
-42 ,
-45 ,
-39 ,
-40 ,
-35 ,
-34 ,
-28 ,
-28 ,
-22 ,
-21 ,
-16 ,
-15 ,
-11 ,
-7  ,
-6  ,
0 ,
0 ,
5 ,
7 ,
12  ,
15  ,
20  ,
21  ,
25  ,
26  ,
31  ,
28  ,
36  ,
33  ,
34  ,
37  ,
33  ,
33  ,
34  ,
28  ,
33  ,
27  ,
30  ,
26  ,
26  ,
25  ,
25  ,
27  ,
26  ,
29  ,
29  ,
29  ,
31  ,
30  ,
30  ,
32  ,
31  ,
31  ,
31  ,
28  ,
26  ,
28  ,
22  ,
29  ,
21  ,
25  ,
22  ,
21  ,
21  ,
20  ,
19  ,
19  ,
22  ,
16  ,
24  ,
15  ,
25  ,
20  ,
27  ,
27  ,
30  ,
34  ,
34  ,
41  ,
39  ,
47  ,
45  ,
51  ,
52  ,
55  ,
57  ,
59  ,
64  ,
61  ,
70  ,
64  ,
71  ,
67  ,
71  ,
69  ,
73  ,
71  ,
72  ,
71  ,
70  ,
66  ,
68  ,
63  ,
62  ,
60  ,
56  ,
54  ,
51  ,
48  ,
47  ,
45  ,
44  ,
44  ,
44  ,
40  ,
41  ,
37  ,
36  ,
36  ,
29  ,
32  ,
25  ,
22  ,
20  ,
15  ,
13  ,
15  ,
4 ,
11  ,
0 ,
3 ,
1 ,
-4  ,
0 ,
-4  ,
-3  ,
-3  ,
-7  ,
-3  ,
-7  ,
-2  ,
-5  ,
0 ,
1 ,
2 ,
7 ,
7 ,
12  ,
17  ,
16  ,
25  ,
23  ,
27  ,
29  ,
30  ,
34  ,
34  ,
37  ,
34  ,
36  ,
33  ,
33  ,
33  ,
29  ,
34  ,
29  ,
34  ,
31  ,
34  ,
31  ,
40  ,
32  ,
42  ,
35  ,
39  ,
37  ,
36  ,
35  ,
30  ,
29  ,
24  ,
19  ,
16  ,
8 ,
5 ,
0 ,
-6  ,
-9  ,
-15 ,
-18 ,
-23 ,
-24 ,
-28 ,
-29 ,
-30 ,
-32 ,
-30 ,
-32 ,
-31 ,
-30 ,
-29 ,
-26 ,
-26 ,
-23 ,
-22 ,
-20 ,
-17 ,
-15 ,
-10 ,
-8  ,
-2  ,
-1  ,
8 ,
10  ,
16  ,
20  ,
26  ,
30  ,
35  ,
35  ,
39  ,
38  ,
43  ,
37  ,
45  ,
35  ,
42  ,
34  ,
39  ,
32  ,
36  ,
31  ,
30  ,
31  ,
24  ,
28  ,
22  ,
24  ,
20  ,
22  ,
15  ,
20  ,
12  ,
14  ,
9 ,
8 ,
8 ,
1 ,
5 ,
-4  ,
-3  ,
-3  ,
-7  ,
-5  ,
-6  ,
-6  ,
-7  ,
-2  ,
-7  ,
1 ,
-4  ,
2 ,
1 ,
0 ,
2 ,
0 ,
2 ,
3 ,
1 ,
2 ,
3 ,
-1  ,
5 ,
0 ,
5 ,
3 ,
4 ,
7 ,
1 ,
7 ,
-2  ,
3 ,
-2  ,
-3  ,
-4  ,
-8  ,
-7  ,
-15 ,
-12 ,
-22 ,
-17 ,
-26 ,
-20 ,
-29 ,
-24 ,
-28 ,
-28 ,
-27 ,
-29 ,
-27 ,
-31 ,
-29 ,
-33 ,
-36 ,
-33 ,
-44 ,
-42 ,
-47 ,
-55 ,
-53 ,
-65 ,
-66 ,
-69 ,
-77 ,
-73 ,
-81 ,
-80 ,
-80 ,
-85 ,
-80 ,
-84 ,
-78 ,
-82 ,
-73 ,
-81 ,
-69 ,
-76 ,
-70 ,
-70 ,
-71 ,
-65 ,
-66 ,
-63 ,
-60 ,
-57 ,
-52 ,
-49 ,
-45 ,
-41 ,
-36 ,
-32 ,
-30 ,
-23 ,
-26 ,
-15 ,
-22 ,
-14 ,
-17 ,
-15 ,
-16 ,
-14 ,
-14 ,
-13 ,
-8  ,
-12 ,
-2  ,
-8  ,
3 ,
-1  ,
6 ,
8 ,
9 ,
12  ,
13  ,
11  ,
13  ,
12  ,
13  ,
16  ,
17  ,
15  ,
21  ,
17  ,
24  ,
19  ,
25  ,
20  ,
24  ,
20  ,
21  ,
17  ,
15  ,
16  ,
8 ,
15  ,
5 ,
10  ,
4 ,
5 ,
4 ,
2 ,
2 ,
2 ,
1 ,
3 ,
2 ,
4 ,
5 ,
8 ,
10  ,
13  ,
14  ,
16  ,
17  ,
17  ,
19  ,
16  ,
21  ,
16  ,
16  ,
16  ,
11  ,
13  ,
5 ,
7 ,
0 ,
-2  ,
-4  ,
-10 ,
-9  ,
-14 ,
-14 ,
-14 ,
-18 ,
-16 ,
-19 ,
-18 ,
-20 ,
-21 ,
-23 ,
-28 ,
-31 ,
-39 ,
-42 ,
-46 ,
-55 ,
-55 ,
-64 ,
-67 ,
-70 ,
-77 ,
-76 ,
-80 ,
-81 ,
-81 ,
-83 ,
-79 ,
-86 ,
-80 ,
-84 ,
-81 ,
-79 ,
-80 ,
-77 ,
-77 ,
-73 ,
-73 ,
-68 ,
-67 ,
-62 ,
-59 ,
-54 ,
-51 ,
-48 ,
-44 ,
-42 ,
-37 ,
-36 ,
-34 ,
-31 ,
-35 ,
-27 ,
-34 ,
-27 ,
-33 ,
-25 ,
-31 ,
-24 ,
-25 ,
-21 ,
-14 ,
-14 ,
-6  ,
-3  ,
2 ,
5 ,
9 ,
9 ,
16  ,
14  ,
19  ,
20  ,
21  ,
30  ,
26  ,
39  ,
37  ,
45  ,
49  ,
50  ,
56  ,
56  ,
60  ,
60  ,
63  ,
61  ,
61  ,
59  ,
56  ,
55  ,
51  ,
51  ,
49  ,
46  ,
48  ,
40  ,
48  ,
39  ,
43  ,
43  ,
39  ,
45  ,
38  ,
41  ,
37  ,
37  ,
36  ,
35  ,
34  ,
33  ,
29  ,
29  ,
25  ,
26  ,
23  ,
23  ,
23  ,
19  ,
21  ,
16  ,
14  ,
12  ,
11  ,
7 ,
8 ,
3 ,
2 ,
1 ,
-1  ,
-1  ,
-2  ,
-6  ,
-2  ,
-9  ,
-6  ,
-13 ,
-12 ,
-19 ,
-19 ,
-27 ,
-32 ,
-36 ,
-45 ,
-45 ,
-53 ,
-55 ,
-59 ,
-63 ,
-62 ,
-67 ,
-63 ,
-64 ,
-63 ,
-60 ,
-62 ,
-58 ,
-58 ,
-58 ,
-55 ,
-55 ,
-51 ,
-50 ,
-51 ,
-46 ,
-49 ,
-44 ,
-42 ,
-41 ,
-35 ,
-38 ,
-30 ,
-38 ,
-27 ,
-34 ,
-26 ,
-30 ,
-29 ,
-26 ,
-31 ,
-26 ,
-32 ,
-28 ,
-28 ,
-26 ,
-26 ,
-22 ,
-22 ,
-17 ,
-16 ,
-14 ,
-9  ,
-8  ,
-6  ,
0 ,
-2  ,
5 ,
7 ,
6 ,
16  ,
11  ,
19  ,
20  ,
23  ,
32  ,
28  ,
40  ,
36  ,
42  ,
44  ,
43  ,
48  ,
46  ,
50  ,
49  ,
52  ,
52  ,
54  ,
55  ,
60  ,
61  ,
65  ,
70  ,
70  ,
79  ,
80  ,
83  ,
91  ,
90  ,
99  ,
100 ,
102 ,
110 ,
108 ,
116 ,
117 ,
120 ,
124 ,
124 ,
126 ,
126 ,
125 ,
129 ,
123 ,
126 ,
120 ,
120 ,
115 ,
113 ,
107 ,
107 ,
99  ,
102 ,
91  ,
94  ,
82  ,
86  ,
75  ,
77  ,
66  ,
67  ,
60  ,
56  ,
53  ,
42  ,
41  ,
30  ,
25  ,
18  ,
6 ,
2 ,
-9  ,
-15 ,
-22 ,
-29 ,
-35 ,
-40 ,
-46 ,
-51 ,
-51 ,
-59 ,
-56 ,
-61 ,
-64 ,
-60 ,
-68 ,
-62 ,
-68 ,
-62 ,
-65 ,
-62 ,
-62 ,
-60 ,
-58 ,
-53 ,
-52 ,
-47 ,
-45 ,
-42 ,
-41 ,
-38 ,
-36 ,
-33 ,
-33 ,
-29 ,
-31 ,
-25 ,
-27 ,
-23 ,
-19 ,
-20 ,
-12 ,
-11 ,
-7  ,
-1  ,
-1  ,
5 ,
8 ,
8 ,
13  ,
13  ,
12  ,
15  ,
10  ,
13  ,
8 ,
12  ,
7 ,
9 ,
8 ,
9 ,
9 ,
9 ,
10  ,
9 ,
11  ,
6 ,
10  ,
5 ,
9 ,
6 ,
3 ,
9 ,
1 ,
8 ,
4 ,
9 ,
9 ,
12  ,
16  ,
17  ,
23  ,
25  ,
29  ,
36  ,
37  ,
45  ,
48  ,
53  ,
61  ,
62  ,
72  ,
74  ,
79  ,
86  ,
83  ,
93  ,
89  ,
94  ,
94  ,
94  ,
95  ,
92  ,
91  ,
91  ,
84  ,
89  ,
81  ,
83  ,
81  ,
76  ,
78  ,
70  ,
71  ,
65  ,
63  ,
59  ,
56  ,
51  ,
46  ,
42  ,
32  ,
32  ,
20  ,
17  ,
11  ,
0 ,
-1  ,
-13 ,
-14 ,
-24 ,
-26 ,
-35 ,
-34 ,
-42 ,
-40 ,
-47 ,
-43 ,
-49 ,
-46 ,
-52 ,
-52 ,
-53 ,
-56 ,
-54 ,
-58 ,
-57 ,
-60 ,
-59 ,
-61 ,
-62 ,
-60 ,
-65 ,
-60 ,
-66 ,
-64 ,
-67 ,
-66 ,
-70 ,
-68 ,
-72 ,
-69 ,
-72 ,
-68 ,
-72 ,
-68 ,
-69 ,
-69 ,
-65 ,
-67 ,
-63 ,
-63 ,
-60 ,
-59 ,
-55 ,
-58 ,
-50 ,
-55 ,
-50 ,
-50 ,
-49 ,
-46 ,
-43 ,
-41 ,
-37 ,
-34 ,
-33 ,
-25 ,
-28 ,
-21 ,
-21 ,
-21 ,
-14 ,
-21 ,
-10 ,
-21 ,
-10 ,
-20 ,
-9  ,
-18 ,
-8  ,
-14 ,
-8  ,
-9  ,
-6  ,
-3  ,
-1  ,
3 ,
4 ,
9 ,
12  ,
13  ,
19  ,
16  ,
25  ,
21  ,
27  ,
26  ,
29  ,
32  ,
32  ,
35  ,
34  ,
37  ,
34  ,
39  ,
36  ,
41  ,
38  ,
40  ,
42  ,
39  ,
44  ,
39  ,
45  ,
41  ,
45  ,
43  ,
48  ,
49  ,
47  ,
53  ,
47  ,
53  ,
49  ,
48  ,
46  ,
44  ,
42  ,
36  ,
35  ,
26  ,
25  ,
17  ,
13  ,
8 ,
3 ,
0 ,
-6  ,
-9  ,
-11 ,
-16 ,
-16 ,
-19 ,
-20 ,
-22 ,
-23 ,
-24 ,
-29 ,
-26 ,
-31 ,
-33 ,
-32 ,
-39 ,
-38 ,
-39 ,
-45 ,
-41 ,
-47 ,
-45 ,
-47 ,
-52 ,
-47 ,
-58 ,
-49 ,
-58 ,
-56 ,
-55 ,
-60 ,
-59 ,
-60 ,
-65 ,
-62 ,
-65 ,
-66 ,
-63 ,
-68 ,
-62 ,
-66 ,
-65 ,
-65 ,
-64 ,
-65 ,
-62 ,
-66 ,
-62 ,
-66 ,
-59 ,
-65 ,
-59 ,
-61 ,
-57 ,
-55 ,
-54 ,
-51 ,
-51 ,
-48 ,
-46 ,
-47 ,
-43 ,
-45 ,
-41 ,
-40 ,
-40 ,
-35 ,
-35 ,
-31 ,
-29 ,
-26 ,
-25 ,
-19 ,
-19 ,
-16 ,
-12 ,
-14 ,
-7  ,
-11 ,
-4  ,
-6  ,
-3  ,
1 ,
-2  ,
5 ,
2 ,
8 ,
6 ,
10  ,
11  ,
12  ,
17  ,
14  ,
18  ,
19  ,
18  ,
22  ,
18  ,
24  ,
19  ,
24  ,
20  ,
27  ,
23  ,
29  ,
29  ,
31  ,
36  ,
36  ,
37  ,
41  ,
41  ,
42  ,
46  ,
43  ,
46  ,
41  ,
41  ,
37  ,
34  ,
32  ,
29  ,
24  ,
24  ,
16  ,
16  ,
11  ,
10  ,
6 ,
6 ,
3 ,
0 ,
2 ,
-3  ,
-2  ,
-5  ,
-9  ,
-8  ,
-16 ,
-13 ,
-22 ,
-20 ,
-27 ,
-24 ,
-30 ,
-31 ,
-30 ,
-35 ,
-32 ,
-33 ,
-36 ,
-32 ,
-37 ,
-35 ,
-39 ,
-39 ,
-41 ,
-44 ,
-46 ,
-49 ,
-51 ,
-53 ,
-54 ,
-57 ,
-54 ,
-59 ,
-55 ,
-58 ,
-56 ,
-56 ,
-55 ,
-55 ,
-52 ,
-55 ,
-48 ,
-55 ,
-46 ,
-55 ,
-47 ,
-50 ,
-48 ,
-45 ,
-46 ,
-43 ,
-42 ,
-42 ,
-40 ,
-39 ,
-36 ,
-36 ,
-30 ,
-35 ,
-26 ,
-33 ,
-24 ,
-27 ,
-24 ,
-20 ,
-19 ,
-16 ,
-13 ,
-13 ,
-9  ,
-7  ,
-3  ,
-2  ,
3 ,
3 ,
5 ,
9 ,
6 ,
13  ,
8 ,
17  ,
10  ,
17  ,
15  ,
16  ,
19  ,
18  ,
19  ,
20  ,
21  ,
20  ,
22  ,
23  ,
24  ,
29  ,
28  ,
32  ,
34  ,
35  ,
39  ,
38  ,
40  ,
41  ,
41  ,
43  ,
40  ,
41  ,
40  ,
39  ,
41  ,
37  ,
39  ,
33  ,
34  ,
32  ,
27  ,
28  ,
27  ,
23  ,
27  ,
21  ,
22  ,
24  ,
24  ,
25  ,
28  ,
26  ,
30  ,
30  ,
32  ,
34  ,
36  ,
42  ,
40  ,
51  ,
44  ,
55  ,
52  ,
59  ,
63  ,
62  ,
73  ,
66  ,
75  ,
71  ,
76  ,
73  ,
78  ,
72  ,
78  ,
72  ,
74  ,
70  ,
69  ,
69  ,
65  ,
67  ,
60  ,
64  ,
56  ,
60  ,
53  ,
55  ,
49  ,
50  ,
44  ,
43  ,
39  ,
35  ,
34  ,
30  ,
27  ,
24  ,
18  ,
18  ,
10  ,
9 ,
5 ,
-1  ,
-1  ,
-7  ,
-11 ,
-12 ,
-18 ,
-19 ,
-21 ,
-24 ,
-25 ,
-25 ,
-31 ,
-26 ,
-30 ,
-29 ,
-25 ,
-31 ,
-22 ,
-27 ,
-21 ,
-22 ,
-15 ,
-18 ,
-8  ,
-12 ,
-4  ,
-7  ,
-2  ,
-2  ,
3 ,
4 ,
10  ,
8 ,
18  ,
13  ,
23  ,
19  ,
27  ,
30  ,
32  ,
36  ,
38  ,
36  ,
41  ,
39  ,
40  ,
42  ,
38  ,
38  ,
38  ,
31  ,
35  ,
26  ,
29  ,
24  ,
21  ,
18  ,
14  ,
11  ,
5 ,
3 ,
-1  ,
-7  ,
-7  ,
-15 ,
-18 ,
-19 ,
-27 ,
-24 ,
-29 ,
-30 ,
-30 ,
-31 ,
-32 ,
-29 ,
-29 ,
-26 ,
-23 ,
-21 ,
-19 ,
-15 ,
-12 ,
-8  ,
-4  ,
1 ,
3 ,
11  ,
13  ,
21  ,
21  ,
32  ,
29  ,
41  ,
37  ,
44  ,
45  ,
47  ,
50  ,
51  ,
54  ,
53  ,
56  ,
53  ,
53  ,
56  ,
50  ,
56  ,
51  ,
53  ,
50  ,
53  ,
46  ,
52  ,
42  ,
50  ,
41  ,
44  ,
40  ,
38  ,
38  ,
35  ,
33  ,
34  ,
30  ,
29  ,
26  ,
23  ,
21  ,
18  ,
16  ,
13  ,
10  ,
9 ,
3 ,
6 ,
-5  ,
4 ,
-7  ,
-4  ,
-7  ,
-12 ,
-8  ,
-15 ,
-11 ,
-17 ,
-14 ,
-17 ,
-16 ,
-18 ,
-18 ,
-20 ,
-19 ,
-21 ,
-23 ,
-23 ,
-29 ,
-25 ,
-31 ,
-27 ,
-30 ,
-26 ,
-30 ,
-24 ,
-26 ,
-25 ,
-20 ,
-24 ,
-17 ,
-23 ,
-17 ,
-25 ,
-18 ,
-24 ,
-21 ,
-23 ,
-22 ,
-23 ,
-24 ,
-25 ,
-27 ,
-26 ,
-29 ,
-25 ,
-32 ,
-25 ,
-34 ,
-31 ,
-34 ,
-35 ,
-36 ,
-39 ,
-40 ,
-44 ,
-45 ,
-48 ,
-50 ,
-52 ,
-52 ,
-55 ,
-53 ,
-57 ,
-55 ,
-58 ,
-54 ,
-57 ,
-53 ,
-54 ,
-55 ,
-50 ,
-54 ,
-49 ,
-49 ,
-47 ,
-44 ,
-43 ,
-41 ,
-41 ,
-35 ,
-35 ,
-31 ,
-27 ,
-28 ,
-19 ,
-25 ,
-15 ,
-18 ,
-12 ,
-8  ,
-10 ,
-2  ,
-4  ,
2 ,
4 ,
7 ,
12  ,
16  ,
20  ,
23  ,
28  ,
32  ,
35  ,
41  ,
41  ,
48  ,
48  ,
51  ,
51  ,
54  ,
55  ,
56  ,
56  ,
54  ,
51  ,
50  ,
43  ,
46  ,
39  ,
38  ,
40  ,
31  ,
36  ,
29  ,
30  ,
28  ,
28  ,
27  ,
26  ,
25  ,
22  ,
20  ,
20  ,
18  ,
16  ,
15  ,
14  ,
9 ,
12  ,
5 ,
3 ,
6 ,
-6  ,
0 ,
-10 ,
-12 ,
-11 ,
-16 ,
-16 ,
-17 ,
-20 ,
-20 ,
-23 ,
-23 ,
-24 ,
-27 ,
-24 ,
-30 ,
-25 ,
-32 ,
-31 ,
-32 ,
-38 ,
-33 ,
-41 ,
-36 ,
-42 ,
-45 ,
-47 ,
-50 ,
-52 ,
-55 ,
-58 ,
-61 ,
-61 ,
-69 ,
-64 ,
-71 ,
-67 ,
-70 ,
-70 ,
-71 ,
-71 ,
-74 ,
-72 ,
-75 ,
-72 ,
-74 ,
-73 ,
-72 ,
-75 ,
-73 ,
-75 ,
-74 ,
-71 ,
-72 ,
-68 ,
-71 ,
-66 ,
-66 ,
-64 ,
-60 ,
-60 ,
-54 ,
-54 ,
-48 ,
-49 ,
-43 ,
-43 ,
-38 ,
-38 ,
-32 ,
-38 ,
-28 ,
-35 ,
-27 ,
-28 ,
-25 ,
-21 ,
-20 ,
-16 ,
-12 ,
-9  ,
-2  ,
-2  ,
9 ,
8 ,
17  ,
20  ,
21  ,
28  ,
29  ,
35  ,
35  ,
41  ,
37  ,
45  ,
40  ,
46  ,
46  ,
47  ,
50  ,
48  ,
48  ,
49  ,
45  ,
50  ,
45  ,
49  ,
45  ,
45  ,
44  ,
42  ,
43  ,
40  ,
37  ,
39  ,
32  ,
34  ,
28  ,
27  ,
28  ,
27  ,
26  ,
27  ,
24  ,
24  ,
20  ,
19  ,
17  ,
14  ,
9 ,
10  ,
1 ,
3 ,
-1  ,
-4  ,
-4  ,
-4  ,
-8  ,
-4  ,
-8  ,
-11 ,
-6  ,
-15 ,
-10 ,
-17 ,
-18 ,
-20 ,
-26 ,
-24 ,
-32 ,
-30 ,
-39 ,
-37 ,
-43 ,
-47 ,
-46 ,
-54 ,
-50 ,
-57 ,
-54 ,
-57 ,
-57 ,
-55 ,
-58 ,
-54 ,
-56 ,
-55 ,
-56 ,
-56 ,
-62 ,
-60 ,
-66 ,
-66 ,
-69 ,
-70 ,
-72 ,
-71 ,
-74 ,
-69 ,
-73 ,
-66 ,
-68 ,
-66 ,
-61 ,
-66 ,
-56 ,
-61 ,
-52 ,
-51 ,
-48 ,
-43 ,
-39 ,
-38 ,
-32 ,
-30 ,
-28 ,
-21 ,
-21 ,
-19 ,
-13 ,
-14 ,
-8  ,
-8  ,
-1  ,
0 ,
6 ,
7 ,
12  ,
15  ,
20  ,
23  ,
26  ,
32  ,
30  ,
37  ,
36  ,
40  ,
42  ,
43  ,
47  ,
45  ,
51  ,
47  ,
52  ,
52  ,
51  ,
56  ,
53  ,
57  ,
56  ,
60  ,
60  ,
66  ,
65  ,
73  ,
71  ,
79  ,
76  ,
84  ,
84  ,
90  ,
93  ,
95  ,
99  ,
103 ,
103 ,
111 ,
109 ,
118 ,
113 ,
121 ,
116 ,
121 ,
117 ,
116 ,
117 ,
112 ,
114 ,
107 ,
111 ,
103 ,
110 ,
104 ,
106 ,
107 ,
102 ,
105 ,
99  ,
99  ,
94  ,
89  ,
86  ,
76  ,
72  ,
63  ,
57  ,
48  ,
42  ,
32  ,
26  ,
16  ,
10  ,
1 ,
-5  ,
-12 ,
-21 ,
-23 ,
-33 ,
-34 ,
-44 ,
-43 ,
-53 ,
-51 ,
-61 ,
-62 ,
-67 ,
-72 ,
-75 ,
-77 ,
-81 ,
-80 ,
-82 ,
-82 ,
-83 ,
-79 ,
-83 ,
-76 ,
-81 ,
-73 ,
-78 ,
-71 ,
-73 ,
-70 ,
-66 ,
-64 ,
-59 ,
-54 ,
-52 ,
-46 ,
-41 ,
-36 ,
-30 ,
-27 ,
-20 ,
-21 ,
-12 ,
-17 ,
-7  ,
-10 ,
-4  ,
-5  ,
-2  ,
0 ,
-1  ,
4 ,
2 ,
6 ,
6 ,
7 ,
8 ,
10  ,
8 ,
10  ,
9 ,
10  ,
11  ,
10  ,
9 ,
8 ,
5 ,
6 ,
2 ,
5 ,
0 ,
5 ,
2 ,
5 ,
7 ,
7 ,
14  ,
13  ,
20  ,
21  ,
25  ,
27  ,
30  ,
32  ,
37  ,
40  ,
43  ,
50  ,
52  ,
57  ,
64  ,
64  ,
73  ,
74  ,
80  ,
80  ,
85  ,
83  ,
90  ,
88  ,
94  ,
90  ,
97  ,
93  ,
99  ,
95  ,
100 ,
97  ,
100 ,
98  ,
97  ,
94  ,
93  ,
87  ,
85  ,
79  ,
75  ,
68  ,
62  ,
57  ,
47  ,
49  ,
34  ,
37  ,
26  ,
22  ,
19  ,
12  ,
12  ,
4 ,
4 ,
-2  ,
-5  ,
-12 ,
-14 ,
-25 ,
-22 ,
-35 ,
-32 ,
-47 ,
-41 ,
-58 ,
-49 ,
-64 ,
-59 ,
-66 ,
-65 ,
-67 ,
-69 ,
-68 ,
-74 ,
-68 ,
-77 ,
-72 ,
-76 ,
-76 ,
-77 ,
-76 ,
-78 ,
-74 ,
-74 ,
-71 ,
-68 ,
-68 ,
-65 ,
-61 ,
-63 ,
-55 ,
-59 ,
-52 ,
-56 ,
-48 ,
-53 ,
-46 ,
-49 ,
-46 ,
-43 ,
-45 ,
-40 ,
-42 ,
-37 ,
-40 ,
-31 ,
-38 ,
-26 ,
-33 ,
-25 ,
-27 ,
-23 ,
-22 ,
-21 ,
-19 ,
-19 ,
-18 ,
-16 ,
-18 ,
-12 ,
-17 ,
-9  ,
-11 ,
-9  ,
-5  ,
-6  ,
1 ,
0 ,
5 ,
6 ,
9 ,
12  ,
10  ,
16  ,
14  ,
20  ,
21  ,
21  ,
25  ,
25  ,
27  ,
28  ,
30  ,
28  ,
30  ,
30  ,
28  ,
31  ,
30  ,
30  ,
33  ,
34  ,
37  ,
38  ,
42  ,
42  ,
47  ,
48  ,
53  ,
53  ,
57  ,
54  ,
58  ,
55  ,
57  ,
52  ,
56  ,
49  ,
52  ,
46  ,
44  ,
44  ,
41  ,
39  ,
39  ,
32  ,
37  ,
26  ,
33  ,
23  ,
25  ,
19  ,
16  ,
14  ,
6 ,
8 ,
-4  ,
-2  ,
-9  ,
-11 ,
-13 ,
-18 ,
-19 ,
-22 ,
-24 ,
-27 ,
-28 ,
-34 ,
-32 ,
-42 ,
-40 ,
-48 ,
-49 ,
-54 ,
-58 ,
-60 ,
-64 ,
-65 ,
-68 ,
-65 ,
-70 ,
-64 ,
-68 ,
-66 ,
-61 ,
-71 ,
-58 ,
-68 ,
-63 ,
-62 ,
-66 ,
-62 ,
-65 ,
-62 ,
-65 ,
-63 ,
-63 ,
-62 ,
-60 ,
-62 ,
-58 ,
-60 ,
-55 ,
-58 ,
-52 ,
-55 ,
-50 ,
-51 ,
-48 ,
-49 ,
-45 ,
-48 ,
-44 ,
-46 ,
-46 ,
-45 ,
-45 ,
-45 ,
-42 ,
-39 ,
-38 ,
-31 ,
-30 ,
-23 ,
-20 ,
-15 ,
-13 ,
-8  ,
-6  ,
-4  ,
0 ,
-3  ,
6 ,
-1  ,
9 ,
4 ,
11  ,
10  ,
15  ,
14  ,
20  ,
19  ,
24  ,
25  ,
28  ,
30  ,
32  ,
34  ,
35  ,
39  ,
36  ,
44  ,
39  ,
45  ,
43  ,
45  ,
45  ,
48  ,
43  ,
49  ,
43  ,
45  ,
46  ,
37  ,
47  ,
32  ,
43  ,
32  ,
36  ,
31  ,
33  ,
30  ,
31  ,
30  ,
27  ,
28  ,
22  ,
24  ,
21  ,
17  ,
19  ,
12  ,
12  ,
10  ,
4 ,
5 ,
1 ,
-2  ,
-4  ,
-5  ,
-10 ,
-9  ,
-15 ,
-17 ,
-19 ,
-25 ,
-24 ,
-31 ,
-29 ,
-35 ,
-32 ,
-37 ,
-35 ,
-38 ,
-37 ,
-38 ,
-37 ,
-39 ,
-38 ,
-37 ,
-39 ,
-35 ,
-39 ,
-37 ,
-40 ,
-39 ,
-44 ,
-41 ,
-50 ,
-43 ,
-52 ,
-45 ,
-53 ,
-46 ,
-51 ,
-47 ,
-48 ,
-47 ,
-46 ,
-45 ,
-43 ,
-43 ,
-42 ,
-42 ,
-44 ,
-41 ,
-43 ,
-43 ,
-41 ,
-44 ,
-42 ,
-42 ,
-42 ,
-42 ,
-38 ,
-41 ,
-35 ,
-36 ,
-32 ,
-31 ,
-27 ,
-28 ,
-24 ,
-23 ,
-21 ,
-22 ,
-18 ,
-22 ,
-14 ,
-18 ,
-12 ,
-12 ,
-8  ,
-4  ,
-3  ,
2 ,
2 ,
10  ,
6 ,
16  ,
12  ,
17  ,
19  ,
18  ,
24  ,
24  ,
28  ,
31  ,
34  ,
37  ,
40  ,
48  ,
45  ,
55  ,
55  ,
56  ,
63  ,
56  ,
62  ,
55  ,
60  ,
50  ,
54  ,
45  ,
45  ,
44  ,
37  ,
41  ,
35  ,
36  ,
35  ,
34  ,
33  ,
34  ,
34  ,
34  ,
33  ,
34  ,
35  ,
33  ,
37  ,
34  ,
37  ,
37  ,
40  ,
38  ,
43  ,
40  ,
43  ,
43  ,
46  ,
46  ,
52  ,
49  ,
58  ,
53  ,
61  ,
58  ,
62  ,
63  ,
62  ,
62  ,
65  ,
62  ,
66  ,
64  ,
67  ,
63  ,
68  ,
62  ,
67  ,
61  ,
65  ,
60  ,
60  ,
57  ,
53  ,
52  ,
47  ,
47  ,
37  ,
42  ,
26  ,
32  ,
17  ,
19  ,
7 ,
6 ,
0 ,
-9  ,
-9  ,
-21 ,
-23 ,
-28 ,
-33 ,
-36 ,
-39 ,
-43 ,
-44 ,
-46 ,
-47 ,
-50 ,
-46 ,
-48 ,
-44 ,
-48 ,
-42 ,
-44 ,
-39 ,
-40 ,
-35 ,
-37 ,
-30 ,
-34 ,
-28 ,
-29 ,
-26 ,
-22 ,
-20 ,
-15 ,
-15 ,
-9  ,
-10 ,
-5  ,
-3  ,
-1  ,
4 ,
2 ,
8 ,
6 ,
11  ,
12  ,
16  ,
16  ,
21  ,
21  ,
23  ,
24  ,
24  ,
25  ,
25  ,
22  ,
21  ,
16  ,
14  ,
9 ,
8 ,
1 ,
0 ,
-4  ,
-8  ,
-9  ,
-13 ,
-13 ,
-14 ,
-14 ,
-15 ,
-13 ,
-12 ,
-15 ,
-7  ,
-16 ,
-6  ,
-11 ,
-8  ,
-9  ,
-11 ,
-8  ,
-11 ,
-5  ,
-8  ,
-3  ,
-2  ,
2 ,
1 ,
8 ,
6 ,
15  ,
13  ,
19  ,
21  ,
23  ,
27  ,
28  ,
31  ,
34  ,
36  ,
38  ,
41  ,
43  ,
43  ,
50  ,
47  ,
53  ,
53  ,
55  ,
55  ,
56  ,
56  ,
54  ,
57  ,
50  ,
52  ,
48  ,
46  ,
42  ,
42  ,
36  ,
38  ,
32  ,
32  ,
29  ,
28  ,
24  ,
25  ,
20  ,
20  ,
16  ,
11  ,
13  ,
5 ,
5 ,
1 ,
-3  ,
-3  ,
-10 ,
-10 ,
-16 ,
-15 ,
-19 ,
-20 ,
-21 ,
-23 ,
-22 ,
-23 ,
-23 ,
-21 ,
-24 ,
-21 ,
-22 ,
-23 ,
-21 ,
-25 ,
-22 ,
-24 ,
-21 ,
-24 ,
-21 ,
-22 ,
-24 ,
-18 ,
-29 ,
-19 ,
-28 ,
-24 ,
-26 ,
-25 ,
-28 ,
-22 ,
-29 ,
-20 ,
-26 ,
-20 ,
-25 ,
-22 ,
-24 ,
-25 ,
-26 ,
-27 ,
-33 ,
-30 ,
-39 ,
-38 ,
-42 ,
-45 ,
-44 ,
-50 ,
-46 ,
-53 ,
-49 ,
-54 ,
-52 ,
-52 ,
-53 ,
-51 ,
-53 ,
-50 ,
-51 ,
-49 ,
-49 ,
-50 ,
-46 ,
-48 ,
-44 ,
-44 ,
-43 ,
-40 ,
-37 ,
-37 ,
-32 ,
-32 ,
-30 ,
-28 ,
-28 ,
-27 ,
-25 ,
-25 ,
-23 ,
-22 ,
-21 ,
-20 ,
-18 ,
-17 ,
-14 ,
-11 ,
-11 ,
-7  ,
-5  ,
-6  ,
3 ,
-4  ,
5 ,
4 ,
8 ,
9 ,
11  ,
12  ,
15  ,
20  ,
16  ,
25  ,
23  ,
27  ,
31  ,
33  ,
36  ,
40  ,
42  ,
46  ,
45  ,
50  ,
45  ,
50  ,
47  ,
46  ,
45  ,
42  ,
41  ,
38  ,
39  ,
35  ,
37  ,
34  ,
37  ,
34  ,
37  ,
32  ,
39  ,
31  ,
37  ,
34  ,
31  ,
34  ,
25  ,
30  ,
21  ,
22  ,
17  ,
14  ,
13  ,
6 ,
7 ,
1 ,
0 ,
0 ,
-6  ,
-1  ,
-9  ,
-5  ,
-12 ,
-8  ,
-14 ,
-11 ,
-16 ,
-16 ,
-19 ,
-17 ,
-22 ,
-21 ,
-23 ,
-28 ,
-25 ,
-31 ,
-31 ,
-33 ,
-37 ,
-35 ,
-42 ,
-38 ,
-50 ,
-43 ,
-56 ,
-51 ,
-58 ,
-59 ,
-61 ,
-63 ,
-64 ,
-66 ,
-62 ,
-67 ,
-60 ,
-64 ,
-58 ,
-61 ,
-52 ,
-58 ,
-50 ,
-54 ,
-48 ,
-51 ,
-46 ,
-51 ,
-47 ,
-47 ,
-48 ,
-43 ,
-49 ,
-41 ,
-46 ,
-41 ,
-42 ,
-40 ,
-36 ,
-36 ,
-30 ,
-31 ,
-25 ,
-23 ,
-21 ,
-13 ,
-18 ,
-5  ,
-12 ,
1 ,
-6  ,
5 ,
1 ,
5 ,
10  ,
8 ,
13  ,
15  ,
15  ,
21  ,
19  ,
24  ,
23  ,
27  ,
29  ,
30  ,
30  ,
34  ,
33  ,
38  ,
35  ,
42  ,
35  ,
44  ,
38  ,
43  ,
41  ,
43  ,
43  ,
44  ,
43  ,
46  ,
45  ,
45  ,
48  ,
43  ,
49  ,
43  ,
46  ,
43  ,
41  ,
42  ,
40  ,
38  ,
38  ,
36  ,
35  ,
35  ,
32  ,
34  ,
30  ,
35  ,
26  ,
34  ,
26  ,
28  ,
25  ,
25  ,
19  ,
22  ,
13  ,
15  ,
8 ,
9 ,
3 ,
3 ,
-1  ,
-3  ,
-4  ,
-9  ,
-7  ,
-15 ,
-9  ,
-17 ,
-13 ,
-15 ,
-21 ,
-16 ,
-26 ,
-23 ,
-29 ,
-31 ,
-35 ,
-36 ,
-41 ,
-43 ,
-45 ,
-46 ,
-48 ,
-48 ,
-51 ,
-50 ,
-49 ,
-53 ,
-49 ,
-53 ,
-50 ,
-54 ,
-54 ,
-55 ,
-58 ,
-59 ,
-60 ,
-63 ,
-62 ,
-64 ,
-66 ,
-65 ,
-65 ,
-67 ,
-60 ,
-65 ,
-58 ,
-59 ,
-57 ,
-54 ,
-55 ,
-49 ,
-51 ,
-45 ,
-48 ,
-42 ,
-42 ,
-39 ,
-35 ,
-37 ,
-29 ,
-30 ,
-25 ,
-20 ,
-17 ,
-12 ,
-6  ,
-2  ,
3 ,
8 ,
12  ,
16  ,
21  ,
24  ,
25  ,
32  ,
29  ,
36  ,
35  ,
40  ,
38  ,
45  ,
42  ,
49  ,
49  ,
50  ,
53  ,
53  ,
53  ,
56  ,
52  ,
57  ,
57  ,
53  ,
61  ,
54  ,
63  ,
63  ,
63  ,
71  ,
68  ,
78  ,
76  ,
84  ,
85  ,
90  ,
95  ,
93  ,
104 ,
100 ,
109 ,
108 ,
111 ,
114 ,
111 ,
117 ,
111 ,
115 ,
111 ,
113 ,
110 ,
111 ,
110 ,
107 ,
107 ,
103 ,
102 ,
98  ,
95  ,
90  ,
86  ,
79  ,
75  ,
63  ,
64  ,
49  ,
48  ,
36  ,
31  ,
24  ,
15  ,
9 ,
0 ,
-4  ,
-13 ,
-18 ,
-24 ,
-31 ,
-33 ,
-41 ,
-41 ,
-50 ,
-49 ,
-58 ,
-56 ,
-62 ,
-64 ,
-65 ,
-70 ,
-66 ,
-71 ,
-68 ,
-68 ,
-72 ,
-65 ,
-70 ,
-65 ,
-68 ,
-64 ,
-67 ,
-62 ,
-65 ,
-59 ,
-62 ,
-58 ,
-57 ,
-55 ,
-52 ,
-50 ,
-46 ,
-44 ,
-40 ,
-38 ,
-34 ,
-33 ,
-29 ,
-28 ,
-24 ,
-22 ,
-20 ,
-19 ,
-19 ,
-15 ,
-17 ,
-14 ,
-14 ,
-13 ,
-11 ,
-13 ,
-9  ,
-12 ,
-9  ,
-10 ,
-10 ,
-10 ,
-7  ,
-11 ,
-5  ,
-8  ,
-5  ,
-4  ,
-4  ,
-3  ,
0 ,
-2  ,
4 ,
0 ,
9 ,
4 ,
13  ,
11  ,
16  ,
19  ,
22  ,
26  ,
31  ,
33  ,
38  ,
41  ,
43  ,
51  ,
48  ,
56  ,
55  ,
59  ,
62  ,
64  ,
67  ,
69  ,
74  ,
72  ,
81  ,
75  ,
86  ,
81  ,
88  ,
87  ,
91  ,
89  ,
92  ,
87  ,
91  ,
84  ,
87  ,
81  ,
81  ,
78  ,
72  ,
73  ,
64  ,
66  ,
58  ,
58  ,
55  ,
48  ,
50  ,
41  ,
40  ,
36  ,
31  ,
24  ,
23  ,
13  ,
14  ,
2 ,
3 ,
-7  ,
-6  ,
-14 ,
-17 ,
-21 ,
-25 ,
-27 ,
-32 ,
-32 ,
-38 ,
-38 ,
-45 ,
-44 ,
-51 ,
-50 ,
-54 ,
-57 ,
-58 ,
-62 ,
-63 ,
-66 ,
-67 ,
-67 ,
-70 ,
-69 ,
-69 ,
-71 ,
-67 ,
-71 ,
-68 ,
-67 ,
-67 ,
-65 ,
-67 ,
-65 ,
-70 ,
-64 ,
-72 ,
-65 ,
-71 ,
-66 ,
-69 ,
-66 ,
-65 ,
-63 ,
-61 ,
-55 ,
-60 ,
-47 ,
-57 ,
-45 ,
-48 ,
-45 ,
-42 ,
-41 ,
-39 ,
-39 ,
-35 ,
-39 ,
-33 ,
-34 ,
-34 ,
-29 ,
-33 ,
-27 ,
-30 ,
-25 ,
-25 ,
-25 ,
-18 ,
-23 ,
-15 ,
-16 ,
-11 ,
-11 ,
-4  ,
-6  ,
1 ,
2 ,
5 ,
8 ,
10  ,
14  ,
17  ,
17  ,
24  ,
19  ,
28  ,
25  ,
29  ,
30  ,
31  ,
35  ,
33  ,
38  ,
34  ,
37  ,
38  ,
35  ,
38  ,
32  ,
36  ,
27  ,
34  ,
23  ,
32  ,
23  ,
28  ,
24  ,
29  ,
23  ,
31  ,
27  ,
31  ,
33  ,
31  ,
33  ,
34  ,
33  ,
31  ,
35  ,
29  ,
33  ,
28  ,
28  ,
27  ,
24  ,
25  ,
21  ,
23  ,
19  ,
20  ,
17  ,
16  ,
15  ,
10  ,
13  ,
6 ,
5 ,
2 ,
-4  ,
-5  ,
-9  ,
-14 ,
-16 ,
-21 ,
-26 ,
-28 ,
-35 ,
-36 ,
-40 ,
-45 ,
-41 ,
-52 ,
-47 ,
-53 ,
-54 ,
-54 ,
-59 ,
-57 ,
-62 ,
-63 ,
-67 ,
-68 ,
-68 ,
-70 ,
-68 ,
-72 ,
-67 ,
-72 ,
-66 ,
-69 ,
-65 ,
-65 ,
-65 ,
-60 ,
-65 ,
-59 ,
-64 ,
-59 ,
-61 ,
-56 ,
-58 ,
-53 ,
-56 ,
-49 ,
-54 ,
-46 ,
-47 ,
-43 ,
-40 ,
-39 ,
-36 ,
-35 ,
-31 ,
-31 ,
-26 ,
-25 ,
-24 ,
-20 ,
-21 ,
-16 ,
-16 ,
-12 ,
-8  ,
-9  ,
-1  ,
-3  ,
2 ,
4 ,
5 ,
9 ,
8 ,
16  ,
11  ,
20  ,
17  ,
22  ,
25  ,
24  ,
30  ,
28  ,
33  ,
32  ,
37  ,
35  ,
39  ,
39  ,
39  ,
40  ,
40  ,
38  ,
38  ,
39  ,
34  ,
40  ,
34  ,
36  ,
34  ,
33  ,
34  ,
32  ,
34  ,
30  ,
34  ,
27  ,
30  ,
27  ,
28  ,
29  ,
25  ,
30  ,
23  ,
29  ,
23  ,
26  ,
23  ,
24  ,
21  ,
22  ,
18  ,
19  ,
15  ,
15  ,
15  ,
11  ,
11  ,
10  ,
4 ,
8 ,
0 ,
2 ,
-2  ,
-3  ,
-7  ,
-7  ,
-14 ,
-8  ,
-20 ,
-13 ,
-21 ,
-18 ,
-23 ,
-22 ,
-28 ,
-25 ,
-32 ,
-30 ,
-36 ,
-34 ,
-38 ,
-39 ,
-39 ,
-42 ,
-40 ,
-43 ,
-40 ,
-42 ,
-40 ,
-40 ,
-38 ,
-38 ,
-33 ,
-38 ,
-30 ,
-34 ,
-29 ,
-30 ,
-24 ,
-27 ,
-19 ,
-23 ,
-22 ,
-17 ,
-22 ,
-16 ,
-20 ,
-18 ,
-19 ,
-19 ,
-20 ,
-20 ,
-22 ,
-19 ,
-21 ,
-20 ,
-17 ,
-22 ,
-15 ,
-17 ,
-18 ,
-12 ,
-16 ,
-11 ,
-11 ,
-12 ,
-8  ,
-10 ,
-6  ,
-10 ,
-3  ,
-10 ,
-1  ,
-6  ,
-2  ,
0 ,
3 ,
4 ,
9 ,
9 ,
13  ,
16  ,
17  ,
20  ,
23  ,
21  ,
26  ,
22  ,
28  ,
25  ,
29  ,
29  ,
30  ,
33  ,
34  ,
37  ,
38  ,
38  ,
43  ,
40  ,
46  ,
43  ,
46  ,
44  ,
47  ,
44  ,
45  ,
44  ,
39  ,
45  ,
35  ,
42  ,
31  ,
40  ,
33  ,
36  ,
35  ,
37  ,
34  ,
42  ,
35  ,
48  ,
41  ,
49  ,
48  ,
51  ,
52  ,
54  ,
53  ,
56  ,
57  ,
55  ,
58  ,
57  ,
61  ,
58  ,
63  ,
63  ,
64  ,
68  ,
65  ,
68  ,
67  ,
65  ,
65  ,
62  ,
59  ,
58  ,
53  ,
50  ,
48  ,
43  ,
44  ,
36  ,
39  ,
29  ,
33  ,
25  ,
24  ,
21  ,
16  ,
12  ,
12  ,
3 ,
5 ,
-4  ,
-4  ,
-9  ,
-11 ,
-17 ,
-18 ,
-23 ,
-24 ,
-27 ,
-29 ,
-31 ,
-32 ,
-32 ,
-38 ,
-29 ,
-40 ,
-30 ,
-36 ,
-32 ,
-35 ,
-33 ,
-33 ,
-36 ,
-28 ,
-36 ,
-26 ,
-29 ,
-25 ,
-22 ,
-20 ,
-15 ,
-12 ,
-8  ,
-6  ,
0 ,
-1  ,
7 ,
6 ,
12  ,
12  ,
15  ,
18  ,
14  ,
20  ,
14  ,
19  ,
15  ,
13  ,
12  ,
10  ,
7 ,
7 ,
4 ,
4 ,
0 ,
2 ,
-1  ,
-1  ,
-3  ,
-5  ,
-5  ,
-8  ,
-7  ,
-12 ,
-8  ,
-14 ,
-9  ,
-12 ,
-12 ,
-7  ,
-12 ,
-7  ,
-8  ,
-10 ,
-4  ,
-10 ,
-3  ,
-6  ,
-4  ,
0 ,
-3  ,
2 ,
1 ,
6 ,
5 ,
8 ,
7 ,
9 ,
9 ,
9 ,
11  ,
10  ,
15  ,
10  ,
18  ,
14  ,
22  ,
22  ,
26  ,
30  ,
31  ,
35  ,
32  ,
38  ,
34  ,
37  ,
38  ,
34  ,
37  ,
36  ,
32  ,
37  ,
32  ,
36  ,
38  ,
35  ,
41  ,
36  ,
42  ,
39  ,
41  ,
41  ,
40  ,
42  ,
39  ,
39  ,
42  ,
34  ,
40  ,
34  ,
32  ,
36  ,
25  ,
33  ,
22  ,
26  ,
21  ,
20  ,
15  ,
15  ,
7 ,
7 ,
1 ,
-2  ,
-4  ,
-10 ,
-12 ,
-15 ,
-21 ,
-20 ,
-26 ,
-26 ,
-25 ,
-29 ,
-28 ,
-28 ,
-31 ,
-27 ,
-30 ,
-28 ,
-28 ,
-30 ,
-30 ,
-29 ,
-32 ,
-29 ,
-32 ,
-31 ,
-32 ,
-30 ,
-33 ,
-30 ,
-30 ,
-32 ,
-25 ,
-32 ,
-23 ,
-31 ,
-23 ,
-27 ,
-25 ,
-24 ,
-28 ,
-23 ,
-30 ,
-27 ,
-31 ,
-34 ,
-32 ,
-37 ,
-36 ,
-39 ,
-38 ,
-39 ,
-42 ,
-39 ,
-44 ,
-38 ,
-45 ,
-38 ,
-45 ,
-38 ,
-45 ,
-38 ,
-45 ,
-37 ,
-44 ,
-37 ,
-42 ,
-37 ,
-39 ,
-34 ,
-36 ,
-32 ,
-33 ,
-34 ,
-28 ,
-35 ,
-26 ,
-33 ,
-26 ,
-31 ,
-24 ,
-29 ,
-24 ,
-25 ,
-22 ,
-24 ,
-22 ,
-23 ,
-23 ,
-22 ,
-24 ,
-20 ,
-25 ,
-17 ,
-23 ,
-15 ,
-18 ,
-11 ,
-11 ,
-7  ,
-4  ,
-1  ,
3 ,
4 ,
11  ,
11  ,
16  ,
20  ,
24  ,
25  ,
34  ,
27  ,
38  ,
36  ,
41  ,
43  ,
44  ,
46  ,
46  ,
49  ,
44  ,
51  ,
41  ,
49  ,
41  ,
42  ,
39  ,
37  ,
32  ,
34  ,
25  ,
27  ,
22  ,
20  ,
17  ,
17  ,
12  ,
16  ,
7 ,
14  ,
4 ,
11  ,
5 ,
3 ,
7 ,
-3  ,
4 ,
-5  ,
-4  ,
-8  ,
-9  ,
-12 ,
-14 ,
-14 ,
-18 ,
-19 ,
-18 ,
-25 ,
-18 ,
-28 ,
-23 ,
-27 ,
-27 ,
-30 ,
-29 ,
-34 ,
-32 ,
-35 ,
-35 ,
-37 ,
-37 ,
-37 ,
-38 ,
-38 ,
-38 ,
-37 ,
-37 ,
-36 ,
-38 ,
-37 ,
-35 ,
-40 ,
-33 ,
-40 ,
-36 ,
-39 ,
-39 ,
-41 ,
-40 ,
-41 ,
-43 ,
-40 ,
-44 ,
-40 ,
-43 ,
-41 ,
-45 ,
-40 ,
-46 ,
-40 ,
-46 ,
-42 ,
-44 ,
-42 ,
-42 ,
-39 ,
-38 ,
-35 ,
-33 ,
-31 ,
-26 ,
-26 ,
-20 ,
-22 ,
-16 ,
-17 ,
-18 ,
-11 ,
-21 ,
-8  ,
-17 ,
-9  ,
-13 ,
-8  ,
-11 ,
-4  ,
-8  ,
2 ,
-4  ,
6 ,
3 ,
7 ,
11  ,
11  ,
15  ,
18  ,
17  ,
23  ,
21  ,
24  ,
25  ,
21  ,
27  ,
21  ,
28  ,
21  ,
27  ,
19  ,
26  ,
21  ,
25  ,
21  ,
25  ,
20  ,
22  ,
21  ,
18  ,
22  ,
16  ,
21  ,
15  ,
20  ,
15  ,
19  ,
17  ,
16  ,
20  ,
14  ,
20  ,
16  ,
16  ,
17  ,
15  ,
16  ,
14  ,
11  ,
13  ,
6 ,
14  ,
3 ,
10  ,
3 ,
6 ,
2 ,
4 ,
0 ,
3 ,
0 ,
1 ,
1 ,
-1  ,
-1  ,
-3  ,
-3  ,
-5  ,
-6  ,
-8  ,
-9  ,
-10 ,
-13 ,
-14 ,
-17 ,
-18 ,
-18 ,
-23 ,
-19 ,
-28 ,
-21 ,
-30 ,
-25 ,
-29 ,
-28 ,
-27 ,
-30 ,
-28 ,
-32 ,
-30 ,
-34 ,
-33 ,
-36 ,
-39 ,
-39 ,
-44 ,
-44 ,
-47 ,
-52 ,
-49 ,
-56 ,
-54 ,
-56 ,
-60 ,
-54 ,
-59 ,
-53 ,
-55 ,
-52 ,
-49 ,
-49 ,
-44 ,
-44 ,
-41 ,
-35 ,
-37 ,
-28 ,
-31 ,
-25 ,
-22 ,
-19 ,
-13 ,
-11 ,
-4  ,
-2  ,
6 ,
9 ,
16  ,
18  ,
25  ,
26  ,
34  ,
35  ,
39  ,
41  ,
46  ,
45  ,
52  ,
48  ,
53  ,
52  ,
54  ,
52  ,
56  ,
52  ,
58  ,
54  ,
58  ,
56  ,
59  ,
59  ,
61  ,
62  ,
63  ,
63  ,
65  ,
66  ,
65  ,
72  ,
66  ,
77  ,
72  ,
82  ,
81  ,
85  ,
90  ,
91  ,
94  ,
99  ,
97  ,
103 ,
101 ,
104 ,
102 ,
102 ,
101 ,
99  ,
98  ,
96  ,
91  ,
92  ,
86  ,
86  ,
79  ,
80  ,
71  ,
73  ,
62  ,
63  ,
54  ,
52  ,
48  ,
40  ,
38  ,
30  ,
26  ,
21  ,
14  ,
12  ,
3 ,
2 ,
-5  ,
-8  ,
-11 ,
-16 ,
-18 ,
-22 ,
-24 ,
-28 ,
-28 ,
-33 ,
-32 ,
-36 ,
-36 ,
-38 ,
-38 ,
-43 ,
-41 ,
-45 ,
-45 ,
-46 ,
-47 ,
-48 ,
-48 ,
-48 ,
-50 ,
-45 ,
-48 ,
-46 ,
-42 ,
-46 ,
-35 ,
-43 ,
-33 ,
-35 ,
-32 ,
-28 ,
-27 ,
-27 ,
-22 ,
-26 ,
-21 ,
-26 ,
-23 ,
-25 ,
-27 ,
-26 ,
-29 ,
-28 ,
-29 ,
-28 ,
-31 ,
-28 ,
-28 ,
-30 ,
-23 ,
-28 ,
-22 ,
-21 ,
-20 ,
-17 ,
-15 ,
-15 ,
-10 ,
-9  ,
-9  ,
-4  ,
-8  ,
-2  ,
-2  ,
-4  ,
1 ,
0 ,
2 ,
6 ,
4 ,
8 ,
8 ,
10  ,
14  ,
12  ,
18  ,
16  ,
20  ,
21  ,
24  ,
26  ,
30  ,
32  ,
35  ,
40  ,
40  ,
46  ,
48  ,
51  ,
53  ,
56  ,
54  ,
59  ,
54  ,
59  ,
56  ,
58  ,
57  ,
59  ,
56  ,
60  ,
56  ,
60  ,
59  ,
57  ,
61  ,
57  ,
60  ,
56  ,
58  ,
54  ,
57  ,
51  ,
53  ,
48  ,
49  ,
43  ,
43  ,
40  ,
34  ,
35  ,
28  ,
27  ,
26  ,
17  ,
23  ,
10  ,
17  ,
4 ,
9 ,
1 ,
0 ,
-5  ,
-7  ,
-12 ,
-12 ,
-18 ,
-21 ,
-22 ,
-29 ,
-28 ,
-34 ,
-34 ,
-40 ,
-41 ,
-46 ,
-47 ,
-54 ,
-53 ,
-60 ,
-58 ,
-61 ,
-63 ,
-62 ,
-65 ,
-60 ,
-63 ,
-60 ,
-58 ,
-60 ,
-56 ,
-57 ,
-55 ,
-57 ,
-53 ,
-57 ,
-52 ,
-52 ,
-54 ,
-48 ,
-55 ,
-44 ,
-52 ,
-43 ,
-48 ,
-40 ,
-44 ,
-37 ,
-40 ,
-36 ,
-36 ,
-32 ,
-35 ,
-28 ,
-34 ,
-24 ,
-33 ,
-23 ,
-31 ,
-24 ,
-29 ,
-22 ,
-29 ,
-18 ,
-26 ,
-19 ,
-19 ,
-20 ,
-12 ,
-18 ,
-8  ,
-13 ,
-6  ,
-10 ,
-4  ,
-6  ,
-4  ,
0 ,
-3  ,
3 ,
4 ,
2 ,
11  ,
2 ,
14  ,
3 ,
14  ,
4 ,
13  ,
5 ,
9 ,
6 ,
6 ,
8 ,
7 ,
11  ,
8 ,
15  ,
10  ,
18  ,
12  ,
19  ,
13  ,
20  ,
15  ,
19  ,
17  ,
20  ,
19  ,
23  ,
22  ,
24  ,
27  ,
24  ,
30  ,
26  ,
30  ,
29  ,
31  ,
30  ,
33  ,
31  ,
34  ,
32  ,
35  ,
30  ,
36  ,
28  ,
31  ,
28  ,
26  ,
25  ,
22  ,
20  ,
18  ,
15  ,
12  ,
7 ,
7 ,
1 ,
-1  ,
-5  ,
-9  ,
-12 ,
-17 ,
-18 ,
-23 ,
-23 ,
-26 ,
-27 ,
-29 ,
-30 ,
-30 ,
-32 ,
-32 ,
-33 ,
-37 ,
-34 ,
-41 ,
-40 ,
-45 ,
-47 ,
-48 ,
-48 ,
-51 ,
-51 ,
-51 ,
-54 ,
-49 ,
-52 ,
-50 ,
-48 ,
-47 ,
-46 ,
-44 ,
-42 ,
-41 ,
-37 ,
-35 ,
-34 ,
-30 ,
-30 ,
-29 ,
-26 ,
-25 ,
-27 ,
-24 ,
-25 ,
-24 ,
-24 ,
-22 ,
-26 ,
-18 ,
-26 ,
-18 ,
-25 ,
-20 ,
-23 ,
-22 ,
-21 ,
-22 ,
-18 ,
-21 ,
-13 ,
-17 ,
-8  ,
-12 ,
-2  ,
-5  ,
2 ,
1 ,
5 ,
4 ,
7 ,
7 ,
7 ,
9 ,
9 ,
9 ,
11  ,
10  ,
14  ,
13  ,
17  ,
14  ,
19  ,
16  ,
18  ,
19  ,
17  ,
18  ,
20  ,
17  ,
20  ,
17  ,
19  ,
17  ,
17  ,
18  ,
15  ,
16  ,
14  ,
14  ,
10  ,
13  ,
10  ,
10  ,
10  ,
8 ,
10  ,
8 ,
10  ,
6 ,
9 ,
5 ,
6 ,
5 ,
3 ,
4 ,
2 ,
2 ,
1 ,
1 ,
1 ,
-1  ,
2 ,
-4  ,
2 ,
-6  ,
-1  ,
-8  ,
-6  ,
-12 ,
-11 ,
-15 ,
-16 ,
-17 ,
-20 ,
-21 ,
-22 ,
-23 ,
-25 ,
-24 ,
-26 ,
-24 ,
-26 ,
-25 ,
-26 ,
-26 ,
-25 ,
-24 ,
-24 ,
-19 ,
-24 ,
-16 ,
-23 ,
-14 ,
-20 ,
-15 ,
-18 ,
-15 ,
-17 ,
-16 ,
-19 ,
-16 ,
-19 ,
-16 ,
-19 ,
-18 ,
-20 ,
-17 ,
-23 ,
-15 ,
-26 ,
-15 ,
-26 ,
-19 ,
-24 ,
-25 ,
-25 ,
-27 ,
-29 ,
-28 ,
-31 ,
-32 ,
-34 ,
-33 ,
-37 ,
-34 ,
-36 ,
-36 ,
-33 ,
-33 ,
-34 ,
-27 ,
-30 ,
-26 ,
-24 ,
-24 ,
-23 ,
-18 ,
-23 ,
-14 ,
-17 ,
-12 ,
-11 ,
-6  ,
-6  ,
-1  ,
2 ,
5 ,
10  ,
15  ,
14  ,
20  ,
23  ,
21  ,
30  ,
24  ,
29  ,
30  ,
29  ,
31  ,
30  ,
29  ,
34  ,
28  ,
35  ,
28  ,
35  ,
30  ,
36  ,
32  ,
38  ,
36  ,
40  ,
43  ,
41  ,
46  ,
44  ,
48  ,
44  ,
51  ,
44  ,
51  ,
46  ,
51  ,
48  ,
54  ,
51  ,
57  ,
56  ,
58  ,
61  ,
60  ,
62  ,
65  ,
60  ,
67  ,
60  ,
65  ,
63  ,
63  ,
62  ,
63  ,
61  ,
63  ,
60  ,
59  ,
59  ,
56  ,
55  ,
55  ,
49  ,
52  ,
48  ,
44  ,
46  ,
40  ,
43  ,
37  ,
37  ,
31  ,
33  ,
27  ,
28  ,
25  ,
22  ,
24  ,
19  ,
21  ,
16  ,
17  ,
14  ,
13  ,
9 ,
9 ,
5 ,
2 ,
3 ,
-5  ,
-2  ,
-8  ,
-8  ,
-9  ,
-13 ,
-11 ,
-17 ,
-14 ,
-17 ,
-15 ,
-18 ,
-14 ,
-19 ,
-13 ,
-16 ,
-12 ,
-13 ,
-8  ,
-9  ,
-4  ,
-6  ,
-1  ,
-1  ,
1 ,
4 ,
3 ,
5 ,
5 ,
6 ,
6 ,
8 ,
4 ,
9 ,
4 ,
6 ,
4 ,
1 ,
3 ,
-1  ,
-1  ,
-2  ,
-6  ,
-3  ,
-10 ,
-5  ,
-8  ,
-10 ,
-5  ,
-13 ,
-7  ,
-11 ,
-9  ,
-11 ,
-10 ,
-13 ,
-10 ,
-13 ,
-10 ,
-13 ,
-10 ,
-11 ,
-9  ,
-7  ,
-7  ,
-5  ,
-4  ,
-6  ,
0 ,
-4  ,
3 ,
-2  ,
4 ,
0 ,
6 ,
4 ,
7 ,
10  ,
8 ,
15  ,
10  ,
15  ,
14  ,
14  ,
17  ,
12  ,
18  ,
8 ,
16  ,
9 ,
14  ,
10  ,
13  ,
11  ,
15  ,
13  ,
15  ,
17  ,
15  ,
21  ,
17  ,
23  ,
22  ,
25  ,
26  ,
28  ,
30  ,
32  ,
32  ,
37  ,
32  ,
40  ,
34  ,
40  ,
38  ,
37  ,
40  ,
35  ,
38  ,
35  ,
33  ,
34  ,
29  ,
28  ,
24  ,
24  ,
19  ,
21  ,
13  ,
17  ,
10  ,
12  ,
6 ,
6 ,
2 ,
0 ,
0 ,
-6  ,
-6  ,
-9  ,
-14 ,
-13 ,
-20 ,
-19 ,
-24 ,
-24 ,
-28 ,
-28 ,
-28 ,
-33 ,
-30 ,
-33 ,
-33 ,
-33 ,
-32 ,
-36 ,
-33 ,
-34 ,
-35 ,
-36 ,
-35 ,
-41 ,
-36 ,
-44 ,
-41 ,
-44 ,
-43 ,
-46 ,
-42 ,
-47 ,
-40 ,
-45 ,
-40 ,
-42 ,
-41 ,
-39 ,
-44 ,
-37 ,
-45 ,
-39 ,
-42 ,
-41 ,
-41 ,
-43 ,
-39 ,
-43 ,
-34 ,
-41 ,
-32 ,
-35 ,
-32 ,
-27 ,
-31 ,
-23 ,
-28 ,
-23 ,
-24 ,
-22 ,
-26 ,
-22 ,
-26 ,
-26 ,
-25 ,
-30 ,
-28 ,
-27 ,
-35 ,
-26 ,
-37 ,
-32 ,
-34 ,
-38 ,
-35 ,
-38 ,
-40 ,
-37 ,
-42 ,
-38 ,
-40 ,
-37 ,
-40 ,
-33 ,
-38 ,
-30 ,
-35 ,
-30 ,
-29 ,
-28 ,
-25 ,
-22 ,
-21 ,
-14 ,
-14 ,
-6  ,
-4  ,
4 ,
4 ,
13  ,
13  ,
21  ,
22  ,
27  ,
30  ,
32  ,
36  ,
34  ,
42  ,
37  ,
44  ,
40  ,
46  ,
43  ,
49  ,
41  ,
50  ,
43  ,
47  ,
45  ,
43  ,
43  ,
42  ,
37  ,
40  ,
33  ,
35  ,
31  ,
28  ,
27  ,
21  ,
23  ,
17  ,
18  ,
16  ,
13  ,
16  ,
10  ,
15  ,
10  ,
15  ,
8 ,
14  ,
4 ,
12  ,
-2  ,
7 ,
-8  ,
-1  ,
-12 ,
-11 ,
-17 ,
-20 ,
-24 ,
-26 ,
-27 ,
-30 ,
-30 ,
-30 ,
-32 ,
-27 ,
-31 ,
-28 ,
-27 ,
-29 ,
-25 ,
-28 ,
-25 ,
-30 ,
-25 ,
-29 ,
-26 ,
-26 ,
-29 ,
-24 ,
-27 ,
-23 ,
-25 ,
-21 ,
-22 ,
-18 ,
-18 ,
-19 ,
-13 ,
-21 ,
-12 ,
-21 ,
-15 ,
-20 ,
-20 ,
-24 ,
-22 ,
-27 ,
-22 ,
-26 ,
-27 ,
-23 ,
-31 ,
-22 ,
-32 ,
-26 ,
-31 ,
-30 ,
-31 ,
-32 ,
-33 ,
-32 ,
-34 ,
-31 ,
-33 ,
-29 ,
-33 ,
-25 ,
-32 ,
-24 ,
-27 ,
-24 ,
-22 ,
-19 ,
-19 ,
-14 ,
-14 ,
-8  ,
-6  ,
-3  ,
-1  ,
5 ,
3 ,
11  ,
6 ,
15  ,
9 ,
18  ,
13  ,
15  ,
19  ,
14  ,
20  ,
17  ,
20  ,
18  ,
21  ,
16  ,
22  ,
17  ,
21  ,
17  ,
22  ,
17  ,
22  ,
17  ,
20  ,
19  ,
19  ,
20  ,
16  ,
18  ,
15  ,
15  ,
14  ,
12  ,
13  ,
12  ,
13  ,
12  ,
13  ,
11  ,
14  ,
13  ,
13  ,
14  ,
11  ,
14  ,
9 ,
12  ,
8 ,
7 ,
7 ,
7 ,
3 ,
8 ,
3 ,
6 ,
6 ,
5 ,
7 ,
6 ,
7 ,
6 ,
6 ,
6 ,
4 ,
7 ,
0 ,
7 ,
-3  ,
2 ,
-2  ,
-6  ,
-2  ,
-10 ,
-6  ,
-9  ,
-14 ,
-9  ,
-17 ,
-12 ,
-20 ,
-16 ,
-21 ,
-20 ,
-25 ,
-24 ,
-32 ,
-26 ,
-38 ,
-34 ,
-38 ,
-43 ,
-40 ,
-43 ,
-43 ,
-43 ,
-44 ,
-46 ,
-42 ,
-46 ,
-41 ,
-45 ,
-40 ,
-43 ,
-38 ,
-40 ,
-34 ,
-39 ,
-28 ,
-34 ,
-24 ,
-25 ,
-22 ,
-18 ,
-17 ,
-14 ,
-12 ,
-9  ,
-5  ,
-5  ,
1 ,
-1  ,
8 ,
8 ,
12  ,
16  ,
20  ,
21  ,
27  ,
29  ,
32  ,
38  ,
38  ,
43  ,
44  ,
49  ,
47  ,
54  ,
51  ,
57  ,
56  ,
59  ,
59  ,
62  ,
61  ,
65  ,
65  ,
66  ,
69  ,
68  ,
72  ,
72  ,
73  ,
76  ,
75  ,
78  ,
77  ,
78  ,
79  ,
76  ,
81  ,
76  ,
82  ,
74  ,
81  ,
74  ,
80  ,
73  ,
79  ,
74  ,
77  ,
74  ,
71  ,
71  ,
68  ,
64  ,
63  ,
57  ,
56  ,
51  ,
49  ,
43  ,
41  ,
40  ,
35  ,
37  ,
29  ,
34  ,
25  ,
31  ,
22  ,
27  ,
22  ,
20  ,
22  ,
15  ,
18  ,
14  ,
10  ,
13  ,
3 ,
8 ,
0 ,
1 ,
-1  ,
-5  ,
-1  ,
-8  ,
-4  ,
-9  ,
-9  ,
-11 ,
-13 ,
-12 ,
-18 ,
-14 ,
-20 ,
-18 ,
-20 ,
-22 ,
-21 ,
-23 ,
-23 ,
-23 ,
-25 ,
-24 ,
-26 ,
-24 ,
-29 ,
-22 ,
-32 ,
-24 ,
-32 ,
-28 ,
-34 ,
-29 ,
-35 ,
-30 ,
-37 ,
-31 ,
-36 ,
-32 ,
-35 ,
-32 ,
-32 ,
-29 ,
-30 ,
-27 ,
-28 ,
-23 ,
-23 ,
-19 ,
-18 ,
-16 ,
-13 ,
-12 ,
-7  ,
-9  ,
-5  ,
-4  ,
-3  ,
1 ,
-1  ,
5 ,
0 ,
9 ,
2 ,
11  ,
4 ,
11  ,
6 ,
10  ,
10  ,
8 ,
13  ,
11  ,
14  ,
17  ,
14  ,
22  ,
18  ,
21  ,
23  ,
21  ,
25  ,
22  ,
24  ,
23  ,
24  ,
24  ,
24  ,
25  ,
26  ,
26  ,
29  ,
27  ,
33  ,
31  ,
35  ,
36  ,
36  ,
39  ,
35  ,
40  ,
35  ,
40  ,
37  ,
39  ,
37  ,
38  ,
39  ,
38  ,
42  ,
38  ,
44  ,
38  ,
44  ,
37  ,
41  ,
38  ,
36  ,
36  ,
33  ,
30  ,
29  ,
24  ,
24  ,
18  ,
19  ,
12  ,
13  ,
4 ,
8 ,
-4  ,
2 ,
-10 ,
-5  ,
-17 ,
-12 ,
-24 ,
-22 ,
-29 ,
-32 ,
-34 ,
-39 ,
-41 ,
-43 ,
-48 ,
-45 ,
-53 ,
-48 ,
-56 ,
-52 ,
-58 ,
-59 ,
-60 ,
-62 ,
-62 ,
-66 ,
-64 ,
-69 ,
-68 ,
-72 ,
-71 ,
-74 ,
-72 ,
-74 ,
-73 ,
-74 ,
-72 ,
-73 ,
-69 ,
-69 ,
-67 ,
-64 ,
-63 ,
-59 ,
-59 ,
-54 ,
-53 ,
-48 ,
-47 ,
-40 ,
-41 ,
-34 ,
-33 ,
-28 ,
-24 ,
-23 ,
-17 ,
-18 ,
-13 ,
-14 ,
-12 ,
-10 ,
-10 ,
-11 ,
-9  ,
-13 ,
-9  ,
-15 ,
-11 ,
-14 ,
-13 ,
-15 ,
-13 ,
-19 ,
-12 ,
-23 ,
-16 ,
-22 ,
-21 ,
-24 ,
-25 ,
-27 ,
-27 ,
-28 ,
-29 ,
-26 ,
-29 ,
-23 ,
-28 ,
-20 ,
-23 ,
-17 ,
-17 ,
-13 ,
-13 ,
-9  ,
-11 ,
-4  ,
-9  ,
0 ,
-4  ,
3 ,
3 ,
5 ,
7 ,
9 ,
12  ,
15  ,
15  ,
19  ,
20  ,
23  ,
26  ,
27  ,
30  ,
30  ,
32  ,
32  ,
31  ,
34  ,
29  ,
32  ,
30  ,
28  ,
30  ,
25  ,
27  ,
22  ,
23  ,
20  ,
18  ,
18  ,
13  ,
12  ,
9 ,
6 ,
6 ,
1 ,
2 ,
-3  ,
-2  ,
-7  ,
-7  ,
-9  ,
-14 ,
-10 ,
-20 ,
-16 ,
-23 ,
-23 ,
-26 ,
-29 ,
-29 ,
-34 ,
-33 ,
-37 ,
-39 ,
-39 ,
-43 ,
-43 ,
-45 ,
-46 ,
-49 ,
-44 ,
-50 ,
-42 ,
-47 ,
-42 ,
-40 ,
-40 ,
-35 ,
-37 ,
-30 ,
-32 ,
-26 ,
-26 ,
-23 ,
-21 ,
-20 ,
-16 ,
-16 ,
-13 ,
-10 ,
-12 ,
-6  ,
-9  ,
-4  ,
-7  ,
-3  ,
-4  ,
-3  ,
-4  ,
-3  ,
-6  ,
-3  ,
-3  ,
-6  ,
-1  ,
-7  ,
0 ,
-7  ,
-1  ,
-7  ,
-4  ,
-7  ,
-6  ,
-9  ,
-8  ,
-12 ,
-11 ,
-13 ,
-12 ,
-14 ,
-10 ,
-14 ,
-9  ,
-11 ,
-7  ,
-9  ,
-5  ,
-5  ,
-5  ,
0 ,
-4  ,
2 ,
-1  ,
4 ,
2 ,
8 ,
3 ,
13  ,
7 ,
16  ,
12  ,
20  ,
16  ,
24  ,
18  ,
27  ,
21  ,
29  ,
24  ,
30  ,
26  ,
31  ,
25  ,
28  ,
27  ,
22  ,
28  ,
21  ,
24  ,
23  ,
21  ,
21  ,
21  ,
19  ,
17  ,
16  ,
13  ,
9 ,
11  ,
4 ,
4 ,
1 ,
0 ,
-3  ,
-2  ,
-6  ,
-5  ,
-5  ,
-5  ,
-6  ,
-4  ,
-7  ,
-3  ,
-7  ,
-4  ,
-7  ,
-5  ,
-10 ,
-3  ,
-15 ,
-6  ,
-15 ,
-13 ,
-11 ,
-18 ,
-9  ,
-16 ,
-8  ,
-11 ,
-6  ,
-4  ,
-3  ,
3 ,
1 ,
5 ,
8 ,
4 ,
10  ,
5 ,
7 ,
7 ,
2 ,
4 ,
0 ,
0 ,
-1  ,
-4  ,
-3  ,
-7  ,
-4  ,
-10 ,
-9  ,
-10 ,
-14 ,
-13 ,
-16 ,
-20 ,
-18 ,
-25 ,
-23 ,
-26 ,
-29 ,
-26 ,
-31 ,
-28 ,
-31 ,
-31 ,
-28 ,
-31 ,
-29 ,
-29 ,
-28 ,
-27 ,
-25 ,
-26 ,
-22 ,
-21 ,
-18 ,
-17 ,
-14 ,
-14 ,
-9  ,
-10 ,
-6  ,
-5  ,
-3  ,
-1  ,
1 ,
1 ,
5 ,
5 ,
10  ,
10  ,
12  ,
18  ,
13  ,
25  ,
17  ,
27  ,
23  ,
31  ,
30  ,
34  ,
35  ,
37  ,
41  ,
42  ,
44  ,
47  ,
47  ,
52  ,
50  ,
54  ,
55  ,
56  ,
60  ,
58  ,
61  ,
62  ,
61  ,
64  ,
62  ,
63  ,
60  ,
62  ,
58  ,
60  ,
56  ,
58  ,
54  ,
61  ,
54  ,
60  ,
57  ,
60  ,
59  ,
59  ,
61  ,
58  ,
60  ,
57  ,
56  ,
54  ,
51  ,
50  ,
45  ,
45  ,
40  ,
37  ,
36  ,
33  ,
31  ,
30  ,
29  ,
27  ,
30  ,
25  ,
29  ,
26  ,
28  ,
27  ,
25  ,
24  ,
24  ,
20  ,
21  ,
16  ,
18  ,
13  ,
15  ,
11  ,
10  ,
12  ,
5 ,
12  ,
3 ,
9 ,
3 ,
5 ,
-1  ,
2 ,
-6  ,
-3  ,
-9  ,
-8  ,
-13 ,
-11 ,
-15 ,
-15 ,
-14 ,
-19 ,
-15 ,
-20 ,
-17 ,
-20 ,
-19 ,
-22 ,
-19 ,
-24 ,
-20 ,
-27 ,
-23 ,
-26 ,
-27 ,
-25 ,
-27 ,
-28 ,
-23 ,
-31 ,
-21 ,
-29 ,
-23 ,
-24 ,
-23 ,
-21 ,
-18 ,
-23 ,
-14 ,
-22 ,
-12 ,
-21 ,
-12 ,
-18 ,
-13 ,
-12 ,
-13 ,
-9  ,
-9  ,
-10 ,
-3  ,
-8  ,
-1  ,
-6  ,
-1  ,
-2  ,
-1  ,
0 ,
-2  ,
-2  ,
-1  ,
-4  ,
-1  ,
-4  ,
-2  ,
-4  ,
-2  ,
-3  ,
-3  ,
-2  ,
-6  ,
0 ,
-8  ,
1 ,
-8  ,
1 ,
-9  ,
2 ,
-8  ,
3 ,
-2  ,
2 ,
4 ,
5 ,
7 ,
12  ,
9 ,
14  ,
16  ,
15  ,
21  ,
18  ,
26  ,
21  ,
31  ,
26  ,
31  ,
33  ,
32  ,
38  ,
36  ,
41  ,
42  ,
46  ,
47  ,
51  ,
51  ,
54  ,
56  ,
56  ,
57  ,
57  ,
56  ,
56  ,
53  ,
54  ,
49  ,
49  ,
45  ,
40  ,
43  ,
33  ,
36  ,
28  ,
28  ,
23  ,
19  ,
17  ,
10  ,
10  ,
1 ,
2 ,
-4  ,
-8  ,
-9  ,
-17 ,
-15 ,
-22 ,
-23 ,
-27 ,
-30 ,
-33 ,
-34 ,
-41 ,
-41 ,
-45 ,
-48 ,
-48 ,
-51 ,
-52 ,
-52 ,
-53 ,
-55 ,
-55 ,
-54 ,
-57 ,
-53 ,
-57 ,
-54 ,
-55 ,
-55 ,
-53 ,
-54 ,
-51 ,
-52 ,
-50 ,
-47 ,
-49 ,
-43 ,
-43 ,
-40 ,
-37 ,
-33 ,
-35 ,
-26 ,
-32 ,
-21 ,
-28 ,
-18 ,
-27 ,
-18 ,
-27 ,
-22 ,
-25 ,
-25 ,
-24 ,
-26 ,
-25 ,
-27 ,
-26 ,
-30 ,
-26 ,
-32 ,
-30 ,
-34 ,
-36 ,
-37 ,
-42 ,
-41 ,
-49 ,
-44 ,
-54 ,
-50 ,
-57 ,
-53 ,
-58 ,
-53 ,
-59 ,
-52 ,
-54 ,
-50 ,
-49 ,
-47 ,
-46 ,
-41 ,
-40 ,
-37 ,
-35 ,
-31 ,
-32 ,
-25 ,
-27 ,
-17 ,
-18 ,
-12 ,
-8  ,
-4  ,
2 ,
5 ,
11  ,
15  ,
23  ,
26  ,
28  ,
39  ,
36  ,
43  ,
49  ,
44  ,
57  ,
48  ,
59  ,
53  ,
58  ,
58  ,
56  ,
58  ,
57  ,
53  ,
57  ,
48  ,
54  ,
46  ,
48  ,
44  ,
39  ,
41  ,
33  ,
33  ,
28  ,
26  ,
23  ,
19  ,
17  ,
12  ,
10  ,
7 ,
5 ,
1 ,
-1  ,
-3  ,
-7  ,
-10 ,
-9  ,
-17 ,
-13 ,
-18 ,
-17 ,
-20 ,
-20 ,
-22 ,
-24 ,
-20 ,
-27 ,
-21 ,
-26 ,
-25 ,
-23 ,
-26 ,
-23 ,
-21 ,
-22 ,
-19 ,
-17 ,
-21 ,
-13 ,
-20 ,
-11 ,
-19 ,
-10 ,
-19 ,
-11 ,
-18 ,
-15 ,
-19 ,
-16 ,
-20 ,
-19 ,
-22 ,
-22 ,
-24 ,
-23 ,
-25 ,
-26 ,
-23 ,
-26 ,
-25 ,
-26 ,
-29 ,
-25 ,
-32 ,
-28 ,
-36 ,
-32 ,
-39 ,
-38 ,
-42 ,
-44 ,
-42 ,
-47 ,
-44 ,
-48 ,
-46 ,
-46 ,
-46 ,
-43 ,
-44 ,
-42 ,
-43 ,
-40 ,
-45 ,
-38 ,
-43 ,
-37 ,
-41 ,
-33 ,
-39 ,
-30 ,
-33 ,
-27 ,
-25 ,
-18 ,
-18 ,
-8  ,
-10 ,
-1  ,
0 ,
10  ,
9 ,
18  ,
19  ,
22  ,
29  ,
27  ,
34  ,
34  ,
37  ,
41  ,
39  ,
43  ,
42  ,
43  ,
46  ,
43  ,
47  ,
45  ,
44  ,
46  ,
41  ,
43  ,
41  ,
40  ,
39  ,
34  ,
37  ,
27  ,
35  ,
23  ,
30  ,
22  ,
25  ,
21  ,
20  ,
18  ,
19  ,
15  ,
18  ,
13  ,
14  ,
13  ,
9 ,
11  ,
6 ,
11  ,
3 ,
11  ,
1 ,
9 ,
5 ,
6 ,
9 ,
9 ,
12  ,
14  ,
15  ,
16  ,
21  ,
19  ,
24  ,
24  ,
25  ,
25  ,
25  ,
23  ,
21  ,
21  ,
16  ,
15  ,
12  ,
7 ,
5 ,
1 ,
-2  ,
-3  ,
-8  ,
-9  ,
-14 ,
-15 ,
-19 ,
-22 ,
-24 ,
-25 ,
-31 ,
-28 ,
-39 ,
-33 ,
-42 ,
-40 ,
-43 ,
-47 ,
-44 ,
-50 ,
-48 ,
-50 ,
-51 ,
-48 ,
-52 ,
-48 ,
-49 ,
-48 ,
-47 ,
-48 ,
-44 ,
-44 ,
-43 ,
-39 ,
-43 ,
-35 ,
-40 ,
-33 ,
-36 ,
-30 ,
-30 ,
-25 ,
-26 ,
-22 ,
-21 ,
-15 ,
-14 ,
-10 ,
-7  ,
-5  ,
-1  ,
1 ,
5 ,
10  ,
12  ,
19  ,
21  ,
25  ,
32  ,
32  ,
41  ,
43  ,
48  ,
52  ,
55  ,
59  ,
57  ,
63  ,
62  ,
66  ,
65  ,
66  ,
67  ,
64  ,
67  ,
63  ,
68  ,
63  ,
67  ,
63  ,
65  ,
65  ,
65  ,
65  ,
65  ,
67  ,
64  ,
69  ,
63  ,
68  ,
62  ,
66  ,
62  ,
63  ,
59  ,
59  ,
56  ,
54  ,
55  ,
50  ,
52  ,
49  ,
49  ,
47  ,
48  ,
47  ,
47  ,
47  ,
47  ,
47  ,
46  ,
47  ,
44  ,
47  ,
43  ,
46  ,
40  ,
42  ,
36  ,
36  ,
33  ,
29  ,
27  ,
25  ,
22  ,
19  ,
17  ,
15  ,
13  ,
11  ,
10  ,
6 ,
6 ,
1 ,
1 ,
-3  ,
-3  ,
-8  ,
-6  ,
-13 ,
-9  ,
-16 ,
-14 ,
-19 ,
-17 ,
-25 ,
-19 ,
-28 ,
-24 ,
-30 ,
-30 ,
-32 ,
-34 ,
-35 ,
-36 ,
-39 ,
-36 ,
-42 ,
-37 ,
-43 ,
-40 ,
-40 ,
-43 ,
-38 ,
-43 ,
-38 ,
-40 ,
-39 ,
-36 ,
-37 ,
-32 ,
-34 ,
-29 ,
-31 ,
-23 ,
-27 ,
-17 ,
-20 ,
-12 ,
-14 ,
-6  ,
-6  ,
-3  ,
2 ,
3 ,
3 ,
9 ,
7 ,
9 ,
12  ,
9 ,
12  ,
13  ,
11  ,
13  ,
13  ,
12  ,
15  ,
11  ,
14  ,
12  ,
13  ,
12  ,
12  ,
9 ,
13  ,
9 ,
11  ,
11  ,
9 ,
11  ,
10  ,
13  ,
10  ,
17  ,
12  ,
18  ,
16  ,
18  ,
19  ,
19  ,
21  ,
21  ,
23  ,
24  ,
24  ,
29  ,
26  ,
34  ,
31  ,
39  ,
37  ,
45  ,
42  ,
53  ,
49  ,
57  ,
58  ,
61  ,
64  ,
64  ,
65  ,
66  ,
63  ,
65  ,
59  ,
61  ,
55  ,
54  ,
50  ,
47  ,
44  ,
40  ,
39  ,
33  ,
33  ,
28  ,
24  ,
25  ,
17  ,
18  ,
13  ,
11  ,
7 ,
6 ,
0 ,
1 ,
-7  ,
-6  ,
-13 ,
-15 ,
-18 ,
-23 ,
-25 ,
-31 ,
-33 ,
-37 ,
-40 ,
-44 ,
-46 ,
-50 ,
-51 ,
-55 ,
-57 ,
-59 ,
-61 ,
-63 ,
-64 ,
-65 ,
-68 ,
-65 ,
-68 ,
-66 ,
-67 ,
-66 ,
-65 ,
-65 ,
-61 ,
-64 ,
-56 ,
-61 ,
-51 ,
-54 ,
-47 ,
-44 ,
-43 ,
-34 ,
-35 ,
-26 ,
-26 ,
-22 ,
-18 ,
-19 ,
-11 ,
-16 ,
-9  ,
-13 ,
-7  ,
-12 ,
-7  ,
-11 ,
-8  ,
-12 ,
-10 ,
-15 ,
-14 ,
-18 ,
-21 ,
-19 ,
-28 ,
-25 ,
-30 ,
-33 ,
-33 ,
-37 ,
-38 ,
-39 ,
-41 ,
-40 ,
-39 ,
-41 ,
-36 ,
-40 ,
-36 ,
-35 ,
-37 ,
-32 ,
-36 ,
-34 ,
-30 ,
-36 ,
-27 ,
-33 ,
-24 ,
-28 ,
-18 ,
-22 ,
-11 ,
-12 ,
-3  ,
-2  ,
6 ,
9 ,
15  ,
18  ,
22  ,
26  ,
28  ,
33  ,
31  ,
37  ,
34  ,
39  ,
36  ,
38  ,
36  ,
38  ,
36  ,
33  ,
36  ,
29  ,
32  ,
29  ,
26  ,
27  ,
24  ,
23  ,
22  ,
17  ,
19  ,
13  ,
15  ,
9 ,
10  ,
4 ,
4 ,
2 ,
-2  ,
-1  ,
-6  ,
-6  ,
-6  ,
-13 ,
-11 ,
-17 ,
-15 ,
-20 ,
-21 ,
-22 ,
-27 ,
-22 ,
-33 ,
-27 ,
-35 ,
-31 ,
-35 ,
-35 ,
-36 ,
-37 ,
-36 ,
-36 ,
-38 ,
-34 ,
-38 ,
-32 ,
-34 ,
-33 ,
-30 ,
-30 ,
-28 ,
-24 ,
-25 ,
-20 ,
-20 ,
-17 ,
-14 ,
-14 ,
-8  ,
-14 ,
-5  ,
-10 ,
-6  ,
-8  ,
-9  ,
-8  ,
-8  ,
-11 ,
-9  ,
-12 ,
-12 ,
-13 ,
-17 ,
-12 ,
-22 ,
-14 ,
-24 ,
-19 ,
-24 ,
-23 ,
-26 ,
-26 ,
-26 ,
-27 ,
-27 ,
-29 ,
-24 ,
-31 ,
-23 ,
-30 ,
-25 ,
-29 ,
-25 ,
-31 ,
-24 ,
-30 ,
-26 ,
-26 ,
-28 ,
-24 ,
-24 ,
-20 ,
-20 ,
-12 ,
-16 ,
-3  ,
-7  ,
1 ,
6 ,
5 ,
16  ,
14  ,
19  ,
23  ,
22  ,
26  ,
28  ,
27  ,
32  ,
27  ,
32  ,
27  ,
31  ,
26  ,
31  ,
25  ,
31  ,
23  ,
28  ,
24  ,
27  ,
22  ,
25  ,
19  ,
23  ,
19  ,
19  ,
17  ,
16  ,
13  ,
13  ,
10  ,
9 ,
7 ,
5 ,
5 ,
3 ,
3 ,
-1  ,
0 ,
-2  ,
-4  ,
-3  ,
-5  ,
-5  ,
-5  ,
-4  ,
-5  ,
-4  ,
-3  ,
-4  ,
0 ,
-1  ,
0 ,
5 ,
0 ,
8 ,
4 ,
9 ,
8 ,
11  ,
12  ,
11  ,
16  ,
11  ,
17  ,
17  ,
14  ,
20  ,
15  ,
20  ,
18  ,
19  ,
19  ,
17  ,
18  ,
15  ,
16  ,
12  ,
10  ,
9 ,
1 ,
8 ,
-6  ,
1 ,
-6  ,
-10 ,
-7  ,
-17 ,
-12 ,
-20 ,
-20 ,
-22 ,
-26 ,
-25 ,
-30 ,
-30 ,
-31 ,
-33 ,
-33 ,
-35 ,
-33 ,
-35 ,
-32 ,
-36 ,
-31 ,
-35 ,
-31 ,
-33 ,
-32 ,
-32 ,
-30 ,
-31 ,
-30 ,
-26 ,
-28 ,
-25 ,
-22 ,
-23 ,
-17 ,
-14 ,
-14 ,
-6  ,
-6  ,
-1  ,
2 ,
7 ,
11  ,
14  ,
20  ,
20  ,
27  ,
26  ,
33  ,
30  ,
38  ,
36  ,
39  ,
40  ,
43  ,
39  ,
45  ,
43  ,
42  ,
47  ,
43  ,
46  ,
48  ,
46  ,
48  ,
49  ,
50  ,
49  ,
51  ,
48  ,
51  ,
51  ,
49  ,
51  ,
49  ,
51  ,
49  ,
52  ,
46  ,
52  ,
48  ,
47  ,
51  ,
43  ,
49  ,
42  ,
45  ,
41  ,
44  ,
39  ,
42  ,
40  ,
40  ,
40  ,
40  ,
38  ,
41  ,
36  ,
40  ,
36  ,
37  ,
36  ,
37  ,
37  ,
38  ,
37  ,
38  ,
38  ,
40  ,
39  ,
40  ,
42  ,
39  ,
42  ,
38  ,
41  ,
35  ,
40  ,
33  ,
37  ,
32  ,
31  ,
30  ,
25  ,
27  ,
19  ,
22  ,
15  ,
15  ,
10  ,
9 ,
4 ,
3 ,
-2  ,
-5  ,
-8  ,
-11 ,
-16 ,
-17 ,
-24 ,
-22 ,
-27 ,
-30 ,
-32 ,
-34 ,
-37 ,
-38 ,
-40 ,
-43 ,
-41 ,
-46 ,
-46 ,
-46 ,
-50 ,
-46 ,
-52 ,
-46 ,
-50 ,
-45 ,
-48 ,
-42 ,
-43 ,
-38 ,
-36 ,
-36 ,
-28 ,
-32 ,
-21 ,
-24 ,
-19 ,
-15 ,
-17 ,
-9  ,
-13 ,
-7  ,
-10 ,
-7  ,
-6  ,
-9  ,
-4  ,
-7  ,
-7  ,
-5  ,
-10 ,
-3  ,
-9  ,
-4  ,
-9  ,
-4  ,
-9  ,
-4  ,
-9  ,
-6  ,
-7  ,
-7  ,
-6  ,
-6  ,
-8  ,
-7  ,
-6  ,
-9  ,
-3  ,
-7  ,
-5  ,
-2  ,
-4  ,
-1  ,
1 ,
0 ,
3 ,
3 ,
5 ,
6 ,
9 ,
11  ,
10  ,
17  ,
14  ,
21  ,
18  ,
25  ,
22  ,
30  ,
28  ,
33  ,
35  ,
36  ,
42  ,
42  ,
46  ,
47  ,
50  ,
52  ,
55  ,
55  ,
57  ,
56  ,
62  ,
55  ,
63  ,
58  ,
59  ,
62  ,
58  ,
60  ,
57  ,
60  ,
53  ,
59  ,
48  ,
54  ,
43  ,
47  ,
40  ,
37  ,
33  ,
28  ,
23  ,
20  ,
12  ,
10  ,
3 ,
-1  ,
-6  ,
-12 ,
-15 ,
-21 ,
-25 ,
-29 ,
-35 ,
-35 ,
-45 ,
-40 ,
-53 ,
-50 ,
-57 ,
-59 ,
-61 ,
-67 ,
-67 ,
-73 ,
-70 ,
-77 ,
-73 ,
-79 ,
-74 ,
-78 ,
-75 ,
-73 ,
-72 ,
-69 ,
-66 ,
-64 ,
-58 ,
-60 ,
-50 ,
-55 ,
-44 ,
-48 ,
-43 ,
-41 ,
-40 ,
-36 ,
-38 ,
-35 ,
-36 ,
-35 ,
-33 ,
-37 ,
-34 ,
-35 ,
-34 ,
-36 ,
-34 ,
-39 ,
-34 ,
-40 ,
-39 ,
-40 ,
-42 ,
-42 ,
-44 ,
-44 ,
-46 ,
-45 ,
-48 ,
-47 ,
-48 ,
-45 ,
-48 ,
-44 ,
-47 ,
-43 ,
-45 ,
-41 ,
-42 ,
-41 ,
-37 ,
-40 ,
-35 ,
-36 ,
-33 ,
-31 ,
-30 ,
-27 ,
-25 ,
-23 ,
-18 ,
-15 ,
-12 ,
-8  ,
-3  ,
-1  ,
6 ,
9 ,
11  ,
20  ,
19  ,
29  ,
25  ,
37  ,
31  ,
41  ,
40  ,
43  ,
46  ,
50  ,
47  ,
54  ,
51  ,
55  ,
54  ,
57  ,
56  ,
55  ,
58  ,
50  ,
56  ,
52  ,
48  ,
51  ,
44  ,
44  ,
43  ,
38  ,
39  ,
35  ,
34  ,
29  ,
28  ,
24  ,
24  ,
19  ,
18  ,
13  ,
13  ,
9 ,
8 ,
3 ,
0 ,
0 ,
-7  ,
-5  ,
-12 ,
-13 ,
-14 ,
-19 ,
-19 ,
-22 ,
-23 ,
-24 ,
-25 ,
-26 ,
-25 ,
-27 ,
-24 ,
-28 ,
-23 ,
-27 ,
-23 ,
-24 ,
-26 ,
-20 ,
-27 ,
-19 ,
-28 ,
-23 ,
-25 ,
-27 ,
-26 ,
-28 ,
-29 ,
-29 ,
-30 ,
-33 ,
-33 ,
-34 ,
-38 ,
-35 ,
-41 ,
-37 ,
-42 ,
-42 ,
-43 ,
-45 ,
-46 ,
-46 ,
-48 ,
-49 ,
-47 ,
-52 ,
-49 ,
-49 ,
-51 ,
-48 ,
-50 ,
-47 ,
-49 ,
-45 ,
-48 ,
-44 ,
-45 ,
-44 ,
-42 ,
-42 ,
-41 ,
-38 ,
-40 ,
-35 ,
-34 ,
-33 ,
-26 ,
-27 ,
-22 ,
-19 ,
-15 ,
-11 ,
-6  ,
-1  ,
1 ,
8 ,
9 ,
16  ,
18  ,
22  ,
25  ,
27  ,
33  ,
31  ,
38  ,
38  ,
39  ,
47  ,
42  ,
49  ,
48  ,
48  ,
56  ,
49  ,
59  ,
51  ,
57  ,
54  ,
53  ,
56  ,
51  ,
53  ,
51  ,
47  ,
50  ,
43  ,
45  ,
40  ,
39  ,
38  ,
35  ,
35  ,
31  ,
30  ,
31  ,
26  ,
27  ,
23  ,
24  ,
22  ,
22  ,
19  ,
19  ,
20  ,
17  ,
21  ,
17  ,
20  ,
19  ,
20  ,
20  ,
19  ,
20  ,
20  ,
17  ,
21  ,
16  ,
19  ,
19  ,
15  ,
19  ,
15  ,
16  ,
16  ,
12  ,
16  ,
8 ,
14  ,
6 ,
9 ,
7 ,
2 ,
4 ,
-3  ,
-2  ,
-6  ,
-9  ,
-12 ,
-14 ,
-18 ,
-21 ,
-22 ,
-30 ,
-25 ,
-37 ,
-31 ,
-40 ,
-38 ,
-41 ,
-44 ,
-43 ,
-49 ,
-45 ,
-54 ,
-49 ,
-55 ,
-52 ,
-55 ,
-53 ,
-53 ,
-53 ,
-50 ,
-54 ,
-47 ,
-52 ,
-45 ,
-48 ,
-44 ,
-45 ,
-40 ,
-43 ,
-35 ,
-40 ,
-28 ,
-34 ,
-23 ,
-24 ,
-20 ,
-13 ,
-12 ,
-5  ,
-3  ,
2 ,
6 ,
9 ,
16  ,
17  ,
24  ,
25  ,
33  ,
32  ,
39  ,
41  ,
43  ,
50  ,
50  ,
55  ,
57  ,
60  ,
61  ,
63  ,
67  ,
63  ,
72  ,
65  ,
74  ,
66  ,
75  ,
71  ,
72  ,
75  ,
72  ,
75  ,
75  ,
75  ,
75  ,
75  ,
75  ,
76  ,
72  ,
76  ,
72  ,
71  ,
70  ,
68  ,
65  ,
65  ,
61  ,
56  ,
59  ,
50  ,
56  ,
48  ,
51  ,
48  ,
48  ,
47  ,
46  ,
46  ,
44  ,
44  ,
44  ,
42  ,
44  ,
42  ,
39  ,
42  ,
37  ,
40  ,
35  ,
37  ,
34  ,
35  ,
33  ,
30  ,
32  ,
26  ,
29  ,
23  ,
23  ,
20  ,
17  ,
14  ,
13  ,
5 ,
9 ,
-1  ,
0 ,
-3  ,
-10 ,
-8  ,
-18 ,
-13 ,
-25 ,
-22 ,
-29 ,
-32 ,
-35 ,
-38 ,
-45 ,
-43 ,
-51 ,
-49 ,
-59 ,
-54 ,
-62 ,
-62 ,
-60 ,
-69 ,
-60 ,
-69 ,
-64 ,
-67 ,
-66 ,
-64 ,
-68 ,
-64 ,
-66 ,
-63 ,
-64 ,
-58 ,
-61 ,
-53 ,
-54 ,
-50 ,
-45 ,
-43 ,
-38 ,
-32 ,
-31 ,
-24 ,
-22 ,
-18 ,
-13 ,
-12 ,
-8  ,
-4  ,
-5  ,
2 ,
-1  ,
5 ,
5 ,
7 ,
10  ,
11  ,
12  ,
15  ,
14  ,
16  ,
17  ,
15  ,
19  ,
16  ,
18  ,
19  ,
18  ,
19  ,
19  ,
20  ,
18  ,
20  ,
16  ,
19  ,
17  ,
17  ,
17  ,
16  ,
18  ,
18  ,
16  ,
20  ,
16  ,
21  ,
17  ,
23  ,
20  ,
23  ,
25  ,
23  ,
30  ,
27  ,
31  ,
33  ,
33  ,
35  ,
39  ,
37  ,
41  ,
42  ,
40  ,
47  ,
41  ,
48  ,
44  ,
49  ,
47  ,
49  ,
52  ,
47  ,
55  ,
45  ,
53  ,
48  ,
47  ,
49  ,
43  ,
43  ,
42  ,
37  ,
35  ,
33  ,
27  ,
29  ,
20  ,
21  ,
13  ,
10  ,
6 ,
0 ,
-4  ,
-9  ,
-14 ,
-18 ,
-23 ,
-27 ,
-33 ,
-35 ,
-42 ,
-42 ,
-49 ,
-49 ,
-55 ,
-56 ,
-60 ,
-60 ,
-65 ,
-64 ,
-70 ,
-68 ,
-73 ,
-70 ,
-76 ,
-73 ,
-76 ,
-74 ,
-77 ,
-71 ,
-77 ,
-68 ,
-72 ,
-64 ,
-65 ,
-59 ,
-59 ,
-55 ,
-52 ,
-49 ,
-48 ,
-42 ,
-45 ,
-36 ,
-41 ,
-32 ,
-36 ,
-29 ,
-31 ,
-27 ,
-26 ,
-25 ,
-23 ,
-22 ,
-22 ,
-19 ,
-20 ,
-19 ,
-19 ,
-20 ,
-17 ,
-20 ,
-16 ,
-19 ,
-16 ,
-18 ,
-17 ,
-19 ,
-19 ,
-17 ,
-23 ,
-19 ,
-24 ,
-23 ,
-24 ,
-26 ,
-26 ,
-26 ,
-26 ,
-27 ,
-24 ,
-26 ,
-24 ,
-24 ,
-22 ,
-22 ,
-19 ,
-19 ,
-18 ,
-12 ,
-16 ,
-8  ,
-10 ,
-4  ,
-5  ,
0 ,
0 ,
6 ,
5 ,
12  ,
10  ,
16  ,
15  ,
20  ,
21  ,
23  ,
25  ,
27  ,
28  ,
31  ,
29  ,
33  ,
30  ,
32  ,
31  ,
31  ,
33  ,
29  ,
33  ,
30  ,
32  ,
30  ,
31  ,
30  ,
30  ,
29  ,
25  ,
25  ,
21  ,
22  ,
16  ,
16  ,
13  ,
8 ,
11  ,
1 ,
4 ,
-2  ,
-3  ,
-3  ,
-9  ,
-5  ,
-14 ,
-8  ,
-15 ,
-11 ,
-15 ,
-14 ,
-17 ,
-17 ,
-18 ,
-21 ,
-19 ,
-23 ,
-22 ,
-21 ,
-25 ,
-20 ,
-25 ,
-22 ,
-22 ,
-21 ,
-20 ,
-20 ,
-18 ,
-18 ,
-16 ,
-16 ,
-14 ,
-16 ,
-12 ,
-16 ,
-13 ,
-13 ,
-15 ,
-12 ,
-14 ,
-12 ,
-15 ,
-12 ,
-19 ,
-13 ,
-19 ,
-17 ,
-18 ,
-19 ,
-20 ,
-19 ,
-21 ,
-21 ,
-21 ,
-22 ,
-21 ,
-23 ,
-23 ,
-25 ,
-24 ,
-27 ,
-23 ,
-30 ,
-22 ,
-28 ,
-23 ,
-25 ,
-24 ,
-21 ,
-23 ,
-19 ,
-21 ,
-20 ,
-17 ,
-20 ,
-14 ,
-17 ,
-13 ,
-12 ,
-10 ,
-9  ,
-3  ,
-7  ,
6 ,
-2  ,
10  ,
5 ,
12  ,
12  ,
15  ,
17  ,
18  ,
19  ,
24  ,
19  ,
29  ,
19  ,
31  ,
20  ,
31  ,
22  ,
29  ,
24  ,
27  ,
27  ,
24  ,
29  ,
24  ,
26  ,
26  ,
23  ,
24  ,
23  ,
22  ,
21  ,
20  ,
18  ,
15  ,
17  ,
12  ,
15  ,
11  ,
15  ,
9 ,
15  ,
10  ,
12  ,
13  ,
9 ,
16  ,
8 ,
16  ,
11  ,
12  ,
16  ,
8 ,
20  ,
8 ,
18  ,
11  ,
16  ,
15  ,
14  ,
16  ,
15  ,
15  ,
17  ,
14  ,
18  ,
15  ,
17  ,
15  ,
16  ,
16  ,
15  ,
13  ,
16  ,
12  ,
16  ,
11  ,
16  ,
9 ,
15  ,
9 ,
12  ,
10  ,
9 ,
7 ,
7 ,
4 ,
4 ,
1 ,
0 ,
-2  ,
-3  ,
-6  ,
-5  ,
-10 ,
-8  ,
-14 ,
-11 ,
-16 ,
-15 ,
-19 ,
-21 ,
-23 ,
-25 ,
-28 ,
-29 ,
-31 ,
-34 ,
-33 ,
-40 ,
-35 ,
-44 ,
-36 ,
-46 ,
-39 ,
-44 ,
-41 ,
-41 ,
-42 ,
-36 ,
-39 ,
-32 ,
-33 ,
-28 ,
-25 ,
-24 ,
-17 ,
-18 ,
-12 ,
-11 ,
-9  ,
-5  ,
-3  ,
-2  ,
3 ,
3 ,
7 ,
8 ,
11  ,
13  ,
14  ,
19  ,
17  ,
24  ,
20  ,
28  ,
24  ,
29  ,
28  ,
32  ,
31  ,
37  ,
32  ,
38  ,
35  ,
38  ,
38  ,
36  ,
41  ,
36  ,
41  ,
37  ,
39  ,
41  ,
38  ,
43  ,
38  ,
43  ,
40  ,
41  ,
42  ,
40  ,
44  ,
40  ,
44  ,
41  ,
43  ,
43  ,
42  ,
46  ,
43  ,
48  ,
45  ,
48  ,
47  ,
49  ,
45  ,
49  ,
47  ,
47  ,
48  ,
45  ,
46  ,
47  ,
46  ,
47  ,
45  ,
49  ,
45  ,
51  ,
45  ,
51  ,
48  ,
48  ,
50  ,
46  ,
47  ,
46  ,
40  ,
45  ,
35  ,
39  ,
32  ,
30  ,
30  ,
21  ,
27  ,
16  ,
23  ,
14  ,
16  ,
10  ,
10  ,
8 ,
3 ,
3 ,
-1  ,
-7  ,
-4  ,
-16 ,
-11 ,
-23 ,
-18 ,
-27 ,
-28 ,
-28 ,
-37 ,
-31 ,
-42 ,
-37 ,
-45 ,
-40 ,
-48 ,
-44 ,
-48 ,
-47 ,
-46 ,
-48 ,
-44 ,
-46 ,
-42 ,
-43 ,
-41 ,
-40 ,
-38 ,
-36 ,
-36 ,
-33 ,
-30 ,
-32 ,
-24 ,
-29 ,
-22 ,
-21 ,
-19 ,
-17 ,
-17 ,
-12 ,
-17 ,
-9  ,
-13 ,
-12 ,
-7  ,
-14 ,
-7  ,
-10 ,
-10 ,
-7  ,
-11 ,
-6  ,
-9  ,
-8  ,
-7  ,
-11 ,
-5  ,
-11 ,
-7  ,
-10 ,
-10 ,
-8  ,
-11 ,
-7  ,
-12 ,
-5  ,
-11 ,
-6  ,
-7  ,
-7  ,
-4  ,
-6  ,
-4  ,
1 ,
-1  ,
5 ,
4 ,
7 ,
13  ,
11  ,
17  ,
16  ,
22  ,
19  ,
26  ,
24  ,
30  ,
27  ,
35  ,
31  ,
40  ,
38  ,
43  ,
45  ,
48  ,
52  ,
52  ,
58  ,
56  ,
62  ,
61  ,
64  ,
64  ,
65  ,
65  ,
65  ,
63  ,
62  ,
60  ,
57  ,
56  ,
52  ,
49  ,
48  ,
44  ,
42  ,
37  ,
36  ,
31  ,
28  ,
25  ,
19  ,
16  ,
11  ,
7 ,
1 ,
0 ,
-10 ,
-10 ,
-17 ,
-20 ,
-23 ,
-28 ,
-30 ,
-35 ,
-36 ,
-44 ,
-41 ,
-50 ,
-47 ,
-54 ,
-54 ,
-56 ,
-57 ,
-59 ,
-59 ,
-62 ,
-59 ,
-62 ,
-58 ,
-61 ,
-58 ,
-59 ,
-58 ,
-56 ,
-59 ,
-54 ,
-60 ,
-55 ,
-58 ,
-58 ,
-57 ,
-59 ,
-59 ,
-59 ,
-59 ,
-59 ,
-60 ,
-57 ,
-62 ,
-54 ,
-60 ,
-54 ,
-55 ,
-57 ,
-52 ,
-55 ,
-51 ,
-53 ,
-50 ,
-53 ,
-49 ,
-51 ,
-51 ,
-50 ,
-52 ,
-48 ,
-51 ,
-46 ,
-52 ,
-45 ,
-48 ,
-46 ,
-42 ,
-46 ,
-40 ,
-43 ,
-38 ,
-37 ,
-35 ,
-33 ,
-29 ,
-30 ,
-22 ,
-27 ,
-18 ,
-19 ,
-15 ,
-13 ,
-11 ,
-6  ,
-7  ,
-1  ,
-1  ,
4 ,
6 ,
10  ,
12  ,
14  ,
21  ,
17  ,
28  ,
23  ,
30  ,
33  ,
33  ,
39  ,
36  ,
42  ,
40  ,
44  ,
42  ,
46  ,
43  ,
47  ,
43  ,
49  ,
43  ,
50  ,
46  ,
47  ,
50  ,
47  ,
48  ,
49  ,
47  ,
47  ,
49  ,
42  ,
47  ,
40  ,
41  ,
39  ,
35  ,
36  ,
31  ,
30  ,
29  ,
25  ,
25  ,
22  ,
17  ,
21  ,
8 ,
17  ,
2 ,
8 ,
-1  ,
-2  ,
-4  ,
-9  ,
-9  ,
-12 ,
-13 ,
-14 ,
-15 ,
-16 ,
-15 ,
-16 ,
-16 ,
-17 ,
-17 ,
-19 ,
-18 ,
-21 ,
-23 ,
-23 ,
-28 ,
-30 ,
-29 ,
-36 ,
-33 ,
-40 ,
-38 ,
-43 ,
-40 ,
-45 ,
-43 ,
-46 ,
-46 ,
-46 ,
-47 ,
-47 ,
-48 ,
-47 ,
-50 ,
-49 ,
-50 ,
-50 ,
-50 ,
-51 ,
-50 ,
-50 ,
-51 ,
-45 ,
-51 ,
-45 ,
-44 ,
-49 ,
-37 ,
-46 ,
-36 ,
-38 ,
-32 ,
-33 ,
-25 ,
-27 ,
-21 ,
-18 ,
-17 ,
-13 ,
-8  ,
-9  ,
-3  ,
-2  ,
-2  ,
7 ,
2 ,
12  ,
9 ,
17  ,
13  ,
23  ,
20  ,
25  ,
28  ,
28  ,
33  ,
32  ,
37  ,
34  ,
41  ,
38  ,
42  ,
42  ,
42  ,
45  ,
42  ,
45  ,
43  ,
45  ,
42  ,
44  ,
41  ,
43  ,
42  ,
40  ,
45  ,
39  ,
44  ,
42  ,
41  ,
44  ,
40  ,
45  ,
43  ,
44  ,
45  ,
44  ,
45  ,
49  ,
44  ,
52  ,
44  ,
51  ,
45  ,
50  ,
42  ,
46  ,
41  ,
39  ,
39  ,
33  ,
34  ,
29  ,
29  ,
24  ,
26  ,
21  ,
20  ,
21  ,
14  ,
18  ,
11  ,
13  ,
12  ,
7 ,
9 ,
2 ,
5 ,
-3  ,
0 ,
-10 ,
-3  ,
-16 ,
-7  ,
-20 ,
-14 ,
-21 ,
-18 ,
-23 ,
-20 ,
-23 ,
-25 ,
-20 ,
-30 ,
-20 ,
-29 ,
-25 ,
-27 ,
-30 ,
-28 ,
-34 ,
-31 ,
-36 ,
-36 ,
-37 ,
-40 ,
-42 ,
-41 ,
-46 ,
-45 ,
-45 ,
-51 ,
-43 ,
-54 ,
-46 ,
-51 ,
-49 ,
-49 ,
-48 ,
-47 ,
-45 ,
-45 ,
-41 ,
-42 ,
-37 ,
-39 ,
-32 ,
-34 ,
-30 ,
-28 ,
-27 ,
-22 ,
-20 ,
-17 ,
-15 ,
-8  ,
-9  ,
-1  ,
-3  ,
4 ,
3 ,
11  ,
10  ,
14  ,
17  ,
17  ,
24  ,
22  ,
30  ,
27  ,
37  ,
32  ,
42  ,
36  ,
46  ,
41  ,
49  ,
45  ,
52  ,
49  ,
53  ,
51  ,
56  ,
53  ,
58  ,
57  ,
57  ,
61  ,
58  ,
64  ,
62  ,
66  ,
67  ,
68  ,
69  ,
72  ,
70  ,
74  ,
70  ,
72  ,
71  ,
68  ,
67  ,
65  ,
62  ,
60  ,
57  ,
56  ,
52  ,
54  ,
48  ,
49  ,
46  ,
47  ,
44  ,
45  ,
41  ,
41  ,
38  ,
39  ,
34  ,
35  ,
31  ,
29  ,
29  ,
23  ,
24  ,
17  ,
19  ,
14  ,
13  ,
11  ,
7 ,
8 ,
4 ,
4 ,
2 ,
0 ,
1 ,
-6  ,
-3  ,
-8  ,
-7  ,
-14 ,
-9  ,
-19 ,
-14 ,
-23 ,
-20 ,
-27 ,
-25 ,
-32 ,
-31 ,
-35 ,
-37 ,
-41 ,
-41 ,
-46 ,
-46 ,
-49 ,
-52 ,
-51 ,
-56 ,
-52 ,
-58 ,
-53 ,
-57 ,
-54 ,
-55 ,
-53 ,
-54 ,
-50 ,
-50 ,
-50 ,
-46 ,
-49 ,
-43 ,
-47 ,
-41 ,
-45 ,
-36 ,
-42 ,
-32 ,
-35 ,
-30 ,
-28 ,
-27 ,
-22 ,
-22 ,
-16 ,
-16 ,
-13 ,
-8  ,
-9  ,
-3  ,
-2  ,
0 ,
4 ,
4 ,
8 ,
7 ,
11  ,
8 ,
14  ,
10  ,
15  ,
13  ,
15  ,
14  ,
18  ,
14  ,
21  ,
18  ,
21  ,
22  ,
21  ,
26  ,
24  ,
28  ,
29  ,
29  ,
33  ,
33  ,
32  ,
37  ,
33  ,
35  ,
36  ,
34  ,
36  ,
33  ,
35  ,
31  ,
34  ,
32  ,
32  ,
35  ,
30  ,
37  ,
33  ,
36  ,
38  ,
35  ,
39  ,
39  ,
37  ,
43  ,
35  ,
42  ,
39  ,
39  ,
42  ,
34  ,
40  ,
35  ,
35  ,
36  ,
31  ,
34  ,
28  ,
31  ,
25  ,
26  ,
23  ,
20  ,
20  ,
16  ,
13  ,
14  ,
4 ,
11  ,
-3  ,
3 ,
-6  ,
-7  ,
-11 ,
-16 ,
-19 ,
-22 ,
-29 ,
-26 ,
-38 ,
-33 ,
-43 ,
-42 ,
-47 ,
-48 ,
-52 ,
-52 ,
-53 ,
-57 ,
-55 ,
-59 ,
-59 ,
-60 ,
-59 ,
-62 ,
-59 ,
-63 ,
-61 ,
-63 ,
-63 ,
-64 ,
-63 ,
-67 ,
-60 ,
-69 ,
-59 ,
-67 ,
-59 ,
-63 ,
-58 ,
-58 ,
-56 ,
-55 ,
-52 ,
-52 ,
-47 ,
-50 ,
-43 ,
-45 ,
-41 ,
-41 ,
-38 ,
-37 ,
-35 ,
-34 ,
-35 ,
-29 ,
-35 ,
-27 ,
-32 ,
-28 ,
-29 ,
-27 ,
-29 ,
-25 ,
-29 ,
-23 ,
-26 ,
-23 ,
-21 ,
-22 ,
-16 ,
-19 ,
-12 ,
-14 ,
-9  ,
-9  ,
-6  ,
-5  ,
-1  ,
-5  ,
3 ,
-4  ,
3 ,
0 ,
-1  ,
2 ,
-1  ,
-2  ,
1 ,
-3  ,
0 ,
-1  ,
-1  ,
0 ,
2 ,
2 ,
2 ,
4 ,
4 ,
5 ,
6 ,
7 ,
8 ,
8 ,
11  ,
9 ,
14  ,
12  ,
14  ,
13  ,
15  ,
13  ,
15  ,
14  ,
15  ,
16  ,
14  ,
18  ,
16  ,
18  ,
19  ,
18  ,
19  ,
21  ,
19  ,
21  ,
20  ,
19  ,
21  ,
18  ,
20  ,
16  ,
17  ,
14  ,
15  ,
11  ,
14  ,
7 ,
10  ,
5 ,
7 ,
2 ,
4 ,
1 ,
0 ,
-1  ,
-1  ,
-8  ,
-2  ,
-11 ,
-7  ,
-10 ,
-13 ,
-13 ,
-14 ,
-16 ,
-15 ,
-19 ,
-17 ,
-19 ,
-19 ,
-20 ,
-19 ,
-24 ,
-17 ,
-27 ,
-18 ,
-25 ,
-21 ,
-23 ,
-24 ,
-22 ,
-24 ,
-23 ,
-23 ,
-25 ,
-23 ,
-24 ,
-25 ,
-23 ,
-25 ,
-23 ,
-23 ,
-23 ,
-22 ,
-22 ,
-20 ,
-20 ,
-18 ,
-18 ,
-16 ,
-17 ,
-12 ,
-16 ,
-9  ,
-12 ,
-7  ,
-7  ,
-5  ,
-4  ,
-1  ,
-2  ,
3 ,
1 ,
5 ,
3 ,
7 ,
4 ,
7 ,
6 ,
5 ,
7 ,
5 ,
4 ,
7 ,
0 ,
8 ,
2 ,
6 ,
5 ,
4 ,
7 ,
5 ,
9 ,
7 ,
8 ,
10  ,
10  ,
12  ,
14  ,
10  ,
17  ,
11  ,
18  ,
15  ,
15  ,
19  ,
12  ,
22  ,
13  ,
20  ,
14  ,
22  ,
16  ,
23  ,
19  ,
24  ,
23  ,
27  ,
24  ,
30  ,
27  ,
29  ,
31  ,
25  ,
35  ,
26  ,
31  ,
31  ,
26  ,
33  ,
27  ,
30  ,
31  ,
28  ,
31  ,
27  ,
28  ,
27  ,
26  ,
25  ,
26  ,
22  ,
25  ,
21  ,
22  ,
19  ,
20  ,
16  ,
18  ,
14  ,
13  ,
12  ,
10  ,
10  ,
8 ,
7 ,
8 ,
4 ,
8 ,
2 ,
6 ,
3 ,
3 ,
3 ,
3 ,
3 ,
3 ,
4 ,
3 ,
3 ,
6 ,
2 ,
5 ,
4 ,
3 ,
2 ,
3 ,
-1  ,
4 ,
-4  ,
3 ,
-6  ,
1 ,
-7  ,
-3  ,
-7  ,
-6  ,
-9  ,
-8  ,
-10 ,
-10 ,
-10 ,
-13 ,
-11 ,
-12 ,
-14 ,
-11 ,
-17 ,
-12 ,
-17 ,
-15 ,
-17 ,
-17 ,
-19 ,
-21 ,
-19 ,
-25 ,
-20 ,
-28 ,
-23 ,
-28 ,
-26 ,
-29 ,
-28 ,
-29 ,
-26 ,
-30 ,
-23 ,
-30 ,
-19 ,
-28 ,
-16 ,
-23 ,
-14 ,
-16 ,
-12 ,
-10 ,
-9  ,
-7  ,
-1  ,
-6  ,
4 ,
-1  ,
7 ,
5 ,
11  ,
10  ,
15  ,
17  ,
22  ,
21  ,
30  ,
26  ,
33  ,
35  ,
33  ,
43  ,
35  ,
47  ,
39  ,
49  ,
43  ,
50  ,
48  ,
49  ,
52  ,
51  ,
52  ,
54  ,
51  ,
54  ,
51  ,
53  ,
51  ,
51  ,
50  ,
48  ,
50  ,
46  ,
48  ,
44  ,
45  ,
43  ,
42  ,
41  ,
40  ,
40  ,
37  ,
39  ,
34  ,
39  ,
32  ,
38  ,
29  ,
37  ,
29  ,
36  ,
29  ,
31  ,
28  ,
30  ,
25  ,
30  ,
23  ,
28  ,
22  ,
25  ,
24  ,
21  ,
25  ,
17  ,
22  ,
18  ,
18  ,
17  ,
14  ,
14  ,
13  ,
11  ,
10  ,
8 ,
7 ,
6 ,
1 ,
4 ,
-3  ,
-3  ,
-5  ,
-10 ,
-10 ,
-13 ,
-16 ,
-18 ,
-21 ,
-24 ,
-26 ,
-31 ,
-31 ,
-35 ,
-38 ,
-38 ,
-42 ,
-42 ,
-44 ,
-48 ,
-45 ,
-51 ,
-48 ,
-52 ,
-49 ,
-52 ,
-51 ,
-51 ,
-52 ,
-49 ,
-51 ,
-50 ,
-47 ,
-49 ,
-45 ,
-46 ,
-43 ,
-42 ,
-40 ,
-39 ,
-35 ,
-35 ,
-32 ,
-29 ,
-29 ,
-23 ,
-24 ,
-21 ,
-19 ,
-17 ,
-14 ,
-14 ,
-12 ,
-9  ,
-9  ,
-6  ,
-5  ,
-6  ,
-1  ,
-4  ,
0 ,
0 ,
-1  ,
2 ,
2 ,
3 ,
3 ,
6 ,
2 ,
9 ,
4 ,
8 ,
6 ,
7 ,
9 ,
9 ,
12  ,
10  ,
14  ,
14  ,
15  ,
18  ,
19  ,
18  ,
25  ,
19  ,
27  ,
23  ,
29  ,
26  ,
33  ,
29  ,
35  ,
36  ,
37  ,
40  ,
41  ,
42  ,
45  ,
44  ,
48  ,
46  ,
51  ,
48  ,
51  ,
50  ,
52  ,
50  ,
50  ,
50  ,
45  ,
51  ,
41  ,
45  ,
40  ,
39  ,
38  ,
34  ,
34  ,
30  ,
31  ,
26  ,
25  ,
22  ,
20  ,
17  ,
15  ,
12  ,
9 ,
5 ,
4 ,
-2  ,
-3  ,
-7  ,
-10 ,
-14 ,
-15 ,
-20 ,
-23 ,
-25 ,
-30 ,
-32 ,
-32 ,
-42 ,
-37 ,
-47 ,
-47 ,
-48 ,
-56 ,
-53 ,
-60 ,
-61 ,
-62 ,
-66 ,
-64 ,
-69 ,
-68 ,
-70 ,
-68 ,
-70 ,
-68 ,
-69 ,
-69 ,
-65 ,
-67 ,
-61 ,
-65 ,
-58 ,
-60 ,
-57 ,
-55 ,
-55 ,
-52 ,
-53 ,
-49 ,
-50 ,
-49 ,
-45 ,
-50 ,
-44 ,
-45 ,
-46 ,
-40 ,
-45 ,
-38 ,
-43 ,
-37 ,
-40 ,
-36 ,
-36 ,
-37 ,
-32 ,
-37 ,
-31 ,
-32 ,
-34 ,
-25 ,
-32 ,
-25 ,
-28 ,
-24 ,
-22 ,
-22 ,
-18 ,
-20 ,
-14 ,
-16 ,
-13 ,
-13 ,
-11 ,
-10 ,
-7  ,
-9  ,
-3  ,
-5  ,
-2  ,
2 ,
1 ,
7 ,
6 ,
11  ,
10  ,
17  ,
15  ,
20  ,
19  ,
23  ,
23  ,
25  ,
26  ,
26  ,
28  ,
32  ,
26  ,
35  ,
31  ,
33  ,
39  ,
34  ,
39  ,
40  ,
38  ,
45  ,
41  ,
47  ,
44  ,
48  ,
46  ,
51  ,
45  ,
52  ,
46  ,
49  ,
46  ,
43  ,
44  ,
41  ,
39  ,
38  ,
31  ,
34  ,
26  ,
27  ,
21  ,
20  ,
16  ,
14  ,
10  ,
8 ,
5 ,
2 ,
0 ,
-3  ,
-6  ,
-7  ,
-10 ,
-13 ,
-14 ,
-19 ,
-19 ,
-22 ,
-27 ,
-25 ,
-34 ,
-30 ,
-37 ,
-35 ,
-39 ,
-38 ,
-41 ,
-40 ,
-43 ,
-42 ,
-42 ,
-45 ,
-40 ,
-46 ,
-41 ,
-46 ,
-41 ,
-47 ,
-41 ,
-47 ,
-42 ,
-45 ,
-43 ,
-43 ,
-44 ,
-42 ,
-43 ,
-40 ,
-42 ,
-39 ,
-40 ,
-39 ,
-38 ,
-38 ,
-38 ,
-36 ,
-38 ,
-35 ,
-35 ,
-34 ,
-31 ,
-33 ,
-25 ,
-30 ,
-21 ,
-26 ,
-19 ,
-21 ,
-17 ,
-18 ,
-15 ,
-16 ,
-14 ,
-12 ,
-15 ,
-6  ,
-15 ,
-2  ,
-9  ,
-3  ,
-1  ,
0 ,
4 ,
7 ,
8 ,
11  ,
15  ,
15  ,
19  ,
21  ,
21  ,
26  ,
24  ,
28  ,
30  ,
29  ,
35  ,
31  ,
36  ,
37  ,
37  ,
39  ,
39  ,
42  ,
40  ,
47  ,
40  ,
50  ,
44  ,
50  ,
51  ,
50  ,
55  ,
52  ,
56  ,
56  ,
54  ,
58  ,
54  ,
58  ,
53  ,
54  ,
54  ,
49  ,
52  ,
44  ,
45  ,
40  ,
40  ,
35  ,
33  ,
30  ,
26  ,
24  ,
24  ,
15  ,
20  ,
7 ,
14  ,
2 ,
7 ,
-1  ,
-1  ,
-4  ,
-5  ,
-9  ,
-5  ,
-13 ,
-9  ,
-13 ,
-10 ,
-12 ,
-10 ,
-11 ,
-10 ,
-9  ,
-7  ,
-10 ,
-5  ,
-9  ,
-5  ,
-9  ,
-8  ,
-8  ,
-10 ,
-9  ,
-12 ,
-12 ,
-12 ,
-14 ,
-14 ,
-14 ,
-17 ,
-15 ,
-18 ,
-18 ,
-16 ,
-23 ,
-18 ,
-22 ,
-25 ,
-21 ,
-30 ,
-25 ,
-29 ,
-30 ,
-29 ,
-32 ,
-29 ,
-33 ,
-28 ,
-33 ,
-30 ,
-30 ,
-32 ,
-28 ,
-33 ,
-29 ,
-31 ,
-29 ,
-30 ,
-26 ,
-30 ,
-22 ,
-25 ,
-20 ,
-18 ,
-17 ,
-11 ,
-11 ,
-6  ,
-2  ,
-2  ,
5 ,
4 ,
10  ,
11  ,
14  ,
16  ,
21  ,
21  ,
27  ,
27  ,
33  ,
34  ,
39  ,
38  ,
46  ,
45  ,
51  ,
53  ,
54  ,
59  ,
60  ,
63  ,
67  ,
66  ,
72  ,
71  ,
72  ,
76  ,
72  ,
77  ,
72  ,
75  ,
70  ,
73  ,
67  ,
68  ,
63  ,
63  ,
58  ,
57  ,
55  ,
51  ,
52  ,
45  ,
49  ,
40  ,
47  ,
36  ,
43  ,
34  ,
38  ,
33  ,
31  ,
31  ,
28  ,
28  ,
24  ,
25  ,
19  ,
22  ,
16  ,
16  ,
15  ,
13  ,
12  ,
12  ,
11  ,
10  ,
12  ,
9 ,
11  ,
10  ,
9 ,
8 ,
9 ,
7 ,
7 ,
5 ,
5 ,
5 ,
2 ,
4 ,
-1  ,
2 ,
-3  ,
-3  ,
-6  ,
-8  ,
-12 ,
-13 ,
-18 ,
-20 ,
-21 ,
-30 ,
-24 ,
-37 ,
-30 ,
-40 ,
-38 ,
-41 ,
-42 ,
-44 ,
-42 ,
-47 ,
-43 ,
-45 ,
-47 ,
-43 ,
-48 ,
-46 ,
-46 ,
-49 ,
-46 ,
-48 ,
-47 ,
-47 ,
-44 ,
-47 ,
-39 ,
-42 ,
-37 ,
-35 ,
-33 ,
-28 ,
-25 ,
-24 ,
-19 ,
-19 ,
-14 ,
-12 ,
-12 ,
-6  ,
-8  ,
-1  ,
-3  ,
2 ,
4 ,
4 ,
10  ,
7 ,
13  ,
12  ,
14  ,
16  ,
16  ,
17  ,
20  ,
20  ,
21  ,
23  ,
22  ,
26  ,
24  ,
28  ,
24  ,
28  ,
25  ,
28  ,
25  ,
27  ,
25  ,
24  ,
24  ,
23  ,
22  ,
20  ,
21  ,
16  ,
22  ,
12  ,
20  ,
13  ,
16  ,
15  ,
13  ,
15  ,
15  ,
14  ,
17  ,
13  ,
17  ,
16  ,
15  ,
19  ,
14  ,
21  ,
16  ,
21  ,
17  ,
22  ,
18  ,
24  ,
21  ,
24  ,
26  ,
22  ,
30  ,
23  ,
28  ,
24  ,
24  ,
25  ,
20  ,
20  ,
17  ,
15  ,
13  ,
12  ,
5 ,
8 ,
-1  ,
2 ,
-6  ,
-5  ,
-10 ,
-11 ,
-13 ,
-20 ,
-15 ,
-28 ,
-18 ,
-33 ,
-26 ,
-36 ,
-32 ,
-40 ,
-37 ,
-44 ,
-42 ,
-48 ,
-45 ,
-52 ,
-50 ,
-53 ,
-57 ,
-55 ,
-59 ,
-59 ,
-60 ,
-61 ,
-61 ,
-60 ,
-61 ,
-58 ,
-56 ,
-56 ,
-51 ,
-51 ,
-47 ,
-47 ,
-41 ,
-43 ,
-37 ,
-39 ,
-34 ,
-35 ,
-33 ,
-31 ,
-34 ,
-27 ,
-32 ,
-29 ,
-28 ,
-30 ,
-26 ,
-30 ,
-25 ,
-28 ,
-26 ,
-23 ,
-29 ,
-20 ,
-25 ,
-21 ,
-21 ,
-20 ,
-20 ,
-15 ,
-20 ,
-12 ,
-18 ,
-12 ,
-12 ,
-14 ,
-8  ,
-13 ,
-8  ,
-11 ,
-8  ,
-11 ,
-7  ,
-13 ,
-6  ,
-13 ,
-7  ,
-12 ,
-10 ,
-10 ,
-10 ,
-7  ,
-12 ,
-3  ,
-12 ,
-1  ,
-8  ,
-1  ,
-7  ,
0 ,
-7  ,
1 ,
-7  ,
0 ,
-5  ,
-2  ,
-3  ,
-2  ,
-1  ,
-1  ,
1 ,
2 ,
3 ,
7 ,
5 ,
10  ,
9 ,
12  ,
14  ,
15  ,
16  ,
16  ,
20  ,
17  ,
21  ,
20  ,
21  ,
19  ,
23  ,
18  ,
23  ,
18  ,
20  ,
17  ,
16  ,
16  ,
10  ,
13  ,
6 ,
6 ,
4 ,
0 ,
-1  ,
-2  ,
-7  ,
-5  ,
-9  ,
-9  ,
-10 ,
-11 ,
-15 ,
-12 ,
-17 ,
-16 ,
-17 ,
-20 ,
-19 ,
-22 ,
-22 ,
-21 ,
-25 ,
-20 ,
-26 ,
-19 ,
-23 ,
-21 ,
-17 ,
-22 ,
-12 ,
-21 ,
-10 ,
-19 ,
-10 ,
-16 ,
-12 ,
-16 ,
-12 ,
-19 ,
-11 ,
-22 ,
-13 ,
-22 ,
-14 ,
-22 ,
-16 ,
-20 ,
-18 ,
-17 ,
-18 ,
-16 ,
-16 ,
-15 ,
-15 ,
-13 ,
-15 ,
-12 ,
-14 ,
-10 ,
-13 ,
-9  ,
-13 ,
-7  ,
-9  ,
-9  ,
-5  ,
-9  ,
-5  ,
-6  ,
-6  ,
-6  ,
-3  ,
-8  ,
-2  ,
-8  ,
-1  ,
-8  ,
0 ,
-6  ,
0 ,
-5  ,
-1  ,
-2  ,
-2  ,
1 ,
-3  ,
2 ,
-3  ,
2 ,
-2  ,
1 ,
1 ,
-2  ,
5 ,
-3  ,
6 ,
4 ,
4 ,
11  ,
6 ,
13  ,
12  ,
15  ,
16  ,
18  ,
19  ,
21  ,
21  ,
24  ,
23  ,
24  ,
25  ,
23  ,
27  ,
23  ,
24  ,
25  ,
22  ,
25  ,
24  ,
22  ,
26  ,
21  ,
25  ,
22  ,
23  ,
24  ,
22  ,
22  ,
22  ,
19  ,
20  ,
21  ,
14  ,
20  ,
12  ,
14  ,
12  ,
9 ,
7 ,
7 ,
2 ,
4 ,
-1  ,
1 ,
-1  ,
-4  ,
0 ,
-4  ,
0 ,
1 ,
-1  ,
7 ,
2 ,
10  ,
8 ,
12  ,
12  ,
16  ,
13  ,
17  ,
15  ,
16  ,
14  ,
17  ,
12  ,
14  ,
15  ,
10  ,
15  ,
11  ,
15  ,
12  ,
17  ,
12  ,
18  ,
14  ,
18  ,
15  ,
17  ,
17  ,
15  ,
16  ,
15  ,
13  ,
14  ,
11  ,
13  ,
10  ,
9 ,
8 ,
6 ,
6 ,
4 ,
1 ,
1 ,
-4  ,
-3  ,
-8  ,
-8  ,
-11 ,
-15 ,
-11 ,
-20 ,
-14 ,
-21 ,
-20 ,
-19 ,
-22 ,
-19 ,
-21 ,
-19 ,
-20 ,
-17 ,
-18 ,
-17 ,
-14 ,
-16 ,
-12 ,
-13 ,
-10 ,
-8  ,
-8  ,
-3  ,
-4  ,
2 ,
4 ,
7 ,
13  ,
13  ,
19  ,
20  ,
25  ,
27  ,
29  ,
33  ,
32  ,
38  ,
36  ,
41  ,
39  ,
43  ,
41  ,
44  ,
43  ,
46  ,
44  ,
46  ,
46  ,
45  ,
46  ,
45  ,
44  ,
45  ,
41  ,
43  ,
40  ,
40  ,
39  ,
34  ,
40  ,
30  ,
37  ,
30  ,
29  ,
34  ,
23  ,
33  ,
23  ,
31  ,
23  ,
30  ,
24  ,
28  ,
28  ,
26  ,
33  ,
27  ,
37  ,
29  ,
40  ,
31  ,
42  ,
31  ,
42  ,
34  ,
39  ,
35  ,
34  ,
34  ,
31  ,
30  ,
29  ,
27  ,
26  ,
24  ,
21  ,
22  ,
19  ,
18  ,
18  ,
14  ,
16  ,
13  ,
12  ,
12  ,
7 ,
11  ,
4 ,
7 ,
1 ,
3 ,
-4  ,
1 ,
-10 ,
-3  ,
-13 ,
-12 ,
-14 ,
-18 ,
-20 ,
-21 ,
-24 ,
-25 ,
-25 ,
-31 ,
-26 ,
-34 ,
-27 ,
-35 ,
-30 ,
-35 ,
-34 ,
-34 ,
-35 ,
-36 ,
-36 ,
-35 ,
-39 ,
-33 ,
-40 ,
-34 ,
-38 ,
-36 ,
-37 ,
-35 ,
-36 ,
-34 ,
-32 ,
-32 ,
-30 ,
-27 ,
-26 ,
-23 ,
-22 ,
-20 ,
-16 ,
-18 ,
-15 ,
-13 ,
-17 ,
-7  ,
-16 ,
-10 ,
-12 ,
-13 ,
-10 ,
-12 ,
-12 ,
-12 ,
-11 ,
-13 ,
-12 ,
-12 ,
-12 ,
-11 ,
-10 ,
-12 ,
-6  ,
-10 ,
-6  ,
-4  ,
-8  ,
1 ,
-8  ,
4 ,
-6  ,
2 ,
-1  ,
0 ,
2 ,
1 ,
0 ,
6 ,
-1  ,
8 ,
1 ,
10  ,
7 ,
13  ,
12  ,
18  ,
19  ,
24  ,
27  ,
29  ,
37  ,
33  ,
44  ,
41  ,
46  ,
48  ,
45  ,
52  ,
46  ,
53  ,
45  ,
49  ,
46  ,
44  ,
45  ,
40  ,
42  ,
36  ,
39  ,
31  ,
34  ,
29  ,
30  ,
26  ,
26  ,
21  ,
21  ,
17  ,
18  ,
11  ,
14  ,
5 ,
7 ,
0 ,
0 ,
-7  ,
-7  ,
-11 ,
-18 ,
-14 ,
-27 ,
-18 ,
-31 ,
-25 ,
-33 ,
-31 ,
-34 ,
-33 ,
-37 ,
-34 ,
-39 ,
-35 ,
-39 ,
-38 ,
-39 ,
-38 ,
-40 ,
-39 ,
-40 ,
-40 ,
-40 ,
-39 ,
-43 ,
-37 ,
-43 ,
-38 ,
-40 ,
-39 ,
-40 ,
-37 ,
-42 ,
-38 ,
-40 ,
-41 ,
-39 ,
-42 ,
-43 ,
-40 ,
-46 ,
-41 ,
-46 ,
-45 ,
-43 ,
-48 ,
-42 ,
-50 ,
-43 ,
-47 ,
-48 ,
-42 ,
-51 ,
-40 ,
-51 ,
-41 ,
-47 ,
-43 ,
-41 ,
-43 ,
-39 ,
-39 ,
-35 ,
-37 ,
-29 ,
-34 ,
-28 ,
-28 ,
-26 ,
-25 ,
-24 ,
-24 ,
-23 ,
-21 ,
-21 ,
-22 ,
-18 ,
-19 ,
-16 ,
-17 ,
-12 ,
-13 ,
-7  ,
-7  ,
-4  ,
2 ,
2 ,
7 ,
9 ,
12  ,
17  ,
16  ,
22  ,
19  ,
27  ,
22  ,
30  ,
23  ,
32  ,
25  ,
33  ,
28  ,
31  ,
31  ,
33  ,
32  ,
37  ,
30  ,
39  ,
33  ,
37  ,
36  ,
35  ,
37  ,
35  ,
35  ,
34  ,
33  ,
33  ,
30  ,
31  ,
28  ,
28  ,
26  ,
22  ,
24  ,
17  ,
20  ,
15  ,
12  ,
12  ,
7 ,
7 ,
6 ,
2 ,
3 ,
0 ,
0 ,
-2  ,
-3  ,
-4  ,
-7  ,
-5  ,
-10 ,
-8  ,
-11 ,
-12 ,
-12 ,
-15 ,
-14 ,
-16 ,
-16 ,
-18 ,
-18 ,
-20 ,
-19 ,
-21 ,
-21 ,
-22 ,
-22 ,
-24 ,
-21 ,
-26 ,
-22 ,
-27 ,
-24 ,
-26 ,
-28 ,
-25 ,
-31 ,
-25 ,
-30 ,
-28 ,
-30 ,
-29 ,
-32 ,
-30 ,
-33 ,
-32 ,
-34 ,
-35 ,
-34 ,
-38 ,
-34 ,
-39 ,
-35 ,
-37 ,
-34 ,
-36 ,
-31 ,
-33 ,
-29 ,
-32 ,
-26 ,
-31 ,
-24 ,
-28 ,
-24 ,
-26 ,
-22 ,
-26 ,
-20 ,
-24 ,
-19 ,
-21 ,
-17 ,
-17 ,
-16 ,
-12 ,
-13 ,
-8  ,
-6  ,
-4  ,
2 ,
-1  ,
9 ,
4 ,
15  ,
9 ,
19  ,
14  ,
22  ,
19  ,
23  ,
23  ,
27  ,
26  ,
30  ,
28  ,
31  ,
32  ,
32  ,
33  ,
33  ,
35  ,
34  ,
35  ,
35  ,
34  ,
39  ,
32  ,
40  ,
34  ,
38  ,
36  ,
39  ,
33  ,
42  ,
32  ,
40  ,
32  ,
35  ,
32  ,
30  ,
32  ,
24  ,
28  ,
22  ,
22  ,
21  ,
16  ,
19  ,
14  ,
16  ,
12  ,
12  ,
11  ,
9 ,
10  ,
6 ,
7 ,
4 ,
5 ,
2 ,
4 ,
1 ,
1 ,
2 ,
0 ,
2 ,
0 ,
2 ,
0 ,
4 ,
0 ,
5 ,
3 ,
5 ,
5 ,
5 ,
9 ,
5 ,
11  ,
6 ,
12  ,
8 ,
11  ,
10  ,
11  ,
10  ,
10  ,
11  ,
9 ,
9 ,
9 ,
6 ,
8 ,
4 ,
4 ,
2 ,
1 ,
-1  ,
-2  ,
-3  ,
-6  ,
-6  ,
-7  ,
-10 ,
-9  ,
-13 ,
-13 ,
-15 ,
-17 ,
-17 ,
-22 ,
-19 ,
-25 ,
-23 ,
-25 ,
-26 ,
-28 ,
-26 ,
-28 ,
-27 ,
-25 ,
-26 ,
-23 ,
-20 ,
-19 ,
-13 ,
-14 ,
-6  ,
-7  ,
1 ,
0 ,
6 ,
8 ,
9 ,
15  ,
12  ,
21  ,
16  ,
25  ,
21  ,
29  ,
27  ,
34  ,
32  ,
37  ,
38  ,
41  ,
43  ,
45  ,
44  ,
50  ,
45  ,
53  ,
47  ,
55  ,
47  ,
58  ,
46  ,
56  ,
50  ,
52  ,
51  ,
52  ,
47  ,
51  ,
45  ,
48  ,
42  ,
46  ,
39  ,
42  ,
39  ,
37  ,
37  ,
37  ,
31  ,
38  ,
29  ,
33  ,
32  ,
27  ,
32  ,
26  ,
28  ,
27  ,
25  ,
25  ,
24  ,
23  ,
23  ,
23  ,
20  ,
24  ,
18  ,
22  ,
20  ,
20  ,
18  ,
21  ,
15  ,
20  ,
17  ,
14  ,
15  ,
14  ,
10  ,
15  ,
6 ,
10  ,
4 ,
8 ,
1 ,
4 ,
-1  ,
-1  ,
-3  ,
-5  ,
-7  ,
-10 ,
-11 ,
-15 ,
-14 ,
-20 ,
-19 ,
-23 ,
-24 ,
-26 ,
-25 ,
-31 ,
-28 ,
-34 ,
-30 ,
-35 ,
-33 ,
-37 ,
-35 ,
-36 ,
-36 ,
-35 ,
-39 ,
-32 ,
-41 ,
-30 ,
-40 ,
-33 ,
-35 ,
-33 ,
-32 ,
-29 ,
-32 ,
-23 ,
-27 ,
-23 ,
-20 ,
-21 ,
-16 ,
-16 ,
-12 ,
-14 ,
-9  ,
-10 ,
-8  ,
-7  ,
-5  ,
-7  ,
0 ,
-6  ,
1 ,
-1  ,
0 ,
1 ,
2 ,
2 ,
2 ,
3 ,
2 ,
1 ,
2 ,
0 ,
0 ,
3 ,
-3  ,
4 ,
-2  ,
2 ,
1 ,
2 ,
1 ,
3 ,
2 ,
3 ,
3 ,
2 ,
3 ,
1 ,
2 ,
3 ,
-1  ,
4 ,
-1  ,
3 ,
1 ,
2 ,
3 ,
1 ,
6 ,
1 ,
9 ,
3 ,
11  ,
5 ,
11  ,
11  ,
10  ,
14  ,
14  ,
14  ,
19  ,
17  ,
20  ,
21  ,
21  ,
25  ,
21  ,
27  ,
21  ,
26  ,
22  ,
23  ,
22  ,
20  ,
20  ,
18  ,
18  ,
14  ,
17  ,
11  ,
11  ,
8 ,
7 ,
2 ,
2 ,
-3  ,
-6  ,
-10 ,
-10 ,
-19 ,
-15 ,
-22 ,
-27 ,
-23 ,
-32 ,
-31 ,
-30 ,
-40 ,
-30 ,
-41 ,
-32 ,
-42 ,
-33 ,
-42 ,
-34 ,
-40 ,
-35 ,
-39 ,
-35 ,
-36 ,
-37 ,
-33 ,
-38 ,
-30 ,
-37 ,
-30 ,
-33 ,
-30 ,
-30 ,
-27 ,
-29 ,
-21 ,
-28 ,
-21 ,
-24 ,
-20 ,
-22 ,
-18 ,
-24 ,
-18 ,
-21 ,
-21 ,
-19 ,
-24 ,
-20 ,
-23 ,
-23 ,
-22 ,
-24 ,
-23 ,
-24 ,
-24 ,
-22 ,
-24 ,
-24 ,
-21 ,
-27 ,
-19 ,
-25 ,
-22 ,
-21 ,
-22 ,
-19 ,
-19 ,
-17 ,
-17 ,
-14 ,
-17 ,
-11 ,
-15 ,
-10 ,
-15 ,
-9  ,
-15 ,
-9  ,
-12 ,
-12 ,
-10 ,
-14 ,
-10 ,
-12 ,
-11 ,
-11 ,
-11 ,
-11 ,
-7  ,
-11 ,
-6  ,
-9  ,
-6  ,
-6  ,
-4  ,
-4  ,
-1  ,
-4  ,
4 ,
-1  ,
6 ,
3 ,
8 ,
6 ,
12  ,
9 ,
13  ,
13  ,
16  ,
13  ,
21  ,
13  ,
21  ,
19  ,
19  ,
24  ,
19  ,
25  ,
21  ,
27  ,
20  ,
26  ,
19  ,
25  ,
18  ,
21  ,
17  ,
15  ,
17  ,
11  ,
12  ,
11  ,
5 ,
11  ,
1 ,
8 ,
1 ,
2 ,
2 ,
-3  ,
1 ,
-2  ,
-1  ,
-3  ,
-1  ,
-5  ,
1 ,
-5  ,
-2  ,
-3  ,
-4  ,
-1  ,
-5  ,
-3  ,
-4  ,
-3  ,
-4  ,
-2  ,
-4  ,
-1  ,
-4  ,
-1  ,
-3  ,
-2  ,
-2  ,
-5  ,
-2  ,
-7  ,
-4  ,
-8  ,
-6  ,
-8  ,
-9  ,
-9  ,
-9  ,
-11 ,
-9  ,
-11 ,
-13 ,
-8  ,
-14 ,
-11 ,
-12 ,
-13 ,
-12 ,
-12 ,
-15 ,
-12 ,
-16 ,
-12 ,
-16 ,
-13 ,
-15 ,
-13 ,
-16 ,
-11 ,
-15 ,
-11 ,
-14 ,
-12 ,
-12 ,
-11 ,
-15 ,
-9  ,
-18 ,
-9  ,
-18 ,
-10 ,
-20 ,
-11 ,
-17 ,
-15 ,
-13 ,
-19 ,
-11 ,
-17 ,
-10 ,
-15 ,
-11 ,
-11 ,
-10 ,
-8  ,
-8  ,
-4  ,
-6  ,
-1  ,
-3  ,
0 ,
1 ,
1 ,
5 ,
3 ,
7 ,
5 ,
9 ,
8 ,
11  ,
13  ,
11  ,
17  ,
14  ,
18  ,
20  ,
17  ,
23  ,
19  ,
21  ,
23  ,
17  ,
24  ,
16  ,
19  ,
17  ,
17  ,
14  ,
15  ,
13  ,
12  ,
13  ,
8 ,
13  ,
7 ,
9 ,
9 ,
6 ,
8 ,
6 ,
6 ,
6 ,
6 ,
4 ,
5 ,
4 ,
4 ,
6 ,
3 ,
7 ,
2 ,
7 ,
2 ,
7 ,
3 ,
6 ,
7 ,
4 ,
9 ,
4 ,
10  ,
7 ,
11  ,
8 ,
11  ,
14  ,
9 ,
18  ,
11  ,
19  ,
14  ,
20  ,
16  ,
20  ,
19  ,
21  ,
19  ,
23  ,
20  ,
21  ,
20  ,
21  ,
18  ,
21  ,
15  ,
20  ,
14  ,
17  ,
14  ,
12  ,
15  ,
8 ,
13  ,
7 ,
8 ,
6 ,
3 ,
4 ,
-2  ,
-1  ,
-5  ,
-6  ,
-10 ,
-11 ,
-18 ,
-13 ,
-24 ,
-18 ,
-26 ,
-24 ,
-27 ,
-28 ,
-28 ,
-29 ,
-28 ,
-28 ,
-28 ,
-28 ,
-24 ,
-27 ,
-21 ,
-23 ,
-20 ,
-18 ,
-17 ,
-15 ,
-14 ,
-11 ,
-10 ,
-8  ,
-4  ,
-6  ,
4 ,
-1  ,
7 ,
7 ,
10  ,
15  ,
15  ,
19  ,
22  ,
23  ,
26  ,
26  ,
29  ,
30  ,
30  ,
32  ,
30  ,
32  ,
32  ,
30  ,
31  ,
30  ,
28  ,
31  ,
25  ,
30  ,
25  ,
28  ,
26  ,
26  ,
25  ,
27  ,
24  ,
28  ,
21  ,
27  ,
23  ,
24  ,
24  ,
24  ,
24  ,
24  ,
24  ,
26  ,
23  ,
29  ,
22  ,
28  ,
25  ,
25  ,
28  ,
24  ,
28  ,
26  ,
28  ,
28  ,
27  ,
30  ,
28  ,
31  ,
30  ,
30  ,
31  ,
28  ,
32  ,
27  ,
32  ,
24  ,
32  ,
21  ,
31  ,
18  ,
26  ,
18  ,
21  ,
17  ,
17  ,
14  ,
14  ,
10  ,
11  ,
7 ,
8 ,
4 ,
3 ,
2 ,
-3  ,
1 ,
-9  ,
-4  ,
-12 ,
-10 ,
-13 ,
-18 ,
-14 ,
-22 ,
-20 ,
-24 ,
-24 ,
-27 ,
-26 ,
-31 ,
-31 ,
-30 ,
-34 ,
-31 ,
-33 ,
-35 ,
-30 ,
-37 ,
-28 ,
-37 ,
-26 ,
-34 ,
-25 ,
-29 ,
-27 ,
-25 ,
-25 ,
-24 ,
-22 ,
-24 ,
-21 ,
-23 ,
-20 ,
-22 ,
-19 ,
-20 ,
-20 ,
-15 ,
-20 ,
-12 ,
-15 ,
-13 ,
-10 ,
-11 ,
-9  ,
-8  ,
-9  ,
-9  ,
-7  ,
-11 ,
-7  ,
-13 ,
-10 ,
-13 ,
-14 ,
-14 ,
-16 ,
-15 ,
-17 ,
-16 ,
-15 ,
-17 ,
-13 ,
-17 ,
-11 ,
-14 ,
-11 ,
-9  ,
-11 ,
-6  ,
-9  ,
-4  ,
-5  ,
-2  ,
-4  ,
2 ,
2 ,
5 ,
7 ,
9 ,
12  ,
16  ,
16  ,
19  ,
19  ,
23  ,
23  ,
27  ,
26  ,
29  ,
30  ,
32  ,
34  ,
35  ,
36  ,
37  ,
39  ,
38  ,
41  ,
36  ,
42  ,
34  ,
40  ,
34  ,
35  ,
33  ,
31  ,
29  ,
27  ,
25  ,
21  ,
21  ,
16  ,
15  ,
12  ,
9 ,
8 ,
4 ,
2 ,
2 ,
-4  ,
0 ,
-9  ,
-4  ,
-12 ,
-6  ,
-15 ,
-11 ,
-14 ,
-17 ,
-15 ,
-18 ,
-20 ,
-18 ,
-23 ,
-23 ,
-23 ,
-26 ,
-27 ,
-27 ,
-30 ,
-30 ,
-28 ,
-33 ,
-29 ,
-32 ,
-30 ,
-30 ,
-30 ,
-30 ,
-28 ,
-30 ,
-30 ,
-28 ,
-36 ,
-27 ,
-37 ,
-33 ,
-35 ,
-38 ,
-37 ,
-37 ,
-39 ,
-37 ,
-39 ,
-35 ,
-39 ,
-35 ,
-34 ,
-37 ,
-31 ,
-33 ,
-33 ,
-27 ,
-33 ,
-29 ,
-31 ,
-30 ,
-30 ,
-31 ,
-31 ,
-32 ,
-30 ,
-32 ,
-30 ,
-31 ,
-29 ,
-27 ,
-28 ,
-25 ,
-25 ,
-24 ,
-21 ,
-23 ,
-21 ,
-19 ,
-21 ,
-16 ,
-20 ,
-15 ,
-17 ,
-13 ,
-14 ,
-9  ,
-11 ,
-5  ,
-7  ,
-2  ,
-3  ,
1 ,
0 ,
4 ,
3 ,
5 ,
6 ,
7 ,
9 ,
10  ,
13  ,
12  ,
19  ,
15  ,
22  ,
21  ,
24  ,
25  ,
28  ,
25  ,
31  ,
25  ,
33  ,
25  ,
32  ,
27  ,
29  ,
28  ,
28  ,
27  ,
28  ,
27  ,
27  ,
27  ,
25  ,
27  ,
23  ,
26  ,
25  ,
23  ,
26  ,
20  ,
26  ,
21  ,
22  ,
21  ,
19  ,
20  ,
17  ,
18  ,
14  ,
18  ,
12  ,
14  ,
13  ,
10  ,
13  ,
6 ,
10  ,
4 ,
8 ,
3 ,
5 ,
3 ,
1 ,
4 ,
0 ,
2 ,
-1  ,
1 ,
-5  ,
-1  ,
-7  ,
-7  ,
-8  ,
-11 ,
-13 ,
-14 ,
-16 ,
-19 ,
-15 ,
-23 ,
-17 ,
-23 ,
-18 ,
-21 ,
-20 ,
-20 ,
-21 ,
-17 ,
-20 ,
-20 ,
-16 ,
-22 ,
-16 ,
-22 ,
-21 ,
-21 ,
-24 ,
-23 ,
-26 ,
-24 ,
-27 ,
-26 ,
-28 ,
-24 ,
-29 ,
-20 ,
-30 ,
-21 ,
-25 ,
-23 ,
-19 ,
-25 ,
-17 ,
-21 ,
-15 ,
-18 ,
-13 ,
-15 ,
-11 ,
-10 ,
-9  ,
-7  ,
-6  ,
-5  ,
-5  ,
0 ,
-4  ,
2 ,
-2  ,
2 ,
1 ,
5 ,
3 ,
6 ,
7 ,
8 ,
11  ,
10  ,
13  ,
14  ,
15  ,
17  ,
17  ,
18  ,
19  ,
17  ,
20  ,
17  ,
19  ,
17  ,
18  ,
17  ,
17  ,
16  ,
16  ,
17  ,
15  ,
19  ,
14  ,
17  ,
19  ,
11  ,
23  ,
9 ,
21  ,
12  ,
18  ,
12  ,
17  ,
12  ,
14  ,
13  ,
9 ,
14  ,
7 ,
12  ,
7 ,
7 ,
8 ,
4 ,
7 ,
2 ,
5 ,
2 ,
3 ,
1 ,
2 ,
1 ,
2 ,
2 ,
2 ,
3 ,
5 ,
3 ,
8 ,
3 ,
9 ,
3 ,
11  ,
2 ,
12  ,
5 ,
9 ,
9 ,
8 ,
11  ,
9 ,
12  ,
11  ,
12  ,
14  ,
11  ,
16  ,
11  ,
15  ,
13  ,
11  ,
13  ,
9 ,
10  ,
7 ,
6 ,
2 ,
4 ,
-4  ,
-1  ,
-5  ,
-9  ,
-7  ,
-13 ,
-11 ,
-15 ,
-14 ,
-20 ,
-13 ,
-24 ,
-15 ,
-23 ,
-21 ,
-20 ,
-25 ,
-18 ,
-25 ,
-19 ,
-23 ,
-19 ,
-20 ,
-20 ,
-16 ,
-20 ,
-14 ,
-16 ,
-14 ,
-11 ,
-13 ,
-8  ,
-11 ,
-3  ,
-8  ,
0 ,
-3  ,
4 ,
2 ,
8 ,
8 ,
11  ,
15  ,
14  ,
20  ,
17  ,
23  ,
20  ,
25  ,
21  ,
27  ,
22  ,
28  ,
24  ,
26  ,
26  ,
25  ,
26  ,
25  ,
27  ,
23  ,
28  ,
21  ,
28  ,
21  ,
27  ,
22  ,
23  ,
23  ,
22  ,
21  ,
23  ,
20  ,
23  ,
18  ,
24  ,
18  ,
22  ,
21  ,
19  ,
21  ,
20  ,
19  ,
21  ,
19  ,
20  ,
19  ,
21  ,
19  ,
23  ,
19  ,
24  ,
20  ,
25  ,
25  ,
23  ,
29  ,
23  ,
30  ,
25  ,
30  ,
25  ,
29  ,
26  ,
26  ,
27  ,
23  ,
25  ,
22  ,
23  ,
20  ,
21  ,
17  ,
18  ,
17  ,
12  ,
15  ,
10  ,
9 ,
10  ,
3 ,
6 ,
0 ,
-1  ,
-2  ,
-7  ,
-8  ,
-12 ,
-14 ,
-17 ,
-18 ,
-23 ,
-23 ,
-25 ,
-27 ,
-28 ,
-27 ,
-31 ,
-27 ,
-30 ,
-29 ,
-28 ,
-27 ,
-29 ,
-22 ,
-28 ,
-22 ,
-21 ,
-23 ,
-16 ,
-18 ,
-17 ,
-12 ,
-15 ,
-9  ,
-12 ,
-8  ,
-7  ,
-8  ,
-3  ,
-7  ,
0 ,
-6  ,
3 ,
-5  ,
5 ,
-3  ,
6 ,
-1  ,
7 ,
1 ,
7 ,
4 ,
7 ,
4 ,
7 ,
5 ,
6 ,
5 ,
4 ,
3 ,
3 ,
2 ,
-2  ,
1 ,
-4  ,
-3  ,
-6  ,
-4  ,
-9  ,
-6  ,
-10 ,
-10 ,
-7  ,
-13 ,
-8  ,
-12 ,
-9  ,
-11 ,
-8  ,
-11 ,
-8  ,
-9  ,
-7  ,
-8  ,
-4  ,
-8  ,
-3  ,
-4  ,
-2  ,
-1  ,
0 ,
3 ,
4 ,
7 ,
8 ,
11  ,
14  ,
15  ,
20  ,
18  ,
24  ,
24  ,
25  ,
27  ,
26  ,
30  ,
26  ,
31  ,
26  ,
30  ,
27  ,
28  ,
25  ,
27  ,
24  ,
24  ,
23  ,
19  ,
21  ,
17  ,
17  ,
13  ,
14  ,
8 ,
9 ,
5 ,
4 ,
0 ,
0 ,
-6  ,
-5  ,
-10 ,
-12 ,
-15 ,
-16 ,
-20 ,
-19 ,
-25 ,
-22 ,
-27 ,
-23 ,
-27 ,
-27 ,
-25 ,
-26 ,
-27 ,
-21 ,
-28 ,
-20 ,
-23 ,
-23 ,
-19 ,
-21 ,
-18 ,
-20 ,
-17 ,
-18 ,
-17 ,
-18 ,
-18 ,
-16 ,
-19 ,
-17 ,
-20 ,
-19 ,
-19 ,
-21 ,
-20 ,
-23 ,
-19 ,
-25 ,
-19 ,
-24 ,
-23 ,
-21 ,
-24 ,
-22 ,
-22 ,
-25 ,
-19 ,
-25 ,
-19 ,
-25 ,
-21 ,
-23 ,
-24 ,
-21 ,
-28 ,
-22 ,
-30 ,
-25 ,
-30 ,
-28 ,
-30 ,
-29 ,
-30 ,
-29 ,
-30 ,
-28 ,
-27 ,
-28 ,
-26 ,
-26 ,
-26 ,
-22 ,
-25 ,
-22 ,
-23 ,
-20 ,
-22 ,
-20 ,
-21 ,
-19 ,
-21 ,
-17 ,
-21 ,
-17 ,
-19 ,
-16 ,
-16 ,
-13 ,
-14 ,
-11 ,
-9  ,
-8  ,
-6  ,
-3  ,
-3  ,
1 ,
0 ,
3 ,
3 ,
6 ,
5 ,
10  ,
7 ,
12  ,
9 ,
12  ,
14  ,
11  ,
16  ,
13  ,
15  ,
18  ,
12  ,
21  ,
12  ,
22  ,
15  ,
20  ,
18  ,
18  ,
21  ,
16  ,
21  ,
16  ,
20  ,
15  ,
19  ,
12  ,
16  ,
14  ,
13  ,
11  ,
13  ,
6 ,
15  ,
4 ,
13  ,
7 ,
9 ,
9 ,
10  ,
7 ,
11  ,
9 ,
10  ,
10  ,
12  ,
6 ,
16  ,
3 ,
14  ,
3 ,
12  ,
3 ,
8 ,
2 ,
5 ,
2 ,
1 ,
1 ,
0 ,
-3  ,
0 ,
-6  ,
-2  ,
-6  ,
-5  ,
-7  ,
-6  ,
-10 ,
-7  ,
-11 ,
-9  ,
-12 ,
-9  ,
-13 ,
-9  ,
-12 ,
-13 ,
-10 ,
-13 ,
-12 ,
-13 ,
-14 ,
-14 ,
-13 ,
-15 ,
-15 ,
-15 ,
-15 ,
-15 ,
-14 ,
-16 ,
-15 ,
-13 ,
-16 ,
-12 ,
-16 ,
-10 ,
-15 ,
-9  ,
-14 ,
-8  ,
-12 ,
-8  ,
-9  ,
-10 ,
-6  ,
-12 ,
-5  ,
-10 ,
-4  ,
-10 ,
-2  ,
-10 ,
0 ,
-5  ,
-3  ,
-1  ,
-3  ,
2 ,
0 ,
2 ,
1 ,
3 ,
3 ,
3 ,
3 ,
3 ,
4 ,
5 ,
4 ,
3 ,
6 ,
4 ,
7 ,
6 ,
6 ,
7 ,
8 ,
10  ,
8 ,
13  ,
9 ,
15  ,
11  ,
17  ,
11  ,
19  ,
10  ,
18  ,
12  ,
15  ,
15  ,
11  ,
17  ,
10  ,
14  ,
13  ,
11  ,
16  ,
8 ,
17  ,
9 ,
17  ,
11  ,
16  ,
14  ,
17  ,
15  ,
18  ,
17  ,
17  ,
20  ,
16  ,
21  ,
17  ,
19  ,
20  ,
19  ,
21  ,
20  ,
19  ,
24  ,
18  ,
25  ,
19  ,
23  ,
21  ,
25  ,
20  ,
23  ,
22  ,
19  ,
26  ,
17  ,
25  ,
17  ,
24  ,
17  ,
22  ,
17  ,
20  ,
16  ,
19  ,
14  ,
15  ,
15  ,
10  ,
11  ,
7 ,
6 ,
3 ,
3 ,
-5  ,
-2  ,
-7  ,
-8  ,
-8  ,
-14 ,
-11 ,
-16 ,
-15 ,
-17 ,
-19 ,
-18 ,
-22 ,
-21 ,
-24 ,
-23 ,
-25 ,
-26 ,
-27 ,
-27 ,
-29 ,
-26 ,
-29 ,
-29 ,
-25 ,
-31 ,
-22 ,
-27 ,
-22 ,
-22 ,
-19 ,
-19 ,
-16 ,
-13 ,
-14 ,
-8  ,
-12 ,
-5  ,
-7  ,
-4  ,
-4  ,
-2  ,
-2  ,
1 ,
0 ,
2 ,
3 ,
4 ,
6 ,
4 ,
11  ,
4 ,
14  ,
8 ,
12  ,
11  ,
13  ,
13  ,
14  ,
12  ,
15  ,
12  ,
16  ,
12  ,
15  ,
11  ,
16  ,
9 ,
16  ,
10  ,
14  ,
12  ,
13  ,
14  ,
13  ,
17  ,
14  ,
18  ,
17  ,
20  ,
21  ,
22  ,
22  ,
25  ,
25  ,
29  ,
30  ,
30  ,
34  ,
33  ,
37  ,
37  ,
39  ,
39  ,
39  ,
41  ,
40  ,
41  ,
38  ,
40  ,
37  ,
38  ,
35  ,
33  ,
34  ,
30  ,
30  ,
27  ,
26  ,
24  ,
22  ,
18  ,
20  ,
14  ,
15  ,
11  ,
11  ,
5 ,
8 ,
0 ,
3 ,
-3  ,
-4  ,
-7  ,
-8  ,
-12 ,
-12 ,
-16 ,
-16 ,
-18 ,
-21 ,
-17 ,
-25 ,
-19 ,
-25 ,
-20 ,
-24 ,
-22 ,
-24 ,
-24 ,
-23 ,
-25 ,
-23 ,
-23 ,
-25 ,
-23 ,
-23 ,
-25 ,
-20 ,
-25 ,
-21 ,
-20 ,
-24 ,
-16 ,
-21 ,
-17 ,
-17 ,
-15 ,
-17 ,
-13 ,
-14 ,
-15 ,
-9  ,
-17 ,
-9  ,
-15 ,
-11 ,
-14 ,
-13 ,
-14 ,
-13 ,
-15 ,
-13 ,
-15 ,
-14 ,
-14 ,
-15 ,
-16 ,
-14 ,
-18 ,
-15 ,
-18 ,
-17 ,
-19 ,
-19 ,
-19 ,
-21 ,
-19 ,
-22 ,
-20 ,
-22 ,
-20 ,
-22 ,
-20 ,
-22 ,
-20 ,
-19 ,
-19 ,
-17 ,
-17 ,
-13 ,
-13 ,
-9  ,
-9  ,
-4  ,
-2  ,
0 ,
5 ,
6 ,
10  ,
14  ,
15  ,
22  ,
21  ,
28  ,
27  ,
32  ,
34  ,
36  ,
38  ,
40  ,
40  ,
43  ,
42  ,
45  ,
40  ,
48  ,
37  ,
48  ,
36  ,
44  ,
36  ,
38  ,
32  ,
36  ,
28  ,
31  ,
25  ,
25  ,
23  ,
19  ,
20  ,
13  ,
17  ,
7 ,
12  ,
2 ,
6 ,
-1  ,
-2  ,
-3  ,
-8  ,
-9  ,
-11 ,
-13 ,
-14 ,
-13 ,
-17 ,
-16 ,
-16 ,
-18 ,
-16 ,
-18 ,
-18 ,
-17 ,
-18 ,
-19 ,
-17 ,
-19 ,
-19 ,
-19 ,
-19 ,
-19 ,
-20 ,
-19 ,
-22 ,
-19 ,
-20 ,
-21 ,
-20 ,
-21 ,
-20 ,
-21 ,
-20 ,
-21 ,
-21 ,
-20 ,
-23 ,
-21 ,
-23 ,
-22 ,
-24 ,
-24 ,
-26 ,
-24 ,
-28 ,
-27 ,
-27 ,
-31 ,
-29 ,
-31 ,
-34 ,
-30 ,
-36 ,
-33 ,
-36 ,
-34 ,
-36 ,
-36 ,
-35 ,
-36 ,
-35 ,
-34 ,
-36 ,
-32 ,
-34 ,
-32 ,
-32 ,
-31 ,
-31 ,
-30 ,
-29 ,
-30 ,
-27 ,
-28 ,
-24 ,
-25 ,
-23 ,
-20 ,
-21 ,
-17 ,
-15 ,
-15 ,
-9  ,
-13 ,
-5  ,
-7  ,
-3  ,
0 ,
-2  ,
5 ,
3 ,
6 ,
9 ,
7 ,
13  ,
10  ,
13  ,
14  ,
14  ,
17  ,
15  ,
17  ,
18  ,
20  ,
16  ,
22  ,
16  ,
21  ,
18  ,
20  ,
18  ,
20  ,
17  ,
21  ,
18  ,
23  ,
17  ,
23  ,
19  ,
24  ,
19  ,
25  ,
20  ,
23  ,
21  ,
21  ,
20  ,
21  ,
17  ,
20  ,
17  ,
19  ,
15  ,
20  ,
11  ,
20  ,
11  ,
15  ,
14  ,
11  ,
13  ,
11  ,
9 ,
11  ,
7 ,
8 ,
7 ,
4 ,
6 ,
2 ,
5 ,
0 ,
4 ,
-2  ,
3 ,
-2  ,
1 ,
0 ,
-1  ,
-1  ,
-1  ,
-1  ,
-1  ,
-3  ,
0 ,
-6  ,
1 ,
-8  ,
-2  ,
-7  ,
-8  ,
-5  ,
-13 ,
-8  ,
-15 ,
-11 ,
-17 ,
-15 ,
-19 ,
-17 ,
-22 ,
-18 ,
-23 ,
-21 ,
-20 ,
-23 ,
-20 ,
-23 ,
-21 ,
-24 ,
-20 ,
-25 ,
-21 ,
-24 ,
-23 ,
-24 ,
-21 ,
-26 ,
-19 ,
-23 ,
-22 ,
-17 ,
-20 ,
-18 ,
-15 ,
-15 ,
-11 ,
-13 ,
-8  ,
-10 ,
-5  ,
-7  ,
-3  ,
-2  ,
-2  ,
2 ,
2 ,
2 ,
9 ,
1 ,
11  ,
6 ,
10  ,
10  ,
11  ,
9 ,
14  ,
8 ,
16  ,
8 ,
13  ,
11  ,
10  ,
10  ,
11  ,
8 ,
10  ,
10  ,
7 ,
11  ,
9 ,
9 ,
12  ,
10  ,
13  ,
12  ,
12  ,
15  ,
10  ,
17  ,
10  ,
16  ,
12  ,
15  ,
13  ,
14  ,
12  ,
14  ,
13  ,
13  ,
14  ,
12  ,
14  ,
10  ,
15  ,
9 ,
14  ,
9 ,
13  ,
8 ,
12  ,
8 ,
11  ,
9 ,
10  ,
9 ,
9 ,
10  ,
8 ,
10  ,
8 ,
11  ,
9 ,
12  ,
10  ,
13  ,
12  ,
14  ,
15  ,
12  ,
19  ,
11  ,
21  ,
13  ,
19  ,
15  ,
17  ,
16  ,
16  ,
13  ,
16  ,
12  ,
12  ,
15  ,
6 ,
14  ,
7 ,
9 ,
10  ,
5 ,
10  ,
4 ,
9 ,
2 ,
8 ,
-1  ,
5 ,
-3  ,
2 ,
-6  ,
-2  ,
-8  ,
-7  ,
-10 ,
-11 ,
-13 ,
-11 ,
-17 ,
-11 ,
-16 ,
-15 ,
-12 ,
-19 ,
-12 ,
-17 ,
-16 ,
-14 ,
-16 ,
-13 ,
-16 ,
-11 ,
-14 ,
-11 ,
-8  ,
-12 ,
-5  ,
-7  ,
-5  ,
-1  ,
-4  ,
1 ,
-1  ,
4 ,
0 ,
5 ,
3 ,
6 ,
4 ,
7 ,
5 ,
8 ,
6 ,
8 ,
7 ,
9 ,
8 ,
11  ,
9 ,
12  ,
10  ,
13  ,
12  ,
13  ,
13  ,
13  ,
13  ,
13  ,
13  ,
13  ,
12  ,
14  ,
12  ,
14  ,
12  ,
14  ,
12  ,
15  ,
12  ,
14  ,
13  ,
13  ,
14  ,
14  ,
13  ,
16  ,
13  ,
18  ,
15  ,
19  ,
19  ,
20  ,
20  ,
23  ,
20  ,
24  ,
22  ,
24  ,
24  ,
24  ,
25  ,
24  ,
27  ,
25  ,
26  ,
27  ,
25  ,
27  ,
25  ,
26  ,
22  ,
25  ,
17  ,
24  ,
14  ,
17  ,
13  ,
9 ,
9 ,
3 ,
3 ,
0 ,
-2  ,
-6  ,
-5  ,
-10 ,
-5  ,
-14 ,
-6  ,
-16 ,
-9  ,
-13 ,
-13 ,
-11 ,
-15 ,
-14 ,
-11 ,
-18 ,
-9  ,
-19 ,
-12 ,
-14 ,
-16 ,
-10 ,
-17 ,
-8  ,
-17 ,
-8  ,
-14 ,
-9  ,
-11 ,
-9  ,
-11 ,
-5  ,
-11 ,
-4  ,
-8  ,
-5  ,
-4  ,
-4  ,
-3  ,
-3  ,
-2  ,
-2  ,
-2  ,
-1  ,
-4  ,
0 ,
-3  ,
-3  ,
-3  ,
-3  ,
-6  ,
-3  ,
-8  ,
-6  ,
-6  ,
-10 ,
-6  ,
-13 ,
-6  ,
-15 ,
-8  ,
-16 ,
-10 ,
-18 ,
-12 ,
-20 ,
-13 ,
-21 ,
-16 ,
-19 ,
-20 ,
-16 ,
-23 ,
-15 ,
-19 ,
-19 ,
-14 ,
-19 ,
-13 ,
-16 ,
-12 ,
-14 ,
-10 ,
-12 ,
-8  ,
-9  ,
-6  ,
-5  ,
-5  ,
-1  ,
-1  ,
1 ,
4 ,
4 ,
7 ,
8 ,
11  ,
10  ,
16  ,
14  ,
17  ,
19  ,
18  ,
22  ,
20  ,
23  ,
24  ,
23  ,
26  ,
23  ,
25  ,
25  ,
23  ,
24  ,
21  ,
23  ,
18  ,
21  ,
15  ,
16  ,
13  ,
12  ,
9 ,
8 ,
6 ,
3 ,
4 ,
-1  ,
0 ,
-2  ,
-2  ,
-3  ,
-5  ,
-5  ,
-7  ,
-4  ,
-11 ,
-3  ,
-16 ,
-4  ,
-15 ,
-8  ,
-11 ,
-14 ,
-9  ,
-13 ,
-9  ,
-11 ,
-10 ,
-10 ,
-8  ,
-10 ,
-8  ,
-8  ,
-8  ,
-8  ,
-8  ,
-8  ,
-7  ,
-8  ,
-7  ,
-8  ,
-5  ,
-8  ,
-7  ,
-6  ,
-7  ,
-6  ,
-7  ,
-7  ,
-10 ,
-7  ,
-11 ,
-9  ,
-12 ,
-14 ,
-14 ,
-15 ,
-18 ,
-17 ,
-22 ,
-20 ,
-24 ,
-24 ,
-24 ,
-30 ,
-23 ,
-34 ,
-24 ,
-36 ,
-26 ,
-38 ,
-26 ,
-40 ,
-28 ,
-38 ,
-33 ,
-34 ,
-34 ,
-34 ,
-32 ,
-33 ,
-31 ,
-31 ,
-28 ,
-31 ,
-24 ,
-30 ,
-24 ,
-25 ,
-24 ,
-22 ,
-23 ,
-21 ,
-20 ,
-17 ,
-19 ,
-14 ,
-16 ,
-11 ,
-13 ,
-9  ,
-10 ,
-5  ,
-8  ,
-2  ,
-6  ,
1 ,
-3  ,
3 ,
0 ,
3 ,
4 ,
3 ,
7 ,
3 ,
7 ,
7 ,
6 ,
10  ,
6 ,
11  ,
10  ,
10  ,
11  ,
10  ,
13  ,
8 ,
14  ,
7 ,
14  ,
8 ,
12  ,
8 ,
11  ,
12  ,
8 ,
13  ,
9 ,
14  ,
10  ,
15  ,
10  ,
17  ,
12  ,
15  ,
15  ,
16  ,
15  ,
19  ,
14  ,
19  ,
16  ,
18  ,
17  ,
17  ,
15  ,
18  ,
14  ,
17  ,
13  ,
14  ,
13  ,
12  ,
12  ,
11  ,
11  ,
9 ,
13  ,
6 ,
13  ,
8 ,
10  ,
12  ,
7 ,
10  ,
7 ,
9 ,
8 ,
4 ,
7 ,
0 ,
5 ,
-2  ,
1 ,
-5  ,
-2  ,
-7  ,
-7  ,
-8  ,
-11 ,
-9  ,
-13 ,
-11 ,
-15 ,
-11 ,
-18 ,
-11 ,
-19 ,
-12 ,
-17 ,
-17 ,
-15 ,
-19 ,
-15 ,
-17 ,
-18 ,
-18 ,
-16 ,
-19 ,
-16 ,
-16 ,
-19 ,
-15 ,
-18 ,
-15 ,
-18 ,
-13 ,
-19 ,
-14 ,
-15 ,
-18 ,
-12 ,
-17 ,
-13 ,
-13 ,
-14 ,
-12 ,
-11 ,
-12 ,
-8  ,
-10 ,
-8  ,
-7  ,
-7  ,
-7  ,
-2  ,
-9  ,
2 ,
-7  ,
1 ,
-3  ,
-1  ,
1 ,
0 ,
2 ,
2 ,
2 ,
6 ,
3 ,
8 ,
4 ,
8 ,
6 ,
9 ,
6 ,
11  ,
7 ,
11  ,
7 ,
14  ,
5 ,
17  ,
5 ,
14  ,
10  ,
12  ,
11  ,
12  ,
11  ,
12  ,
13  ,
14  ,
13  ,
16  ,
13  ,
17  ,
17  ,
16  ,
18  ,
17  ,
18  ,
19  ,
19  ,
17  ,
20  ,
20  ,
18  ,
22  ,
17  ,
24  ,
19  ,
24  ,
22  ,
24  ,
26  ,
25  ,
28  ,
26  ,
29  ,
28  ,
31  ,
27  ,
33  ,
25  ,
35  ,
24  ,
31  ,
27  ,
24  ,
29  ,
20  ,
25  ,
20  ,
19  ,
20  ,
16  ,
18  ,
13  ,
15  ,
12  ,
13  ,
11  ,
9 ,
9 ,
7 ,
6 ,
6 ,
1 ,
4 ,
-1  ,
-1  ,
-1  ,
-9  ,
-2  ,
-10 ,
-9  ,
-8  ,
-14 ,
-11 ,
-13 ,
-14 ,
-14 ,
-16 ,
-18 ,
-16 ,
-20 ,
-20 ,
-20 ,
-22 ,
-22 ,
-23 ,
-25 ,
-22 ,
-24 ,
-23 ,
-23 ,
-25 ,
-19 ,
-24 ,
-18 ,
-21 ,
-18 ,
-18 ,
-17 ,
-15 ,
-17 ,
-11 ,
-16 ,
-8  ,
-11 ,
-9  ,
-5  ,
-7  ,
-1  ,
-4  ,
4 ,
-1  ,
7 ,
4 ,
6 ,
11  ,
6 ,
13  ,
9 ,
12  ,
13  ,
11  ,
15  ,
11  ,
15  ,
14  ,
12  ,
17  ,
12  ,
15  ,
16  ,
14  ,
18  ,
16  ,
19  ,
19  ,
20  ,
21  ,
21  ,
23  ,
23  ,
22  ,
26  ,
21  ,
26  ,
24  ,
24  ,
27  ,
24  ,
29  ,
28  ,
28  ,
33  ,
28  ,
37  ,
31  ,
36  ,
35  ,
36  ,
37  ,
37  ,
36  ,
37  ,
38  ,
34  ,
37  ,
33  ,
34  ,
32  ,
29  ,
30  ,
24  ,
28  ,
20  ,
21  ,
18  ,
17  ,
14  ,
15  ,
9 ,
11  ,
8 ,
5 ,
7 ,
0 ,
2 ,
1 ,
-5  ,
1 ,
-9  ,
-3  ,
-8  ,
-8  ,
-9  ,
-11 ,
-9  ,
-14 ,
-10 ,
-16 ,
-11 ,
-17 ,
-13 ,
-18 ,
-15 ,
-18 ,
-16 ,
-21 ,
-16 ,
-23 ,
-17 ,
-22 ,
-20 ,
-21 ,
-23 ,
-19 ,
-22 ,
-20 ,
-22 ,
-20 ,
-22 ,
-20 ,
-20 ,
-21 ,
-21 ,
-20 ,
-23 ,
-20 ,
-22 ,
-24 ,
-20 ,
-25 ,
-20 ,
-24 ,
-22 ,
-24 ,
-21 ,
-25 ,
-19 ,
-26 ,
-21 ,
-25 ,
-23 ,
-25 ,
-25 ,
-27 ,
-25 ,
-27 ,
-28 ,
-27 ,
-31 ,
-25 ,
-32 ,
-24 ,
-30 ,
-24 ,
-26 ,
-23 ,
-21 ,
-21 ,
-16 ,
-17 ,
-12 ,
-11 ,
-8  ,
-8  ,
-2  ,
-3  ,
2 ,
2 ,
4 ,
7 ,
10  ,
12  ,
14  ,
17  ,
18  ,
23  ,
22  ,
27  ,
27  ,
29  ,
30  ,
32  ,
31  ,
33  ,
31  ,
32  ,
34  ,
28  ,
35  ,
27  ,
34  ,
27  ,
31  ,
28  ,
27  ,
28  ,
24  ,
23  ,
23  ,
18  ,
19  ,
16  ,
12  ,
14  ,
9 ,
9 ,
9 ,
4 ,
7 ,
3 ,
3 ,
3 ,
1 ,
1 ,
0 ,
0 ,
-1  ,
-1  ,
-3  ,
-2  ,
-3  ,
-4  ,
-3  ,
-8  ,
-3  ,
-10 ,
-6  ,
-11 ,
-8  ,
-12 ,
-11 ,
-12 ,
-14 ,
-13 ,
-12 ,
-16 ,
-13 ,
-16 ,
-17 ,
-15 ,
-20 ,
-17 ,
-21 ,
-20 ,
-22 ,
-23 ,
-24 ,
-24 ,
-27 ,
-25 ,
-27 ,
-30 ,
-26 ,
-35 ,
-25 ,
-36 ,
-26 ,
-37 ,
-29 ,
-34 ,
-34 ,
-34 ,
-33 ,
-37 ,
-32 ,
-39 ,
-34 ,
-39 ,
-36 ,
-40 ,
-38 ,
-39 ,
-38 ,
-40 ,
-38 ,
-40 ,
-38 ,
-36 ,
-40 ,
-35 ,
-37 ,
-35 ,
-32 ,
-34 ,
-31 ,
-27 ,
-30 ,
-21 ,
-26 ,
-20 ,
-19 ,
-17 ,
-16 ,
-11 ,
-13 ,
-6  ,
-8  ,
-4  ,
-3  ,
-1  ,
2 ,
3 ,
3 ,
10  ,
3 ,
13  ,
9 ,
11  ,
13  ,
14  ,
13  ,
18  ,
15  ,
21  ,
16  ,
23  ,
18  ,
27  ,
19  ,
28  ,
20  ,
27  ,
23  ,
22  ,
25  ,
21  ,
22  ,
22  ,
20  ,
19  ,
22  ,
17  ,
21  ,
19  ,
21  ,
21  ,
20  ,
24  ,
18  ,
26  ,
21  ,
22  ,
24  ,
20  ,
22  ,
19  ,
20  ,
20  ,
16  ,
19  ,
16  ,
15  ,
18  ,
12  ,
18  ,
13  ,
16  ,
14  ,
13  ,
14  ,
12  ,
13  ,
10  ,
11  ,
7 ,
9 ,
4 ,
7 ,
0 ,
6 ,
-4  ,
3 ,
-4  ,
-3  ,
-3  ,
-8  ,
-4  ,
-11 ,
-7  ,
-14 ,
-12 ,
-14 ,
-17 ,
-16 ,
-19 ,
-20 ,
-18 ,
-21 ,
-21 ,
-20 ,
-22 ,
-22 ,
-19 ,
-24 ,
-20 ,
-22 ,
-23 ,
-20 ,
-24 ,
-21 ,
-24 ,
-20 ,
-26 ,
-19 ,
-26 ,
-20 ,
-25 ,
-20 ,
-25 ,
-20 ,
-21 ,
-22 ,
-17 ,
-20 ,
-18 ,
-17 ,
-17 ,
-14 ,
-16 ,
-11 ,
-16 ,
-9  ,
-14 ,
-9  ,
-11 ,
-8  ,
-8  ,
-6  ,
-8  ,
-4  ,
-4  ,
-2  ,
-3  ,
2 ,
-2  ,
5 ,
2 ,
5 ,
7 ,
7 ,
9 ,
11  ,
10  ,
16  ,
10  ,
20  ,
12  ,
20  ,
15  ,
20  ,
19  ,
17  ,
21  ,
18  ,
18  ,
23  ,
14  ,
21  ,
19  ,
17  ,
23  ,
15  ,
22  ,
17  ,
21  ,
18  ,
18  ,
17  ,
18  ,
16  ,
14  ,
16  ,
10  ,
16  ,
10  ,
12  ,
11  ,
11  ,
11  ,
11  ,
12  ,
10  ,
12  ,
10  ,
13  ,
10  ,
12  ,
12  ,
10  ,
13  ,
12  ,
11  ,
16  ,
10  ,
17  ,
13  ,
17  ,
18  ,
15  ,
23  ,
14  ,
24  ,
17  ,
22  ,
20  ,
19  ,
19  ,
16  ,
19  ,
14  ,
16  ,
14  ,
11  ,
16  ,
7 ,
17  ,
6 ,
14  ,
7 ,
12  ,
8 ,
8 ,
7 ,
6 ,
5 ,
4 ,
1 ,
0 ,
-1  ,
-2  ,
-6  ,
-3  ,
-9  ,
-5  ,
-9  ,
-8  ,
-9  ,
-8  ,
-11 ,
-7  ,
-12 ,
-8  ,
-9  ,
-12 ,
-8  ,
-13 ,
-10 ,
-10 ,
-13 ,
-9  ,
-13 ,
-11 ,
-11 ,
-11 ,
-11 ,
-10 ,
-9  ,
-10 ,
-8  ,
-7  ,
-8  ,
-4  ,
-6  ,
-3  ,
-2  ,
-1  ,
2 ,
1 ,
6 ,
2 ,
11  ,
8 ,
11  ,
14  ,
11  ,
18  ,
15  ,
19  ,
16  ,
20  ,
19  ,
19  ,
19  ,
18  ,
21  ,
16  ,
21  ,
16  ,
20  ,
17  ,
18  ,
18  ,
16  ,
17  ,
16  ,
13  ,
17  ,
10  ,
14  ,
8 ,
11  ,
9 ,
7 ,
10  ,
7 ,
8 ,
11  ,
6 ,
13  ,
9 ,
13  ,
11  ,
12  ,
14  ,
11  ,
17  ,
11  ,
18  ,
12  ,
19  ,
13  ,
20  ,
13  ,
21  ,
14  ,
20  ,
17  ,
16  ,
18  ,
16  ,
16  ,
15  ,
16  ,
12  ,
16  ,
9 ,
14  ,
7 ,
12  ,
7 ,
7 ,
9 ,
3 ,
7 ,
3 ,
5 ,
1 ,
4 ,
-1  ,
0 ,
-1  ,
-5  ,
-6  ,
-7  ,
-11 ,
-10 ,
-14 ,
-15 ,
-14 ,
-21 ,
-12 ,
-24 ,
-13 ,
-22 ,
-15 ,
-21 ,
-17 ,
-18 ,
-18 ,
-16 ,
-17 ,
-16 ,
-15 ,
-14 ,
-15 ,
-13 ,
-13 ,
-12 ,
-13 ,
-10 ,
-13 ,
-9  ,
-14 ,
-8  ,
-12 ,
-8  ,
-12 ,
-10 ,
-10 ,
-11 ,
-9  ,
-12 ,
-10 ,
-10 ,
-12 ,
-10 ,
-11 ,
-9  ,
-13 ,
-7  ,
-14 ,
-10 ,
-11 ,
-14 ,
-12 ,
-15 ,
-16 ,
-16 ,
-17 ,
-18 ,
-20 ,
-19 ,
-21 ,
-19 ,
-21 ,
-18 ,
-22 ,
-17 ,
-20 ,
-18 ,
-17 ,
-19 ,
-18 ,
-17 ,
-18 ,
-17 ,
-16 ,
-19 ,
-13 ,
-17 ,
-12 ,
-12 ,
-10 ,
-8  ,
-5  ,
-6  ,
2 ,
-3  ,
5 ,
3 ,
5 ,
8 ,
8 ,
10  ,
10  ,
11  ,
13  ,
12  ,
15  ,
14  ,
11  ,
19  ,
11  ,
17  ,
12  ,
16  ,
9 ,
17  ,
6 ,
13  ,
8 ,
7 ,
9 ,
2 ,
6 ,
3 ,
1 ,
4 ,
-2  ,
4 ,
-2  ,
2 ,
0 ,
-1  ,
2 ,
-4  ,
3 ,
-6  ,
1 ,
-7  ,
-2  ,
-9  ,
-4  ,
-10 ,
-7  ,
-10 ,
-9  ,
-10 ,
-11 ,
-9  ,
-11 ,
-8  ,
-11 ,
-8  ,
-11 ,
-7  ,
-11 ,
-7  ,
-10 ,
-9  ,
-9  ,
-9  ,
-10 ,
-9  ,
-11 ,
-11 ,
-9  ,
-13 ,
-10 ,
-13 ,
-12 ,
-14 ,
-11 ,
-17 ,
-11 ,
-19 ,
-11 ,
-19 ,
-13 ,
-16 ,
-16 ,
-15 ,
-16 ,
-15 ,
-14 ,
-15 ,
-14 ,
-14 ,
-16 ,
-14 ,
-17 ,
-16 ,
-18 ,
-19 ,
-19 ,
-21 ,
-22 ,
-19 ,
-26 ,
-18 ,
-26 ,
-20 ,
-23 ,
-21 ,
-23 ,
-20 ,
-24 ,
-19 ,
-24 ,
-20 ,
-23 ,
-20 ,
-22 ,
-19 ,
-21 ,
-20 ,
-16 ,
-19 ,
-13 ,
-16 ,
-11 ,
-12 ,
-7  ,
-11 ,
-2  ,
-8  ,
0 ,
-4  ,
0 ,
0 ,
1 ,
3 ,
3 ,
5 ,
6 ,
6 ,
9 ,
8 ,
12  ,
10  ,
13  ,
12  ,
14  ,
14  ,
16  ,
14  ,
17  ,
15  ,
16  ,
18  ,
14  ,
17  ,
16  ,
16  ,
17  ,
16  ,
16  ,
17  ,
18  ,
17  ,
18  ,
18  ,
18  ,
18  ,
19  ,
16  ,
19  ,
17  ,
15  ,
20  ,
13  ,
20  ,
17  ,
17  ,
21  ,
17  ,
23  ,
20  ,
23  ,
23  ,
25  ,
24  ,
25  ,
26  ,
23  ,
29  ,
21  ,
26  ,
21  ,
23  ,
22  ,
19  ,
19  ,
15  ,
18  ,
13  ,
14  ,
9 ,
10  ,
8 ,
6 ,
5 ,
2 ,
3 ,
1 ,
0 ,
-2  ,
0 ,
-3  ,
-1  ,
-3  ,
-2  ,
-2  ,
-3  ,
-3  ,
-3  ,
-4  ,
-4  ,
-6  ,
-5  ,
-8  ,
-4  ,
-10 ,
-5  ,
-10 ,
-6  ,
-10 ,
-5  ,
-10 ,
-6  ,
-9  ,
-7  ,
-11 ,
-5  ,
-12 ,
-8  ,
-10 ,
-15 ,
-7  ,
-17 ,
-12 ,
-14 ,
-17 ,
-13 ,
-16 ,
-16 ,
-14 ,
-16 ,
-12 ,
-15 ,
-10 ,
-15 ,
-7  ,
-12 ,
-7  ,
-9  ,
-7  ,
-7  ,
-5  ,
-5  ,
-5  ,
-1  ,
-5  ,
2 ,
-1  ,
1 ,
4 ,
2 ,
6 ,
6 ,
5 ,
8 ,
9 ,
6 ,
9 ,
8 ,
6 ,
10  ,
7 ,
7 ,
9 ,
6 ,
7 ,
9 ,
6 ,
8 ,
7 ,
8 ,
8 ,
7 ,
6 ,
8 ,
5 ,
7 ,
3 ,
5 ,
2 ,
6 ,
0 ,
7 ,
0 ,
7 ,
2 ,
7 ,
5 ,
7 ,
11  ,
6 ,
16  ,
9 ,
16  ,
17  ,
14  ,
23  ,
16  ,
23  ,
21  ,
24  ,
23  ,
24  ,
27  ,
22  ,
29  ,
24  ,
25  ,
28  ,
24  ,
27  ,
26  ,
24  ,
27  ,
24  ,
27  ,
24  ,
24  ,
26  ,
21  ,
26  ,
20  ,
23  ,
20  ,
18  ,
18  ,
14  ,
17  ,
10  ,
12  ,
8 ,
8 ,
6 ,
3 ,
3 ,
0 ,
1 ,
-2  ,
-2  ,
-5  ,
-5  ,
-7  ,
-7  ,
-12 ,
-9  ,
-17 ,
-11 ,
-19 ,
-14 ,
-23 ,
-16 ,
-23 ,
-21 ,
-21 ,
-24 ,
-23 ,
-23 ,
-24 ,
-23 ,
-23 ,
-25 ,
-21 ,
-26 ,
-19 ,
-28 ,
-17 ,
-25 ,
-19 ,
-20 ,
-21 ,
-16 ,
-19 ,
-14 ,
-16 ,
-11 ,
-11 ,
-10 ,
-6  ,
-8  ,
-3  ,
-5  ,
-1  ,
0 ,
-1  ,
2 ,
1 ,
4 ,
4 ,
3 ,
5 ,
6 ,
4 ,
9 ,
4 ,
8 ,
7 ,
7 ,
8 ,
8 ,
6 ,
9 ,
7 ,
7 ,
6 ,
7 ,
5 ,
9 ,
4 ,
9 ,
5 ,
11  ,
6 ,
12  ,
12  ,
13  ,
15  ,
17  ,
18  ,
20  ,
22  ,
22  ,
23  ,
28  ,
22  ,
30  ,
24  ,
28  ,
27  ,
27  ,
28  ,
28  ,
25  ,
31  ,
23  ,
31  ,
26  ,
29  ,
29  ,
26  ,
30  ,
26  ,
31  ,
26  ,
28  ,
28  ,
25  ,
27  ,
24  ,
23  ,
23  ,
20  ,
17  ,
17  ,
16  ,
10  ,
15  ,
5 ,
10  ,
4 ,
5 ,
0 ,
3 ,
-5  ,
0 ,
-7  ,
-4  ,
-9  ,
-8  ,
-12 ,
-10 ,
-15 ,
-13 ,
-17 ,
-17 ,
-20 ,
-18 ,
-23 ,
-21 ,
-24 ,
-24 ,
-25 ,
-24 ,
-27 ,
-25 ,
-25 ,
-28 ,
-23 ,
-28 ,
-23 ,
-26 ,
-23 ,
-24 ,
-22 ,
-23 ,
-21 ,
-23 ,
-20 ,
-23 ,
-19 ,
-24 ,
-19 ,
-24 ,
-21 ,
-22 ,
-23 ,
-22 ,
-24 ,
-24 ,
-25 ,
-24 ,
-28 ,
-24 ,
-30 ,
-27 ,
-28 ,
-32 ,
-27 ,
-32 ,
-31 ,
-29 ,
-34 ,
-29 ,
-32 ,
-31 ,
-33 ,
-29 ,
-33 ,
-28 ,
-32 ,
-29 ,
-28 ,
-28 ,
-27 ,
-24 ,
-26 ,
-17 ,
-25 ,
-11 ,
-19 ,
-9  ,
-9  ,
-6  ,
-3  ,
2 ,
0 ,
10  ,
5 ,
13  ,
12  ,
16  ,
16  ,
20  ,
17  ,
24  ,
20  ,
24  ,
23  ,
24  ,
25  ,
24  ,
25  ,
24  ,
24  ,
24  ,
22  ,
25  ,
21  ,
24  ,
21  ,
23  ,
22  ,
20  ,
24  ,
17  ,
26  ,
13  ,
25  ,
13  ,
21  ,
15  ,
17  ,
14  ,
16  ,
11  ,
15  ,
9 ,
12  ,
10  ,
7 ,
11  ,
4 ,
9 ,
3 ,
6 ,
2 ,
4 ,
-2  ,
3 ,
-5  ,
-1  ,
-6  ,
-8  ,
-6  ,
-13 ,
-11 ,
-12 ,
-18 ,
-14 ,
-19 ,
-20 ,
-19 ,
-21 ,
-22 ,
-23 ,
-22 ,
-23 ,
-25 ,
-21 ,
-28 ,
-22 ,
-25 ,
-27 ,
-23 ,
-28 ,
-25 ,
-26 ,
-27 ,
-25 ,
-28 ,
-26 ,
-29 ,
-25 ,
-29 ,
-27 ,
-27 ,
-30 ,
-26 ,
-29 ,
-29 ,
-27 ,
-31 ,
-27 ,
-29 ,
-29 ,
-28 ,
-30 ,
-27 ,
-32 ,
-25 ,
-33 ,
-25 ,
-32 ,
-27 ,
-31 ,
-28 ,
-30 ,
-28 ,
-30 ,
-24 ,
-32 ,
-21 ,
-29 ,
-21 ,
-22 ,
-20 ,
-16 ,
-19 ,
-9  ,
-16 ,
-5  ,
-8  ,
-3  ,
-3  ,
2 ,
0 ,
6 ,
5 ,
5 ,
11  ,
6 ,
15  ,
8 ,
15  ,
11  ,
17  ,
13  ,
18  ,
16  ,
18  ,
20  ,
18  ,
22  ,
19  ,
26  ,
20  ,
29  ,
22  ,
30  ,
26  ,
28  ,
30  ,
27  ,
32  ,
27  ,
31  ,
26  ,
31  ,
25  ,
28  ,
27  ,
25  ,
29  ,
23  ,
28  ,
26  ,
26  ,
28  ,
27  ,
27  ,
32  ,
23  ,
33  ,
25  ,
27  ,
31  ,
21  ,
30  ,
23  ,
24  ,
27  ,
18  ,
26  ,
18  ,
21  ,
19  ,
15  ,
19  ,
12  ,
16  ,
10  ,
12  ,
9 ,
9 ,
5 ,
7 ,
1 ,
5 ,
0 ,
0 ,
-1  ,
-4  ,
-5  ,
-3  ,
-10 ,
-3  ,
-14 ,
-5  ,
-15 ,
-7  ,
-16 ,
-10 ,
-15 ,
-11 ,
-17 ,
-11 ,
-18 ,
-11 ,
-16 ,
-13 ,
-15 ,
-14 ,
-14 ,
-14 ,
-16 ,
-12 ,
-18 ,
-15 ,
-17 ,
-17 ,
-17 ,
-18 ,
-19 ,
-19 ,
-18 ,
-20 ,
-18 ,
-18 ,
-19 ,
-17 ,
-18 ,
-18 ,
-14 ,
-18 ,
-14 ,
-15 ,
-13 ,
-14 ,
-11 ,
-12 ,
-11 ,
-8  ,
-10 ,
-6  ,
-8  ,
-3  ,
-7  ,
-1  ,
-2  ,
-2  ,
2 ,
1 ,
1 ,
7 ,
-1  ,
11  ,
2 ,
11  ,
7 ,
10  ,
11  ,
11  ,
14  ,
14  ,
16  ,
17  ,
17  ,
20  ,
17  ,
23  ,
16  ,
24  ,
16  ,
21  ,
19  ,
17  ,
19  ,
15  ,
17  ,
15  ,
16  ,
15  ,
13  ,
17  ,
12  ,
15  ,
15  ,
11  ,
16  ,
12  ,
14  ,
12  ,
13  ,
11  ,
12  ,
10  ,
12  ,
9 ,
11  ,
10  ,
9 ,
11  ,
10  ,
12  ,
12  ,
11  ,
15  ,
11  ,
17  ,
14  ,
16  ,
18  ,
16  ,
18  ,
19  ,
16  ,
21  ,
18  ,
17  ,
22  ,
15  ,
19  ,
18  ,
14  ,
18  ,
12  ,
16  ,
10  ,
13  ,
7 ,
11  ,
6 ,
5 ,
7 ,
2 ,
2 ,
3 ,
-3  ,
1 ,
-4  ,
-5  ,
-4  ,
-9  ,
-7  ,
-11 ,
-13 ,
-10 ,
-18 ,
-13 ,
-19 ,
-18 ,
-17 ,
-22 ,
-17 ,
-24 ,
-17 ,
-24 ,
-18 ,
-21 ,
-20 ,
-18 ,
-21 ,
-18 ,
-15 ,
-20 ,
-11 ,
-19 ,
-10 ,
-15 ,
-10 ,
-13 ,
-7  ,
-10 ,
-8  ,
-8  ,
-7  ,
-6  ,
-5  ,
-7  ,
-3  ,
-6  ,
-2  ,
-4  ,
-2  ,
0 ,
-1  ,
2 ,
4 ,
2 ,
11  ,
5 ,
12  ,
10  ,
14  ,
13  ,
16  ,
14  ,
16  ,
15  ,
17  ,
14  ,
15  ,
16  ,
10  ,
18  ,
8 ,
16  ,
9 ,
12  ,
12  ,
10  ,
13  ,
9 ,
12  ,
11  ,
12  ,
11  ,
11  ,
10  ,
11  ,
9 ,
12  ,
9 ,
11  ,
10  ,
11  ,
11  ,
11  ,
11  ,
13  ,
13  ,
13  ,
12  ,
16  ,
12  ,
17  ,
13  ,
17  ,
16  ,
17  ,
18  ,
16  ,
21  ,
17  ,
19  ,
20  ,
17  ,
20  ,
18  ,
16  ,
19  ,
15  ,
15  ,
16  ,
9 ,
17  ,
6 ,
13  ,
7 ,
6 ,
9 ,
2 ,
6 ,
2 ,
1 ,
1 ,
-3  ,
0 ,
-7  ,
-2  ,
-10 ,
-7  ,
-10 ,
-13 ,
-11 ,
-17 ,
-14 ,
-17 ,
-17 ,
-18 ,
-19 ,
-19 ,
-18 ,
-19 ,
-19 ,
-19 ,
-17 ,
-19 ,
-15 ,
-18 ,
-13 ,
-17 ,
-12 ,
-14 ,
-12 ,
-10 ,
-12 ,
-9  ,
-11 ,
-6  ,
-10 ,
-6  ,
-7  ,
-9  ,
-3  ,
-10 ,
-3  ,
-8  ,
-5  ,
-4  ,
-7  ,
-3  ,
-7  ,
-3  ,
-6  ,
-2  ,
-8  ,
-1  ,
-10 ,
-1  ,
-9  ,
-4  ,
-8  ,
-9  ,
-7  ,
-12 ,
-8  ,
-13 ,
-12 ,
-13 ,
-13 ,
-16 ,
-13 ,
-16 ,
-14 ,
-13 ,
-16 ,
-10 ,
-15 ,
-9  ,
-12 ,
-9  ,
-10 ,
-6  ,
-8  ,
-6  ,
-5  ,
-3  ,
-5  ,
-1  ,
-2  ,
0 ,
2 ,
1 ,
4 ,
3 ,
7 ,
4 ,
7 ,
8 ,
8 ,
8 ,
11  ,
6 ,
13  ,
7 ,
11  ,
9 ,
9 ,
9 ,
7 ,
11  ,
4 ,
9 ,
5 ,
4 ,
7 ,
0 ,
5 ,
-1  ,
3 ,
-1  ,
0 ,
-2  ,
-1  ,
-2  ,
-3  ,
-1  ,
-7  ,
1 ,
-7  ,
-1  ,
-5  ,
-5  ,
-1  ,
-7  ,
-2  ,
-6  ,
-4  ,
-4  ,
-8  ,
-3  ,
-10 ,
-4  ,
-9  ,
-10 ,
-7  ,
-11 ,
-11 ,
-9  ,
-15 ,
-10 ,
-15 ,
-11 ,
-17 ,
-10 ,
-21 ,
-8  ,
-22 ,
-12 ,
-18 ,
-17 ,
-16 ,
-19 ,
-18 ,
-17 ,
-21 ,
-18 ,
-19 ,
-21 ,
-17 ,
-21 ,
-21 ,
-17 ,
-23 ,
-17 ,
-19 ,
-21 ,
-16 ,
-21 ,
-14 ,
-17 ,
-14 ,
-15 ,
-12 ,
-14 ,
-9  ,
-13 ,
-10 ,
-9  ,
-13 ,
-5  ,
-17 ,
-5  ,
-17 ,
-9  ,
-14 ,
-14 ,
-14 ,
-15 ,
-18 ,
-14 ,
-17 ,
-18 ,
-14 ,
-21 ,
-14 ,
-18 ,
-17 ,
-15 ,
-17 ,
-15 ,
-13 ,
-16 ,
-11 ,
-16 ,
-9  ,
-13 ,
-9  ,
-11 ,
-9  ,
-8  ,
-8  ,
-5  ,
-7  ,
-3  ,
-5  ,
-1  ,
-2  ,
1 ,
0 ,
2 ,
1 ,
5 ,
2 ,
7 ,
3 ,
8 ,
6 ,
9 ,
7 ,
10  ,
9 ,
8 ,
11  ,
9 ,
9 ,
11  ,
7 ,
9 ,
10  ,
7 ,
11  ,
6 ,
10  ,
9 ,
8 ,
13  ,
8 ,
13  ,
12  ,
12  ,
15  ,
12  ,
17  ,
13  ,
16  ,
17  ,
12  ,
19  ,
12  ,
17  ,
13  ,
17  ,
12  ,
16  ,
12  ,
14  ,
13  ,
13  ,
12  ,
12  ,
12  ,
12  ,
8 ,
12  ,
7 ,
8 ,
8 ,
4 ,
7 ,
3 ,
4 ,
2 ,
3 ,
0 ,
2 ,
-1  ,
0 ,
-1  ,
-1  ,
-2  ,
-1  ,
-2  ,
-2  ,
0 ,
-3  ,
0 ,
0 ,
-1  ,
2 ,
-1  ,
2 ,
2 ,
1 ,
5 ,
0 ,
4 ,
2 ,
0 ,
5 ,
-1  ,
1 ,
0 ,
-3  ,
-2  ,
-3  ,
-5  ,
-5  ,
-6  ,
-6  ,
-8  ,
-5  ,
-10 ,
-6  ,
-8  ,
-9  ,
-6  ,
-10 ,
-8  ,
-8  ,
-8  ,
-10 ,
-7  ,
-10 ,
-6  ,
-10 ,
-5  ,
-11 ,
-3  ,
-8  ,
-5  ,
-3  ,
-5  ,
-1  ,
-2  ,
-2  ,
0 ,
1 ,
0 ,
5 ,
-1  ,
7 ,
1 ,
7 ,
5 ,
7 ,
8 ,
8 ,
8 ,
10  ,
9 ,
11  ,
10  ,
10  ,
11  ,
9 ,
11  ,
10  ,
10  ,
9 ,
11  ,
6 ,
13  ,
5 ,
11  ,
8 ,
8 ,
9 ,
6 ,
8 ,
8 ,
5 ,
7 ,
6 ,
4 ,
7 ,
3 ,
4 ,
5 ,
4 ,
4 ,
4 ,
6 ,
4 ,
8 ,
7 ,
7 ,
11  ,
7 ,
14  ,
11  ,
13  ,
14  ,
14  ,
16  ,
17  ,
20  ,
16  ,
25  ,
19  ,
25  ,
25  ,
24  ,
28  ,
25  ,
28  ,
29  ,
25  ,
31  ,
27  ,
27  ,
29  ,
25  ,
29  ,
26  ,
25  ,
25  ,
25  ,
21  ,
24  ,
18  ,
20  ,
15  ,
17  ,
10  ,
13  ,
6 ,
6 ,
5 ,
-1  ,
1 ,
-5  ,
-4  ,
-9  ,
-8  ,
-11 ,
-11 ,
-14 ,
-13 ,
-17 ,
-12 ,
-19 ,
-15 ,
-18 ,
-18 ,
-15 ,
-21 ,
-15 ,
-21 ,
-16 ,
-19 ,
-15 ,
-18 ,
-12 ,
-18 ,
-11 ,
-14 ,
-10 ,
-10 ,
-7  ,
-10 ,
-3  ,
-7  ,
-2  ,
-4  ,
0 ,
-4  ,
4 ,
-4  ,
6 ,
-2  ,
5 ,
3 ,
2 ,
8 ,
1 ,
7 ,
3 ,
6 ,
5 ,
6 ,
3 ,
6 ,
3 ,
4 ,
5 ,
0 ,
6 ,
0 ,
4 ,
2 ,
1 ,
5 ,
1 ,
6 ,
0 ,
7 ,
0 ,
7 ,
2 ,
5 ,
2 ,
6 ,
1 ,
7 ,
1 ,
5 ,
3 ,
4 ,
5 ,
4 ,
5 ,
5 ,
7 ,
6 ,
9 ,
8 ,
9 ,
11  ,
9 ,
14  ,
13  ,
14  ,
17  ,
16  ,
18  ,
20  ,
20  ,
21  ,
23  ,
22  ,
23  ,
24  ,
21  ,
26  ,
21  ,
26  ,
21  ,
24  ,
22  ,
23  ,
23  ,
19  ,
26  ,
15  ,
25  ,
14  ,
22  ,
13  ,
17  ,
12  ,
12  ,
10  ,
8 ,
5 ,
3 ,
2 ,
-2  ,
-3  ,
-5  ,
-10 ,
-7  ,
-13 ,
-13 ,
-16 ,
-17 ,
-16 ,
-22 ,
-17 ,
-24 ,
-20 ,
-23 ,
-24 ,
-22 ,
-23 ,
-23 ,
-22 ,
-23 ,
-21 ,
-22 ,
-17 ,
-24 ,
-13 ,
-21 ,
-15 ,
-16 ,
-15 ,
-15 ,
-12 ,
-15 ,
-11 ,
-14 ,
-12 ,
-11 ,
-15 ,
-10 ,
-14 ,
-12 ,
-11 ,
-15 ,
-11 ,
-14 ,
-13 ,
-15 ,
-14 ,
-16 ,
-15 ,
-19 ,
-17 ,
-22 ,
-18 ,
-24 ,
-22 ,
-24 ,
-25 ,
-25 ,
-25 ,
-27 ,
-24 ,
-24 ,
-25 ,
-21 ,
-25 ,
-19 ,
-21 ,
-19 ,
-19 ,
-16 ,
-18 ,
-12 ,
-15 ,
-11 ,
-10 ,
-11 ,
-3  ,
-10 ,
1 ,
-5  ,
2 ,
0 ,
5 ,
4 ,
8 ,
7 ,
10  ,
9 ,
15  ,
9 ,
17  ,
12  ,
16  ,
15  ,
17  ,
17  ,
17  ,
19  ,
15  ,
23  ,
16  ,
21  ,
18  ,
19  ,
21  ,
19  ,
19  ,
20  ,
19  ,
21  ,
19  ,
18  ,
20  ,
18  ,
20  ,
16  ,
19  ,
16  ,
19  ,
15  ,
16  ,
15  ,
14  ,
12  ,
13  ,
9 ,
10  ,
7 ,
5 ,
5 ,
2 ,
2 ,
-2  ,
-2  ,
-5  ,
-7  ,
-6  ,
-12 ,
-9  ,
-15 ,
-13 ,
-17 ,
-17 ,
-18 ,
-22 ,
-17 ,
-28 ,
-16 ,
-30 ,
-20 ,
-28 ,
-25 ,
-26 ,
-27 ,
-27 ,
-29 ,
-25 ,
-32 ,
-23 ,
-31 ,
-27 ,
-27 ,
-29 ,
-24 ,
-29 ,
-24 ,
-27 ,
-25 ,
-24 ,
-24 ,
-24 ,
-21 ,
-27 ,
-18 ,
-26 ,
-20 ,
-24 ,
-23 ,
-23 ,
-24 ,
-23 ,
-25 ,
-24 ,
-24 ,
-24 ,
-24 ,
-24 ,
-24 ,
-23 ,
-24 ,
-23 ,
-23 ,
-25 ,
-19 ,
-28 ,
-18 ,
-24 ,
-21 ,
-20 ,
-20 ,
-19 ,
-18 ,
-15 ,
-17 ,
-13 ,
-12 ,
-12 ,
-9  ,
-8  ,
-10 ,
-4  ,
-6  ,
-4  ,
-2  ,
-2  ,
1 ,
3 ,
4 ,
4 ,
8 ,
9 ,
9 ,
16  ,
8 ,
18  ,
15  ,
18  ,
18  ,
21  ,
18  ,
24  ,
18  ,
24  ,
20  ,
23  ,
22  ,
22  ,
23  ,
23  ,
23  ,
25  ,
24  ,
27  ,
25  ,
29  ,
24  ,
31  ,
24  ,
30  ,
24  ,
28  ,
23  ,
27  ,
21  ,
24  ,
19  ,
21  ,
20  ,
17  ,
19  ,
15  ,
15  ,
17  ,
14  ,
13  ,
14  ,
11  ,
14  ,
11  ,
10  ,
10  ,
9 ,
9 ,
8 ,
7 ,
4 ,
9 ,
-2  ,
10  ,
-4  ,
5 ,
0 ,
-1  ,
1 ,
-3  ,
-3  ,
-4  ,
-3  ,
-7  ,
-4  ,
-9  ,
-6  ,
-9  ,
-6  ,
-13 ,
-4  ,
-15 ,
-8  ,
-11 ,
-14 ,
-10 ,
-16 ,
-12 ,
-16 ,
-12 ,
-19 ,
-13 ,
-19 ,
-15 ,
-19 ,
-17 ,
-20 ,
-17 ,
-22 ,
-17 ,
-25 ,
-17 ,
-24 ,
-19 ,
-22 ,
-22 ,
-19 ,
-22 ,
-18 ,
-20 ,
-17 ,
-19 ,
-14 ,
-19 ,
-11 ,
-18 ,
-10 ,
-15 ,
-10 ,
-11 ,
-11 ,
-8  ,
-10 ,
-4  ,
-9  ,
-1  ,
-6  ,
2 ,
-2  ,
5 ,
2 ,
10  ,
5 ,
14  ,
8 ,
18  ,
11  ,
20  ,
13  ,
21  ,
16  ,
20  ,
19  ,
21  ,
20  ,
23  ,
20  ,
24  ,
22  ,
24  ,
27  ,
20  ,
31  ,
19  ,
31  ,
20  ,
28  ,
19  ,
26  ,
19  ,
20  ,
20  ,
16  ,
16  ,
17  ,
11  ,
15  ,
10  ,
11  ,
12  ,
7 ,
13  ,
6 ,
9 ,
10  ,
6 ,
11  ,
7 ,
9 ,
10  ,
9 ,
12  ,
10  ,
14  ,
13  ,
16  ,
15  ,
18  ,
18  ,
21  ,
20  ,
23  ,
22  ,
24  ,
24  ,
25  ,
24  ,
27  ,
24  ,
27  ,
25  ,
25  ,
27  ,
22  ,
27  ,
22  ,
24  ,
22  ,
21  ,
18  ,
21  ,
12  ,
18  ,
8 ,
12  ,
5 ,
5 ,
2 ,
-1  ,
-3  ,
-5  ,
-10 ,
-8  ,
-12 ,
-15 ,
-13 ,
-20 ,
-15 ,
-21 ,
-19 ,
-21 ,
-22 ,
-20 ,
-23 ,
-22 ,
-23 ,
-24 ,
-22 ,
-24 ,
-20 ,
-26 ,
-19 ,
-26 ,
-17 ,
-23 ,
-18 ,
-19 ,
-18 ,
-14 ,
-15 ,
-12 ,
-9  ,
-10 ,
-5  ,
-4  ,
-2  ,
0 ,
3 ,
2 ,
7 ,
6 ,
8 ,
9 ,
10  ,
10  ,
13  ,
9 ,
16  ,
11  ,
15  ,
13  ,
16  ,
14  ,
20  ,
13  ,
20  ,
15  ,
20  ,
16  ,
19  ,
15  ,
17  ,
16  ,
15  ,
15  ,
13  ,
14  ,
12  ,
12  ,
12  ,
9 ,
11  ,
9 ,
8 ,
10  ,
8 ,
7 ,
8 ,
6 ,
6 ,
7 ,
5 ,
5 ,
7 ,
3 ,
8 ,
5 ,
8 ,
8 ,
8 ,
11  ,
10  ,
12  ,
13  ,
12  ,
17  ,
12  ,
16  ,
16  ,
13  ,
19  ,
12  ,
19  ,
13  ,
17  ,
15  ,
17  ,
16  ,
16  ,
16  ,
16  ,
19  ,
13  ,
18  ,
13  ,
15  ,
14  ,
12  ,
10  ,
11  ,
8 ,
9 ,
5 ,
4 ,
2 ,
1 ,
-1  ,
-3  ,
-6  ,
-7  ,
-10 ,
-10 ,
-15 ,
-12 ,
-21 ,
-15 ,
-22 ,
-23 ,
-20 ,
-27 ,
-23 ,
-26 ,
-27 ,
-26 ,
-26 ,
-28 ,
-25 ,
-27 ,
-26 ,
-24 ,
-27 ,
-22 ,
-25 ,
-23 ,
-21 ,
-24 ,
-19 ,
-22 ,
-18 ,
-18 ,
-18 ,
-16 ,
-16 ,
-14 ,
-13 ,
-14 ,
-10 ,
-13 ,
-9  ,
-10 ,
-9  ,
-7  ,
-10 ,
-5  ,
-10 ,
-5  ,
-9  ,
-7  ,
-6  ,
-9  ,
-6  ,
-10 ,
-5  ,
-10 ,
-6  ,
-12 ,
-5  ,
-14 ,
-3  ,
-16 ,
-6  ,
-12 ,
-10 ,
-8  ,
-13 ,
-7  ,
-13 ,
-7  ,
-12 ,
-8  ,
-10 ,
-8  ,
-10 ,
-6  ,
-9  ,
-4  ,
-7  ,
-3  ,
-4  ,
-2  ,
0 ,
-1  ,
3 ,
3 ,
3 ,
7 ,
4 ,
8 ,
8 ,
7 ,
9 ,
9 ,
7 ,
10  ,
7 ,
8 ,
7 ,
9 ,
3 ,
10  ,
4 ,
7 ,
8 ,
5 ,
7 ,
7 ,
7 ,
6 ,
8 ,
5 ,
5 ,
7 ,
3 ,
5 ,
4 ,
2 ,
5 ,
2 ,
3 ,
3 ,
2 ,
2 ,
3 ,
1 ,
1 ,
2 ,
-2  ,
1 ,
-2  ,
-2  ,
-3  ,
-5  ,
-3  ,
-8  ,
-5  ,
-9  ,
-9  ,
-10 ,
-12 ,
-13 ,
-15 ,
-14 ,
-17 ,
-17 ,
-18 ,
-21 ,
-20 ,
-20 ,
-24 ,
-20 ,
-25 ,
-22 ,
-25 ,
-21 ,
-26 ,
-20 ,
-25 ,
-20 ,
-23 ,
-21 ,
-21 ,
-19 ,
-21 ,
-18 ,
-20 ,
-18 ,
-17 ,
-19 ,
-16 ,
-18 ,
-15 ,
-18 ,
-15 ,
-17 ,
-15 ,
-13 ,
-17 ,
-10 ,
-16 ,
-8  ,
-14 ,
-9  ,
-10 ,
-10 ,
-7  ,
-11 ,
-7  ,
-10 ,
-10 ,
-8  ,
-13 ,
-8  ,
-11 ,
-12 ,
-9  ,
-13 ,
-9  ,
-12 ,
-9  ,
-11 ,
-9  ,
-10 ,
-9  ,
-8  ,
-9  ,
-6  ,
-8  ,
-5  ,
-5  ,
-6  ,
-3  ,
-4  ,
-2  ,
-2  ,
-1  ,
-2  ,
0 ,
-2  ,
3 ,
-2  ,
2 ,
1 ,
1 ,
4 ,
0 ,
4 ,
2 ,
4 ,
4 ,
2 ,
5 ,
3 ,
6 ,
4 ,
5 ,
5 ,
5 ,
5 ,
7 ,
4 ,
9 ,
4 ,
8 ,
7 ,
7 ,
10  ,
5 ,
12  ,
4 ,
12  ,
5 ,
10  ,
7 ,
6 ,
10  ,
2 ,
10  ,
3 ,
6 ,
6 ,
4 ,
5 ,
6 ,
3 ,
8 ,
2 ,
8 ,
5 ,
7 ,
4 ,
9 ,
4 ,
11  ,
5 ,
8 ,
7 ,
10  ,
7 ,
9 ,
7 ,
9 ,
8 ,
9 ,
7 ,
8 ,
8 ,
8 ,
8 ,
7 ,
8 ,
6 ,
7 ,
6 ,
6 ,
3 ,
7 ,
0 ,
7 ,
-1  ,
4 ,
1 ,
1 ,
1 ,
0 ,
1 ,
1 ,
-2  ,
0 ,
-4  ,
0 ,
-5  ,
-3  ,
-8  ,
-6  ,
-8  ,
-10 ,
-9  ,
-13 ,
-11 ,
-14 ,
-10 ,
-17 ,
-9  ,
-16 ,
-11 ,
-10 ,
-14 ,
-7  ,
-13 ,
-6  ,
-11 ,
-5  ,
-10 ,
-5  ,
-6  ,
-5  ,
-6  ,
-1  ,
-7  ,
2 ,
-3  ,
0 ,
1 ,
0 ,
2 ,
4 ,
0 ,
7 ,
1 ,
8 ,
2 ,
7 ,
4 ,
5 ,
9 ,
3 ,
9 ,
5 ,
7 ,
9 ,
7 ,
9 ,
6 ,
10  ,
8 ,
8 ,
8 ,
6 ,
9 ,
5 ,
7 ,
4 ,
6 ,
1 ,
7 ,
0 ,
4 ,
1 ,
2 ,
-2  ,
4 ,
-3  ,
1 ,
0 ,
-4  ,
2 ,
-5  ,
0 ,
-4  ,
-1  ,
-5  ,
1 ,
-4  ,
-1  ,
1 ,
-3  ,
6 ,
-1  ,
8 ,
5 ,
8 ,
12  ,
12  ,
14  ,
17  ,
18  ,
20  ,
23  ,
22  ,
26  ,
26  ,
29  ,
30  ,
31  ,
33  ,
33  ,
36  ,
34  ,
37  ,
35  ,
37  ,
36  ,
34  ,
35  ,
34  ,
34  ,
29  ,
34  ,
25  ,
30  ,
25  ,
23  ,
21  ,
21  ,
15  ,
17  ,
12  ,
9 ,
10  ,
3 ,
6 ,
-2  ,
1 ,
-5  ,
-5  ,
-7  ,
-9  ,
-9  ,
-14 ,
-11 ,
-15 ,
-15 ,
-14 ,
-18 ,
-14 ,
-19 ,
-15 ,
-17 ,
-16 ,
-13 ,
-18 ,
-10 ,
-14 ,
-10 ,
-9  ,
-9  ,
-5  ,
-5  ,
-3  ,
-1  ,
-1  ,
2 ,
0 ,
4 ,
3 ,
4 ,
6 ,
4 ,
6 ,
5 ,
8 ,
5 ,
8 ,
8 ,
6 ,
11  ,
4 ,
12  ,
4 ,
13  ,
4 ,
12  ,
4 ,
10  ,
5 ,
9 ,
4 ,
10  ,
0 ,
10  ,
-1  ,
7 ,
1 ,
2 ,
2 ,
-1  ,
2 ,
-3  ,
0 ,
-4  ,
-1  ,
-5  ,
-1  ,
-6  ,
-2  ,
-4  ,
-3  ,
-3  ,
-1  ,
-3  ,
2 ,
-1  ,
3 ,
2 ,
5 ,
4 ,
7 ,
8 ,
8 ,
10  ,
10  ,
11  ,
12  ,
13  ,
13  ,
15  ,
13  ,
17  ,
15  ,
18  ,
19  ,
15  ,
24  ,
17  ,
23  ,
22  ,
20  ,
25  ,
21  ,
24  ,
23  ,
22  ,
24  ,
21  ,
23  ,
23  ,
20  ,
22  ,
19  ,
21  ,
17  ,
20  ,
13  ,
15  ,
13  ,
9 ,
11  ,
6 ,
3 ,
4 ,
-1  ,
0 ,
-3  ,
-6  ,
-5  ,
-8  ,
-8  ,
-10 ,
-11 ,
-11 ,
-11 ,
-14 ,
-9  ,
-16 ,
-9  ,
-15 ,
-11 ,
-13 ,
-12 ,
-14 ,
-13 ,
-13 ,
-15 ,
-13 ,
-15 ,
-15 ,
-14 ,
-16 ,
-15 ,
-16 ,
-16 ,
-16 ,
-17 ,
-15 ,
-19 ,
-14 ,
-21 ,
-14 ,
-19 ,
-17 ,
-18 ,
-19 ,
-19 ,
-18 ,
-20 ,
-21 ,
-17 ,
-24 ,
-17 ,
-22 ,
-21 ,
-19 ,
-21 ,
-19 ,
-21 ,
-19 ,
-20 ,
-19 ,
-18 ,
-20 ,
-18 ,
-21 ,
-18 ,
-21 ,
-17 ,
-21 ,
-17 ,
-21 ,
-17 ,
-19 ,
-17 ,
-17 ,
-17 ,
-14 ,
-16 ,
-12 ,
-15 ,
-10 ,
-10 ,
-10 ,
-6  ,
-8  ,
-5  ,
-4  ,
-4  ,
-2  ,
-1  ,
-1  ,
0 ,
1 ,
1 ,
3 ,
1 ,
7 ,
1 ,
8 ,
5 ,
6 ,
10  ,
6 ,
9 ,
10  ,
8 ,
11  ,
8 ,
10  ,
10  ,
10  ,
9 ,
10  ,
10  ,
10  ,
11  ,
9 ,
11  ,
10  ,
9 ,
12  ,
7 ,
11  ,
9 ,
6 ,
11  ,
3 ,
10  ,
3 ,
7 ,
4 ,
2 ,
7 ,
-4  ,
8 ,
-5  ,
5 ,
-6  ,
4 ,
-7  ,
1 ,
-5  ,
-2  ,
-6  ,
-3  ,
-8  ,
-5  ,
-8  ,
-9  ,
-10 ,
-10 ,
-12 ,
-12 ,
-15 ,
-13 ,
-17 ,
-14 ,
-20 ,
-17 ,
-20 ,
-21 ,
-21 ,
-24 ,
-24 ,
-24 ,
-28 ,
-25 ,
-29 ,
-28 ,
-28 ,
-30 ,
-29 ,
-30 ,
-30 ,
-29 ,
-31 ,
-27 ,
-30 ,
-27 ,
-27 ,
-27 ,
-23 ,
-26 ,
-22 ,
-23 ,
-23 ,
-19 ,
-24 ,
-19 ,
-22 ,
-21 ,
-21 ,
-22 ,
-20 ,
-23 ,
-19 ,
-23 ,
-18 ,
-20 ,
-19 ,
-17 ,
-17 ,
-16 ,
-14 ,
-15 ,
-11 ,
-13 ,
-10 ,
-11 ,
-7  ,
-10 ,
-7  ,
-6  ,
-7  ,
-4  ,
-4  ,
-4  ,
0 ,
-3  ,
3 ,
-1  ,
6 ,
2 ,
7 ,
5 ,
8 ,
7 ,
10  ,
9 ,
11  ,
10  ,
12  ,
12  ,
12  ,
13  ,
15  ,
13  ,
16  ,
16  ,
16  ,
20  ,
15  ,
22  ,
16  ,
22  ,
19  ,
18  ,
21  ,
16  ,
20  ,
14  ,
20  ,
12  ,
18  ,
11  ,
16  ,
12  ,
16  ,
10  ,
17  ,
10  ,
18  ,
14  ,
15  ,
17  ,
16  ,
17  ,
19  ,
17  ,
19  ,
20  ,
18  ,
20  ,
20  ,
18  ,
19  ,
20  ,
16  ,
22  ,
13  ,
20  ,
13  ,
17  ,
13  ,
13  ,
12  ,
10  ,
10  ,
7 ,
6 ,
4 ,
3 ,
2 ,
-1  ,
-2  ,
-3  ,
-6  ,
-4  ,
-10 ,
-6  ,
-11 ,
-9  ,
-10 ,
-14 ,
-10 ,
-16 ,
-14 ,
-14 ,
-17 ,
-16 ,
-19 ,
-18 ,
-20 ,
-20 ,
-21 ,
-22 ,
-22 ,
-24 ,
-22 ,
-27 ,
-21 ,
-27 ,
-22 ,
-26 ,
-21 ,
-25 ,
-19 ,
-23 ,
-19 ,
-18 ,
-19 ,
-13 ,
-18 ,
-10 ,
-14 ,
-8  ,
-10 ,
-5  ,
-4  ,
-3  ,
0 ,
1 ,
2 ,
8 ,
4 ,
11  ,
7 ,
14  ,
10  ,
16  ,
13  ,
15  ,
17  ,
15  ,
18  ,
19  ,
16  ,
21  ,
17  ,
22  ,
20  ,
20  ,
22  ,
20  ,
22  ,
21  ,
21  ,
20  ,
21  ,
18  ,
20  ,
18  ,
16  ,
21  ,
11  ,
19  ,
13  ,
14  ,
15  ,
11  ,
11  ,
14  ,
9 ,
13  ,
8 ,
14  ,
7 ,
14  ,
9 ,
11  ,
13  ,
10  ,
12  ,
11  ,
13  ,
11  ,
15  ,
12  ,
14  ,
16  ,
14  ,
19  ,
16  ,
20  ,
18  ,
23  ,
18  ,
27  ,
17  ,
28  ,
20  ,
26  ,
22  ,
26  ,
20  ,
27  ,
18  ,
26  ,
18  ,
23  ,
18  ,
21  ,
15  ,
21  ,
13  ,
17  ,
14  ,
12  ,
12  ,
10  ,
9 ,
6 ,
7 ,
2 ,
4 ,
-3  ,
0 ,
-7  ,
-4  ,
-10 ,
-11 ,
-13 ,
-16 ,
-16 ,
-21 ,
-20 ,
-25 ,
-23 ,
-29 ,
-23 ,
-33 ,
-25 ,
-31 ,
-29 ,
-28 ,
-29 ,
-26 ,
-28 ,
-24 ,
-25 ,
-21 ,
-20 ,
-17 ,
-18 ,
-10 ,
-14 ,
-5  ,
-9  ,
-2  ,
-2  ,
0 ,
3 ,
1 ,
7 ,
2 ,
10  ,
4 ,
10  ,
7 ,
10  ,
9 ,
13  ,
11  ,
13  ,
15  ,
12  ,
19  ,
13  ,
19  ,
15  ,
18  ,
16  ,
17  ,
14  ,
17  ,
12  ,
15  ,
11  ,
11  ,
11  ,
7 ,
8 ,
8 ,
3 ,
7 ,
2 ,
2 ,
5 ,
0 ,
2 ,
3 ,
-2  ,
7 ,
-3  ,
5 ,
1 ,
4 ,
3 ,
4 ,
4 ,
6 ,
4 ,
9 ,
4 ,
11  ,
6 ,
10  ,
11  ,
10  ,
12  ,
11  ,
12  ,
13  ,
12  ,
13  ,
11  ,
14  ,
10  ,
13  ,
11  ,
10  ,
13  ,
8 ,
14  ,
7 ,
13  ,
9 ,
11  ,
11  ,
9 ,
10  ,
11  ,
7 ,
12  ,
5 ,
11  ,
6 ,
8 ,
5 ,
5 ,
4 ,
3 ,
1 ,
0 ,
-1  ,
-3  ,
-3  ,
-8  ,
-7  ,
-9  ,
-12 ,
-11 ,
-17 ,
-15 ,
-19 ,
-18 ,
-22 ,
-21 ,
-23 ,
-22 ,
-24 ,
-22 ,
-24 ,
-22 ,
-22 ,
-23 ,
-20 ,
-22 ,
-19 ,
-18 ,
-21 ,
-15 ,
-18 ,
-15 ,
-15 ,
-17 ,
-12 ,
-15 ,
-13 ,
-14 ,
-15 ,
-11 ,
-16 ,
-11 ,
-15 ,
-12 ,
-12 ,
-12 ,
-11 ,
-11 ,
-8  ,
-9  ,
-8  ,
-7  ,
-8  ,
-5  ,
-5  ,
-7  ,
-5  ,
-7  ,
-3  ,
-8  ,
-3  ,
-8  ,
-5  ,
-5  ,
-7  ,
-4  ,
-7  ,
-4  ,
-7  ,
-4  ,
-5  ,
-5  ,
-2  ,
-7  ,
0 ,
-7  ,
0 ,
-5  ,
-2  ,
-3  ,
-2  ,
-2  ,
-1  ,
-3  ,
2 ,
-3  ,
2 ,
2 ,
-1  ,
5 ,
-1  ,
6 ,
1 ,
7 ,
2 ,
6 ,
3 ,
6 ,
4 ,
6 ,
4 ,
3 ,
6 ,
2 ,
5 ,
2 ,
3 ,
2 ,
4 ,
0 ,
5 ,
-1  ,
5 ,
-2  ,
5 ,
-3  ,
5 ,
-2  ,
3 ,
0 ,
1 ,
0 ,
3 ,
-2  ,
5 ,
-3  ,
3 ,
-1  ,
0 ,
0 ,
-2  ,
-3  ,
-2  ,
-4  ,
-4  ,
-6  ,
-7  ,
-7  ,
-9  ,
-6  ,
-13 ,
-7  ,
-15 ,
-8  ,
-14 ,
-8  ,
-15 ,
-7  ,
-16 ,
-6  ,
-14 ,
-9  ,
-11 ,
-12 ,
-8  ,
-13 ,
-10 ,
-12 ,
-12 ,
-12 ,
-13 ,
-12 ,
-15 ,
-12 ,
-16 ,
-14 ,
-17 ,
-15 ,
-18 ,
-16 ,
-18 ,
-16 ,
-19 ,
-15 ,
-18 ,
-15 ,
-15 ,
-15 ,
-12 ,
-14 ,
-10 ,
-12 ,
-10 ,
-8  ,
-9  ,
-8  ,
-7  ,
-8  ,
-6  ,
-7  ,
-6  ,
-7  ,
-5  ,
-8  ,
-5  ,
-9  ,
-3  ,
-9  ,
-4  ,
-7  ,
-5  ,
-5  ,
-5  ,
-2  ,
-4  ,
1 ,
-4  ,
3 ,
-2  ,
4 ,
0 ,
5 ,
1 ,
6 ,
2 ,
6 ,
4 ,
4 ,
6 ,
4 ,
7 ,
4 ,
9 ,
3 ,
9 ,
5 ,
6 ,
9 ,
5 ,
9 ,
5 ,
8 ,
6 ,
9 ,
5 ,
9 ,
6 ,
8 ,
8 ,
6 ,
11  ,
5 ,
11  ,
7 ,
8 ,
11  ,
7 ,
10  ,
9 ,
9 ,
9 ,
11  ,
6 ,
12  ,
6 ,
10  ,
8 ,
7 ,
8 ,
7 ,
7 ,
6 ,
6 ,
7 ,
4 ,
9 ,
1 ,
10  ,
2 ,
8 ,
6 ,
7 ,
8 ,
8 ,
10  ,
9 ,
11  ,
13  ,
10  ,
17  ,
11  ,
16  ,
15  ,
15  ,
15  ,
16  ,
14  ,
16  ,
12  ,
16  ,
9 ,
15  ,
8 ,
11  ,
7 ,
10  ,
5 ,
9 ,
4 ,
7 ,
5 ,
5 ,
5 ,
4 ,
4 ,
4 ,
1 ,
4 ,
-1  ,
2 ,
-3  ,
-2  ,
-3  ,
-5  ,
-5  ,
-8  ,
-9  ,
-9  ,
-11 ,
-10 ,
-14 ,
-12 ,
-15 ,
-11 ,
-16 ,
-12 ,
-14 ,
-13 ,
-11 ,
-13 ,
-10 ,
-10 ,
-10 ,
-7  ,
-10 ,
-4  ,
-9  ,
-3  ,
-7  ,
-3  ,
-4  ,
-4  ,
-2  ,
-3  ,
1 ,
-2  ,
3 ,
0 ,
4 ,
4 ,
5 ,
6 ,
6 ,
6 ,
6 ,
10  ,
3 ,
10  ,
5 ,
5 ,
9 ,
1 ,
8 ,
2 ,
6 ,
2 ,
5 ,
-1  ,
6 ,
-2  ,
6 ,
-4  ,
4 ,
-2  ,
1 ,
-1  ,
-1  ,
-3  ,
1 ,
-4  ,
-2  ,
-2  ,
-5  ,
0 ,
-7  ,
-2  ,
-6  ,
-4  ,
-4  ,
-7  ,
-4  ,
-7  ,
-4  ,
-7  ,
-2  ,
-7  ,
-1  ,
-3  ,
-1  ,
4 ,
0 ,
6 ,
7 ,
7 ,
13  ,
11  ,
14  ,
16  ,
16  ,
19  ,
19  ,
20  ,
22  ,
22  ,
22  ,
25  ,
22  ,
26  ,
24  ,
25  ,
26  ,
24  ,
27  ,
24  ,
28  ,
24  ,
27  ,
25  ,
26  ,
24  ,
28  ,
20  ,
28  ,
18  ,
24  ,
18  ,
17  ,
17  ,
11  ,
15  ,
7 ,
7 ,
5 ,
1 ,
0 ,
-2  ,
-7  ,
-5  ,
-9  ,
-11 ,
-10 ,
-14 ,
-12 ,
-14 ,
-14 ,
-13 ,
-16 ,
-11 ,
-15 ,
-10 ,
-13 ,
-10 ,
-12 ,
-7  ,
-11 ,
-7  ,
-8  ,
-6  ,
-7  ,
-3  ,
-6  ,
-2  ,
-3  ,
0 ,
-2  ,
1 ,
0 ,
3 ,
1 ,
3 ,
0 ,
5 ,
1 ,
4 ,
1 ,
3 ,
2 ,
2 ,
2 ,
2 ,
1 ,
1 ,
1 ,
0 ,
0 ,
1 ,
-2  ,
-1  ,
-1  ,
-4  ,
0 ,
-6  ,
-2  ,
-7  ,
-2  ,
-9  ,
-5  ,
-7  ,
-10 ,
-5  ,
-13 ,
-7  ,
-11 ,
-11 ,
-10 ,
-10 ,
-11 ,
-9  ,
-11 ,
-7  ,
-9  ,
-8  ,
-7  ,
-6  ,
-4  ,
-4  ,
-3  ,
-2  ,
0 ,
1 ,
3 ,
3 ,
6 ,
6 ,
10  ,
8 ,
11  ,
12  ,
12  ,
16  ,
14  ,
17  ,
16  ,
19  ,
19  ,
18  ,
21  ,
18  ,
21  ,
20  ,
23  ,
18  ,
24  ,
19  ,
22  ,
23  ,
21  ,
22  ,
22  ,
21  ,
22  ,
20  ,
21  ,
18  ,
18  ,
17  ,
14  ,
15  ,
9 ,
13  ,
6 ,
9 ,
5 ,
4 ,
4 ,
1 ,
1 ,
2 ,
-2  ,
1 ,
-1  ,
-4  ,
3 ,
-7  ,
1 ,
-5  ,
-2  ,
-5  ,
-3  ,
-8  ,
-4  ,
-8  ,
-8  ,
-7  ,
-11 ,
-9  ,
-10 ,
-13 ,
-9  ,
-14 ,
-11 ,
-14 ,
-14 ,
-12 ,
-17 ,
-14 ,
-16 ,
-19 ,
-14 ,
-21 ,
-18 ,
-19 ,
-21 ,
-19 ,
-22 ,
-21 ,
-23 ,
-21 ,
-23 ,
-21 ,
-24 ,
-21 ,
-25 ,
-20 ,
-23 ,
-22 ,
-22 ,
-21 ,
-22 ,
-18 ,
-22 ,
-20 ,
-19 ,
-19 ,
-18 ,
-19 ,
-16 ,
-21 ,
-13 ,
-21 ,
-14 ,
-19 ,
-17 ,
-15 ,
-20 ,
-13 ,
-20 ,
-14 ,
-17 ,
-16 ,
-14 ,
-16 ,
-12 ,
-14 ,
-11 ,
-10 ,
-9  ,
-7  ,
-5  ,
-5  ,
-2  ,
-2  ,
0 ,
1 ,
1 ,
2 ,
4 ,
2 ,
8 ,
-1  ,
11  ,
1 ,
9 ,
5 ,
7 ,
7 ,
8 ,
8 ,
9 ,
10  ,
9 ,
12  ,
11  ,
11  ,
14  ,
9 ,
15  ,
10  ,
13  ,
11  ,
11  ,
9 ,
10  ,
9 ,
6 ,
9 ,
4 ,
8 ,
4 ,
5 ,
3 ,
6 ,
3 ,
4 ,
4 ,
2 ,
6 ,
0 ,
6 ,
0 ,
4 ,
2 ,
0 ,
4 ,
-3  ,
2 ,
-3  ,
-1  ,
-6  ,
-2  ,
-8  ,
-6  ,
-8  ,
-13 ,
-8  ,
-14 ,
-13 ,
-14 ,
-17 ,
-17 ,
-17 ,
-21 ,
-17 ,
-24 ,
-19 ,
-25 ,
-21 ,
-24 ,
-24 ,
-24 ,
-26 ,
-22 ,
-27 ,
-22 ,
-27 ,
-22 ,
-26 ,
-23 ,
-24 ,
-24 ,
-23 ,
-23 ,
-22 ,
-24 ,
-19 ,
-25 ,
-19 ,
-22 ,
-22 ,
-18 ,
-22 ,
-18 ,
-21 ,
-18 ,
-19 ,
-15 ,
-20 ,
-15 ,
-16 ,
-17 ,
-12 ,
-16 ,
-13 ,
-12 ,
-14 ,
-9  ,
-13 ,
-8  ,
-11 ,
-6  ,
-9  ,
-4  ,
-7  ,
-2  ,
-5  ,
-1  ,
-1  ,
-2  ,
3 ,
0 ,
3 ,
3 ,
3 ,
5 ,
4 ,
6 ,
5 ,
7 ,
7 ,
8 ,
7 ,
9 ,
9 ,
10  ,
10  ,
12  ,
9 ,
14  ,
11  ,
13  ,
13  ,
12  ,
14  ,
12  ,
14  ,
13  ,
14  ,
15  ,
13  ,
15  ,
14  ,
15  ,
17  ,
15  ,
18  ,
15  ,
18  ,
18  ,
18  ,
19  ,
20  ,
18  ,
24  ,
16  ,
26  ,
18  ,
25  ,
21  ,
24  ,
23  ,
24  ,
25  ,
23  ,
25  ,
24  ,
23  ,
25  ,
22  ,
25  ,
20  ,
24  ,
20  ,
21  ,
20  ,
20  ,
18  ,
21  ,
14  ,
18  ,
16  ,
14  ,
15  ,
10  ,
12  ,
9 ,
10  ,
6 ,
6 ,
3 ,
4 ,
1 ,
1 ,
-3  ,
-2  ,
-5  ,
-5  ,
-7  ,
-9  ,
-8  ,
-12 ,
-10 ,
-15 ,
-10 ,
-16 ,
-13 ,
-16 ,
-14 ,
-17 ,
-14 ,
-19 ,
-14 ,
-19 ,
-14 ,
-19 ,
-16 ,
-16 ,
-17 ,
-15 ,
-16 ,
-14 ,
-15 ,
-12 ,
-14 ,
-9  ,
-12 ,
-7  ,
-8  ,
-5  ,
-3  ,
-2  ,
-2  ,
4 ,
0 ,
7 ,
4 ,
7 ,
9 ,
9 ,
10  ,
12  ,
10  ,
15  ,
12  ,
14  ,
14  ,
14  ,
13  ,
15  ,
12  ,
12  ,
13  ,
10  ,
12  ,
8 ,
10  ,
9 ,
6 ,
10  ,
3 ,
11  ,
2 ,
8 ,
4 ,
5 ,
5 ,
3 ,
6 ,
1 ,
6 ,
-1  ,
5 ,
1 ,
2 ,
4 ,
0 ,
5 ,
1 ,
4 ,
5 ,
5 ,
6 ,
7 ,
8 ,
10  ,
10  ,
12  ,
13  ,
12  ,
15  ,
13  ,
15  ,
16  ,
14  ,
16  ,
15  ,
17  ,
14  ,
19  ,
15  ,
18  ,
19  ,
17  ,
20  ,
18  ,
20  ,
20  ,
19  ,
20  ,
18  ,
18  ,
20  ,
14  ,
20  ,
13  ,
17  ,
14  ,
13  ,
10  ,
14  ,
6 ,
14  ,
2 ,
9 ,
1 ,
3 ,
1 ,
-2  ,
-5  ,
-3  ,
-11 ,
-6  ,
-12 ,
-13 ,
-13 ,
-16 ,
-14 ,
-18 ,
-15 ,
-20 ,
-16 ,
-20 ,
-15 ,
-22 ,
-13 ,
-21 ,
-14 ,
-18 ,
-14 ,
-16 ,
-12 ,
-16 ,
-10 ,
-13 ,
-9  ,
-10 ,
-8  ,
-8  ,
-5  ,
-6  ,
-2  ,
-4  ,
0 ,
-1  ,
3 ,
1 ,
6 ,
3 ,
9 ,
5 ,
11  ,
5 ,
14  ,
5 ,
14  ,
6 ,
14  ,
6 ,
13  ,
7 ,
10  ,
9 ,
8 ,
7 ,
7 ,
8 ,
3 ,
9 ,
1 ,
7 ,
2 ,
2 ,
2 ,
1 ,
0 ,
-1  ,
-1  ,
-5  ,
0 ,
-9  ,
0 ,
-10 ,
-1  ,
-8  ,
-4  ,
-4  ,
-5  ,
-1  ,
-4  ,
-1  ,
-1  ,
-1  ,
2 ,
1 ,
2 ,
3 ,
4 ,
4 ,
6 ,
5 ,
8 ,
5 ,
11  ,
7 ,
11  ,
10  ,
10  ,
14  ,
11  ,
13  ,
13  ,
12  ,
15  ,
12  ,
13  ,
12  ,
13  ,
10  ,
15  ,
6 ,
14  ,
7 ,
10  ,
10  ,
4 ,
11  ,
3 ,
9 ,
2 ,
5 ,
2 ,
2 ,
1 ,
0 ,
-2  ,
0 ,
-5  ,
0 ,
-7  ,
0 ,
-8  ,
-2  ,
-6  ,
-4  ,
-6  ,
-4  ,
-9  ,
-3  ,
-10 ,
-5  ,
-11 ,
-7  ,
-12 ,
-8  ,
-12 ,
-12 ,
-11 ,
-15 ,
-12 ,
-12 ,
-16 ,
-10 ,
-17 ,
-11 ,
-15 ,
-12 ,
-14 ,
-12 ,
-14 ,
-12 ,
-12 ,
-13 ,
-10 ,
-13 ,
-12 ,
-9  ,
-14 ,
-9  ,
-12 ,
-11 ,
-11 ,
-10 ,
-12 ,
-9  ,
-11 ,
-11 ,
-10 ,
-9  ,
-9  ,
-8  ,
-8  ,
-8  ,
-5  ,
-7  ,
-3  ,
-7  ,
-2  ,
-5  ,
-2  ,
-4  ,
-4  ,
-2  ,
-5  ,
-3  ,
-4  ,
-6  ,
-3  ,
-7  ,
-3  ,
-8  ,
-4  ,
-8  ,
-3  ,
-8  ,
-3  ,
-8  ,
-5  ,
-6  ,
-4  ,
-7  ,
-4  ,
-8  ,
-4  ,
-6  ,
-7  ,
-5  ,
-7  ,
-5  ,
-7  ,
-5  ,
-7  ,
-5  ,
-5  ,
-5  ,
-4  ,
-5  ,
-3  ,
-4  ,
-1  ,
-5  ,
0 ,
-6  ,
1 ,
-4  ,
-1  ,
-2  ,
-1  ,
-3  ,
1 ,
-4  ,
2 ,
-2  ,
-1  ,
0 ,
-2  ,
0 ,
-1  ,
-2  ,
-1  ,
-2  ,
-2  ,
0 ,
-4  ,
0 ,
-3  ,
0 ,
-1  ,
-1  ,
0 ,
0 ,
-1  ,
2 ,
-2  ,
1 ,
-1  ,
-3  ,
0 ,
-4  ,
-3  ,
-2  ,
-6  ,
-3  ,
-6  ,
-6  ,
-6  ,
-4  ,
-9  ,
-5  ,
-9  ,
-7  ,
-8  ,
-9  ,
-9  ,
-10 ,
-11 ,
-9  ,
-13 ,
-9  ,
-13 ,
-11 ,
-12 ,
-9  ,
-14 ,
-7  ,
-14 ,
-8  ,
-11 ,
-10 ,
-9  ,
-10 ,
-10 ,
-8  ,
-12 ,
-7  ,
-10 ,
-10 ,
-7  ,
-11 ,
-8  ,
-9  ,
-7  ,
-9  ,
-6  ,
-8  ,
-7  ,
-5  ,
-8  ,
-3  ,
-8  ,
-3  ,
-6  ,
-5  ,
-2  ,
-6  ,
-2  ,
-5  ,
0 ,
-5  ,
1 ,
-3  ,
0 ,
-1  ,
0 ,
1 ,
-1  ,
3 ,
-2  ,
3 ,
0 ,
0 ,
2 ,
-2  ,
2 ,
-1  ,
-1  ,
0 ,
-2  ,
0 ,
-2  ,
-1  ,
-1  ,
-3  ,
1 ,
-3  ,
-1  ,
-1  ,
-3  ,
-1  ,
-2  ,
-3  ,
-1  ,
-2  ,
-1  ,
-2  ,
1 ,
-1  ,
2 ,
0 ,
5 ,
0 ,
7 ,
2 ,
6 ,
5 ,
6 ,
8 ,
6 ,
9 ,
8 ,
7 ,
14  ,
7 ,
13  ,
11  ,
13  ,
12  ,
16  ,
12  ,
16  ,
14  ,
16  ,
14  ,
16  ,
15  ,
16  ,
16  ,
15  ,
17  ,
14  ,
18  ,
15  ,
16  ,
17  ,
16  ,
17  ,
15  ,
18  ,
16  ,
17  ,
17  ,
16  ,
17  ,
18  ,
16  ,
17  ,
18  ,
13  ,
22  ,
10  ,
21  ,
12  ,
16  ,
14  ,
13  ,
13  ,
11  ,
12  ,
7 ,
12  ,
4 ,
9 ,
3 ,
6 ,
2 ,
3 ,
0 ,
1 ,
-2  ,
1 ,
-4  ,
-1  ,
-6  ,
-3  ,
-7  ,
-6  ,
-8  ,
-9  ,
-10 ,
-9  ,
-12 ,
-12 ,
-9  ,
-15 ,
-7  ,
-13 ,
-11 ,
-7  ,
-11 ,
-6  ,
-8  ,
-6  ,
-6  ,
-3  ,
-6  ,
0 ,
-5  ,
0 ,
-3  ,
0 ,
-2  ,
2 ,
-2  ,
2 ,
-1  ,
3 ,
-2  ,
6 ,
-4  ,
8 ,
-5  ,
7 ,
-4  ,
5 ,
-3  ,
1 ,
-2  ,
0 ,
-5  ,
2 ,
-8  ,
1 ,
-7  ,
-2  ,
-5  ,
-5  ,
-4  ,
-6  ,
-5  ,
-5  ,
-7  ,
-4  ,
-6  ,
-4  ,
-7  ,
-3  ,
-4  ,
-4  ,
-1  ,
-4  ,
-1  ,
0 ,
0 ,
-1  ,
2 ,
-1  ,
4 ,
-1  ,
6 ,
-1  ,
5 ,
3 ,
3 ,
7 ,
3 ,
8 ,
4 ,
11  ,
6 ,
11  ,
11  ,
10  ,
15  ,
12  ,
15  ,
16  ,
16  ,
18  ,
16  ,
21  ,
16  ,
23  ,
18  ,
21  ,
20  ,
21  ,
21  ,
22  ,
19  ,
22  ,
19  ,
19  ,
19  ,
17  ,
19  ,
15  ,
16  ,
13  ,
15  ,
12  ,
13  ,
11  ,
10  ,
10  ,
8 ,
8 ,
7 ,
4 ,
7 ,
0 ,
4 ,
1 ,
-3  ,
2 ,
-6  ,
-4  ,
-4  ,
-8  ,
-5  ,
-9  ,
-9  ,
-5  ,
-12 ,
-6  ,
-10 ,
-8  ,
-8  ,
-7  ,
-11 ,
-4  ,
-11 ,
-5  ,
-10 ,
-5  ,
-10 ,
-5  ,
-9  ,
-6  ,
-7  ,
-7  ,
-4  ,
-9  ,
-2  ,
-9  ,
-2  ,
-6  ,
-3  ,
-6  ,
-4  ,
-5  ,
-3  ,
-5  ,
-5  ,
-5  ,
-4  ,
-6  ,
-5  ,
-6  ,
-7  ,
-4  ,
-7  ,
-7  ,
-5  ,
-8  ,
-5  ,
-8  ,
-7  ,
-6  ,
-8  ,
-7  ,
-7  ,
-9  ,
-6  ,
-8  ,
-9  ,
-6  ,
-9  ,
-6  ,
-9  ,
-6  ,
-9  ,
-5  ,
-8  ,
-5  ,
-6  ,
-6  ,
-5  ,
-4  ,
-2  ,
-4  ,
0 ,
-3  ,
3 ,
1 ,
3 ,
3 ,
6 ,
6 ,
8 ,
10  ,
7 ,
14  ,
10  ,
15  ,
13  ,
16  ,
14  ,
18  ,
17  ,
17  ,
21  ,
16  ,
20  ,
20  ,
17  ,
22  ,
18  ,
19  ,
21  ,
16  ,
20  ,
17  ,
18  ,
19  ,
16  ,
17  ,
15  ,
18  ,
15  ,
16  ,
15  ,
16  ,
13  ,
16  ,
10  ,
15  ,
11  ,
11  ,
9 ,
8 ,
8 ,
6 ,
6 ,
4 ,
4 ,
4 ,
1 ,
2 ,
1 ,
-1  ,
2 ,
-3  ,
0 ,
-4  ,
-2  ,
-4  ,
-6  ,
-4  ,
-9  ,
-6  ,
-11 ,
-10 ,
-11 ,
-14 ,
-12 ,
-18 ,
-14 ,
-17 ,
-18 ,
-19 ,
-20 ,
-21 ,
-21 ,
-21 ,
-25 ,
-20 ,
-26 ,
-21 ,
-24 ,
-24 ,
-20 ,
-26 ,
-17 ,
-26 ,
-17 ,
-22 ,
-19 ,
-18 ,
-19 ,
-18 ,
-17 ,
-16 ,
-18 ,
-13 ,
-17 ,
-15 ,
-13 ,
-16 ,
-10 ,
-16 ,
-11 ,
-13 ,
-12 ,
-10 ,
-13 ,
-11 ,
-8  ,
-13 ,
-8  ,
-12 ,
-11 ,
-7  ,
-14 ,
-7  ,
-15 ,
-7  ,
-13 ,
-10 ,
-11 ,
-9  ,
-12 ,
-6  ,
-10 ,
-7  ,
-5  ,
-8  ,
-3  ,
-3  ,
-3  ,
-1  ,
-3  ,
2 ,
0 ,
2 ,
2 ,
1 ,
4 ,
3 ,
6 ,
2 ,
7 ,
4 ,
6 ,
8 ,
5 ,
10  ,
5 ,
12  ,
8 ,
10  ,
12  ,
10  ,
13  ,
12  ,
15  ,
12  ,
16  ,
13  ,
16  ,
14  ,
15  ,
15  ,
13  ,
14  ,
14  ,
12  ,
12  ,
13  ,
8 ,
13  ,
7 ,
10  ,
7 ,
6 ,
8 ,
1 ,
8 ,
1 ,
2 ,
3 ,
-3  ,
1 ,
-2  ,
-4  ,
-2  ,
-8  ,
-5  ,
-7  ,
-11 ,
-6  ,
-14 ,
-11 ,
-12 ,
-16 ,
-12 ,
-18 ,
-15 ,
-19 ,
-17 ,
-20 ,
-18 ,
-22 ,
-18 ,
-22 ,
-19 ,
-22 ,
-18 ,
-24 ,
-16 ,
-23 ,
-17 ,
-20 ,
-20 ,
-17 ,
-21 ,
-15 ,
-21 ,
-15 ,
-18 ,
-17 ,
-14 ,
-16 ,
-12 ,
-14 ,
-13 ,
-12 ,
-10 ,
-10 ,
-10 ,
-10 ,
-7  ,
-12 ,
-4  ,
-12 ,
-5  ,
-10 ,
-6  ,
-10 ,
-7  ,
-8  ,
-8  ,
-9  ,
-6  ,
-10 ,
-6  ,
-7  ,
-7  ,
-5  ,
-4  ,
-6  ,
0 ,
-6  ,
2 ,
-6  ,
3 ,
-3  ,
0 ,
0 ,
-3  ,
2 ,
-2  ,
-1  ,
2 ,
-5  ,
5 ,
-4  ,
4 ,
-1  ,
4 ,
2 ,
4 ,
6 ,
4 ,
10  ,
6 ,
11  ,
10  ,
12  ,
13  ,
14  ,
14  ,
16  ,
17  ,
15  ,
21  ,
14  ,
23  ,
17  ,
21  ,
20  ,
21  ,
20  ,
22  ,
18  ,
25  ,
17  ,
23  ,
18  ,
20  ,
20  ,
18  ,
20  ,
18  ,
19  ,
17  ,
19  ,
17  ,
19  ,
17  ,
18  ,
16  ,
19  ,
14  ,
17  ,
16  ,
13  ,
15  ,
11  ,
14  ,
8 ,
13  ,
5 ,
10  ,
5 ,
6 ,
5 ,
3 ,
5 ,
1 ,
2 ,
1 ,
1 ,
1 ,
-1  ,
0 ,
-3  ,
-1  ,
-3  ,
-3  ,
-4  ,
-7  ,
-3  ,
-10 ,
-3  ,
-11 ,
-7  ,
-9  ,
-10 ,
-9  ,
-12 ,
-11 ,
-10 ,
-15 ,
-9  ,
-16 ,
-12 ,
-13 ,
-16 ,
-11 ,
-17 ,
-12 ,
-14 ,
-14 ,
-11 ,
-15 ,
-10 ,
-14 ,
-7  ,
-14 ,
-8  ,
-9  ,
-9  ,
-7  ,
-5  ,
-8  ,
-2  ,
-5  ,
-2  ,
-2  ,
-1  ,
1 ,
0 ,
1 ,
3 ,
-1  ,
7 ,
-2  ,
7 ,
-1  ,
4 ,
2 ,
1 ,
5 ,
-1  ,
4 ,
1 ,
1 ,
4 ,
1 ,
4 ,
2 ,
3 ,
3 ,
5 ,
3 ,
5 ,
4 ,
3 ,
8 ,
1 ,
10  ,
1 ,
9 ,
4 ,
7 ,
8 ,
4 ,
10  ,
4 ,
8 ,
7 ,
5 ,
8 ,
6 ,
4 ,
7 ,
5 ,
6 ,
7 ,
5 ,
8 ,
7 ,
7 ,
11  ,
6 ,
14  ,
6 ,
12  ,
11  ,
9 ,
12  ,
9 ,
11  ,
9 ,
12  ,
7 ,
12  ,
9 ,
8 ,
12  ,
7 ,
12  ,
7 ,
12  ,
7 ,
12  ,
8 ,
9 ,
11  ,
7 ,
9 ,
7 ,
8 ,
5 ,
7 ,
4 ,
5 ,
4 ,
3 ,
4 ,
2 ,
5 ,
0 ,
6 ,
-1  ,
8 ,
-3  ,
7 ,
-1  ,
2 ,
2 ,
-2  ,
1 ,
-1  ,
-2  ,
0 ,
-5  ,
1 ,
-6  ,
0 ,
-4  ,
-3  ,
-1  ,
-5  ,
-1  ,
-4  ,
-1  ,
-3  ,
-1  ,
-1  ,
-2  ,
2 ,
-1  ,
1 ,
3 ,
-1  ,
6 ,
1 ,
4 ,
4 ,
2 ,
5 ,
3 ,
4 ,
1 ,
6 ,
-2  ,
5 ,
-3  ,
1 ,
1 ,
-3  ,
2 ,
-5  ,
2 ,
-2  ,
-1  ,
0 ,
-1  ,
2 ,
-1  ,
2 ,
-1  ,
3 ,
1 ,
1 ,
2 ,
0 ,
3 ,
1 ,
3 ,
0 ,
5 ,
0 ,
4 ,
2 ,
1 ,
4 ,
1 ,
3 ,
1 ,
1 ,
3 ,
1 ,
3 ,
2 ,
1 ,
5 ,
2 ,
6 ,
2 ,
6 ,
4 ,
6 ,
6 ,
4 ,
8 ,
4 ,
7 ,
7 ,
4 ,
9 ,
3 ,
9 ,
3 ,
9 ,
5 ,
7 ,
8 ,
4 ,
12  ,
4 ,
13  ,
6 ,
11  ,
10  ,
8 ,
13  ,
7 ,
14  ,
6 ,
15  ,
5 ,
14  ,
9 ,
11  ,
11  ,
9 ,
13  ,
9 ,
12  ,
11  ,
8 ,
12  ,
8 ,
7 ,
9 ,
5 ,
7 ,
3 ,
6 ,
1 ,
5 ,
1 ,
1 ,
0 ,
1 ,
-2  ,
-1  ,
-3  ,
-4  ,
-4  ,
-6  ,
-6  ,
-7  ,
-7  ,
-10 ,
-7  ,
-11 ,
-10 ,
-10 ,
-12 ,
-10 ,
-12 ,
-12 ,
-12 ,
-12 ,
-14 ,
-11 ,
-16 ,
-12 ,
-15 ,
-16 ,
-14 ,
-16 ,
-17 ,
-14 ,
-18 ,
-14 ,
-16 ,
-14 ,
-14 ,
-14 ,
-11 ,
-13 ,
-10 ,
-10 ,
-9  ,
-8  ,
-8  ,
-7  ,
-5  ,
-8  ,
-3  ,
-8  ,
-3  ,
-5  ,
-4  ,
-5  ,
-4  ,
-5  ,
-4  ,
-6  ,
-4  ,
-6  ,
-7  ,
-6  ,
-8  ,
-8  ,
-8  ,
-10 ,
-8  ,
-11 ,
-9  ,
-11 ,
-10 ,
-11 ,
-10 ,
-11 ,
-10 ,
-12 ,
-10 ,
-12 ,
-11 ,
-12 ,
-11 ,
-13 ,
-11 ,
-14 ,
-10 ,
-15 ,
-10 ,
-13 ,
-11 ,
-10 ,
-11 ,
-7  ,
-9  ,
-6  ,
-8  ,
-3  ,
-6  ,
-2  ,
-2  ,
-4  ,
1 ,
-3  ,
1 ,
2 ,
1 ,
2 ,
2 ,
5 ,
4 ,
6 ,
6 ,
6 ,
9 ,
6 ,
9 ,
8 ,
9 ,
7 ,
9 ,
6 ,
8 ,
7 ,
5 ,
7 ,
3 ,
5 ,
4 ,
1 ,
4 ,
-3  ,
3 ,
-4  ,
-1  ,
-5  ,
-2  ,
-7  ,
-4  ,
-7  ,
-7  ,
-5  ,
-7  ,
-7  ,
-6  ,
-6  ,
-8  ,
-5  ,
-9  ,
-6  ,
-6  ,
-10 ,
-7  ,
-11 ,
-7  ,
-11 ,
-9  ,
-12 ,
-10 ,
-12 ,
-11 ,
-10 ,
-14 ,
-8  ,
-12 ,
-10 ,
-8  ,
-11 ,
-6  ,
-8  ,
-7  ,
-5  ,
-7  ,
-4  ,
-4  ,
-5  ,
-3  ,
-5  ,
-3  ,
-4  ,
-1  ,
-8  ,
2 ,
-10 ,
1 ,
-8  ,
-3  ,
-6  ,
-6  ,
-7  ,
-5  ,
-11 ,
-4  ,
-14 ,
-4  ,
-14 ,
-5  ,
-14 ,
-8  ,
-10 ,
-10 ,
-8  ,
-11 ,
-9  ,
-8  ,
-12 ,
-6  ,
-12 ,
-7  ,
-11 ,
-9  ,
-9  ,
-11 ,
-6  ,
-13 ,
-5  ,
-10 ,
-7  ,
-5  ,
-7  ,
-4  ,
-3  ,
-3  ,
-1  ,
0 ,
0 ,
3 ,
2 ,
4 ,
4 ,
5 ,
6 ,
7 ,
7 ,
9 ,
9 ,
10  ,
10  ,
12  ,
11  ,
13  ,
15  ,
13  ,
15  ,
15  ,
16  ,
16  ,
18  ,
16  ,
17  ,
20  ,
15  ,
21  ,
17  ,
19  ,
20  ,
17  ,
21  ,
17  ,
21  ,
16  ,
23  ,
14  ,
23  ,
16  ,
21  ,
19  ,
18  ,
22  ,
17  ,
21  ,
19  ,
18  ,
19  ,
20  ,
15  ,
20  ,
14  ,
16  ,
15  ,
14  ,
12  ,
15  ,
8 ,
14  ,
8 ,
10  ,
10  ,
9 ,
7 ,
10  ,
4 ,
10  ,
5 ,
6 ,
7 ,
2 ,
8 ,
0 ,
7 ,
-2  ,
6 ,
-5  ,
5 ,
-5  ,
1 ,
-3  ,
-4  ,
-3  ,
-5  ,
-5  ,
-5  ,
-9  ,
-4  ,
-12 ,
-6  ,
-11 ,
-10 ,
-12 ,
-10 ,
-13 ,
-10 ,
-12 ,
-13 ,
-9  ,
-13 ,
-9  ,
-11 ,
-10 ,
-10 ,
-10 ,
-9  ,
-12 ,
-7  ,
-13 ,
-7  ,
-12 ,
-8  ,
-12 ,
-7  ,
-10 ,
-10 ,
-5  ,
-12 ,
-3  ,
-10 ,
-4  ,
-7  ,
-4  ,
-5  ,
-4  ,
-3  ,
-4  ,
-2  ,
-4  ,
-2  ,
-2  ,
-3  ,
-1  ,
-4  ,
0 ,
-1  ,
0 ,
-1  ,
2 ,
-1  ,
5 ,
-1  ,
6 ,
3 ,
5 ,
5 ,
5 ,
7 ,
7 ,
7 ,
7 ,
9 ,
7 ,
10  ,
8 ,
8 ,
9 ,
9 ,
9 ,
9 ,
9 ,
10  ,
9 ,
12  ,
10  ,
13  ,
13  ,
13  ,
16  ,
15  ,
17  ,
18  ,
17  ,
19  ,
19  ,
18  ,
21  ,
18  ,
20  ,
18  ,
19  ,
19  ,
16  ,
19  ,
16  ,
16  ,
17  ,
13  ,
16  ,
13  ,
14  ,
13  ,
14  ,
11  ,
13  ,
10  ,
14  ,
9 ,
11  ,
9 ,
10  ,
9 ,
8 ,
6 ,
7 ,
5 ,
6 ,
2 ,
5 ,
1 ,
2 ,
1 ,
-2  ,
0 ,
-3  ,
-3  ,
-4  ,
-4  ,
-8  ,
-4  ,
-9  ,
-7  ,
-6  ,
-11 ,
-6  ,
-10 ,
-9  ,
-10 ,
-9  ,
-11 ,
-10 ,
-13 ,
-9  ,
-16 ,
-9  ,
-17 ,
-10 ,
-17 ,
-13 ,
-16 ,
-16 ,
-14 ,
-17 ,
-14 ,
-18 ,
-13 ,
-18 ,
-13 ,
-17 ,
-13 ,
-16 ,
-13 ,
-16 ,
-11 ,
-17 ,
-10 ,
-15 ,
-10 ,
-12 ,
-11 ,
-10 ,
-10 ,
-7  ,
-8  ,
-7  ,
-4  ,
-7  ,
-1  ,
-4  ,
0 ,
-1  ,
1 ,
1 ,
3 ,
3 ,
5 ,
3 ,
9 ,
2 ,
11  ,
4 ,
10  ,
8 ,
8 ,
10  ,
9 ,
11  ,
10  ,
12  ,
11  ,
13  ,
13  ,
13  ,
14  ,
15  ,
13  ,
17  ,
13  ,
17  ,
14  ,
16  ,
15  ,
15  ,
17  ,
14  ,
17  ,
14  ,
17  ,
16  ,
15  ,
17  ,
15  ,
17  ,
15  ,
17  ,
15  ,
16  ,
15  ,
16  ,
15  ,
16  ,
14  ,
16  ,
13  ,
16  ,
12  ,
15  ,
11  ,
14  ,
9 ,
13  ,
9 ,
10  ,
9 ,
9 ,
7 ,
7 ,
7 ,
3 ,
7 ,
-1  ,
4 ,
-1  ,
-2  ,
-1  ,
-7  ,
-3  ,
-9  ,
-6  ,
-12 ,
-10 ,
-12 ,
-15 ,
-13 ,
-18 ,
-16 ,
-20 ,
-19 ,
-21 ,
-21 ,
-22 ,
-25 ,
-22 ,
-25 ,
-25 ,
-25 ,
-27 ,
-27 ,
-25 ,
-29 ,
-25 ,
-29 ,
-25 ,
-28 ,
-24 ,
-27 ,
-24 ,
-26 ,
-22 ,
-25 ,
-21 ,
-23 ,
-22 ,
-20 ,
-20 ,
-20 ,
-17 ,
-19 ,
-14 ,
-18 ,
-12 ,
-16 ,
-11 ,
-12 ,
-11 ,
-10 ,
-10 ,
-9  ,
-8  ,
-8  ,
-6  ,
-9  ,
-5  ,
-7  ,
-4  ,
-7  ,
-4  ,
-6  ,
-5  ,
-3  ,
-6  ,
-3  ,
-5  ,
-3  ,
-4  ,
-2  ,
-3  ,
-2  ,
-1  ,
-3  ,
2 ,
-3  ,
4 ,
-3  ,
4 ,
0 ,
3 ,
3 ,
3 ,
3 ,
6 ,
2 ,
7 ,
3 ,
7 ,
4 ,
7 ,
7 ,
4 ,
12  ,
1 ,
14  ,
5 ,
11  ,
10  ,
9 ,
11  ,
13  ,
9 ,
17  ,
8 ,
17  ,
12  ,
13  ,
16  ,
11  ,
16  ,
13  ,
12  ,
14  ,
11  ,
12  ,
10  ,
10  ,
8 ,
9 ,
6 ,
4 ,
5 ,
2 ,
2 ,
1 ,
-2  ,
0 ,
-5  ,
-3  ,
-5  ,
-7  ,
-6  ,
-9  ,
-9  ,
-11 ,
-11 ,
-13 ,
-13 ,
-13 ,
-17 ,
-14 ,
-16 ,
-18 ,
-15 ,
-21 ,
-15 ,
-21 ,
-18 ,
-21 ,
-19 ,
-21 ,
-20 ,
-22 ,
-18 ,
-22 ,
-18 ,
-20 ,
-19 ,
-17 ,
-17 ,
-16 ,
-16 ,
-14 ,
-16 ,
-12 ,
-13 ,
-13 ,
-12 ,
-10 ,
-13 ,
-8  ,
-13 ,
-7  ,
-12 ,
-5  ,
-12 ,
-6  ,
-9  ,
-5  ,
-9  ,
-4  ,
-9  ,
-2  ,
-8  ,
-1  ,
-8  ,
-2  ,
-5  ,
-3  ,
-4  ,
-2  ,
-5  ,
1 ,
-5  ,
-1  ,
0 ,
-4  ,
4 ,
-3  ,
2 ,
2 ,
2 ,
2 ,
5 ,
4 ,
5 ,
6 ,
5 ,
9 ,
5 ,
11  ,
5 ,
13  ,
8 ,
10  ,
13  ,
10  ,
14  ,
12  ,
13  ,
15  ,
13  ,
16  ,
14  ,
15  ,
18  ,
12  ,
21  ,
13  ,
20  ,
16  ,
17  ,
20  ,
15  ,
22  ,
16  ,
20  ,
19  ,
18  ,
20  ,
18  ,
20  ,
18  ,
21  ,
17  ,
18  ,
20  ,
16  ,
19  ,
16  ,
18  ,
13  ,
20  ,
10  ,
20  ,
10  ,
17  ,
11  ,
14  ,
11  ,
14  ,
7 ,
16  ,
4 ,
14  ,
6 ,
9 ,
10  ,
5 ,
10  ,
5 ,
7 ,
7 ,
3 ,
7 ,
2 ,
6 ,
1 ,
4 ,
2 ,
1 ,
3 ,
-1  ,
3 ,
-2  ,
0 ,
-2  ,
-2  ,
-3  ,
-4  ,
-5  ,
-6  ,
-6  ,
-8  ,
-8  ,
-8  ,
-11 ,
-8  ,
-11 ,
-12 ,
-9  ,
-13 ,
-9  ,
-12 ,
-11 ,
-11 ,
-12 ,
-10 ,
-12 ,
-11 ,
-11 ,
-11 ,
-12 ,
-9  ,
-12 ,
-11 ,
-9  ,
-10 ,
-9  ,
-8  ,
-7  ,
-8  ,
-2  ,
-8  ,
-1  ,
-3  ,
-3  ,
1 ,
-2  ,
3 ,
0 ,
1 ,
3 ,
2 ,
5 ,
3 ,
3 ,
5 ,
4 ,
5 ,
5 ,
4 ,
6 ,
3 ,
7 ,
3 ,
9 ,
2 ,
8 ,
3 ,
7 ,
7 ,
4 ,
8 ,
6 ,
6 ,
10  ,
4 ,
10  ,
7 ,
8 ,
10  ,
8 ,
8 ,
11  ,
6 ,
11  ,
6 ,
10  ,
6 ,
9 ,
5 ,
9 ,
3 ,
9 ,
3 ,
7 ,
5 ,
5 ,
6 ,
5 ,
5 ,
6 ,
5 ,
7 ,
5 ,
7 ,
4 ,
8 ,
4 ,
6 ,
6 ,
3 ,
7 ,
4 ,
5 ,
5 ,
4 ,
5 ,
5 ,
3 ,
5 ,
3 ,
3 ,
4 ,
2 ,
3 ,
3 ,
1 ,
4 ,
-1  ,
5 ,
-1  ,
4 ,
1 ,
0 ,
4 ,
-2  ,
5 ,
-2  ,
4 ,
0 ,
3 ,
1 ,
2 ,
1 ,
2 ,
3 ,
1 ,
3 ,
-2  ,
5 ,
-2  ,
4 ,
-1  ,
0 ,
1 ,
-1  ,
1 ,
0 ,
-1  ,
0 ,
0 ,
-2  ,
1 ,
-1  ,
-2  ,
1 ,
-3  ,
-2  ,
-2  ,
-4  ,
-2  ,
-5  ,
-5  ,
-5  ,
-8  ,
-5  ,
-8  ,
-8  ,
-8  ,
-9  ,
-8  ,
-8  ,
-10 ,
-8  ,
-10 ,
-8  ,
-8  ,
-12 ,
-6  ,
-11 ,
-8  ,
-8  ,
-9  ,
-9  ,
-7  ,
-8  ,
-7  ,
-7  ,
-7  ,
-6  ,
-5  ,
-6  ,
-4  ,
-4  ,
-3  ,
-3  ,
-2  ,
-3  ,
0 ,
-1  ,
0 ,
-1  ,
1 ,
-1  ,
3 ,
-1  ,
3 ,
2 ,
1 ,
4 ,
2 ,
4 ,
3 ,
3 ,
4 ,
4 ,
3 ,
3 ,
3 ,
4 ,
2 ,
3 ,
2 ,
4 ,
3 ,
2 ,
4 ,
2 ,
6 ,
1 ,
5 ,
3 ,
6 ,
2 ,
6 ,
3 ,
4 ,
5 ,
3 ,
4 ,
3 ,
4 ,
1 ,
7 ,
0 ,
4 ,
5 ,
1 ,
6 ,
3 ,
3 ,
8 ,
0 ,
11  ,
-2  ,
12  ,
3 ,
7 ,
7 ,
4 ,
10  ,
4 ,
9 ,
5 ,
6 ,
8 ,
4 ,
7 ,
6 ,
5 ,
5 ,
6 ,
3 ,
6 ,
3 ,
3 ,
2 ,
4 ,
-1  ,
3 ,
-3  ,
0 ,
-2  ,
-2  ,
-4  ,
-5  ,
-5  ,
-7  ,
-7  ,
-8  ,
-8  ,
-10 ,
-11 ,
-11 ,
-13 ,
-10 ,
-15 ,
-12 ,
-15 ,
-14 ,
-14 ,
-17 ,
-11 ,
-20 ,
-11 ,
-16 ,
-16 ,
-12 ,
-17 ,
-12 ,
-14 ,
-11 ,
-14 ,
-10 ,
-11 ,
-11 ,
-9  ,
-10 ,
-8  ,
-10 ,
-6  ,
-10 ,
-7  ,
-6  ,
-10 ,
-5  ,
-9  ,
-6  ,
-9  ,
-6  ,
-12 ,
-5  ,
-12 ,
-7  ,
-11 ,
-9  ,
-12 ,
-8  ,
-13 ,
-9  ,
-13 ,
-10 ,
-13 ,
-10 ,
-14 ,
-11 ,
-12 ,
-13 ,
-9  ,
-15 ,
-7  ,
-14 ,
-8  ,
-11 ,
-10 ,
-9  ,
-11 ,
-8  ,
-11 ,
-8  ,
-8  ,
-10 ,
-7  ,
-9  ,
-7  ,
-5  ,
-8  ,
-2  ,
-9  ,
2 ,
-8  ,
5 ,
-5  ,
4 ,
0 ,
5 ,
2 ,
9 ,
2 ,
13  ,
5 ,
12  ,
10  ,
10  ,
15  ,
9 ,
15  ,
13  ,
11  ,
17  ,
10  ,
16  ,
11  ,
15  ,
11  ,
14  ,
10  ,
12  ,
10  ,
11  ,
9 ,
9 ,
7 ,
10  ,
4 ,
11  ,
2 ,
8 ,
4 ,
2 ,
8 ,
-3  ,
7 ,
-2  ,
3 ,
-2  ,
0 ,
-3  ,
-1  ,
-4  ,
-3  ,
-4  ,
-5  ,
-4  ,
-7  ,
-5  ,
-5  ,
-7  ,
-5  ,
-7  ,
-8  ,
-4  ,
-9  ,
-4  ,
-10 ,
-4  ,
-11 ,
-4  ,
-11 ,
-5  ,
-11 ,
-7  ,
-9  ,
-10 ,
-9  ,
-11 ,
-9  ,
-11 ,
-10 ,
-12 ,
-14 ,
-8  ,
-17 ,
-8  ,
-16 ,
-12 ,
-13 ,
-15 ,
-11 ,
-18 ,
-8  ,
-20 ,
-9  ,
-16 ,
-13 ,
-14 ,
-14 ,
-14 ,
-12 ,
-17 ,
-11 ,
-16 ,
-12 ,
-14 ,
-14 ,
-11 ,
-14 ,
-9  ,
-14 ,
-7  ,
-12 ,
-8  ,
-8  ,
-9  ,
-6  ,
-8  ,
-7  ,
-4  ,
-7  ,
-3  ,
-6  ,
-4  ,
-1  ,
-4  ,
-1  ,
-2  ,
0 ,
-1  ,
3 ,
-1  ,
5 ,
2 ,
5 ,
7 ,
7 ,
10  ,
10  ,
11  ,
15  ,
13  ,
17  ,
16  ,
18  ,
19  ,
18  ,
22  ,
18  ,
24  ,
20  ,
24  ,
21  ,
25  ,
21  ,
26  ,
23  ,
25  ,
23  ,
27  ,
22  ,
28  ,
22  ,
29  ,
22  ,
29  ,
22  ,
25  ,
25  ,
21  ,
27  ,
17  ,
25  ,
18  ,
20  ,
20  ,
17  ,
19  ,
18  ,
15  ,
18  ,
16  ,
15  ,
17  ,
11  ,
18  ,
10  ,
17  ,
10  ,
13  ,
10  ,
11  ,
9 ,
10  ,
7 ,
8 ,
7 ,
3 ,
6 ,
2 ,
3 ,
1 ,
-1  ,
0 ,
-3  ,
-3  ,
-5  ,
-6  ,
-6  ,
-9  ,
-8  ,
-12 ,
-10 ,
-12 ,
-14 ,
-12 ,
-16 ,
-14 ,
-15 ,
-16 ,
-14 ,
-17 ,
-15 ,
-16 ,
-16 ,
-15 ,
-16 ,
-15 ,
-17 ,
-13 ,
-16 ,
-14 ,
-12 ,
-16 ,
-9  ,
-14 ,
-11 ,
-10 ,
-11 ,
-8  ,
-12 ,
-7  ,
-12 ,
-7  ,
-10 ,
-9  ,
-9  ,
-9  ,
-9  ,
-9  ,
-6  ,
-11 ,
-4  ,
-10 ,
-5  ,
-5  ,
-7  ,
-2  ,
-5  ,
-1  ,
-1  ,
-1  ,
3 ,
2 ,
4 ,
6 ,
5 ,
9 ,
7 ,
10  ,
10  ,
9 ,
13  ,
9 ,
14  ,
12  ,
12  ,
16  ,
12  ,
17  ,
14  ,
17  ,
15  ,
20  ,
16  ,
20  ,
18  ,
21  ,
19  ,
23  ,
21  ,
21  ,
24  ,
21  ,
22  ,
25  ,
20  ,
23  ,
22  ,
20  ,
22  ,
20  ,
22  ,
18  ,
23  ,
15  ,
23  ,
16  ,
20  ,
17  ,
17  ,
18  ,
14  ,
19  ,
11  ,
18  ,
12  ,
14  ,
15  ,
10  ,
13  ,
12  ,
9 ,
13  ,
9 ,
9 ,
9 ,
9 ,
8 ,
8 ,
10  ,
3 ,
13  ,
2 ,
10  ,
5 ,
7 ,
6 ,
5 ,
4 ,
5 ,
1 ,
5 ,
0 ,
2 ,
-1  ,
1 ,
-5  ,
1 ,
-7  ,
-3  ,
-7  ,
-8  ,
-9  ,
-11 ,
-12 ,
-14 ,
-14 ,
-18 ,
-15 ,
-21 ,
-17 ,
-23 ,
-19 ,
-24 ,
-20 ,
-27 ,
-21 ,
-28 ,
-21 ,
-29 ,
-23 ,
-28 ,
-23 ,
-29 ,
-22 ,
-29 ,
-22 ,
-26 ,
-24 ,
-23 ,
-24 ,
-20 ,
-23 ,
-18 ,
-19 ,
-19 ,
-11 ,
-20 ,
-6  ,
-14 ,
-7  ,
-6  ,
-6  ,
-2  ,
-3  ,
1 ,
-1  ,
4 ,
1 ,
6 ,
3 ,
7 ,
5 ,
8 ,
6 ,
10  ,
7 ,
9 ,
12  ,
6 ,
15  ,
9 ,
12  ,
14  ,
12  ,
14  ,
15  ,
15  ,
15  ,
16  ,
15  ,
16  ,
16  ,
16  ,
14  ,
18  ,
13  ,
17  ,
15  ,
15  ,
17  ,
14  ,
17  ,
14  ,
17  ,
15  ,
16  ,
16  ,
14  ,
17  ,
14  ,
15  ,
17  ,
12  ,
18  ,
12  ,
16  ,
14  ,
13  ,
15  ,
12  ,
13  ,
14  ,
8 ,
16  ,
6 ,
13  ,
9 ,
6 ,
11  ,
4 ,
7 ,
4 ,
3 ,
3 ,
1 ,
1 ,
-1  ,
-2  ,
-1  ,
-3  ,
-4  ,
-4  ,
-7  ,
-3  ,
-10 ,
-6  ,
-12 ,
-11 ,
-10 ,
-17 ,
-12 ,
-19 ,
-17 ,
-19 ,
-20 ,
-21 ,
-20 ,
-26 ,
-22 ,
-25 ,
-27 ,
-24 ,
-30 ,
-28 ,
-28 ,
-30 ,
-30 ,
-31 ,
-29 ,
-32 ,
-28 ,
-33 ,
-28 ,
-31 ,
-27 ,
-30 ,
-27 ,
-27 ,
-27 ,
-24 ,
-23 ,
-24 ,
-19 ,
-23 ,
-16 ,
-17 ,
-17 ,
-14 ,
-14 ,
-12 ,
-14 ,
-8  ,
-14 ,
-9  ,
-8  ,
-14 ,
-3  ,
-14 ,
-6  ,
-9  ,
-8  ,
-6  ,
-9  ,
-5  ,
-7  ,
-6  ,
-3  ,
-8  ,
-1  ,
-5  ,
-2  ,
-3  ,
-2  ,
-3  ,
0 ,
-4  ,
1 ,
-4  ,
-1  ,
-2  ,
-1  ,
-2  ,
0 ,
-1  ,
0 ,
3 ,
0 ,
4 ,
2 ,
7 ,
4 ,
7 ,
8 ,
8 ,
9 ,
12  ,
9 ,
15  ,
11  ,
17  ,
11  ,
20  ,
13  ,
19  ,
17  ,
18  ,
18  ,
19  ,
18  ,
19  ,
18  ,
17  ,
19  ,
15  ,
18  ,
15  ,
14  ,
16  ,
12  ,
12  ,
12  ,
8 ,
11  ,
6 ,
6 ,
5 ,
3 ,
1 ,
2 ,
-5  ,
-1  ,
-6  ,
-7  ,
-6  ,
-12 ,
-9  ,
-12 ,
-13 ,
-13 ,
-14 ,
-14 ,
-14 ,
-16 ,
-14 ,
-16 ,
-15 ,
-15 ,
-17 ,
-15 ,
-17 ,
-16 ,
-16 ,
-17 ,
-15 ,
-19 ,
-14 ,
-19 ,
-14 ,
-19 ,
-14 ,
-20 ,
-13 ,
-19 ,
-14 ,
-18 ,
-15 ,
-18 ,
-13 ,
-18 ,
-12 ,
-17 ,
-11 ,
-17 ,
-9  ,
-15 ,
-11 ,
-11 ,
-13 ,
-10 ,
-11 ,
-12 ,
-9  ,
-14 ,
-7  ,
-13 ,
-10 ,
-9  ,
-11 ,
-8  ,
-10 ,
-8  ,
-8  ,
-7  ,
-7  ,
-5  ,
-6  ,
-5  ,
-3  ,
-4  ,
-1  ,
-4  ,
1 ,
-4  ,
2 ,
-1  ,
0 ,
1 ,
2 ,
1 ,
4 ,
2 ,
3 ,
5 ,
5 ,
5 ,
7 ,
7 ,
7 ,
8 ,
10  ,
10  ,
10  ,
12  ,
11  ,
15  ,
12  ,
18  ,
12  ,
20  ,
14  ,
20  ,
16  ,
22  ,
17  ,
21  ,
19  ,
22  ,
19  ,
21  ,
22  ,
19  ,
24  ,
19  ,
22  ,
19  ,
22  ,
19  ,
22  ,
17  ,
21  ,
16  ,
20  ,
16  ,
19  ,
14  ,
17  ,
16  ,
11  ,
18  ,
10  ,
13  ,
12  ,
9 ,
12  ,
9 ,
8 ,
8 ,
8 ,
6 ,
8 ,
3 ,
9 ,
0 ,
9 ,
0 ,
5 ,
2 ,
2 ,
3 ,
1 ,
1 ,
2 ,
0 ,
2 ,
2 ,
-2  ,
5 ,
-4  ,
5 ,
-2  ,
2 ,
0 ,
-1  ,
1 ,
0 ,
-2  ,
1 ,
-3  ,
2 ,
-4  ,
2 ,
-5  ,
1 ,
-2  ,
-4  ,
-1  ,
-4  ,
-5  ,
-2  ,
-6  ,
-5  ,
-3  ,
-9  ,
-2  ,
-9  ,
-2  ,
-8  ,
-4  ,
-4  ,
-7  ,
-2  ,
-6  ,
-2  ,
-4  ,
-1  ,
-6  ,
0 ,
-4  ,
-2  ,
-1  ,
-5  ,
-1  ,
-5  ,
-1  ,
-4  ,
-3  ,
-3  ,
-3  ,
-3  ,
-1  ,
-4  ,
1 ,
-1  ,
0 ,
1 ,
1 ,
3 ,
4 ,
3 ,
5 ,
5 ,
7 ,
4 ,
9 ,
5 ,
9 ,
7 ,
8 ,
8 ,
8 ,
9 ,
7 ,
11  ,
6 ,
11  ,
8 ,
9 ,
10  ,
9 ,
9 ,
10  ,
9 ,
8 ,
11  ,
6 ,
11  ,
7 ,
9 ,
8 ,
7 ,
9 ,
7 ,
6 ,
10  ,
3 ,
10  ,
5 ,
5 ,
8 ,
3 ,
6 ,
4 ,
4 ,
3 ,
5 ,
1 ,
4 ,
1 ,
3 ,
1 ,
2 ,
1 ,
2 ,
0 ,
2 ,
-1  ,
1 ,
0 ,
-1  ,
1 ,
-3  ,
2 ,
-4  ,
1 ,
-3  ,
0 ,
-2  ,
0 ,
1 ,
-2  ,
5 ,
-2  ,
6 ,
4 ,
5 ,
8 ,
6 ,
10  ,
8 ,
13  ,
8 ,
14  ,
8 ,
13  ,
10  ,
11  ,
11  ,
8 ,
10  ,
7 ,
9 ,
6 ,
7 ,
6 ,
3 ,
6 ,
2 ,
1 ,
4 ,
-3  ,
1 ,
-3  ,
-4  ,
-4  ,
-7  ,
-6  ,
-10 ,
-8  ,
-13 ,
-11 ,
-14 ,
-14 ,
-14 ,
-17 ,
-14 ,
-19 ,
-16 ,
-17 ,
-18 ,
-15 ,
-18 ,
-16 ,
-14 ,
-17 ,
-12 ,
-13 ,
-13 ,
-9  ,
-12 ,
-7  ,
-10 ,
-5  ,
-9  ,
-2  ,
-9  ,
0 ,
-8  ,
0 ,
-4  ,
-3  ,
0 ,
-5  ,
2 ,
-4  ,
2 ,
-3  ,
2 ,
-1  ,
0 ,
2 ,
0 ,
2 ,
2 ,
-1  ,
6 ,
-2  ,
7 ,
-1  ,
4 ,
2 ,
3 ,
3 ,
2 ,
1 ,
3 ,
0 ,
2 ,
0 ,
-1  ,
1 ,
-1  ,
-1  ,
1 ,
-3  ,
1 ,
-2  ,
2 ,
-2  ,
2 ,
-2  ,
0 ,
2 ,
-3  ,
3 ,
-3  ,
1 ,
-1  ,
2 ,
-1  ,
2 ,
0 ,
5 ,
0 ,
6 ,
1 ,
8 ,
2 ,
9 ,
3 ,
10  ,
5 ,
8 ,
8 ,
7 ,
9 ,
6 ,
9 ,
6 ,
6 ,
9 ,
3 ,
9 ,
4 ,
5 ,
7 ,
4 ,
6 ,
5 ,
4 ,
5 ,
4 ,
4 ,
4 ,
1 ,
5 ,
-3  ,
4 ,
-3  ,
0 ,
-4  ,
-1  ,
-8  ,
-2  ,
-11 ,
-3  ,
-12 ,
-6  ,
-12 ,
-10 ,
-10 ,
-14 ,
-9  ,
-15 ,
-11 ,
-15 ,
-12 ,
-14 ,
-13 ,
-13 ,
-14 ,
-10 ,
-14 ,
-10 ,
-13 ,
-7  ,
-12 ,
-8  ,
-10 ,
-9  ,
-7  ,
-11 ,
-6  ,
-10 ,
-9  ,
-7  ,
-11 ,
-6  ,
-9  ,
-8  ,
-9  ,
-7  ,
-8  ,
-8  ,
-7  ,
-9  ,
-6  ,
-8  ,
-7  ,
-8  ,
-7  ,
-8  ,
-8  ,
-8  ,
-9  ,
-8  ,
-9  ,
-10 ,
-10 ,
-10 ,
-11 ,
-10 ,
-11 ,
-12 ,
-10 ,
-11 ,
-11 ,
-11 ,
-10 ,
-10 ,
-9  ,
-8  ,
-11 ,
-5  ,
-9  ,
-5  ,
-6  ,
-7  ,
-3  ,
-6  ,
-1  ,
-4  ,
-2  ,
0 ,
-2  ,
3 ,
0 ,
4 ,
4 ,
5 ,
9 ,
4 ,
13  ,
6 ,
15  ,
9 ,
16  ,
12  ,
15  ,
17  ,
13  ,
19  ,
15  ,
17  ,
16  ,
16  ,
17  ,
13  ,
19  ,
10  ,
17  ,
11  ,
14  ,
12  ,
10  ,
12  ,
9 ,
9 ,
11  ,
4 ,
12  ,
5 ,
7 ,
8 ,
4 ,
8 ,
6 ,
5 ,
6 ,
6 ,
4 ,
5 ,
5 ,
3 ,
4 ,
2 ,
2 ,
0 ,
3 ,
-3  ,
2 ,
-3  ,
-1  ,
-2  ,
-2  ,
-3  ,
-2  ,
-3  ,
-3  ,
-2  ,
-4  ,
-3  ,
-5  ,
-4  ,
-6  ,
-3  ,
-10 ,
-4  ,
-11 ,
-7  ,
-11 ,
-12 ,
-9  ,
-16 ,
-9  ,
-17 ,
-14 ,
-12 ,
-18 ,
-12 ,
-18 ,
-13 ,
-18 ,
-14 ,
-17 ,
-16 ,
-16 ,
-16 ,
-17 ,
-15 ,
-17 ,
-14 ,
-17 ,
-14 ,
-16 ,
-14 ,
-13 ,
-16 ,
-11 ,
-16 ,
-12 ,
-13 ,
-12 ,
-13 ,
-11 ,
-13 ,
-10 ,
-11 ,
-10 ,
-11 ,
-7  ,
-9  ,
-7  ,
-5  ,
-8  ,
-2  ,
-6  ,
-1  ,
-5  ,
2 ,
-3  ,
0 ,
3 ,
-4  ,
7 ,
0 ,
3 ,
6 ,
3 ,
7 ,
7 ,
7 ,
10  ,
10  ,
12  ,
12  ,
13  ,
15  ,
14  ,
17  ,
14  ,
18  ,
15  ,
17  ,
15  ,
19  ,
13  ,
20  ,
13  ,
19  ,
15  ,
18  ,
15  ,
20  ,
15  ,
19  ,
18  ,
16  ,
20  ,
18  ,
17  ,
20  ,
17  ,
18  ,
19  ,
17  ,
17  ,
20  ,
14  ,
20  ,
14  ,
18  ,
14  ,
16  ,
15  ,
14  ,
15  ,
13  ,
14  ,
14  ,
11  ,
16  ,
8 ,
17  ,
8 ,
15  ,
9 ,
12  ,
10  ,
9 ,
9 ,
7 ,
8 ,
4 ,
6 ,
1 ,
2 ,
1 ,
-2  ,
-1  ,
-3  ,
-6  ,
-4  ,
-8  ,
-6  ,
-8  ,
-10 ,
-9  ,
-11 ,
-11 ,
-11 ,
-14 ,
-12 ,
-15 ,
-14 ,
-14 ,
-16 ,
-15 ,
-16 ,
-16 ,
-17 ,
-17 ,
-18 ,
-17 ,
-19 ,
-18 ,
-19 ,
-19 ,
-20 ,
-17 ,
-21 ,
-17 ,
-19 ,
-18 ,
-16 ,
-17 ,
-15 ,
-16 ,
-13 ,
-14 ,
-12 ,
-12 ,
-11 ,
-12 ,
-9  ,
-9  ,
-10 ,
-7  ,
-9  ,
-6  ,
-8  ,
-3  ,
-8  ,
1 ,
-7  ,
2 ,
-2  ,
3 ,
2 ,
5 ,
3 ,
10  ,
5 ,
12  ,
7 ,
12  ,
9 ,
13  ,
10  ,
13  ,
12  ,
12  ,
14  ,
12  ,
15  ,
14  ,
14  ,
16  ,
15  ,
16  ,
16  ,
17  ,
16  ,
18  ,
14  ,
19  ,
14  ,
19  ,
15  ,
16  ,
16  ,
16  ,
15  ,
16  ,
14  ,
15  ,
14  ,
14  ,
13  ,
12  ,
12  ,
12  ,
10  ,
11  ,
10  ,
9 ,
10  ,
10  ,
7 ,
13  ,
6 ,
14  ,
7 ,
13  ,
8 ,
15  ,
9 ,
14  ,
10  ,
14  ,
12  ,
12  ,
13  ,
11  ,
12  ,
12  ,
11  ,
10  ,
11  ,
8 ,
9 ,
8 ,
5 ,
8 ,
3 ,
5 ,
1 ,
2 ,
0 ,
1 ,
-4  ,
-2  ,
-5  ,
-6  ,
-5  ,
-9  ,
-9  ,
-11 ,
-13 ,
-13 ,
-16 ,
-18 ,
-17 ,
-22 ,
-20 ,
-24 ,
-26 ,
-23 ,
-29 ,
-25 ,
-30 ,
-28 ,
-30 ,
-29 ,
-28 ,
-31 ,
-27 ,
-32 ,
-25 ,
-30 ,
-25 ,
-28 ,
-25 ,
-25 ,
-21 ,
-26 ,
-18 ,
-21 ,
-19 ,
-14 ,
-18 ,
-11 ,
-14 ,
-8  ,
-9  ,
-6  ,
-3  ,
-5  ,
0 ,
1 ,
1 ,
5 ,
3 ,
7 ,
6 ,
9 ,
9 ,
11  ,
9 ,
13  ,
10  ,
14  ,
12  ,
14  ,
12  ,
15  ,
11  ,
15  ,
12  ,
15  ,
13  ,
13  ,
13  ,
15  ,
13  ,
13  ,
16  ,
11  ,
17  ,
12  ,
15  ,
15  ,
13  ,
15  ,
11  ,
15  ,
11  ,
13  ,
12  ,
10  ,
13  ,
8 ,
14  ,
8 ,
12  ,
11  ,
9 ,
14  ,
8 ,
15  ,
9 ,
14  ,
11  ,
11  ,
15  ,
8 ,
17  ,
6 ,
15  ,
8 ,
11  ,
10  ,
8 ,
9 ,
7 ,
8 ,
6 ,
7 ,
6 ,
4 ,
7 ,
3 ,
5 ,
3 ,
3 ,
2 ,
2 ,
0 ,
0 ,
-2  ,
-1  ,
-6  ,
-2  ,
-8  ,
-6  ,
-9  ,
-9  ,
-12 ,
-10 ,
-15 ,
-13 ,
-16 ,
-16 ,
-17 ,
-19 ,
-17 ,
-23 ,
-18 ,
-23 ,
-20 ,
-22 ,
-23 ,
-22 ,
-23 ,
-23 ,
-23 ,
-22 ,
-23 ,
-23 ,
-22 ,
-23 ,
-22 ,
-22 ,
-21 ,
-22 ,
-19 ,
-23 ,
-17 ,
-21 ,
-15 ,
-20 ,
-14 ,
-16 ,
-13 ,
-12 ,
-12 ,
-9  ,
-9  ,
-9  ,
-6  ,
-7  ,
-5  ,
-4  ,
-7  ,
-3  ,
-4  ,
-4  ,
-3  ,
-4  ,
-3  ,
-4  ,
-3  ,
-5  ,
-2  ,
-5  ,
-2  ,
-5  ,
-3  ,
-3  ,
-3  ,
-1  ,
-4  ,
0 ,
-1  ,
0 ,
2 ,
-2  ,
5 ,
0 ,
6 ,
1 ,
6 ,
2 ,
7 ,
5 ,
6 ,
7 ,
5 ,
10  ,
7 ,
10  ,
9 ,
10  ,
12  ,
11  ,
14  ,
11  ,
17  ,
12  ,
18  ,
14  ,
18  ,
15  ,
18  ,
17  ,
16  ,
17  ,
16  ,
15  ,
16  ,
13  ,
14  ,
13  ,
11  ,
12  ,
8 ,
10  ,
7 ,
8 ,
5 ,
6 ,
3 ,
4 ,
3 ,
1 ,
2 ,
0 ,
1 ,
0 ,
-2  ,
1 ,
-4  ,
2 ,
-6  ,
1 ,
-5  ,
-2  ,
-4  ,
-4  ,
-6  ,
-5  ,
-6  ,
-9  ,
-6  ,
-11 ,
-7  ,
-12 ,
-8  ,
-14 ,
-7  ,
-14 ,
-10 ,
-11 ,
-14 ,
-8  ,
-15 ,
-11 ,
-12 ,
-16 ,
-9  ,
-17 ,
-12 ,
-15 ,
-15 ,
-13 ,
-16 ,
-12 ,
-17 ,
-11 ,
-14 ,
-12 ,
-12 ,
-12 ,
-11 ,
-10 ,
-12 ,
-8  ,
-12 ,
-9  ,
-9  ,
-11 ,
-9  ,
-9  ,
-10 ,
-8  ,
-9  ,
-10 ,
-8  ,
-8  ,
-9  ,
-6  ,
-8  ,
-7  ,
-6  ,
-5  ,
-5  ,
-2  ,
-5  ,
-1  ,
-3  ,
1 ,
-2  ,
2 ,
-1  ,
4 ,
-1  ,
6 ,
0 ,
5 ,
2 ,
5 ,
4 ,
3 ,
6 ,
4 ,
6 ,
5 ,
6 ,
5 ,
8 ,
7 ,
8 ,
9 ,
8 ,
10  ,
12  ,
10  ,
12  ,
12  ,
12  ,
12  ,
14  ,
11  ,
13  ,
11  ,
12  ,
13  ,
10  ,
12  ,
8 ,
13  ,
8 ,
11  ,
9 ,
8 ,
11  ,
6 ,
10  ,
8 ,
8 ,
8 ,
6 ,
10  ,
3 ,
12  ,
2 ,
9 ,
5 ,
4 ,
8 ,
2 ,
7 ,
3 ,
3 ,
6 ,
1 ,
4 ,
3 ,
3 ,
3 ,
3 ,
3 ,
2 ,
6 ,
0 ,
8 ,
1 ,
6 ,
4 ,
3 ,
6 ,
2 ,
7 ,
1 ,
5 ,
2 ,
2 ,
3 ,
1 ,
0 ,
4 ,
-3  ,
3 ,
1 ,
-3  ,
5 ,
-3  ,
1 ,
3 ,
-3  ,
3 ,
-1  ,
1 ,
-1  ,
0 ,
-2  ,
-2  ,
-2  ,
-5  ,
-3  ,
-5  ,
-6  ,
-6  ,
-9  ,
-6  ,
-11 ,
-6  ,
-13 ,
-7  ,
-12 ,
-9  ,
-11 ,
-10 ,
-9  ,
-9  ,
-8  ,
-8  ,
-9  ,
-3  ,
-9  ,
-2  ,
-6  ,
-3  ,
-4  ,
-1  ,
-2  ,
-4  ,
3 ,
-7  ,
4 ,
-3  ,
1 ,
-1  ,
3 ,
-2  ,
5 ,
0 ,
6 ,
2 ,
7 ,
5 ,
7 ,
9 ,
6 ,
11  ,
9 ,
11  ,
9 ,
13  ,
9 ,
14  ,
11  ,
11  ,
13  ,
9 ,
16  ,
7 ,
14  ,
9 ,
10  ,
12  ,
7 ,
10  ,
9 ,
7 ,
10  ,
5 ,
7 ,
8 ,
3 ,
10  ,
0 ,
9 ,
2 ,
5 ,
4 ,
1 ,
4 ,
2 ,
2 ,
1 ,
1 ,
-2  ,
1 ,
-1  ,
-3  ,
2 ,
-6  ,
0 ,
-3  ,
-3  ,
0 ,
-3  ,
0 ,
-2  ,
1 ,
-1  ,
3 ,
-1  ,
6 ,
0 ,
6 ,
3 ,
7 ,
6 ,
7 ,
7 ,
8 ,
10  ,
8 ,
12  ,
9 ,
13  ,
11  ,
12  ,
14  ,
13  ,
13  ,
15  ,
12  ,
13  ,
14  ,
10  ,
14  ,
8 ,
10  ,
7 ,
7 ,
5 ,
3 ,
3 ,
0 ,
0 ,
-2  ,
-3  ,
-5  ,
-3  ,
-9  ,
-4  ,
-11 ,
-6  ,
-12 ,
-10 ,
-11 ,
-13 ,
-12 ,
-14 ,
-17 ,
-11 ,
-20 ,
-13 ,
-20 ,
-16 ,
-16 ,
-19 ,
-15 ,
-18 ,
-17 ,
-13 ,
-18 ,
-11 ,
-16 ,
-10 ,
-13 ,
-9  ,
-9  ,
-8  ,
-5  ,
-7  ,
-1  ,
-5  ,
2 ,
-2  ,
2 ,
2 ,
3 ,
4 ,
3 ,
6 ,
4 ,
5 ,
6 ,
4 ,
6 ,
4 ,
5 ,
3 ,
6 ,
1 ,
6 ,
0 ,
5 ,
0 ,
4 ,
0 ,
4 ,
-1  ,
3 ,
-1  ,
3 ,
0 ,
0 ,
1 ,
0 ,
0 ,
0 ,
-2  ,
0 ,
-1  ,
-1  ,
-1  ,
-3  ,
1 ,
-4  ,
3 ,
-3  ,
1 ,
0 ,
-1  ,
5 ,
-3  ,
7 ,
-2  ,
7 ,
0 ,
7 ,
1 ,
6 ,
5 ,
3 ,
7 ,
4 ,
5 ,
8 ,
4 ,
9 ,
6 ,
8 ,
9 ,
8 ,
10  ,
12  ,
6 ,
16  ,
6 ,
14  ,
10  ,
9 ,
11  ,
9 ,
9 ,
7 ,
8 ,
5 ,
5 ,
4 ,
3 ,
1 ,
3 ,
-1  ,
-1  ,
0 ,
-3  ,
-2  ,
-1  ,
-7  ,
-2  ,
-5  ,
-7  ,
-2  ,
-11 ,
-3  ,
-11 ,
-6  ,
-10 ,
-9  ,
-9  ,
-11 ,
-10 ,
-12 ,
-11 ,
-12 ,
-11 ,
-13 ,
-12 ,
-12 ,
-13 ,
-12 ,
-12 ,
-13 ,
-9  ,
-14 ,
-9  ,
-11 ,
-9  ,
-9  ,
-7  ,
-8  ,
-5  ,
-6  ,
-7  ,
-2  ,
-7  ,
-2  ,
-5  ,
-6  ,
-2  ,
-7  ,
-2  ,
-7  ,
-4  ,
-9  ,
-2  ,
-10 ,
-3  ,
-12 ,
-4  ,
-11 ,
-5  ,
-12 ,
-9  ,
-9  ,
-11 ,
-9  ,
-12 ,
-10 ,
-12 ,
-10 ,
-12 ,
-10 ,
-11 ,
-10 ,
-10 ,
-9  ,
-11 ,
-6  ,
-11 ,
-3  ,
-10 ,
-5  ,
-6  ,
-5  ,
-3  ,
-4  ,
-2  ,
-2  ,
0 ,
0 ,
1 ,
3 ,
1 ,
7 ,
3 ,
8 ,
6 ,
8 ,
10  ,
8 ,
13  ,
10  ,
12  ,
14  ,
13  ,
14  ,
16  ,
14  ,
16  ,
17  ,
15  ,
16  ,
18  ,
13  ,
18  ,
13  ,
14  ,
16  ,
10  ,
14  ,
10  ,
10  ,
10  ,
8 ,
8 ,
7 ,
5 ,
7 ,
3 ,
6 ,
1 ,
6 ,
0 ,
5 ,
-2  ,
3 ,
0 ,
-1  ,
0 ,
-3  ,
1 ,
-5  ,
-1  ,
-4  ,
-4  ,
-3  ,
-5  ,
-5  ,
-6  ,
-5  ,
-9  ,
-5  ,
-9  ,
-9  ,
-8  ,
-11 ,
-8  ,
-11 ,
-10 ,
-9  ,
-12 ,
-8  ,
-11 ,
-9  ,
-9  ,
-9  ,
-10 ,
-8  ,
-9  ,
-9  ,
-10 ,
-9  ,
-12 ,
-8  ,
-12 ,
-11 ,
-10 ,
-14 ,
-10 ,
-11 ,
-14 ,
-9  ,
-15 ,
-9  ,
-13 ,
-10 ,
-13 ,
-9  ,
-12 ,
-10 ,
-10 ,
-10 ,
-8  ,
-10 ,
-7  ,
-9  ,
-5  ,
-9  ,
-3  ,
-8  ,
-3  ,
-6  ,
-3  ,
-5  ,
-1  ,
-6  ,
1 ,
-6  ,
0 ,
-3  ,
-2  ,
0 ,
-3  ,
2 ,
-1  ,
0 ,
5 ,
-2  ,
8 ,
1 ,
6 ,
7 ,
4 ,
11  ,
5 ,
10  ,
10  ,
7 ,
16  ,
6 ,
16  ,
10  ,
15  ,
14  ,
14  ,
16  ,
15  ,
16  ,
16  ,
17  ,
16  ,
15  ,
18  ,
16  ,
16  ,
16  ,
15  ,
15  ,
16  ,
14  ,
14  ,
14  ,
14  ,
13  ,
12  ,
14  ,
11  ,
13  ,
12  ,
10  ,
12  ,
10  ,
10  ,
10  ,
9 ,
9 ,
10  ,
7 ,
10  ,
6 ,
11  ,
5 ,
11  ,
6 ,
7 ,
9 ,
4 ,
10  ,
4 ,
7 ,
6 ,
5 ,
5 ,
6 ,
2 ,
8 ,
2 ,
7 ,
3 ,
3 ,
6 ,
3 ,
4 ,
4 ,
2 ,
2 ,
2 ,
-1  ,
1 ,
-3  ,
-1  ,
-6  ,
-3  ,
-7  ,
-7  ,
-7  ,
-10 ,
-8  ,
-13 ,
-10 ,
-12 ,
-15 ,
-11 ,
-17 ,
-15 ,
-15 ,
-19 ,
-14 ,
-20 ,
-17 ,
-18 ,
-19 ,
-17 ,
-19 ,
-18 ,
-17 ,
-18 ,
-16 ,
-16 ,
-17 ,
-14 ,
-16 ,
-13 ,
-14 ,
-14 ,
-12 ,
-12 ,
-12 ,
-9  ,
-12 ,
-8  ,
-8  ,
-7  ,
-5  ,
-4  ,
-5  ,
1 ,
-2  ,
2 ,
2 ,
2 ,
8 ,
2 ,
11  ,
5 ,
10  ,
12  ,
8 ,
15  ,
11  ,
15  ,
13  ,
15  ,
14  ,
17  ,
13  ,
17  ,
12  ,
18  ,
11  ,
16  ,
10  ,
15  ,
10  ,
12  ,
9 ,
11  ,
9 ,
9 ,
8 ,
7 ,
10  ,
5 ,
9 ,
6 ,
6 ,
8 ,
5 ,
7 ,
5 ,
7 ,
4 ,
8 ,
3 ,
8 ,
3 ,
7 ,
5 ,
5 ,
7 ,
3 ,
6 ,
4 ,
6 ,
4 ,
5 ,
4 ,
4 ,
6 ,
4 ,
5 ,
7 ,
5 ,
8 ,
7 ,
8 ,
9 ,
10  ,
10  ,
10  ,
11  ,
11  ,
12  ,
9 ,
12  ,
8 ,
11  ,
7 ,
9 ,
6 ,
7 ,
2 ,
6 ,
1 ,
2 ,
2 ,
-4  ,
1 ,
-6  ,
-3  ,
-7  ,
-6  ,
-10 ,
-9  ,
-13 ,
-13 ,
-14 ,
-18 ,
-14 ,
-23 ,
-17 ,
-23 ,
-21 ,
-24 ,
-21 ,
-28 ,
-22 ,
-27 ,
-25 ,
-25 ,
-28 ,
-24 ,
-28 ,
-23 ,
-27 ,
-23 ,
-24 ,
-22 ,
-20 ,
-21 ,
-17 ,
-17 ,
-13 ,
-14 ,
-8  ,
-11 ,
-6  ,
-5  ,
-3  ,
-3  ,
3 ,
-2  ,
7 ,
1 ,
7 ,
4 ,
9 ,
7 ,
10  ,
6 ,
12  ,
8 ,
10  ,
13  ,
6 ,
13  ,
8 ,
10  ,
9 ,
10  ,
5 ,
12  ,
2 ,
11  ,
2 ,
9 ,
4 ,
5 ,
6 ,
3 ,
6 ,
4 ,
5 ,
3 ,
6 ,
1 ,
7 ,
2 ,
6 ,
1 ,
7 ,
1 ,
8 ,
2 ,
6 ,
4 ,
5 ,
6 ,
6 ,
4 ,
9 ,
2 ,
10  ,
5 ,
7 ,
9 ,
5 ,
10  ,
6 ,
10  ,
7 ,
10  ,
9 ,
8 ,
11  ,
7 ,
12  ,
7 ,
12  ,
6 ,
10  ,
7 ,
7 ,
7 ,
5 ,
5 ,
3 ,
4 ,
2 ,
2 ,
0 ,
2 ,
-2  ,
1 ,
-3  ,
-1  ,
-3  ,
-3  ,
-4  ,
-5  ,
-6  ,
-6  ,
-7  ,
-9  ,
-7  ,
-13 ,
-8  ,
-13 ,
-11 ,
-13 ,
-13 ,
-15 ,
-13 ,
-18 ,
-13 ,
-18 ,
-15 ,
-19 ,
-16 ,
-18 ,
-18 ,
-15 ,
-20 ,
-15 ,
-16 ,
-18 ,
-13 ,
-16 ,
-13 ,
-13 ,
-14 ,
-9  ,
-13 ,
-7  ,
-11 ,
-8  ,
-6  ,
-9  ,
-4  ,
-7  ,
-3  ,
-5  ,
-4  ,
-3  ,
-4  ,
-1  ,
-3  ,
-2  ,
-2  ,
-1  ,
-4  ,
-1  ,
-2  ,
-3  ,
0 ,
-7  ,
0 ,
-6  ,
-2  ,
-5  ,
-6  ,
-3  ,
-6  ,
-4  ,
-5  ,
-6  ,
-2  ,
-6  ,
-4  ,
-1  ,
-7  ,
0 ,
-5  ,
-1  ,
-2  ,
-3  ,
-1  ,
-1  ,
-1  ,
-1  ,
1 ,
-3  ,
5 ,
-3  ,
4 ,
1 ,
0 ,
8 ,
-3  ,
10  ,
0 ,
8 ,
5 ,
7 ,
7 ,
8 ,
10  ,
8 ,
13  ,
10  ,
13  ,
12  ,
15  ,
14  ,
15  ,
16  ,
13  ,
18  ,
13  ,
16  ,
14  ,
12  ,
16  ,
8 ,
14  ,
8 ,
10  ,
8 ,
6 ,
8 ,
3 ,
8 ,
0 ,
6 ,
0 ,
2 ,
0 ,
0 ,
-1  ,
-3  ,
-2  ,
-5  ,
-3  ,
-7  ,
-4  ,
-8  ,
-6  ,
-8  ,
-10 ,
-7  ,
-10 ,
-9  ,
-11 ,
-9  ,
-12 ,
-9  ,
-13 ,
-9  ,
-12 ,
-9  ,
-12 ,
-9  ,
-10 ,
-10 ,
-8  ,
-9  ,
-8  ,
-7  ,
-8  ,
-6  ,
-6  ,
-7  ,
-4  ,
-7  ,
-4  ,
-5  ,
-5  ,
-4  ,
-6  ,
-2  ,
-8  ,
0 ,
-10 ,
-1  ,
-6  ,
-5  ,
-5  ,
-5  ,
-7  ,
-3  ,
-8  ,
-3  ,
-7  ,
-5  ,
-6  ,
-5  ,
-5  ,
-4  ,
-5  ,
-3  ,
-4  ,
-3  ,
-1  ,
-3  ,
1 ,
-2  ,
0 ,
-1  ,
1 ,
0 ,
1 ,
-2  ,
2 ,
-2  ,
2 ,
-1  ,
-1  ,
1 ,
-2  ,
2 ,
-2  ,
1 ,
-1  ,
2 ,
0 ,
2 ,
1 ,
2 ,
3 ,
2 ,
4 ,
3 ,
5 ,
4 ,
6 ,
5 ,
7 ,
6 ,
8 ,
8 ,
9 ,
8 ,
10  ,
8 ,
11  ,
9 ,
10  ,
8 ,
11  ,
8 ,
11  ,
7 ,
12  ,
6 ,
13  ,
7 ,
12  ,
8 ,
11  ,
10  ,
12  ,
9 ,
12  ,
8 ,
12  ,
8 ,
10  ,
7 ,
10  ,
4 ,
10  ,
2 ,
10  ,
1 ,
8 ,
2 ,
6 ,
4 ,
4 ,
5 ,
4 ,
4 ,
6 ,
4 ,
6 ,
4 ,
6 ,
6 ,
6 ,
7 ,
7 ,
7 ,
10  ,
6 ,
11  ,
8 ,
11  ,
9 ,
13  ,
7 ,
14  ,
7 ,
13  ,
8 ,
10  ,
9 ,
6 ,
10  ,
3 ,
9 ,
2 ,
6 ,
3 ,
1 ,
4 ,
-2  ,
1 ,
0 ,
-5  ,
0 ,
-9  ,
-2  ,
-9  ,
-4  ,
-12 ,
-8  ,
-10 ,
-12 ,
-8  ,
-14 ,
-11 ,
-11 ,
-12 ,
-12 ,
-11 ,
-14 ,
-8  ,
-12 ,
-10 ,
-11 ,
-9  ,
-11 ,
-6  ,
-10 ,
-8  ,
-7  ,
-7  ,
-6  ,
-5  ,
-6  ,
-3  ,
-4  ,
-1  ,
-2  ,
1 ,
-1  ,
4 ,
0 ,
6 ,
4 ,
5 ,
7 ,
6 ,
7 ,
9 ,
7 ,
10  ,
7 ,
11  ,
6 ,
10  ,
8 ,
6 ,
9 ,
4 ,
6 ,
6 ,
3 ,
4 ,
2 ,
2 ,
1 ,
3 ,
-1  ,
3 ,
-2  ,
2 ,
-1  ,
0 ,
0 ,
-1  ,
0 ,
-3  ,
0 ,
-4  ,
0 ,
-4  ,
-1  ,
-3  ,
-2  ,
-1  ,
-4  ,
2 ,
-4  ,
2 ,
-1  ,
-1  ,
4 ,
-3  ,
6 ,
-1  ,
5 ,
2 ,
5 ,
5 ,
5 ,
9 ,
4 ,
11  ,
9 ,
10  ,
13  ,
10  ,
16  ,
11  ,
18  ,
13  ,
17  ,
15  ,
16  ,
17  ,
15  ,
16  ,
15  ,
14  ,
14  ,
14  ,
12  ,
12  ,
12  ,
8 ,
12  ,
6 ,
8 ,
5 ,
5 ,
1 ,
3 ,
-3  ,
-1  ,
-4  ,
-6  ,
-6  ,
-8  ,
-10 ,
-9  ,
-13 ,
-11 ,
-14 ,
-12 ,
-16 ,
-14 ,
-17 ,
-17 ,
-16 ,
-17 ,
-19 ,
-17 ,
-18 ,
-21 ,
-14 ,
-22 ,
-15 ,
-18 ,
-18 ,
-14 ,
-17 ,
-12 ,
-15 ,
-10 ,
-12 ,
-7  ,
-9  ,
-5  ,
-6  ,
-2  ,
-4  ,
1 ,
-2  ,
2 ,
2 ,
2 ,
3 ,
3 ,
4 ,
4 ,
3 ,
4 ,
2 ,
4 ,
2 ,
1 ,
3 ,
-1  ,
1 ,
-1  ,
1 ,
-3  ,
1 ,
-5  ,
1 ,
-4  ,
0 ,
-5  ,
0 ,
-6  ,
-1  ,
-5  ,
-3  ,
-5  ,
-3  ,
-7  ,
-2  ,
-6  ,
-4  ,
-3  ,
-5  ,
-2  ,
-2  ,
-4  ,
0 ,
-1  ,
-2  ,
4 ,
-3  ,
4 ,
1 ,
5 ,
1 ,
8 ,
2 ,
9 ,
5 ,
9 ,
7 ,
11  ,
8 ,
13  ,
9 ,
13  ,
11  ,
12  ,
14  ,
10  ,
14  ,
11  ,
12  ,
12  ,
9 ,
12  ,
9 ,
11  ,
8 ,
9 ,
9 ,
7 ,
7 ,
9 ,
3 ,
10  ,
0 ,
9 ,
0 ,
5 ,
1 ,
0 ,
2 ,
-3  ,
1 ,
-4  ,
-1  ,
-4  ,
-3  ,
-3  ,
-4  ,
-4  ,
-5  ,
-5  ,
-4  ,
-7  ,
-4  ,
-10 ,
-3  ,
-12 ,
-4  ,
-12 ,
-6  ,
-11 ,
-8  ,
-11 ,
-8  ,
-12 ,
-7  ,
-13 ,
-7  ,
-10 ,
-11 ,
-8  ,
-11 ,
-8  ,
-10 ,
-9  ,
-10 ,
-7  ,
-12 ,
-4  ,
-14 ,
-4  ,
-11 ,
-7  ,
-7  ,
-10 ,
-6  ,
-10 ,
-7  ,
-8  ,
-11 ,
-6  ,
-13 ,
-6  ,
-13 ,
-8  ,
-12 ,
-9  ,
-11 ,
-11 ,
-8  ,
-12 ,
-6  ,
-13 ,
-6  ,
-12 ,
-6  ,
-10 ,
-9  ,
-9  ,
-11 ,
-8  ,
-11 ,
-8  ,
-12 ,
-7  ,
-13 ,
-6  ,
-11 ,
-6  ,
-11 ,
-4  ,
-11 ,
-1  ,
-9  ,
-2  ,
-5  ,
-2  ,
-3  ,
2 ,
-3  ,
4 ,
0 ,
5 ,
4 ,
5 ,
8 ,
7 ,
10  ,
10  ,
11  ,
13  ,
12  ,
16  ,
14  ,
15  ,
15  ,
16  ,
16  ,
16  ,
14  ,
17  ,
14  ,
16  ,
13  ,
13  ,
14  ,
13  ,
11  ,
11  ,
10  ,
10  ,
7 ,
10  ,
4 ,
8 ,
4 ,
3 ,
5 ,
0 ,
5 ,
-2  ,
2 ,
1 ,
-3  ,
3 ,
-4  ,
0 ,
-1  ,
-3  ,
-2  ,
-1  ,
-6  ,
1 ,
-9  ,
1 ,
-9  ,
-2  ,
-7  ,
-5  ,
-6  ,
-6  ,
-8  ,
-5  ,
-9  ,
-5  ,
-8  ,
-8  ,
-7  ,
-8  ,
-8  ,
-7  ,
-9  ,
-7  ,
-8  ,
-8  ,
-7  ,
-8  ,
-7  ,
-8  ,
-6  ,
-8  ,
-7  ,
-9  ,
-6  ,
-12 ,
-3  ,
-14 ,
-6  ,
-11 ,
-10 ,
-8  ,
-12 ,
-6  ,
-12 ,
-6  ,
-9  ,
-7  ,
-8  ,
-3  ,
-9  ,
0 ,
-8  ,
-2  ,
-4  ,
-3  ,
-4  ,
-3  ,
-3  ,
-3  ,
-3  ,
-3  ,
-4  ,
-1  ,
-4  ,
0 ,
-4  ,
1 ,
-2  ,
0 ,
2 ,
-2  ,
4 ,
0 ,
4 ,
1 ,
5 ,
2 ,
4 ,
5 ,
4 ,
6 ,
6 ,
5 ,
9 ,
6 ,
11  ,
7 ,
12  ,
11  ,
11  ,
12  ,
13  ,
13  ,
14  ,
13  ,
14  ,
14  ,
14  ,
16  ,
11  ,
18  ,
11  ,
17  ,
14  ,
13  ,
16  ,
12  ,
14  ,
15  ,
11  ,
15  ,
11  ,
11  ,
14  ,
7 ,
14  ,
9 ,
9 ,
10  ,
8 ,
9 ,
11  ,
5 ,
11  ,
6 ,
9 ,
9 ,
6 ,
9 ,
5 ,
10  ,
4 ,
9 ,
6 ,
5 ,
9 ,
3 ,
9 ,
4 ,
8 ,
5 ,
7 ,
5 ,
8 ,
4 ,
10  ,
2 ,
10  ,
4 ,
6 ,
7 ,
4 ,
8 ,
3 ,
6 ,
2 ,
6 ,
1 ,
3 ,
0 ,
0 ,
-2  ,
-1  ,
-5  ,
-3  ,
-8  ,
-5  ,
-9  ,
-9  ,
-8  ,
-14 ,
-8  ,
-14 ,
-11 ,
-15 ,
-12 ,
-15 ,
-14 ,
-13 ,
-18 ,
-12 ,
-18 ,
-15 ,
-14 ,
-18 ,
-14 ,
-16 ,
-16 ,
-13 ,
-14 ,
-14 ,
-10 ,
-13 ,
-7  ,
-10 ,
-7  ,
-5  ,
-5  ,
0 ,
-5  ,
3 ,
-1  ,
4 ,
4 ,
5 ,
5 ,
11  ,
4 ,
15  ,
7 ,
13  ,
13  ,
11  ,
14  ,
14  ,
14  ,
14  ,
13  ,
14  ,
13  ,
14  ,
12  ,
13  ,
11  ,
13  ,
8 ,
14  ,
5 ,
14  ,
5 ,
9 ,
9 ,
3 ,
11  ,
1 ,
9 ,
1 ,
6 ,
2 ,
3 ,
3 ,
1 ,
2 ,
1 ,
2 ,
0 ,
3 ,
-1  ,
4 ,
-1  ,
3 ,
0 ,
2 ,
1 ,
0 ,
2 ,
-2  ,
3 ,
-1  ,
-1  ,
3 ,
-4  ,
4 ,
-1  ,
1 ,
2 ,
0 ,
4 ,
2 ,
3 ,
3 ,
5 ,
2 ,
7 ,
3 ,
7 ,
4 ,
7 ,
4 ,
8 ,
6 ,
6 ,
7 ,
5 ,
7 ,
4 ,
6 ,
3 ,
4 ,
1 ,
1 ,
1 ,
-4  ,
1 ,
-8  ,
-3  ,
-8  ,
-8  ,
-8  ,
-11 ,
-12 ,
-11 ,
-16 ,
-10 ,
-18 ,
-12 ,
-19 ,
-14 ,
-20 ,
-14 ,
-22 ,
-16 ,
-21 ,
-20 ,
-18 ,
-23 ,
-17 ,
-22 ,
-19 ,
-19 ,
-18 ,
-18 ,
-15 ,
-17 ,
-14 ,
-12 ,
-12 ,
-10 ,
-8  ,
-8  ,
-5  ,
-4  ,
-4  ,
0 ,
-1  ,
1 ,
3 ,
3 ,
3 ,
7 ,
4 ,
8 ,
7 ,
9 ,
6 ,
13  ,
4 ,
15  ,
5 ,
13  ,
7 ,
11  ,
8 ,
9 ,
8 ,
7 ,
8 ,
5 ,
8 ,
3 ,
7 ,
2 ,
6 ,
0 ,
5 ,
1 ,
2 ,
3 ,
-1  ,
2 ,
2 ,
-1  ,
3 ,
-1  ,
2 ,
1 ,
1 ,
0 ,
3 ,
-1  ,
2 ,
1 ,
1 ,
2 ,
1 ,
0 ,
4 ,
-1  ,
5 ,
-2  ,
7 ,
-2  ,
6 ,
0 ,
5 ,
2 ,
3 ,
3 ,
3 ,
2 ,
5 ,
-1  ,
6 ,
-1  ,
5 ,
0 ,
4 ,
1 ,
2 ,
2 ,
1 ,
3 ,
0 ,
2 ,
0 ,
0 ,
0 ,
-2  ,
0 ,
-4  ,
0 ,
-6  ,
-1  ,
-5  ,
-4  ,
-4  ,
-6  ,
-3  ,
-8  ,
-2  ,
-10 ,
-1  ,
-12 ,
-1  ,
-11 ,
-5  ,
-9  ,
-9  ,
-7  ,
-10 ,
-9  ,
-8  ,
-12 ,
-8  ,
-10 ,
-10 ,
-8  ,
-10 ,
-8  ,
-10 ,
-7  ,
-11 ,
-6  ,
-10 ,
-7  ,
-9  ,
-8  ,
-9  ,
-7  ,
-10 ,
-6  ,
-10 ,
-6  ,
-9  ,
-6  ,
-9  ,
-5  ,
-7  ,
-5  ,
-5  ,
-7  ,
-3  ,
-5  ,
-3  ,
-3  ,
-2  ,
-5  ,
2 ,
-5  ,
2 ,
-2  ,
-1  ,
2 ,
-3  ,
4 ,
-2  ,
3 ,
0 ,
2 ,
0 ,
3 ,
1 ,
1 ,
4 ,
-3  ,
5 ,
0 ,
0 ,
2 ,
0 ,
0 ,
1 ,
-1  ,
-1  ,
0 ,
0 ,
-3  ,
1 ,
-4  ,
1 ,
-4  ,
0 ,
-2  ,
-2  ,
0 ,
-2  ,
0 ,
-2  ,
2 ,
-1  ,
3 ,
0 ,
3 ,
1 ,
7 ,
1 ,
6 ,
6 ,
3 ,
12  ,
2 ,
11  ,
7 ,
7 ,
11  ,
8 ,
8 ,
11  ,
5 ,
11  ,
7 ,
7 ,
8 ,
5 ,
7 ,
5 ,
4 ,
4 ,
4 ,
1 ,
5 ,
-3  ,
6 ,
-4  ,
4 ,
-4  ,
2 ,
-4  ,
2 ,
-4  ,
-3  ,
-1  ,
-6  ,
0 ,
-6  ,
-5  ,
-4  ,
-6  ,
-5  ,
-5  ,
-6  ,
-7  ,
-4  ,
-9  ,
-2  ,
-11 ,
-2  ,
-9  ,
-6  ,
-5  ,
-10 ,
-4  ,
-8  ,
-8  ,
-5  ,
-9  ,
-6  ,
-6  ,
-8  ,
-4  ,
-7  ,
-5  ,
-6  ,
-4  ,
-5  ,
-3  ,
-6  ,
-1  ,
-8  ,
2 ,
-8  ,
0 ,
-4  ,
-3  ,
0 ,
-4  ,
2 ,
-4  ,
3 ,
-1  ,
2 ,
2 ,
1 ,
4 ,
2 ,
6 ,
2 ,
7 ,
2 ,
6 ,
5 ,
4 ,
5 ,
5 ,
3 ,
7 ,
2 ,
6 ,
2 ,
6 ,
3 ,
3 ,
6 ,
1 ,
5 ,
2 ,
3 ,
2 ,
4 ,
0 ,
3 ,
1 ,
1 ,
2 ,
2 ,
0 ,
2 ,
1 ,
3 ,
2 ,
2 ,
2 ,
4 ,
2 ,
7 ,
-1  ,
8 ,
2 ,
5 ,
5 ,
4 ,
5 ,
4 ,
7 ,
3 ,
8 ,
3 ,
7 ,
4 ,
9 ,
5 ,
5 ,
9 ,
2 ,
10  ,
3 ,
8 ,
3 ,
8 ,
3 ,
6 ,
5 ,
4 ,
6 ,
5 ,
5 ,
4 ,
6 ,
4 ,
6 ,
4 ,
5 ,
7 ,
2 ,
9 ,
2 ,
8 ,
6 ,
4 ,
9 ,
5 ,
9 ,
5 ,
9 ,
7 ,
9 ,
8 ,
9 ,
9 ,
8 ,
11  ,
8 ,
11  ,
9 ,
10  ,
10  ,
10  ,
10  ,
8 ,
10  ,
8 ,
9 ,
7 ,
7 ,
6 ,
6 ,
6 ,
2 ,
6 ,
1 ,
3 ,
2 ,
-1  ,
1 ,
-2  ,
-2  ,
-2  ,
-6  ,
-2  ,
-8  ,
-3  ,
-9  ,
-7  ,
-8  ,
-9  ,
-9  ,
-9  ,
-11 ,
-9  ,
-10 ,
-12 ,
-8  ,
-13 ,
-6  ,
-12 ,
-7  ,
-9  ,
-8  ,
-7  ,
-6  ,
-6  ,
-5  ,
-3  ,
-8  ,
1 ,
-5  ,
0 ,
0 ,
-2  ,
3 ,
1 ,
4 ,
3 ,
4 ,
5 ,
5 ,
7 ,
5 ,
8 ,
5 ,
8 ,
5 ,
8 ,
6 ,
6 ,
7 ,
3 ,
7 ,
5 ,
2 ,
7 ,
-1  ,
6 ,
-1  ,
2 ,
0 ,
-1  ,
-1  ,
-2  ,
-4  ,
-3  ,
-4  ,
-5  ,
-5  ,
-6  ,
-5  ,
-8  ,
-3  ,
-10 ,
0 ,
-11 ,
-1  ,
-8  ,
-2  ,
-6  ,
-2  ,
-6  ,
-1  ,
-4  ,
-2  ,
-2  ,
-2  ,
-2  ,
0 ,
-2  ,
2 ,
-1  ,
2 ,
2 ,
2 ,
4 ,
4 ,
4 ,
6 ,
6 ,
7 ,
9 ,
7 ,
10  ,
8 ,
12  ,
9 ,
14  ,
8 ,
14  ,
10  ,
14  ,
10  ,
14  ,
9 ,
13  ,
10  ,
11  ,
9 ,
10  ,
8 ,
8 ,
7 ,
5 ,
6 ,
2 ,
4 ,
1 ,
1 ,
-1  ,
-1  ,
-3  ,
-2  ,
-6  ,
-3  ,
-8  ,
-5  ,
-8  ,
-9  ,
-9  ,
-10 ,
-12 ,
-9  ,
-17 ,
-9  ,
-18 ,
-12 ,
-15 ,
-17 ,
-12 ,
-21 ,
-8  ,
-22 ,
-9  ,
-18 ,
-12 ,
-14 ,
-11 ,
-12 ,
-9  ,
-11 ,
-7  ,
-9  ,
-3  ,
-9  ,
0 ,
-8  ,
1 ,
-3  ,
-3  ,
3 ,
-4  ,
3 ,
1 ,
-2  ,
5 ,
-1  ,
3 ,
1 ,
2 ,
1 ,
2 ,
0 ,
3 ,
-3  ,
5 ,
-6  ,
4 ,
-4  ,
0 ,
-3  ,
-2  ,
-4  ,
-4  ,
-2  ,
-6  ,
-3  ,
-6  ,
-5  ,
-4  ,
-7  ,
-4  ,
-8  ,
-3  ,
-7  ,
-5  ,
-8  ,
-4  ,
-7  ,
-3  ,
-7  ,
-4  ,
-4  ,
-5  ,
-3  ,
-2  ,
-3  ,
-1  ,
-1  ,
-2  ,
4 ,
-3  ,
6 ,
0 ,
5 ,
4 ,
4 ,
7 ,
5 ,
8 ,
6 ,
9 ,
8 ,
9 ,
10  ,
9 ,
10  ,
11  ,
9 ,
11  ,
10  ,
11  ,
8 ,
14  ,
5 ,
14  ,
6 ,
11  ,
10  ,
7 ,
10  ,
7 ,
8 ,
10  ,
4 ,
11  ,
3 ,
9 ,
5 ,
6 ,
5 ,
4 ,
5 ,
2 ,
4 ,
0 ,
4 ,
-4  ,
5 ,
-7  ,
3 ,
-6  ,
0 ,
-6  ,
-3  ,
-5  ,
-6  ,
-3  ,
-9  ,
-4  ,
-9  ,
-7  ,
-7  ,
-9  ,
-9  ,
-7  ,
-13 ,
-5  ,
-13 ,
-8  ,
-11 ,
-11 ,
-8  ,
-12 ,
-10 ,
-9  ,
-13 ,
-6  ,
-13 ,
-8  ,
-9  ,
-11 ,
-6  ,
-12 ,
-4  ,
-11 ,
-7  ,
-7  ,
-9  ,
-4  ,
-10 ,
-5  ,
-8  ,
-6  ,
-5  ,
-7  ,
-6  ,
-6  ,
-6  ,
-5  ,
-4  ,
-8  ,
-4  ,
-5  ,
-7  ,
-3  ,
-8  ,
-4  ,
-4  ,
-7  ,
-4  ,
-8  ,
-2  ,
-10 ,
-2  ,
-10 ,
-3  ,
-8  ,
-5  ,
-7  ,
-6  ,
-6  ,
-5  ,
-7  ,
-4  ,
-4  ,
-7  ,
-1  ,
-6  ,
-1  ,
-2  ,
-2  ,
1 ,
-1  ,
4 ,
0 ,
6 ,
3 ,
6 ,
7 ,
5 ,
10  ,
7 ,
11  ,
9 ,
11  ,
10  ,
13  ,
9 ,
16  ,
10  ,
14  ,
13  ,
12  ,
13  ,
15  ,
11  ,
15  ,
11  ,
14  ,
11  ,
14  ,
11  ,
11  ,
11  ,
11  ,
8 ,
12  ,
5 ,
9 ,
5 ,
7 ,
3 ,
5 ,
1 ,
3 ,
-1  ,
1 ,
-3  ,
0 ,
-5  ,
-1  ,
-8  ,
-2  ,
-9  ,
-5  ,
-7  ,
-9  ,
-7  ,
-10 ,
-9  ,
-8  ,
-11 ,
-9  ,
-10 ,
-11 ,
-9  ,
-12 ,
-9  ,
-13 ,
-8  ,
-13 ,
-9  ,
-12 ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-9  ,
-9  ,
-9  ,
-10 ,
-7  ,
-10 ,
-7  ,
-8  ,
-9  ,
-4  ,
-9  ,
-4  ,
-7  ,
-4  ,
-6  ,
-2  ,
-5  ,
-2  ,
-4  ,
-2  ,
-3  ,
-2  ,
0 ,
-4  ,
0 ,
-1  ,
-4  ,
2 ,
-4  ,
0 ,
-1  ,
-3  ,
0 ,
-3  ,
-2  ,
-1  ,
-2  ,
-2  ,
0 ,
-4  ,
1 ,
-3  ,
1 ,
-3  ,
3 ,
-3  ,
4 ,
-2  ,
4 ,
1 ,
3 ,
3 ,
4 ,
3 ,
7 ,
2 ,
6 ,
6 ,
4 ,
8 ,
4 ,
8 ,
5 ,
9 ,
4 ,
10  ,
7 ,
7 ,
11  ,
5 ,
12  ,
8 ,
9 ,
12  ,
7 ,
15  ,
7 ,
14  ,
10  ,
12  ,
13  ,
11  ,
12  ,
12  ,
12  ,
11  ,
13  ,
9 ,
13  ,
9 ,
12  ,
9 ,
11  ,
8 ,
11  ,
8 ,
10  ,
8 ,
10  ,
7 ,
9 ,
9 ,
8 ,
8 ,
9 ,
7 ,
11  ,
7 ,
9 ,
8 ,
9 ,
9 ,
8 ,
9 ,
8 ,
9 ,
7 ,
6 ,
9 ,
5 ,
8 ,
3 ,
6 ,
4 ,
4 ,
3 ,
2 ,
2 ,
0 ,
1 ,
-2  ,
-2  ,
-3  ,
-4  ,
-5  ,
-7  ,
-7  ,
-8  ,
-10 ,
-8  ,
-14 ,
-9  ,
-15 ,
-10 ,
-15 ,
-14 ,
-13 ,
-17 ,
-11 ,
-18 ,
-12 ,
-16 ,
-13 ,
-16 ,
-12 ,
-13 ,
-13 ,
-11 ,
-12 ,
-11 ,
-7  ,
-11 ,
-5  ,
-9  ,
-4  ,
-5  ,
-3  ,
0 ,
-5  ,
4 ,
-3  ,
5 ,
3 ,
3 ,
7 ,
5 ,
6 ,
10  ,
8 ,
9 ,
12  ,
8 ,
14  ,
11  ,
12  ,
13  ,
12  ,
12  ,
14  ,
10  ,
15  ,
9 ,
13  ,
10  ,
11  ,
11  ,
8 ,
11  ,
6 ,
10  ,
7 ,
7 ,
8 ,
5 ,
6 ,
7 ,
5 ,
5 ,
5 ,
4 ,
5 ,
3 ,
3 ,
5 ,
1 ,
4 ,
1 ,
2 ,
3 ,
1 ,
4 ,
0 ,
3 ,
3 ,
1 ,
4 ,
3 ,
3 ,
5 ,
3 ,
6 ,
3 ,
8 ,
3 ,
10  ,
4 ,
9 ,
6 ,
10  ,
7 ,
9 ,
7 ,
10  ,
7 ,
9 ,
8 ,
7 ,
9 ,
6 ,
6 ,
8 ,
4 ,
8 ,
2 ,
6 ,
1 ,
4 ,
0 ,
3 ,
-4  ,
1 ,
-5  ,
-3  ,
-5  ,
-6  ,
-8  ,
-6  ,
-9  ,
-11 ,
-8  ,
-13 ,
-9  ,
-13 ,
-13 ,
-12 ,
-15 ,
-12 ,
-16 ,
-16 ,
-13 ,
-19 ,
-12 ,
-18 ,
-16 ,
-16 ,
-16 ,
-16 ,
-14 ,
-17 ,
-13 ,
-15 ,
-12 ,
-13 ,
-11 ,
-12 ,
-8  ,
-10 ,
-5  ,
-9  ,
-4  ,
-4  ,
-5  ,
0 ,
-4  ,
1 ,
1 ,
-1  ,
4 ,
0 ,
4 ,
4 ,
1 ,
8 ,
1 ,
7 ,
5 ,
3 ,
9 ,
1 ,
9 ,
4 ,
6 ,
7 ,
3 ,
7 ,
5 ,
6 ,
4 ,
7 ,
4 ,
5 ,
8 ,
1 ,
9 ,
3 ,
6 ,
5 ,
4 ,
5 ,
3 ,
5 ,
2 ,
3 ,
2 ,
2 ,
2 ,
0 ,
2 ,
-1  ,
2 ,
-1  ,
1 ,
0 ,
0 ,
2 ,
-2  ,
3 ,
1 ,
-1  ,
6 ,
-2  ,
5 ,
2 ,
2 ,
5 ,
1 ,
5 ,
0 ,
5 ,
2 ,
2 ,
4 ,
0 ,
3 ,
2 ,
1 ,
3 ,
0 ,
2 ,
0 ,
2 ,
-1  ,
0 ,
0 ,
-3  ,
0 ,
-3  ,
-3  ,
-3  ,
-4  ,
-4  ,
-4  ,
-5  ,
-5  ,
-7  ,
-3  ,
-8  ,
-4  ,
-8  ,
-6  ,
-7  ,
-7  ,
-7  ,
-8  ,
-8  ,
-7  ,
-10 ,
-6  ,
-11 ,
-6  ,
-12 ,
-6  ,
-11 ,
-8  ,
-12 ,
-7  ,
-13 ,
-7  ,
-11 ,
-12 ,
-8  ,
-13 ,
-8  ,
-12 ,
-9  ,
-11 ,
-10 ,
-10 ,
-9  ,
-10 ,
-9  ,
-9  ,
-9  ,
-7  ,
-9  ,
-7  ,
-7  ,
-7  ,
-7  ,
-6  ,
-6  ,
-4  ,
-5  ,
-5  ,
-5  ,
-2  ,
-4  ,
-1  ,
-4  ,
-1  ,
-1  ,
-2  ,
1 ,
-1  ,
0 ,
2 ,
0 ,
2 ,
2 ,
1 ,
5 ,
-1  ,
7 ,
-3  ,
8 ,
-2  ,
5 ,
0 ,
2 ,
1 ,
1 ,
-2  ,
2 ,
-1  ,
-2  ,
1 ,
-5  ,
3 ,
-4  ,
-1  ,
-1  ,
-2  ,
0 ,
0 ,
-2  ,
0 ,
2 ,
-2  ,
4 ,
-1  ,
3 ,
1 ,
3 ,
1 ,
5 ,
1 ,
5 ,
2 ,
5 ,
4 ,
4 ,
7 ,
2 ,
10  ,
1 ,
10  ,
3 ,
7 ,
7 ,
3 ,
8 ,
3 ,
5 ,
5 ,
3 ,
3 ,
3 ,
3 ,
2 ,
2 ,
2 ,
0 ,
3 ,
-1  ,
2 ,
-1  ,
0 ,
-1  ,
-2  ,
-1  ,
-3  ,
-4  ,
-3  ,
-6  ,
-5  ,
-6  ,
-7  ,
-6  ,
-8  ,
-8  ,
-8  ,
-10 ,
-6  ,
-10 ,
-9  ,
-7  ,
-11 ,
-6  ,
-10 ,
-8  ,
-8  ,
-7  ,
-9  ,
-5  ,
-10 ,
-4  ,
-8  ,
-5  ,
-6  ,
-5  ,
-4  ,
-5  ,
-4  ,
-4  ,
-2  ,
-4  ,
-2  ,
-2  ,
-3  ,
1 ,
-4  ,
2 ,
-2  ,
2 ,
0 ,
2 ,
1 ,
3 ,
2 ,
5 ,
1 ,
6 ,
1 ,
8 ,
1 ,
8 ,
3 ,
5 ,
7 ,
1 ,
9 ,
1 ,
8 ,
2 ,
5 ,
3 ,
4 ,
2 ,
6 ,
-1  ,
6 ,
0 ,
3 ,
3 ,
0 ,
5 ,
-1  ,
5 ,
0 ,
4 ,
2 ,
4 ,
2 ,
5 ,
2 ,
7 ,
3 ,
5 ,
5 ,
3 ,
8 ,
3 ,
6 ,
5 ,
2 ,
9 ,
0 ,
9 ,
1 ,
6 ,
3 ,
4 ,
5 ,
2 ,
5 ,
2 ,
5 ,
2 ,
4 ,
3 ,
3 ,
5 ,
2 ,
4 ,
3 ,
5 ,
2 ,
5 ,
3 ,
4 ,
4 ,
4 ,
4 ,
5 ,
3 ,
5 ,
4 ,
5 ,
5 ,
4 ,
6 ,
4 ,
6 ,
5 ,
6 ,
5 ,
7 ,
5 ,
8 ,
5 ,
7 ,
6 ,
8 ,
6 ,
8 ,
5 ,
8 ,
7 ,
8 ,
6 ,
9 ,
5 ,
12  ,
5 ,
10  ,
8 ,
9 ,
8 ,
10  ,
7 ,
9 ,
8 ,
7 ,
8 ,
5 ,
7 ,
4 ,
5 ,
3 ,
4 ,
1 ,
3 ,
-3  ,
3 ,
-4  ,
0 ,
-4  ,
-4  ,
-5  ,
-4  ,
-8  ,
-6  ,
-7  ,
-10 ,
-6  ,
-11 ,
-9  ,
-9  ,
-11 ,
-11 ,
-9  ,
-12 ,
-11 ,
-8  ,
-14 ,
-7  ,
-10 ,
-11 ,
-4  ,
-11 ,
-3  ,
-8  ,
-3  ,
-4  ,
-1  ,
-3  ,
2 ,
0 ,
2 ,
4 ,
2 ,
7 ,
5 ,
5 ,
9 ,
5 ,
10  ,
6 ,
10  ,
6 ,
11  ,
5 ,
11  ,
4 ,
11  ,
3 ,
8 ,
4 ,
6 ,
2 ,
6 ,
-1  ,
5 ,
0 ,
1 ,
0 ,
-1  ,
-2  ,
0 ,
-4  ,
0 ,
-5  ,
-3  ,
-5  ,
-3  ,
-5  ,
-3  ,
-7  ,
-3  ,
-7  ,
-2  ,
-7  ,
-2  ,
-7  ,
-3  ,
-3  ,
-5  ,
-2  ,
-5  ,
-1  ,
-3  ,
0 ,
-4  ,
3 ,
-4  ,
5 ,
-3  ,
4 ,
1 ,
4 ,
3 ,
4 ,
4 ,
5 ,
6 ,
6 ,
6 ,
7 ,
7 ,
8 ,
8 ,
8 ,
8 ,
8 ,
9 ,
6 ,
10  ,
7 ,
7 ,
9 ,
4 ,
9 ,
4 ,
8 ,
3 ,
7 ,
2 ,
5 ,
3 ,
0 ,
4 ,
-1  ,
2 ,
-1  ,
-2  ,
-1  ,
-4  ,
0 ,
-8  ,
0 ,
-10 ,
-2  ,
-8  ,
-8  ,
-7  ,
-8  ,
-10 ,
-7  ,
-13 ,
-8  ,
-11 ,
-10 ,
-10 ,
-12 ,
-9  ,
-12 ,
-8  ,
-11 ,
-9  ,
-8  ,
-10 ,
-5  ,
-9  ,
-7  ,
-4  ,
-7  ,
-3  ,
-4  ,
-5  ,
-2  ,
-4  ,
-1  ,
-3  ,
-3  ,
0 ,
-6  ,
2 ,
-4  ,
-1  ,
-3  ,
0 ,
-5  ,
2 ,
-4  ,
-1  ,
-2  ,
-1  ,
-4  ,
2 ,
-7  ,
2 ,
-4  ,
-2  ,
-4  ,
-1  ,
-5  ,
-1  ,
-5  ,
-5  ,
-1  ,
-7  ,
0 ,
-8  ,
0 ,
-7  ,
-1  ,
-5  ,
-1  ,
-6  ,
1 ,
-8  ,
3 ,
-7  ,
0 ,
-3  ,
-3  ,
-1  ,
-2  ,
-2  ,
0 ,
-2  ,
0 ,
0 ,
-1  ,
2 ,
-1  ,
2 ,
1 ,
0 ,
5 ,
-2  ,
8 ,
-3  ,
8 ,
1 ,
6 ,
5 ,
5 ,
6 ,
6 ,
6 ,
8 ,
6 ,
9 ,
6 ,
8 ,
8 ,
8 ,
7 ,
8 ,
7 ,
7 ,
7 ,
7 ,
5 ,
6 ,
6 ,
4 ,
6 ,
3 ,
4 ,
4 ,
2 ,
6 ,
-2  ,
7 ,
-2  ,
4 ,
0 ,
2 ,
-1  ,
1 ,
0 ,
-1  ,
1 ,
-3  ,
0 ,
-1  ,
-4  ,
1 ,
-7  ,
1 ,
-7  ,
-1  ,
-8  ,
-2  ,
-8  ,
-3  ,
-7  ,
-5  ,
-8  ,
-4  ,
-9  ,
-4  ,
-8  ,
-8  ,
-6  ,
-9  ,
-6  ,
-11 ,
-7  ,
-11 ,
-9  ,
-8  ,
-12 ,
-7  ,
-13 ,
-7  ,
-11 ,
-9  ,
-8  ,
-11 ,
-6  ,
-10 ,
-8  ,
-7  ,
-10 ,
-5  ,
-10 ,
-6  ,
-8  ,
-8  ,
-4  ,
-10 ,
-3  ,
-10 ,
-3  ,
-7  ,
-4  ,
-7  ,
-4  ,
-5  ,
-5  ,
-4  ,
-6  ,
-5  ,
-4  ,
-6  ,
-4  ,
-6  ,
-5  ,
-5  ,
-4  ,
-5  ,
-4  ,
-5  ,
-2  ,
-4  ,
-2  ,
-2  ,
-3  ,
1 ,
-2  ,
1 ,
-1  ,
1 ,
1 ,
1 ,
4 ,
1 ,
5 ,
3 ,
5 ,
7 ,
6 ,
9 ,
6 ,
12  ,
9 ,
11  ,
12  ,
10  ,
15  ,
11  ,
15  ,
12  ,
13  ,
16  ,
11  ,
16  ,
12  ,
14  ,
13  ,
13  ,
12  ,
13  ,
9 ,
14  ,
7 ,
12  ,
8 ,
9 ,
7 ,
7 ,
6 ,
6 ,
4 ,
6 ,
1 ,
3 ,
3 ,
-2  ,
3 ,
-3  ,
-1  ,
-2  ,
-4  ,
-4  ,
-4  ,
-6  ,
-5  ,
-7  ,
-6  ,
-7  ,
-6  ,
-7  ,
-5  ,
-9  ,
-4  ,
-8  ,
-4  ,
-8  ,
-5  ,
-9  ,
-4  ,
-10 ,
-5  ,
-10 ,
-7  ,
-8  ,
-10 ,
-7  ,
-8  ,
-9  ,
-6  ,
-8  ,
-8  ,
-5  ,
-7  ,
-7  ,
-4  ,
-8  ,
-4  ,
-7  ,
-4  ,
-7  ,
-4  ,
-7  ,
-4  ,
-7  ,
-4  ,
-6  ,
-5  ,
-5  ,
-5  ,
-6  ,
-3  ,
-7  ,
-2  ,
-7  ,
-3  ,
-5  ,
-3  ,
-5  ,
-3  ,
-4  ,
-3  ,
-4  ,
-1  ,
-4  ,
0 ,
-3  ,
-1  ,
-1  ,
1 ,
-1  ,
0 ,
1 ,
-1  ,
4 ,
-1  ,
4 ,
0 ,
4 ,
2 ,
5 ,
3 ,
6 ,
5 ,
7 ,
8 ,
8 ,
8 ,
11  ,
8 ,
15  ,
7 ,
14  ,
11  ,
11  ,
15  ,
9 ,
15  ,
9 ,
15  ,
10  ,
14  ,
11  ,
10  ,
14  ,
9 ,
15  ,
8 ,
15  ,
6 ,
18  ,
5 ,
17  ,
8 ,
13  ,
12  ,
11  ,
13  ,
12  ,
11  ,
13  ,
13  ,
9 ,
16  ,
8 ,
13  ,
12  ,
9 ,
13  ,
9 ,
13  ,
8 ,
12  ,
11  ,
9 ,
14  ,
7 ,
13  ,
10  ,
12  ,
9 ,
13  ,
7 ,
12  ,
9 ,
8 ,
9 ,
6 ,
8 ,
5 ,
7 ,
2 ,
5 ,
3 ,
1 ,
2 ,
-2  ,
1 ,
-4  ,
-2  ,
-5  ,
-7  ,
-4  ,
-12 ,
-6  ,
-13 ,
-9  ,
-15 ,
-11 ,
-17 ,
-13 ,
-17 ,
-16 ,
-18 ,
-16 ,
-21 ,
-16 ,
-21 ,
-19 ,
-20 ,
-19 ,
-22 ,
-17 ,
-22 ,
-18 ,
-18 ,
-20 ,
-14 ,
-19 ,
-12 ,
-17 ,
-10 ,
-14 ,
-7  ,
-10 ,
-8  ,
-5  ,
-7  ,
-3  ,
-2  ,
-4  ,
2 ,
-3  ,
3 ,
1 ,
5 ,
1 ,
7 ,
5 ,
6 ,
9 ,
6 ,
10  ,
7 ,
12  ,
7 ,
13  ,
7 ,
12  ,
9 ,
11  ,
9 ,
11  ,
7 ,
12  ,
6 ,
9 ,
9 ,
4 ,
11  ,
1 ,
10  ,
2 ,
6 ,
3 ,
5 ,
2 ,
5 ,
1 ,
4 ,
2 ,
3 ,
2 ,
3 ,
3 ,
1 ,
4 ,
3 ,
1 ,
7 ,
-1  ,
7 ,
2 ,
6 ,
3 ,
7 ,
3 ,
8 ,
5 ,
7 ,
6 ,
9 ,
6 ,
9 ,
8 ,
8 ,
9 ,
9 ,
8 ,
10  ,
8 ,
8 ,
8 ,
7 ,
10  ,
4 ,
9 ,
3 ,
7 ,
4 ,
4 ,
4 ,
2 ,
3 ,
-1  ,
3 ,
-3  ,
1 ,
-4  ,
-2  ,
-4  ,
-5  ,
-4  ,
-7  ,
-7  ,
-7  ,
-10 ,
-7  ,
-12 ,
-11 ,
-10 ,
-15 ,
-11 ,
-16 ,
-14 ,
-13 ,
-18 ,
-12 ,
-20 ,
-12 ,
-17 ,
-15 ,
-13 ,
-18 ,
-12 ,
-15 ,
-15 ,
-10 ,
-18 ,
-9  ,
-16 ,
-10 ,
-14 ,
-11 ,
-13 ,
-10 ,
-12 ,
-7  ,
-15 ,
-3  ,
-14 ,
-3  ,
-10 ,
-5  ,
-6  ,
-6  ,
-2  ,
-6  ,
-1  ,
-2  ,
-4  ,
3 ,
-4  ,
5 ,
-3  ,
5 ,
0 ,
4 ,
2 ,
4 ,
1 ,
6 ,
2 ,
3 ,
5 ,
0 ,
5 ,
2 ,
2 ,
2 ,
3 ,
1 ,
3 ,
2 ,
2 ,
3 ,
2 ,
5 ,
1 ,
6 ,
1 ,
7 ,
2 ,
5 ,
5 ,
1 ,
10  ,
-2  ,
10  ,
0 ,
7 ,
3 ,
5 ,
5 ,
2 ,
8 ,
2 ,
7 ,
4 ,
6 ,
5 ,
7 ,
5 ,
7 ,
7 ,
6 ,
7 ,
6 ,
7 ,
7 ,
5 ,
6 ,
7 ,
3 ,
7 ,
3 ,
4 ,
6 ,
1 ,
4 ,
4 ,
0 ,
5 ,
-1  ,
5 ,
-2  ,
5 ,
-1  ,
1 ,
3 ,
-3  ,
4 ,
-3  ,
2 ,
-2  ,
-1  ,
-1  ,
-5  ,
0 ,
-5  ,
-3  ,
-4  ,
-6  ,
-4  ,
-4  ,
-7  ,
-2  ,
-9  ,
-2  ,
-8  ,
-5  ,
-5  ,
-7  ,
-5  ,
-7  ,
-8  ,
-5  ,
-11 ,
-3  ,
-13 ,
-5  ,
-12 ,
-7  ,
-10 ,
-9  ,
-10 ,
-11 ,
-8  ,
-13 ,
-7  ,
-11 ,
-10 ,
-10 ,
-10 ,
-8  ,
-10 ,
-7  ,
-11 ,
-5  ,
-9  ,
-6  ,
-6  ,
-7  ,
-3  ,
-7  ,
-2  ,
-6  ,
-1  ,
-5  ,
-2  ,
-2  ,
-4  ,
1 ,
-6  ,
1 ,
-2  ,
-3  ,
1 ,
-3  ,
0 ,
1 ,
-2  ,
3 ,
-1  ,
2 ,
1 ,
2 ,
2 ,
2 ,
1 ,
3 ,
2 ,
1 ,
4 ,
0 ,
4 ,
1 ,
3 ,
3 ,
1 ,
7 ,
-2  ,
8 ,
1 ,
5 ,
4 ,
5 ,
3 ,
6 ,
5 ,
2 ,
11  ,
-2  ,
11  ,
0 ,
8 ,
3 ,
6 ,
5 ,
4 ,
6 ,
5 ,
6 ,
5 ,
7 ,
4 ,
8 ,
5 ,
6 ,
5 ,
7 ,
4 ,
6 ,
3 ,
5 ,
4 ,
4 ,
3 ,
1 ,
4 ,
-1  ,
5 ,
-4  ,
4 ,
-3  ,
1 ,
-1  ,
-2  ,
-1  ,
-3  ,
-1  ,
-2  ,
-3  ,
0 ,
-7  ,
1 ,
-6  ,
-1  ,
-5  ,
-3  ,
-5  ,
-4  ,
-5  ,
-8  ,
-2  ,
-10 ,
-3  ,
-8  ,
-9  ,
-4  ,
-11 ,
-4  ,
-11 ,
-5  ,
-10 ,
-6  ,
-8  ,
-8  ,
-6  ,
-6  ,
-7  ,
-4  ,
-6  ,
-4  ,
-3  ,
-5  ,
-2  ,
-4  ,
-1  ,
-4  ,
-1  ,
-2  ,
-3  ,
1 ,
-6  ,
2 ,
-5  ,
0 ,
-2  ,
-2  ,
-2  ,
-2  ,
-2  ,
-2  ,
-2  ,
-1  ,
-3  ,
0 ,
-3  ,
1 ,
-4  ,
2 ,
-4  ,
2 ,
-2  ,
0 ,
1 ,
-1  ,
0 ,
2 ,
-1  ,
4 ,
0 ,
3 ,
3 ,
2 ,
5 ,
1 ,
6 ,
4 ,
4 ,
6 ,
4 ,
6 ,
5 ,
5 ,
7 ,
4 ,
8 ,
3 ,
7 ,
5 ,
6 ,
5 ,
6 ,
5 ,
4 ,
7 ,
2 ,
9 ,
1 ,
6 ,
4 ,
3 ,
6 ,
1 ,
4 ,
3 ,
3 ,
2 ,
2 ,
2 ,
3 ,
2 ,
3 ,
0 ,
6 ,
-1  ,
6 ,
2 ,
3 ,
5 ,
3 ,
4 ,
6 ,
3 ,
7 ,
6 ,
5 ,
8 ,
6 ,
9 ,
7 ,
10  ,
6 ,
13  ,
4 ,
16  ,
5 ,
13  ,
8 ,
10  ,
12  ,
10  ,
11  ,
9 ,
12  ,
9 ,
13  ,
7 ,
13  ,
8 ,
13  ,
8 ,
10  ,
10  ,
10  ,
10  ,
9 ,
9 ,
7 ,
10  ,
4 ,
9 ,
2 ,
8 ,
-1  ,
5 ,
-2  ,
1 ,
-3  ,
0 ,
-8  ,
0 ,
-10 ,
-4  ,
-8  ,
-10 ,
-8  ,
-11 ,
-10 ,
-12 ,
-12 ,
-13 ,
-12 ,
-15 ,
-11 ,
-16 ,
-11 ,
-14 ,
-12 ,
-13 ,
-9  ,
-13 ,
-7  ,
-10 ,
-7  ,
-6  ,
-5  ,
-4  ,
-4  ,
-1  ,
-1  ,
-1  ,
2 ,
-1  ,
4 ,
2 ,
5 ,
2 ,
6 ,
5 ,
7 ,
5 ,
9 ,
3 ,
11  ,
5 ,
8 ,
8 ,
5 ,
7 ,
6 ,
6 ,
5 ,
6 ,
3 ,
5 ,
4 ,
1 ,
4 ,
2 ,
0 ,
3 ,
-4  ,
3 ,
-3  ,
-1  ,
-2  ,
-5  ,
-2  ,
-3  ,
-6  ,
-2  ,
-6  ,
-5  ,
-3  ,
-7  ,
-3  ,
-6  ,
-2  ,
-6  ,
-2  ,
-4  ,
-1  ,
-3  ,
-1  ,
-3  ,
3 ,
-4  ,
4 ,
-4  ,
4 ,
-1  ,
3 ,
0 ,
3 ,
2 ,
2 ,
4 ,
1 ,
4 ,
5 ,
1 ,
8 ,
0 ,
9 ,
2 ,
8 ,
4 ,
7 ,
7 ,
7 ,
8 ,
6 ,
9 ,
7 ,
9 ,
7 ,
8 ,
6 ,
8 ,
5 ,
7 ,
3 ,
7 ,
0 ,
7 ,
-1  ,
2 ,
2 ,
-3  ,
1 ,
-2  ,
-4  ,
-2  ,
-5  ,
-7  ,
-3  ,
-9  ,
-5  ,
-9  ,
-8  ,
-7  ,
-11 ,
-6  ,
-13 ,
-5  ,
-13 ,
-6  ,
-12 ,
-7  ,
-11 ,
-8  ,
-9  ,
-9  ,
-7  ,
-11 ,
-4  ,
-12 ,
-4  ,
-9  ,
-6  ,
-5  ,
-9  ,
-2  ,
-8  ,
-2  ,
-7  ,
-2  ,
-5  ,
-3  ,
-2  ,
-6  ,
-1  ,
-4  ,
-4  ,
-1  ,
-6  ,
-1  ,
-5  ,
-4  ,
-1  ,
-5  ,
-2  ,
-3  ,
-3  ,
-2  ,
-3  ,
-2  ,
-3  ,
-1  ,
-3  ,
-3  ,
-1  ,
-4  ,
-2  ,
-3  ,
-2  ,
-3  ,
-3  ,
-2  ,
-3  ,
-1  ,
-3  ,
-1  ,
-3  ,
3 ,
-5  ,
4 ,
-4  ,
4 ,
-1  ,
1 ,
2 ,
0 ,
4 ,
-2  ,
6 ,
-3  ,
6 ,
-1  ,
3 ,
3 ,
1 ,
3 ,
1 ,
5 ,
1 ,
4 ,
3 ,
3 ,
4 ,
5 ,
2 ,
6 ,
5 ,
3 ,
9 ,
1 ,
10  ,
3 ,
9 ,
5 ,
7 ,
8 ,
6 ,
8 ,
7 ,
7 ,
9 ,
7 ,
7 ,
8 ,
6 ,
9 ,
6 ,
7 ,
7 ,
5 ,
8 ,
3 ,
6 ,
4 ,
3 ,
5 ,
1 ,
2 ,
3 ,
-2  ,
3 ,
-3  ,
3 ,
-4  ,
0 ,
-2  ,
-2  ,
-2  ,
-2  ,
-4  ,
-1  ,
-5  ,
-3  ,
-3  ,
-5  ,
-2  ,
-7  ,
-4  ,
-5  ,
-7  ,
-4  ,
-8  ,
-7  ,
-7  ,
-9  ,
-8  ,
-8  ,
-10 ,
-9  ,
-9  ,
-11 ,
-8  ,
-11 ,
-9  ,
-10 ,
-9  ,
-10 ,
-8  ,
-10 ,
-7  ,
-10 ,
-6  ,
-9  ,
-6  ,
-6  ,
-9  ,
-3  ,
-8  ,
-5  ,
-5  ,
-6  ,
-3  ,
-7  ,
-2  ,
-6  ,
-1  ,
-4  ,
-2  ,
-2  ,
0 ,
-2  ,
3 ,
-3  ,
5 ,
-2  ,
6 ,
-1  ,
5 ,
1 ,
4 ,
3 ,
2 ,
3 ,
2 ,
4 ,
0 ,
4 ,
0 ,
3 ,
0 ,
4 ,
-3  ,
7 ,
-4  ,
5 ,
1 ,
1 ,
4 ,
1 ,
4 ,
3 ,
5 ,
3 ,
7 ,
3 ,
10  ,
3 ,
11  ,
5 ,
11  ,
7 ,
11  ,
7 ,
11  ,
10  ,
8 ,
13  ,
5 ,
14  ,
5 ,
13  ,
4 ,
14  ,
1 ,
14  ,
2 ,
10  ,
4 ,
7 ,
4 ,
6 ,
3 ,
5 ,
1 ,
5 ,
0 ,
3 ,
1 ,
1 ,
-1  ,
2 ,
-3  ,
1 ,
-3  ,
-2  ,
-3  ,
-1  ,
-6  ,
0 ,
-8  ,
-1  ,
-8  ,
-2  ,
-7  ,
-5  ,
-6  ,
-6  ,
-7  ,
-7  ,
-6  ,
-10 ,
-4  ,
-11 ,
-6  ,
-8  ,
-10 ,
-6  ,
-11 ,
-5  ,
-12 ,
-7  ,
-9  ,
-9  ,
-9  ,
-9  ,
-9  ,
-10 ,
-8  ,
-12 ,
-8  ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-9  ,
-11 ,
-8  ,
-9  ,
-10 ,
-6  ,
-10 ,
-5  ,
-7  ,
-7  ,
-4  ,
-6  ,
-5  ,
-2  ,
-5  ,
-3  ,
-1  ,
-6  ,
2 ,
-4  ,
1 ,
-3  ,
2 ,
-2  ,
3 ,
-2  ,
4 ,
-1  ,
4 ,
1 ,
2 ,
4 ,
3 ,
3 ,
5 ,
3 ,
5 ,
5 ,
5 ,
5 ,
7 ,
4 ,
7 ,
6 ,
7 ,
6 ,
7 ,
7 ,
8 ,
7 ,
8 ,
7 ,
9 ,
7 ,
8 ,
9 ,
8 ,
7 ,
11  ,
5 ,
12  ,
6 ,
10  ,
8 ,
11  ,
7 ,
10  ,
9 ,
9 ,
9 ,
10  ,
7 ,
11  ,
7 ,
10  ,
6 ,
12  ,
4 ,
14  ,
4 ,
11  ,
8 ,
10  ,
9 ,
11  ,
8 ,
13  ,
9 ,
12  ,
11  ,
11  ,
13  ,
10  ,
13  ,
11  ,
9 ,
15  ,
5 ,
17  ,
4 ,
13  ,
7 ,
9 ,
8 ,
8 ,
5 ,
8 ,
6 ,
3 ,
6 ,
-1  ,
7 ,
-4  ,
4 ,
-5  ,
-1  ,
-4  ,
-6  ,
-6  ,
-9  ,
-8  ,
-9  ,
-13 ,
-10 ,
-16 ,
-12 ,
-15 ,
-16 ,
-17 ,
-16 ,
-20 ,
-15 ,
-21 ,
-18 ,
-18 ,
-21 ,
-15 ,
-23 ,
-13 ,
-21 ,
-14 ,
-17 ,
-14 ,
-15 ,
-12 ,
-14 ,
-8  ,
-13 ,
-6  ,
-11 ,
-5  ,
-8  ,
-3  ,
-7  ,
-1  ,
-5  ,
0 ,
-2  ,
2 ,
-1  ,
5 ,
1 ,
6 ,
5 ,
7 ,
6 ,
10  ,
6 ,
13  ,
7 ,
13  ,
8 ,
15  ,
7 ,
15  ,
8 ,
13  ,
10  ,
10  ,
10  ,
10  ,
8 ,
10  ,
6 ,
10  ,
4 ,
9 ,
4 ,
8 ,
3 ,
7 ,
1 ,
8 ,
0 ,
6 ,
2 ,
3 ,
5 ,
0 ,
5 ,
2 ,
3 ,
4 ,
4 ,
1 ,
6 ,
2 ,
4 ,
5 ,
4 ,
4 ,
6 ,
4 ,
4 ,
7 ,
3 ,
8 ,
4 ,
5 ,
7 ,
2 ,
9 ,
3 ,
7 ,
4 ,
6 ,
4 ,
8 ,
2 ,
9 ,
2 ,
8 ,
3 ,
6 ,
4 ,
4 ,
5 ,
2 ,
3 ,
3 ,
-1  ,
4 ,
-3  ,
1 ,
-3  ,
-1  ,
-4  ,
-3  ,
-5  ,
-5  ,
-6  ,
-7  ,
-7  ,
-9  ,
-8  ,
-10 ,
-11 ,
-10 ,
-12 ,
-12 ,
-13 ,
-12 ,
-14 ,
-12 ,
-14 ,
-14 ,
-13 ,
-13 ,
-16 ,
-9  ,
-19 ,
-9  ,
-17 ,
-12 ,
-15 ,
-13 ,
-15 ,
-13 ,
-14 ,
-14 ,
-12 ,
-15 ,
-10 ,
-13 ,
-12 ,
-7  ,
-13 ,
-7  ,
-7  ,
-10 ,
-1  ,
-11 ,
-1  ,
-6  ,
-2  ,
-3  ,
-2  ,
-4  ,
2 ,
-5  ,
3 ,
-4  ,
5 ,
-5  ,
5 ,
-2  ,
3 ,
3 ,
1 ,
3 ,
3 ,
3 ,
5 ,
3 ,
5 ,
3 ,
5 ,
5 ,
4 ,
4 ,
5 ,
3 ,
6 ,
3 ,
4 ,
5 ,
2 ,
5 ,
4 ,
3 ,
5 ,
3 ,
3 ,
6 ,
3 ,
3 ,
6 ,
2 ,
5 ,
5 ,
2 ,
6 ,
4 ,
3 ,
6 ,
3 ,
6 ,
3 ,
6 ,
3 ,
7 ,
3 ,
6 ,
3 ,
5 ,
6 ,
4 ,
5 ,
3 ,
6 ,
3 ,
7 ,
1 ,
6 ,
3 ,
5 ,
3 ,
4 ,
3 ,
4 ,
2 ,
5 ,
0 ,
4 ,
2 ,
0 ,
4 ,
-2  ,
2 ,
1 ,
-1  ,
-1  ,
1 ,
-3  ,
1 ,
-3  ,
-1  ,
-2  ,
-2  ,
-2  ,
-3  ,
-2  ,
-3  ,
-5  ,
-2  ,
-4  ,
-6  ,
-3  ,
-8  ,
-6  ,
-3  ,
-13 ,
-2  ,
-13 ,
-5  ,
-11 ,
-8  ,
-10 ,
-11 ,
-7  ,
-13 ,
-7  ,
-12 ,
-9  ,
-9  ,
-12 ,
-6  ,
-13 ,
-5  ,
-11 ,
-7  ,
-10 ,
-6  ,
-8  ,
-8  ,
-4  ,
-9  ,
-3  ,
-7  ,
-3  ,
-6  ,
-1  ,
-5  ,
-1  ,
-2  ,
-3  ,
1 ,
-3  ,
2 ,
-2  ,
1 ,
2 ,
0 ,
4 ,
0 ,
5 ,
2 ,
6 ,
2 ,
7 ,
4 ,
7 ,
6 ,
5 ,
7 ,
6 ,
7 ,
5 ,
8 ,
3 ,
8 ,
2 ,
8 ,
2 ,
6 ,
2 ,
4 ,
3 ,
4 ,
2 ,
4 ,
1 ,
4 ,
1 ,
5 ,
1 ,
4 ,
2 ,
2 ,
5 ,
1 ,
7 ,
-1  ,
8 ,
0 ,
9 ,
2 ,
6 ,
5 ,
5 ,
8 ,
4 ,
8 ,
4 ,
8 ,
4 ,
8 ,
3 ,
7 ,
3 ,
7 ,
3 ,
6 ,
3 ,
4 ,
4 ,
6 ,
2 ,
5 ,
3 ,
3 ,
4 ,
3 ,
1 ,
4 ,
1 ,
0 ,
3 ,
-3  ,
4 ,
-6  ,
4 ,
-7  ,
2 ,
-5  ,
-2  ,
-4  ,
-2  ,
-6  ,
-1  ,
-9  ,
0 ,
-8  ,
-4  ,
-6  ,
-8  ,
-3  ,
-10 ,
-5  ,
-8  ,
-8  ,
-5  ,
-10 ,
-4  ,
-9  ,
-5  ,
-8  ,
-5  ,
-6  ,
-6  ,
-5  ,
-6  ,
-5  ,
-6  ,
-4  ,
-7  ,
-3  ,
-7  ,
-5  ,
-4  ,
-7  ,
-3  ,
-8  ,
-3  ,
-6  ,
-4  ,
-5  ,
-5  ,
-3  ,
-5  ,
-3  ,
-2  ,
-5  ,
0 ,
-5  ,
0 ,
-4  ,
0 ,
-3  ,
-2  ,
1 ,
-5  ,
1 ,
-1  ,
-3  ,
3 ,
-3  ,
3 ,
-2  ,
3 ,
-1  ,
4 ,
0 ,
5 ,
-2  ,
8 ,
-3  ,
8 ,
0 ,
3 ,
4 ,
0 ,
6 ,
-2  ,
6 ,
-1  ,
4 ,
1 ,
3 ,
1 ,
4 ,
1 ,
5 ,
1 ,
5 ,
2 ,
4 ,
2 ,
4 ,
1 ,
5 ,
1 ,
2 ,
3 ,
1 ,
2 ,
5 ,
-2  ,
7 ,
0 ,
5 ,
4 ,
3 ,
5 ,
5 ,
6 ,
5 ,
7 ,
3 ,
10  ,
5 ,
8 ,
7 ,
7 ,
7 ,
10  ,
6 ,
10  ,
8 ,
9 ,
10  ,
8 ,
12  ,
7 ,
12  ,
10  ,
8 ,
12  ,
7 ,
9 ,
10  ,
7 ,
10  ,
5 ,
10  ,
6 ,
10  ,
6 ,
8 ,
7 ,
9 ,
7 ,
7 ,
8 ,
5 ,
6 ,
7 ,
2 ,
6 ,
1 ,
3 ,
0 ,
1 ,
-2  ,
-1  ,
-4  ,
-2  ,
-6  ,
-4  ,
-6  ,
-9  ,
-5  ,
-10 ,
-8  ,
-10 ,
-11 ,
-11 ,
-9  ,
-13 ,
-10 ,
-13 ,
-11 ,
-10 ,
-13 ,
-9  ,
-11 ,
-11 ,
-7  ,
-12 ,
-7  ,
-8  ,
-8  ,
-6  ,
-7  ,
-6  ,
-5  ,
-4  ,
-5  ,
-2  ,
-5  ,
1 ,
-5  ,
2 ,
-3  ,
3 ,
0 ,
3 ,
0 ,
5 ,
3 ,
5 ,
5 ,
4 ,
7 ,
5 ,
8 ,
4 ,
11  ,
0 ,
14  ,
0 ,
10  ,
3 ,
6 ,
4 ,
4 ,
2 ,
3 ,
1 ,
4 ,
-2  ,
3 ,
-2  ,
2 ,
-1  ,
2 ,
-2  ,
3 ,
-4  ,
4 ,
-2  ,
1 ,
2 ,
-3  ,
4 ,
-2  ,
2 ,
2 ,
-3  ,
6 ,
-3  ,
5 ,
2 ,
-1  ,
7 ,
-2  ,
7 ,
1 ,
3 ,
5 ,
1 ,
7 ,
1 ,
6 ,
2 ,
6 ,
4 ,
4 ,
7 ,
3 ,
7 ,
6 ,
6 ,
7 ,
7 ,
6 ,
9 ,
6 ,
8 ,
6 ,
8 ,
6 ,
7 ,
5 ,
6 ,
7 ,
2 ,
10  ,
0 ,
9 ,
1 ,
6 ,
3 ,
4 ,
2 ,
2 ,
2 ,
-1  ,
1 ,
-2  ,
-2  ,
-2  ,
-5  ,
-3  ,
-6  ,
-3  ,
-8  ,
-3  ,
-10 ,
-3  ,
-9  ,
-6  ,
-7  ,
-8  ,
-7  ,
-10 ,
-7  ,
-11 ,
-6  ,
-12 ,
-9  ,
-11 ,
-11 ,
-9  ,
-11 ,
-11 ,
-10 ,
-11 ,
-10 ,
-9  ,
-10 ,
-9  ,
-9  ,
-9  ,
-8  ,
-9  ,
-7  ,
-10 ,
-5  ,
-10 ,
-5  ,
-8  ,
-6  ,
-6  ,
-7  ,
-3  ,
-8  ,
-2  ,
-7  ,
-4  ,
-3  ,
-8  ,
1 ,
-10 ,
0 ,
-6  ,
-5  ,
-2  ,
-5  ,
-4  ,
-2  ,
-4  ,
-2  ,
-4  ,
0 ,
-6  ,
3 ,
-6  ,
1 ,
-3  ,
0 ,
-2  ,
0 ,
-1  ,
-2  ,
2 ,
-2  ,
1 ,
0 ,
0 ,
-1  ,
4 ,
-5  ,
7 ,
-5  ,
6 ,
-4  ,
5 ,
-3  ,
4 ,
0 ,
0 ,
4 ,
-2  ,
4 ,
0 ,
2 ,
3 ,
2 ,
3 ,
3 ,
3 ,
5 ,
3 ,
6 ,
3 ,
8 ,
3 ,
9 ,
4 ,
8 ,
8 ,
6 ,
9 ,
6 ,
9 ,
8 ,
7 ,
9 ,
5 ,
7 ,
8 ,
3 ,
9 ,
2 ,
5 ,
4 ,
3 ,
4 ,
2 ,
3 ,
2 ,
3 ,
1 ,
2 ,
2 ,
1 ,
2 ,
-1  ,
1 ,
-2  ,
1 ,
-5  ,
1 ,
-8  ,
-1  ,
-7  ,
-5  ,
-7  ,
-7  ,
-8  ,
-8  ,
-8  ,
-10 ,
-10 ,
-9  ,
-11 ,
-8  ,
-14 ,
-7  ,
-16 ,
-6  ,
-14 ,
-10 ,
-10 ,
-12 ,
-10 ,
-10 ,
-10 ,
-9  ,
-9  ,
-9  ,
-9  ,
-7  ,
-10 ,
-5  ,
-11 ,
-4  ,
-11 ,
-4  ,
-8  ,
-6  ,
-6  ,
-6  ,
-4  ,
-4  ,
-4  ,
-2  ,
-3  ,
0 ,
-1  ,
0 ,
0 ,
2 ,
1 ,
2 ,
2 ,
2 ,
3 ,
3 ,
2 ,
4 ,
1 ,
6 ,
0 ,
7 ,
-1  ,
6 ,
0 ,
6 ,
0 ,
4 ,
2 ,
2 ,
3 ,
0 ,
5 ,
-2  ,
7 ,
-1  ,
3 ,
4 ,
0 ,
6 ,
3 ,
4 ,
4 ,
5 ,
5 ,
5 ,
7 ,
5 ,
7 ,
6 ,
7 ,
8 ,
7 ,
7 ,
10  ,
6 ,
11  ,
7 ,
10  ,
9 ,
10  ,
10  ,
9 ,
10  ,
12  ,
7 ,
13  ,
6 ,
13  ,
6 ,
13  ,
4 ,
13  ,
4 ,
10  ,
7 ,
6 ,
9 ,
5 ,
5 ,
9 ,
1 ,
8 ,
3 ,
3 ,
4 ,
0 ,
2 ,
0 ,
1 ,
-3  ,
0 ,
-6  ,
-1  ,
-6  ,
-4  ,
-4  ,
-10 ,
-1  ,
-13 ,
-2  ,
-11 ,
-6  ,
-9  ,
-8  ,
-9  ,
-9  ,
-8  ,
-11 ,
-7  ,
-11 ,
-8  ,
-11 ,
-8  ,
-10 ,
-9  ,
-9  ,
-10 ,
-8  ,
-10 ,
-10 ,
-7  ,
-11 ,
-5  ,
-11 ,
-7  ,
-7  ,
-8  ,
-5  ,
-7  ,
-6  ,
-4  ,
-7  ,
-2  ,
-6  ,
-2  ,
-6  ,
-1  ,
-5  ,
-1  ,
-4  ,
-2  ,
-2  ,
-2  ,
-1  ,
-2  ,
0 ,
-1  ,
0 ,
1 ,
0 ,
2 ,
1 ,
2 ,
1 ,
4 ,
1 ,
4 ,
2 ,
3 ,
5 ,
1 ,
6 ,
2 ,
6 ,
2 ,
7 ,
2 ,
8 ,
4 ,
5 ,
8 ,
4 ,
9 ,
5 ,
8 ,
6 ,
8 ,
8 ,
7 ,
9 ,
6 ,
9 ,
9 ,
6 ,
12  ,
5 ,
12  ,
7 ,
9 ,
10  ,
8 ,
9 ,
9 ,
8 ,
9 ,
9 ,
7 ,
11  ,
6 ,
12  ,
6 ,
12  ,
9 ,
11  ,
9 ,
14  ,
7 ,
17  ,
6 ,
16  ,
7 ,
15  ,
7 ,
15  ,
5 ,
13  ,
6 ,
12  ,
6 ,
9 ,
6 ,
8 ,
6 ,
7 ,
5 ,
6 ,
5 ,
4 ,
4 ,
4 ,
2 ,
3 ,
2 ,
-1  ,
4 ,
-6  ,
3 ,
-4  ,
-3  ,
-3  ,
-6  ,
-6  ,
-4  ,
-9  ,
-7  ,
-9  ,
-10 ,
-8  ,
-12 ,
-9  ,
-14 ,
-9  ,
-13 ,
-12 ,
-13 ,
-10 ,
-16 ,
-8  ,
-16 ,
-10 ,
-14 ,
-11 ,
-13 ,
-11 ,
-13 ,
-11 ,
-12 ,
-12 ,
-10 ,
-13 ,
-9  ,
-11 ,
-10 ,
-9  ,
-9  ,
-9  ,
-6  ,
-9  ,
-5  ,
-7  ,
-4  ,
-4  ,
-6  ,
0 ,
-7  ,
2 ,
-4  ,
1 ,
-1  ,
0 ,
1 ,
3 ,
1 ,
5 ,
2 ,
5 ,
5 ,
5 ,
6 ,
6 ,
7 ,
5 ,
10  ,
3 ,
11  ,
4 ,
9 ,
6 ,
9 ,
5 ,
10  ,
4 ,
10  ,
5 ,
8 ,
7 ,
5 ,
9 ,
3 ,
8 ,
5 ,
5 ,
5 ,
5 ,
4 ,
6 ,
3 ,
6 ,
4 ,
5 ,
4 ,
6 ,
4 ,
4 ,
6 ,
2 ,
7 ,
2 ,
4 ,
4 ,
1 ,
5 ,
0 ,
4 ,
2 ,
1 ,
2 ,
1 ,
2 ,
1 ,
3 ,
0 ,
3 ,
0 ,
2 ,
2 ,
0 ,
3 ,
-1  ,
1 ,
1 ,
-3  ,
4 ,
-5  ,
3 ,
-5  ,
1 ,
-4  ,
0 ,
-4  ,
-1  ,
-4  ,
-3  ,
-4  ,
-2  ,
-6  ,
-3  ,
-6  ,
-5  ,
-4  ,
-8  ,
-4  ,
-8  ,
-5  ,
-8  ,
-7  ,
-5  ,
-10 ,
-5  ,
-11 ,
-5  ,
-10 ,
-8  ,
-9  ,
-10 ,
-9  ,
-9  ,
-12 ,
-7  ,
-14 ,
-7  ,
-12 ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-10 ,
-11 ,
-8  ,
-11 ,
-9  ,
-10 ,
-10 ,
-7  ,
-10 ,
-8  ,
-7  ,
-10 ,
-4  ,
-9  ,
-3  ,
-8  ,
-2  ,
-8  ,
-1  ,
-4  ,
-3  ,
-2  ,
-4  ,
0 ,
-2  ,
-1  ,
0 ,
-2  ,
1 ,
2 ,
-3  ,
5 ,
-2  ,
4 ,
2 ,
2 ,
2 ,
4 ,
2 ,
5 ,
1 ,
6 ,
2 ,
6 ,
3 ,
5 ,
5 ,
3 ,
8 ,
2 ,
8 ,
3 ,
7 ,
4 ,
6 ,
4 ,
5 ,
3 ,
5 ,
2 ,
5 ,
0 ,
4 ,
0 ,
2 ,
1 ,
1 ,
0 ,
2 ,
-2  ,
1 ,
0 ,
0 ,
0 ,
2 ,
-3  ,
2 ,
-1  ,
0 ,
3 ,
-4  ,
4 ,
-3  ,
3 ,
-2  ,
3 ,
-2  ,
3 ,
-1  ,
1 ,
2 ,
-1  ,
3 ,
0 ,
1 ,
2 ,
-1  ,
2 ,
1 ,
-1  ,
4 ,
-3  ,
4 ,
-2  ,
2 ,
0 ,
1 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
-2  ,
-3  ,
-2  ,
-5  ,
-1  ,
-7  ,
-3  ,
-5  ,
-7  ,
-2  ,
-12 ,
0 ,
-13 ,
-2  ,
-11 ,
-6  ,
-9  ,
-8  ,
-8  ,
-9  ,
-7  ,
-10 ,
-7  ,
-9  ,
-7  ,
-9  ,
-6  ,
-7  ,
-8  ,
-4  ,
-10 ,
-2  ,
-7  ,
-3  ,
-6  ,
-1  ,
-5  ,
-1  ,
-4  ,
1 ,
-4  ,
3 ,
-2  ,
1 ,
2 ,
1 ,
3 ,
4 ,
3 ,
5 ,
5 ,
6 ,
7 ,
5 ,
9 ,
6 ,
9 ,
7 ,
8 ,
10  ,
7 ,
9 ,
8 ,
9 ,
9 ,
8 ,
8 ,
9 ,
8 ,
8 ,
8 ,
6 ,
9 ,
4 ,
9 ,
4 ,
6 ,
4 ,
5 ,
2 ,
6 ,
0 ,
4 ,
2 ,
2 ,
2 ,
1 ,
2 ,
1 ,
3 ,
0 ,
2 ,
1 ,
3 ,
1 ,
3 ,
1 ,
2 ,
3 ,
2 ,
4 ,
1 ,
4 ,
4 ,
2 ,
5 ,
3 ,
6 ,
3 ,
6 ,
3 ,
8 ,
3 ,
8 ,
4 ,
7 ,
5 ,
7 ,
5 ,
7 ,
6 ,
4 ,
7 ,
5 ,
4 ,
6 ,
2 ,
5 ,
3 ,
2 ,
3 ,
3 ,
-1  ,
4 ,
-2  ,
1 ,
1 ,
-2  ,
0 ,
-3  ,
-2  ,
-3  ,
-1  ,
-6  ,
-1  ,
-7  ,
-2  ,
-5  ,
-4  ,
-4  ,
-5  ,
-4  ,
-4  ,
-4  ,
-5  ,
-2  ,
-6  ,
-1  ,
-6  ,
-1  ,
-6  ,
1 ,
-6  ,
0 ,
-4  ,
-1  ,
-2  ,
-1  ,
-2  ,
-2  ,
1 ,
-2  ,
0 ,
0 ,
-1  ,
3 ,
-2  ,
4 ,
-2  ,
5 ,
-1  ,
5 ,
0 ,
5 ,
1 ,
4 ,
2 ,
5 ,
1 ,
7 ,
-1  ,
7 ,
-1  ,
7 ,
0 ,
3 ,
3 ,
0 ,
4 ,
0 ,
1 ,
1 ,
1 ,
0 ,
1 ,
0 ,
-2  ,
2 ,
-1  ,
0 ,
0 ,
-2  ,
1 ,
-2  ,
2 ,
-3  ,
2 ,
-1  ,
-1  ,
1 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
4 ,
-3  ,
4 ,
-2  ,
3 ,
-1  ,
4 ,
-2  ,
4 ,
0 ,
2 ,
4 ,
0 ,
4 ,
2 ,
3 ,
5 ,
2 ,
5 ,
4 ,
3 ,
6 ,
4 ,
6 ,
4 ,
6 ,
6 ,
4 ,
8 ,
4 ,
7 ,
6 ,
7 ,
4 ,
8 ,
5 ,
6 ,
7 ,
5 ,
4 ,
7 ,
3 ,
7 ,
2 ,
7 ,
1 ,
7 ,
2 ,
5 ,
3 ,
5 ,
2 ,
5 ,
3 ,
3 ,
3 ,
4 ,
0 ,
5 ,
-1  ,
4 ,
0 ,
1 ,
1 ,
-2  ,
3 ,
-3  ,
0 ,
-2  ,
-3  ,
-1  ,
-2  ,
-5  ,
-1  ,
-7  ,
-1  ,
-6  ,
-3  ,
-6  ,
-2  ,
-8  ,
-1  ,
-9  ,
-2  ,
-7  ,
-5  ,
-4  ,
-8  ,
-4  ,
-9  ,
-4  ,
-8  ,
-5  ,
-9  ,
-6  ,
-8  ,
-6  ,
-8  ,
-7  ,
-8  ,
-7  ,
-6  ,
-9  ,
-4  ,
-10 ,
-4  ,
-8  ,
-5  ,
-7  ,
-3  ,
-9  ,
-1  ,
-8  ,
-2  ,
-6  ,
-3  ,
-4  ,
-3  ,
-3  ,
-4  ,
-1  ,
-3  ,
-1  ,
-3  ,
1 ,
-4  ,
3 ,
-4  ,
3 ,
-2  ,
1 ,
0 ,
0 ,
2 ,
-1  ,
2 ,
1 ,
-2  ,
5 ,
-3  ,
3 ,
0 ,
1 ,
-1  ,
4 ,
-3  ,
3 ,
-1  ,
1 ,
-1  ,
3 ,
-3  ,
3 ,
-2  ,
2 ,
-1  ,
1 ,
0 ,
0 ,
0 ,
1 ,
-1  ,
1 ,
-1  ,
0 ,
1 ,
-3  ,
3 ,
-4  ,
2 ,
-1  ,
-1  ,
2 ,
-3  ,
3 ,
-2  ,
1 ,
3 ,
-3  ,
6 ,
-3  ,
5 ,
1 ,
1 ,
5 ,
1 ,
5 ,
2 ,
4 ,
4 ,
4 ,
4 ,
5 ,
2 ,
6 ,
2 ,
5 ,
3 ,
3 ,
3 ,
1 ,
5 ,
0 ,
3 ,
2 ,
-1  ,
4 ,
-2  ,
4 ,
-4  ,
5 ,
-6  ,
4 ,
-5  ,
0 ,
-3  ,
-2  ,
-3  ,
-4  ,
-4  ,
-5  ,
-4  ,
-5  ,
-7  ,
-6  ,
-7  ,
-8  ,
-5  ,
-11 ,
-6  ,
-10 ,
-7  ,
-11 ,
-7  ,
-12 ,
-7  ,
-10 ,
-10 ,
-8  ,
-10 ,
-9  ,
-8  ,
-9  ,
-8  ,
-7  ,
-9  ,
-6  ,
-8  ,
-6  ,
-5  ,
-8  ,
-4  ,
-6  ,
-5  ,
-4  ,
-4  ,
-6  ,
0 ,
-7  ,
1 ,
-6  ,
-1  ,
-2  ,
-1  ,
-1  ,
-1  ,
-1  ,
1 ,
0 ,
1 ,
1 ,
1 ,
2 ,
1 ,
3 ,
1 ,
3 ,
2 ,
4 ,
0 ,
6 ,
-1  ,
5 ,
1 ,
3 ,
2 ,
2 ,
1 ,
1 ,
1 ,
1 ,
0 ,
0 ,
-1  ,
0 ,
-1  ,
-1  ,
-1  ,
-1  ,
-2  ,
0 ,
-2  ,
1 ,
-3  ,
2 ,
-1  ,
1 ,
0 ,
2 ,
0 ,
3 ,
2 ,
2 ,
3 ,
3 ,
3 ,
5 ,
2 ,
8 ,
1 ,
9 ,
1 ,
9 ,
4 ,
8 ,
4 ,
8 ,
5 ,
8 ,
6 ,
6 ,
7 ,
5 ,
8 ,
3 ,
9 ,
1 ,
8 ,
2 ,
5 ,
2 ,
5 ,
-1  ,
4 ,
-1  ,
1 ,
1 ,
-3  ,
0 ,
-3  ,
-2  ,
-4  ,
-3  ,
-5  ,
-4  ,
-7  ,
-6  ,
-7  ,
-7  ,
-8  ,
-9  ,
-8  ,
-10 ,
-7  ,
-12 ,
-7  ,
-12 ,
-7  ,
-11 ,
-8  ,
-10 ,
-9  ,
-8  ,
-9  ,
-8  ,
-8  ,
-8  ,
-6  ,
-8  ,
-5  ,
-7  ,
-5  ,
-4  ,
-6  ,
-2  ,
-5  ,
-3  ,
-2  ,
-2  ,
-2  ,
0 ,
-3  ,
2 ,
-1  ,
1 ,
0 ,
2 ,
2 ,
1 ,
5 ,
0 ,
5 ,
3 ,
3 ,
5 ,
5 ,
3 ,
7 ,
3 ,
6 ,
5 ,
4 ,
6 ,
6 ,
3 ,
5 ,
4 ,
3 ,
5 ,
2 ,
3 ,
3 ,
1 ,
3 ,
1 ,
2 ,
2 ,
0 ,
3 ,
1 ,
1 ,
3 ,
0 ,
4 ,
2 ,
3 ,
3 ,
3 ,
4 ,
5 ,
4 ,
6 ,
5 ,
8 ,
3 ,
13  ,
1 ,
13  ,
5 ,
9 ,
10  ,
7 ,
9 ,
8 ,
8 ,
9 ,
7 ,
10  ,
5 ,
10  ,
6 ,
8 ,
7 ,
7 ,
6 ,
8 ,
4 ,
8 ,
2 ,
9 ,
0 ,
8 ,
0 ,
5 ,
2 ,
2 ,
2 ,
0 ,
1 ,
0 ,
-2  ,
0 ,
-3  ,
0 ,
-6  ,
-1  ,
-7  ,
-3  ,
-4  ,
-7  ,
-3  ,
-9  ,
-4  ,
-9  ,
-3  ,
-10 ,
-3  ,
-10 ,
-6  ,
-6  ,
-8  ,
-7  ,
-5  ,
-11 ,
-3  ,
-10 ,
-6  ,
-6  ,
-10 ,
-5  ,
-8  ,
-8  ,
-4  ,
-11 ,
-3  ,
-9  ,
-4  ,
-7  ,
-5  ,
-5  ,
-4  ,
-3  ,
-5  ,
-1  ,
-4  ,
0 ,
-4  ,
2 ,
-3  ,
1 ,
0 ,
-2  ,
4 ,
-1  ,
2 ,
0 ,
3 ,
0 ,
3 ,
1 ,
1 ,
4 ,
-1  ,
4 ,
0 ,
3 ,
2 ,
2 ,
2 ,
3 ,
2 ,
3 ,
5 ,
0 ,
7 ,
2 ,
4 ,
6 ,
2 ,
7 ,
4 ,
5 ,
6 ,
5 ,
7 ,
7 ,
6 ,
8 ,
6 ,
11  ,
6 ,
11  ,
7 ,
11  ,
9 ,
11  ,
8 ,
12  ,
8 ,
13  ,
7 ,
11  ,
9 ,
10  ,
10  ,
9 ,
10  ,
8 ,
11  ,
8 ,
11  ,
9 ,
10  ,
9 ,
11  ,
8 ,
11  ,
8 ,
10  ,
8 ,
9 ,
9 ,
6 ,
11  ,
3 ,
10  ,
5 ,
6 ,
7 ,
3 ,
6 ,
4 ,
3 ,
5 ,
1 ,
4 ,
2 ,
0 ,
4 ,
-1  ,
2 ,
1 ,
-2  ,
2 ,
-2  ,
2 ,
-4  ,
1 ,
-4  ,
0 ,
-4  ,
-3  ,
-3  ,
-5  ,
-3  ,
-9  ,
-1  ,
-11 ,
-2  ,
-11 ,
-5  ,
-9  ,
-7  ,
-9  ,
-9  ,
-7  ,
-10 ,
-8  ,
-9  ,
-9  ,
-9  ,
-9  ,
-8  ,
-11 ,
-7  ,
-11 ,
-7  ,
-9  ,
-9  ,
-9  ,
-7  ,
-9  ,
-6  ,
-9  ,
-6  ,
-7  ,
-5  ,
-8  ,
-5  ,
-6  ,
-6  ,
-4  ,
-7  ,
-4  ,
-4  ,
-7  ,
-1  ,
-7  ,
-1  ,
-3  ,
-4  ,
1 ,
-4  ,
2 ,
-3  ,
3 ,
1 ,
1 ,
3 ,
2 ,
4 ,
6 ,
2 ,
7 ,
5 ,
7 ,
7 ,
6 ,
9 ,
5 ,
10  ,
6 ,
8 ,
9 ,
5 ,
9 ,
5 ,
7 ,
5 ,
7 ,
3 ,
8 ,
1 ,
7 ,
1 ,
7 ,
1 ,
5 ,
3 ,
2 ,
5 ,
1 ,
3 ,
2 ,
2 ,
2 ,
1 ,
1 ,
-1  ,
1 ,
1 ,
-3  ,
3 ,
-6  ,
3 ,
-5  ,
1 ,
-5  ,
1 ,
-6  ,
0 ,
-3  ,
-5  ,
1 ,
-8  ,
2 ,
-6  ,
-1  ,
-3  ,
-2  ,
-2  ,
-2  ,
-1  ,
-2  ,
0 ,
-2  ,
-1  ,
-1  ,
0 ,
-1  ,
-1  ,
-1  ,
-3  ,
1 ,
-3  ,
-1  ,
-2  ,
-3  ,
-2  ,
-3  ,
-2  ,
-6  ,
0 ,
-8  ,
0 ,
-7  ,
-4  ,
-5  ,
-5  ,
-5  ,
-7  ,
-4  ,
-9  ,
-5  ,
-6  ,
-10 ,
-4  ,
-9  ,
-8  ,
-7  ,
-9  ,
-8  ,
-8  ,
-9  ,
-9  ,
-8  ,
-10 ,
-8  ,
-11 ,
-6  ,
-12 ,
-5  ,
-12 ,
-5  ,
-10 ,
-6  ,
-8  ,
-6  ,
-6  ,
-6  ,
-6  ,
-5  ,
-5  ,
-2  ,
-6  ,
-2  ,
-4  ,
-1  ,
-1  ,
-2  ,
0 ,
0 ,
-1  ,
4 ,
-1  ,
3 ,
3 ,
1 ,
5 ,
3 ,
2 ,
6 ,
2 ,
6 ,
5 ,
1 ,
9 ,
0 ,
10  ,
1 ,
7 ,
4 ,
6 ,
4 ,
6 ,
4 ,
4 ,
6 ,
2 ,
6 ,
2 ,
5 ,
1 ,
3 ,
3 ,
1 ,
3 ,
0 ,
1 ,
-1  ,
2 ,
-3  ,
2 ,
-3  ,
-1  ,
-3  ,
-1  ,
-3  ,
-4  ,
0 ,
-8  ,
1 ,
-7  ,
0 ,
-5  ,
-3  ,
-1  ,
-6  ,
3 ,
-6  ,
2 ,
-3  ,
0 ,
-1  ,
1 ,
-2  ,
3 ,
-2  ,
1 ,
2 ,
-2  ,
4 ,
0 ,
1 ,
2 ,
1 ,
2 ,
2 ,
0 ,
4 ,
-2  ,
5 ,
-2  ,
3 ,
0 ,
0 ,
1 ,
0 ,
-1  ,
1 ,
-1  ,
0 ,
-1  ,
-2  ,
0 ,
-2  ,
-1  ,
-3  ,
-2  ,
-2  ,
-3  ,
-4  ,
-3  ,
-4  ,
-4  ,
-5  ,
-4  ,
-6  ,
-4  ,
-6  ,
-4  ,
-7  ,
-3  ,
-7  ,
-3  ,
-6  ,
-3  ,
-5  ,
-2  ,
-6  ,
0 ,
-4  ,
-2  ,
0 ,
-4  ,
1 ,
-1  ,
0 ,
1 ,
0 ,
2 ,
1 ,
2 ,
3 ,
2 ,
3 ,
5 ,
1 ,
6 ,
3 ,
3 ,
8 ,
0 ,
9 ,
3 ,
5 ,
7 ,
3 ,
8 ,
5 ,
6 ,
7 ,
5 ,
7 ,
6 ,
6 ,
8 ,
5 ,
7 ,
5 ,
6 ,
6 ,
4 ,
6 ,
3 ,
5 ,
2 ,
3 ,
2 ,
2 ,
-1  ,
2 ,
-1  ,
-1  ,
1 ,
-5  ,
2 ,
-3  ,
-1  ,
-1  ,
-3  ,
1 ,
-2  ,
0 ,
0 ,
-1  ,
1 ,
-1  ,
2 ,
-2  ,
4 ,
-3  ,
4 ,
-1  ,
1 ,
2 ,
0 
};  //don't forget the semicolon!
